Com.Alipay Namespace

[Missing <summary> documentation for "N:Com.Alipay"]

Classes
 | Class | Description
Public class | Config | 类名：Config 功能：基础配置类 详细：设置帐户有关信息及返回路径 版本：3.4 修改日期：2016-03-08 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
Public class | Core | 类名：Core 功能：支付宝接口公用函数类 详细：该类是请求、通知返回两个文件所调用的公用函数核心处理文件，不需要修改 版本：3.4 修改日期：2016-03-08 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
Public class | Notify | 类名：Notify 功能：支付宝通知处理类 详细：处理支付宝各接口通知返回 版本：3.3 修改日期：2011-07-05 '说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。 //////////////////////注意///////////////////////////// 调试通知返回时，可查看或改写log日志的写入TXT里的数据，来检查通知返回是否正常
Public class | RSAFromPkcs8 | 类名：RSAFromPkcs8 功能：RSA解密、签名、验签 详细：该类对Java生成的密钥进行解密和签名以及验签专用类，不需要修改 版本：2.0 修改日期：2011-05-10 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
Public class | Submit | 类名：Submit 功能：支付宝各接口请求提交类 详细：构造支付宝各接口表单HTML文本，获取远程HTTP数据 版本：3.3 修改日期：2011-07-05 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考


Config Class
类名：Config 功能：基础配置类 详细：设置帐户有关信息及返回路径 版本：3.4 修改日期：2016-03-08 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
Inheritance Hierarchy
SystemObject
Com.AlipayConfig

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Config
Public Class Config
public ref class Config
type Config =  class end

The Config type exposes the following members.

Constructors
 | Name | Description
Public method | Config | Initializes a new instance of the Config class
Top
Fields
Name | Description
alipay_public_key |
anti_phishing_key |
exter_invoke_ip |
input_charset |
payment_type |
sign_type |
Top
See Also

Reference

Com.Alipay Namespace


Config Constructor

Initializes a new instance of the Config class

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Config()
Public Sub New
public:
Config()
new : unit -> Config
See Also

Reference

Config Class
Com.Alipay Namespace


Config Fields

The Config type exposes the following members.

Fields
Name | Description
alipay_public_key |
anti_phishing_key |
exter_invoke_ip |
input_charset |
payment_type |
sign_type |
Top
See Also

Reference

Config Class
Com.Alipay Namespace


Config.alipay_public_key Field

ZKWeb.Plugins索引

Configalipay_public_key Field

[Missing <summary> documentation for "F:Com.Alipay.Config.alipay_public_key"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string alipay_public_key
Public Shared alipay_public_key As String
public:
static String^ alipay_public_key
static val mutable alipay_public_key: string

Field Value

Type: String
See Also

Reference

Config Class
Com.Alipay Namespace


Config.anti_phishing_key Field

Configanti_phishing_key Field

[Missing <summary> documentation for "F:Com.Alipay.Config.anti_phishing_key"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string anti_phishing_key
Public Shared anti_phishing_key As String
public:
static String^ anti_phishing_key
static val mutable anti_phishing_key: string

Field Value

Type: String
See Also

Reference

Config Class
Com.Alipay Namespace


Config.exter_invoke_ip Field

Configexter_invoke_ip Field

[Missing <summary> documentation for "F:Com.Alipay.Config.exter_invoke_ip"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string exter_invoke_ip
Public Shared exter_invoke_ip As String
public:
static String^ exter_invoke_ip
static val mutable exter_invoke_ip: string

Field Value

Type: String
See Also

Reference

Config Class
Com.Alipay Namespace


Config.input_charset Field

Configinput_charset Field

[Missing <summary> documentation for "F:Com.Alipay.Config.input_charset"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string input_charset
Public Shared input_charset As String
public:
static String^ input_charset
static val mutable input_charset: string

Field Value

Type: String
See Also

Reference

Config Class
Com.Alipay Namespace


Config.payment_type Field

Configpayment_type Field

[Missing <summary> documentation for "F:Com.Alipay.Config.payment_type"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string payment_type
Public Shared payment_type As String
public:
static String^ payment_type
static val mutable payment_type: string

Field Value

Type: String
See Also

Reference

Config Class
Com.Alipay Namespace


Config.sign_type Field

Configsign_type Field

[Missing <summary> documentation for "F:Com.Alipay.Config.sign_type"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string sign_type
Public Shared sign_type As String
public:
static String^ sign_type
static val mutable sign_type: string

Field Value

Type: String
See Also

Reference

Config Class
Com.Alipay Namespace


Core Class
类名：Core 功能：支付宝接口公用函数类 详细：该类是请求、通知返回两个文件所调用的公用函数核心处理文件，不需要修改 版本：3.4 修改日期：2016-03-08 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
Inheritance Hierarchy
SystemObject
Com.AlipayCore

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Core
Public Class Core
public ref class Core
type Core =  class end

The Core type exposes the following members.

Constructors
 | Name | Description
Public method | Core | Initializes a new instance of the Core class
Top
Methods
Name | Description
CreateLinkString | 把数组所有元素，按照“参数=参数值”的模式用“＆”字符拼接成字符串
CreateLinkStringUrlencode | 把数组所有元素，按照“参数=参数值”的模式用“＆”字符拼接成字符串，并对参数值做urlencode
FilterPara | 除去数组中的空值和签名参数并以字母a到z的顺序排序
GetAbstractToMD5(Byte) | 获取文件的md5摘要
GetAbstractToMD5(Stream) | 获取文件的md5摘要
LogResult | 写日志，方便测试（看网站需求，也可以改成把记录存入数据库）
Top
See Also

Reference

Com.Alipay Namespace


Core Constructor

Initializes a new instance of the Core class

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Core()
Public Sub New
public:
Core()
new : unit -> Core
See Also

Reference

Core Class
Com.Alipay Namespace


Core Methods

The Core type exposes the following members.

Methods
Name | Description
CreateLinkString | 把数组所有元素，按照“参数=参数值”的模式用“＆”字符拼接成字符串
CreateLinkStringUrlencode | 把数组所有元素，按照“参数=参数值”的模式用“＆”字符拼接成字符串，并对参数值做urlencode
FilterPara | 除去数组中的空值和签名参数并以字母a到z的顺序排序
GetAbstractToMD5(Byte) | 获取文件的md5摘要
GetAbstractToMD5(Stream) | 获取文件的md5摘要
LogResult | 写日志，方便测试（看网站需求，也可以改成把记录存入数据库）
Top
See Also

Reference

Core Class
Com.Alipay Namespace


Core.CreateLinkString Method

CoreCreateLinkString Method

把数组所有元素，按照“参数=参数值”的模式用“＆”字符拼接成字符串

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string CreateLinkString(
    Dictionary<string, string> dicArray
)
Public Shared Function CreateLinkString (
    dicArray As Dictionary(Of String, String)
) As String
public:
static String^ CreateLinkString(
    Dictionary<String^, String^>^ dicArray
)
static member CreateLinkString :
        dicArray : Dictionary<string, string> -> string

Parameters

dicArray
Type: System.Collections.GenericDictionary String, String
需要拼接的数组

Return Value

Type: String
拼接完成以后的字符串
See Also

Reference

Core Class
Com.Alipay Namespace


Core.CreateLinkStringUrlencode Method

CoreCreateLinkStringUrlencode Method

把数组所有元素，按照“参数=参数值”的模式用“＆”字符拼接成字符串，并对参数值做urlencode

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string CreateLinkStringUrlencode(
    Dictionary<string, string> dicArray,
    Encoding code
)
Public Shared Function CreateLinkStringUrlencode (
    dicArray As Dictionary(Of String, String),
    code As Encoding
) As String
public:
static String^ CreateLinkStringUrlencode(
    Dictionary<String^, String^>^ dicArray,
    Encoding^ code
)
static member CreateLinkStringUrlencode :
        dicArray : Dictionary<string, string> *
        code : Encoding -> string

Parameters

dicArray
Type: System.Collections.GenericDictionary String, String
需要拼接的数组
code
Type: System.TextEncoding
字符编码

Return Value

Type: String
拼接完成以后的字符串
See Also

Reference

Core Class
Com.Alipay Namespace


Core.FilterPara Method

CoreFilterPara Method

除去数组中的空值和签名参数并以字母a到z的顺序排序

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Dictionary<string, string> FilterPara(
    SortedDictionary<string, string> dicArrayPre
)
Public Shared Function FilterPara (
    dicArrayPre As SortedDictionary(Of String, String)
) As Dictionary(Of String, String)
public:
static Dictionary<String^, String^>^ FilterPara(
    SortedDictionary<String^, String^>^ dicArrayPre
)
static member FilterPara :
        dicArrayPre : SortedDictionary<string, string> -> Dictionary<string, string>

Parameters

dicArrayPre
Type: System.Collections.GenericSortedDictionary String, String
过滤前的参数组

Return Value

Type: Dictionary String, String
过滤后的参数组
See Also

Reference

Core Class
Com.Alipay Namespace


Core.GetAbstractToMD5 Method

CoreGetAbstractToMD5 Method

Overload List
Name | Description
GetAbstractToMD5(Byte) | 获取文件的md5摘要
GetAbstractToMD5(Stream) | 获取文件的md5摘要
Top
See Also

Reference

Core Class
Com.Alipay Namespace


Core.GetAbstractToMD5 Method (Byte[])

CoreGetAbstractToMD5 Method (Byte)
获取文件的md5摘要

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetAbstractToMD5(
    byte[] dataFile
)
Public Shared Function GetAbstractToMD5 (
    dataFile As Byte()
) As String
public:
static String^ GetAbstractToMD5(
    array<unsigned char>^ dataFile
)
static member GetAbstractToMD5 :
        dataFile : byte[] -> string

Parameters

dataFile
Type: SystemByte
文件流

Return Value

Type: String
MD5摘要结果
See Also

Reference

Core Class
GetAbstractToMD5 Overload
Com.Alipay Namespace


Core.GetAbstractToMD5 Method (Stream)

CoreGetAbstractToMD5 Method (Stream)
获取文件的md5摘要

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetAbstractToMD5(
    Stream sFile
)
Public Shared Function GetAbstractToMD5 (
    sFile As Stream
) As String
public:
static String^ GetAbstractToMD5(
    Stream^ sFile
)
static member GetAbstractToMD5 :
        sFile : Stream -> string

Parameters

sFile
Type: System.IOStream
文件流

Return Value

Type: String
MD5摘要结果
See Also

Reference

Core Class
GetAbstractToMD5 Overload
Com.Alipay Namespace


Core.LogResult Method

CoreLogResult Method

写日志，方便测试（看网站需求，也可以改成把记录存入数据库）

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void LogResult(
    string sWord
)
Public Shared Sub LogResult (
    sWord As String
)
public:
static void LogResult(
    String^ sWord
)
static member LogResult :
        sWord : string -> unit

Parameters

sWord
Type: SystemString
要写入日志里的文本内容
See Also

Reference

Core Class
Com.Alipay Namespace


Notify Class
类名：Notify 功能：支付宝通知处理类 详细：处理支付宝各接口通知返回 版本：3.3 修改日期：2011-07-05 '说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。 //////////////////////注意///////////////////////////// 调试通知返回时，可查看或改写log日志的写入TXT里的数据，来检查通知返回是否正常
Inheritance Hierarchy
SystemObject
Com.AlipayNotify

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Notify
Public Class Notify
public ref class Notify
type Notify =  class end

The Notify type exposes the following members.

Constructors
 | Name | Description
Public method | Notify | 构造函数 从配置文件中初始化变量
Top
Methods
 | Name | Description
 | getPublicKeyStr | 从文件读取公钥转公钥字符串
Public method | Verify | 验证消息是否是支付宝发出的合法消息
Top
See Also

Reference

Com.Alipay Namespace


Notify Constructor

构造函数 从配置文件中初始化变量

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Notify(
    string partner
)
Public Sub New (
    partner As String
)
public:
Notify(
    String^ partner
)
new :
        partner : string -> Notify

Parameters

partner
Type: SystemString

[Missing <param name="partner"/> documentation for "M:Com.Alipay.Notify.#ctor(System.String)"]

See Also

Reference

Notify Class
Com.Alipay Namespace


Notify Methods

The Notify type exposes the following members.

Methods
 | Name | Description
 | getPublicKeyStr | 从文件读取公钥转公钥字符串
Public method | Verify | 验证消息是否是支付宝发出的合法消息
Top
See Also

Reference

Notify Class
Com.Alipay Namespace


Notify.getPublicKeyStr Method

NotifygetPublicKeyStr Method

从文件读取公钥转公钥字符串

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string getPublicKeyStr(
    string Path
)
Public Shared Function getPublicKeyStr (
    Path As String
) As String
public:
static String^ getPublicKeyStr(
    String^ Path
)
static member getPublicKeyStr :
        Path : string -> string

Parameters

Path
Type: SystemString
公钥文件路径

Return Value

Type: String

[Missing <returns> documentation for "M:Com.Alipay.Notify.getPublicKeyStr(System.String)"]

See Also

Reference

Notify Class
Com.Alipay Namespace


Notify.Verify Method

NotifyVerify Method

验证消息是否是支付宝发出的合法消息

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Verify(
    SortedDictionary<string, string> inputPara,
    string notify_id,
    string sign
)
Public Function Verify (
    inputPara As SortedDictionary(Of String, String),
    notify_id As String,
    sign As String
) As Boolean
public:
bool Verify(
    SortedDictionary<String^, String^>^ inputPara,
    String^ notify_id,
    String^ sign
)
member Verify :
        inputPara : SortedDictionary<string, string> *
        notify_id : string *
        sign : string -> bool

Parameters

inputPara
Type: System.Collections.GenericSortedDictionary String, String
通知返回参数数组
notify_id
Type: SystemString
通知验证ID
sign
Type: SystemString
支付宝生成的签名结果

Return Value

Type: Boolean
验证结果
See Also

Reference

Notify Class
Com.Alipay Namespace


RSAFromPkcs8 Class
类名：RSAFromPkcs8 功能：RSA解密、签名、验签 详细：该类对Java生成的密钥进行解密和签名以及验签专用类，不需要修改 版本：2.0 修改日期：2011-05-10 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
Inheritance Hierarchy
SystemObject
Com.AlipayRSAFromPkcs8

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public sealed class RSAFromPkcs8
Public NotInheritable Class RSAFromPkcs8
public ref class RSAFromPkcs8 sealed
[<SealedAttribute>]
type RSAFromPkcs8 =  class end

The RSAFromPkcs8 type exposes the following members.

Constructors
 | Name | Description
Public method | RSAFromPkcs8 | Initializes a new instance of the RSAFromPkcs8 class
Top
Methods
Name | Description
decryptData | 用RSA解密
RSASignCharSet |
sign | 签名
verify | 验证签名
Top
See Also

Reference

Com.Alipay Namespace


RSAFromPkcs8 Constructor

Initializes a new instance of the RSAFromPkcs8 class

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RSAFromPkcs8()
Public Sub New
public:
RSAFromPkcs8()
new : unit -> RSAFromPkcs8
See Also

Reference

RSAFromPkcs8 Class
Com.Alipay Namespace


RSAFromPkcs8 Methods

The RSAFromPkcs8 type exposes the following members.

Methods
Name | Description
decryptData | 用RSA解密
RSASignCharSet |
sign | 签名
verify | 验证签名
Top
See Also

Reference

RSAFromPkcs8 Class
Com.Alipay Namespace


RSAFromPkcs8.decryptData Method

RSAFromPkcs8decryptData Method

用RSA解密

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string decryptData(
    string resData,
    string privateKey,
    string input_charset
)
Public Shared Function decryptData (
    resData As String,
    privateKey As String,
    input_charset As String
) As String
public:
static String^ decryptData(
    String^ resData,
    String^ privateKey,
    String^ input_charset
)
static member decryptData :
        resData : string *
        privateKey : string *
        input_charset : string -> string

Parameters

resData
Type: SystemString
待解密字符串
privateKey
Type: SystemString
私钥
input_charset
Type: SystemString
编码格式

Return Value

Type: String
解密结果
See Also

Reference

RSAFromPkcs8 Class
Com.Alipay Namespace


RSAFromPkcs8.RSASignCharSet Method

RSAFromPkcs8RSASignCharSet Method

[Missing <summary> documentation for "M:Com.Alipay.RSAFromPkcs8.RSASignCharSet(System.String,System.String,System.String)"]

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string RSASignCharSet(
    string data,
    string privateKey,
    string charset
)
Public Shared Function RSASignCharSet (
    data As String,
    privateKey As String,
    charset As String
) As String
public:
static String^ RSASignCharSet(
    String^ data,
    String^ privateKey,
    String^ charset
)
static member RSASignCharSet :
        data : string *
        privateKey : string *
        charset : string -> string

Parameters

data
Type: SystemString

[Missing <param name="data"/> documentation for "M:Com.Alipay.RSAFromPkcs8.RSASignCharSet(System.String,System.String,System.String)"]

privateKey
Type: SystemString

[Missing <param name="privateKey"/> documentation for "M:Com.Alipay.RSAFromPkcs8.RSASignCharSet(System.String,System.String,System.String)"]

charset
Type: SystemString

[Missing <param name="charset"/> documentation for "M:Com.Alipay.RSAFromPkcs8.RSASignCharSet(System.String,System.String,System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:Com.Alipay.RSAFromPkcs8.RSASignCharSet(System.String,System.String,System.String)"]

See Also

Reference

RSAFromPkcs8 Class
Com.Alipay Namespace


RSAFromPkcs8.sign Method

RSAFromPkcs8sign Method

签名

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string sign(
    string content,
    string privateKey,
    string input_charset
)
Public Shared Function sign (
    content As String,
    privateKey As String,
    input_charset As String
) As String
public:
static String^ sign(
    String^ content,
    String^ privateKey,
    String^ input_charset
)
static member sign :
        content : string *
        privateKey : string *
        input_charset : string -> string

Parameters

content
Type: SystemString
需要签名的内容
privateKey
Type: SystemString
私钥
input_charset
Type: SystemString
编码格式

Return Value

Type: String

[Missing <returns> documentation for "M:Com.Alipay.RSAFromPkcs8.sign(System.String,System.String,System.String)"]

See Also

Reference

RSAFromPkcs8 Class
Com.Alipay Namespace


RSAFromPkcs8.verify Method

RSAFromPkcs8verify Method

验证签名

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool verify(
    string content,
    string signedString,
    string publicKey,
    string input_charset
)
Public Shared Function verify (
    content As String,
    signedString As String,
    publicKey As String,
    input_charset As String
) As Boolean
public:
static bool verify(
    String^ content,
    String^ signedString,
    String^ publicKey,
    String^ input_charset
)
static member verify :
        content : string *
        signedString : string *
        publicKey : string *
        input_charset : string -> bool

Parameters

content
Type: SystemString
需要验证的内容
signedString
Type: SystemString
签名结果
publicKey
Type: SystemString
公钥
input_charset
Type: SystemString
编码格式

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Com.Alipay.RSAFromPkcs8.verify(System.String,System.String,System.String,System.String)"]

See Also

Reference

RSAFromPkcs8 Class
Com.Alipay Namespace


Submit Class
类名：Submit 功能：支付宝各接口请求提交类 详细：构造支付宝各接口表单HTML文本，获取远程HTTP数据 版本：3.3 修改日期：2011-07-05 说明： 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。 该代码仅供学习和研究支付宝接口使用，只是提供一个参考
Inheritance Hierarchy
SystemObject
Com.AlipaySubmit

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Submit
Public Class Submit
public ref class Submit
type Submit =  class end

The Submit type exposes the following members.

Constructors
 | Name | Description
Public method | Submit | Initializes a new instance of the Submit class
Top
Methods
 | Name | Description
Public method | BuildRequest(SortedDictionaryString, String) | 建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果
Public method | BuildRequest(SortedDictionaryString, String, String, String) | 建立请求，以表单HTML形式构造（默认）
Public method | BuildRequest(SortedDictionaryString, String, String, String, Byte, String, Int32) | 建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果，带文件上传功能
Public method | Query_timestamp | 用于防钓鱼，调用接口query_timestamp来获取时间戳的处理函数 注意：远程解析XML出错，与IIS服务器配置有关
Top
See Also

Reference

Com.Alipay Namespace


Submit Constructor

Initializes a new instance of the Submit class

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Submit(
    string partner,
    string privateKey
)
Public Sub New (
    partner As String,
    privateKey As String
)
public:
Submit(
    String^ partner,
    String^ privateKey
)
new :
        partner : string *
        privateKey : string -> Submit

Parameters

partner
Type: SystemString

[Missing <param name="partner"/> documentation for "M:Com.Alipay.Submit.#ctor(System.String,System.String)"]

privateKey
Type: SystemString

[Missing <param name="privateKey"/> documentation for "M:Com.Alipay.Submit.#ctor(System.String,System.String)"]

See Also

Reference

Submit Class
Com.Alipay Namespace


Submit Methods

The Submit type exposes the following members.

Methods
 | Name | Description
Public method | BuildRequest(SortedDictionaryString, String) | 建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果
Public method | BuildRequest(SortedDictionaryString, String, String, String) | 建立请求，以表单HTML形式构造（默认）
Public method | BuildRequest(SortedDictionaryString, String, String, String, Byte, String, Int32) | 建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果，带文件上传功能
Public method | Query_timestamp | 用于防钓鱼，调用接口query_timestamp来获取时间戳的处理函数 注意：远程解析XML出错，与IIS服务器配置有关
Top
See Also

Reference

Submit Class
Com.Alipay Namespace


Submit.BuildRequest Method

SubmitBuildRequest Method

Overload List
 | Name | Description
Public method | BuildRequest(SortedDictionaryString, String) | 建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果
Public method | BuildRequest(SortedDictionaryString, String, String, String) | 建立请求，以表单HTML形式构造（默认）
Public method | BuildRequest(SortedDictionaryString, String, String, String, Byte, String, Int32) | 建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果，带文件上传功能
Top
See Also

Reference

Submit Class
Com.Alipay Namespace


Submit.BuildRequest Method (SortedDictionary(String, String))

SubmitBuildRequest Method (SortedDictionaryString, String)
建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string BuildRequest(
    SortedDictionary<string, string> sParaTemp
)
Public Function BuildRequest (
    sParaTemp As SortedDictionary(Of String, String)
) As String
public:
String^ BuildRequest(
    SortedDictionary<String^, String^>^ sParaTemp
)
member BuildRequest :
        sParaTemp : SortedDictionary<string, string> -> string

Parameters

sParaTemp
Type: System.Collections.GenericSortedDictionary String, String
请求参数数组

Return Value

Type: String
支付宝处理结果
See Also

Reference

Submit Class
BuildRequest Overload
Com.Alipay Namespace


Submit.BuildRequest Method (SortedDictionary(String, String), String, String)

SubmitBuildRequest Method (SortedDictionaryString, String, String, String)
建立请求，以表单HTML形式构造（默认）

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string BuildRequest(
    SortedDictionary<string, string> sParaTemp,
    string strMethod,
    string strButtonValue
)
Public Function BuildRequest (
    sParaTemp As SortedDictionary(Of String, String),
    strMethod As String,
    strButtonValue As String
) As String
public:
String^ BuildRequest(
    SortedDictionary<String^, String^>^ sParaTemp,
    String^ strMethod,
    String^ strButtonValue
)
member BuildRequest :
        sParaTemp : SortedDictionary<string, string> *
        strMethod : string *
        strButtonValue : string -> string

Parameters

sParaTemp
Type: System.Collections.GenericSortedDictionary String, String
请求参数数组
strMethod
Type: SystemString
提交方式。两个值可选：post、get
strButtonValue
Type: SystemString
确认按钮显示文字

Return Value

Type: String
提交表单HTML文本
See Also

Reference

Submit Class
BuildRequest Overload
Com.Alipay Namespace


Submit.BuildRequest Method (SortedDictionary(String, String), String, String, Byte[], String, Int32)

SubmitBuildRequest Method (SortedDictionaryString, String, String, String, Byte, String, Int32)
建立请求，以模拟远程HTTP的POST请求方式构造并获取支付宝的处理结果，带文件上传功能

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string BuildRequest(
    SortedDictionary<string, string> sParaTemp,
    string strMethod,
    string fileName,
    byte[] data,
    string contentType,
    int lengthFile
)
Public Function BuildRequest (
    sParaTemp As SortedDictionary(Of String, String),
    strMethod As String,
    fileName As String,
    data As Byte(),
    contentType As String,
    lengthFile As Integer
) As String
public:
String^ BuildRequest(
    SortedDictionary<String^, String^>^ sParaTemp,
    String^ strMethod,
    String^ fileName,
    array<unsigned char>^ data,
    String^ contentType,
    int lengthFile
)
member BuildRequest :
        sParaTemp : SortedDictionary<string, string> *
        strMethod : string *
        fileName : string *
        data : byte[] *
        contentType : string *
        lengthFile : int -> string

Parameters

sParaTemp
Type: System.Collections.GenericSortedDictionary String, String
请求参数数组
strMethod
Type: SystemString
提交方式。两个值可选：post、get
fileName
Type: SystemString
文件绝对路径
data
Type: SystemByte
文件数据
contentType
Type: SystemString
文件内容类型
lengthFile
Type: SystemInt32
文件长度

Return Value

Type: String
支付宝处理结果
See Also

Reference

Submit Class
BuildRequest Overload
Com.Alipay Namespace


Submit.Query_timestamp Method

SubmitQuery_timestamp Method

用于防钓鱼，调用接口query_timestamp来获取时间戳的处理函数 注意：远程解析XML出错，与IIS服务器配置有关

Namespace: Com.Alipay
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Query_timestamp()
Public Function Query_timestamp As String
public:
String^ Query_timestamp()
member Query_timestamp : unit -> string

Return Value

Type: String
时间戳字符串
See Also

Reference

Submit Class
Com.Alipay Namespace


Pingpp Namespaces

[Missing <summary> documentation for "G:Pingpp"]

Namespaces
Namespace | Description
Pingpp |
Pingpp.Exception |
Pingpp.Models |
Pingpp.Net |
Pingpp.Utils |


Pingpp Namespace

[Missing <summary> documentation for "N:Pingpp"]

Classes
 | Class | Description
Public class | Pingpp |


Pingpp Class

[Missing <summary> documentation for "T:Pingpp.Pingpp"]

Inheritance Hierarchy
SystemObject
PingppPingpp
More...

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class Pingpp
Public MustInherit Class Pingpp
public ref class Pingpp abstract
[<AbstractClassAttribute>]
type Pingpp =  class end

The Pingpp type exposes the following members.

Constructors
 | Name | Description
Protected method | Pingpp | Initializes a new instance of the Pingpp class
Top
Methods
 | Name | Description
 | SetApiKey |
 | SetPrivateKey |
 | SetPrivateKeyPath |
Public method | ToString | (Overrides ObjectToString.)
Top
Fields
Name | Description
AcceptLanguage |
ApiBase |
ApiKey |
ApiVersion |
DefaultReadAndWriteTimeout |
DefaultTimeout |
PrivateKey |
Version |
Top
See Also

Reference

Pingpp Namespace
Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsCard
Pingpp.ModelsCardList
Pingpp.ModelsCharge
Pingpp.ModelsChargeList
Pingpp.ModelsCustomer
Pingpp.ModelsCustomerList
Pingpp.ModelsEvent
Pingpp.ModelsEventList
Pingpp.ModelsRedEnvelope
Pingpp.ModelsRedEnvelopeList
Pingpp.ModelsRefund
Pingpp.ModelsRefundList
Pingpp.ModelsSmsCode
Pingpp.ModelsToken
Pingpp.ModelsTransfer
Pingpp.ModelsTransferList
Pingpp.ModelsWebhooks


Pingpp Constructor

Initializes a new instance of the Pingpp class

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected Pingpp()
Protected Sub New
protected:
Pingpp()
new : unit -> Pingpp
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp Methods

The Pingpp type exposes the following members.

Methods
 | Name | Description
 | SetApiKey |
 | SetPrivateKey |
 | SetPrivateKeyPath |
Public method | ToString | (Overrides ObjectToString.)
Top
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.SetApiKey Method

PingppSetApiKey Method

[Missing <summary> documentation for "M:Pingpp.Pingpp.SetApiKey(System.String)"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetApiKey(
    string newApiKey
)
Public Shared Sub SetApiKey (
    newApiKey As String
)
public:
static void SetApiKey(
    String^ newApiKey
)
static member SetApiKey :
        newApiKey : string -> unit

Parameters

newApiKey
Type: SystemString

[Missing <param name="newApiKey"/> documentation for "M:Pingpp.Pingpp.SetApiKey(System.String)"]

See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.SetPrivateKey Method

PingppSetPrivateKey Method

[Missing <summary> documentation for "M:Pingpp.Pingpp.SetPrivateKey(System.String)"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetPrivateKey(
    string newPrivateKey
)
Public Shared Sub SetPrivateKey (
    newPrivateKey As String
)
public:
static void SetPrivateKey(
    String^ newPrivateKey
)
static member SetPrivateKey :
        newPrivateKey : string -> unit

Parameters

newPrivateKey
Type: SystemString

[Missing <param name="newPrivateKey"/> documentation for "M:Pingpp.Pingpp.SetPrivateKey(System.String)"]

See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.SetPrivateKeyPath Method

PingppSetPrivateKeyPath Method

[Missing <summary> documentation for "M:Pingpp.Pingpp.SetPrivateKeyPath(System.String)"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetPrivateKeyPath(
    string newPrivateKeyPath
)
Public Shared Sub SetPrivateKeyPath (
    newPrivateKeyPath As String
)
public:
static void SetPrivateKeyPath(
    String^ newPrivateKeyPath
)
static member SetPrivateKeyPath :
        newPrivateKeyPath : string -> unit

Parameters

newPrivateKeyPath
Type: SystemString

[Missing <param name="newPrivateKeyPath"/> documentation for "M:Pingpp.Pingpp.SetPrivateKeyPath(System.String)"]

See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.ToString Method

PingppToString Method

[Missing <summary> documentation for "M:Pingpp.Pingpp.ToString"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Pingpp.Pingpp.ToString"]

See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp Fields

The Pingpp type exposes the following members.

Fields
Name | Description
AcceptLanguage |
ApiBase |
ApiKey |
ApiVersion |
DefaultReadAndWriteTimeout |
DefaultTimeout |
PrivateKey |
Version |
Top
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.AcceptLanguage Field

PingppAcceptLanguage Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.AcceptLanguage"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string AcceptLanguage
Public Shared AcceptLanguage As String
public:
static String^ AcceptLanguage
static val mutable AcceptLanguage: string

Field Value

Type: String
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.ApiBase Field

PingppApiBase Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.ApiBase"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string ApiBase
Public Shared ApiBase As String
public:
static String^ ApiBase
static val mutable ApiBase: string

Field Value

Type: String
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.ApiKey Field

PingppApiKey Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.ApiKey"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string ApiKey
Public Shared ApiKey As String
public:
static String^ ApiKey
static val mutable ApiKey: string

Field Value

Type: String
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.ApiVersion Field

PingppApiVersion Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.ApiVersion"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string ApiVersion
Public Shared ApiVersion As String
public:
static String^ ApiVersion
static val mutable ApiVersion: string

Field Value

Type: String
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.DefaultReadAndWriteTimeout Field

PingppDefaultReadAndWriteTimeout Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.DefaultReadAndWriteTimeout"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int DefaultReadAndWriteTimeout
Public Shared DefaultReadAndWriteTimeout As Integer
public:
static int DefaultReadAndWriteTimeout
static val mutable DefaultReadAndWriteTimeout: int

Field Value

Type: Int32
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.DefaultTimeout Field

PingppDefaultTimeout Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.DefaultTimeout"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int DefaultTimeout
Public Shared DefaultTimeout As Integer
public:
static int DefaultTimeout
static val mutable DefaultTimeout: int

Field Value

Type: Int32
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.PrivateKey Field

PingppPrivateKey Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.PrivateKey"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static byte[] PrivateKey
Public Shared PrivateKey As Byte()
public:
static array<unsigned char>^ PrivateKey
static val mutable PrivateKey: byte[]

Field Value

Type: Byte
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.Version Field

PingppVersion Field

[Missing <summary> documentation for "F:Pingpp.Pingpp.Version"]

Namespace: Pingpp
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Version
Public Shared Version As String
public:
static String^ Version
static val mutable Version: string

Field Value

Type: String
See Also

Reference

Pingpp Class
Pingpp Namespace


Pingpp.Exception Namespace

[Missing <summary> documentation for "N:Pingpp.Exception"]

Classes
 | Class | Description
Public class | PingppException |


PingppException Class

[Missing <summary> documentation for "T:Pingpp.Exception.PingppException"]

Inheritance Hierarchy
SystemObject
SystemException
HttpException
ZKWeb.Plugins.Common.Base.src.Components.ExceptionsBadRequestException
Pingpp.ExceptionPingppException

Namespace: Pingpp.Exception
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PingppException : BadRequestException
Public Class PingppException
    Inherits BadRequestException
public ref class PingppException : public BadRequestException
type PingppException =
    class
        inherit BadRequestException
    end

The PingppException type exposes the following members.

Constructors
 | Name | Description
Public method | PingppException(String) | Initializes a new instance of the PingppException class
Public method | PingppException(Error, String, String) | Initializes a new instance of the PingppException class
Top
Properties
 | Name | Description
Public property | Error |
Top
See Also

Reference

Pingpp.Exception Namespace


PingppException Constructor

Overload List
 | Name | Description
Public method | PingppException(String) | Initializes a new instance of the PingppException class
Public method | PingppException(Error, String, String) | Initializes a new instance of the PingppException class
Top
See Also

Reference

PingppException Class
Pingpp.Exception Namespace


PingppException Constructor (String)
Initializes a new instance of the PingppException class

Namespace: Pingpp.Exception
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PingppException(
    string message
)
Public Sub New (
    message As String
)
public:
PingppException(
    String^ message
)
new :
        message : string -> PingppException

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Pingpp.Exception.PingppException.#ctor(System.String)"]

See Also

Reference

PingppException Class
PingppException Overload
Pingpp.Exception Namespace


PingppException Constructor (Error, String, String)
Initializes a new instance of the PingppException class

Namespace: Pingpp.Exception
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PingppException(
    Error pingppError,
    string type = null,
    string message = null
)
Public Sub New (
    pingppError As Error,
    Optional type As String = Nothing,
    Optional message As String = Nothing
)
public:
PingppException(
    Error^ pingppError,
    String^ type = nullptr,
    String^ message = nullptr
)
new :
        pingppError : Error *
        ?type : string *
        ?message : string
(* Defaults:
        let _type = defaultArg type null
        let _message = defaultArg message null
*)
-> PingppException

Parameters

pingppError
Type: Pingpp.ModelsError

[Missing <param name="pingppError"/> documentation for "M:Pingpp.Exception.PingppException.#ctor(Pingpp.Models.Error,System.String,System.String)"]

type (Optional)
Type: SystemString

[Missing <param name="type"/> documentation for "M:Pingpp.Exception.PingppException.#ctor(Pingpp.Models.Error,System.String,System.String)"]

message (Optional)
Type: SystemString

[Missing <param name="message"/> documentation for "M:Pingpp.Exception.PingppException.#ctor(Pingpp.Models.Error,System.String,System.String)"]

See Also

Reference

PingppException Class
PingppException Overload
Pingpp.Exception Namespace


PingppException Properties

The PingppException type exposes the following members.

Properties
 | Name | Description
Public property | Error |
Top
See Also

Reference

PingppException Class
Pingpp.Exception Namespace


PingppException.Error Property

PingppExceptionError Property

[Missing <summary> documentation for "P:Pingpp.Exception.PingppException.Error"]

Namespace: Pingpp.Exception
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Error Error { get; set; }
Public Property Error As Error
    Get
    Set
public:
property Error^ Error {
    Error^ get ();
    void set (Error^ value);
}
member Error : Error with get, set

Property Value

Type: Error
See Also

Reference

PingppException Class
Pingpp.Exception Namespace


Pingpp.Models Namespace

[Missing <summary> documentation for "N:Pingpp.Models"]

Classes
 | Class | Description
Public class | Card |
Public class | CardList |
Public class | Charge |
Public class | ChargeList |
Public class | Customer |
Public class | CustomerList |
Public class | Error |
Public class | Event |
Public class | EventList |
Public class | RedEnvelope |
Public class | RedEnvelopeList |
Public class | Refund |
Public class | RefundList |
Public class | SmsCode |
Public class | Token |
Public class | Transfer |
Public class | TransferList |
Public class | Webhooks |


Card Class

[Missing <summary> documentation for "T:Pingpp.Models.Card"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsCard

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Card : Pingpp
Public Class Card
    Inherits Pingpp
public ref class Card : public Pingpp
type Card =
    class
        inherit Pingpp
    end

The Card type exposes the following members.

Constructors
 | Name | Description
Public method | Card | Initializes a new instance of the Card class
Top
Properties
 | Name | Description
Public property | Bank |
Public property | Brand |
Public property | Created |
Public property | Customer |
Public property | Funding |
Public property | Id |
Public property | Last4 |
Public property | Object |
Top
Methods
Name | Description
Create |
Delete |
List |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


Card Constructor

Initializes a new instance of the Card class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Card()
Public Sub New
public:
Card()
new : unit -> Card
See Also

Reference

Card Class
Pingpp.Models Namespace


Card Properties

The Card type exposes the following members.

Properties
 | Name | Description
Public property | Bank |
Public property | Brand |
Public property | Created |
Public property | Customer |
Public property | Funding |
Public property | Id |
Public property | Last4 |
Public property | Object |
Top
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Bank Property

CardBank Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Bank"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Bank { get; set; }
Public Property Bank As String
    Get
    Set
public:
property String^ Bank {
    String^ get ();
    void set (String^ value);
}
member Bank : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Brand Property

CardBrand Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Brand"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Brand { get; set; }
Public Property Brand As String
    Get
    Set
public:
property String^ Brand {
    String^ get ();
    void set (String^ value);
}
member Brand : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Created Property

CardCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Customer Property

CardCustomer Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Customer"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Customer { get; set; }
Public Property Customer As String
    Get
    Set
public:
property String^ Customer {
    String^ get ();
    void set (String^ value);
}
member Customer : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Funding Property

CardFunding Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Funding"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Funding { get; set; }
Public Property Funding As String
    Get
    Set
public:
property String^ Funding {
    String^ get ();
    void set (String^ value);
}
member Funding : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Id Property

CardId Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Last4 Property

CardLast4 Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Last4"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Last4 { get; set; }
Public Property Last4 As String
    Get
    Set
public:
property String^ Last4 {
    String^ get ();
    void set (String^ value);
}
member Last4 : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Object Property

CardObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Card.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Card Class
Pingpp.Models Namespace


Card Methods

The Card type exposes the following members.

Methods
Name | Description
Create |
Delete |
List |
Retrieve |
Top
See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Create Method

CardCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.Card.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Card Create(
    string cusId,
    Dictionary<string, Object> cardParams
)
Public Shared Function Create (
    cusId As String,
    cardParams As Dictionary(Of String, Object)
) As Card
public:
static Card^ Create(
    String^ cusId,
    Dictionary<String^, Object^>^ cardParams
)
static member Create :
        cusId : string *
        cardParams : Dictionary<string, Object> -> Card

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Card.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

cardParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="cardParams"/> documentation for "M:Pingpp.Models.Card.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Card

[Missing <returns> documentation for "M:Pingpp.Models.Card.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Delete Method

CardDelete Method

[Missing <summary> documentation for "M:Pingpp.Models.Card.Delete(System.String,System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object Delete(
    string cusId,
    string cardId
)
Public Shared Function Delete (
    cusId As String,
    cardId As String
) As Object
public:
static Object^ Delete(
    String^ cusId,
    String^ cardId
)
static member Delete :
        cusId : string *
        cardId : string -> Object

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Card.Delete(System.String,System.String)"]

cardId
Type: SystemString

[Missing <param name="cardId"/> documentation for "M:Pingpp.Models.Card.Delete(System.String,System.String)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:Pingpp.Models.Card.Delete(System.String,System.String)"]

See Also

Reference

Card Class
Pingpp.Models Namespace


Card.List Method

CardList Method

[Missing <summary> documentation for "M:Pingpp.Models.Card.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static CardList List(
    string cusId,
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    cusId As String,
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As CardList
public:
static CardList^ List(
    String^ cusId,
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        cusId : string *
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> CardList

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Card.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.Card.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: CardList

[Missing <returns> documentation for "M:Pingpp.Models.Card.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Card Class
Pingpp.Models Namespace


Card.Retrieve Method

CardRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Card.Retrieve(System.String,System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Card Retrieve(
    string cusId,
    string cardId
)
Public Shared Function Retrieve (
    cusId As String,
    cardId As String
) As Card
public:
static Card^ Retrieve(
    String^ cusId,
    String^ cardId
)
static member Retrieve :
        cusId : string *
        cardId : string -> Card

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Card.Retrieve(System.String,System.String)"]

cardId
Type: SystemString

[Missing <param name="cardId"/> documentation for "M:Pingpp.Models.Card.Retrieve(System.String,System.String)"]

Return Value

Type: Card

[Missing <returns> documentation for "M:Pingpp.Models.Card.Retrieve(System.String,System.String)"]

See Also

Reference

Card Class
Pingpp.Models Namespace


CardList Class

[Missing <summary> documentation for "T:Pingpp.Models.CardList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsCardList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CardList : Pingpp
Public Class CardList
    Inherits Pingpp
public ref class CardList : public Pingpp
type CardList =
    class
        inherit Pingpp
    end

The CardList type exposes the following members.

Constructors
 | Name | Description
Public method | CardList | Initializes a new instance of the CardList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


CardList Constructor

Initializes a new instance of the CardList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CardList()
Public Sub New
public:
CardList()
new : unit -> CardList
See Also

Reference

CardList Class
Pingpp.Models Namespace


CardList Properties

The CardList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

CardList Class
Pingpp.Models Namespace


CardList.Data Property

CardListData Property

[Missing <summary> documentation for "P:Pingpp.Models.CardList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Card> Data { get; set; }
Public Property Data As IEnumerable(Of Card)
    Get
    Set
public:
property IEnumerable<Card^>^ Data {
    IEnumerable<Card^>^ get ();
    void set (IEnumerable<Card^>^ value);
}
member Data : IEnumerable<Card> with get, set

Property Value

Type: IEnumerable Card
See Also

Reference

CardList Class
Pingpp.Models Namespace


CardList.HasMore Property

CardListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.CardList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

CardList Class
Pingpp.Models Namespace


CardList.Object Property

CardListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.CardList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

CardList Class
Pingpp.Models Namespace


CardList.Url Property

CardListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.CardList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

CardList Class
Pingpp.Models Namespace


Charge Class

[Missing <summary> documentation for "T:Pingpp.Models.Charge"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsCharge

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Charge : Pingpp
Public Class Charge
    Inherits Pingpp
public ref class Charge : public Pingpp
type Charge =
    class
        inherit Pingpp
    end

The Charge type exposes the following members.

Constructors
 | Name | Description
Public method | Charge | Initializes a new instance of the Charge class
Top
Properties
 | Name | Description
Public property | Amount |
Public property | AmountRefunded |
Public property | AmountSettle |
Public property | App |
Public property | Body |
Public property | Channel |
Public property | ClientIp |
Public property | Created |
Public property | Credential |
Public property | Currency |
Public property | Description |
Public property | Extra |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Paid |
Public property | Refunded |
Public property | Refunds |
Public property | Subject |
Public property | TimeExpire |
Public property | TimePaid |
Public property | TimeSettle |
Public property | TransactionNo |
Top
Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


Charge Constructor

Initializes a new instance of the Charge class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Charge()
Public Sub New
public:
Charge()
new : unit -> Charge
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge Properties

The Charge type exposes the following members.

Properties
 | Name | Description
Public property | Amount |
Public property | AmountRefunded |
Public property | AmountSettle |
Public property | App |
Public property | Body |
Public property | Channel |
Public property | ClientIp |
Public property | Created |
Public property | Credential |
Public property | Currency |
Public property | Description |
Public property | Extra |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Paid |
Public property | Refunded |
Public property | Refunds |
Public property | Subject |
Public property | TimeExpire |
Public property | TimePaid |
Public property | TimeSettle |
Public property | TransactionNo |
Top
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Amount Property

ChargeAmount Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Amount"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Amount { get; set; }
Public Property Amount As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Amount {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Amount : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.AmountRefunded Property

ChargeAmountRefunded Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.AmountRefunded"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> AmountRefunded { get; set; }
Public Property AmountRefunded As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> AmountRefunded {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member AmountRefunded : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.AmountSettle Property

ChargeAmountSettle Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.AmountSettle"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> AmountSettle { get; set; }
Public Property AmountSettle As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> AmountSettle {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member AmountSettle : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.App Property

ChargeApp Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.App"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string App { get; set; }
Public Property App As String
    Get
    Set
public:
property String^ App {
    String^ get ();
    void set (String^ value);
}
member App : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Body Property

ChargeBody Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Body"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Body { get; set; }
Public Property Body As String
    Get
    Set
public:
property String^ Body {
    String^ get ();
    void set (String^ value);
}
member Body : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Channel Property

ChargeChannel Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Channel"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Channel { get; set; }
Public Property Channel As String
    Get
    Set
public:
property String^ Channel {
    String^ get ();
    void set (String^ value);
}
member Channel : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.ClientIp Property

ChargeClientIp Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.ClientIp"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ClientIp { get; set; }
Public Property ClientIp As String
    Get
    Set
public:
property String^ ClientIp {
    String^ get ();
    void set (String^ value);
}
member ClientIp : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Created Property

ChargeCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Credential Property

ChargeCredential Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Credential"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Credential { get; set; }
Public Property Credential As Object
    Get
    Set
public:
property Object^ Credential {
    Object^ get ();
    void set (Object^ value);
}
member Credential : Object with get, set

Property Value

Type: Object
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Currency Property

ChargeCurrency Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Currency"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Description Property

ChargeDescription Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Description"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Extra Property

ChargeExtra Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Extra"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Extra { get; set; }
Public Property Extra As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Extra {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Extra : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.FailureCode Property

ChargeFailureCode Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.FailureCode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureCode { get; set; }
Public Property FailureCode As String
    Get
    Set
public:
property String^ FailureCode {
    String^ get ();
    void set (String^ value);
}
member FailureCode : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.FailureMsg Property

ChargeFailureMsg Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.FailureMsg"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureMsg { get; set; }
Public Property FailureMsg As String
    Get
    Set
public:
property String^ FailureMsg {
    String^ get ();
    void set (String^ value);
}
member FailureMsg : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Id Property

ChargeId Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Livemode Property

ChargeLivemode Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Livemode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Livemode { get; set; }
Public Property Livemode As Boolean
    Get
    Set
public:
property bool Livemode {
    bool get ();
    void set (bool value);
}
member Livemode : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Metadata Property

ChargeMetadata Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Metadata"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Metadata { get; set; }
Public Property Metadata As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Metadata {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Metadata : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Object Property

ChargeObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.OrderNo Property

ChargeOrderNo Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.OrderNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderNo { get; set; }
Public Property OrderNo As String
    Get
    Set
public:
property String^ OrderNo {
    String^ get ();
    void set (String^ value);
}
member OrderNo : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Paid Property

ChargePaid Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Paid"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Paid { get; set; }
Public Property Paid As Boolean
    Get
    Set
public:
property bool Paid {
    bool get ();
    void set (bool value);
}
member Paid : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Refunded Property

ChargeRefunded Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Refunded"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Refunded { get; set; }
Public Property Refunded As Boolean
    Get
    Set
public:
property bool Refunded {
    bool get ();
    void set (bool value);
}
member Refunded : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Refunds Property

ChargeRefunds Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Refunds"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RefundList Refunds { get; set; }
Public Property Refunds As RefundList
    Get
    Set
public:
property RefundList^ Refunds {
    RefundList^ get ();
    void set (RefundList^ value);
}
member Refunds : RefundList with get, set

Property Value

Type: RefundList
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Subject Property

ChargeSubject Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.Subject"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Subject { get; set; }
Public Property Subject As String
    Get
    Set
public:
property String^ Subject {
    String^ get ();
    void set (String^ value);
}
member Subject : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.TimeExpire Property

ChargeTimeExpire Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.TimeExpire"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> TimeExpire { get; set; }
Public Property TimeExpire As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> TimeExpire {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member TimeExpire : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.TimePaid Property

ChargeTimePaid Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.TimePaid"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> TimePaid { get; set; }
Public Property TimePaid As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> TimePaid {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member TimePaid : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.TimeSettle Property

ChargeTimeSettle Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.TimeSettle"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> TimeSettle { get; set; }
Public Property TimeSettle As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> TimeSettle {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member TimeSettle : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.TransactionNo Property

ChargeTransactionNo Property

[Missing <summary> documentation for "P:Pingpp.Models.Charge.TransactionNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TransactionNo { get; set; }
Public Property TransactionNo As String
    Get
    Set
public:
property String^ TransactionNo {
    String^ get ();
    void set (String^ value);
}
member TransactionNo : string with get, set

Property Value

Type: String
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge Methods

The Charge type exposes the following members.

Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Create Method

ChargeCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.Charge.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Charge Create(
    Dictionary<string, Object> chParams
)
Public Shared Function Create (
    chParams As Dictionary(Of String, Object)
) As Charge
public:
static Charge^ Create(
    Dictionary<String^, Object^>^ chParams
)
static member Create :
        chParams : Dictionary<string, Object> -> Charge

Parameters

chParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="chParams"/> documentation for "M:Pingpp.Models.Charge.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Charge

[Missing <returns> documentation for "M:Pingpp.Models.Charge.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.List Method

ChargeList Method

[Missing <summary> documentation for "M:Pingpp.Models.Charge.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static ChargeList List(
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As ChargeList
public:
static ChargeList^ List(
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> ChargeList

Parameters

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.Charge.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: ChargeList

[Missing <returns> documentation for "M:Pingpp.Models.Charge.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Charge Class
Pingpp.Models Namespace


Charge.Retrieve Method

ChargeRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Charge.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Charge Retrieve(
    string id
)
Public Shared Function Retrieve (
    id As String
) As Charge
public:
static Charge^ Retrieve(
    String^ id
)
static member Retrieve :
        id : string -> Charge

Parameters

id
Type: SystemString

[Missing <param name="id"/> documentation for "M:Pingpp.Models.Charge.Retrieve(System.String)"]

Return Value

Type: Charge

[Missing <returns> documentation for "M:Pingpp.Models.Charge.Retrieve(System.String)"]

See Also

Reference

Charge Class
Pingpp.Models Namespace


ChargeList Class

[Missing <summary> documentation for "T:Pingpp.Models.ChargeList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsChargeList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ChargeList : Pingpp
Public Class ChargeList
    Inherits Pingpp
public ref class ChargeList : public Pingpp
type ChargeList =
    class
        inherit Pingpp
    end

The ChargeList type exposes the following members.

Constructors
 | Name | Description
Public method | ChargeList | Initializes a new instance of the ChargeList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


ChargeList Constructor

Initializes a new instance of the ChargeList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ChargeList()
Public Sub New
public:
ChargeList()
new : unit -> ChargeList
See Also

Reference

ChargeList Class
Pingpp.Models Namespace


ChargeList Properties

The ChargeList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

ChargeList Class
Pingpp.Models Namespace


ChargeList.Data Property

ChargeListData Property

[Missing <summary> documentation for "P:Pingpp.Models.ChargeList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Charge> Data { get; set; }
Public Property Data As IEnumerable(Of Charge)
    Get
    Set
public:
property IEnumerable<Charge^>^ Data {
    IEnumerable<Charge^>^ get ();
    void set (IEnumerable<Charge^>^ value);
}
member Data : IEnumerable<Charge> with get, set

Property Value

Type: IEnumerable Charge
See Also

Reference

ChargeList Class
Pingpp.Models Namespace


ChargeList.HasMore Property

ChargeListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.ChargeList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ChargeList Class
Pingpp.Models Namespace


ChargeList.Object Property

ChargeListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.ChargeList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

ChargeList Class
Pingpp.Models Namespace


ChargeList.Url Property

ChargeListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.ChargeList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

ChargeList Class
Pingpp.Models Namespace


Customer Class

[Missing <summary> documentation for "T:Pingpp.Models.Customer"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsCustomer

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Customer : Pingpp
Public Class Customer
    Inherits Pingpp
public ref class Customer : public Pingpp
type Customer =
    class
        inherit Pingpp
    end

The Customer type exposes the following members.

Constructors
 | Name | Description
Public method | Customer | Initializes a new instance of the Customer class
Top
Properties
 | Name | Description
Public property | App |
Public property | Created |
Public property | Currency |
Public property | DefaultSource |
Public property | Description |
Public property | Email |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Name |
Public property | Object |
Public property | Sources |
Top
Methods
Name | Description
Create |
Delete |
List |
Retrieve |
Update |
Top
See Also

Reference

Pingpp.Models Namespace


Customer Constructor

Initializes a new instance of the Customer class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Customer()
Public Sub New
public:
Customer()
new : unit -> Customer
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer Properties

The Customer type exposes the following members.

Properties
 | Name | Description
Public property | App |
Public property | Created |
Public property | Currency |
Public property | DefaultSource |
Public property | Description |
Public property | Email |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Name |
Public property | Object |
Public property | Sources |
Top
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.App Property

CustomerApp Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.App"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string App { get; set; }
Public Property App As String
    Get
    Set
public:
property String^ App {
    String^ get ();
    void set (String^ value);
}
member App : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Created Property

CustomerCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Currency Property

CustomerCurrency Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Currency"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.DefaultSource Property

CustomerDefaultSource Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.DefaultSource"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultSource { get; set; }
Public Property DefaultSource As String
    Get
    Set
public:
property String^ DefaultSource {
    String^ get ();
    void set (String^ value);
}
member DefaultSource : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Description Property

CustomerDescription Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Description"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Email Property

CustomerEmail Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Email"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Email { get; set; }
Public Property Email As String
    Get
    Set
public:
property String^ Email {
    String^ get ();
    void set (String^ value);
}
member Email : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Id Property

CustomerId Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Livemode Property

CustomerLivemode Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Livemode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Livemode { get; set; }
Public Property Livemode As Boolean
    Get
    Set
public:
property bool Livemode {
    bool get ();
    void set (bool value);
}
member Livemode : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Metadata Property

CustomerMetadata Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Metadata"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Metadata { get; set; }
Public Property Metadata As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Metadata {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Metadata : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Name Property

CustomerName Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Name"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Object Property

CustomerObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Sources Property

CustomerSources Property

[Missing <summary> documentation for "P:Pingpp.Models.Customer.Sources"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CardList Sources { get; set; }
Public Property Sources As CardList
    Get
    Set
public:
property CardList^ Sources {
    CardList^ get ();
    void set (CardList^ value);
}
member Sources : CardList with get, set

Property Value

Type: CardList
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer Methods

The Customer type exposes the following members.

Methods
Name | Description
Create |
Delete |
List |
Retrieve |
Update |
Top
See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Create Method

CustomerCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.Customer.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Customer Create(
    Dictionary<string, Object> cusParams
)
Public Shared Function Create (
    cusParams As Dictionary(Of String, Object)
) As Customer
public:
static Customer^ Create(
    Dictionary<String^, Object^>^ cusParams
)
static member Create :
        cusParams : Dictionary<string, Object> -> Customer

Parameters

cusParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="cusParams"/> documentation for "M:Pingpp.Models.Customer.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Customer

[Missing <returns> documentation for "M:Pingpp.Models.Customer.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Delete Method

CustomerDelete Method

[Missing <summary> documentation for "M:Pingpp.Models.Customer.Delete(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object Delete(
    string cusId
)
Public Shared Function Delete (
    cusId As String
) As Object
public:
static Object^ Delete(
    String^ cusId
)
static member Delete :
        cusId : string -> Object

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Customer.Delete(System.String)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:Pingpp.Models.Customer.Delete(System.String)"]

See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.List Method

CustomerList Method

[Missing <summary> documentation for "M:Pingpp.Models.Customer.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static CustomerList List(
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As CustomerList
public:
static CustomerList^ List(
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> CustomerList

Parameters

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.Customer.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: CustomerList

[Missing <returns> documentation for "M:Pingpp.Models.Customer.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Retrieve Method

CustomerRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Customer.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Customer Retrieve(
    string cusId
)
Public Shared Function Retrieve (
    cusId As String
) As Customer
public:
static Customer^ Retrieve(
    String^ cusId
)
static member Retrieve :
        cusId : string -> Customer

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Customer.Retrieve(System.String)"]

Return Value

Type: Customer

[Missing <returns> documentation for "M:Pingpp.Models.Customer.Retrieve(System.String)"]

See Also

Reference

Customer Class
Pingpp.Models Namespace


Customer.Update Method

CustomerUpdate Method

[Missing <summary> documentation for "M:Pingpp.Models.Customer.Update(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Customer Update(
    string cusId,
    Dictionary<string, Object> cusParams
)
Public Shared Function Update (
    cusId As String,
    cusParams As Dictionary(Of String, Object)
) As Customer
public:
static Customer^ Update(
    String^ cusId,
    Dictionary<String^, Object^>^ cusParams
)
static member Update :
        cusId : string *
        cusParams : Dictionary<string, Object> -> Customer

Parameters

cusId
Type: SystemString

[Missing <param name="cusId"/> documentation for "M:Pingpp.Models.Customer.Update(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

cusParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="cusParams"/> documentation for "M:Pingpp.Models.Customer.Update(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Customer

[Missing <returns> documentation for "M:Pingpp.Models.Customer.Update(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Customer Class
Pingpp.Models Namespace


CustomerList Class

[Missing <summary> documentation for "T:Pingpp.Models.CustomerList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsCustomerList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CustomerList : Pingpp
Public Class CustomerList
    Inherits Pingpp
public ref class CustomerList : public Pingpp
type CustomerList =
    class
        inherit Pingpp
    end

The CustomerList type exposes the following members.

Constructors
 | Name | Description
Public method | CustomerList | Initializes a new instance of the CustomerList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


CustomerList Constructor

Initializes a new instance of the CustomerList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomerList()
Public Sub New
public:
CustomerList()
new : unit -> CustomerList
See Also

Reference

CustomerList Class
Pingpp.Models Namespace


CustomerList Properties

The CustomerList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

CustomerList Class
Pingpp.Models Namespace


CustomerList.Data Property

CustomerListData Property

[Missing <summary> documentation for "P:Pingpp.Models.CustomerList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Customer> Data { get; set; }
Public Property Data As IEnumerable(Of Customer)
    Get
    Set
public:
property IEnumerable<Customer^>^ Data {
    IEnumerable<Customer^>^ get ();
    void set (IEnumerable<Customer^>^ value);
}
member Data : IEnumerable<Customer> with get, set

Property Value

Type: IEnumerable Customer
See Also

Reference

CustomerList Class
Pingpp.Models Namespace


CustomerList.HasMore Property

CustomerListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.CustomerList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

CustomerList Class
Pingpp.Models Namespace


CustomerList.Object Property

CustomerListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.CustomerList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

CustomerList Class
Pingpp.Models Namespace


CustomerList.Url Property

CustomerListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.CustomerList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

CustomerList Class
Pingpp.Models Namespace


Error Class

[Missing <summary> documentation for "T:Pingpp.Models.Error"]

Inheritance Hierarchy
SystemObject
Pingpp.ModelsError

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Error
Public Class Error
public ref class Error
type Error =  class end

The Error type exposes the following members.

Constructors
 | Name | Description
Public method | Error | Initializes a new instance of the Error class
Top
Properties
 | Name | Description
Public property | Code |
Public property | ErrorType |
Public property | Message |
Top
See Also

Reference

Pingpp.Models Namespace


Error Constructor

Initializes a new instance of the Error class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Error()
Public Sub New
public:
Error()
new : unit -> Error
See Also

Reference

Error Class
Pingpp.Models Namespace


Error Properties

The Error type exposes the following members.

Properties
 | Name | Description
Public property | Code |
Public property | ErrorType |
Public property | Message |
Top
See Also

Reference

Error Class
Pingpp.Models Namespace


Error.Code Property

ErrorCode Property

[Missing <summary> documentation for "P:Pingpp.Models.Error.Code"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Code { get; set; }
Public Property Code As String
    Get
    Set
public:
property String^ Code {
    String^ get ();
    void set (String^ value);
}
member Code : string with get, set

Property Value

Type: String
See Also

Reference

Error Class
Pingpp.Models Namespace


Error.ErrorType Property

ErrorErrorType Property

[Missing <summary> documentation for "P:Pingpp.Models.Error.ErrorType"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ErrorType { get; set; }
Public Property ErrorType As String
    Get
    Set
public:
property String^ ErrorType {
    String^ get ();
    void set (String^ value);
}
member ErrorType : string with get, set

Property Value

Type: String
See Also

Reference

Error Class
Pingpp.Models Namespace


Error.Message Property

ErrorMessage Property

[Missing <summary> documentation for "P:Pingpp.Models.Error.Message"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Message { get; set; }
Public Property Message As String
    Get
    Set
public:
property String^ Message {
    String^ get ();
    void set (String^ value);
}
member Message : string with get, set

Property Value

Type: String
See Also

Reference

Error Class
Pingpp.Models Namespace


Event Class

[Missing <summary> documentation for "T:Pingpp.Models.Event"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsEvent

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Event : Pingpp
Public Class Event
    Inherits Pingpp
public ref class Event : public Pingpp
type Event =
    class
        inherit Pingpp
    end

The Event type exposes the following members.

Constructors
 | Name | Description
Public method | Event | Initializes a new instance of the Event class
Top
Properties
 | Name | Description
Public property | Created |
Public property | Data |
Public property | Id |
Public property | Livemode |
Public property | Object |
Public property | PendingWebhooks |
Public property | Request |
Public property | Type |
Top
Methods
Name | Description
List |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


Event Constructor

Initializes a new instance of the Event class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Event()
Public Sub New
public:
Event()
new : unit -> Event
See Also

Reference

Event Class
Pingpp.Models Namespace


Event Properties

The Event type exposes the following members.

Properties
 | Name | Description
Public property | Created |
Public property | Data |
Public property | Id |
Public property | Livemode |
Public property | Object |
Public property | PendingWebhooks |
Public property | Request |
Public property | Type |
Top
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Created Property

EventCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Data Property

EventData Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Data { get; set; }
Public Property Data As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Data {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Data : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Id Property

EventId Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Livemode Property

EventLivemode Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Livemode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Livemode { get; set; }
Public Property Livemode As Boolean
    Get
    Set
public:
property bool Livemode {
    bool get ();
    void set (bool value);
}
member Livemode : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Object Property

EventObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.PendingWebhooks Property

EventPendingWebhooks Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.PendingWebhooks"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> PendingWebhooks { get; set; }
Public Property PendingWebhooks As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> PendingWebhooks {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member PendingWebhooks : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Request Property

EventRequest Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Request"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Request { get; set; }
Public Property Request As String
    Get
    Set
public:
property String^ Request {
    String^ get ();
    void set (String^ value);
}
member Request : string with get, set

Property Value

Type: String
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Type Property

EventType Property

[Missing <summary> documentation for "P:Pingpp.Models.Event.Type"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

Event Class
Pingpp.Models Namespace


Event Methods

The Event type exposes the following members.

Methods
Name | Description
List |
Retrieve |
Top
See Also

Reference

Event Class
Pingpp.Models Namespace


Event.List Method

EventList Method

[Missing <summary> documentation for "M:Pingpp.Models.Event.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static EventList List(
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As EventList
public:
static EventList^ List(
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> EventList

Parameters

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.Event.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: EventList

[Missing <returns> documentation for "M:Pingpp.Models.Event.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Event Class
Pingpp.Models Namespace


Event.Retrieve Method

EventRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Event.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Event Retrieve(
    string id
)
Public Shared Function Retrieve (
    id As String
) As Event
public:
static Event^ Retrieve(
    String^ id
)
static member Retrieve :
        id : string -> Event

Parameters

id
Type: SystemString

[Missing <param name="id"/> documentation for "M:Pingpp.Models.Event.Retrieve(System.String)"]

Return Value

Type: Event

[Missing <returns> documentation for "M:Pingpp.Models.Event.Retrieve(System.String)"]

See Also

Reference

Event Class
Pingpp.Models Namespace


EventList Class

[Missing <summary> documentation for "T:Pingpp.Models.EventList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsEventList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class EventList : Pingpp
Public Class EventList
    Inherits Pingpp
public ref class EventList : public Pingpp
type EventList =
    class
        inherit Pingpp
    end

The EventList type exposes the following members.

Constructors
 | Name | Description
Public method | EventList | Initializes a new instance of the EventList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


EventList Constructor

Initializes a new instance of the EventList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public EventList()
Public Sub New
public:
EventList()
new : unit -> EventList
See Also

Reference

EventList Class
Pingpp.Models Namespace


EventList Properties

The EventList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

EventList Class
Pingpp.Models Namespace


EventList.Data Property

EventListData Property

[Missing <summary> documentation for "P:Pingpp.Models.EventList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Event> Data { get; set; }
Public Property Data As IEnumerable(Of Event)
    Get
    Set
public:
property IEnumerable<Event^>^ Data {
    IEnumerable<Event^>^ get ();
    void set (IEnumerable<Event^>^ value);
}
member Data : IEnumerable<Event> with get, set

Property Value

Type: IEnumerable Event
See Also

Reference

EventList Class
Pingpp.Models Namespace


EventList.HasMore Property

EventListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.EventList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

EventList Class
Pingpp.Models Namespace


EventList.Object Property

EventListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.EventList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

EventList Class
Pingpp.Models Namespace


EventList.Url Property

EventListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.EventList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

EventList Class
Pingpp.Models Namespace


RedEnvelope Class

[Missing <summary> documentation for "T:Pingpp.Models.RedEnvelope"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsRedEnvelope

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RedEnvelope : Pingpp
Public Class RedEnvelope
    Inherits Pingpp
public ref class RedEnvelope : public Pingpp
type RedEnvelope =
    class
        inherit Pingpp
    end

The RedEnvelope type exposes the following members.

Constructors
 | Name | Description
Public method | RedEnvelope | Initializes a new instance of the RedEnvelope class
Top
Properties
 | Name | Description
Public property | Amount |
Public property | App |
Public property | Body |
Public property | Channel |
Public property | Created |
Public property | Currency |
Public property | Description |
Public property | Extra |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Received |
Public property | Recipient |
Public property | Status |
Public property | Subject |
Public property | TransactionNo |
Top
Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


RedEnvelope Constructor

Initializes a new instance of the RedEnvelope class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RedEnvelope()
Public Sub New
public:
RedEnvelope()
new : unit -> RedEnvelope
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope Properties

The RedEnvelope type exposes the following members.

Properties
 | Name | Description
Public property | Amount |
Public property | App |
Public property | Body |
Public property | Channel |
Public property | Created |
Public property | Currency |
Public property | Description |
Public property | Extra |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Received |
Public property | Recipient |
Public property | Status |
Public property | Subject |
Public property | TransactionNo |
Top
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Amount Property

RedEnvelopeAmount Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Amount"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Amount { get; set; }
Public Property Amount As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Amount {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Amount : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.App Property

RedEnvelopeApp Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.App"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string App { get; set; }
Public Property App As String
    Get
    Set
public:
property String^ App {
    String^ get ();
    void set (String^ value);
}
member App : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Body Property

RedEnvelopeBody Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Body"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Body { get; set; }
Public Property Body As String
    Get
    Set
public:
property String^ Body {
    String^ get ();
    void set (String^ value);
}
member Body : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Channel Property

RedEnvelopeChannel Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Channel"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Channel { get; set; }
Public Property Channel As String
    Get
    Set
public:
property String^ Channel {
    String^ get ();
    void set (String^ value);
}
member Channel : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Created Property

RedEnvelopeCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Currency Property

RedEnvelopeCurrency Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Currency"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Description Property

RedEnvelopeDescription Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Description"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Extra Property

RedEnvelopeExtra Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Extra"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Extra { get; set; }
Public Property Extra As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Extra {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Extra : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.FailureCode Property

RedEnvelopeFailureCode Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.FailureCode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureCode { get; set; }
Public Property FailureCode As String
    Get
    Set
public:
property String^ FailureCode {
    String^ get ();
    void set (String^ value);
}
member FailureCode : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.FailureMsg Property

RedEnvelopeFailureMsg Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.FailureMsg"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureMsg { get; set; }
Public Property FailureMsg As String
    Get
    Set
public:
property String^ FailureMsg {
    String^ get ();
    void set (String^ value);
}
member FailureMsg : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Id Property

RedEnvelopeId Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Livemode Property

RedEnvelopeLivemode Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Livemode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Livemode { get; set; }
Public Property Livemode As Boolean
    Get
    Set
public:
property bool Livemode {
    bool get ();
    void set (bool value);
}
member Livemode : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Metadata Property

RedEnvelopeMetadata Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Metadata"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Metadata { get; set; }
Public Property Metadata As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Metadata {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Metadata : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Object Property

RedEnvelopeObject Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.OrderNo Property

RedEnvelopeOrderNo Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.OrderNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderNo { get; set; }
Public Property OrderNo As String
    Get
    Set
public:
property String^ OrderNo {
    String^ get ();
    void set (String^ value);
}
member OrderNo : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Received Property

RedEnvelopeReceived Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Received"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Received { get; set; }
Public Property Received As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Received {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Received : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Recipient Property

RedEnvelopeRecipient Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Recipient"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Recipient { get; set; }
Public Property Recipient As String
    Get
    Set
public:
property String^ Recipient {
    String^ get ();
    void set (String^ value);
}
member Recipient : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Status Property

RedEnvelopeStatus Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Status"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Status { get; set; }
Public Property Status As String
    Get
    Set
public:
property String^ Status {
    String^ get ();
    void set (String^ value);
}
member Status : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Subject Property

RedEnvelopeSubject Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.Subject"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Subject { get; set; }
Public Property Subject As String
    Get
    Set
public:
property String^ Subject {
    String^ get ();
    void set (String^ value);
}
member Subject : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.TransactionNo Property

RedEnvelopeTransactionNo Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelope.TransactionNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TransactionNo { get; set; }
Public Property TransactionNo As String
    Get
    Set
public:
property String^ TransactionNo {
    String^ get ();
    void set (String^ value);
}
member TransactionNo : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope Methods

The RedEnvelope type exposes the following members.

Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Create Method

RedEnvelopeCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.RedEnvelope.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static RedEnvelope Create(
    Dictionary<string, Object> redParams
)
Public Shared Function Create (
    redParams As Dictionary(Of String, Object)
) As RedEnvelope
public:
static RedEnvelope^ Create(
    Dictionary<String^, Object^>^ redParams
)
static member Create :
        redParams : Dictionary<string, Object> -> RedEnvelope

Parameters

redParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="redParams"/> documentation for "M:Pingpp.Models.RedEnvelope.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: RedEnvelope

[Missing <returns> documentation for "M:Pingpp.Models.RedEnvelope.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.List Method

RedEnvelopeList Method

[Missing <summary> documentation for "M:Pingpp.Models.RedEnvelope.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static RedEnvelopeList List(
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As RedEnvelopeList
public:
static RedEnvelopeList^ List(
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> RedEnvelopeList

Parameters

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.RedEnvelope.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: RedEnvelopeList

[Missing <returns> documentation for "M:Pingpp.Models.RedEnvelope.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelope.Retrieve Method

RedEnvelopeRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.RedEnvelope.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static RedEnvelope Retrieve(
    string redId
)
Public Shared Function Retrieve (
    redId As String
) As RedEnvelope
public:
static RedEnvelope^ Retrieve(
    String^ redId
)
static member Retrieve :
        redId : string -> RedEnvelope

Parameters

redId
Type: SystemString

[Missing <param name="redId"/> documentation for "M:Pingpp.Models.RedEnvelope.Retrieve(System.String)"]

Return Value

Type: RedEnvelope

[Missing <returns> documentation for "M:Pingpp.Models.RedEnvelope.Retrieve(System.String)"]

See Also

Reference

RedEnvelope Class
Pingpp.Models Namespace


RedEnvelopeList Class

[Missing <summary> documentation for "T:Pingpp.Models.RedEnvelopeList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsRedEnvelopeList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RedEnvelopeList : Pingpp
Public Class RedEnvelopeList
    Inherits Pingpp
public ref class RedEnvelopeList : public Pingpp
type RedEnvelopeList =
    class
        inherit Pingpp
    end

The RedEnvelopeList type exposes the following members.

Constructors
 | Name | Description
Public method | RedEnvelopeList | Initializes a new instance of the RedEnvelopeList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


RedEnvelopeList Constructor

Initializes a new instance of the RedEnvelopeList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RedEnvelopeList()
Public Sub New
public:
RedEnvelopeList()
new : unit -> RedEnvelopeList
See Also

Reference

RedEnvelopeList Class
Pingpp.Models Namespace


RedEnvelopeList Properties

The RedEnvelopeList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

RedEnvelopeList Class
Pingpp.Models Namespace


RedEnvelopeList.Data Property

RedEnvelopeListData Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelopeList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<RedEnvelope> Data { get; set; }
Public Property Data As IEnumerable(Of RedEnvelope)
    Get
    Set
public:
property IEnumerable<RedEnvelope^>^ Data {
    IEnumerable<RedEnvelope^>^ get ();
    void set (IEnumerable<RedEnvelope^>^ value);
}
member Data : IEnumerable<RedEnvelope> with get, set

Property Value

Type: IEnumerable RedEnvelope
See Also

Reference

RedEnvelopeList Class
Pingpp.Models Namespace


RedEnvelopeList.HasMore Property

RedEnvelopeListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelopeList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RedEnvelopeList Class
Pingpp.Models Namespace


RedEnvelopeList.Object Property

RedEnvelopeListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelopeList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelopeList Class
Pingpp.Models Namespace


RedEnvelopeList.Url Property

RedEnvelopeListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.RedEnvelopeList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

RedEnvelopeList Class
Pingpp.Models Namespace


Refund Class

[Missing <summary> documentation for "T:Pingpp.Models.Refund"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsRefund

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Refund : Pingpp
Public Class Refund
    Inherits Pingpp
public ref class Refund : public Pingpp
type Refund =
    class
        inherit Pingpp
    end

The Refund type exposes the following members.

Constructors
 | Name | Description
Public method | Refund | Initializes a new instance of the Refund class
Top
Properties
 | Name | Description
Public property | Amount |
Public property | Charge |
Public property | Created |
Public property | Description |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Status |
Public property | Succeed |
Public property | TimeSucceed |
Top
Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


Refund Constructor

Initializes a new instance of the Refund class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Refund()
Public Sub New
public:
Refund()
new : unit -> Refund
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund Properties

The Refund type exposes the following members.

Properties
 | Name | Description
Public property | Amount |
Public property | Charge |
Public property | Created |
Public property | Description |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Status |
Public property | Succeed |
Public property | TimeSucceed |
Top
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Amount Property

RefundAmount Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Amount"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Amount { get; set; }
Public Property Amount As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Amount {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Amount : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Charge Property

RefundCharge Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Charge"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Charge { get; set; }
Public Property Charge As String
    Get
    Set
public:
property String^ Charge {
    String^ get ();
    void set (String^ value);
}
member Charge : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Created Property

RefundCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Description Property

RefundDescription Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Description"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.FailureCode Property

RefundFailureCode Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.FailureCode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureCode { get; set; }
Public Property FailureCode As String
    Get
    Set
public:
property String^ FailureCode {
    String^ get ();
    void set (String^ value);
}
member FailureCode : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.FailureMsg Property

RefundFailureMsg Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.FailureMsg"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureMsg { get; set; }
Public Property FailureMsg As String
    Get
    Set
public:
property String^ FailureMsg {
    String^ get ();
    void set (String^ value);
}
member FailureMsg : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Id Property

RefundId Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Metadata Property

RefundMetadata Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Metadata"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Metadata { get; set; }
Public Property Metadata As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Metadata {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Metadata : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Object Property

RefundObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.OrderNo Property

RefundOrderNo Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.OrderNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderNo { get; set; }
Public Property OrderNo As String
    Get
    Set
public:
property String^ OrderNo {
    String^ get ();
    void set (String^ value);
}
member OrderNo : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Status Property

RefundStatus Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Status"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Status { get; set; }
Public Property Status As String
    Get
    Set
public:
property String^ Status {
    String^ get ();
    void set (String^ value);
}
member Status : string with get, set

Property Value

Type: String
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Succeed Property

RefundSucceed Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.Succeed"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Succeed { get; set; }
Public Property Succeed As Boolean
    Get
    Set
public:
property bool Succeed {
    bool get ();
    void set (bool value);
}
member Succeed : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.TimeSucceed Property

RefundTimeSucceed Property

[Missing <summary> documentation for "P:Pingpp.Models.Refund.TimeSucceed"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> TimeSucceed { get; set; }
Public Property TimeSucceed As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> TimeSucceed {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member TimeSucceed : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund Methods

The Refund type exposes the following members.

Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Create Method

RefundCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.Refund.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Refund Create(
    string id,
    Dictionary<string, Object> reParams
)
Public Shared Function Create (
    id As String,
    reParams As Dictionary(Of String, Object)
) As Refund
public:
static Refund^ Create(
    String^ id,
    Dictionary<String^, Object^>^ reParams
)
static member Create :
        id : string *
        reParams : Dictionary<string, Object> -> Refund

Parameters

id
Type: SystemString

[Missing <param name="id"/> documentation for "M:Pingpp.Models.Refund.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

reParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="reParams"/> documentation for "M:Pingpp.Models.Refund.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Refund

[Missing <returns> documentation for "M:Pingpp.Models.Refund.Create(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.List Method

RefundList Method

[Missing <summary> documentation for "M:Pingpp.Models.Refund.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static RefundList List(
    string id,
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    id As String,
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As RefundList
public:
static RefundList^ List(
    String^ id,
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        id : string *
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> RefundList

Parameters

id
Type: SystemString

[Missing <param name="id"/> documentation for "M:Pingpp.Models.Refund.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.Refund.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: RefundList

[Missing <returns> documentation for "M:Pingpp.Models.Refund.List(System.String,System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Refund Class
Pingpp.Models Namespace


Refund.Retrieve Method

RefundRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Refund.Retrieve(System.String,System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Refund Retrieve(
    string chId,
    string reId
)
Public Shared Function Retrieve (
    chId As String,
    reId As String
) As Refund
public:
static Refund^ Retrieve(
    String^ chId,
    String^ reId
)
static member Retrieve :
        chId : string *
        reId : string -> Refund

Parameters

chId
Type: SystemString

[Missing <param name="chId"/> documentation for "M:Pingpp.Models.Refund.Retrieve(System.String,System.String)"]

reId
Type: SystemString

[Missing <param name="reId"/> documentation for "M:Pingpp.Models.Refund.Retrieve(System.String,System.String)"]

Return Value

Type: Refund

[Missing <returns> documentation for "M:Pingpp.Models.Refund.Retrieve(System.String,System.String)"]

See Also

Reference

Refund Class
Pingpp.Models Namespace


RefundList Class

[Missing <summary> documentation for "T:Pingpp.Models.RefundList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsRefundList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RefundList : Pingpp
Public Class RefundList
    Inherits Pingpp
public ref class RefundList : public Pingpp
type RefundList =
    class
        inherit Pingpp
    end

The RefundList type exposes the following members.

Constructors
 | Name | Description
Public method | RefundList | Initializes a new instance of the RefundList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


RefundList Constructor

Initializes a new instance of the RefundList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RefundList()
Public Sub New
public:
RefundList()
new : unit -> RefundList
See Also

Reference

RefundList Class
Pingpp.Models Namespace


RefundList Properties

The RefundList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

RefundList Class
Pingpp.Models Namespace


RefundList.Data Property

RefundListData Property

[Missing <summary> documentation for "P:Pingpp.Models.RefundList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Refund> Data { get; set; }
Public Property Data As IEnumerable(Of Refund)
    Get
    Set
public:
property IEnumerable<Refund^>^ Data {
    IEnumerable<Refund^>^ get ();
    void set (IEnumerable<Refund^>^ value);
}
member Data : IEnumerable<Refund> with get, set

Property Value

Type: IEnumerable Refund
See Also

Reference

RefundList Class
Pingpp.Models Namespace


RefundList.HasMore Property

RefundListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.RefundList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RefundList Class
Pingpp.Models Namespace


RefundList.Object Property

RefundListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.RefundList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

RefundList Class
Pingpp.Models Namespace


RefundList.Url Property

RefundListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.RefundList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

RefundList Class
Pingpp.Models Namespace


SmsCode Class

[Missing <summary> documentation for "T:Pingpp.Models.SmsCode"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsSmsCode

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SmsCode : Pingpp
Public Class SmsCode
    Inherits Pingpp
public ref class SmsCode : public Pingpp
type SmsCode =
    class
        inherit Pingpp
    end

The SmsCode type exposes the following members.

Constructors
 | Name | Description
Public method | SmsCode | Initializes a new instance of the SmsCode class
Top
Properties
 | Name | Description
Public property | Code |
Public property | Created |
Public property | Id |
Public property | Object |
Public property | Source |
Public property | Validated |
Top
Methods
Name | Description
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


SmsCode Constructor

Initializes a new instance of the SmsCode class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SmsCode()
Public Sub New
public:
SmsCode()
new : unit -> SmsCode
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode Properties

The SmsCode type exposes the following members.

Properties
 | Name | Description
Public property | Code |
Public property | Created |
Public property | Id |
Public property | Object |
Public property | Source |
Public property | Validated |
Top
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Code Property

SmsCodeCode Property

[Missing <summary> documentation for "P:Pingpp.Models.SmsCode.Code"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Code { get; set; }
Public Property Code As String
    Get
    Set
public:
property String^ Code {
    String^ get ();
    void set (String^ value);
}
member Code : string with get, set

Property Value

Type: String
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Created Property

SmsCodeCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.SmsCode.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Id Property

SmsCodeId Property

[Missing <summary> documentation for "P:Pingpp.Models.SmsCode.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Object Property

SmsCodeObject Property

[Missing <summary> documentation for "P:Pingpp.Models.SmsCode.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Source Property

SmsCodeSource Property

[Missing <summary> documentation for "P:Pingpp.Models.SmsCode.Source"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Source { get; set; }
Public Property Source As String
    Get
    Set
public:
property String^ Source {
    String^ get ();
    void set (String^ value);
}
member Source : string with get, set

Property Value

Type: String
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Validated Property

SmsCodeValidated Property

[Missing <summary> documentation for "P:Pingpp.Models.SmsCode.Validated"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Validated { get; set; }
Public Property Validated As Boolean
    Get
    Set
public:
property bool Validated {
    bool get ();
    void set (bool value);
}
member Validated : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode Methods

The SmsCode type exposes the following members.

Methods
Name | Description
Retrieve |
Top
See Also

Reference

SmsCode Class
Pingpp.Models Namespace


SmsCode.Retrieve Method

SmsCodeRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.SmsCode.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static SmsCode Retrieve(
    string smsId
)
Public Shared Function Retrieve (
    smsId As String
) As SmsCode
public:
static SmsCode^ Retrieve(
    String^ smsId
)
static member Retrieve :
        smsId : string -> SmsCode

Parameters

smsId
Type: SystemString

[Missing <param name="smsId"/> documentation for "M:Pingpp.Models.SmsCode.Retrieve(System.String)"]

Return Value

Type: SmsCode

[Missing <returns> documentation for "M:Pingpp.Models.SmsCode.Retrieve(System.String)"]

See Also

Reference

SmsCode Class
Pingpp.Models Namespace


Token Class

[Missing <summary> documentation for "T:Pingpp.Models.Token"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsToken

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Token : Pingpp
Public Class Token
    Inherits Pingpp
public ref class Token : public Pingpp
type Token =
    class
        inherit Pingpp
    end

The Token type exposes the following members.

Constructors
 | Name | Description
Public method | Token | Initializes a new instance of the Token class
Top
Properties
 | Name | Description
Public property | Card |
Public property | Created |
Public property | Id |
Public property | Livemode |
Public property | Object |
Public property | SmsCode |
Public property | TimeUsed |
Public property | Type |
Public property | Used |
Top
Methods
Name | Description
Create |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


Token Constructor

Initializes a new instance of the Token class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Token()
Public Sub New
public:
Token()
new : unit -> Token
See Also

Reference

Token Class
Pingpp.Models Namespace


Token Properties

The Token type exposes the following members.

Properties
 | Name | Description
Public property | Card |
Public property | Created |
Public property | Id |
Public property | Livemode |
Public property | Object |
Public property | SmsCode |
Public property | TimeUsed |
Public property | Type |
Public property | Used |
Top
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Card Property

TokenCard Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Card"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Card { get; set; }
Public Property Card As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Card {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Card : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Created Property

TokenCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Id Property

TokenId Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Livemode Property

TokenLivemode Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Livemode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Livemode { get; set; }
Public Property Livemode As Boolean
    Get
    Set
public:
property bool Livemode {
    bool get ();
    void set (bool value);
}
member Livemode : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Object Property

TokenObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.SmsCode Property

TokenSmsCode Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.SmsCode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> SmsCode { get; set; }
Public Property SmsCode As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ SmsCode {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member SmsCode : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.TimeUsed Property

TokenTimeUsed Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.TimeUsed"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> TimeUsed { get; set; }
Public Property TimeUsed As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> TimeUsed {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member TimeUsed : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Type Property

TokenType Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Type"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Used Property

TokenUsed Property

[Missing <summary> documentation for "P:Pingpp.Models.Token.Used"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Used { get; set; }
Public Property Used As Boolean
    Get
    Set
public:
property bool Used {
    bool get ();
    void set (bool value);
}
member Used : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Token Class
Pingpp.Models Namespace


Token Methods

The Token type exposes the following members.

Methods
Name | Description
Create |
Retrieve |
Top
See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Create Method

TokenCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.Token.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Token Create(
    Dictionary<string, Object> cardParams
)
Public Shared Function Create (
    cardParams As Dictionary(Of String, Object)
) As Token
public:
static Token^ Create(
    Dictionary<String^, Object^>^ cardParams
)
static member Create :
        cardParams : Dictionary<string, Object> -> Token

Parameters

cardParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="cardParams"/> documentation for "M:Pingpp.Models.Token.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Token

[Missing <returns> documentation for "M:Pingpp.Models.Token.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Token Class
Pingpp.Models Namespace


Token.Retrieve Method

TokenRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Token.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Token Retrieve(
    string tokId
)
Public Shared Function Retrieve (
    tokId As String
) As Token
public:
static Token^ Retrieve(
    String^ tokId
)
static member Retrieve :
        tokId : string -> Token

Parameters

tokId
Type: SystemString

[Missing <param name="tokId"/> documentation for "M:Pingpp.Models.Token.Retrieve(System.String)"]

Return Value

Type: Token

[Missing <returns> documentation for "M:Pingpp.Models.Token.Retrieve(System.String)"]

See Also

Reference

Token Class
Pingpp.Models Namespace


Transfer Class

[Missing <summary> documentation for "T:Pingpp.Models.Transfer"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsTransfer

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Transfer : Pingpp
Public Class Transfer
    Inherits Pingpp
public ref class Transfer : public Pingpp
type Transfer =
    class
        inherit Pingpp
    end

The Transfer type exposes the following members.

Constructors
 | Name | Description
Public method | Transfer | Initializes a new instance of the Transfer class
Top
Properties
 | Name | Description
Public property | Amount |
Public property | App |
Public property | Channel |
Public property | Created |
Public property | Currency |
Public property | Description |
Public property | Extra |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Recipient |
Public property | Status |
Public property | TimeTransferred |
Public property | TransactionNo |
Public property | Type |
Top
Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Pingpp.Models Namespace


Transfer Constructor

Initializes a new instance of the Transfer class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Transfer()
Public Sub New
public:
Transfer()
new : unit -> Transfer
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer Properties

The Transfer type exposes the following members.

Properties
 | Name | Description
Public property | Amount |
Public property | App |
Public property | Channel |
Public property | Created |
Public property | Currency |
Public property | Description |
Public property | Extra |
Public property | FailureCode |
Public property | FailureMsg |
Public property | Id |
Public property | Livemode |
Public property | Metadata |
Public property | Object |
Public property | OrderNo |
Public property | Recipient |
Public property | Status |
Public property | TimeTransferred |
Public property | TransactionNo |
Public property | Type |
Top
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Amount Property

TransferAmount Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Amount"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Amount { get; set; }
Public Property Amount As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Amount {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Amount : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.App Property

TransferApp Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.App"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string App { get; set; }
Public Property App As String
    Get
    Set
public:
property String^ App {
    String^ get ();
    void set (String^ value);
}
member App : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Channel Property

TransferChannel Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Channel"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Channel { get; set; }
Public Property Channel As String
    Get
    Set
public:
property String^ Channel {
    String^ get ();
    void set (String^ value);
}
member Channel : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Created Property

TransferCreated Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Created"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> Created { get; set; }
Public Property Created As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> Created {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member Created : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Currency Property

TransferCurrency Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Currency"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Description Property

TransferDescription Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Description"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Extra Property

TransferExtra Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Extra"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Extra { get; set; }
Public Property Extra As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Extra {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Extra : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.FailureCode Property

TransferFailureCode Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.FailureCode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureCode { get; set; }
Public Property FailureCode As String
    Get
    Set
public:
property String^ FailureCode {
    String^ get ();
    void set (String^ value);
}
member FailureCode : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.FailureMsg Property

TransferFailureMsg Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.FailureMsg"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailureMsg { get; set; }
Public Property FailureMsg As String
    Get
    Set
public:
property String^ FailureMsg {
    String^ get ();
    void set (String^ value);
}
member FailureMsg : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Id Property

TransferId Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Id"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Livemode Property

TransferLivemode Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Livemode"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Livemode { get; set; }
Public Property Livemode As Boolean
    Get
    Set
public:
property bool Livemode {
    bool get ();
    void set (bool value);
}
member Livemode : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Metadata Property

TransferMetadata Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Metadata"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Metadata { get; set; }
Public Property Metadata As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Metadata {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Metadata : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Object Property

TransferObject Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.OrderNo Property

TransferOrderNo Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.OrderNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderNo { get; set; }
Public Property OrderNo As String
    Get
    Set
public:
property String^ OrderNo {
    String^ get ();
    void set (String^ value);
}
member OrderNo : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Recipient Property

TransferRecipient Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Recipient"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Recipient { get; set; }
Public Property Recipient As String
    Get
    Set
public:
property String^ Recipient {
    String^ get ();
    void set (String^ value);
}
member Recipient : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Status Property

TransferStatus Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Status"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Status { get; set; }
Public Property Status As String
    Get
    Set
public:
property String^ Status {
    String^ get ();
    void set (String^ value);
}
member Status : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.TimeTransferred Property

TransferTimeTransferred Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.TimeTransferred"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<int> TimeTransferred { get; set; }
Public Property TimeTransferred As Nullable(Of Integer)
    Get
    Set
public:
property Nullable<int> TimeTransferred {
    Nullable<int> get ();
    void set (Nullable<int> value);
}
member TimeTransferred : Nullable<int> with get, set

Property Value

Type: Nullable Int32
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.TransactionNo Property

TransferTransactionNo Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.TransactionNo"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TransactionNo { get; set; }
Public Property TransactionNo As String
    Get
    Set
public:
property String^ TransactionNo {
    String^ get ();
    void set (String^ value);
}
member TransactionNo : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Type Property

TransferType Property

[Missing <summary> documentation for "P:Pingpp.Models.Transfer.Type"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer Methods

The Transfer type exposes the following members.

Methods
Name | Description
Create |
List |
Retrieve |
Top
See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Create Method

TransferCreate Method

[Missing <summary> documentation for "M:Pingpp.Models.Transfer.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Transfer Create(
    Dictionary<string, Object> trParams
)
Public Shared Function Create (
    trParams As Dictionary(Of String, Object)
) As Transfer
public:
static Transfer^ Create(
    Dictionary<String^, Object^>^ trParams
)
static member Create :
        trParams : Dictionary<string, Object> -> Transfer

Parameters

trParams
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="trParams"/> documentation for "M:Pingpp.Models.Transfer.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: Transfer

[Missing <returns> documentation for "M:Pingpp.Models.Transfer.Create(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.List Method

TransferList Method

[Missing <summary> documentation for "M:Pingpp.Models.Transfer.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static TransferList List(
    Dictionary<string, Object> listParams = null
)
Public Shared Function List (
    Optional listParams As Dictionary(Of String, Object) = Nothing
) As TransferList
public:
static TransferList^ List(
    Dictionary<String^, Object^>^ listParams = nullptr
)
static member List :
        ?listParams : Dictionary<string, Object>
(* Defaults:
        let _listParams = defaultArg listParams null
*)
-> TransferList

Parameters

listParams (Optional)
Type: System.Collections.GenericDictionary String, Object

[Missing <param name="listParams"/> documentation for "M:Pingpp.Models.Transfer.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

Return Value

Type: TransferList

[Missing <returns> documentation for "M:Pingpp.Models.Transfer.List(System.Collections.Generic.Dictionary{System.String,System.Object})"]

See Also

Reference

Transfer Class
Pingpp.Models Namespace


Transfer.Retrieve Method

TransferRetrieve Method

[Missing <summary> documentation for "M:Pingpp.Models.Transfer.Retrieve(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Transfer Retrieve(
    string redId
)
Public Shared Function Retrieve (
    redId As String
) As Transfer
public:
static Transfer^ Retrieve(
    String^ redId
)
static member Retrieve :
        redId : string -> Transfer

Parameters

redId
Type: SystemString

[Missing <param name="redId"/> documentation for "M:Pingpp.Models.Transfer.Retrieve(System.String)"]

Return Value

Type: Transfer

[Missing <returns> documentation for "M:Pingpp.Models.Transfer.Retrieve(System.String)"]

See Also

Reference

Transfer Class
Pingpp.Models Namespace


TransferList Class

[Missing <summary> documentation for "T:Pingpp.Models.TransferList"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsTransferList

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TransferList : Pingpp
Public Class TransferList
    Inherits Pingpp
public ref class TransferList : public Pingpp
type TransferList =
    class
        inherit Pingpp
    end

The TransferList type exposes the following members.

Constructors
 | Name | Description
Public method | TransferList | Initializes a new instance of the TransferList class
Top
Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

Pingpp.Models Namespace


TransferList Constructor

Initializes a new instance of the TransferList class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TransferList()
Public Sub New
public:
TransferList()
new : unit -> TransferList
See Also

Reference

TransferList Class
Pingpp.Models Namespace


TransferList Properties

The TransferList type exposes the following members.

Properties
 | Name | Description
Public property | Data |
Public property | HasMore |
Public property | Object |
Public property | Url |
Top
See Also

Reference

TransferList Class
Pingpp.Models Namespace


TransferList.Data Property

TransferListData Property

[Missing <summary> documentation for "P:Pingpp.Models.TransferList.Data"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Transfer> Data { get; set; }
Public Property Data As IEnumerable(Of Transfer)
    Get
    Set
public:
property IEnumerable<Transfer^>^ Data {
    IEnumerable<Transfer^>^ get ();
    void set (IEnumerable<Transfer^>^ value);
}
member Data : IEnumerable<Transfer> with get, set

Property Value

Type: IEnumerable Transfer
See Also

Reference

TransferList Class
Pingpp.Models Namespace


TransferList.HasMore Property

TransferListHasMore Property

[Missing <summary> documentation for "P:Pingpp.Models.TransferList.HasMore"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool HasMore { get; set; }
Public Property HasMore As Boolean
    Get
    Set
public:
property bool HasMore {
    bool get ();
    void set (bool value);
}
member HasMore : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TransferList Class
Pingpp.Models Namespace


TransferList.Object Property

TransferListObject Property

[Missing <summary> documentation for "P:Pingpp.Models.TransferList.Object"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Object { get; set; }
Public Property Object As String
    Get
    Set
public:
property String^ Object {
    String^ get ();
    void set (String^ value);
}
member Object : string with get, set

Property Value

Type: String
See Also

Reference

TransferList Class
Pingpp.Models Namespace


TransferList.Url Property

TransferListUrl Property

[Missing <summary> documentation for "P:Pingpp.Models.TransferList.Url"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

TransferList Class
Pingpp.Models Namespace


Webhooks Class

[Missing <summary> documentation for "T:Pingpp.Models.Webhooks"]

Inheritance Hierarchy
SystemObject
PingppPingpp
Pingpp.ModelsWebhooks

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Webhooks : Pingpp
Public Class Webhooks
    Inherits Pingpp
public ref class Webhooks : public Pingpp
type Webhooks =
    class
        inherit Pingpp
    end

The Webhooks type exposes the following members.

Constructors
 | Name | Description
Public method | Webhooks | Initializes a new instance of the Webhooks class
Top
Methods
Name | Description
ParseWebhook |
Top
See Also

Reference

Pingpp.Models Namespace


Webhooks Constructor

Initializes a new instance of the Webhooks class

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Webhooks()
Public Sub New
public:
Webhooks()
new : unit -> Webhooks
See Also

Reference

Webhooks Class
Pingpp.Models Namespace


Webhooks Methods

The Webhooks type exposes the following members.

Methods
Name | Description
ParseWebhook |
Top
See Also

Reference

Webhooks Class
Pingpp.Models Namespace


Webhooks.ParseWebhook Method

WebhooksParseWebhook Method

[Missing <summary> documentation for "M:Pingpp.Models.Webhooks.ParseWebhook(System.String)"]

Namespace: Pingpp.Models
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Event ParseWebhook(
    string events
)
Public Shared Function ParseWebhook (
    events As String
) As Event
public:
static Event^ ParseWebhook(
    String^ events
)
static member ParseWebhook :
        events : string -> Event

Parameters

events
Type: SystemString

[Missing <param name="events"/> documentation for "M:Pingpp.Models.Webhooks.ParseWebhook(System.String)"]

Return Value

Type: Event

[Missing <returns> documentation for "M:Pingpp.Models.Webhooks.ParseWebhook(System.String)"]

See Also

Reference

Webhooks Class
Pingpp.Models Namespace


Pingpp.Net Namespace

[Missing <summary> documentation for "N:Pingpp.Net"]

Classes
 | Class | Description
Public class | MapperT |


Mapper(T) Class

MapperT Class

[Missing <summary> documentation for "T:Pingpp.Net.Mapper`1"]

Inheritance Hierarchy
SystemObject
Pingpp.NetMapperT

Namespace: Pingpp.Net
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class Mapper<T>

Public NotInheritable Class Mapper(Of T)
generic<typename T>
public ref class Mapper abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Mapper<'T> =  class end

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "T:Pingpp.Net.Mapper`1"]

The MapperT type exposes the following members.

Methods
Name | Description
MapCollectionFromJson |
MapFromJson |
Top
See Also

Reference

Pingpp.Net Namespace


Mapper(T) Methods

MapperT Methods

The MapperT generic type exposes the following members.

Methods
Name | Description
MapCollectionFromJson |
MapFromJson |
Top
See Also

Reference

MapperT Class
Pingpp.Net Namespace


Mapper(T).MapCollectionFromJson Method

MapperTMapCollectionFromJson Method

[Missing <summary> documentation for "M:Pingpp.Net.Mapper`1.MapCollectionFromJson(System.String,System.String)"]

Namespace: Pingpp.Net
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static List<T> MapCollectionFromJson(
    string json,
    string data = "data"
)
Public Shared Function MapCollectionFromJson (
    json As String,
    Optional data As String = "data"
) As List(Of T)
public:
static List<T>^ MapCollectionFromJson(
    String^ json,
    String^ data = L"data"
)
static member MapCollectionFromJson :
        json : string *
        ?data : string
(* Defaults:
        let _data = defaultArg data "data"
*)
-> List<'T>

Parameters

json
Type: SystemString

[Missing <param name="json"/> documentation for "M:Pingpp.Net.Mapper`1.MapCollectionFromJson(System.String,System.String)"]

data (Optional)
Type: SystemString

[Missing <param name="data"/> documentation for "M:Pingpp.Net.Mapper`1.MapCollectionFromJson(System.String,System.String)"]

Return Value

Type: List T

[Missing <returns> documentation for "M:Pingpp.Net.Mapper`1.MapCollectionFromJson(System.String,System.String)"]

See Also

Reference

MapperT Class
Pingpp.Net Namespace


Mapper(T).MapFromJson Method

MapperTMapFromJson Method

[Missing <summary> documentation for "M:Pingpp.Net.Mapper`1.MapFromJson(System.String,System.String)"]

Namespace: Pingpp.Net
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static T MapFromJson(
    string json,
    string parentToken = null
)
Public Shared Function MapFromJson (
    json As String,
    Optional parentToken As String = Nothing
) As T
public:
static T MapFromJson(
    String^ json,
    String^ parentToken = nullptr
)
static member MapFromJson :
        json : string *
        ?parentToken : string
(* Defaults:
        let _parentToken = defaultArg parentToken null
*)
-> 'T

Parameters

json
Type: SystemString

[Missing <param name="json"/> documentation for "M:Pingpp.Net.Mapper`1.MapFromJson(System.String,System.String)"]

parentToken (Optional)
Type: SystemString

[Missing <param name="parentToken"/> documentation for "M:Pingpp.Net.Mapper`1.MapFromJson(System.String,System.String)"]

Return Value

Type: T

[Missing <returns> documentation for "M:Pingpp.Net.Mapper`1.MapFromJson(System.String,System.String)"]

See Also

Reference

MapperT Class
Pingpp.Net Namespace


Pingpp.Utils Namespace

[Missing <summary> documentation for "N:Pingpp.Utils"]

Classes
 | Class | Description
Public class | RsaUtils |
Public class | WxPubUtils | 用于微信公众号OAuth2.0鉴权，用户授权后获取授权用户唯一标识openid WxpubOAuth中的方法都是可选的，开发者也可根据实际情况自行开发相关功能， 详细内容可参考http://mp.weixin.qq.com/wiki/17/c0f37d5704f0b64713d5d2c37b468d75.html


RsaUtils Class

[Missing <summary> documentation for "T:Pingpp.Utils.RsaUtils"]

Inheritance Hierarchy
SystemObject
Pingpp.UtilsRsaUtils

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RsaUtils
Public Class RsaUtils
public ref class RsaUtils
type RsaUtils =  class end

The RsaUtils type exposes the following members.

Constructors
 | Name | Description
Public method | RsaUtils | Initializes a new instance of the RsaUtils class
Top
Methods
Name | Description
RsaSign |
Top
See Also

Reference

Pingpp.Utils Namespace


RsaUtils Constructor

Initializes a new instance of the RsaUtils class

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RsaUtils()
Public Sub New
public:
RsaUtils()
new : unit -> RsaUtils
See Also

Reference

RsaUtils Class
Pingpp.Utils Namespace


RsaUtils Methods

The RsaUtils type exposes the following members.

Methods
Name | Description
RsaSign |
Top
See Also

Reference

RsaUtils Class
Pingpp.Utils Namespace


RsaUtils.RsaSign Method

RsaUtilsRsaSign Method

[Missing <summary> documentation for "M:Pingpp.Utils.RsaUtils.RsaSign(System.String,System.Byte[])"]

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string RsaSign(
    string data,
    byte[] privateKey
)
Public Shared Function RsaSign (
    data As String,
    privateKey As Byte()
) As String
public:
static String^ RsaSign(
    String^ data,
    array<unsigned char>^ privateKey
)
static member RsaSign :
        data : string *
        privateKey : byte[] -> string

Parameters

data
Type: SystemString

[Missing <param name="data"/> documentation for "M:Pingpp.Utils.RsaUtils.RsaSign(System.String,System.Byte[])"]

privateKey
Type: SystemByte

[Missing <param name="privateKey"/> documentation for "M:Pingpp.Utils.RsaUtils.RsaSign(System.String,System.Byte[])"]

Return Value

Type: String

[Missing <returns> documentation for "M:Pingpp.Utils.RsaUtils.RsaSign(System.String,System.Byte[])"]

See Also

Reference

RsaUtils Class
Pingpp.Utils Namespace


WxPubUtils Class
用于微信公众号OAuth2.0鉴权，用户授权后获取授权用户唯一标识openid WxpubOAuth中的方法都是可选的，开发者也可根据实际情况自行开发相关功能， 详细内容可参考http://mp.weixin.qq.com/wiki/17/c0f37d5704f0b64713d5d2c37b468d75.html
Inheritance Hierarchy
SystemObject
Pingpp.UtilsWxPubUtils

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPubUtils
Public Class WxPubUtils
public ref class WxPubUtils
type WxPubUtils =  class end

The WxPubUtils type exposes the following members.

Constructors
 | Name | Description
Public method | WxPubUtils | Initializes a new instance of the WxPubUtils class
Top
Methods
Name | Description
CreateOauthUrlForCode | 用于生成获取授权 code 的 URL 地址，此地址用于用户身份鉴权，获取用户身份信息，同时重定向到 redirect_url
GetJsApiTicket | 生成微信公众号 jsapi_ticket
GetOpenId | 获取 openid
GetSignature | 生成微信公众号 js sdk signature
Top
See Also

Reference

Pingpp.Utils Namespace


WxPubUtils Constructor

Initializes a new instance of the WxPubUtils class

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPubUtils()
Public Sub New
public:
WxPubUtils()
new : unit -> WxPubUtils
See Also

Reference

WxPubUtils Class
Pingpp.Utils Namespace


WxPubUtils Methods

The WxPubUtils type exposes the following members.

Methods
Name | Description
CreateOauthUrlForCode | 用于生成获取授权 code 的 URL 地址，此地址用于用户身份鉴权，获取用户身份信息，同时重定向到 redirect_url
GetJsApiTicket | 生成微信公众号 jsapi_ticket
GetOpenId | 获取 openid
GetSignature | 生成微信公众号 js sdk signature
Top
See Also

Reference

WxPubUtils Class
Pingpp.Utils Namespace


WxPubUtils.CreateOauthUrlForCode Method

WxPubUtilsCreateOauthUrlForCode Method

用于生成获取授权 code 的 URL 地址，此地址用于用户身份鉴权，获取用户身份信息，同时重定向到 redirect_url

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string CreateOauthUrlForCode(
    string appId,
    string redirectUrl,
    bool moreInfo
)
Public Shared Function CreateOauthUrlForCode (
    appId As String,
    redirectUrl As String,
    moreInfo As Boolean
) As String
public:
static String^ CreateOauthUrlForCode(
    String^ appId,
    String^ redirectUrl,
    bool moreInfo
)
static member CreateOauthUrlForCode :
        appId : string *
        redirectUrl : string *
        moreInfo : bool -> string

Parameters

appId
Type: SystemString
微信公众号应用唯一标识
redirectUrl
Type: SystemString
授权后重定向的回调链接地址，重定向后此地址将带有授权code参数，该地址的域名需在微信公众号平台上进行设置， 步骤为：登陆微信公众号平台 开发者中心 网页授权获取用户基本信息 修改
moreInfo
Type: SystemBoolean
FALSE 不弹出授权页面,直接跳转,这个只能拿到用户openid TRUE 弹出授权页面,这个可以通过 openid 拿到昵称、性别、所在地

Return Value

Type: String
用于获取授权 code 的 URL 地址
See Also

Reference

WxPubUtils Class
Pingpp.Utils Namespace


WxPubUtils.GetJsApiTicket Method

WxPubUtilsGetJsApiTicket Method

生成微信公众号 jsapi_ticket

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetJsApiTicket(
    string appId,
    string appSecret
)
Public Shared Function GetJsApiTicket (
    appId As String,
    appSecret As String
) As String
public:
static String^ GetJsApiTicket(
    String^ appId,
    String^ appSecret
)
static member GetJsApiTicket :
        appId : string *
        appSecret : string -> string

Parameters

appId
Type: SystemString
微;\信公众号应用唯一标识
appSecret
Type: SystemString
微信公众号应用密钥（注意保密）

Return Value

Type: String
Ticket
See Also

Reference

WxPubUtils Class
Pingpp.Utils Namespace


WxPubUtils.GetOpenId Method

WxPubUtilsGetOpenId Method

获取 openid

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetOpenId(
    string appId,
    string appSecret,
    string code
)
Public Shared Function GetOpenId (
    appId As String,
    appSecret As String,
    code As String
) As String
public:
static String^ GetOpenId(
    String^ appId,
    String^ appSecret,
    String^ code
)
static member GetOpenId :
        appId : string *
        appSecret : string *
        code : string -> string

Parameters

appId
Type: SystemString
微信公众号应用唯一标识
appSecret
Type: SystemString
微信公众号应用密钥（注意保密）
code
Type: SystemString
获取到的 code

Return Value

Type: String
openid
See Also

Reference

WxPubUtils Class
Pingpp.Utils Namespace


WxPubUtils.GetSignature Method

WxPubUtilsGetSignature Method

生成微信公众号 js sdk signature

Namespace: Pingpp.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetSignature(
    string charge,
    string jsapiTicket,
    string url
)
Public Shared Function GetSignature (
    charge As String,
    jsapiTicket As String,
    url As String
) As String
public:
static String^ GetSignature(
    String^ charge,
    String^ jsapiTicket,
    String^ url
)
static member GetSignature :
        charge : string *
        jsapiTicket : string *
        url : string -> string

Parameters

charge
Type: SystemString
charge 字符串
jsapiTicket
Type: SystemString
获取到的 ticket
url
Type: SystemString
url

Return Value

Type: String
signature
See Also

Reference

WxPubUtils Class
Pingpp.Utils Namespace


WxPayAPI Namespace

[Missing <summary> documentation for "N:WxPayAPI"]

Classes
 | Class | Description
Public class | WxPayApi | 微信支付Api包装类
Public class | WxPayConfig | 微信支付设置
Public class | WxPayData | 微信支付协议接口数据类，所有的API接口通信都依赖这个数据结构， 在调用接口之前先填充各个字段的值，然后进行接口通信， 这样设计的好处是可扩展性强，用户可随意对协议进行更改而不用重新设计数据结构， 还可以随意组合出不同的协议数据包，不用为每个协议设计一个数据包结构
Public class | WxPayException | 微信支付抛出的例外
Public class | WxPayHttpService | http连接基础类，负责底层的http通信
Public class | WxPayNotify | 回调处理基类 主要负责接收微信支付后台发送过来的数据，对数据进行签名验证 子类在此类基础上进行派生并重写自己的回调处理过程


WxPayApi Class
微信支付Api包装类
Inheritance Hierarchy
SystemObject
WxPayAPIWxPayApi

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayApi
Public Class WxPayApi
public ref class WxPayApi
type WxPayApi =  class end

The WxPayApi type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayApi | Initializes a new instance of the WxPayApi class
Top
Methods
Name | Description
CloseOrder | 关闭订单
DownloadBill | 下载对账单
GenerateNonceStr | 生成随机串，随机串包含字母或数字
GenerateOutTradeNo | 根据当前系统时间加随机序列来生成订单号
GenerateTimeStamp | 生成时间戳，标准北京时间，时区为东八区，自1970年1月1日 0点0分0秒以来的秒数
Micropay | 提交被扫支付API 收银员使用扫码设备读取微信用户刷卡授权码以后，二维码或条码信息传送至商户收银台， 由商户收银台或者商户后台调用该接口发起支付。
OrderQuery | 查询订单
Refund | 申请退款
RefundQuery | 查询退款 提交退款申请后，通过该接口查询退款状态。退款有一定延时 用零钱支付的退款20分钟内到账，银行卡支付的退款3个工作日后重新查询退款状态 out_refund_no、out_trade_no、transaction_id、refund_id四个参数必填一个
Reverse | 撤销订单API接口
ShortUrl | 转换短链接 该接口主要用于扫码原生支付模式一中的二维码链接转成短链接(weixin://wxpay/s/XXXXXX)， 减小二维码数据量，提升扫描速度和精确度。
UnifiedOrder | 统一下单
Top
See Also

Reference

WxPayAPI Namespace


WxPayApi Constructor

Initializes a new instance of the WxPayApi class

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayApi()
Public Sub New
public:
WxPayApi()
new : unit -> WxPayApi
See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi Methods

The WxPayApi type exposes the following members.

Methods
Name | Description
CloseOrder | 关闭订单
DownloadBill | 下载对账单
GenerateNonceStr | 生成随机串，随机串包含字母或数字
GenerateOutTradeNo | 根据当前系统时间加随机序列来生成订单号
GenerateTimeStamp | 生成时间戳，标准北京时间，时区为东八区，自1970年1月1日 0点0分0秒以来的秒数
Micropay | 提交被扫支付API 收银员使用扫码设备读取微信用户刷卡授权码以后，二维码或条码信息传送至商户收银台， 由商户收银台或者商户后台调用该接口发起支付。
OrderQuery | 查询订单
Refund | 申请退款
RefundQuery | 查询退款 提交退款申请后，通过该接口查询退款状态。退款有一定延时 用零钱支付的退款20分钟内到账，银行卡支付的退款3个工作日后重新查询退款状态 out_refund_no、out_trade_no、transaction_id、refund_id四个参数必填一个
Reverse | 撤销订单API接口
ShortUrl | 转换短链接 该接口主要用于扫码原生支付模式一中的二维码链接转成短链接(weixin://wxpay/s/XXXXXX)， 减小二维码数据量，提升扫描速度和精确度。
UnifiedOrder | 统一下单
Top
See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.CloseOrder Method

WxPayApiCloseOrder Method

关闭订单

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData CloseOrder(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function CloseOrder (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ CloseOrder(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member CloseOrder :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给关闭订单API的参数
timeOut (Optional)
Type: SystemInt32
接口超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.CloseOrder(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.DownloadBill Method

WxPayApiDownloadBill Method

下载对账单

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData DownloadBill(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function DownloadBill (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ DownloadBill(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member DownloadBill :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给下载对账单API的参数
timeOut (Optional)
Type: SystemInt32
接口超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.DownloadBill(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.GenerateNonceStr Method

WxPayApiGenerateNonceStr Method

生成随机串，随机串包含字母或数字

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GenerateNonceStr()
Public Shared Function GenerateNonceStr As String
public:
static String^ GenerateNonceStr()
static member GenerateNonceStr : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.GenerateNonceStr"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.GenerateOutTradeNo Method

WxPayApiGenerateOutTradeNo Method

根据当前系统时间加随机序列来生成订单号

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GenerateOutTradeNo(
    WxPayConfig config
)
Public Shared Function GenerateOutTradeNo (
    config As WxPayConfig
) As String
public:
static String^ GenerateOutTradeNo(
    WxPayConfig^ config
)
static member GenerateOutTradeNo :
        config : WxPayConfig -> string

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.GenerateOutTradeNo(WxPayAPI.WxPayConfig)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.GenerateTimeStamp Method

WxPayApiGenerateTimeStamp Method

生成时间戳，标准北京时间，时区为东八区，自1970年1月1日 0点0分0秒以来的秒数

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GenerateTimeStamp()
Public Shared Function GenerateTimeStamp As String
public:
static String^ GenerateTimeStamp()
static member GenerateTimeStamp : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.GenerateTimeStamp"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.Micropay Method

WxPayApiMicropay Method

提交被扫支付API 收银员使用扫码设备读取微信用户刷卡授权码以后，二维码或条码信息传送至商户收银台， 由商户收银台或者商户后台调用该接口发起支付。

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData Micropay(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 10
)
Public Shared Function Micropay (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 10
) As WxPayData
public:
static WxPayData^ Micropay(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 10
)
static member Micropay :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 10
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给被扫支付API的参数
timeOut (Optional)
Type: SystemInt32
超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.Micropay(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.OrderQuery Method

WxPayApiOrderQuery Method

查询订单

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData OrderQuery(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function OrderQuery (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ OrderQuery(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member OrderQuery :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给查询订单API的参数
timeOut (Optional)
Type: SystemInt32
超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.OrderQuery(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.Refund Method

WxPayApiRefund Method

申请退款

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData Refund(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function Refund (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ Refund(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member Refund :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给申请退款API的参数
timeOut (Optional)
Type: SystemInt32
超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.Refund(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.RefundQuery Method

WxPayApiRefundQuery Method

查询退款 提交退款申请后，通过该接口查询退款状态。退款有一定延时 用零钱支付的退款20分钟内到账，银行卡支付的退款3个工作日后重新查询退款状态 out_refund_no、out_trade_no、transaction_id、refund_id四个参数必填一个

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData RefundQuery(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function RefundQuery (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ RefundQuery(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member RefundQuery :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付接口
inputObj
Type: WxPayAPIWxPayData
提交给查询退款API的参数
timeOut (Optional)
Type: SystemInt32
接口超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.RefundQuery(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.Reverse Method

WxPayApiReverse Method

撤销订单API接口

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData Reverse(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function Reverse (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ Reverse(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member Reverse :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给撤销订单API接口的参数，out_trade_no和transaction_id必填一个
timeOut (Optional)
Type: SystemInt32
接口超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.Reverse(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.ShortUrl Method

WxPayApiShortUrl Method

转换短链接 该接口主要用于扫码原生支付模式一中的二维码链接转成短链接(weixin://wxpay/s/XXXXXX)， 减小二维码数据量，提升扫描速度和精确度。

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData ShortUrl(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function ShortUrl (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ ShortUrl(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member ShortUrl :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给转换短连接API的参数
timeOut (Optional)
Type: SystemInt32
接口超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.ShortUrl(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayApi.UnifiedOrder Method

WxPayApiUnifiedOrder Method

统一下单

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData UnifiedOrder(
    WxPayConfig config,
    WxPayData inputObj,
    int timeOut = 6
)
Public Shared Function UnifiedOrder (
    config As WxPayConfig,
    inputObj As WxPayData,
    Optional timeOut As Integer = 6
) As WxPayData
public:
static WxPayData^ UnifiedOrder(
    WxPayConfig^ config,
    WxPayData^ inputObj,
    int timeOut = 6
)
static member UnifiedOrder :
        config : WxPayConfig *
        inputObj : WxPayData *
        ?timeOut : int
(* Defaults:
        let _timeOut = defaultArg timeOut 6
*)
-> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
inputObj
Type: WxPayAPIWxPayData
提交给统一下单API的参数
timeOut (Optional)
Type: SystemInt32
超时时间

Return Value

Type: WxPayData

[Missing <returns> documentation for "M:WxPayAPI.WxPayApi.UnifiedOrder(WxPayAPI.WxPayConfig,WxPayAPI.WxPayData,System.Int32)"]

See Also

Reference

WxPayApi Class
WxPayAPI Namespace


WxPayConfig Class
微信支付设置
Inheritance Hierarchy
SystemObject
WxPayAPIWxPayConfig

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayConfig
Public Class WxPayConfig
public ref class WxPayConfig
type WxPayConfig =  class end

The WxPayConfig type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayConfig | 初始化
Top
Properties
 | Name | Description
Public property | APPID | 绑定支付的APPID（必须配置） 例如 wx2428e34e0e7dc6ef
Public property | APPSECRET | 公众帐号secert（仅JSAPI支付的时候需要配置） 例如 51c56b886b5be869567dd389b3e5d1d6
Public property | IP | APP和网页支付提交用户端ip，Native支付填调用微信支付API的机器IP
Public property | KEY | 商户支付密钥，参考开户邮件设置（必须配置） 例如 e10adc3849ba56abbe56e056f20f883e
Public property | MCHID | 商户号（必须配置） 例如 1233410002
Public property | NOTIFY_URL | 支付结果通知回调url，用于商户接收支付结果 例如 http://paysdk.weixin.qq.com/example/ResultNotifyPage.aspx
Public property | SSLCERT_PASSWORD | 证书密码 例如 1233410002
Public property | SSLCERT_PATH | 证书路径 应该是APP_Data下的路径 例如 cert/apiclient_cert.p12
Top
Fields
Name | Description
WeChatQRCodePayNotifyUrl | 微信扫码支付的异步通知Url
Top
See Also

Reference

WxPayAPI Namespace


WxPayConfig Constructor

初始化

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayConfig(
    WechatApiHandlerApiData apiData
)
Public Sub New (
    apiData As WechatApiHandlerApiData
)
public:
WxPayConfig(
    WechatApiHandlerApiData^ apiData
)
new :
        apiData : WechatApiHandlerApiData -> WxPayConfig

Parameters

apiData
Type: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlersWechatApiHandlerApiData
接口数据
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig Properties

The WxPayConfig type exposes the following members.

Properties
 | Name | Description
Public property | APPID | 绑定支付的APPID（必须配置） 例如 wx2428e34e0e7dc6ef
Public property | APPSECRET | 公众帐号secert（仅JSAPI支付的时候需要配置） 例如 51c56b886b5be869567dd389b3e5d1d6
Public property | IP | APP和网页支付提交用户端ip，Native支付填调用微信支付API的机器IP
Public property | KEY | 商户支付密钥，参考开户邮件设置（必须配置） 例如 e10adc3849ba56abbe56e056f20f883e
Public property | MCHID | 商户号（必须配置） 例如 1233410002
Public property | NOTIFY_URL | 支付结果通知回调url，用于商户接收支付结果 例如 http://paysdk.weixin.qq.com/example/ResultNotifyPage.aspx
Public property | SSLCERT_PASSWORD | 证书密码 例如 1233410002
Public property | SSLCERT_PATH | 证书路径 应该是APP_Data下的路径 例如 cert/apiclient_cert.p12
Top
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.APPID Property

WxPayConfigAPPID Property

绑定支付的APPID（必须配置） 例如 wx2428e34e0e7dc6ef

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string APPID { get; set; }
Public Property APPID As String
    Get
    Set
public:
property String^ APPID {
    String^ get ();
    void set (String^ value);
}
member APPID : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.APPSECRET Property

WxPayConfigAPPSECRET Property

公众帐号secert（仅JSAPI支付的时候需要配置） 例如 51c56b886b5be869567dd389b3e5d1d6

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string APPSECRET { get; set; }
Public Property APPSECRET As String
    Get
    Set
public:
property String^ APPSECRET {
    String^ get ();
    void set (String^ value);
}
member APPSECRET : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.IP Property

WxPayConfigIP Property

APP和网页支付提交用户端ip，Native支付填调用微信支付API的机器IP

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string IP { get; set; }
Public Property IP As String
    Get
    Set
public:
property String^ IP {
    String^ get ();
    void set (String^ value);
}
member IP : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.KEY Property

WxPayConfigKEY Property

商户支付密钥，参考开户邮件设置（必须配置） 例如 e10adc3849ba56abbe56e056f20f883e

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string KEY { get; set; }
Public Property KEY As String
    Get
    Set
public:
property String^ KEY {
    String^ get ();
    void set (String^ value);
}
member KEY : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.MCHID Property

WxPayConfigMCHID Property

商户号（必须配置） 例如 1233410002

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string MCHID { get; set; }
Public Property MCHID As String
    Get
    Set
public:
property String^ MCHID {
    String^ get ();
    void set (String^ value);
}
member MCHID : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.NOTIFY_URL Property

WxPayConfigNOTIFY_URL Property

支付结果通知回调url，用于商户接收支付结果 例如 http://paysdk.weixin.qq.com/example/ResultNotifyPage.aspx

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string NOTIFY_URL { get; set; }
Public Property NOTIFY_URL As String
    Get
    Set
public:
property String^ NOTIFY_URL {
    String^ get ();
    void set (String^ value);
}
member NOTIFY_URL : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.SSLCERT_PASSWORD Property

WxPayConfigSSLCERT_PASSWORD Property

证书密码 例如 1233410002

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SSLCERT_PASSWORD { get; set; }
Public Property SSLCERT_PASSWORD As String
    Get
    Set
public:
property String^ SSLCERT_PASSWORD {
    String^ get ();
    void set (String^ value);
}
member SSLCERT_PASSWORD : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.SSLCERT_PATH Property

WxPayConfigSSLCERT_PATH Property

证书路径 应该是APP_Data下的路径 例如 cert/apiclient_cert.p12

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SSLCERT_PATH { get; set; }
Public Property SSLCERT_PATH As String
    Get
    Set
public:
property String^ SSLCERT_PATH {
    String^ get ();
    void set (String^ value);
}
member SSLCERT_PATH : string with get, set

Property Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig Fields

The WxPayConfig type exposes the following members.

Fields
Name | Description
WeChatQRCodePayNotifyUrl | 微信扫码支付的异步通知Url
Top
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayConfig.WeChatQRCodePayNotifyUrl Field

WxPayConfigWeChatQRCodePayNotifyUrl Field
微信扫码支付的异步通知Url

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string WeChatQRCodePayNotifyUrl = "/payment/wechat_qrcode_pay/notify"
Public Const WeChatQRCodePayNotifyUrl As String = "/payment/wechat_qrcode_pay/notify"
public:
literal String^ WeChatQRCodePayNotifyUrl = "/payment/wechat_qrcode_pay/notify"
static val mutable WeChatQRCodePayNotifyUrl: string

Field Value

Type: String
See Also

Reference

WxPayConfig Class
WxPayAPI Namespace


WxPayData Class
微信支付协议接口数据类，所有的API接口通信都依赖这个数据结构， 在调用接口之前先填充各个字段的值，然后进行接口通信， 这样设计的好处是可扩展性强，用户可随意对协议进行更改而不用重新设计数据结构， 还可以随意组合出不同的协议数据包，不用为每个协议设计一个数据包结构
Inheritance Hierarchy
SystemObject
WxPayAPIWxPayData

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayData
Public Class WxPayData
public ref class WxPayData
type WxPayData =  class end

The WxPayData type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayData | Initializes a new instance of the WxPayData class
Top
Properties
 | Name | Description
Public property | ErrMsg | 错误信息
Public property | IsError | 是否错误
Top
Methods
 | Name | Description
Public method | CheckSign | 检测签名是否正确
Public method | FromXml | 将xml转为WxPayData对象并返回对象内部的数据
Public method | FromXmlWithoutCheckSign | 将xml转为WxPayData对象并返回对象内部的数据 不检查签名
Public method | GetValue | 根据字段名获取某个字段的值
Public method | GetValues | 获取Dictionary
Public method | IsSet | 判断某个字段是否已设置
Public method | MakeSign | 生成签名，详见签名生成算法
Public method | SetValue | 设置某个字段的值
Public method | ToJson | Dictionary格式化成Json
Public method | ToPrintStr | values格式化成能在Web页面上显示的结果（因为web页面上不能直接输出xml格式的字符串）
Public method | ToUrl | Dictionary格式转化成url参数格式
Public method | ToXml | 将Dictionary转成xml
Top
See Also

Reference

WxPayAPI Namespace


WxPayData Constructor

Initializes a new instance of the WxPayData class

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayData()
Public Sub New
public:
WxPayData()
new : unit -> WxPayData
See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData Properties

The WxPayData type exposes the following members.

Properties
 | Name | Description
Public property | ErrMsg | 错误信息
Public property | IsError | 是否错误
Top
See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.ErrMsg Property

WxPayDataErrMsg Property

错误信息

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ErrMsg { get; }
Public ReadOnly Property ErrMsg As String
    Get
public:
property String^ ErrMsg {
    String^ get ();
}
member ErrMsg : string with get

Property Value

Type: String
See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.IsError Property

WxPayDataIsError Property

是否错误

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsError { get; }
Public ReadOnly Property IsError As Boolean
    Get
public:
property bool IsError {
    bool get ();
}
member IsError : bool with get

Property Value

Type: Boolean
See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData Methods

The WxPayData type exposes the following members.

Methods
 | Name | Description
Public method | CheckSign | 检测签名是否正确
Public method | FromXml | 将xml转为WxPayData对象并返回对象内部的数据
Public method | FromXmlWithoutCheckSign | 将xml转为WxPayData对象并返回对象内部的数据 不检查签名
Public method | GetValue | 根据字段名获取某个字段的值
Public method | GetValues | 获取Dictionary
Public method | IsSet | 判断某个字段是否已设置
Public method | MakeSign | 生成签名，详见签名生成算法
Public method | SetValue | 设置某个字段的值
Public method | ToJson | Dictionary格式化成Json
Public method | ToPrintStr | values格式化成能在Web页面上显示的结果（因为web页面上不能直接输出xml格式的字符串）
Public method | ToUrl | Dictionary格式转化成url参数格式
Public method | ToXml | 将Dictionary转成xml
Top
See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.CheckSign Method

WxPayDataCheckSign Method

检测签名是否正确

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CheckSign(
    WxPayConfig config
)
Public Sub CheckSign (
    config As WxPayConfig
)
public:
void CheckSign(
    WxPayConfig^ config
)
member CheckSign :
        config : WxPayConfig -> unit

Parameters

config
Type: WxPayAPIWxPayConfig

[Missing <param name="config"/> documentation for "M:WxPayAPI.WxPayData.CheckSign(WxPayAPI.WxPayConfig)"]

Return Value

Type:
See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.FromXml Method

WxPayDataFromXml Method

将xml转为WxPayData对象并返回对象内部的数据

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SortedDictionary<string, Object> FromXml(
    WxPayConfig config,
    string xml
)
Public Function FromXml (
    config As WxPayConfig,
    xml As String
) As SortedDictionary(Of String, Object)
public:
SortedDictionary<String^, Object^>^ FromXml(
    WxPayConfig^ config,
    String^ xml
)
member FromXml :
        config : WxPayConfig *
        xml : string -> SortedDictionary<string, Object>

Parameters

config
Type: WxPayAPIWxPayConfig

[Missing <param name="config"/> documentation for "M:WxPayAPI.WxPayData.FromXml(WxPayAPI.WxPayConfig,System.String)"]

xml
Type: SystemString

[Missing <param name="xml"/> documentation for "M:WxPayAPI.WxPayData.FromXml(WxPayAPI.WxPayConfig,System.String)"]

Return Value

Type: SortedDictionary String, Object

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.FromXml(WxPayAPI.WxPayConfig,System.String)"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.FromXmlWithoutCheckSign Method

WxPayDataFromXmlWithoutCheckSign Method

将xml转为WxPayData对象并返回对象内部的数据 不检查签名

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SortedDictionary<string, Object> FromXmlWithoutCheckSign(
    string xml
)
Public Function FromXmlWithoutCheckSign (
    xml As String
) As SortedDictionary(Of String, Object)
public:
SortedDictionary<String^, Object^>^ FromXmlWithoutCheckSign(
    String^ xml
)
member FromXmlWithoutCheckSign :
        xml : string -> SortedDictionary<string, Object>

Parameters

xml
Type: SystemString

[Missing <param name="xml"/> documentation for "M:WxPayAPI.WxPayData.FromXmlWithoutCheckSign(System.String)"]

Return Value

Type: SortedDictionary String, Object

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.FromXmlWithoutCheckSign(System.String)"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.GetValue Method

WxPayDataGetValue Method

根据字段名获取某个字段的值

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object GetValue(
    string key
)
Public Function GetValue (
    key As String
) As Object
public:
Object^ GetValue(
    String^ key
)
member GetValue :
        key : string -> Object

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:WxPayAPI.WxPayData.GetValue(System.String)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.GetValue(System.String)"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.GetValues Method

WxPayDataGetValues Method

获取Dictionary

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SortedDictionary<string, Object> GetValues()
Public Function GetValues As SortedDictionary(Of String, Object)
public:
SortedDictionary<String^, Object^>^ GetValues()
member GetValues : unit -> SortedDictionary<string, Object>

Return Value

Type: SortedDictionary String, Object

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.GetValues"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.IsSet Method

WxPayDataIsSet Method

判断某个字段是否已设置

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsSet(
    string key
)
Public Function IsSet (
    key As String
) As Boolean
public:
bool IsSet(
    String^ key
)
member IsSet :
        key : string -> bool

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:WxPayAPI.WxPayData.IsSet(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.IsSet(System.String)"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.MakeSign Method

WxPayDataMakeSign Method

生成签名，详见签名生成算法

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string MakeSign(
    WxPayConfig config
)
Public Function MakeSign (
    config As WxPayConfig
) As String
public:
String^ MakeSign(
    WxPayConfig^ config
)
member MakeSign :
        config : WxPayConfig -> string

Parameters

config
Type: WxPayAPIWxPayConfig

[Missing <param name="config"/> documentation for "M:WxPayAPI.WxPayData.MakeSign(WxPayAPI.WxPayConfig)"]

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.MakeSign(WxPayAPI.WxPayConfig)"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.SetValue Method

WxPayDataSetValue Method

设置某个字段的值

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void SetValue(
    string key,
    Object value
)
Public Sub SetValue (
    key As String,
    value As Object
)
public:
void SetValue(
    String^ key,
    Object^ value
)
member SetValue :
        key : string *
        value : Object -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:WxPayAPI.WxPayData.SetValue(System.String,System.Object)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:WxPayAPI.WxPayData.SetValue(System.String,System.Object)"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.ToJson Method

WxPayDataToJson Method

Dictionary格式化成Json

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ToJson()
Public Function ToJson As String
public:
String^ ToJson()
member ToJson : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.ToJson"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.ToPrintStr Method

WxPayDataToPrintStr Method

values格式化成能在Web页面上显示的结果（因为web页面上不能直接输出xml格式的字符串）

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ToPrintStr()
Public Function ToPrintStr As String
public:
String^ ToPrintStr()
member ToPrintStr : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.ToPrintStr"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.ToUrl Method

WxPayDataToUrl Method

Dictionary格式转化成url参数格式

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ToUrl()
Public Function ToUrl As String
public:
String^ ToUrl()
member ToUrl : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.ToUrl"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayData.ToXml Method

WxPayDataToXml Method

将Dictionary转成xml

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ToXml()
Public Function ToXml As String
public:
String^ ToXml()
member ToXml : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayData.ToXml"]

See Also

Reference

WxPayData Class
WxPayAPI Namespace


WxPayException Class
微信支付抛出的例外
Inheritance Hierarchy
SystemObject
SystemException
WxPayAPIWxPayException

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayException : Exception
Public Class WxPayException
    Inherits Exception
public ref class WxPayException : public Exception
type WxPayException =
    class
        inherit Exception
    end

The WxPayException type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayException | 初始化
Top
See Also

Reference

WxPayAPI Namespace


WxPayException Constructor

初始化

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayException(
    string msg
)
Public Sub New (
    msg As String
)
public:
WxPayException(
    String^ msg
)
new :
        msg : string -> WxPayException

Parameters

msg
Type: SystemString
消息
See Also

Reference

WxPayException Class
WxPayAPI Namespace


WxPayHttpService Class
http连接基础类，负责底层的http通信
Inheritance Hierarchy
SystemObject
WxPayAPIWxPayHttpService

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayHttpService
Public Class WxPayHttpService
public ref class WxPayHttpService
type WxPayHttpService =  class end

The WxPayHttpService type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayHttpService | Initializes a new instance of the WxPayHttpService class
Top
Methods
Name | Description
CheckValidationResult | 不检查https证书 微信原本的代码就要求这样，可能他们的证书有问题
Get | 处理http GET请求，返回数据
Post | 提交xml到指定地址
Top
See Also

Reference

WxPayAPI Namespace


WxPayHttpService Constructor

Initializes a new instance of the WxPayHttpService class

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayHttpService()
Public Sub New
public:
WxPayHttpService()
new : unit -> WxPayHttpService
See Also

Reference

WxPayHttpService Class
WxPayAPI Namespace


WxPayHttpService Methods

The WxPayHttpService type exposes the following members.

Methods
Name | Description
CheckValidationResult | 不检查https证书 微信原本的代码就要求这样，可能他们的证书有问题
Get | 处理http GET请求，返回数据
Post | 提交xml到指定地址
Top
See Also

Reference

WxPayHttpService Class
WxPayAPI Namespace


WxPayHttpService.CheckValidationResult Method

WxPayHttpServiceCheckValidationResult Method

不检查https证书 微信原本的代码就要求这样，可能他们的证书有问题

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool CheckValidationResult(
    Object sender,
    X509Certificate certificate,
    X509Chain chain,
    SslPolicyErrors errors
)
Public Shared Function CheckValidationResult (
    sender As Object,
    certificate As X509Certificate,
    chain As X509Chain,
    errors As SslPolicyErrors
) As Boolean
public:
static bool CheckValidationResult(
    Object^ sender,
    X509Certificate^ certificate,
    X509Chain^ chain,
    SslPolicyErrors errors
)
static member CheckValidationResult :
        sender : Object *
        certificate : X509Certificate *
        chain : X509Chain *
        errors : SslPolicyErrors -> bool

Parameters

sender
Type: SystemObject

[Missing <param name="sender"/> documentation for "M:WxPayAPI.WxPayHttpService.CheckValidationResult(System.Object,System.Security.Cryptography.X509Certificates.X509Certificate,System.Security.Cryptography.X509Certificates.X509Chain,System.Net.Security.SslPolicyErrors)"]

certificate
Type: System.Security.Cryptography.X509CertificatesX509Certificate

[Missing <param name="certificate"/> documentation for "M:WxPayAPI.WxPayHttpService.CheckValidationResult(System.Object,System.Security.Cryptography.X509Certificates.X509Certificate,System.Security.Cryptography.X509Certificates.X509Chain,System.Net.Security.SslPolicyErrors)"]

chain
Type: System.Security.Cryptography.X509CertificatesX509Chain

[Missing <param name="chain"/> documentation for "M:WxPayAPI.WxPayHttpService.CheckValidationResult(System.Object,System.Security.Cryptography.X509Certificates.X509Certificate,System.Security.Cryptography.X509Certificates.X509Chain,System.Net.Security.SslPolicyErrors)"]

errors
Type: System.Net.SecuritySslPolicyErrors

[Missing <param name="errors"/> documentation for "M:WxPayAPI.WxPayHttpService.CheckValidationResult(System.Object,System.Security.Cryptography.X509Certificates.X509Certificate,System.Security.Cryptography.X509Certificates.X509Chain,System.Net.Security.SslPolicyErrors)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:WxPayAPI.WxPayHttpService.CheckValidationResult(System.Object,System.Security.Cryptography.X509Certificates.X509Certificate,System.Security.Cryptography.X509Certificates.X509Chain,System.Net.Security.SslPolicyErrors)"]

See Also

Reference

WxPayHttpService Class
WxPayAPI Namespace


WxPayHttpService.Get Method

WxPayHttpServiceGet Method

处理http GET请求，返回数据

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Get(
    string url
)
Public Shared Function Get (
    url As String
) As String
public:
static String^ Get(
    String^ url
)
static member Get :
        url : string -> string

Parameters

url
Type: SystemString
请求的url地址

Return Value

Type: String
http GET成功后返回的数据，失败抛WebException异常
See Also

Reference

WxPayHttpService Class
WxPayAPI Namespace


WxPayHttpService.Post Method

WxPayHttpServicePost Method

提交xml到指定地址

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Post(
    WxPayConfig config,
    string xml,
    string url,
    bool isUseCert,
    int timeout
)
Public Shared Function Post (
    config As WxPayConfig,
    xml As String,
    url As String,
    isUseCert As Boolean,
    timeout As Integer
) As String
public:
static String^ Post(
    WxPayConfig^ config,
    String^ xml,
    String^ url,
    bool isUseCert,
    int timeout
)
static member Post :
        config : WxPayConfig *
        xml : string *
        url : string *
        isUseCert : bool *
        timeout : int -> string

Parameters

config
Type: WxPayAPIWxPayConfig

[Missing <param name="config"/> documentation for "M:WxPayAPI.WxPayHttpService.Post(WxPayAPI.WxPayConfig,System.String,System.String,System.Boolean,System.Int32)"]

xml
Type: SystemString

[Missing <param name="xml"/> documentation for "M:WxPayAPI.WxPayHttpService.Post(WxPayAPI.WxPayConfig,System.String,System.String,System.Boolean,System.Int32)"]

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:WxPayAPI.WxPayHttpService.Post(WxPayAPI.WxPayConfig,System.String,System.String,System.Boolean,System.Int32)"]

isUseCert
Type: SystemBoolean

[Missing <param name="isUseCert"/> documentation for "M:WxPayAPI.WxPayHttpService.Post(WxPayAPI.WxPayConfig,System.String,System.String,System.Boolean,System.Int32)"]

timeout
Type: SystemInt32

[Missing <param name="timeout"/> documentation for "M:WxPayAPI.WxPayHttpService.Post(WxPayAPI.WxPayConfig,System.String,System.String,System.Boolean,System.Int32)"]

Return Value

Type: String

[Missing <returns> documentation for "M:WxPayAPI.WxPayHttpService.Post(WxPayAPI.WxPayConfig,System.String,System.String,System.Boolean,System.Int32)"]

See Also

Reference

WxPayHttpService Class
WxPayAPI Namespace


WxPayNotify Class
回调处理基类 主要负责接收微信支付后台发送过来的数据，对数据进行签名验证 子类在此类基础上进行派生并重写自己的回调处理过程
Inheritance Hierarchy
SystemObject
WxPayAPIWxPayNotify

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class WxPayNotify
Public NotInheritable Class WxPayNotify
public ref class WxPayNotify abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type WxPayNotify =  class end

The WxPayNotify type exposes the following members.

Methods
Name | Description
GetNotifyData | 接收从微信支付后台发送过来的数据
Top
See Also

Reference

WxPayAPI Namespace


WxPayNotify Methods

The WxPayNotify type exposes the following members.

Methods
Name | Description
GetNotifyData | 接收从微信支付后台发送过来的数据
Top
See Also

Reference

WxPayNotify Class
WxPayAPI Namespace


WxPayNotify.GetNotifyData Method

WxPayNotifyGetNotifyData Method

接收从微信支付后台发送过来的数据

Namespace: WxPayAPI
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static WxPayData GetNotifyData(
    WxPayConfig config,
    string xml
)
Public Shared Function GetNotifyData (
    config As WxPayConfig,
    xml As String
) As WxPayData
public:
static WxPayData^ GetNotifyData(
    WxPayConfig^ config,
    String^ xml
)
static member GetNotifyData :
        config : WxPayConfig *
        xml : string -> WxPayData

Parameters

config
Type: WxPayAPIWxPayConfig
微信支付设置
xml
Type: SystemString
微信发来的xml内容

Return Value

Type: WxPayData
微信支付后台返回的数据
See Also

Reference

WxPayNotify Class
WxPayAPI Namespace


ZKWeb.Plugins.CMS.Article Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.CMS.Article"]

Namespaces
Namespace | Description
ZKWeb.Plugins.CMS.Article.src |
ZKWeb.Plugins.CMS.Article.src.Components |
ZKWeb.Plugins.CMS.Article.src.Controllers |
ZKWeb.Plugins.CMS.Article.src.Domain |
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers |


ZKWeb.Plugins.CMS.Article.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.srcPlugin

Namespace: ZKWeb.Plugins.CMS.Article.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | Initializes a new instance of the Plugin class
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src Namespace


Plugin Constructor

Initializes a new instance of the Plugin class

Namespace: ZKWeb.Plugins.CMS.Article.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.CMS.Article.src Namespace


ZKWeb.Plugins.CMS.Article.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.CMS.Article.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs |
ZKWeb.Plugins.CMS.Article.src.Components.Translates |


ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | ArticleExtraConfigKeys | 网站附加配置中使用的键


ArticleExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeysArticleExtraConfigKeys

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ArticleExtraConfigKeys
Public NotInheritable Class ArticleExtraConfigKeys
public ref class ArticleExtraConfigKeys abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ArticleExtraConfigKeys =  class end

The ArticleExtraConfigKeys type exposes the following members.

Fields
Name | Description
ArticleApiInfoCacheTime | 文章信息的缓存时间，单位是秒
ArticleSearchResultCacheTime | 文章搜索结果的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys Namespace


ArticleExtraConfigKeys Fields

The ArticleExtraConfigKeys type exposes the following members.

Fields
Name | Description
ArticleApiInfoCacheTime | 文章信息的缓存时间，单位是秒
ArticleSearchResultCacheTime | 文章搜索结果的缓存时间，单位是秒
Top
See Also

Reference

ArticleExtraConfigKeys Class
ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys Namespace


ArticleExtraConfigKeys.ArticleApiInfoCacheTime Field

ArticleExtraConfigKeysArticleApiInfoCacheTime Field
文章信息的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ArticleApiInfoCacheTime = "CMS.Article.ArticleApiInfoCacheTime"
Public Const ArticleApiInfoCacheTime As String = "CMS.Article.ArticleApiInfoCacheTime"
public:
literal String^ ArticleApiInfoCacheTime = "CMS.Article.ArticleApiInfoCacheTime"
static val mutable ArticleApiInfoCacheTime: string

Field Value

Type: String
See Also

Reference

ArticleExtraConfigKeys Class
ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys Namespace


ArticleExtraConfigKeys.ArticleSearchResultCacheTime Field

ArticleExtraConfigKeysArticleSearchResultCacheTime Field
文章搜索结果的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ArticleSearchResultCacheTime = "CMS.Article.ArticleSearchResultCacheTime"
Public Const ArticleSearchResultCacheTime As String = "CMS.Article.ArticleSearchResultCacheTime"
public:
literal String^ ArticleSearchResultCacheTime = "CMS.Article.ArticleSearchResultCacheTime"
static val mutable ArticleSearchResultCacheTime: string

Field Value

Type: String
See Also

Reference

ArticleExtraConfigKeys Class
ZKWeb.Plugins.CMS.Article.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | ArticleListSettings | 文章列表设置


ArticleListSettings Class
文章列表设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigsArticleListSettings

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleListSettings
Public Class ArticleListSettings
public ref class ArticleListSettings
type ArticleListSettings =  class end

The ArticleListSettings type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleListSettings | 初始化
Top
Properties
 | Name | Description
Public property | ArticlesPerPage | 每页显示的文章数量
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs Namespace


ArticleListSettings Constructor

初始化

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleListSettings()
Public Sub New
public:
ArticleListSettings()
new : unit -> ArticleListSettings
See Also

Reference

ArticleListSettings Class
ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs Namespace


ArticleListSettings Properties

The ArticleListSettings type exposes the following members.

Properties
 | Name | Description
Public property | ArticlesPerPage | 每页显示的文章数量
Top
See Also

Reference

ArticleListSettings Class
ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs Namespace


ArticleListSettings.ArticlesPerPage Property

ArticleListSettingsArticlesPerPage Property

每页显示的文章数量

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ArticlesPerPage { get; set; }
Public Property ArticlesPerPage As Integer
    Get
    Set
public:
property int ArticlesPerPage {
    int get ();
    void set (int value);
}
member ArticlesPerPage : int with get, set

Property Value

Type: Int32
See Also

Reference

ArticleListSettings Class
ZKWeb.Plugins.CMS.Article.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.Article.src.Components.Translates Namespace


ZKWeb.Plugins.CMS.Article.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Controllers"]

Classes
 | Class | Description
Public class | ArticleApiController | Api控制器
Public class | ArticleClassController | 文章分类
Public class | ArticleController | 文章控制器
Public class | ArticleCrudController | 文章管理
Public class | ArticleCrudControllerForm | 添加和编辑使用的表单
Public class | ArticleCrudControllerTableHandler | 表格处理器
Public class | ArticleImageBrowserController | 文章图片浏览器
Public class | ArticleListSettingsForm | 商品列表设置
Public class | ArticleListSettingsFormForm | 表单
Public class | ArticleTagController | 文章标签


ArticleApiController Class
Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleApiController

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleApiController : ControllerBase
Public Class ArticleApiController
    Inherits ControllerBase
public ref class ArticleApiController : public ControllerBase
type ArticleApiController =
    class
        inherit ControllerBase
    end

The ArticleApiController type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleApiController | Initializes a new instance of the ArticleApiController class
Top
Methods
 | Name | Description
Public method | ArticleClassName | 获取指定文章分类的信息
Public method | ArticleClassTree | 获取文章分类树
Public method | ArticleInfo | 获取指定文章的信息
Public method | ArticleSearch | 搜索文章列表
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleApiController Constructor

Initializes a new instance of the ArticleApiController class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleApiController()
Public Sub New
public:
ArticleApiController()
new : unit -> ArticleApiController
See Also

Reference

ArticleApiController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleApiController Methods

The ArticleApiController type exposes the following members.

Methods
 | Name | Description
Public method | ArticleClassName | 获取指定文章分类的信息
Public method | ArticleClassTree | 获取文章分类树
Public method | ArticleInfo | 获取指定文章的信息
Public method | ArticleSearch | 搜索文章列表
Top
See Also

Reference

ArticleApiController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleApiController.ArticleClassName Method

ArticleApiControllerArticleClassName Method

获取指定文章分类的信息

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ArticleClassName()
Public Function ArticleClassName As IActionResult
public:
IActionResult^ ArticleClassName()
member ArticleClassName : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleApiController.ArticleClassName"]

See Also

Reference

ArticleApiController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleApiController.ArticleClassTree Method

ArticleApiControllerArticleClassTree Method

获取文章分类树

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ArticleClassTree()
Public Function ArticleClassTree As IActionResult
public:
IActionResult^ ArticleClassTree()
member ArticleClassTree : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleApiController.ArticleClassTree"]

See Also

Reference

ArticleApiController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleApiController.ArticleInfo Method

ArticleApiControllerArticleInfo Method

获取指定文章的信息

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ArticleInfo()
Public Function ArticleInfo As IActionResult
public:
IActionResult^ ArticleInfo()
member ArticleInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleApiController.ArticleInfo"]

See Also

Reference

ArticleApiController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleApiController.ArticleSearch Method

ArticleApiControllerArticleSearch Method

搜索文章列表

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ArticleSearch()
Public Function ArticleSearch As IActionResult
public:
IActionResult^ ArticleSearch()
member ArticleSearch : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleApiController.ArticleSearch"]

See Also

Reference

ArticleApiController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleClassController Class
文章分类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBase ArticleClassController
ZKWeb.Plugins.CMS.Article.src.ControllersArticleClassController

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleClassController : GenericClassControllerBase<ArticleClassController>
Public Class ArticleClassController
    Inherits GenericClassControllerBase(Of ArticleClassController)
public ref class ArticleClassController : public GenericClassControllerBase<ArticleClassController^>
type ArticleClassController =
    class
        inherit GenericClassControllerBase<ArticleClassController>
    end

The ArticleClassController type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleClassController | Initializes a new instance of the ArticleClassController class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleClassController Constructor

Initializes a new instance of the ArticleClassController class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleClassController()
Public Sub New
public:
ArticleClassController()
new : unit -> ArticleClassController
See Also

Reference

ArticleClassController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleClassController Properties

The ArticleClassController type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ArticleClassController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleClassController.Name Property

ArticleClassControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleClassController.Name"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ArticleClassController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleController Class
文章控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleController

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleController : ControllerBase
Public Class ArticleController
    Inherits ControllerBase
public ref class ArticleController : public ControllerBase
type ArticleController =
    class
        inherit ControllerBase
    end

The ArticleController type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleController | Initializes a new instance of the ArticleController class
Top
Methods
 | Name | Description
Public method | List | 前台文章列表页
Public method | View | 前台文章详情页
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleController Constructor

Initializes a new instance of the ArticleController class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleController()
Public Sub New
public:
ArticleController()
new : unit -> ArticleController
See Also

Reference

ArticleController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleController Methods

The ArticleController type exposes the following members.

Methods
 | Name | Description
Public method | List | 前台文章列表页
Public method | View | 前台文章详情页
Top
See Also

Reference

ArticleController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleController.List Method

ArticleControllerList Method

前台文章列表页

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult List()
Public Function List As IActionResult
public:
IActionResult^ List()
member List : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleController.List"]

See Also

Reference

ArticleController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleController.View Method

ArticleControllerView Method

前台文章详情页

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult View()
Public Function View As IActionResult
public:
IActionResult^ View()
member View : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleController.View"]

See Also

Reference

ArticleController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController Class
文章管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase Article, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase Article, Guid
ZKWeb.Plugins.CMS.Article.src.ControllersArticleCrudController

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleCrudController : CrudAdminAppControllerBase<Article, Guid>
Public Class ArticleCrudController
    Inherits CrudAdminAppControllerBase(Of Article, Guid)
public ref class ArticleCrudController : public CrudAdminAppControllerBase<Article^, Guid>
type ArticleCrudController =
    class
        inherit CrudAdminAppControllerBase<Article, Guid>
    end

The ArticleCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleCrudController | Initializes a new instance of the ArticleCrudController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController Constructor

Initializes a new instance of the ArticleCrudController class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleCrudController()
Public Sub New
public:
ArticleCrudController()
new : unit -> ArticleCrudController
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController Properties

The ArticleCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Group Property

ArticleCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.Group"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.GroupIconClass Property

ArticleCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.IconClass Property

ArticleCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.IconClass"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Name Property

ArticleCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.Name"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TileClass Property

ArticleCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TileClass"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Url Property

ArticleCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.Url"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController Methods

The ArticleCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.GetAddForm Method

ArticleCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GetAddForm"]

See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.GetEditForm Method

ArticleCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GetEditForm"]

See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.GetTableHandler Method

ArticleCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<Article, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of Article, Guid)
protected:
virtual IAjaxTableHandler<Article^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<Article, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<Article, Guid>

Return Value

Type: IAjaxTableHandler Article, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.GetTableHandler"]

See Also

Reference

ArticleCrudController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form Class

ArticleCrudControllerForm Class
添加和编辑使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder Article, Guid, ArticleCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder Article, Guid, ArticleCrudControllerForm
ZKWeb.Plugins.CMS.Article.src.ControllersArticleCrudControllerForm

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<Article, Guid, ArticleCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of Article, Guid, ArticleCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<Article^, Guid, ArticleCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<Article, Guid, ArticleCrudControllerForm>
    end

The ArticleCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleCrudControllerForm | Initializes a new instance of the ArticleCrudControllerForm class
Top
Properties
 | Name | Description
Public property | ArticleClass | 文章分类
Public property | ArticleTag | 文章标签
Public property | Contents | 内容
Public property | DisplayOrder | 显示顺序
Public property | Remark | 备注
Public property | Summary | 摘要
Public property | Title | 标题
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form Constructor

ArticleCrudControllerForm Constructor

Initializes a new instance of the ArticleCrudControllerForm class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


Form Properties

The ArticleCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | ArticleClass | 文章分类
Public property | ArticleTag | 文章标签
Public property | Contents | 内容
Public property | DisplayOrder | 显示顺序
Public property | Remark | 备注
Public property | Summary | 摘要
Public property | Title | 标题
Top
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.ArticleClass Property

ArticleCrudControllerFormArticleClass Property

文章分类

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> ArticleClass { get; set; }
Public Property ArticleClass As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ ArticleClass {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member ArticleClass : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.ArticleTag Property

ArticleCrudControllerFormArticleTag Property

文章标签

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> ArticleTag { get; set; }
Public Property ArticleTag As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ ArticleTag {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member ArticleTag : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.Contents Property

ArticleCrudControllerFormContents Property

内容

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Contents { get; set; }
Public Property Contents As String
    Get
    Set
public:
property String^ Contents {
    String^ get ();
    void set (String^ value);
}
member Contents : string with get, set

Property Value

Type: String
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.DisplayOrder Property

ArticleCrudControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.Remark Property

ArticleCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.Summary Property

ArticleCrudControllerFormSummary Property

摘要

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Summary { get; set; }
Public Property Summary As String
    Get
    Set
public:
property String^ Summary {
    String^ get ();
    void set (String^ value);
}
member Summary : string with get, set

Property Value

Type: String
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.Title Property

ArticleCrudControllerFormTitle Property

标题

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Title { get; set; }
Public Property Title As String
    Get
    Set
public:
property String^ Title {
    String^ get ();
    void set (String^ value);
}
member Title : string with get, set

Property Value

Type: String
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


Form Methods

The ArticleCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.OnBind Method

ArticleCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    Article bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As Article
)
protected:
virtual void OnBind(
    Article^ bindFrom
) override
abstract OnBind :
        bindFrom : Article -> unit
override OnBind :
        bindFrom : Article -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.CMS.Article.src.Domain.EntitiesArticle

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.Form.OnBind(ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article)"]

See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.Form.OnSubmit Method

ArticleCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    Article saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As Article
) As Object
protected:
virtual Object^ OnSubmit(
    Article^ saveTo
) override
abstract OnSubmit :
        saveTo : Article -> Object
override OnSubmit :
        saveTo : Article -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.CMS.Article.src.Domain.EntitiesArticle

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.Form.OnSubmit(ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.Form.OnSubmit(ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article)"]

See Also

Reference

ArticleCrudControllerForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler Class

ArticleCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase Article, Guid
ZKWeb.Plugins.CMS.Article.src.ControllersArticleCrudControllerTableHandler

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<Article, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of Article, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<Article^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<Article, Guid>
    end

The ArticleCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleCrudControllerTableHandler | Initializes a new instance of the ArticleCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler Constructor

ArticleCrudControllerTableHandler Constructor

Initializes a new instance of the ArticleCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


TableHandler Methods

The ArticleCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler.BuildTable Method

ArticleCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler.OnQuery Method

ArticleCrudControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<Article> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of Article)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<Article^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<Article> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<Article> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

query
Type: System.LinqIQueryable Article

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler.OnResponse Method

ArticleCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler.OnSelect Method

ArticleCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<Article>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of Article))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<Article^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<Article>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<Article>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow Article

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleCrudController.TableHandler.OnSort Method

ArticleCrudControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<Article> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of Article)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<Article^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<Article> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<Article> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

query
Type: System.LinqIQueryable Article

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ArticleCrudControllerTableHandler Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleImageBrowserController Class
文章图片浏览器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleImageBrowserController

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleImageBrowserController : ImageBrowserControllerBase
Public Class ArticleImageBrowserController
    Inherits ImageBrowserControllerBase
public ref class ArticleImageBrowserController : public ImageBrowserControllerBase
type ArticleImageBrowserController =
    class
        inherit ImageBrowserControllerBase
    end

The ArticleImageBrowserController type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleImageBrowserController | Initializes a new instance of the ArticleImageBrowserController class
Top
Properties
 | Name | Description
Public property | Category | (Overrides ImageBrowserControllerBaseCategory.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleImageBrowserController Constructor

Initializes a new instance of the ArticleImageBrowserController class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleImageBrowserController()
Public Sub New
public:
ArticleImageBrowserController()
new : unit -> ArticleImageBrowserController
See Also

Reference

ArticleImageBrowserController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleImageBrowserController Properties

The ArticleImageBrowserController type exposes the following members.

Properties
 | Name | Description
Public property | Category | (Overrides ImageBrowserControllerBaseCategory.)
Top
See Also

Reference

ArticleImageBrowserController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleImageBrowserController.Category Property

ArticleImageBrowserControllerCategory Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleImageBrowserController.Category"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Category { get; }
Public Overrides ReadOnly Property Category As String
    Get
public:
virtual property String^ Category {
    String^ get () override;
}
abstract Category : string with get
override Category : string with get

Property Value

Type: String
See Also

Reference

ArticleImageBrowserController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm Class
商品列表设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleListSettingsForm

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleListSettingsForm : FormAdminSettingsControllerBase
Public Class ArticleListSettingsForm
    Inherits FormAdminSettingsControllerBase
public ref class ArticleListSettingsForm : public FormAdminSettingsControllerBase
type ArticleListSettingsForm =
    class
        inherit FormAdminSettingsControllerBase
    end

The ArticleListSettingsForm type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleListSettingsForm | Initializes a new instance of the ArticleListSettingsForm class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm Constructor

Initializes a new instance of the ArticleListSettingsForm class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleListSettingsForm()
Public Sub New
public:
ArticleListSettingsForm()
new : unit -> ArticleListSettingsForm
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm Properties

The ArticleListSettingsForm type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Group Property

ArticleListSettingsFormGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.Group"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.GroupIconClass Property

ArticleListSettingsFormGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.GroupIconClass"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.IconClass Property

ArticleListSettingsFormIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.IconClass"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Name Property

ArticleListSettingsFormName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.Name"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Privilege Property

ArticleListSettingsFormPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.Privilege"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Url Property

ArticleListSettingsFormUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.Url"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm Methods

The ArticleListSettingsForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.GetForm Method

ArticleListSettingsFormGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.GetForm"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.GetForm"]

See Also

Reference

ArticleListSettingsForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Form Class

ArticleListSettingsFormForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.CMS.Article.src.ControllersArticleListSettingsFormForm

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ArticleListSettingsFormForm type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleListSettingsFormForm | Initializes a new instance of the ArticleListSettingsFormForm class
Top
Properties
 | Name | Description
Public property | ArticlesPerPage | 每页显示的商品数量
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Form Constructor

ArticleListSettingsFormForm Constructor

Initializes a new instance of the ArticleListSettingsFormForm class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ArticleListSettingsFormForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


Form Properties

The ArticleListSettingsFormForm type exposes the following members.

Properties
 | Name | Description
Public property | ArticlesPerPage | 每页显示的商品数量
Top
See Also

Reference

ArticleListSettingsFormForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Form.ArticlesPerPage Property

ArticleListSettingsFormFormArticlesPerPage Property

每页显示的商品数量

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ArticlesPerPage { get; set; }
Public Property ArticlesPerPage As Integer
    Get
    Set
public:
property int ArticlesPerPage {
    int get ();
    void set (int value);
}
member ArticlesPerPage : int with get, set

Property Value

Type: Int32
See Also

Reference

ArticleListSettingsFormForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


Form Methods

The ArticleListSettingsFormForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ArticleListSettingsFormForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Form.OnBind Method

ArticleListSettingsFormFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ArticleListSettingsFormForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleListSettingsForm.Form.OnSubmit Method

ArticleListSettingsFormFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleListSettingsForm.Form.OnSubmit"]

See Also

Reference

ArticleListSettingsFormForm Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleTagController Class
文章标签
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBase ArticleTagController
ZKWeb.Plugins.CMS.Article.src.ControllersArticleTagController

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleTagController : GenericTagControllerBase<ArticleTagController>
Public Class ArticleTagController
    Inherits GenericTagControllerBase(Of ArticleTagController)
public ref class ArticleTagController : public GenericTagControllerBase<ArticleTagController^>
type ArticleTagController =
    class
        inherit GenericTagControllerBase<ArticleTagController>
    end

The ArticleTagController type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleTagController | Initializes a new instance of the ArticleTagController class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleTagController Constructor

Initializes a new instance of the ArticleTagController class

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleTagController()
Public Sub New
public:
ArticleTagController()
new : unit -> ArticleTagController
See Also

Reference

ArticleTagController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleTagController Properties

The ArticleTagController type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ArticleTagController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ArticleTagController.Name Property

ArticleTagControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.Article.src.Controllers.ArticleTagController.Name"]

Namespace: ZKWeb.Plugins.CMS.Article.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ArticleTagController Class
ZKWeb.Plugins.CMS.Article.src.Controllers Namespace


ZKWeb.Plugins.CMS.Article.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.CMS.Article.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.CMS.Article.src.Domain.Entities |
ZKWeb.Plugins.CMS.Article.src.Domain.Repositories |
ZKWeb.Plugins.CMS.Article.src.Domain.Services |


ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Domain.Entities"]

Classes
 | Class | Description
Public class | Article | 文章


Article Class
文章
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.Article.src.Domain.EntitiesArticle

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Article : IHaveCreateTime, IEntity,
    IHaveUpdateTime, IHaveDeleted, IEntity<Guid>, IEntityMappingProvider<Article>,
    IEntityMappingProvider
Public Class Article
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IEntity(Of Guid), IEntityMappingProvider(Of Article), IEntityMappingProvider
public ref class Article : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<Article^>, IEntityMappingProvider
type Article =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntity<Guid>
        interface IEntityMappingProvider<Article>
        interface IEntityMappingProvider
    end

The Article type exposes the following members.

Constructors
 | Name | Description
Public method | Article | 初始化
Top
Properties
 | Name | Description
Public property | Author | 发布人
Public property | Classes | 关联的分类
Public property | Contents | 文章内容，格式是Html
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序
Public property | Id | 文章Id
Public property | Remark | 备注，格式是Html
Public property | Summary | 文章摘要
Public property | Tags | 关联的标签
Public property | Title | 文章标题
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article Constructor

初始化

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Article()
Public Sub New
public:
Article()
new : unit -> Article
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article Properties

The Article type exposes the following members.

Properties
 | Name | Description
Public property | Author | 发布人
Public property | Classes | 关联的分类
Public property | Contents | 文章内容，格式是Html
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序
Public property | Id | 文章Id
Public property | Remark | 备注，格式是Html
Public property | Summary | 文章摘要
Public property | Tags | 关联的标签
Public property | Title | 文章标题
Public property | UpdateTime | 更新时间
Top
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Author Property

ArticleAuthor Property

发布人

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Author { get; set; }
Public Overridable Property Author As User
    Get
    Set
public:
virtual property User^ Author {
    User^ get ();
    void set (User^ value);
}
abstract Author : User with get, set
override Author : User with get, set

Property Value

Type: User
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Classes Property

ArticleClasses Property

关联的分类

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<GenericClass> Classes { get; set; }
Public Overridable Property Classes As ISet(Of GenericClass)
    Get
    Set
public:
virtual property ISet<GenericClass^>^ Classes {
    ISet<GenericClass^>^ get ();
    void set (ISet<GenericClass^>^ value);
}
abstract Classes : ISet<GenericClass> with get, set
override Classes : ISet<GenericClass> with get, set

Property Value

Type: ISet GenericClass
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Contents Property

ArticleContents Property

文章内容，格式是Html

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Contents { get; set; }
Public Overridable Property Contents As String
    Get
    Set
public:
virtual property String^ Contents {
    String^ get ();
    void set (String^ value);
}
abstract Contents : string with get, set
override Contents : string with get, set

Property Value

Type: String
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.CreateTime Property

ArticleCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Deleted Property

ArticleDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.DisplayOrder Property

ArticleDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Id Property

ArticleId Property

文章Id

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Remark Property

ArticleRemark Property

备注，格式是Html

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Summary Property

ArticleSummary Property

文章摘要

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Summary { get; set; }
Public Overridable Property Summary As String
    Get
    Set
public:
virtual property String^ Summary {
    String^ get ();
    void set (String^ value);
}
abstract Summary : string with get, set
override Summary : string with get, set

Property Value

Type: String
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Tags Property

ArticleTags Property

关联的标签

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<GenericTag> Tags { get; set; }
Public Overridable Property Tags As ISet(Of GenericTag)
    Get
    Set
public:
virtual property ISet<GenericTag^>^ Tags {
    ISet<GenericTag^>^ get ();
    void set (ISet<GenericTag^>^ value);
}
abstract Tags : ISet<GenericTag> with get, set
override Tags : ISet<GenericTag> with get, set

Property Value

Type: ISet GenericTag
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Title Property

ArticleTitle Property

文章标题

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Title { get; set; }
Public Overridable Property Title As String
    Get
    Set
public:
virtual property String^ Title {
    String^ get ();
    void set (String^ value);
}
abstract Title : string with get, set
override Title : string with get, set

Property Value

Type: String
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.UpdateTime Property

ArticleUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article Methods

The Article type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.Configure Method

ArticleConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<Article> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of Article)
)
public:
virtual void Configure(
    IEntityMappingBuilder<Article^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<Article> -> unit
override Configure :
        builder : IEntityMappingBuilder<Article> -> unit

Parameters

builder
Type: IEntityMappingBuilderArticle

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


Article.ToString Method

ArticleToString Method

显示名称

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article.ToString"]

See Also

Reference

Article Class
ZKWeb.Plugins.CMS.Article.src.Domain.Entities Namespace


ZKWeb.Plugins.CMS.Article.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | ArticleRepository | 文章的仓储


ArticleRepository Class
文章的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase Article, Guid
ZKWeb.Plugins.CMS.Article.src.Domain.RepositoriesArticleRepository

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleRepository : RepositoryBase<Article, Guid>
Public Class ArticleRepository
    Inherits RepositoryBase(Of Article, Guid)
public ref class ArticleRepository : public RepositoryBase<Article^, Guid>
type ArticleRepository =
    class
        inherit RepositoryBase<Article, Guid>
    end

The ArticleRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleRepository | Initializes a new instance of the ArticleRepository class
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Domain.Repositories Namespace


ArticleRepository Constructor

Initializes a new instance of the ArticleRepository class

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleRepository()
Public Sub New
public:
ArticleRepository()
new : unit -> ArticleRepository
See Also

Reference

ArticleRepository Class
ZKWeb.Plugins.CMS.Article.src.Domain.Repositories Namespace


ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.Domain.Services"]

Classes
 | Class | Description
Public class | ArticleManager | 文章管理器


ArticleManager Class
文章管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase Article, Guid
ZKWeb.Plugins.CMS.Article.src.Domain.ServicesArticleManager

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleManager : DomainServiceBase<Article, Guid>,
    ICacheCleaner
Public Class ArticleManager
    Inherits DomainServiceBase(Of Article, Guid)
    Implements ICacheCleaner
public ref class ArticleManager : public DomainServiceBase<Article^, Guid>,
    ICacheCleaner
type ArticleManager =
    class
        inherit DomainServiceBase<Article, Guid>
        interface ICacheCleaner
    end

The ArticleManager type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleManager | 初始化
Top
Properties
 | Name | Description
Protected property | ArticleApiInfoCache | 文章信息的缓存
Public property | ArticleApiInfoCacheTime | 文章信息的缓存时间 默认是15秒，可通过网站配置指定
Protected property | ArticleSearchResultCache | 文章搜索结果的缓存
Public property | ArticleSearchResultCacheTime | 文章搜索结果的缓存时间 默认是15秒，可通过网站配置指定
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetArticleApiInfo | 获取文章信息 结果会按文章Id和当前登录用户缓存一定时间
Public method | GetArticleSearchResponseFromHttpRequest | 根据当前http请求获取搜索结果 结果会按请求参数和当前登录用户缓存一定时间
Public method | SelectOneVisibleArticleId | 选择一个可见的文章Id 返回的Id不固定，也可能返回Guid.Empty
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager Constructor

初始化

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleManager()
Public Sub New
public:
ArticleManager()
new : unit -> ArticleManager
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager Properties

The ArticleManager type exposes the following members.

Properties
 | Name | Description
Protected property | ArticleApiInfoCache | 文章信息的缓存
Public property | ArticleApiInfoCacheTime | 文章信息的缓存时间 默认是15秒，可通过网站配置指定
Protected property | ArticleSearchResultCache | 文章搜索结果的缓存
Public property | ArticleSearchResultCacheTime | 文章搜索结果的缓存时间 默认是15秒，可通过网站配置指定
Top
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.ArticleApiInfoCache Property

ArticleManagerArticleApiInfoCache Property

文章信息的缓存

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, Object> ArticleApiInfoCache { get; set; }
Protected Property ArticleApiInfoCache As IKeyValueCache(Of Guid, Object)
    Get
    Set
protected:
property IKeyValueCache<Guid, Object^>^ ArticleApiInfoCache {
    IKeyValueCache<Guid, Object^>^ get ();
    void set (IKeyValueCache<Guid, Object^>^ value);
}
member ArticleApiInfoCache : IKeyValueCache<Guid, Object> with get, set

Property Value

Type: IKeyValueCacheGuid, Object
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.ArticleApiInfoCacheTime Property

ArticleManagerArticleApiInfoCacheTime Property

文章信息的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ArticleApiInfoCacheTime { get; set; }
Public Property ArticleApiInfoCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ArticleApiInfoCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ArticleApiInfoCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.ArticleSearchResultCache Property

ArticleManagerArticleSearchResultCache Property

文章搜索结果的缓存

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<int, StaticTableSearchResponse> ArticleSearchResultCache { get; set; }
Protected Property ArticleSearchResultCache As IKeyValueCache(Of Integer, StaticTableSearchResponse)
    Get
    Set
protected:
property IKeyValueCache<int, StaticTableSearchResponse^>^ ArticleSearchResultCache {
    IKeyValueCache<int, StaticTableSearchResponse^>^ get ();
    void set (IKeyValueCache<int, StaticTableSearchResponse^>^ value);
}
member ArticleSearchResultCache : IKeyValueCache<int, StaticTableSearchResponse> with get, set

Property Value

Type: IKeyValueCacheInt32, StaticTableSearchResponse
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.ArticleSearchResultCacheTime Property

ArticleManagerArticleSearchResultCacheTime Property

文章搜索结果的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ArticleSearchResultCacheTime { get; set; }
Public Property ArticleSearchResultCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ArticleSearchResultCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ArticleSearchResultCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager Methods

The ArticleManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetArticleApiInfo | 获取文章信息 结果会按文章Id和当前登录用户缓存一定时间
Public method | GetArticleSearchResponseFromHttpRequest | 根据当前http请求获取搜索结果 结果会按请求参数和当前登录用户缓存一定时间
Public method | SelectOneVisibleArticleId | 选择一个可见的文章Id 返回的Id不固定，也可能返回Guid.Empty
Top
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.ClearCache Method

ArticleManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.GetArticleApiInfo Method

ArticleManagerGetArticleApiInfo Method

获取文章信息 结果会按文章Id和当前登录用户缓存一定时间

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object GetArticleApiInfo(
    Guid articleId
)
Public Overridable Function GetArticleApiInfo (
    articleId As Guid
) As Object
public:
virtual Object^ GetArticleApiInfo(
    Guid articleId
)
abstract GetArticleApiInfo :
        articleId : Guid -> Object
override GetArticleApiInfo :
        articleId : Guid -> Object

Parameters

articleId
Type: SystemGuid
文章Id

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Domain.Services.ArticleManager.GetArticleApiInfo(System.Guid)"]

See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.GetArticleSearchResponseFromHttpRequest Method

ArticleManagerGetArticleSearchResponseFromHttpRequest Method

根据当前http请求获取搜索结果 结果会按请求参数和当前登录用户缓存一定时间

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual StaticTableSearchResponse GetArticleSearchResponseFromHttpRequest()
Public Overridable Function GetArticleSearchResponseFromHttpRequest As StaticTableSearchResponse
public:
virtual StaticTableSearchResponse^ GetArticleSearchResponseFromHttpRequest()
abstract GetArticleSearchResponseFromHttpRequest : unit -> StaticTableSearchResponse
override GetArticleSearchResponseFromHttpRequest : unit -> StaticTableSearchResponse

Return Value

Type: StaticTableSearchResponse

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Domain.Services.ArticleManager.GetArticleSearchResponseFromHttpRequest"]

See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ArticleManager.SelectOneVisibleArticleId Method

ArticleManagerSelectOneVisibleArticleId Method

选择一个可见的文章Id 返回的Id不固定，也可能返回Guid.Empty

Namespace: ZKWeb.Plugins.CMS.Article.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid SelectOneVisibleArticleId()
Public Overridable Function SelectOneVisibleArticleId As Guid
public:
virtual Guid SelectOneVisibleArticleId()
abstract SelectOneVisibleArticleId : unit -> Guid
override SelectOneVisibleArticleId : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.Article.src.Domain.Services.ArticleManager.SelectOneVisibleArticleId"]

See Also

Reference

ArticleManager Class
ZKWeb.Plugins.CMS.Article.src.Domain.Services Namespace


ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers"]

Classes
 | Class | Description
Public class | ArticleTableHandler | 前台文章列表使用的文章表格的回调


ArticleTableHandler Class
前台文章列表使用的文章表格的回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.BasesStaticTableHandlerBase Article, Guid
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlersArticleTableHandler

Namespace: ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ArticleTableHandler : StaticTableHandlerBase<Article, Guid>
Public Class ArticleTableHandler
    Inherits StaticTableHandlerBase(Of Article, Guid)
public ref class ArticleTableHandler : public StaticTableHandlerBase<Article^, Guid>
type ArticleTableHandler =
    class
        inherit StaticTableHandlerBase<Article, Guid>
    end

The ArticleTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ArticleTableHandler | Initializes a new instance of the ArticleTableHandler class
Top
Methods
 | Name | Description
Public method | OnQuery | 过滤数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity).)
Public method | OnSelect | 选择数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace


ArticleTableHandler Constructor

Initializes a new instance of the ArticleTableHandler class

Namespace: ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ArticleTableHandler()
Public Sub New
public:
ArticleTableHandler()
new : unit -> ArticleTableHandler
See Also

Reference

ArticleTableHandler Class
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace


ArticleTableHandler Methods

The ArticleTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnQuery | 过滤数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity).)
Public method | OnSelect | 选择数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ArticleTableHandler Class
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace


ArticleTableHandler.OnQuery Method

ArticleTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    StaticTableSearchRequest request,
    ref IQueryable<Article> query
)
Public Overrides Sub OnQuery (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of Article)
)
public:
virtual void OnQuery(
    StaticTableSearchRequest^ request,
    IQueryable<Article^>^% query
) override
abstract OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<Article> byref -> unit
override OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<Article> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers.ArticleTableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

query
Type: System.LinqIQueryable Article

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers.ArticleTableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity)
See Also

Reference

ArticleTableHandler Class
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace


ArticleTableHandler.OnSelect Method

ArticleTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    StaticTableSearchRequest request,
    IList<EntityToTableRow<Article>> pairs
)
Public Overrides Sub OnSelect (
    request As StaticTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of Article))
)
public:
virtual void OnSelect(
    StaticTableSearchRequest^ request,
    IList<EntityToTableRow<Article^>^>^ pairs
) override
abstract OnSelect :
        request : StaticTableSearchRequest *
        pairs : IList<EntityToTableRow<Article>> -> unit
override OnSelect :
        request : StaticTableSearchRequest *
        pairs : IList<EntityToTableRow<Article>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers.ArticleTableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow Article

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers.ArticleTableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}})"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ArticleTableHandler Class
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace


ArticleTableHandler.OnSort Method

ArticleTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    StaticTableSearchRequest request,
    ref IQueryable<Article> query
)
Public Overrides Sub OnSort (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of Article)
)
public:
virtual void OnSort(
    StaticTableSearchRequest^ request,
    IQueryable<Article^>^% query
) override
abstract OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<Article> byref -> unit
override OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<Article> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers.ArticleTableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

query
Type: System.LinqIQueryable Article

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers.ArticleTableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.CMS.Article.src.Domain.Entities.Article}@)"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity)
See Also

Reference

ArticleTableHandler Class
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlers Namespace


ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 中文翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates Namespace


ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers"]

Classes
 | Class | Description
Public class | CKEditor | CKEditor编辑器


CKEditor Class
CKEditor编辑器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlersCKEditor

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CKEditor : IFormFieldHandler
Public Class CKEditor
    Implements IFormFieldHandler
public ref class CKEditor : IFormFieldHandler
type CKEditor =
    class
        interface IFormFieldHandler
    end

The CKEditor type exposes the following members.

Constructors
 | Name | Description
Public method | CKEditor | Initializes a new instance of the CKEditor class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers Namespace


CKEditor Constructor

Initializes a new instance of the CKEditor class

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CKEditor()
Public Sub New
public:
CKEditor()
new : unit -> CKEditor
See Also

Reference

CKEditor Class
ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers Namespace


CKEditor Methods

The CKEditor type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CKEditor Class
ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers Namespace


CKEditor.Build Method

CKEditorBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers.CKEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers.CKEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers.CKEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CKEditor Class
ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers Namespace


CKEditor.Parse Method

CKEditorParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers.CKEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers.CKEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers.CKEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CKEditor Class
ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers Namespace


ZKWeb.Plugins.CMS.ImageBrowser.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.CMS.ImageBrowser.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates |


ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | ImageBrowserExtraConfigKeys | 网站附加配置中使用的键


ImageBrowserExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeysImageBrowserExtraConfigKeys

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ImageBrowserExtraConfigKeys
Public Class ImageBrowserExtraConfigKeys
public ref class ImageBrowserExtraConfigKeys
type ImageBrowserExtraConfigKeys =  class end

The ImageBrowserExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | ImageBrowserExtraConfigKeys | Initializes a new instance of the ImageBrowserExtraConfigKeys class
Top
Fields
Name | Description
ImageNamesCacheTime | 同一类别下的图片名的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys Namespace


ImageBrowserExtraConfigKeys Constructor

Initializes a new instance of the ImageBrowserExtraConfigKeys class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ImageBrowserExtraConfigKeys()
Public Sub New
public:
ImageBrowserExtraConfigKeys()
new : unit -> ImageBrowserExtraConfigKeys
See Also

Reference

ImageBrowserExtraConfigKeys Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys Namespace


ImageBrowserExtraConfigKeys Fields

The ImageBrowserExtraConfigKeys type exposes the following members.

Fields
Name | Description
ImageNamesCacheTime | 同一类别下的图片名的缓存时间，单位是秒
Top
See Also

Reference

ImageBrowserExtraConfigKeys Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys Namespace


ImageBrowserExtraConfigKeys.ImageNamesCacheTime Field

ImageBrowserExtraConfigKeysImageNamesCacheTime Field
同一类别下的图片名的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ImageNamesCacheTime = "CMS.ImageBrowser.ImageNamesCacheTime"
Public Const ImageNamesCacheTime As String = "CMS.ImageBrowser.ImageNamesCacheTime"
public:
literal String^ ImageNamesCacheTime = "CMS.ImageBrowser.ImageNamesCacheTime"
static val mutable ImageNamesCacheTime: string

Field Value

Type: String
See Also

Reference

ImageBrowserExtraConfigKeys Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Components.Translates Namespace


ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | ImageBrowserControllerBase | 图片浏览器的控制器基础类
Public class | ImageBrowserControllerBaseForm | 图片上传表单 需要支持直接上传，这里不开启CSRF校验（上面会检查是否ajax请求）


ImageBrowserControllerBase Class
图片浏览器的控制器基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleImageBrowserController
ZKWeb.Plugins.Shopping.Product.src.ControllerProductImageBrowserController
ZKWeb.Plugins.Theme.Widgets.Base.src.ControllersTemplateWidgetImageBrowserController

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ImageBrowserControllerBase : ScaffoldControllerBase,
    IPrivilegesProvider, IWebsiteStartHandler
Public MustInherit Class ImageBrowserControllerBase
    Inherits ScaffoldControllerBase
    Implements IPrivilegesProvider, IWebsiteStartHandler
public ref class ImageBrowserControllerBase abstract : public ScaffoldControllerBase,
    IPrivilegesProvider, IWebsiteStartHandler
[<AbstractClassAttribute>]
type ImageBrowserControllerBase =
    class
        inherit ScaffoldControllerBase
        interface IPrivilegesProvider
        interface IWebsiteStartHandler
    end

The ImageBrowserControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | ImageBrowserControllerBase | Initializes a new instance of the ImageBrowserControllerBase class
Top
Properties
 | Name | Description
Public property | AjaxTableTemplatePath | Ajax图片列表使用的模板路径
Public property | Category | 图片类别 保存到文件系统时使用小写
Public property | CategoryLower |
Public property | RemoveUrl | 删除图片的Url
Public property | RequiredPrivileges | 默认需要按类别生成的权限
Public property | RequiredUserType | 默认需要管理员权限
Public property | SearchUrl | 搜索图片的Url
Public property | TableId | 表格Id
Public property | TemplatePath | 模板路径
Public property | UploadUrl | 上传图片的Url
Public property | Url | 基础Url
Top
Methods
 | Name | Description
Public method | Action | 浏览图片
Public method | GetForm | 获取图片上传表单
Public method | GetPrivileges | 获取权限列表
Public method | RemoveAction | 删除图片
Public method | SearchAction | 搜索图片
Public method | UploadAction | 上传图片
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase Constructor

Initializes a new instance of the ImageBrowserControllerBase class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected ImageBrowserControllerBase()
Protected Sub New
protected:
ImageBrowserControllerBase()
new : unit -> ImageBrowserControllerBase
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase Properties

The ImageBrowserControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | AjaxTableTemplatePath | Ajax图片列表使用的模板路径
Public property | Category | 图片类别 保存到文件系统时使用小写
Public property | CategoryLower |
Public property | RemoveUrl | 删除图片的Url
Public property | RequiredPrivileges | 默认需要按类别生成的权限
Public property | RequiredUserType | 默认需要管理员权限
Public property | SearchUrl | 搜索图片的Url
Public property | TableId | 表格Id
Public property | TemplatePath | 模板路径
Public property | UploadUrl | 上传图片的Url
Public property | Url | 基础Url
Top
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.AjaxTableTemplatePath Property

ImageBrowserControllerBaseAjaxTableTemplatePath Property

Ajax图片列表使用的模板路径

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string AjaxTableTemplatePath { get; }
Public Overridable ReadOnly Property AjaxTableTemplatePath As String
    Get
public:
virtual property String^ AjaxTableTemplatePath {
    String^ get ();
}
abstract AjaxTableTemplatePath : string with get
override AjaxTableTemplatePath : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Category Property

ImageBrowserControllerBaseCategory Property

图片类别 保存到文件系统时使用小写

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Category { get; }
Public MustOverride ReadOnly Property Category As String
    Get
public:
virtual property String^ Category {
    String^ get () abstract;
}
abstract Category : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.CategoryLower Property

ImageBrowserControllerBaseCategoryLower Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.CategoryLower"]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CategoryLower { get; }
Public ReadOnly Property CategoryLower As String
    Get
public:
property String^ CategoryLower {
    String^ get ();
}
member CategoryLower : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.RemoveUrl Property

ImageBrowserControllerBaseRemoveUrl Property

删除图片的Url

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string RemoveUrl { get; }
Public Overridable ReadOnly Property RemoveUrl As String
    Get
public:
virtual property String^ RemoveUrl {
    String^ get ();
}
abstract RemoveUrl : string with get
override RemoveUrl : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.RequiredPrivileges Property

ImageBrowserControllerBaseRequiredPrivileges Property

默认需要按类别生成的权限

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] RequiredPrivileges { get; }
Public Overridable ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get ();
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.RequiredUserType Property

ImageBrowserControllerBaseRequiredUserType Property

默认需要管理员权限

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Type RequiredUserType { get; }
Public Overridable ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get ();
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.SearchUrl Property

ImageBrowserControllerBaseSearchUrl Property

搜索图片的Url

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string SearchUrl { get; }
Public Overridable ReadOnly Property SearchUrl As String
    Get
public:
virtual property String^ SearchUrl {
    String^ get ();
}
abstract SearchUrl : string with get
override SearchUrl : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.TableId Property

ImageBrowserControllerBaseTableId Property

表格Id

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string TableId { get; }
Public Overridable ReadOnly Property TableId As String
    Get
public:
virtual property String^ TableId {
    String^ get ();
}
abstract TableId : string with get
override TableId : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.TemplatePath Property

ImageBrowserControllerBaseTemplatePath Property

模板路径

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string TemplatePath { get; }
Public Overridable ReadOnly Property TemplatePath As String
    Get
public:
virtual property String^ TemplatePath {
    String^ get ();
}
abstract TemplatePath : string with get
override TemplatePath : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.UploadUrl Property

ImageBrowserControllerBaseUploadUrl Property

上传图片的Url

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string UploadUrl { get; }
Public Overridable ReadOnly Property UploadUrl As String
    Get
public:
virtual property String^ UploadUrl {
    String^ get ();
}
abstract UploadUrl : string with get
override UploadUrl : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Url Property

ImageBrowserControllerBaseUrl Property

基础Url

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Url { get; }
Public Overridable ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get ();
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase Methods

The ImageBrowserControllerBase type exposes the following members.

Methods
 | Name | Description
Public method | Action | 浏览图片
Public method | GetForm | 获取图片上传表单
Public method | GetPrivileges | 获取权限列表
Public method | RemoveAction | 删除图片
Public method | SearchAction | 搜索图片
Public method | UploadAction | 上传图片
Top
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Action Method

ImageBrowserControllerBaseAction Method

浏览图片

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IActionResult Action()
Public Overridable Function Action As IActionResult
public:
virtual IActionResult^ Action()
abstract Action : unit -> IActionResult
override Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.Action"]

See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.GetForm Method

ImageBrowserControllerBaseGetForm Method

获取图片上传表单

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IModelFormBuilder GetForm()
Public Overridable Function GetForm As IModelFormBuilder
public:
virtual IModelFormBuilder^ GetForm()
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.GetForm"]

See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.GetPrivileges Method

ImageBrowserControllerBaseGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetPrivileges()
Public Overridable Function GetPrivileges As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetPrivileges()
abstract GetPrivileges : unit -> IEnumerable<string>
override GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.GetPrivileges"]

Implements

IPrivilegesProviderGetPrivileges
See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.RemoveAction Method

ImageBrowserControllerBaseRemoveAction Method

删除图片

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IActionResult RemoveAction(
    string name,
    string extension
)
Public Overridable Function RemoveAction (
    name As String,
    extension As String
) As IActionResult
public:
virtual IActionResult^ RemoveAction(
    String^ name,
    String^ extension
)
abstract RemoveAction :
        name : string *
        extension : string -> IActionResult
override RemoveAction :
        name : string *
        extension : string -> IActionResult

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.RemoveAction(System.String,System.String)"]

extension
Type: SystemString

[Missing <param name="extension"/> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.RemoveAction(System.String,System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.RemoveAction(System.String,System.String)"]

See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.SearchAction Method

ImageBrowserControllerBaseSearchAction Method

搜索图片

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IActionResult SearchAction()
Public Overridable Function SearchAction As IActionResult
public:
virtual IActionResult^ SearchAction()
abstract SearchAction : unit -> IActionResult
override SearchAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.SearchAction"]

See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.UploadAction Method

ImageBrowserControllerBaseUploadAction Method

上传图片

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IActionResult UploadAction()
Public Overridable Function UploadAction As IActionResult
public:
virtual IActionResult^ UploadAction()
abstract UploadAction : unit -> IActionResult
override UploadAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.UploadAction"]

See Also

Reference

ImageBrowserControllerBase Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form Class

ImageBrowserControllerBaseForm Class
图片上传表单 需要支持直接上传，这里不开启CSRF校验（上面会检查是否ajax请求）
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBaseForm

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ImageBrowserControllerBaseForm type exposes the following members.

Constructors
 | Name | Description
Public method | ImageBrowserControllerBaseForm | 初始化
Top
Properties
 | Name | Description
Public property | Category | 图片类别
Public property | CustomName | 自定义名称
Public property | Image | 图片文件
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form Constructor

ImageBrowserControllerBaseForm Constructor

初始化

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form(
    string category,
    FileUploaderFieldAttribute uploadAttribute,
    string uploadUrl
)
Public Sub New (
    category As String,
    uploadAttribute As FileUploaderFieldAttribute,
    uploadUrl As String
)
public:
Form(
    String^ category,
    FileUploaderFieldAttribute^ uploadAttribute,
    String^ uploadUrl
)
new :
        category : string *
        uploadAttribute : FileUploaderFieldAttribute *
        uploadUrl : string -> Form

Parameters

category
Type: SystemString
图片类别
uploadAttribute
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderFieldAttribute
上传属性
uploadUrl
Type: SystemString
上传地址
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


Form Properties

The ImageBrowserControllerBaseForm type exposes the following members.

Properties
 | Name | Description
Public property | Category | 图片类别
Public property | CustomName | 自定义名称
Public property | Image | 图片文件
Top
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form.Category Property

ImageBrowserControllerBaseFormCategory Property

图片类别

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Category { get; set; }
Public Property Category As String
    Get
    Set
public:
property String^ Category {
    String^ get ();
    void set (String^ value);
}
member Category : string with get, set

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form.CustomName Property

ImageBrowserControllerBaseFormCustomName Property

自定义名称

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CustomName { get; set; }
Public Property CustomName As String
    Get
    Set
public:
property String^ CustomName {
    String^ get ();
    void set (String^ value);
}
member CustomName : string with get, set

Property Value

Type: String
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form.Image Property

ImageBrowserControllerBaseFormImage Property

图片文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile Image { get; set; }
Public Property Image As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ Image {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member Image : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


Form Methods

The ImageBrowserControllerBaseForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form.OnBind Method

ImageBrowserControllerBaseFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ImageBrowserControllerBase.Form.OnSubmit Method

ImageBrowserControllerBaseFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases.ImageBrowserControllerBase.Form.OnSubmit"]

See Also

Reference

ImageBrowserControllerBaseForm Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases Namespace


ZKWeb.Plugins.CMS.ImageBrowser.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services |
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs |


ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services"]

Classes
 | Class | Description
Public class | ImageManager | 图片管理器


ImageManager Class
图片管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.ServicesImageManager

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ImageManager : DomainServiceBase,
    ICacheCleaner
Public Class ImageManager
    Inherits DomainServiceBase
    Implements ICacheCleaner
public ref class ImageManager : public DomainServiceBase,
    ICacheCleaner
type ImageManager =
    class
        inherit DomainServiceBase
        interface ICacheCleaner
    end

The ImageManager type exposes the following members.

Constructors
 | Name | Description
Public method | ImageManager | 初始化
Top
Properties
 | Name | Description
Public property | AllImageExtensions | 所有的图片后缀，默认是[.jpg, .jpeg, .bmp, .png, .gif]
Public property | ImageBasePathFormat | 图片基础路径的格式 参数: 类别
Public property | ImageExtension | 默认的图片后缀，默认是.jpg
Protected property | ImageNamesCache | 同一类别下的图片名的缓存 { 类别: [图片名, ...], ... }
Public property | ImageNamesCacheTime | 同一类别下的图片名的缓存时间 默认是15秒，可通过网站配置指定
Public property | ImageQuality | 图片保存质量，默认是90
Public property | ImageThumbnailSize | 图片缩略图的大小，默认是135x135
Public property | ImageThumbnailSuffix | 默认的图片缩略图的后缀，默认是.thumb
Top
Methods
 | Name | Description
Public method | ClearCache | 清除缓存
Public method | Exist(String, String) | 判断图片是否存在
Public method | Exist(String, String, String) | 判断图片是否存在
Public method | GetImageStorageDirectory | 获取图片的储存文件夹
Public method | GetImageStorageFile(String, String) | 获取图片的储存文件
Public method | GetImageStorageFile(String, String, String) | 获取图片的储存文件
Public method | GetImageWebPath(String, String) | 获取图片的网页路径
Public method | GetImageWebPath(String, String, String) | 获取图片的网页路径
Public method | Query | 查询类别下的图片名称列表 按最后修改的时间排序
Public method | Remove(String, String) | 删除图片文件
Public method | Remove(String, String, String) | 删除图片文件
Public method | Save(Stream, String, String) | 保存图片文件
Public method | Save(Stream, String, String, String) | 保存图片文件
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager Constructor

初始化

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ImageManager()
Public Sub New
public:
ImageManager()
new : unit -> ImageManager
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager Properties

The ImageManager type exposes the following members.

Properties
 | Name | Description
Public property | AllImageExtensions | 所有的图片后缀，默认是[.jpg, .jpeg, .bmp, .png, .gif]
Public property | ImageBasePathFormat | 图片基础路径的格式 参数: 类别
Public property | ImageExtension | 默认的图片后缀，默认是.jpg
Protected property | ImageNamesCache | 同一类别下的图片名的缓存 { 类别: [图片名, ...], ... }
Public property | ImageNamesCacheTime | 同一类别下的图片名的缓存时间 默认是15秒，可通过网站配置指定
Public property | ImageQuality | 图片保存质量，默认是90
Public property | ImageThumbnailSize | 图片缩略图的大小，默认是135x135
Public property | ImageThumbnailSuffix | 默认的图片缩略图的后缀，默认是.thumb
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.AllImageExtensions Property

ImageManagerAllImageExtensions Property

所有的图片后缀，默认是[.jpg, .jpeg, .bmp, .png, .gif]

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string[] AllImageExtensions { get; set; }
Public Property AllImageExtensions As String()
    Get
    Set
public:
property array<String^>^ AllImageExtensions {
    array<String^>^ get ();
    void set (array<String^>^ value);
}
member AllImageExtensions : string[] with get, set

Property Value

Type: String
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageBasePathFormat Property

ImageManagerImageBasePathFormat Property

图片基础路径的格式 参数: 类别

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ImageBasePathFormat { get; set; }
Public Property ImageBasePathFormat As String
    Get
    Set
public:
property String^ ImageBasePathFormat {
    String^ get ();
    void set (String^ value);
}
member ImageBasePathFormat : string with get, set

Property Value

Type: String
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageExtension Property

ImageManagerImageExtension Property

默认的图片后缀，默认是.jpg

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ImageExtension { get; set; }
Public Property ImageExtension As String
    Get
    Set
public:
property String^ ImageExtension {
    String^ get ();
    void set (String^ value);
}
member ImageExtension : string with get, set

Property Value

Type: String
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageNamesCache Property

ImageManagerImageNamesCache Property

同一类别下的图片名的缓存 { 类别: [图片名, ...], ... }

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, IReadOnlyList<ImageQueryResult>> ImageNamesCache { get; set; }
Protected Property ImageNamesCache As IKeyValueCache(Of String, IReadOnlyList(Of ImageQueryResult))
    Get
    Set
protected:
property IKeyValueCache<String^, IReadOnlyList<ImageQueryResult^>^>^ ImageNamesCache {
    IKeyValueCache<String^, IReadOnlyList<ImageQueryResult^>^>^ get ();
    void set (IKeyValueCache<String^, IReadOnlyList<ImageQueryResult^>^>^ value);
}
member ImageNamesCache : IKeyValueCache<string, IReadOnlyList<ImageQueryResult>> with get, set

Property Value

Type: IKeyValueCacheString, IReadOnlyList ImageQueryResult
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageNamesCacheTime Property

ImageManagerImageNamesCacheTime Property

同一类别下的图片名的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ImageNamesCacheTime { get; set; }
Public Property ImageNamesCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ImageNamesCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ImageNamesCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageQuality Property

ImageManagerImageQuality Property

图片保存质量，默认是90

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ImageQuality { get; set; }
Public Property ImageQuality As Integer
    Get
    Set
public:
property int ImageQuality {
    int get ();
    void set (int value);
}
member ImageQuality : int with get, set

Property Value

Type: Int32
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageThumbnailSize Property

ImageManagerImageThumbnailSize Property

图片缩略图的大小，默认是135x135

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Size ImageThumbnailSize { get; set; }
Public Property ImageThumbnailSize As Size
    Get
    Set
public:
property Size ImageThumbnailSize {
    Size get ();
    void set (Size value);
}
member ImageThumbnailSize : Size with get, set

Property Value

Type: Size
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ImageThumbnailSuffix Property

ImageManagerImageThumbnailSuffix Property

默认的图片缩略图的后缀，默认是.thumb

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ImageThumbnailSuffix { get; set; }
Public Property ImageThumbnailSuffix As String
    Get
    Set
public:
property String^ ImageThumbnailSuffix {
    String^ get ();
    void set (String^ value);
}
member ImageThumbnailSuffix : string with get, set

Property Value

Type: String
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager Methods

The ImageManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清除缓存
Public method | Exist(String, String) | 判断图片是否存在
Public method | Exist(String, String, String) | 判断图片是否存在
Public method | GetImageStorageDirectory | 获取图片的储存文件夹
Public method | GetImageStorageFile(String, String) | 获取图片的储存文件
Public method | GetImageStorageFile(String, String, String) | 获取图片的储存文件
Public method | GetImageWebPath(String, String) | 获取图片的网页路径
Public method | GetImageWebPath(String, String, String) | 获取图片的网页路径
Public method | Query | 查询类别下的图片名称列表 按最后修改的时间排序
Public method | Remove(String, String) | 删除图片文件
Public method | Remove(String, String, String) | 删除图片文件
Public method | Save(Stream, String, String) | 保存图片文件
Public method | Save(Stream, String, String, String) | 保存图片文件
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.ClearCache Method

ImageManagerClearCache Method

清除缓存

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Exist Method

ImageManagerExist Method

Overload List
 | Name | Description
Public method | Exist(String, String) | 判断图片是否存在
Public method | Exist(String, String, String) | 判断图片是否存在
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Exist Method (String, String)

ImageManagerExist Method (String, String)
判断图片是否存在

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Exist(
    string category,
    string name
)
Public Overridable Function Exist (
    category As String,
    name As String
) As Boolean
public:
virtual bool Exist(
    String^ category,
    String^ name
)
abstract Exist :
        category : string *
        name : string -> bool
override Exist :
        category : string *
        name : string -> bool

Parameters

category
Type: SystemString
图片类别
name
Type: SystemString
名称，不应该带后缀名

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.Exist(System.String,System.String)"]

See Also

Reference

ImageManager Class
Exist Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Exist Method (String, String, String)

ImageManagerExist Method (String, String, String)
判断图片是否存在

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Exist(
    string category,
    string name,
    string extension
)
Public Overridable Function Exist (
    category As String,
    name As String,
    extension As String
) As Boolean
public:
virtual bool Exist(
    String^ category,
    String^ name,
    String^ extension
)
abstract Exist :
        category : string *
        name : string *
        extension : string -> bool
override Exist :
        category : string *
        name : string *
        extension : string -> bool

Parameters

category
Type: SystemString
图片类别
name
Type: SystemString
名称，不应该带后缀名
extension
Type: SystemString
后缀名

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.Exist(System.String,System.String,System.String)"]

See Also

Reference

ImageManager Class
Exist Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageStorageDirectory Method

ImageManagerGetImageStorageDirectory Method

获取图片的储存文件夹

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDirectoryEntry GetImageStorageDirectory(
    string category
)
Public Overridable Function GetImageStorageDirectory (
    category As String
) As IDirectoryEntry
public:
virtual IDirectoryEntry^ GetImageStorageDirectory(
    String^ category
)
abstract GetImageStorageDirectory :
        category : string -> IDirectoryEntry
override GetImageStorageDirectory :
        category : string -> IDirectoryEntry

Parameters

category
Type: SystemString
图片类别

Return Value

Type: IDirectoryEntry

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.GetImageStorageDirectory(System.String)"]

See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageStorageFile Method

ImageManagerGetImageStorageFile Method

Overload List
 | Name | Description
Public method | GetImageStorageFile(String, String) | 获取图片的储存文件
Public method | GetImageStorageFile(String, String, String) | 获取图片的储存文件
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageStorageFile Method (String, String)

ImageManagerGetImageStorageFile Method (String, String)
获取图片的储存文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IFileEntry GetImageStorageFile(
    string category,
    string name
)
Public Overridable Function GetImageStorageFile (
    category As String,
    name As String
) As IFileEntry
public:
virtual IFileEntry^ GetImageStorageFile(
    String^ category,
    String^ name
)
abstract GetImageStorageFile :
        category : string *
        name : string -> IFileEntry
override GetImageStorageFile :
        category : string *
        name : string -> IFileEntry

Parameters

category
Type: SystemString
图片类别
name
Type: SystemString
名称，不应该带后缀名

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.GetImageStorageFile(System.String,System.String)"]

See Also

Reference

ImageManager Class
GetImageStorageFile Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageStorageFile Method (String, String, String)

ImageManagerGetImageStorageFile Method (String, String, String)
获取图片的储存文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IFileEntry GetImageStorageFile(
    string category,
    string name,
    string extension
)
Public Overridable Function GetImageStorageFile (
    category As String,
    name As String,
    extension As String
) As IFileEntry
public:
virtual IFileEntry^ GetImageStorageFile(
    String^ category,
    String^ name,
    String^ extension
)
abstract GetImageStorageFile :
        category : string *
        name : string *
        extension : string -> IFileEntry
override GetImageStorageFile :
        category : string *
        name : string *
        extension : string -> IFileEntry

Parameters

category
Type: SystemString
图片类别
name
Type: SystemString
名称，不应该带后缀名
extension
Type: SystemString
后缀名

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.GetImageStorageFile(System.String,System.String,System.String)"]

See Also

Reference

ImageManager Class
GetImageStorageFile Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageWebPath Method

ImageManagerGetImageWebPath Method

Overload List
 | Name | Description
Public method | GetImageWebPath(String, String) | 获取图片的网页路径
Public method | GetImageWebPath(String, String, String) | 获取图片的网页路径
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageWebPath Method (String, String)

ImageManagerGetImageWebPath Method (String, String)
获取图片的网页路径

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetImageWebPath(
    string category,
    string name
)
Public Overridable Function GetImageWebPath (
    category As String,
    name As String
) As String
public:
virtual String^ GetImageWebPath(
    String^ category,
    String^ name
)
abstract GetImageWebPath :
        category : string *
        name : string -> string
override GetImageWebPath :
        category : string *
        name : string -> string

Parameters

category
Type: SystemString
图片类别
name
Type: SystemString
名称，不应该带后缀名

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.GetImageWebPath(System.String,System.String)"]

See Also

Reference

ImageManager Class
GetImageWebPath Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.GetImageWebPath Method (String, String, String)

ImageManagerGetImageWebPath Method (String, String, String)
获取图片的网页路径

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetImageWebPath(
    string category,
    string name,
    string extension
)
Public Overridable Function GetImageWebPath (
    category As String,
    name As String,
    extension As String
) As String
public:
virtual String^ GetImageWebPath(
    String^ category,
    String^ name,
    String^ extension
)
abstract GetImageWebPath :
        category : string *
        name : string *
        extension : string -> string
override GetImageWebPath :
        category : string *
        name : string *
        extension : string -> string

Parameters

category
Type: SystemString
图片类别
name
Type: SystemString
名称，不应该带后缀名
extension
Type: SystemString
后缀名

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.GetImageWebPath(System.String,System.String,System.String)"]

See Also

Reference

ImageManager Class
GetImageWebPath Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Query Method

ImageManagerQuery Method

查询类别下的图片名称列表 按最后修改的时间排序

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IReadOnlyList<ImageQueryResult> Query(
    string category
)
Public Overridable Function Query (
    category As String
) As IReadOnlyList(Of ImageQueryResult)
public:
virtual IReadOnlyList<ImageQueryResult^>^ Query(
    String^ category
)
abstract Query :
        category : string -> IReadOnlyList<ImageQueryResult>
override Query :
        category : string -> IReadOnlyList<ImageQueryResult>

Parameters

category
Type: SystemString
图片类别

Return Value

Type: IReadOnlyList ImageQueryResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services.ImageManager.Query(System.String)"]

See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Remove Method

ImageManagerRemove Method

Overload List
 | Name | Description
Public method | Remove(String, String) | 删除图片文件
Public method | Remove(String, String, String) | 删除图片文件
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Remove Method (String, String)

ImageManagerRemove Method (String, String)
删除图片文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Remove(
    string category,
    string name
)
Public Overridable Sub Remove (
    category As String,
    name As String
)
public:
virtual void Remove(
    String^ category,
    String^ name
)
abstract Remove :
        category : string *
        name : string -> unit
override Remove :
        category : string *
        name : string -> unit

Parameters

category
Type: SystemString
类别
name
Type: SystemString
名称，不应该带后缀名
See Also

Reference

ImageManager Class
Remove Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Remove Method (String, String, String)

ImageManagerRemove Method (String, String, String)
删除图片文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Remove(
    string category,
    string name,
    string extension
)
Public Overridable Sub Remove (
    category As String,
    name As String,
    extension As String
)
public:
virtual void Remove(
    String^ category,
    String^ name,
    String^ extension
)
abstract Remove :
        category : string *
        name : string *
        extension : string -> unit
override Remove :
        category : string *
        name : string *
        extension : string -> unit

Parameters

category
Type: SystemString
类别
name
Type: SystemString
名称，不应该带后缀名
extension
Type: SystemString
后缀名
See Also

Reference

ImageManager Class
Remove Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Save Method

ImageManagerSave Method

Overload List
 | Name | Description
Public method | Save(Stream, String, String) | 保存图片文件
Public method | Save(Stream, String, String, String) | 保存图片文件
Top
See Also

Reference

ImageManager Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Save Method (Stream, String, String)

ImageManagerSave Method (Stream, String, String)
保存图片文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Save(
    Stream imageStream,
    string category,
    string name
)
Public Overridable Sub Save (
    imageStream As Stream,
    category As String,
    name As String
)
public:
virtual void Save(
    Stream^ imageStream,
    String^ category,
    String^ name
)
abstract Save :
        imageStream : Stream *
        category : string *
        name : string -> unit
override Save :
        imageStream : Stream *
        category : string *
        name : string -> unit

Parameters

imageStream
Type: System.IOStream
读取图片的数据流
category
Type: SystemString
类别
name
Type: SystemString
名称，不应该带后缀名
See Also

Reference

ImageManager Class
Save Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ImageManager.Save Method (Stream, String, String, String)

ImageManagerSave Method (Stream, String, String, String)
保存图片文件

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Save(
    Stream imageStream,
    string category,
    string name,
    string extension
)
Public Overridable Sub Save (
    imageStream As Stream,
    category As String,
    name As String,
    extension As String
)
public:
virtual void Save(
    Stream^ imageStream,
    String^ category,
    String^ name,
    String^ extension
)
abstract Save :
        imageStream : Stream *
        category : string *
        name : string *
        extension : string -> unit
override Save :
        imageStream : Stream *
        category : string *
        name : string *
        extension : string -> unit

Parameters

imageStream
Type: System.IOStream
读取图片的数据流
category
Type: SystemString
类别
name
Type: SystemString
名称，不应该带后缀名
extension
Type: SystemString
后缀名
See Also

Reference

ImageManager Class
Save Overload
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Services Namespace


ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs"]

Classes
 | Class | Description
Public class | ImageQueryResult | 图片的查询结果


ImageQueryResult Class
图片的查询结果
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.StructsImageQueryResult

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ImageQueryResult
Public Class ImageQueryResult
public ref class ImageQueryResult
type ImageQueryResult =  class end

The ImageQueryResult type exposes the following members.

Constructors
 | Name | Description
Public method | ImageQueryResult | Initializes a new instance of the ImageQueryResult class
Top
Properties
 | Name | Description
Public property | Category | 类别
Public property | Extension | 后缀名
Public property | FilenameWithoutExtension | 不包含后缀名的文件名
Top
See Also

Reference

ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace


ImageQueryResult Constructor

Initializes a new instance of the ImageQueryResult class

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ImageQueryResult()
Public Sub New
public:
ImageQueryResult()
new : unit -> ImageQueryResult
See Also

Reference

ImageQueryResult Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace


ImageQueryResult Properties

The ImageQueryResult type exposes the following members.

Properties
 | Name | Description
Public property | Category | 类别
Public property | Extension | 后缀名
Public property | FilenameWithoutExtension | 不包含后缀名的文件名
Top
See Also

Reference

ImageQueryResult Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace


ImageQueryResult.Category Property

ImageQueryResultCategory Property

类别

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Category { get; set; }
Public Property Category As String
    Get
    Set
public:
property String^ Category {
    String^ get ();
    void set (String^ value);
}
member Category : string with get, set

Property Value

Type: String
See Also

Reference

ImageQueryResult Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace


ImageQueryResult.Extension Property

ImageQueryResultExtension Property

后缀名

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Extension { get; set; }
Public Property Extension As String
    Get
    Set
public:
property String^ Extension {
    String^ get ();
    void set (String^ value);
}
member Extension : string with get, set

Property Value

Type: String
See Also

Reference

ImageQueryResult Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace


ImageQueryResult.FilenameWithoutExtension Property

ImageQueryResultFilenameWithoutExtension Property

不包含后缀名的文件名

Namespace: ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FilenameWithoutExtension { get; set; }
Public Property FilenameWithoutExtension As String
    Get
    Set
public:
property String^ FilenameWithoutExtension {
    String^ get ();
    void set (String^ value);
}
member FilenameWithoutExtension : string with get, set

Property Value

Type: String
See Also

Reference

ImageQueryResult Class
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.Structs Namespace


ZKWeb.Plugins.Common.Admin Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src |
ZKWeb.Plugins.Common.Admin.src.Components |
ZKWeb.Plugins.Common.Admin.src.Controllers |
ZKWeb.Plugins.Common.Admin.src.Domain |
ZKWeb.Plugins.Common.Admin.src.UIComponents |


ZKWeb.Plugins.Common.Admin.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.srcPlugin

Namespace: ZKWeb.Plugins.Common.Admin.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Common.Admin.src Namespace


ZKWeb.Plugins.Common.Admin.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters |
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers |
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders |
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators |
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes |
ZKWeb.Plugins.Common.Admin.src.Components.Translates |
ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces |


ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters"]

Classes
 | Class | Description
Public class | CheckOwnerAttribute | 自动检查和设置实体的所属用户
Public class | CheckPrivilegeAttribute | 用于检查权限的属性
Public class | TransactionalAttribute | 启用事务的属性
Public class | TransparentActionFilter | 透明的的Action过滤器 返回原Action


CheckOwnerAttribute Class
自动检查和设置实体的所属用户
Inheritance Hierarchy
SystemObject
SystemAttribute
ActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ActionFiltersCheckOwnerAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckOwnerAttribute : ActionFilterAttribute
Public Class CheckOwnerAttribute
    Inherits ActionFilterAttribute
public ref class CheckOwnerAttribute : public ActionFilterAttribute
type CheckOwnerAttribute =
    class
        inherit ActionFilterAttribute
    end

The CheckOwnerAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CheckOwnerAttribute | Initializes a new instance of the CheckOwnerAttribute class
Top
Methods
 | Name | Description
Public method | Filter | 启用所属用户使用的查询和操作过滤器 (Overrides ActionFilterAttribute.Filter(FuncIActionResult).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckOwnerAttribute Constructor

Initializes a new instance of the CheckOwnerAttribute class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckOwnerAttribute()
Public Sub New
public:
CheckOwnerAttribute()
new : unit -> CheckOwnerAttribute
See Also

Reference

CheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckOwnerAttribute Methods

The CheckOwnerAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 启用所属用户使用的查询和操作过滤器 (Overrides ActionFilterAttribute.Filter(FuncIActionResult).)
Top
See Also

Reference

CheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckOwnerAttribute.Filter Method

CheckOwnerAttributeFilter Method

启用所属用户使用的查询和操作过滤器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Func<IActionResult> Filter(
    Func<IActionResult> action
)
Public Overrides Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
) override
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>
override Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult

[Missing <param name="action"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.CheckOwnerAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.CheckOwnerAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Implements

IActionFilter.Filter(FuncIActionResult)
See Also

Reference

CheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute Class
用于检查权限的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ActionFiltersCheckPrivilegeAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckPrivilegeAttribute : ActionFilterAttribute
Public Class CheckPrivilegeAttribute
    Inherits ActionFilterAttribute
public ref class CheckPrivilegeAttribute : public ActionFilterAttribute
type CheckPrivilegeAttribute =
    class
        inherit ActionFilterAttribute
    end

The CheckPrivilegeAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CheckPrivilegeAttribute | 初始化
Top
Properties
 | Name | Description
Public property | HttpMethod | Http方法 如果等于空则所有Http方法都会检查
Public property | Privileges | 要求的权限列表
Public property | RequiredUserType | 要求的用户类型
Top
Methods
 | Name | Description
Public method | Filter | 执行前检查权限 (Overrides ActionFilterAttribute.Filter(FuncIActionResult).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckPrivilegeAttribute(
    Type requiredUserType,
    params string[] privileges
)
Public Sub New (
    requiredUserType As Type,
    ParamArray privileges As String()
)
public:
CheckPrivilegeAttribute(
    Type^ requiredUserType,
    ... array<String^>^ privileges
)
new :
        requiredUserType : Type *
        privileges : string[] -> CheckPrivilegeAttribute

Parameters

requiredUserType
Type: SystemType

[Missing <param name="requiredUserType"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.CheckPrivilegeAttribute.#ctor(System.Type,System.String[])"]

privileges
Type: SystemString

[Missing <param name="privileges"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.CheckPrivilegeAttribute.#ctor(System.Type,System.String[])"]

See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute Properties

The CheckPrivilegeAttribute type exposes the following members.

Properties
 | Name | Description
Public property | HttpMethod | Http方法 如果等于空则所有Http方法都会检查
Public property | Privileges | 要求的权限列表
Public property | RequiredUserType | 要求的用户类型
Top
See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute.HttpMethod Property

CheckPrivilegeAttributeHttpMethod Property

Http方法 如果等于空则所有Http方法都会检查

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string HttpMethod { get; set; }
Public Property HttpMethod As String
    Get
    Set
public:
property String^ HttpMethod {
    String^ get ();
    void set (String^ value);
}
member HttpMethod : string with get, set

Property Value

Type: String
See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute.Privileges Property

CheckPrivilegeAttributePrivileges Property

要求的权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string[] Privileges { get; set; }
Public Property Privileges As String()
    Get
    Set
public:
property array<String^>^ Privileges {
    array<String^>^ get ();
    void set (array<String^>^ value);
}
member Privileges : string[] with get, set

Property Value

Type: String
See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute.RequiredUserType Property

CheckPrivilegeAttributeRequiredUserType Property

要求的用户类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type RequiredUserType { get; set; }
Public Property RequiredUserType As Type
    Get
    Set
public:
property Type^ RequiredUserType {
    Type^ get ();
    void set (Type^ value);
}
member RequiredUserType : Type with get, set

Property Value

Type: Type
See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute Methods

The CheckPrivilegeAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 执行前检查权限 (Overrides ActionFilterAttribute.Filter(FuncIActionResult).)
Top
See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


CheckPrivilegeAttribute.Filter Method

CheckPrivilegeAttributeFilter Method

执行前检查权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Func<IActionResult> Filter(
    Func<IActionResult> action
)
Public Overrides Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
) override
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>
override Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult

[Missing <param name="action"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.CheckPrivilegeAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.CheckPrivilegeAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Implements

IActionFilter.Filter(FuncIActionResult)
See Also

Reference

CheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransactionalAttribute Class
启用事务的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ActionFiltersTransactionalAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TransactionalAttribute : ActionFilterAttribute
Public Class TransactionalAttribute
    Inherits ActionFilterAttribute
public ref class TransactionalAttribute : public ActionFilterAttribute
type TransactionalAttribute =
    class
        inherit ActionFilterAttribute
    end

The TransactionalAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | TransactionalAttribute | 初始化
Top
Properties
 | Name | Description
Public property | IsolationLevel | 隔离等级
Top
Methods
 | Name | Description
Public method | Filter | 运行时包装在事务内 (Overrides ActionFilterAttribute.Filter(FuncIActionResult).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransactionalAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TransactionalAttribute(
    Nullable<IsolationLevel> isolationLevel = null
)
Public Sub New (
    Optional isolationLevel As Nullable(Of IsolationLevel) = Nothing
)
public:
TransactionalAttribute(
    Nullable<IsolationLevel> isolationLevel = nullptr
)
new :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> TransactionalAttribute

Parameters

isolationLevel (Optional)
Type: SystemNullable IsolationLevel

[Missing <param name="isolationLevel"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.TransactionalAttribute.#ctor(System.Nullable{System.Data.IsolationLevel})"]

See Also

Reference

TransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransactionalAttribute Properties

The TransactionalAttribute type exposes the following members.

Properties
 | Name | Description
Public property | IsolationLevel | 隔离等级
Top
See Also

Reference

TransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransactionalAttribute.IsolationLevel Property

TransactionalAttributeIsolationLevel Property

隔离等级

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<IsolationLevel> IsolationLevel { get; set; }
Public Property IsolationLevel As Nullable(Of IsolationLevel)
    Get
    Set
public:
property Nullable<IsolationLevel> IsolationLevel {
    Nullable<IsolationLevel> get ();
    void set (Nullable<IsolationLevel> value);
}
member IsolationLevel : Nullable<IsolationLevel> with get, set

Property Value

Type: Nullable IsolationLevel
See Also

Reference

TransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransactionalAttribute Methods

The TransactionalAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 运行时包装在事务内 (Overrides ActionFilterAttribute.Filter(FuncIActionResult).)
Top
See Also

Reference

TransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransactionalAttribute.Filter Method

TransactionalAttributeFilter Method

运行时包装在事务内

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Func<IActionResult> Filter(
    Func<IActionResult> action
)
Public Overrides Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
) override
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>
override Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult

[Missing <param name="action"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.TransactionalAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.TransactionalAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Implements

IActionFilter.Filter(FuncIActionResult)
See Also

Reference

TransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransparentActionFilter Class
透明的的Action过滤器 返回原Action
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.ActionFiltersTransparentActionFilter

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TransparentActionFilter : IActionFilter
Public Class TransparentActionFilter
    Implements IActionFilter
public ref class TransparentActionFilter : IActionFilter
type TransparentActionFilter =
    class
        interface IActionFilter
    end

The TransparentActionFilter type exposes the following members.

Constructors
 | Name | Description
Public method | TransparentActionFilter | Initializes a new instance of the TransparentActionFilter class
Top
Methods
 | Name | Description
Public method | Filter | 返回原Action
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransparentActionFilter Constructor

Initializes a new instance of the TransparentActionFilter class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TransparentActionFilter()
Public Sub New
public:
TransparentActionFilter()
new : unit -> TransparentActionFilter
See Also

Reference

TransparentActionFilter Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransparentActionFilter Methods

The TransparentActionFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 返回原Action
Top
See Also

Reference

TransparentActionFilter Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


TransparentActionFilter.Filter Method

TransparentActionFilterFilter Method

返回原Action

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Func<IActionResult> Filter(
    Func<IActionResult> action
)
Public Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
) sealed
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>
override Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult

[Missing <param name="action"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.TransparentActionFilter.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters.TransparentActionFilter.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Implements

IActionFilter.Filter(FuncIActionResult)
See Also

Reference

TransparentActionFilter Class
ZKWeb.Plugins.Common.Admin.src.Components.ActionFilters Namespace


ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers"]

Classes
 | Class | Description
Public class | CheckUsernameDuplicate | 注册用户时检测用户名是否重复
Public class | PreventDeleteSelf | 防止删除自身


CheckUsernameDuplicate Class
注册用户时检测用户名是否重复
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlersCheckUsernameDuplicate

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckUsernameDuplicate : IEntityOperationHandler<User>
Public Class CheckUsernameDuplicate
    Implements IEntityOperationHandler(Of User)
public ref class CheckUsernameDuplicate : IEntityOperationHandler<User^>
type CheckUsernameDuplicate =
    class
        interface IEntityOperationHandler<User>
    end

The CheckUsernameDuplicate type exposes the following members.

Constructors
 | Name | Description
Public method | CheckUsernameDuplicate | Initializes a new instance of the CheckUsernameDuplicate class
Top
Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


CheckUsernameDuplicate Constructor

Initializes a new instance of the CheckUsernameDuplicate class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckUsernameDuplicate()
Public Sub New
public:
CheckUsernameDuplicate()
new : unit -> CheckUsernameDuplicate
See Also

Reference

CheckUsernameDuplicate Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


CheckUsernameDuplicate Methods

The CheckUsernameDuplicate type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

CheckUsernameDuplicate Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


CheckUsernameDuplicate.AfterDelete Method

CheckUsernameDuplicateAfterDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterDelete(
    IDatabaseContext context,
    User entity
)
Public Sub AfterDelete (
    context As IDatabaseContext,
    entity As User
)
public:
virtual void AfterDelete(
    IDatabaseContext^ context,
    User^ entity
) sealed
abstract AfterDelete :
        context : IDatabaseContext *
        entity : User -> unit
override AfterDelete :
        context : IDatabaseContext *
        entity : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

entity
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.AfterDelete(IDatabaseContext, UTP)
See Also

Reference

CheckUsernameDuplicate Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


CheckUsernameDuplicate.AfterSave Method

CheckUsernameDuplicateAfterSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterSave(
    IDatabaseContext context,
    User data
)
Public Sub AfterSave (
    context As IDatabaseContext,
    data As User
)
public:
virtual void AfterSave(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract AfterSave :
        context : IDatabaseContext *
        data : User -> unit
override AfterSave :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.AfterSave(IDatabaseContext, UTP)
See Also

Reference

CheckUsernameDuplicate Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


CheckUsernameDuplicate.BeforeDelete Method

CheckUsernameDuplicateBeforeDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeDelete(
    IDatabaseContext context,
    User entity
)
Public Sub BeforeDelete (
    context As IDatabaseContext,
    entity As User
)
public:
virtual void BeforeDelete(
    IDatabaseContext^ context,
    User^ entity
) sealed
abstract BeforeDelete :
        context : IDatabaseContext *
        entity : User -> unit
override BeforeDelete :
        context : IDatabaseContext *
        entity : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

entity
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.BeforeDelete(IDatabaseContext, UTP)
See Also

Reference

CheckUsernameDuplicate Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


CheckUsernameDuplicate.BeforeSave Method

CheckUsernameDuplicateBeforeSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeSave(
    IDatabaseContext context,
    User data
)
Public Sub BeforeSave (
    context As IDatabaseContext,
    data As User
)
public:
virtual void BeforeSave(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract BeforeSave :
        context : IDatabaseContext *
        data : User -> unit
override BeforeSave :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.CheckUsernameDuplicate.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.BeforeSave(IDatabaseContext, UTP)
See Also

Reference

CheckUsernameDuplicate Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf Class
防止删除自身
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlersPreventDeleteSelf

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PreventDeleteSelf : IEntityOperationHandler<User>
Public Class PreventDeleteSelf
    Implements IEntityOperationHandler(Of User)
public ref class PreventDeleteSelf : IEntityOperationHandler<User^>
type PreventDeleteSelf =
    class
        interface IEntityOperationHandler<User>
    end

The PreventDeleteSelf type exposes the following members.

Constructors
 | Name | Description
Public method | PreventDeleteSelf | Initializes a new instance of the PreventDeleteSelf class
Top
Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf Constructor

Initializes a new instance of the PreventDeleteSelf class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PreventDeleteSelf()
Public Sub New
public:
PreventDeleteSelf()
new : unit -> PreventDeleteSelf
See Also

Reference

PreventDeleteSelf Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf Methods

The PreventDeleteSelf type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

PreventDeleteSelf Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf.AfterDelete Method

PreventDeleteSelfAfterDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterDelete(
    IDatabaseContext context,
    User data
)
Public Sub AfterDelete (
    context As IDatabaseContext,
    data As User
)
public:
virtual void AfterDelete(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract AfterDelete :
        context : IDatabaseContext *
        data : User -> unit
override AfterDelete :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.AfterDelete(IDatabaseContext, UTP)
See Also

Reference

PreventDeleteSelf Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf.AfterSave Method

PreventDeleteSelfAfterSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterSave(
    IDatabaseContext context,
    User data
)
Public Sub AfterSave (
    context As IDatabaseContext,
    data As User
)
public:
virtual void AfterSave(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract AfterSave :
        context : IDatabaseContext *
        data : User -> unit
override AfterSave :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.AfterSave(IDatabaseContext, UTP)
See Also

Reference

PreventDeleteSelf Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf.BeforeDelete Method

PreventDeleteSelfBeforeDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeDelete(
    IDatabaseContext context,
    User data
)
Public Sub BeforeDelete (
    context As IDatabaseContext,
    data As User
)
public:
virtual void BeforeDelete(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract BeforeDelete :
        context : IDatabaseContext *
        data : User -> unit
override BeforeDelete :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.BeforeDelete(IDatabaseContext, UTP)
See Also

Reference

PreventDeleteSelf Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


PreventDeleteSelf.BeforeSave Method

PreventDeleteSelfBeforeSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeSave(
    IDatabaseContext context,
    User data
)
Public Sub BeforeSave (
    context As IDatabaseContext,
    data As User
)
public:
virtual void BeforeSave(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract BeforeSave :
        context : IDatabaseContext *
        data : User -> unit
override BeforeSave :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers.PreventDeleteSelf.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.BeforeSave(IDatabaseContext, UTP)
See Also

Reference

PreventDeleteSelf Class
ZKWeb.Plugins.Common.Admin.src.Components.EntityOperationHandlers Namespace


ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | AdminExtraConfigKeys | 网站附加配置中使用的键


AdminExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeysAdminExtraConfigKeys

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminExtraConfigKeys
Public Class AdminExtraConfigKeys
public ref class AdminExtraConfigKeys
type AdminExtraConfigKeys =  class end

The AdminExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | AdminExtraConfigKeys | Initializes a new instance of the AdminExtraConfigKeys class
Top
Fields
Name | Description
AvatarHeight | 头像高度
AvatarWidth | 头像宽度
SessionExpireDaysWithoutRememberLogin | 不记住登陆时，保留会话的天数
SessionExpireDaysWithRememebrLogin | 记住登陆时，保留会话的天数
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


AdminExtraConfigKeys Constructor

Initializes a new instance of the AdminExtraConfigKeys class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminExtraConfigKeys()
Public Sub New
public:
AdminExtraConfigKeys()
new : unit -> AdminExtraConfigKeys
See Also

Reference

AdminExtraConfigKeys Class
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


AdminExtraConfigKeys Fields

The AdminExtraConfigKeys type exposes the following members.

Fields
Name | Description
AvatarHeight | 头像高度
AvatarWidth | 头像宽度
SessionExpireDaysWithoutRememberLogin | 不记住登陆时，保留会话的天数
SessionExpireDaysWithRememebrLogin | 记住登陆时，保留会话的天数
Top
See Also

Reference

AdminExtraConfigKeys Class
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


AdminExtraConfigKeys.AvatarHeight Field

AdminExtraConfigKeysAvatarHeight Field
头像高度

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AvatarHeight = "Common.Admin.AvatarHeight"
Public Const AvatarHeight As String = "Common.Admin.AvatarHeight"
public:
literal String^ AvatarHeight = "Common.Admin.AvatarHeight"
static val mutable AvatarHeight: string

Field Value

Type: String
See Also

Reference

AdminExtraConfigKeys Class
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


AdminExtraConfigKeys.AvatarWidth Field

AdminExtraConfigKeysAvatarWidth Field
头像宽度

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AvatarWidth = "Common.Admin.AvatarWidth"
Public Const AvatarWidth As String = "Common.Admin.AvatarWidth"
public:
literal String^ AvatarWidth = "Common.Admin.AvatarWidth"
static val mutable AvatarWidth: string

Field Value

Type: String
See Also

Reference

AdminExtraConfigKeys Class
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


AdminExtraConfigKeys.SessionExpireDaysWithoutRememberLogin Field

AdminExtraConfigKeysSessionExpireDaysWithoutRememberLogin Field
不记住登陆时，保留会话的天数

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionExpireDaysWithoutRememberLogin = "Common.Admin.SessionExpireDaysWithoutRememberLogin"
Public Const SessionExpireDaysWithoutRememberLogin As String = "Common.Admin.SessionExpireDaysWithoutRememberLogin"
public:
literal String^ SessionExpireDaysWithoutRememberLogin = "Common.Admin.SessionExpireDaysWithoutRememberLogin"
static val mutable SessionExpireDaysWithoutRememberLogin: string

Field Value

Type: String
See Also

Reference

AdminExtraConfigKeys Class
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


AdminExtraConfigKeys.SessionExpireDaysWithRememebrLogin Field

AdminExtraConfigKeysSessionExpireDaysWithRememebrLogin Field
记住登陆时，保留会话的天数

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionExpireDaysWithRememebrLogin = "Common.Admin.SessionExpireDaysWithRememebrLogin"
Public Const SessionExpireDaysWithRememebrLogin As String = "Common.Admin.SessionExpireDaysWithRememebrLogin"
public:
literal String^ SessionExpireDaysWithRememebrLogin = "Common.Admin.SessionExpireDaysWithRememebrLogin"
static val mutable SessionExpireDaysWithRememebrLogin: string

Field Value

Type: String
See Also

Reference

AdminExtraConfigKeys Class
ZKWeb.Plugins.Common.Admin.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders"]

Interfaces
 | Interface | Description
Public interface | IPrivilegesProvider | 权限提供器 推荐使用的权限字符串的格式 - Group:Name 例如 - AdminManage:View - AdminManage:Edit - AdminManage:Delete - AdminManage:DeleteForever 不使用此格式时权限会被归到"其他"分组下


IPrivilegesProvider Interface
权限提供器 推荐使用的权限字符串的格式 - Group:Name 例如 - AdminManage:View - AdminManage:Edit - AdminManage:Delete - AdminManage:DeleteForever 不使用此格式时权限会被归到"其他"分组下

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IPrivilegesProvider
Public Interface IPrivilegesProvider
public interface class IPrivilegesProvider
type IPrivilegesProvider =  interface end

The IPrivilegesProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetPrivileges | 获取权限列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders Namespace


IPrivilegesProvider Methods

The IPrivilegesProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetPrivileges | 获取权限列表
Top
See Also

Reference

IPrivilegesProvider Interface
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders Namespace


IPrivilegesProvider.GetPrivileges Method

IPrivilegesProviderGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<string> GetPrivileges()
Function GetPrivileges As IEnumerable(Of String)
IEnumerable<String^>^ GetPrivileges()
abstract GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders.IPrivilegesProvider.GetPrivileges"]

See Also

Reference

IPrivilegesProvider Interface
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeProviders Namespace


ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators |
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces |


ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators"]

Classes
 | Class | Description
Public class | DefaultPrivilegeTranslator | 默认的权限翻译器


DefaultPrivilegeTranslator Class
默认的权限翻译器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslatorsDefaultPrivilegeTranslator

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultPrivilegeTranslator : IPrivilegeTranslator
Public Class DefaultPrivilegeTranslator
    Implements IPrivilegeTranslator
public ref class DefaultPrivilegeTranslator : IPrivilegeTranslator
type DefaultPrivilegeTranslator =
    class
        interface IPrivilegeTranslator
    end

The DefaultPrivilegeTranslator type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultPrivilegeTranslator | Initializes a new instance of the DefaultPrivilegeTranslator class
Top
Methods
 | Name | Description
Public method | Translate | 获取权限的本地化名称
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators Namespace


DefaultPrivilegeTranslator Constructor

Initializes a new instance of the DefaultPrivilegeTranslator class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultPrivilegeTranslator()
Public Sub New
public:
DefaultPrivilegeTranslator()
new : unit -> DefaultPrivilegeTranslator
See Also

Reference

DefaultPrivilegeTranslator Class
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators Namespace


DefaultPrivilegeTranslator Methods

The DefaultPrivilegeTranslator type exposes the following members.

Methods
 | Name | Description
Public method | Translate | 获取权限的本地化名称
Top
See Also

Reference

DefaultPrivilegeTranslator Class
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators Namespace


DefaultPrivilegeTranslator.Translate Method

DefaultPrivilegeTranslatorTranslate Method

获取权限的本地化名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Translate(
    string privilege
)
Public Overridable Function Translate (
    privilege As String
) As String
public:
virtual String^ Translate(
    String^ privilege
)
abstract Translate :
        privilege : string -> string
override Translate :
        privilege : string -> string

Parameters

privilege
Type: SystemString
权限

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.DefaultPrivilegeTranslator.Translate(System.String)"]

Implements

IPrivilegeTranslatorTranslate(String)
See Also

Reference

DefaultPrivilegeTranslator Class
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators Namespace


ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IPrivilegeTranslator | 权限名称翻译器


IPrivilegeTranslator Interface
权限名称翻译器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IPrivilegeTranslator
Public Interface IPrivilegeTranslator
public interface class IPrivilegeTranslator
type IPrivilegeTranslator =  interface end

The IPrivilegeTranslator type exposes the following members.

Methods
 | Name | Description
Public method | Translate | 获取权限的本地化名称
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces Namespace


IPrivilegeTranslator Methods

The IPrivilegeTranslator type exposes the following members.

Methods
 | Name | Description
Public method | Translate | 获取权限的本地化名称
Top
See Also

Reference

IPrivilegeTranslator Interface
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces Namespace


IPrivilegeTranslator.Translate Method

IPrivilegeTranslatorTranslate Method

获取权限的本地化名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Translate(
    string privilege
)
Function Translate (
    privilege As String
) As String
String^ Translate(
    String^ privilege
)
abstract Translate :
        privilege : string -> string

Parameters

privilege
Type: SystemString
权限

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces.IPrivilegeTranslator.Translate(System.String)"]

See Also

Reference

IPrivilegeTranslator Interface
ZKWeb.Plugins.Common.Admin.src.Components.PrivilegeTranslators.Interfaces Namespace


ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes"]

Classes
 | Class | Description
Public class | ScaffoldActionAttribute | ScaffoldController中使用的Action属性
Public class | ScaffoldActionFilterAttribute | ScaffoldController使用的Action过滤器属性的基类
Public class | ScaffoldCheckOwnerAttribute | ScaffoldController中使用的CheckOwner属性
Public class | ScaffoldCheckPrivilegeAttribute | ScaffoldController使用的CheckPrivilege属性
Public class | ScaffoldTransactionalAttribute | ScaffoldController中使用的Transactional属性


ScaffoldActionAttribute Class
ScaffoldController中使用的Action属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldActionAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScaffoldActionAttribute : Attribute
Public Class ScaffoldActionAttribute
    Inherits Attribute
public ref class ScaffoldActionAttribute : public Attribute
type ScaffoldActionAttribute =
    class
        inherit Attribute
    end

The ScaffoldActionAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ScaffoldActionAttribute | 初始化
Top
Properties
 | Name | Description
Public property | HttpMethod | Http方法
Public property | PathProperty | 保存了路径的成员名称 成员类型应该是string
Top
Methods
 | Name | Description
Public method | GetPath | 获取路径
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScaffoldActionAttribute(
    string pathProperty,
    string httpMethod
)
Public Sub New (
    pathProperty As String,
    httpMethod As String
)
public:
ScaffoldActionAttribute(
    String^ pathProperty,
    String^ httpMethod
)
new :
        pathProperty : string *
        httpMethod : string -> ScaffoldActionAttribute

Parameters

pathProperty
Type: SystemString
保存了路径的成员名称
httpMethod
Type: SystemString
Http方法
See Also

Reference

ScaffoldActionAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionAttribute Properties

The ScaffoldActionAttribute type exposes the following members.

Properties
 | Name | Description
Public property | HttpMethod | Http方法
Public property | PathProperty | 保存了路径的成员名称 成员类型应该是string
Top
See Also

Reference

ScaffoldActionAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionAttribute.HttpMethod Property

ScaffoldActionAttributeHttpMethod Property

Http方法

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string HttpMethod { get; set; }
Public Property HttpMethod As String
    Get
    Set
public:
property String^ HttpMethod {
    String^ get ();
    void set (String^ value);
}
member HttpMethod : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldActionAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionAttribute.PathProperty Property

ScaffoldActionAttributePathProperty Property

保存了路径的成员名称 成员类型应该是string

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PathProperty { get; set; }
Public Property PathProperty As String
    Get
    Set
public:
property String^ PathProperty {
    String^ get ();
    void set (String^ value);
}
member PathProperty : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldActionAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionAttribute Methods

The ScaffoldActionAttribute type exposes the following members.

Methods
 | Name | Description
Public method | GetPath | 获取路径
Top
See Also

Reference

ScaffoldActionAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionAttribute.GetPath Method

ScaffoldActionAttributeGetPath Method

获取路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetPath(
    IController controller
)
Public Overridable Function GetPath (
    controller As IController
) As String
public:
virtual String^ GetPath(
    IController^ controller
)
abstract GetPath :
        controller : IController -> string
override GetPath :
        controller : IController -> string

Parameters

controller
Type: IController
控制器的实例

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldActionAttribute.GetPath(ZKWeb.Web.IController)"]

See Also

Reference

ScaffoldActionAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionFilterAttribute Class
ScaffoldController使用的Action过滤器属性的基类
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldCheckOwnerAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldCheckPrivilegeAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldTransactionalAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ScaffoldActionFilterAttribute : Attribute
Public MustInherit Class ScaffoldActionFilterAttribute
    Inherits Attribute
public ref class ScaffoldActionFilterAttribute abstract : public Attribute
[<AbstractClassAttribute>]
type ScaffoldActionFilterAttribute =
    class
        inherit Attribute
    end

The ScaffoldActionFilterAttribute type exposes the following members.

Constructors
 | Name | Description
Protected method | ScaffoldActionFilterAttribute | Initializes a new instance of the ScaffoldActionFilterAttribute class
Top
Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionFilterAttribute Constructor

Initializes a new instance of the ScaffoldActionFilterAttribute class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected ScaffoldActionFilterAttribute()
Protected Sub New
protected:
ScaffoldActionFilterAttribute()
new : unit -> ScaffoldActionFilterAttribute
See Also

Reference

ScaffoldActionFilterAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionFilterAttribute Methods

The ScaffoldActionFilterAttribute type exposes the following members.

Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器
Top
See Also

Reference

ScaffoldActionFilterAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldActionFilterAttribute.GetFilter Method

ScaffoldActionFilterAttributeGetFilter Method

获取实际的Action过滤器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract IActionFilter GetFilter(
    IController controller
)
Public MustOverride Function GetFilter (
    controller As IController
) As IActionFilter
public:
virtual IActionFilter^ GetFilter(
    IController^ controller
) abstract
abstract GetFilter :
        controller : IController -> IActionFilter

Parameters

controller
Type: IController
控制器的实例

Return Value

Type: IActionFilter

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldActionFilterAttribute.GetFilter(ZKWeb.Web.IController)"]

See Also

Reference

ScaffoldActionFilterAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckOwnerAttribute Class
ScaffoldController中使用的CheckOwner属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldCheckOwnerAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScaffoldCheckOwnerAttribute : ScaffoldActionFilterAttribute
Public Class ScaffoldCheckOwnerAttribute
    Inherits ScaffoldActionFilterAttribute
public ref class ScaffoldCheckOwnerAttribute : public ScaffoldActionFilterAttribute
type ScaffoldCheckOwnerAttribute =
    class
        inherit ScaffoldActionFilterAttribute
    end

The ScaffoldCheckOwnerAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ScaffoldCheckOwnerAttribute | 初始化
Top
Properties
 | Name | Description
Public property | EnableProperty | 保存了是否启用CheckOwner的成员 成员类型应该是bool
Top
Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器 (Overrides ScaffoldActionFilterAttributeGetFilter(IController).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckOwnerAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScaffoldCheckOwnerAttribute(
    string enableProperty
)
Public Sub New (
    enableProperty As String
)
public:
ScaffoldCheckOwnerAttribute(
    String^ enableProperty
)
new :
        enableProperty : string -> ScaffoldCheckOwnerAttribute

Parameters

enableProperty
Type: SystemString
保存了是否启用CheckOwner的成员
See Also

Reference

ScaffoldCheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckOwnerAttribute Properties

The ScaffoldCheckOwnerAttribute type exposes the following members.

Properties
 | Name | Description
Public property | EnableProperty | 保存了是否启用CheckOwner的成员 成员类型应该是bool
Top
See Also

Reference

ScaffoldCheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckOwnerAttribute.EnableProperty Property

ScaffoldCheckOwnerAttributeEnableProperty Property

保存了是否启用CheckOwner的成员 成员类型应该是bool

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string EnableProperty { get; set; }
Public Property EnableProperty As String
    Get
    Set
public:
property String^ EnableProperty {
    String^ get ();
    void set (String^ value);
}
member EnableProperty : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldCheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckOwnerAttribute Methods

The ScaffoldCheckOwnerAttribute type exposes the following members.

Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器 (Overrides ScaffoldActionFilterAttributeGetFilter(IController).)
Top
See Also

Reference

ScaffoldCheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckOwnerAttribute.GetFilter Method

ScaffoldCheckOwnerAttributeGetFilter Method

获取实际的Action过滤器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override IActionFilter GetFilter(
    IController controller
)
Public Overrides Function GetFilter (
    controller As IController
) As IActionFilter
public:
virtual IActionFilter^ GetFilter(
    IController^ controller
) override
abstract GetFilter :
        controller : IController -> IActionFilter
override GetFilter :
        controller : IController -> IActionFilter

Parameters

controller
Type: IController

[Missing <param name="controller"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldCheckOwnerAttribute.GetFilter(ZKWeb.Web.IController)"]

Return Value

Type: IActionFilter

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldCheckOwnerAttribute.GetFilter(ZKWeb.Web.IController)"]

See Also

Reference

ScaffoldCheckOwnerAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute Class
ScaffoldController使用的CheckPrivilege属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldCheckPrivilegeAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScaffoldCheckPrivilegeAttribute : ScaffoldActionFilterAttribute
Public Class ScaffoldCheckPrivilegeAttribute
    Inherits ScaffoldActionFilterAttribute
public ref class ScaffoldCheckPrivilegeAttribute : public ScaffoldActionFilterAttribute
type ScaffoldCheckPrivilegeAttribute =
    class
        inherit ScaffoldActionFilterAttribute
    end

The ScaffoldCheckPrivilegeAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ScaffoldCheckPrivilegeAttribute | 初始化
Top
Properties
 | Name | Description
Public property | HttpMethod | Http方法 如果等于空则所有Http方法都会检查
Public property | RequiredPrivilegesProperty | 保存要求的权限列表的成员 类型应该是string[]
Public property | RequiredUserTypeProperty | 保存要求的用户类型的成员 类型应该是Type
Top
Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器 (Overrides ScaffoldActionFilterAttributeGetFilter(IController).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScaffoldCheckPrivilegeAttribute(
    string requiredUserTypeProperty,
    string requiredPrivilegesProperty
)
Public Sub New (
    requiredUserTypeProperty As String,
    requiredPrivilegesProperty As String
)
public:
ScaffoldCheckPrivilegeAttribute(
    String^ requiredUserTypeProperty,
    String^ requiredPrivilegesProperty
)
new :
        requiredUserTypeProperty : string *
        requiredPrivilegesProperty : string -> ScaffoldCheckPrivilegeAttribute

Parameters

requiredUserTypeProperty
Type: SystemString

[Missing <param name="requiredUserTypeProperty"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldCheckPrivilegeAttribute.#ctor(System.String,System.String)"]

requiredPrivilegesProperty
Type: SystemString

[Missing <param name="requiredPrivilegesProperty"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldCheckPrivilegeAttribute.#ctor(System.String,System.String)"]

See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute Properties

The ScaffoldCheckPrivilegeAttribute type exposes the following members.

Properties
 | Name | Description
Public property | HttpMethod | Http方法 如果等于空则所有Http方法都会检查
Public property | RequiredPrivilegesProperty | 保存要求的权限列表的成员 类型应该是string[]
Public property | RequiredUserTypeProperty | 保存要求的用户类型的成员 类型应该是Type
Top
See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute.HttpMethod Property

ScaffoldCheckPrivilegeAttributeHttpMethod Property

Http方法 如果等于空则所有Http方法都会检查

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string HttpMethod { get; set; }
Public Property HttpMethod As String
    Get
    Set
public:
property String^ HttpMethod {
    String^ get ();
    void set (String^ value);
}
member HttpMethod : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute.RequiredPrivilegesProperty Property

ScaffoldCheckPrivilegeAttributeRequiredPrivilegesProperty Property

保存要求的权限列表的成员 类型应该是string[]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string RequiredPrivilegesProperty { get; set; }
Public Property RequiredPrivilegesProperty As String
    Get
    Set
public:
property String^ RequiredPrivilegesProperty {
    String^ get ();
    void set (String^ value);
}
member RequiredPrivilegesProperty : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute.RequiredUserTypeProperty Property

ScaffoldCheckPrivilegeAttributeRequiredUserTypeProperty Property

保存要求的用户类型的成员 类型应该是Type

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string RequiredUserTypeProperty { get; set; }
Public Property RequiredUserTypeProperty As String
    Get
    Set
public:
property String^ RequiredUserTypeProperty {
    String^ get ();
    void set (String^ value);
}
member RequiredUserTypeProperty : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute Methods

The ScaffoldCheckPrivilegeAttribute type exposes the following members.

Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器 (Overrides ScaffoldActionFilterAttributeGetFilter(IController).)
Top
See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldCheckPrivilegeAttribute.GetFilter Method

ScaffoldCheckPrivilegeAttributeGetFilter Method

获取实际的Action过滤器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override IActionFilter GetFilter(
    IController controller
)
Public Overrides Function GetFilter (
    controller As IController
) As IActionFilter
public:
virtual IActionFilter^ GetFilter(
    IController^ controller
) override
abstract GetFilter :
        controller : IController -> IActionFilter
override GetFilter :
        controller : IController -> IActionFilter

Parameters

controller
Type: IController

[Missing <param name="controller"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldCheckPrivilegeAttribute.GetFilter(ZKWeb.Web.IController)"]

Return Value

Type: IActionFilter

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldCheckPrivilegeAttribute.GetFilter(ZKWeb.Web.IController)"]

See Also

Reference

ScaffoldCheckPrivilegeAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute Class
ScaffoldController中使用的Transactional属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldActionFilterAttribute
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributesScaffoldTransactionalAttribute

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScaffoldTransactionalAttribute : ScaffoldActionFilterAttribute
Public Class ScaffoldTransactionalAttribute
    Inherits ScaffoldActionFilterAttribute
public ref class ScaffoldTransactionalAttribute : public ScaffoldActionFilterAttribute
type ScaffoldTransactionalAttribute =
    class
        inherit ScaffoldActionFilterAttribute
    end

The ScaffoldTransactionalAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ScaffoldTransactionalAttribute | 初始化
Top
Properties
 | Name | Description
Public property | EnableProperty | 保存了是否启用Transactional的成员 成员类型应该是bool
Public property | IsolationLevelProperty | 保存了隔离等级的成员 成员类型应该是IsolationLevel?
Top
Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器 (Overrides ScaffoldActionFilterAttributeGetFilter(IController).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScaffoldTransactionalAttribute(
    string enableProperty,
    string isolationLevelProperty
)
Public Sub New (
    enableProperty As String,
    isolationLevelProperty As String
)
public:
ScaffoldTransactionalAttribute(
    String^ enableProperty,
    String^ isolationLevelProperty
)
new :
        enableProperty : string *
        isolationLevelProperty : string -> ScaffoldTransactionalAttribute

Parameters

enableProperty
Type: SystemString
保存了是否启用Transactional的成员
isolationLevelProperty
Type: SystemString
保存了隔离等级的成员
See Also

Reference

ScaffoldTransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute Properties

The ScaffoldTransactionalAttribute type exposes the following members.

Properties
 | Name | Description
Public property | EnableProperty | 保存了是否启用Transactional的成员 成员类型应该是bool
Public property | IsolationLevelProperty | 保存了隔离等级的成员 成员类型应该是IsolationLevel?
Top
See Also

Reference

ScaffoldTransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute.EnableProperty Property

ScaffoldTransactionalAttributeEnableProperty Property

保存了是否启用Transactional的成员 成员类型应该是bool

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string EnableProperty { get; set; }
Public Property EnableProperty As String
    Get
    Set
public:
property String^ EnableProperty {
    String^ get ();
    void set (String^ value);
}
member EnableProperty : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldTransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute.IsolationLevelProperty Property

ScaffoldTransactionalAttributeIsolationLevelProperty Property

保存了隔离等级的成员 成员类型应该是IsolationLevel?

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string IsolationLevelProperty { get; set; }
Public Property IsolationLevelProperty As String
    Get
    Set
public:
property String^ IsolationLevelProperty {
    String^ get ();
    void set (String^ value);
}
member IsolationLevelProperty : string with get, set

Property Value

Type: String
See Also

Reference

ScaffoldTransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute Methods

The ScaffoldTransactionalAttribute type exposes the following members.

Methods
 | Name | Description
Public method | GetFilter | 获取实际的Action过滤器 (Overrides ScaffoldActionFilterAttributeGetFilter(IController).)
Top
See Also

Reference

ScaffoldTransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ScaffoldTransactionalAttribute.GetFilter Method

ScaffoldTransactionalAttributeGetFilter Method

获取实际的Action过滤器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override IActionFilter GetFilter(
    IController controller
)
Public Overrides Function GetFilter (
    controller As IController
) As IActionFilter
public:
virtual IActionFilter^ GetFilter(
    IController^ controller
) override
abstract GetFilter :
        controller : IController -> IActionFilter
override GetFilter :
        controller : IController -> IActionFilter

Parameters

controller
Type: IController

[Missing <param name="controller"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldTransactionalAttribute.GetFilter(ZKWeb.Web.IController)"]

Return Value

Type: IActionFilter

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes.ScaffoldTransactionalAttribute.GetFilter(ZKWeb.Web.IController)"]

See Also

Reference

ScaffoldTransactionalAttribute Class
ZKWeb.Plugins.Common.Admin.src.Components.ScaffoldAttributes Namespace


ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Admin.src.Components.Translates Namespace


ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IUserLoginHandler | 用户登录处理器


IUserLoginHandler Interface
用户登录处理器

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IUserLoginHandler
Public Interface IUserLoginHandler
public interface class IUserLoginHandler
type IUserLoginHandler =  interface end

The IUserLoginHandler type exposes the following members.

Methods
 | Name | Description
Public method | AfterLogin | 登陆后的处理
Public method | BeforeLogin | 登陆前的处理
Public method | FindUser | 根据用户名查找用户 不支持此函数或没有查找到时返回null
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces Namespace


IUserLoginHandler Methods

The IUserLoginHandler type exposes the following members.

Methods
 | Name | Description
Public method | AfterLogin | 登陆后的处理
Public method | BeforeLogin | 登陆前的处理
Public method | FindUser | 根据用户名查找用户 不支持此函数或没有查找到时返回null
Top
See Also

Reference

IUserLoginHandler Interface
ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces Namespace


IUserLoginHandler.AfterLogin Method

IUserLoginHandlerAfterLogin Method

登陆后的处理

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AfterLogin(
    User user
)
Sub AfterLogin (
    user As User
)
void AfterLogin(
    User^ user
)
abstract AfterLogin :
        user : User -> unit

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser
用户
See Also

Reference

IUserLoginHandler Interface
ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces Namespace


IUserLoginHandler.BeforeLogin Method

IUserLoginHandlerBeforeLogin Method

登陆前的处理

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void BeforeLogin(
    User user
)
Sub BeforeLogin (
    user As User
)
void BeforeLogin(
    User^ user
)
abstract BeforeLogin :
        user : User -> unit

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser
用户
See Also

Reference

IUserLoginHandler Interface
ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces Namespace


IUserLoginHandler.FindUser Method

IUserLoginHandlerFindUser Method

根据用户名查找用户 不支持此函数或没有查找到时返回null

Namespace: ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
User FindUser(
    string username
)
Function FindUser (
    username As String
) As User
User^ FindUser(
    String^ username
)
abstract FindUser :
        username : string -> User

Parameters

username
Type: SystemString
用户名

Return Value

Type: User

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces.IUserLoginHandler.FindUser(System.String)"]

See Also

Reference

IUserLoginHandler Interface
ZKWeb.Plugins.Common.Admin.src.Components.UserLoginHandlers.Interfaces Namespace


ZKWeb.Plugins.Common.Admin.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src.Controllers |
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases |
ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions |
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces |


ZKWeb.Plugins.Common.Admin.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Controllers"]

Classes
 | Class | Description
Public class | AdminApiController | 管理员使用的Api控制器
Public class | AdminController | 后台的控制器
Public class | AdminCrudController | 管理员管理 要求超级管理员
Public class | AdminCrudControllerAddForm | 添加表单
Public class | AdminCrudControllerBaseForm | 添加和编辑共用的编辑表单
Public class | AdminCrudControllerEditForm | 编辑表单
Public class | AdminCrudControllerTableHandler | 表格处理器
Public class | UserApiController | 用户使用的Api控制器
Public class | UserController | 用户控制器
Public class | UserCrudController | 用户管理
Public class | UserCrudControllerAddForm | 添加表单，允许设置用户名
Public class | UserCrudControllerBaseForm | 添加和编辑共用的基础表单
Public class | UserCrudControllerEditForm | 编辑表单，用户名只读
Public class | UserCrudControllerTableHandler | 表格处理器
Public class | UserRoleCrudController | 角色管理 要求超级管理员
Public class | UserRoleCrudControllerForm | 添加和编辑表单
Public class | UserRoleCrudControllerTableHandler | 表格处理器


AdminApiController Class
管理员使用的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.ControllersAdminApiController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminApiController : ControllerBase
Public Class AdminApiController
    Inherits ControllerBase
public ref class AdminApiController : public ControllerBase
type AdminApiController =
    class
        inherit ControllerBase
    end

The AdminApiController type exposes the following members.

Constructors
 | Name | Description
Public method | AdminApiController | Initializes a new instance of the AdminApiController class
Top
Methods
 | Name | Description
Public method | AppGroups | 获取后台应用的分组列表 只返回当前用户可以查看的应用
Public method | ClearCache | 清理缓存 要求本地访问或管理员登陆
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminApiController Constructor

Initializes a new instance of the AdminApiController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminApiController()
Public Sub New
public:
AdminApiController()
new : unit -> AdminApiController
See Also

Reference

AdminApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminApiController Methods

The AdminApiController type exposes the following members.

Methods
 | Name | Description
Public method | AppGroups | 获取后台应用的分组列表 只返回当前用户可以查看的应用
Public method | ClearCache | 清理缓存 要求本地访问或管理员登陆
Top
See Also

Reference

AdminApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminApiController.AppGroups Method

AdminApiControllerAppGroups Method

获取后台应用的分组列表 只返回当前用户可以查看的应用

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult AppGroups()
Public Function AppGroups As IActionResult
public:
IActionResult^ AppGroups()
member AppGroups : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminApiController.AppGroups"]

See Also

Reference

AdminApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminApiController.ClearCache Method

AdminApiControllerClearCache Method

清理缓存 要求本地访问或管理员登陆

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ClearCache()
Public Function ClearCache As IActionResult
public:
IActionResult^ ClearCache()
member ClearCache : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminApiController.ClearCache"]

See Also

Reference

AdminApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController Class
后台的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.ControllersAdminController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminController : ControllerBase
Public Class AdminController
    Inherits ControllerBase
public ref class AdminController : public ControllerBase
type AdminController =
    class
        inherit ControllerBase
    end

The AdminController type exposes the following members.

Constructors
 | Name | Description
Public method | AdminController | Initializes a new instance of the AdminController class
Top
Methods
 | Name | Description
Public method | AboutMe | 关于我
Public method | AboutWebsite | 关于网站
Public method | Admin | 后台首页 显示应用列表，会根据当前用户权限进行过滤
Public method | Login | 后台登陆页
Public method | Logout | 退出后台登陆
Public method | Workspace | 工作区
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController Constructor

Initializes a new instance of the AdminController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminController()
Public Sub New
public:
AdminController()
new : unit -> AdminController
See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController Methods

The AdminController type exposes the following members.

Methods
 | Name | Description
Public method | AboutMe | 关于我
Public method | AboutWebsite | 关于网站
Public method | Admin | 后台首页 显示应用列表，会根据当前用户权限进行过滤
Public method | Login | 后台登陆页
Public method | Logout | 退出后台登陆
Public method | Workspace | 工作区
Top
See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController.AboutMe Method

AdminControllerAboutMe Method

关于我

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult AboutMe()
Public Function AboutMe As IActionResult
public:
IActionResult^ AboutMe()
member AboutMe : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminController.AboutMe"]

See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController.AboutWebsite Method

AdminControllerAboutWebsite Method

关于网站

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult AboutWebsite()
Public Function AboutWebsite As IActionResult
public:
IActionResult^ AboutWebsite()
member AboutWebsite : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminController.AboutWebsite"]

See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController.Admin Method

AdminControllerAdmin Method

后台首页 显示应用列表，会根据当前用户权限进行过滤

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Admin()
Public Function Admin As IActionResult
public:
IActionResult^ Admin()
member Admin : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminController.Admin"]

See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController.Login Method

AdminControllerLogin Method

后台登陆页

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Login()
Public Function Login As IActionResult
public:
IActionResult^ Login()
member Login : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminController.Login"]

See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController.Logout Method

AdminControllerLogout Method

退出后台登陆

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Logout()
Public Function Logout As IActionResult
public:
IActionResult^ Logout()
member Logout : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminController.Logout"]

See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminController.Workspace Method

AdminControllerWorkspace Method

工作区

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Workspace()
Public Function Workspace As IActionResult
public:
IActionResult^ Workspace()
member Workspace : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminController.Workspace"]

See Also

Reference

AdminController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController Class
管理员管理 要求超级管理员
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase User, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase User, Guid
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminCrudController : CrudAdminAppControllerBase<User, Guid>
Public Class AdminCrudController
    Inherits CrudAdminAppControllerBase(Of User, Guid)
public ref class AdminCrudController : public CrudAdminAppControllerBase<User^, Guid>
type AdminCrudController =
    class
        inherit CrudAdminAppControllerBase<User, Guid>
    end

The AdminCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | AdminCrudController | Initializes a new instance of the AdminCrudController class
Top
Properties
 | Name | Description
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | RequiredUserType | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController Constructor

Initializes a new instance of the AdminCrudController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminCrudController()
Public Sub New
public:
AdminCrudController()
new : unit -> AdminCrudController
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController Properties

The AdminCrudController type exposes the following members.

Properties
 | Name | Description
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | RequiredUserType | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.EntityTypeName Property

AdminCrudControllerEntityTypeName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.EntityTypeName"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EntityTypeName { get; }
Public Overrides ReadOnly Property EntityTypeName As String
    Get
public:
virtual property String^ EntityTypeName {
    String^ get () override;
}
abstract EntityTypeName : string with get
override EntityTypeName : string with get

Property Value

Type: String

Implements

ICrudControllerEntityTypeName
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.Group Property

AdminCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.Group"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.GroupIconClass Property

AdminCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.IconClass Property

AdminCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.Name Property

AdminCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.Name"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.RequiredUserType Property

AdminCrudControllerRequiredUserType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.RequiredUserType"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IAdminAppControllerRequiredUserType
ICrudControllerRequiredUserType
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TileClass Property

AdminCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.Url Property

AdminCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.Url"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController Methods

The AdminCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.GetAddForm Method

AdminCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GetAddForm"]

See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.GetEditForm Method

AdminCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GetEditForm"]

See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.GetTableHandler Method

AdminCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<User, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of User, Guid)
protected:
virtual IAjaxTableHandler<User^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<User, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<User, Guid>

Return Value

Type: IAjaxTableHandler User, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.GetTableHandler"]

See Also

Reference

AdminCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.AddForm Class

AdminCrudControllerAddForm Class
添加表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder User, Guid, AdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder User, Guid, AdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerAddForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AddForm : AdminCrudControllerBaseForm
Public Class AddForm
    Inherits AdminCrudControllerBaseForm
public ref class AddForm : public AdminCrudControllerBaseForm
type AddForm =
    class
        inherit AdminCrudControllerBaseForm
    end

The AdminCrudControllerAddForm type exposes the following members.

Constructors
 | Name | Description
Public method | AdminCrudControllerAddForm | Initializes a new instance of the AdminCrudControllerAddForm class
Top
Properties
 | Name | Description
Public property | Username | 用户名
Top
Methods
 | Name | Description
Protected method | OnSubmit | 保存表单到数据 (Overrides AdminCrudControllerBaseFormOnSubmit(User).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.AddForm Constructor

AdminCrudControllerAddForm Constructor

Initializes a new instance of the AdminCrudControllerAddForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AddForm()
Public Sub New
public:
AddForm()
new : unit -> AddForm
See Also

Reference

AdminCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AddForm Properties

The AdminCrudControllerAddForm type exposes the following members.

Properties
 | Name | Description
Public property | Username | 用户名
Top
See Also

Reference

AdminCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.AddForm.Username Property

AdminCrudControllerAddFormUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

AdminCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AddForm Methods

The AdminCrudControllerAddForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnSubmit | 保存表单到数据 (Overrides AdminCrudControllerBaseFormOnSubmit(User).)
Top
See Also

Reference

AdminCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.AddForm.OnSubmit Method

AdminCrudControllerAddFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    User saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As User
) As Object
protected:
virtual Object^ OnSubmit(
    User^ saveTo
) override
abstract OnSubmit :
        saveTo : User -> Object
override OnSubmit :
        saveTo : User -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.AddForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.AddForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

AdminCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm Class

AdminCrudControllerBaseForm Class
添加和编辑共用的编辑表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder User, Guid, AdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder User, Guid, AdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerAddForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerEditForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BaseForm : TabEntityFormBuilder<User, Guid, AdminCrudControllerBaseForm>
Public Class BaseForm
    Inherits TabEntityFormBuilder(Of User, Guid, AdminCrudControllerBaseForm)
public ref class BaseForm : public TabEntityFormBuilder<User^, Guid, AdminCrudControllerBaseForm^>
type BaseForm =
    class
        inherit TabEntityFormBuilder<User, Guid, AdminCrudControllerBaseForm>
    end

The AdminCrudControllerBaseForm type exposes the following members.

Constructors
 | Name | Description
Public method | AdminCrudControllerBaseForm | Initializes a new instance of the AdminCrudControllerBaseForm class
Top
Properties
 | Name | Description
Public property | ConfirmPassword | 确认密码
Public property | IsSuperAdmin | 是否超级管理员
Public property | Password | 密码
Public property | Roles | 角色
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm Constructor

AdminCrudControllerBaseForm Constructor

Initializes a new instance of the AdminCrudControllerBaseForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BaseForm()
Public Sub New
public:
BaseForm()
new : unit -> BaseForm
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


BaseForm Properties

The AdminCrudControllerBaseForm type exposes the following members.

Properties
 | Name | Description
Public property | ConfirmPassword | 确认密码
Public property | IsSuperAdmin | 是否超级管理员
Public property | Password | 密码
Public property | Roles | 角色
Top
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm.ConfirmPassword Property

AdminCrudControllerBaseFormConfirmPassword Property

确认密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ConfirmPassword { get; set; }
Public Property ConfirmPassword As String
    Get
    Set
public:
property String^ ConfirmPassword {
    String^ get ();
    void set (String^ value);
}
member ConfirmPassword : string with get, set

Property Value

Type: String
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm.IsSuperAdmin Property

AdminCrudControllerBaseFormIsSuperAdmin Property

是否超级管理员

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsSuperAdmin { get; set; }
Public Property IsSuperAdmin As Boolean
    Get
    Set
public:
property bool IsSuperAdmin {
    bool get ();
    void set (bool value);
}
member IsSuperAdmin : bool with get, set

Property Value

Type: Boolean
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm.Password Property

AdminCrudControllerBaseFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm.Roles Property

AdminCrudControllerBaseFormRoles Property

角色

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> Roles { get; set; }
Public Property Roles As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ Roles {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member Roles : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


BaseForm Methods

The AdminCrudControllerBaseForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm.OnBind Method

AdminCrudControllerBaseFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    User bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As User
)
protected:
virtual void OnBind(
    User^ bindFrom
) override
abstract OnBind :
        bindFrom : User -> unit
override OnBind :
        bindFrom : User -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.BaseForm.OnBind(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.BaseForm.OnSubmit Method

AdminCrudControllerBaseFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    User saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As User
) As Object
protected:
virtual Object^ OnSubmit(
    User^ saveTo
) override
abstract OnSubmit :
        saveTo : User -> Object
override OnSubmit :
        saveTo : User -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.BaseForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.BaseForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

AdminCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.EditForm Class

AdminCrudControllerEditForm Class
编辑表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder User, Guid, AdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder User, Guid, AdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerEditForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class EditForm : AdminCrudControllerBaseForm
Public Class EditForm
    Inherits AdminCrudControllerBaseForm
public ref class EditForm : public AdminCrudControllerBaseForm
type EditForm =
    class
        inherit AdminCrudControllerBaseForm
    end

The AdminCrudControllerEditForm type exposes the following members.

Constructors
 | Name | Description
Public method | AdminCrudControllerEditForm | Initializes a new instance of the AdminCrudControllerEditForm class
Top
Properties
 | Name | Description
Public property | Username | 用户名
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides AdminCrudControllerBaseFormOnBind(User).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.EditForm Constructor

AdminCrudControllerEditForm Constructor

Initializes a new instance of the AdminCrudControllerEditForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public EditForm()
Public Sub New
public:
EditForm()
new : unit -> EditForm
See Also

Reference

AdminCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


EditForm Properties

The AdminCrudControllerEditForm type exposes the following members.

Properties
 | Name | Description
Public property | Username | 用户名
Top
See Also

Reference

AdminCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.EditForm.Username Property

AdminCrudControllerEditFormUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

AdminCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


EditForm Methods

The AdminCrudControllerEditForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides AdminCrudControllerBaseFormOnBind(User).)
Top
See Also

Reference

AdminCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.EditForm.OnBind Method

AdminCrudControllerEditFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    User bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As User
)
protected:
virtual void OnBind(
    User^ bindFrom
) override
abstract OnBind :
        bindFrom : User -> unit
override OnBind :
        bindFrom : User -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.EditForm.OnBind(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

AdminCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TableHandler Class

AdminCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase User, Guid
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<User, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of User, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<User^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<User, Guid>
    end

The AdminCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | AdminCrudControllerTableHandler | Initializes a new instance of the AdminCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和批量操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TableHandler Constructor

AdminCrudControllerTableHandler Constructor

Initializes a new instance of the AdminCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

AdminCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


TableHandler Methods

The AdminCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和批量操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

AdminCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TableHandler.BuildTable Method

AdminCrudControllerTableHandlerBuildTable Method

构建表格时的处理

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

AdminCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TableHandler.OnQuery Method

AdminCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<User> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of User)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<User^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

query
Type: System.LinqIQueryable User

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

AdminCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TableHandler.OnResponse Method

AdminCrudControllerTableHandlerOnResponse Method

添加列和批量操作

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

AdminCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AdminCrudController.TableHandler.OnSelect Method

AdminCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<User>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of User))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<User^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<User>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<User>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow User

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.AdminCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

AdminCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserApiController Class
用户使用的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.ControllersUserApiController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserApiController : ControllerBase
Public Class UserApiController
    Inherits ControllerBase
public ref class UserApiController : public ControllerBase
type UserApiController =
    class
        inherit ControllerBase
    end

The UserApiController type exposes the following members.

Constructors
 | Name | Description
Public method | UserApiController | Initializes a new instance of the UserApiController class
Top
Methods
 | Name | Description
Public method | UserLoginInfo | 获取当前登陆的用户信息
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserApiController Constructor

Initializes a new instance of the UserApiController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserApiController()
Public Sub New
public:
UserApiController()
new : unit -> UserApiController
See Also

Reference

UserApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserApiController Methods

The UserApiController type exposes the following members.

Methods
 | Name | Description
Public method | UserLoginInfo | 获取当前登陆的用户信息
Top
See Also

Reference

UserApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserApiController.UserLoginInfo Method

UserApiControllerUserLoginInfo Method

获取当前登陆的用户信息

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult UserLoginInfo()
Public Function UserLoginInfo As IActionResult
public:
IActionResult^ UserLoginInfo()
member UserLoginInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserApiController.UserLoginInfo"]

See Also

Reference

UserApiController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController Class
用户控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.ControllersUserController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserController : ControllerBase
Public Class UserController
    Inherits ControllerBase
public ref class UserController : public ControllerBase
type UserController =
    class
        inherit ControllerBase
    end

The UserController type exposes the following members.

Constructors
 | Name | Description
Public method | UserController | Initializes a new instance of the UserController class
Top
Methods
 | Name | Description
Public method | Home | 用户中心
Public method | Login | 登陆用户
Public method | Logout | 退出登录
Public method | Reg | 注册用户
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController Constructor

Initializes a new instance of the UserController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserController()
Public Sub New
public:
UserController()
new : unit -> UserController
See Also

Reference

UserController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController Methods

The UserController type exposes the following members.

Methods
 | Name | Description
Public method | Home | 用户中心
Public method | Login | 登陆用户
Public method | Logout | 退出登录
Public method | Reg | 注册用户
Top
See Also

Reference

UserController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController.Home Method

UserControllerHome Method

用户中心

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Home()
Public Function Home As IActionResult
public:
IActionResult^ Home()
member Home : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserController.Home"]

See Also

Reference

UserController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController.Login Method

UserControllerLogin Method

登陆用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Login()
Public Function Login As IActionResult
public:
IActionResult^ Login()
member Login : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserController.Login"]

See Also

Reference

UserController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController.Logout Method

UserControllerLogout Method

退出登录

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Logout()
Public Function Logout As IActionResult
public:
IActionResult^ Logout()
member Logout : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserController.Logout"]

See Also

Reference

UserController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserController.Reg Method

UserControllerReg Method

注册用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Reg()
Public Function Reg As IActionResult
public:
IActionResult^ Reg()
member Reg : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserController.Reg"]

See Also

Reference

UserController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController Class
用户管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase User, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase User, Guid
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserCrudController : CrudAdminAppControllerBase<User, Guid>
Public Class UserCrudController
    Inherits CrudAdminAppControllerBase(Of User, Guid)
public ref class UserCrudController : public CrudAdminAppControllerBase<User^, Guid>
type UserCrudController =
    class
        inherit CrudAdminAppControllerBase<User, Guid>
    end

The UserCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | UserCrudController | Initializes a new instance of the UserCrudController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController Constructor

Initializes a new instance of the UserCrudController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserCrudController()
Public Sub New
public:
UserCrudController()
new : unit -> UserCrudController
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController Properties

The UserCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.Group Property

UserCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.Group"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.GroupIconClass Property

UserCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.IconClass Property

UserCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.Name Property

UserCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.Name"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TileClass Property

UserCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.Url Property

UserCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.Url"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController Methods

The UserCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.GetAddForm Method

UserCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GetAddForm"]

See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.GetEditForm Method

UserCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GetEditForm"]

See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.GetTableHandler Method

UserCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<User, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of User, Guid)
protected:
virtual IAjaxTableHandler<User^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<User, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<User, Guid>

Return Value

Type: IAjaxTableHandler User, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.GetTableHandler"]

See Also

Reference

UserCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.AddForm Class

UserCrudControllerAddForm Class
添加表单，允许设置用户名
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder User, Guid, UserCrudControllerBaseForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder User, Guid, UserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerAddForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AddForm : UserCrudControllerBaseForm
Public Class AddForm
    Inherits UserCrudControllerBaseForm
public ref class AddForm : public UserCrudControllerBaseForm
type AddForm =
    class
        inherit UserCrudControllerBaseForm
    end

The UserCrudControllerAddForm type exposes the following members.

Constructors
 | Name | Description
Public method | UserCrudControllerAddForm | Initializes a new instance of the UserCrudControllerAddForm class
Top
Properties
 | Name | Description
Public property | Username |
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides UserCrudControllerBaseFormOnSubmit(User).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.AddForm Constructor

UserCrudControllerAddForm Constructor

Initializes a new instance of the UserCrudControllerAddForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AddForm()
Public Sub New
public:
AddForm()
new : unit -> AddForm
See Also

Reference

UserCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AddForm Properties

The UserCrudControllerAddForm type exposes the following members.

Properties
 | Name | Description
Public property | Username |
Top
See Also

Reference

UserCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.AddForm.Username Property

UserCrudControllerAddFormUsername Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.AddForm.Username"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

UserCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


AddForm Methods

The UserCrudControllerAddForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides UserCrudControllerBaseFormOnSubmit(User).)
Top
See Also

Reference

UserCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.AddForm.OnBind Method

UserCrudControllerAddFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    User bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As User
)
protected:
virtual void OnBind(
    User^ bindFrom
) override
abstract OnBind :
        bindFrom : User -> unit
override OnBind :
        bindFrom : User -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.AddForm.OnBind(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

UserCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.AddForm.OnSubmit Method

UserCrudControllerAddFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    User saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As User
) As Object
protected:
virtual Object^ OnSubmit(
    User^ saveTo
) override
abstract OnSubmit :
        saveTo : User -> Object
override OnSubmit :
        saveTo : User -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.AddForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.AddForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

UserCrudControllerAddForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm Class

UserCrudControllerBaseForm Class
添加和编辑共用的基础表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder User, Guid, UserCrudControllerBaseForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder User, Guid, UserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerAddForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerEditForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class BaseForm : TabEntityFormBuilder<User, Guid, UserCrudControllerBaseForm>
Public MustInherit Class BaseForm
    Inherits TabEntityFormBuilder(Of User, Guid, UserCrudControllerBaseForm)
public ref class BaseForm abstract : public TabEntityFormBuilder<User^, Guid, UserCrudControllerBaseForm^>
[<AbstractClassAttribute>]
type BaseForm =
    class
        inherit TabEntityFormBuilder<User, Guid, UserCrudControllerBaseForm>
    end

The UserCrudControllerBaseForm type exposes the following members.

Constructors
 | Name | Description
Protected method | UserCrudControllerBaseForm | Initializes a new instance of the UserCrudControllerBaseForm class
Top
Properties
 | Name | Description
Public property | Avatar | 头像
Public property | ConfirmPassword | 确认密码
Public property | DeleteAvatar | 删除头像
Public property | Password | 密码
Top
Methods
 | Name | Description
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Protected method | OnSubmitSaved | 保存头像 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmitSaved(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm Constructor

UserCrudControllerBaseForm Constructor

Initializes a new instance of the UserCrudControllerBaseForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected BaseForm()
Protected Sub New
protected:
BaseForm()
new : unit -> BaseForm
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


BaseForm Properties

The UserCrudControllerBaseForm type exposes the following members.

Properties
 | Name | Description
Public property | Avatar | 头像
Public property | ConfirmPassword | 确认密码
Public property | DeleteAvatar | 删除头像
Public property | Password | 密码
Top
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm.Avatar Property

UserCrudControllerBaseFormAvatar Property

头像

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile Avatar { get; set; }
Public Property Avatar As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ Avatar {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member Avatar : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm.ConfirmPassword Property

UserCrudControllerBaseFormConfirmPassword Property

确认密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ConfirmPassword { get; set; }
Public Property ConfirmPassword As String
    Get
    Set
public:
property String^ ConfirmPassword {
    String^ get ();
    void set (String^ value);
}
member ConfirmPassword : string with get, set

Property Value

Type: String
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm.DeleteAvatar Property

UserCrudControllerBaseFormDeleteAvatar Property

删除头像

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DeleteAvatar { get; set; }
Public Property DeleteAvatar As Boolean
    Get
    Set
public:
property bool DeleteAvatar {
    bool get ();
    void set (bool value);
}
member DeleteAvatar : bool with get, set

Property Value

Type: Boolean
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm.Password Property

UserCrudControllerBaseFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


BaseForm Methods

The UserCrudControllerBaseForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Protected method | OnSubmitSaved | 保存头像 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmitSaved(TEntity).)
Top
See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm.OnSubmit Method

UserCrudControllerBaseFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    User saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As User
) As Object
protected:
virtual Object^ OnSubmit(
    User^ saveTo
) override
abstract OnSubmit :
        saveTo : User -> Object
override OnSubmit :
        saveTo : User -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.BaseForm.OnSubmitSaved Method

UserCrudControllerBaseFormOnSubmitSaved Method

保存头像

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnSubmitSaved(
    User saved
)
Protected Overrides Sub OnSubmitSaved (
    saved As User
)
protected:
virtual void OnSubmitSaved(
    User^ saved
) override
abstract OnSubmitSaved :
        saved : User -> unit
override OnSubmitSaved :
        saved : User -> unit

Parameters

saved
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saved"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm.OnSubmitSaved(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

UserCrudControllerBaseForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.EditForm Class

UserCrudControllerEditForm Class
编辑表单，用户名只读
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder User, Guid, UserCrudControllerBaseForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder User, Guid, UserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerEditForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class EditForm : UserCrudControllerBaseForm
Public Class EditForm
    Inherits UserCrudControllerBaseForm
public ref class EditForm : public UserCrudControllerBaseForm
type EditForm =
    class
        inherit UserCrudControllerBaseForm
    end

The UserCrudControllerEditForm type exposes the following members.

Constructors
 | Name | Description
Public method | UserCrudControllerEditForm | Initializes a new instance of the UserCrudControllerEditForm class
Top
Properties
 | Name | Description
Public property | Username |
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.EditForm Constructor

UserCrudControllerEditForm Constructor

Initializes a new instance of the UserCrudControllerEditForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public EditForm()
Public Sub New
public:
EditForm()
new : unit -> EditForm
See Also

Reference

UserCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


EditForm Properties

The UserCrudControllerEditForm type exposes the following members.

Properties
 | Name | Description
Public property | Username |
Top
See Also

Reference

UserCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.EditForm.Username Property

UserCrudControllerEditFormUsername Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.EditForm.Username"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

UserCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


EditForm Methods

The UserCrudControllerEditForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Top
See Also

Reference

UserCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.EditForm.OnBind Method

UserCrudControllerEditFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    User bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As User
)
protected:
virtual void OnBind(
    User^ bindFrom
) override
abstract OnBind :
        bindFrom : User -> unit
override OnBind :
        bindFrom : User -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.EditForm.OnBind(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

See Also

Reference

UserCrudControllerEditForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TableHandler Class

UserCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase User, Guid
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<User, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of User, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<User^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<User, Guid>
    end

The UserCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | UserCrudControllerTableHandler | Initializes a new instance of the UserCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和批量操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TableHandler Constructor

UserCrudControllerTableHandler Constructor

Initializes a new instance of the UserCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

UserCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


TableHandler Methods

The UserCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和批量操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

UserCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TableHandler.BuildTable Method

UserCrudControllerTableHandlerBuildTable Method

构建表格时的处理

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

UserCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TableHandler.OnQuery Method

UserCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<User> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of User)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<User^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

query
Type: System.LinqIQueryable User

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

UserCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TableHandler.OnResponse Method

UserCrudControllerTableHandlerOnResponse Method

添加列和批量操作

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

UserCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserCrudController.TableHandler.OnSelect Method

UserCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<User>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of User))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<User^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<User>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<User>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow User

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

UserCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController Class
角色管理 要求超级管理员
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase UserRole, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase UserRole, Guid
ZKWeb.Plugins.Common.Admin.src.ControllersUserRoleCrudController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserRoleCrudController : CrudAdminAppControllerBase<UserRole, Guid>
Public Class UserRoleCrudController
    Inherits CrudAdminAppControllerBase(Of UserRole, Guid)
public ref class UserRoleCrudController : public CrudAdminAppControllerBase<UserRole^, Guid>
type UserRoleCrudController =
    class
        inherit CrudAdminAppControllerBase<UserRole, Guid>
    end

The UserRoleCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | UserRoleCrudController | Initializes a new instance of the UserRoleCrudController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | RequiredUserType | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController Constructor

Initializes a new instance of the UserRoleCrudController class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserRoleCrudController()
Public Sub New
public:
UserRoleCrudController()
new : unit -> UserRoleCrudController
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController Properties

The UserRoleCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | RequiredUserType | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Group Property

UserRoleCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.Group"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.GroupIconClass Property

UserRoleCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.IconClass Property

UserRoleCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Name Property

UserRoleCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.Name"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.RequiredUserType Property

UserRoleCrudControllerRequiredUserType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.RequiredUserType"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IAdminAppControllerRequiredUserType
ICrudControllerRequiredUserType
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TileClass Property

UserRoleCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Url Property

UserRoleCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.Url"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController Methods

The UserRoleCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.GetAddForm Method

UserRoleCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GetAddForm"]

See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.GetEditForm Method

UserRoleCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GetEditForm"]

See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.GetTableHandler Method

UserRoleCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<UserRole, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of UserRole, Guid)
protected:
virtual IAjaxTableHandler<UserRole^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<UserRole, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<UserRole, Guid>

Return Value

Type: IAjaxTableHandler UserRole, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.GetTableHandler"]

See Also

Reference

UserRoleCrudController Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form Class

UserRoleCrudControllerForm Class
添加和编辑表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder UserRole, Guid, UserRoleCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder UserRole, Guid, UserRoleCrudControllerForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserRoleCrudControllerForm

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<UserRole, Guid, UserRoleCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of UserRole, Guid, UserRoleCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<UserRole^, Guid, UserRoleCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<UserRole, Guid, UserRoleCrudControllerForm>
    end

The UserRoleCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | UserRoleCrudControllerForm | Initializes a new instance of the UserRoleCrudControllerForm class
Top
Properties
 | Name | Description
Public property | Name | 名称
Public property | Privileges | 权限
Public property | Remark | 备注
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form Constructor

UserRoleCrudControllerForm Constructor

Initializes a new instance of the UserRoleCrudControllerForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


Form Properties

The UserRoleCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | Name | 名称
Public property | Privileges | 权限
Public property | Remark | 备注
Top
See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form.Name Property

UserRoleCrudControllerFormName Property

名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form.Privileges Property

UserRoleCrudControllerFormPrivileges Property

权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<string> Privileges { get; set; }
Public Property Privileges As HashSet(Of String)
    Get
    Set
public:
property HashSet<String^>^ Privileges {
    HashSet<String^>^ get ();
    void set (HashSet<String^>^ value);
}
member Privileges : HashSet<string> with get, set

Property Value

Type: HashSet String
See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form.Remark Property

UserRoleCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


Form Methods

The UserRoleCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form.OnBind Method

UserRoleCrudControllerFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    UserRole bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As UserRole
)
protected:
virtual void OnBind(
    UserRole^ bindFrom
) override
abstract OnBind :
        bindFrom : UserRole -> unit
override OnBind :
        bindFrom : UserRole -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUserRole

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.Form.OnBind(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole)"]

See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.Form.OnSubmit Method

UserRoleCrudControllerFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    UserRole saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As UserRole
) As Object
protected:
virtual Object^ OnSubmit(
    UserRole^ saveTo
) override
abstract OnSubmit :
        saveTo : UserRole -> Object
override OnSubmit :
        saveTo : UserRole -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUserRole

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.Form.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.Form.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole)"]

See Also

Reference

UserRoleCrudControllerForm Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TableHandler Class

UserRoleCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase UserRole, Guid
ZKWeb.Plugins.Common.Admin.src.ControllersUserRoleCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<UserRole, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of UserRole, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<UserRole^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<UserRole, Guid>
    end

The UserRoleCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | UserRoleCrudControllerTableHandler | Initializes a new instance of the UserRoleCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和批量操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TableHandler Constructor

UserRoleCrudControllerTableHandler Constructor

Initializes a new instance of the UserRoleCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

UserRoleCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


TableHandler Methods

The UserRoleCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和批量操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

UserRoleCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TableHandler.BuildTable Method

UserRoleCrudControllerTableHandlerBuildTable Method

构建表格时的处理

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

UserRoleCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TableHandler.OnQuery Method

UserRoleCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<UserRole> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of UserRole)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<UserRole^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<UserRole> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<UserRole> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole}@)"]

query
Type: System.LinqIQueryable UserRole

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

UserRoleCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TableHandler.OnResponse Method

UserRoleCrudControllerTableHandlerOnResponse Method

添加列和批量操作

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

UserRoleCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


UserRoleCrudController.TableHandler.OnSelect Method

UserRoleCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<UserRole>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of UserRole))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<UserRole^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<UserRole>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<UserRole>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow UserRole

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.UserRoleCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

UserRoleCrudControllerTableHandler Class
ZKWeb.Plugins.Common.Admin.src.Controllers Namespace


ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | CrudAdminAppControllerBaseTEntity, TPrimaryKey | 增删查改使用的后台控制器的基础类
Public class | CrudControllerBaseTEntity, TPrimaryKey | 用于增删查改数据的控制器的基础类
Public class | ScaffoldControllerBase | 用于自动生成页面的控制器的基类 Url和需要的权限可以从控制器的成员得到
Public class | SimpleAdminAppControllerBase | 简单的后台控制器的基础类


CrudAdminAppControllerBase(TEntity, TPrimaryKey) Class

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
增删查改使用的后台控制器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBaseTEntity, TPrimaryKey
More...

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class CrudAdminAppControllerBase<TEntity, TPrimaryKey> : CrudControllerBase<TEntity, TPrimaryKey>,
    IAdminAppController
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class CrudAdminAppControllerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits CrudControllerBase(Of TEntity, TPrimaryKey)
    Implements IAdminAppController
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class CrudAdminAppControllerBase abstract : public CrudControllerBase<TEntity, TPrimaryKey>,
    IAdminAppController
[<AbstractClassAttribute>]
type CrudAdminAppControllerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        inherit CrudControllerBase<'TEntity, 'TPrimaryKey>
        interface IAdminAppController
    end

Type Parameters

TEntity

[Missing <typeparam name="TEntity"/> documentation for "T:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudAdminAppControllerBase`2"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "T:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudAdminAppControllerBase`2"]

The CrudAdminAppControllerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Public method | CrudAdminAppControllerBaseTEntity, TPrimaryKey | 初始化
Top
Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath.)
Protected property | ConcernEntityOwnership | 管理员操作数据默认不考虑所属用户 (Overrides CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership.)
Public property | EditTemplatePath | 编辑页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | Group | 分组名称
Public property | GroupIconClass | 分组图标的css类
Public property | IconClass | 图标的css类
Public property | ListTemplatePath | 列表页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | RequiredPrivileges | 默认需要查看权限
Public property | RequiredUserType | 默认需要管理员权限 (Overrides CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | TileClass | 格子的css类
Top
Extension Methods
 | Name | Description
Public Extension Method | IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看 (Defined by IAdminAppControllerExtensions.)
Public Extension Method | ToTileHtml | 生成后台应用的格子的html (Defined by IAdminAppControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.CMS.Article.src.ControllersArticleCrudController
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudController
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudController
ZKWeb.Plugins.Common.Admin.src.ControllersUserRoleCrudController
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentApiCrudController
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentTransactionCrudController
ZKWeb.Plugins.Shopping.Logistics.src.ControllersLogisticsCrudController
ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCategoryCrudController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCrudController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductPropertyCrudController


CrudAdminAppControllerBase(TEntity, TPrimaryKey) Constructor

CrudAdminAppControllerBaseTEntity, TPrimaryKey Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CrudAdminAppControllerBase()
Public Sub New
public:
CrudAdminAppControllerBase()
new : unit -> CrudAdminAppControllerBase
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey) Properties

CrudAdminAppControllerBaseTEntity, TPrimaryKey Properties

The CrudAdminAppControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath.)
Protected property | ConcernEntityOwnership | 管理员操作数据默认不考虑所属用户 (Overrides CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership.)
Public property | EditTemplatePath | 编辑页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | Group | 分组名称
Public property | GroupIconClass | 分组图标的css类
Public property | IconClass | 图标的css类
Public property | ListTemplatePath | 列表页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | RequiredPrivileges | 默认需要查看权限
Public property | RequiredUserType | 默认需要管理员权限 (Overrides CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | TileClass | 格子的css类
Top
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).AddTemplatePath Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyAddTemplatePath Property

添加页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddTemplatePath { get; }
Public Overrides ReadOnly Property AddTemplatePath As String
    Get
public:
virtual property String^ AddTemplatePath {
    String^ get () override;
}
abstract AddTemplatePath : string with get
override AddTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerAddTemplatePath
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).ConcernEntityOwnership Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership Property

管理员操作数据默认不考虑所属用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override bool ConcernEntityOwnership { get; }
Protected Overrides ReadOnly Property ConcernEntityOwnership As Boolean
    Get
protected:
virtual property bool ConcernEntityOwnership {
    bool get () override;
}
abstract ConcernEntityOwnership : bool with get
override ConcernEntityOwnership : bool with get

Property Value

Type: Boolean
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).EditTemplatePath Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyEditTemplatePath Property

编辑页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EditTemplatePath { get; }
Public Overrides ReadOnly Property EditTemplatePath As String
    Get
public:
virtual property String^ EditTemplatePath {
    String^ get () override;
}
abstract EditTemplatePath : string with get
override EditTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerEditTemplatePath
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).Group Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup Property

分组名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Group { get; }
Public Overridable ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get ();
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).GroupIconClass Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass Property

分组图标的css类

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GroupIconClass { get; }
Public Overridable ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get ();
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).IconClass Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass Property

图标的css类

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string IconClass { get; }
Public Overridable ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get ();
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).ListTemplatePath Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyListTemplatePath Property

列表页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ListTemplatePath { get; }
Public Overrides ReadOnly Property ListTemplatePath As String
    Get
public:
virtual property String^ ListTemplatePath {
    String^ get () override;
}
abstract ListTemplatePath : string with get
override ListTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerListTemplatePath
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).RequiredPrivileges Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyRequiredPrivileges Property

默认需要查看权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] RequiredPrivileges { get; }
Public Overridable ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get ();
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IAdminAppControllerRequiredPrivileges
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).RequiredUserType Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyRequiredUserType Property

默认需要管理员权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IAdminAppControllerRequiredUserType
ICrudControllerRequiredUserType
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey).TileClass Property

CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass Property

格子的css类

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string TileClass { get; }
Public Overridable ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get ();
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudAdminAppControllerBase(TEntity, TPrimaryKey) Methods

CrudAdminAppControllerBaseTEntity, TPrimaryKey Methods

The CrudAdminAppControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看 (Defined by IAdminAppControllerExtensions.)
Public Extension Method | ToTileHtml | 生成后台应用的格子的html (Defined by IAdminAppControllerExtensions.)
Top
See Also

Reference

CrudAdminAppControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey) Class

CrudControllerBaseTEntity, TPrimaryKey Class
用于增删查改数据的控制器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBaseTEntity, TPrimaryKey

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class CrudControllerBase<TEntity, TPrimaryKey> : ScaffoldControllerBase,
    ICrudController, IController, IPrivilegesProvider
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class CrudControllerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits ScaffoldControllerBase
    Implements ICrudController, IController, IPrivilegesProvider
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class CrudControllerBase abstract : public ScaffoldControllerBase,
    ICrudController, IController, IPrivilegesProvider
[<AbstractClassAttribute>]
type CrudControllerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        inherit ScaffoldControllerBase
        interface ICrudController
        interface IController
        interface IPrivilegesProvider
    end

Type Parameters

TEntity

[Missing <typeparam name="TEntity"/> documentation for "T:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "T:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2"]

The CrudControllerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Public method | CrudControllerBaseTEntity, TPrimaryKey | 初始化
Top
Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径
Public property | AddUrl | 添加数据的Url 返回空值时表示不支持添加数据
Public property | AllowDeleteForever | 是否允许永久删除
Public property | AllowDeleteRecover | 是否允许标记已删除或未删除
Protected property | BatchActions | 批量操作对应的函数和权限列表
Public property | BatchUrl | 批量操作的Url 返回空值时表示不支持批量操作数据
Protected property | ConcernEntityOwnership | 是否关心实体的所属用户 等于true时会启用所属用户使用的查询和保存过滤器，并且在批量操作时进行检查
Public property | DeleteForeverPrivileges | 永久删除需要的权限
Public property | DeletePrivileges | 删除需要的权限
Public property | EditPrivileges | 编辑需要的权限
Public property | EditTemplatePath | 编辑页的模板路径
Public property | EditUrl | 编辑数据的Url 返回空值时表示不支持编辑数据
Public property | EntityType | 数据类型
Public property | EntityTypeName | 数据类型的名称
Protected property | ExtraTemplateArguments | 传给模板页的附加数据
Protected property | IncludeCss | 传给模板页的引用的样式文件列表
Protected property | IncludeJs | 传给模板页的引用的脚本文件列表
Public property | ListTableId | 列表页中使用的表格Id
Public property | ListTemplatePath | 列表页的模板路径
Public property | Name | 名称
Public property | RequiredUserType | 增删查改操作需要的用户类型
Public property | SearchUrl | 获取搜索结果的Url
Public property | Url | 基础链接
Protected property | UseIsolationLevel | 使用事务时的隔离等级
Protected property | UseTransaction | 是否在增删查改操作中使用事务
Public property | ViewPrivileges | 查看需要的权限
Top
Methods
 | Name | Description
Protected method | Action | 列表页的处理函数 默认即使设置了UseTransaction也不启用事务
Protected method | AddAction | 添加页和添加请求的处理函数 提交时额外需要编辑权限
Protected method | BatchAction | 批量操作请求的处理函数 具体权限在里面检查
Protected method | BatchActionForDelete | 批量删除 在这里标记过滤器属性不会起作用
Protected method | BatchActionForDeleteForever | 批量永久删除 在这里标记过滤器属性不会起作用
Protected method | BatchActionForRecover | 批量恢复 在这里标记过滤器属性不会起作用
Protected method | EditAction | 编辑页和编辑请求的处理函数 提交时额外需要编辑权限
Protected method | GetAddForm | 获取添加数据使用的表单
Protected method | GetBatchActionIds | 获取批量操作的数据Id列表
Protected method | GetEditForm | 获取编辑数据使用的表单
Public method | GetPrivileges | 获取权限列表
Protected method | GetTableHandler | 获取表格处理器
Protected method | SearchAction | 搜索请求的处理函数 默认即使设置了UseTransaction也不启用事务
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey) Constructor

CrudControllerBaseTEntity, TPrimaryKey Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CrudControllerBase()
Public Sub New
public:
CrudControllerBase()
new : unit -> CrudControllerBase
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey) Properties

CrudControllerBaseTEntity, TPrimaryKey Properties

The CrudControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径
Public property | AddUrl | 添加数据的Url 返回空值时表示不支持添加数据
Public property | AllowDeleteForever | 是否允许永久删除
Public property | AllowDeleteRecover | 是否允许标记已删除或未删除
Protected property | BatchActions | 批量操作对应的函数和权限列表
Public property | BatchUrl | 批量操作的Url 返回空值时表示不支持批量操作数据
Protected property | ConcernEntityOwnership | 是否关心实体的所属用户 等于true时会启用所属用户使用的查询和保存过滤器，并且在批量操作时进行检查
Public property | DeleteForeverPrivileges | 永久删除需要的权限
Public property | DeletePrivileges | 删除需要的权限
Public property | EditPrivileges | 编辑需要的权限
Public property | EditTemplatePath | 编辑页的模板路径
Public property | EditUrl | 编辑数据的Url 返回空值时表示不支持编辑数据
Public property | EntityType | 数据类型
Public property | EntityTypeName | 数据类型的名称
Protected property | ExtraTemplateArguments | 传给模板页的附加数据
Protected property | IncludeCss | 传给模板页的引用的样式文件列表
Protected property | IncludeJs | 传给模板页的引用的脚本文件列表
Public property | ListTableId | 列表页中使用的表格Id
Public property | ListTemplatePath | 列表页的模板路径
Public property | Name | 名称
Public property | RequiredUserType | 增删查改操作需要的用户类型
Public property | SearchUrl | 获取搜索结果的Url
Public property | Url | 基础链接
Protected property | UseIsolationLevel | 使用事务时的隔离等级
Protected property | UseTransaction | 是否在增删查改操作中使用事务
Public property | ViewPrivileges | 查看需要的权限
Top
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).AddTemplatePath Property

CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath Property

添加页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string AddTemplatePath { get; }
Public MustOverride ReadOnly Property AddTemplatePath As String
    Get
public:
virtual property String^ AddTemplatePath {
    String^ get () abstract;
}
abstract AddTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerAddTemplatePath
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).AddUrl Property

CrudControllerBaseTEntity, TPrimaryKeyAddUrl Property

添加数据的Url 返回空值时表示不支持添加数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string AddUrl { get; }
Public Overridable ReadOnly Property AddUrl As String
    Get
public:
virtual property String^ AddUrl {
    String^ get ();
}
abstract AddUrl : string with get
override AddUrl : string with get

Property Value

Type: String

Implements

ICrudControllerAddUrl
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).AllowDeleteForever Property

CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever Property

是否允许永久删除

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool AllowDeleteForever { get; }
Public Overridable ReadOnly Property AllowDeleteForever As Boolean
    Get
public:
virtual property bool AllowDeleteForever {
    bool get ();
}
abstract AllowDeleteForever : bool with get
override AllowDeleteForever : bool with get

Property Value

Type: Boolean

Implements

ICrudControllerAllowDeleteForever
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).AllowDeleteRecover Property

CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteRecover Property

是否允许标记已删除或未删除

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool AllowDeleteRecover { get; }
Public Overridable ReadOnly Property AllowDeleteRecover As Boolean
    Get
public:
virtual property bool AllowDeleteRecover {
    bool get ();
}
abstract AllowDeleteRecover : bool with get
override AllowDeleteRecover : bool with get

Property Value

Type: Boolean

Implements

ICrudControllerAllowDeleteRecover
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).BatchActions Property

CrudControllerBaseTEntity, TPrimaryKeyBatchActions Property

批量操作对应的函数和权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IDictionary<string, Tuple<Func<IActionResult>, string[]>> BatchActions { get; set; }
Protected Overridable Property BatchActions As IDictionary(Of String, Tuple(Of Func(Of IActionResult), String()))
    Get
    Set
protected:
virtual property IDictionary<String^, Tuple<Func<IActionResult^>^, array<String^>^>^>^ BatchActions {
    IDictionary<String^, Tuple<Func<IActionResult^>^, array<String^>^>^>^ get ();
    void set (IDictionary<String^, Tuple<Func<IActionResult^>^, array<String^>^>^>^ value);
}
abstract BatchActions : IDictionary<string, Tuple<Func<IActionResult>, string[]>> with get, set
override BatchActions : IDictionary<string, Tuple<Func<IActionResult>, string[]>> with get, set

Property Value

Type: IDictionary String, Tuple Func IActionResult, String
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).BatchUrl Property

CrudControllerBaseTEntity, TPrimaryKeyBatchUrl Property

批量操作的Url 返回空值时表示不支持批量操作数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string BatchUrl { get; }
Public Overridable ReadOnly Property BatchUrl As String
    Get
public:
virtual property String^ BatchUrl {
    String^ get ();
}
abstract BatchUrl : string with get
override BatchUrl : string with get

Property Value

Type: String

Implements

ICrudControllerBatchUrl
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).ConcernEntityOwnership Property

CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership Property

是否关心实体的所属用户 等于true时会启用所属用户使用的查询和保存过滤器，并且在批量操作时进行检查

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract bool ConcernEntityOwnership { get; }
Protected MustOverride ReadOnly Property ConcernEntityOwnership As Boolean
    Get
protected:
virtual property bool ConcernEntityOwnership {
    bool get () abstract;
}
abstract ConcernEntityOwnership : bool with get

Property Value

Type: Boolean
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).DeleteForeverPrivileges Property

CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges Property

永久删除需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] DeleteForeverPrivileges { get; }
Public Overridable ReadOnly Property DeleteForeverPrivileges As String()
    Get
public:
virtual property array<String^>^ DeleteForeverPrivileges {
    array<String^>^ get ();
}
abstract DeleteForeverPrivileges : string[] with get
override DeleteForeverPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeleteForeverPrivileges
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).DeletePrivileges Property

CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges Property

删除需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] DeletePrivileges { get; }
Public Overridable ReadOnly Property DeletePrivileges As String()
    Get
public:
virtual property array<String^>^ DeletePrivileges {
    array<String^>^ get ();
}
abstract DeletePrivileges : string[] with get
override DeletePrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeletePrivileges
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).EditPrivileges Property

CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges Property

编辑需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] EditPrivileges { get; }
Public Overridable ReadOnly Property EditPrivileges As String()
    Get
public:
virtual property array<String^>^ EditPrivileges {
    array<String^>^ get ();
}
abstract EditPrivileges : string[] with get
override EditPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerEditPrivileges
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).EditTemplatePath Property

CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath Property

编辑页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string EditTemplatePath { get; }
Public MustOverride ReadOnly Property EditTemplatePath As String
    Get
public:
virtual property String^ EditTemplatePath {
    String^ get () abstract;
}
abstract EditTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerEditTemplatePath
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).EditUrl Property

CrudControllerBaseTEntity, TPrimaryKeyEditUrl Property

编辑数据的Url 返回空值时表示不支持编辑数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string EditUrl { get; }
Public Overridable ReadOnly Property EditUrl As String
    Get
public:
virtual property String^ EditUrl {
    String^ get ();
}
abstract EditUrl : string with get
override EditUrl : string with get

Property Value

Type: String

Implements

ICrudControllerEditUrl
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).EntityType Property

CrudControllerBaseTEntity, TPrimaryKeyEntityType Property

数据类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Type EntityType { get; }
Public Overridable ReadOnly Property EntityType As Type
    Get
public:
virtual property Type^ EntityType {
    Type^ get ();
}
abstract EntityType : Type with get
override EntityType : Type with get

Property Value

Type: Type

Implements

ICrudControllerEntityType
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).EntityTypeName Property

CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName Property

数据类型的名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string EntityTypeName { get; }
Public Overridable ReadOnly Property EntityTypeName As String
    Get
public:
virtual property String^ EntityTypeName {
    String^ get ();
}
abstract EntityTypeName : string with get
override EntityTypeName : string with get

Property Value

Type: String

Implements

ICrudControllerEntityTypeName
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).ExtraTemplateArguments Property

CrudControllerBaseTEntity, TPrimaryKeyExtraTemplateArguments Property

传给模板页的附加数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IDictionary<string, Object> ExtraTemplateArguments { get; set; }
Protected Overridable Property ExtraTemplateArguments As IDictionary(Of String, Object)
    Get
    Set
protected:
virtual property IDictionary<String^, Object^>^ ExtraTemplateArguments {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
abstract ExtraTemplateArguments : IDictionary<string, Object> with get, set
override ExtraTemplateArguments : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).IncludeCss Property

CrudControllerBaseTEntity, TPrimaryKeyIncludeCss Property

传给模板页的引用的样式文件列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IList<string> IncludeCss { get; set; }
Protected Overridable Property IncludeCss As IList(Of String)
    Get
    Set
protected:
virtual property IList<String^>^ IncludeCss {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
abstract IncludeCss : IList<string> with get, set
override IncludeCss : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).IncludeJs Property

CrudControllerBaseTEntity, TPrimaryKeyIncludeJs Property

传给模板页的引用的脚本文件列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IList<string> IncludeJs { get; set; }
Protected Overridable Property IncludeJs As IList(Of String)
    Get
    Set
protected:
virtual property IList<String^>^ IncludeJs {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
abstract IncludeJs : IList<string> with get, set
override IncludeJs : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).ListTableId Property

CrudControllerBaseTEntity, TPrimaryKeyListTableId Property

列表页中使用的表格Id

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ListTableId { get; }
Public Overridable ReadOnly Property ListTableId As String
    Get
public:
virtual property String^ ListTableId {
    String^ get ();
}
abstract ListTableId : string with get
override ListTableId : string with get

Property Value

Type: String

Implements

ICrudControllerListTableId
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).ListTemplatePath Property

CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath Property

列表页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string ListTemplatePath { get; }
Public MustOverride ReadOnly Property ListTemplatePath As String
    Get
public:
virtual property String^ ListTemplatePath {
    String^ get () abstract;
}
abstract ListTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerListTemplatePath
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).Name Property

CrudControllerBaseTEntity, TPrimaryKeyName Property

名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Name { get; }
Public MustOverride ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () abstract;
}
abstract Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).RequiredUserType Property

CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType Property

增删查改操作需要的用户类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract Type RequiredUserType { get; }
Public MustOverride ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () abstract;
}
abstract RequiredUserType : Type with get

Property Value

Type: Type

Implements

ICrudControllerRequiredUserType
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).SearchUrl Property

CrudControllerBaseTEntity, TPrimaryKeySearchUrl Property

获取搜索结果的Url

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string SearchUrl { get; }
Public Overridable ReadOnly Property SearchUrl As String
    Get
public:
virtual property String^ SearchUrl {
    String^ get ();
}
abstract SearchUrl : string with get
override SearchUrl : string with get

Property Value

Type: String

Implements

ICrudControllerSearchUrl
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).Url Property

CrudControllerBaseTEntity, TPrimaryKeyUrl Property

基础链接

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Url { get; }
Public MustOverride ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () abstract;
}
abstract Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).UseIsolationLevel Property

CrudControllerBaseTEntity, TPrimaryKeyUseIsolationLevel Property

使用事务时的隔离等级

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual Nullable<IsolationLevel> UseIsolationLevel { get; }
Protected Overridable ReadOnly Property UseIsolationLevel As Nullable(Of IsolationLevel)
    Get
protected:
virtual property Nullable<IsolationLevel> UseIsolationLevel {
    Nullable<IsolationLevel> get ();
}
abstract UseIsolationLevel : Nullable<IsolationLevel> with get
override UseIsolationLevel : Nullable<IsolationLevel> with get

Property Value

Type: Nullable IsolationLevel
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).UseTransaction Property

CrudControllerBaseTEntity, TPrimaryKeyUseTransaction Property

是否在增删查改操作中使用事务

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual bool UseTransaction { get; }
Protected Overridable ReadOnly Property UseTransaction As Boolean
    Get
protected:
virtual property bool UseTransaction {
    bool get ();
}
abstract UseTransaction : bool with get
override UseTransaction : bool with get

Property Value

Type: Boolean
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).ViewPrivileges Property

CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges Property

查看需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] ViewPrivileges { get; }
Public Overridable ReadOnly Property ViewPrivileges As String()
    Get
public:
virtual property array<String^>^ ViewPrivileges {
    array<String^>^ get ();
}
abstract ViewPrivileges : string[] with get
override ViewPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerViewPrivileges
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey) Methods

CrudControllerBaseTEntity, TPrimaryKey Methods

The CrudControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Protected method | Action | 列表页的处理函数 默认即使设置了UseTransaction也不启用事务
Protected method | AddAction | 添加页和添加请求的处理函数 提交时额外需要编辑权限
Protected method | BatchAction | 批量操作请求的处理函数 具体权限在里面检查
Protected method | BatchActionForDelete | 批量删除 在这里标记过滤器属性不会起作用
Protected method | BatchActionForDeleteForever | 批量永久删除 在这里标记过滤器属性不会起作用
Protected method | BatchActionForRecover | 批量恢复 在这里标记过滤器属性不会起作用
Protected method | EditAction | 编辑页和编辑请求的处理函数 提交时额外需要编辑权限
Protected method | GetAddForm | 获取添加数据使用的表单
Protected method | GetBatchActionIds | 获取批量操作的数据Id列表
Protected method | GetEditForm | 获取编辑数据使用的表单
Public method | GetPrivileges | 获取权限列表
Protected method | GetTableHandler | 获取表格处理器
Protected method | SearchAction | 搜索请求的处理函数 默认即使设置了UseTransaction也不启用事务
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).Action Method

CrudControllerBaseTEntity, TPrimaryKeyAction Method

列表页的处理函数 默认即使设置了UseTransaction也不启用事务

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult Action()
Protected Overridable Function Action As IActionResult
protected:
virtual IActionResult^ Action()
abstract Action : unit -> IActionResult
override Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.Action"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).AddAction Method

CrudControllerBaseTEntity, TPrimaryKeyAddAction Method

添加页和添加请求的处理函数 提交时额外需要编辑权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult AddAction()
Protected Overridable Function AddAction As IActionResult
protected:
virtual IActionResult^ AddAction()
abstract AddAction : unit -> IActionResult
override AddAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.AddAction"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).BatchAction Method

CrudControllerBaseTEntity, TPrimaryKeyBatchAction Method

批量操作请求的处理函数 具体权限在里面检查

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult BatchAction()
Protected Overridable Function BatchAction As IActionResult
protected:
virtual IActionResult^ BatchAction()
abstract BatchAction : unit -> IActionResult
override BatchAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.BatchAction"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).BatchActionForDelete Method

CrudControllerBaseTEntity, TPrimaryKeyBatchActionForDelete Method

批量删除 在这里标记过滤器属性不会起作用

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult BatchActionForDelete()
Protected Overridable Function BatchActionForDelete As IActionResult
protected:
virtual IActionResult^ BatchActionForDelete()
abstract BatchActionForDelete : unit -> IActionResult
override BatchActionForDelete : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.BatchActionForDelete"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).BatchActionForDeleteForever Method

CrudControllerBaseTEntity, TPrimaryKeyBatchActionForDeleteForever Method

批量永久删除 在这里标记过滤器属性不会起作用

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult BatchActionForDeleteForever()
Protected Overridable Function BatchActionForDeleteForever As IActionResult
protected:
virtual IActionResult^ BatchActionForDeleteForever()
abstract BatchActionForDeleteForever : unit -> IActionResult
override BatchActionForDeleteForever : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.BatchActionForDeleteForever"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).BatchActionForRecover Method

CrudControllerBaseTEntity, TPrimaryKeyBatchActionForRecover Method

批量恢复 在这里标记过滤器属性不会起作用

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult BatchActionForRecover()
Protected Overridable Function BatchActionForRecover As IActionResult
protected:
virtual IActionResult^ BatchActionForRecover()
abstract BatchActionForRecover : unit -> IActionResult
override BatchActionForRecover : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.BatchActionForRecover"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).EditAction Method

CrudControllerBaseTEntity, TPrimaryKeyEditAction Method

编辑页和编辑请求的处理函数 提交时额外需要编辑权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult EditAction()
Protected Overridable Function EditAction As IActionResult
protected:
virtual IActionResult^ EditAction()
abstract EditAction : unit -> IActionResult
override EditAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.EditAction"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).GetAddForm Method

CrudControllerBaseTEntity, TPrimaryKeyGetAddForm Method

获取添加数据使用的表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract IModelFormBuilder GetAddForm()
Protected MustOverride Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() abstract
abstract GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.GetAddForm"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).GetBatchActionIds Method

CrudControllerBaseTEntity, TPrimaryKeyGetBatchActionIds Method

获取批量操作的数据Id列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IList<TPrimaryKey> GetBatchActionIds()
Protected Overridable Function GetBatchActionIds As IList(Of TPrimaryKey)
protected:
virtual IList<TPrimaryKey>^ GetBatchActionIds()
abstract GetBatchActionIds : unit -> IList<'TPrimaryKey>
override GetBatchActionIds : unit -> IList<'TPrimaryKey>

Return Value

Type: IList TPrimaryKey

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.GetBatchActionIds"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).GetEditForm Method

CrudControllerBaseTEntity, TPrimaryKeyGetEditForm Method

获取编辑数据使用的表单

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract IModelFormBuilder GetEditForm()
Protected MustOverride Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() abstract
abstract GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.GetEditForm"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).GetPrivileges Method

CrudControllerBaseTEntity, TPrimaryKeyGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetPrivileges()
Public Overridable Function GetPrivileges As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetPrivileges()
abstract GetPrivileges : unit -> IEnumerable<string>
override GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.GetPrivileges"]

Implements

IPrivilegesProviderGetPrivileges
See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).GetTableHandler Method

CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler Method

获取表格处理器

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract IAjaxTableHandler<TEntity, TPrimaryKey> GetTableHandler()
Protected MustOverride Function GetTableHandler As IAjaxTableHandler(Of TEntity, TPrimaryKey)
protected:
virtual IAjaxTableHandler<TEntity, TPrimaryKey>^ GetTableHandler() abstract
abstract GetTableHandler : unit -> IAjaxTableHandler<'TEntity, 'TPrimaryKey>

Return Value

Type: IAjaxTableHandler TEntity, TPrimaryKey

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.GetTableHandler"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


CrudControllerBase(TEntity, TPrimaryKey).SearchAction Method

CrudControllerBaseTEntity, TPrimaryKeySearchAction Method

搜索请求的处理函数 默认即使设置了UseTransaction也不启用事务

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult SearchAction()
Protected Overridable Function SearchAction As IActionResult
protected:
virtual IActionResult^ SearchAction()
abstract SearchAction : unit -> IActionResult
override SearchAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.CrudControllerBase`2.SearchAction"]

See Also

Reference

CrudControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


ScaffoldControllerBase Class
用于自动生成页面的控制器的基类 Url和需要的权限可以从控制器的成员得到
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesSimpleAdminAppControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScaffoldControllerBase : ControllerBase,
    IWebsiteStartHandler
Public Class ScaffoldControllerBase
    Inherits ControllerBase
    Implements IWebsiteStartHandler
public ref class ScaffoldControllerBase : public ControllerBase,
    IWebsiteStartHandler
type ScaffoldControllerBase =
    class
        inherit ControllerBase
        interface IWebsiteStartHandler
    end

The ScaffoldControllerBase type exposes the following members.

Constructors
 | Name | Description
Public method | ScaffoldControllerBase | Initializes a new instance of the ScaffoldControllerBase class
Top
Methods
 | Name | Description
Public method | OnWebsiteStart | 网站启动时注册这个类中带ScaffoldAction属性的函数
Protected method | RegisterScaffoldAction | 注册这个控制器中的Action函数
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


ScaffoldControllerBase Constructor

Initializes a new instance of the ScaffoldControllerBase class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScaffoldControllerBase()
Public Sub New
public:
ScaffoldControllerBase()
new : unit -> ScaffoldControllerBase
See Also

Reference

ScaffoldControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


ScaffoldControllerBase Methods

The ScaffoldControllerBase type exposes the following members.

Methods
 | Name | Description
Public method | OnWebsiteStart | 网站启动时注册这个类中带ScaffoldAction属性的函数
Protected method | RegisterScaffoldAction | 注册这个控制器中的Action函数
Top
See Also

Reference

ScaffoldControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


ScaffoldControllerBase.OnWebsiteStart Method

ScaffoldControllerBaseOnWebsiteStart Method

网站启动时注册这个类中带ScaffoldAction属性的函数

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnWebsiteStart()
Public Overridable Sub OnWebsiteStart
public:
virtual void OnWebsiteStart()
abstract OnWebsiteStart : unit -> unit
override OnWebsiteStart : unit -> unit

Implements

IWebsiteStartHandler.OnWebsiteStart
See Also

Reference

ScaffoldControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


ScaffoldControllerBase.RegisterScaffoldAction Method

ScaffoldControllerBaseRegisterScaffoldAction Method

注册这个控制器中的Action函数

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RegisterScaffoldAction(
    ControllerManager controllerManager,
    Func<IActionResult> action,
    IEnumerable<ActionFilterAttribute> actionFilterAttributes,
    IEnumerable<ScaffoldActionAttribute> scaffoldActionAttributes,
    IEnumerable<ScaffoldActionFilterAttribute> scaffoldActionFilterAttributes
)
Protected Overridable Sub RegisterScaffoldAction (
    controllerManager As ControllerManager,
    action As Func(Of IActionResult),
    actionFilterAttributes As IEnumerable(Of ActionFilterAttribute),
    scaffoldActionAttributes As IEnumerable(Of ScaffoldActionAttribute),
    scaffoldActionFilterAttributes As IEnumerable(Of ScaffoldActionFilterAttribute)
)
protected:
virtual void RegisterScaffoldAction(
    ControllerManager^ controllerManager,
    Func<IActionResult^>^ action,
    IEnumerable<ActionFilterAttribute^>^ actionFilterAttributes,
    IEnumerable<ScaffoldActionAttribute^>^ scaffoldActionAttributes,
    IEnumerable<ScaffoldActionFilterAttribute^>^ scaffoldActionFilterAttributes
)
abstract RegisterScaffoldAction :
        controllerManager : ControllerManager *
        action : Func<IActionResult> *
        actionFilterAttributes : IEnumerable<ActionFilterAttribute> *
        scaffoldActionAttributes : IEnumerable<ScaffoldActionAttribute> *
        scaffoldActionFilterAttributes : IEnumerable<ScaffoldActionFilterAttribute> -> unit
override RegisterScaffoldAction :
        controllerManager : ControllerManager *
        action : Func<IActionResult> *
        actionFilterAttributes : IEnumerable<ActionFilterAttribute> *
        scaffoldActionAttributes : IEnumerable<ScaffoldActionAttribute> *
        scaffoldActionFilterAttributes : IEnumerable<ScaffoldActionFilterAttribute> -> unit

Parameters

controllerManager
Type: ControllerManager
控制器管理器
action
Type: SystemFunc IActionResult
Action函数
actionFilterAttributes
Type: System.Collections.GenericIEnumerable ActionFilterAttribute
Action过滤器属性
scaffoldActionAttributes
Type: System.Collections.GenericIEnumerable ScaffoldActionAttribute
ScaffoldAction属性，Url由成员获取
scaffoldActionFilterAttributes
Type: System.Collections.GenericIEnumerable ScaffoldActionFilterAttribute
ScaffoldActionFilter属性，实际的过滤器根据成员生成
See Also

Reference

ScaffoldControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase Class
简单的后台控制器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesSimpleAdminAppControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.ControllersAdminSettingsController
ZKWeb.Plugins.Testing.WebTester.src.ControllersWebTesterController

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class SimpleAdminAppControllerBase : ScaffoldControllerBase,
    IPrivilegesProvider, IWebsiteStartHandler, IAdminAppController
Public MustInherit Class SimpleAdminAppControllerBase
    Inherits ScaffoldControllerBase
    Implements IPrivilegesProvider, IWebsiteStartHandler, IAdminAppController
public ref class SimpleAdminAppControllerBase abstract : public ScaffoldControllerBase,
    IPrivilegesProvider, IWebsiteStartHandler, IAdminAppController
[<AbstractClassAttribute>]
type SimpleAdminAppControllerBase =
    class
        inherit ScaffoldControllerBase
        interface IPrivilegesProvider
        interface IWebsiteStartHandler
        interface IAdminAppController
    end

The SimpleAdminAppControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | SimpleAdminAppControllerBase | Initializes a new instance of the SimpleAdminAppControllerBase class
Top
Properties
 | Name | Description
Public property | Group | 分组名称
Public property | GroupIconClass | 分组图标的css类
Public property | IconClass | 图标的css类名
Public property | Name | 应用名称
Public property | RequiredPrivileges | 显示此应用要求的权限列表
Public property | RequiredUserType | 显示此应用要求的用户类型
Public property | TileClass | 格式的css类名
Public property | Url | url地址
Top
Methods
 | Name | Description
Protected method | Action | 对应的处理函数，会自动进行权限检查
Public method | GetPrivileges | 获取权限列表
Top
Extension Methods
 | Name | Description
Public Extension Method | IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看 (Defined by IAdminAppControllerExtensions.)
Public Extension Method | ToTileHtml | 生成后台应用的格子的html (Defined by IAdminAppControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase Constructor

Initializes a new instance of the SimpleAdminAppControllerBase class

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected SimpleAdminAppControllerBase()
Protected Sub New
protected:
SimpleAdminAppControllerBase()
new : unit -> SimpleAdminAppControllerBase
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase Properties

The SimpleAdminAppControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组名称
Public property | GroupIconClass | 分组图标的css类
Public property | IconClass | 图标的css类名
Public property | Name | 应用名称
Public property | RequiredPrivileges | 显示此应用要求的权限列表
Public property | RequiredUserType | 显示此应用要求的用户类型
Public property | TileClass | 格式的css类名
Public property | Url | url地址
Top
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.Group Property

SimpleAdminAppControllerBaseGroup Property

分组名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Group { get; }
Public Overridable ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get ();
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.GroupIconClass Property

SimpleAdminAppControllerBaseGroupIconClass Property

分组图标的css类

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GroupIconClass { get; }
Public Overridable ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get ();
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.IconClass Property

SimpleAdminAppControllerBaseIconClass Property

图标的css类名

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string IconClass { get; }
Public Overridable ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get ();
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.Name Property

SimpleAdminAppControllerBaseName Property

应用名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Name { get; }
Public MustOverride ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () abstract;
}
abstract Name : string with get

Property Value

Type: String

Implements

IAdminAppControllerName
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.RequiredPrivileges Property

SimpleAdminAppControllerBaseRequiredPrivileges Property

显示此应用要求的权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] RequiredPrivileges { get; }
Public Overridable ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get ();
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IAdminAppControllerRequiredPrivileges
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.RequiredUserType Property

SimpleAdminAppControllerBaseRequiredUserType Property

显示此应用要求的用户类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Type RequiredUserType { get; }
Public Overridable ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get ();
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IAdminAppControllerRequiredUserType
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.TileClass Property

SimpleAdminAppControllerBaseTileClass Property

格式的css类名

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string TileClass { get; }
Public Overridable ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get ();
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.Url Property

SimpleAdminAppControllerBaseUrl Property

url地址

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Url { get; }
Public MustOverride ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () abstract;
}
abstract Url : string with get

Property Value

Type: String

Implements

IAdminAppControllerUrl
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase Methods

The SimpleAdminAppControllerBase type exposes the following members.

Methods
 | Name | Description
Protected method | Action | 对应的处理函数，会自动进行权限检查
Public method | GetPrivileges | 获取权限列表
Top
Extension Methods
 | Name | Description
Public Extension Method | IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看 (Defined by IAdminAppControllerExtensions.)
Public Extension Method | ToTileHtml | 生成后台应用的格子的html (Defined by IAdminAppControllerExtensions.)
Top
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.Action Method

SimpleAdminAppControllerBaseAction Method

对应的处理函数，会自动进行权限检查

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract IActionResult Action()
Protected MustOverride Function Action As IActionResult
protected:
virtual IActionResult^ Action() abstract
abstract Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.SimpleAdminAppControllerBase.Action"]

See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


SimpleAdminAppControllerBase.GetPrivileges Method

SimpleAdminAppControllerBaseGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetPrivileges()
Public Overridable Function GetPrivileges As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetPrivileges()
abstract GetPrivileges : unit -> IEnumerable<string>
override GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Bases.SimpleAdminAppControllerBase.GetPrivileges"]

Implements

IPrivilegesProviderGetPrivileges
See Also

Reference

SimpleAdminAppControllerBase Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions"]

Classes
 | Class | Description
Public class | IAdminAppControllerExtensions | 后台应用的扩展函数


IAdminAppControllerExtensions Class
后台应用的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Controllers.ExtensionsIAdminAppControllerExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IAdminAppControllerExtensions
<ExtensionAttribute>
Public NotInheritable Class IAdminAppControllerExtensions
[ExtensionAttribute]
public ref class IAdminAppControllerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IAdminAppControllerExtensions =  class end

The IAdminAppControllerExtensions type exposes the following members.

Methods
Name | Description
IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看
ToTileHtml | 生成后台应用的格子的html
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions Namespace


IAdminAppControllerExtensions Methods

The IAdminAppControllerExtensions type exposes the following members.

Methods
Name | Description
IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看
ToTileHtml | 生成后台应用的格子的html
Top
See Also

Reference

IAdminAppControllerExtensions Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions Namespace


IAdminAppControllerExtensions.IsAccessableFormUser Method

IAdminAppControllerExtensionsIsAccessableFormUser Method

判断后台应用是否可以被指定的用户查看

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool IsAccessableFormUser(
    this IAdminAppController app,
    User user
)
<ExtensionAttribute>
Public Shared Function IsAccessableFormUser (
    app As IAdminAppController,
    user As User
) As Boolean
public:
[ExtensionAttribute]
static bool IsAccessableFormUser(
    IAdminAppController^ app,
    User^ user
)
[<ExtensionAttribute>]
static member IsAccessableFormUser :
        app : IAdminAppController *
        user : User -> bool

Parameters

app
Type: ZKWeb.Plugins.Common.Admin.src.Controllers.InterfacesIAdminAppController
后台应用
user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser
用户

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions.IAdminAppControllerExtensions.IsAccessableFormUser(ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces.IAdminAppController,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IAdminAppController. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IAdminAppControllerExtensions Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions Namespace


IAdminAppControllerExtensions.ToTileHtml Method

IAdminAppControllerExtensionsToTileHtml Method

生成后台应用的格子的html

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString ToTileHtml(
    this IAdminAppController app
)
<ExtensionAttribute>
Public Shared Function ToTileHtml (
    app As IAdminAppController
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ ToTileHtml(
    IAdminAppController^ app
)
[<ExtensionAttribute>]
static member ToTileHtml :
        app : IAdminAppController -> HtmlString

Parameters

app
Type: ZKWeb.Plugins.Common.Admin.src.Controllers.InterfacesIAdminAppController
后台应用

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions.IAdminAppControllerExtensions.ToTileHtml(ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces.IAdminAppController)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IAdminAppController. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IAdminAppControllerExtensions Class
ZKWeb.Plugins.Common.Admin.src.Controllers.Extensions Namespace


ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IAdminAppController | 后台应用控制器的接口
Public interface | ICrudController | 用于增删查改的控制器接口


IAdminAppController Interface
后台应用控制器的接口

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAdminAppController
Public Interface IAdminAppController
public interface class IAdminAppController
type IAdminAppController =  interface end

The IAdminAppController type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组名称
Public property | GroupIconClass | 分组图标的css类 分组下有多个应用时，只使用第一个图标
Public property | IconClass | 图标的css类
Public property | Name | 应用名称
Public property | RequiredPrivileges | 显示此应用要求的权限列表 一般是查看权限
Public property | RequiredUserType | 显示此应用要求的用户类型 例如typeof(IAmAdmin)
Public property | TileClass | 格子的css类
Public property | Url | url地址
Top
Extension Methods
 | Name | Description
Public Extension Method | IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看 (Defined by IAdminAppControllerExtensions.)
Public Extension Method | ToTileHtml | 生成后台应用的格子的html (Defined by IAdminAppControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController Properties

The IAdminAppController type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组名称
Public property | GroupIconClass | 分组图标的css类 分组下有多个应用时，只使用第一个图标
Public property | IconClass | 图标的css类
Public property | Name | 应用名称
Public property | RequiredPrivileges | 显示此应用要求的权限列表 一般是查看权限
Public property | RequiredUserType | 显示此应用要求的用户类型 例如typeof(IAmAdmin)
Public property | TileClass | 格子的css类
Public property | Url | url地址
Top
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.Group Property

IAdminAppControllerGroup Property

分组名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Group { get; }
ReadOnly Property Group As String
    Get
property String^ Group {
    String^ get ();
}
abstract Group : string with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.GroupIconClass Property

IAdminAppControllerGroupIconClass Property

分组图标的css类 分组下有多个应用时，只使用第一个图标

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string GroupIconClass { get; }
ReadOnly Property GroupIconClass As String
    Get
property String^ GroupIconClass {
    String^ get ();
}
abstract GroupIconClass : string with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.IconClass Property

IAdminAppControllerIconClass Property

图标的css类

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string IconClass { get; }
ReadOnly Property IconClass As String
    Get
property String^ IconClass {
    String^ get ();
}
abstract IconClass : string with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.Name Property

IAdminAppControllerName Property

应用名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.RequiredPrivileges Property

IAdminAppControllerRequiredPrivileges Property

显示此应用要求的权限列表 一般是查看权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string[] RequiredPrivileges { get; }
ReadOnly Property RequiredPrivileges As String()
    Get
property array<String^>^ RequiredPrivileges {
    array<String^>^ get ();
}
abstract RequiredPrivileges : string[] with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.RequiredUserType Property

IAdminAppControllerRequiredUserType Property

显示此应用要求的用户类型 例如typeof(IAmAdmin)

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Type RequiredUserType { get; }
ReadOnly Property RequiredUserType As Type
    Get
property Type^ RequiredUserType {
    Type^ get ();
}
abstract RequiredUserType : Type with get

Property Value

Type: Type
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.TileClass Property

IAdminAppControllerTileClass Property

格子的css类

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string TileClass { get; }
ReadOnly Property TileClass As String
    Get
property String^ TileClass {
    String^ get ();
}
abstract TileClass : string with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController.Url Property

IAdminAppControllerUrl Property

url地址

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Url { get; }
ReadOnly Property Url As String
    Get
property String^ Url {
    String^ get ();
}
abstract Url : string with get

Property Value

Type: String
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


IAdminAppController Methods

The IAdminAppController type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | IsAccessableFormUser | 判断后台应用是否可以被指定的用户查看 (Defined by IAdminAppControllerExtensions.)
Public Extension Method | ToTileHtml | 生成后台应用的格子的html (Defined by IAdminAppControllerExtensions.)
Top
See Also

Reference

IAdminAppController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController Interface
用于增删查改的控制器接口

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ICrudController : IController
Public Interface ICrudController
    Inherits IController
public interface class ICrudController : IController
type ICrudController =
    interface
        interface IController
    end

The ICrudController type exposes the following members.

Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径
Public property | AddUrl | 添加数据的Url
Public property | AllowDeleteForever | 是否允许永久删除
Public property | AllowDeleteRecover | 是否允许标记已删除或未删除
Public property | BatchUrl | 批量操作的Url 返回空值时表示不支持批量操作数据
Public property | DeleteForeverPrivileges | 永久删除需要的权限
Public property | DeletePrivileges | 删除需要的权限
Public property | EditPrivileges | 编辑需要的权限
Public property | EditTemplatePath | 编辑页的模板路径
Public property | EditUrl | 编辑数据的Url 返回空值时表示不支持编辑数据
Public property | EntityType | 实体类型
Public property | EntityTypeName | 实体类型的名称
Public property | ListTableId | 列表页中使用的表格Id
Public property | ListTemplatePath | 列表页的模板路径
Public property | Name | 名称
Public property | RequiredUserType | 增删查改操作需要的用户类型
Public property | SearchUrl | 获取搜索结果的Url
Public property | Url | 基础链接
Public property | ViewPrivileges | 查看需要的权限
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController Properties

The ICrudController type exposes the following members.

Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径
Public property | AddUrl | 添加数据的Url
Public property | AllowDeleteForever | 是否允许永久删除
Public property | AllowDeleteRecover | 是否允许标记已删除或未删除
Public property | BatchUrl | 批量操作的Url 返回空值时表示不支持批量操作数据
Public property | DeleteForeverPrivileges | 永久删除需要的权限
Public property | DeletePrivileges | 删除需要的权限
Public property | EditPrivileges | 编辑需要的权限
Public property | EditTemplatePath | 编辑页的模板路径
Public property | EditUrl | 编辑数据的Url 返回空值时表示不支持编辑数据
Public property | EntityType | 实体类型
Public property | EntityTypeName | 实体类型的名称
Public property | ListTableId | 列表页中使用的表格Id
Public property | ListTemplatePath | 列表页的模板路径
Public property | Name | 名称
Public property | RequiredUserType | 增删查改操作需要的用户类型
Public property | SearchUrl | 获取搜索结果的Url
Public property | Url | 基础链接
Public property | ViewPrivileges | 查看需要的权限
Top
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.AddTemplatePath Property

ICrudControllerAddTemplatePath Property

添加页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string AddTemplatePath { get; }
ReadOnly Property AddTemplatePath As String
    Get
property String^ AddTemplatePath {
    String^ get ();
}
abstract AddTemplatePath : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.AddUrl Property

ICrudControllerAddUrl Property

添加数据的Url

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string AddUrl { get; }
ReadOnly Property AddUrl As String
    Get
property String^ AddUrl {
    String^ get ();
}
abstract AddUrl : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.AllowDeleteForever Property

ICrudControllerAllowDeleteForever Property

是否允许永久删除

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool AllowDeleteForever { get; }
ReadOnly Property AllowDeleteForever As Boolean
    Get
property bool AllowDeleteForever {
    bool get ();
}
abstract AllowDeleteForever : bool with get

Property Value

Type: Boolean
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.AllowDeleteRecover Property

ICrudControllerAllowDeleteRecover Property

是否允许标记已删除或未删除

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool AllowDeleteRecover { get; }
ReadOnly Property AllowDeleteRecover As Boolean
    Get
property bool AllowDeleteRecover {
    bool get ();
}
abstract AllowDeleteRecover : bool with get

Property Value

Type: Boolean
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.BatchUrl Property

ICrudControllerBatchUrl Property

批量操作的Url 返回空值时表示不支持批量操作数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string BatchUrl { get; }
ReadOnly Property BatchUrl As String
    Get
property String^ BatchUrl {
    String^ get ();
}
abstract BatchUrl : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.DeleteForeverPrivileges Property

ICrudControllerDeleteForeverPrivileges Property

永久删除需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string[] DeleteForeverPrivileges { get; }
ReadOnly Property DeleteForeverPrivileges As String()
    Get
property array<String^>^ DeleteForeverPrivileges {
    array<String^>^ get ();
}
abstract DeleteForeverPrivileges : string[] with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.DeletePrivileges Property

ICrudControllerDeletePrivileges Property

删除需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string[] DeletePrivileges { get; }
ReadOnly Property DeletePrivileges As String()
    Get
property array<String^>^ DeletePrivileges {
    array<String^>^ get ();
}
abstract DeletePrivileges : string[] with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.EditPrivileges Property

ICrudControllerEditPrivileges Property

编辑需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string[] EditPrivileges { get; }
ReadOnly Property EditPrivileges As String()
    Get
property array<String^>^ EditPrivileges {
    array<String^>^ get ();
}
abstract EditPrivileges : string[] with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.EditTemplatePath Property

ICrudControllerEditTemplatePath Property

编辑页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string EditTemplatePath { get; }
ReadOnly Property EditTemplatePath As String
    Get
property String^ EditTemplatePath {
    String^ get ();
}
abstract EditTemplatePath : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.EditUrl Property

ICrudControllerEditUrl Property

编辑数据的Url 返回空值时表示不支持编辑数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string EditUrl { get; }
ReadOnly Property EditUrl As String
    Get
property String^ EditUrl {
    String^ get ();
}
abstract EditUrl : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.EntityType Property

ICrudControllerEntityType Property

实体类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Type EntityType { get; }
ReadOnly Property EntityType As Type
    Get
property Type^ EntityType {
    Type^ get ();
}
abstract EntityType : Type with get

Property Value

Type: Type
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.EntityTypeName Property

ICrudControllerEntityTypeName Property

实体类型的名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string EntityTypeName { get; }
ReadOnly Property EntityTypeName As String
    Get
property String^ EntityTypeName {
    String^ get ();
}
abstract EntityTypeName : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.ListTableId Property

ICrudControllerListTableId Property

列表页中使用的表格Id

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string ListTableId { get; }
ReadOnly Property ListTableId As String
    Get
property String^ ListTableId {
    String^ get ();
}
abstract ListTableId : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.ListTemplatePath Property

ICrudControllerListTemplatePath Property

列表页的模板路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string ListTemplatePath { get; }
ReadOnly Property ListTemplatePath As String
    Get
property String^ ListTemplatePath {
    String^ get ();
}
abstract ListTemplatePath : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.Name Property

ICrudControllerName Property

名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.RequiredUserType Property

ICrudControllerRequiredUserType Property

增删查改操作需要的用户类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Type RequiredUserType { get; }
ReadOnly Property RequiredUserType As Type
    Get
property Type^ RequiredUserType {
    Type^ get ();
}
abstract RequiredUserType : Type with get

Property Value

Type: Type
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.SearchUrl Property

ICrudControllerSearchUrl Property

获取搜索结果的Url

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string SearchUrl { get; }
ReadOnly Property SearchUrl As String
    Get
property String^ SearchUrl {
    String^ get ();
}
abstract SearchUrl : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.Url Property

ICrudControllerUrl Property

基础链接

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Url { get; }
ReadOnly Property Url As String
    Get
property String^ Url {
    String^ get ();
}
abstract Url : string with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController.ViewPrivileges Property

ICrudControllerViewPrivileges Property

查看需要的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string[] ViewPrivileges { get; }
ReadOnly Property ViewPrivileges As String()
    Get
property array<String^>^ ViewPrivileges {
    array<String^>^ get ();
}
abstract ViewPrivileges : string[] with get

Property Value

Type: String
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ICrudController Methods

The ICrudController type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ICrudController Interface
ZKWeb.Plugins.Common.Admin.src.Controllers.Interfaces Namespace


ZKWeb.Plugins.Common.Admin.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src.Domain.Entities |
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions |
ZKWeb.Plugins.Common.Admin.src.Domain.Filters |
ZKWeb.Plugins.Common.Admin.src.Domain.Repositories |
ZKWeb.Plugins.Common.Admin.src.Domain.Services |
ZKWeb.Plugins.Common.Admin.src.Domain.Structs |


ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin.src.Domain.Entities"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src.Domain.Entities |
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces |
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits |
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes |


ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Entities"]

Classes
 | Class | Description
Public class | User | 用户
Public class | UserRole | 用户角色


User Class
用户
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class User : IEntity<Guid>, IEntity,
    IHaveCreateTime, IHaveUpdateTime, IHaveDeleted, IEntityMappingProvider<User>,
    IEntityMappingProvider
Public Class User
    Implements IEntity(Of Guid), IEntity,
    IHaveCreateTime, IHaveUpdateTime, IHaveDeleted, IEntityMappingProvider(Of User),
    IEntityMappingProvider
public ref class User : IEntity<Guid>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IHaveDeleted, IEntityMappingProvider<User^>,
    IEntityMappingProvider
type User =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IHaveCreateTime
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntityMappingProvider<User>
        interface IEntityMappingProvider
    end

The User type exposes the following members.

Constructors
 | Name | Description
Public method | User | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 用户Id
Public property | Items | 附加数据
Public property | Password | 密码信息，json
Public property | Roles | 关联的用户角色
Public property | Type | 用户类型
Public property | UpdateTime | 更新时间
Public property | Username | 用户名
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示用户名 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | CheckPassword | 检查密码 (Defined by UserExtensions.)
Public Extension Method | GetUserType | 获取用户类型对象 (Defined by UserExtensions.)
Public Extension Method | SetPassword | 设置密码 (Defined by UserExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public User()
Public Sub New
public:
User()
new : unit -> User
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User Properties

The User type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 用户Id
Public property | Items | 附加数据
Public property | Password | 密码信息，json
Public property | Roles | 关联的用户角色
Public property | Type | 用户类型
Public property | UpdateTime | 更新时间
Public property | Username | 用户名
Top
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.CreateTime Property

UserCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Deleted Property

UserDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Id Property

UserId Property

用户Id

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Items Property

UserItems Property

附加数据

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual UserItems Items { get; set; }
Public Overridable Property Items As UserItems
    Get
    Set
public:
virtual property UserItems^ Items {
    UserItems^ get ();
    void set (UserItems^ value);
}
abstract Items : UserItems with get, set
override Items : UserItems with get, set

Property Value

Type: UserItems
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Password Property

UserPassword Property

密码信息，json

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PasswordInfo Password { get; set; }
Public Overridable Property Password As PasswordInfo
    Get
    Set
public:
virtual property PasswordInfo^ Password {
    PasswordInfo^ get ();
    void set (PasswordInfo^ value);
}
abstract Password : PasswordInfo with get, set
override Password : PasswordInfo with get, set

Property Value

Type: PasswordInfo
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Roles Property

UserRoles Property

关联的用户角色

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<UserRole> Roles { get; set; }
Public Overridable Property Roles As ISet(Of UserRole)
    Get
    Set
public:
virtual property ISet<UserRole^>^ Roles {
    ISet<UserRole^>^ get ();
    void set (ISet<UserRole^>^ value);
}
abstract Roles : ISet<UserRole> with get, set
override Roles : ISet<UserRole> with get, set

Property Value

Type: ISet UserRole
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Type Property

UserType Property

用户类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.UpdateTime Property

UserUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Username Property

UserUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Username { get; set; }
Public Overridable Property Username As String
    Get
    Set
public:
virtual property String^ Username {
    String^ get ();
    void set (String^ value);
}
abstract Username : string with get, set
override Username : string with get, set

Property Value

Type: String
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User Methods

The User type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示用户名 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | CheckPassword | 检查密码 (Defined by UserExtensions.)
Public Extension Method | GetUserType | 获取用户类型对象 (Defined by UserExtensions.)
Public Extension Method | SetPassword | 设置密码 (Defined by UserExtensions.)
Top
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.Configure Method

UserConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<User> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of User)
)
public:
virtual void Configure(
    IEntityMappingBuilder<User^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<User> -> unit
override Configure :
        builder : IEntityMappingBuilder<User> -> unit

Parameters

builder
Type: IEntityMappingBuilderUser

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


User.ToString Method

UserToString Method

显示用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User.ToString"]

See Also

Reference

User Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole Class
用户角色
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUserRole

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserRole : IEntity<Guid>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IHaveDeleted, IEntityMappingProvider<UserRole>,
    IEntityMappingProvider
Public Class UserRole
    Implements IEntity(Of Guid), IEntity,
    IHaveCreateTime, IHaveUpdateTime, IHaveDeleted, IEntityMappingProvider(Of UserRole),
    IEntityMappingProvider
public ref class UserRole : IEntity<Guid>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IHaveDeleted, IEntityMappingProvider<UserRole^>,
    IEntityMappingProvider
type UserRole =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IHaveCreateTime
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntityMappingProvider<UserRole>
        interface IEntityMappingProvider
    end

The UserRole type exposes the following members.

Constructors
 | Name | Description
Public method | UserRole | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 角色Id
Public property | Name | 角色名称
Public property | Privileges | 权限列表
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示角色名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserRole()
Public Sub New
public:
UserRole()
new : unit -> UserRole
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole Properties

The UserRole type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 角色Id
Public property | Name | 角色名称
Public property | Privileges | 权限列表
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.CreateTime Property

UserRoleCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.Deleted Property

UserRoleDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.Id Property

UserRoleId Property

角色Id

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.Name Property

UserRoleName Property

角色名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.Privileges Property

UserRolePrivileges Property

权限列表

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HashSet<string> Privileges { get; set; }
Public Overridable Property Privileges As HashSet(Of String)
    Get
    Set
public:
virtual property HashSet<String^>^ Privileges {
    HashSet<String^>^ get ();
    void set (HashSet<String^>^ value);
}
abstract Privileges : HashSet<string> with get, set
override Privileges : HashSet<string> with get, set

Property Value

Type: HashSet String
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.Remark Property

UserRoleRemark Property

备注

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.UpdateTime Property

UserRoleUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole Methods

The UserRole type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示角色名称 (Overrides ObjectToString.)
Top
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.Configure Method

UserRoleConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<UserRole> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of UserRole)
)
public:
virtual void Configure(
    IEntityMappingBuilder<UserRole^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<UserRole> -> unit
override Configure :
        builder : IEntityMappingBuilder<UserRole> -> unit

Parameters

builder
Type: IEntityMappingBuilderUserRole

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


UserRole.ToString Method

UserRoleToString Method

显示角色名称

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserRole.ToString"]

See Also

Reference

UserRole Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IAmAdmin | 标记用户类型是管理员
Public interface | IAmAnonymouseUser | 标记用户是匿名用户 这个应该用于表示用户未登录，不存在于数据库中
Public interface | IAmCooperationPartner | 标记用户类型是合作伙伴
Public interface | IAmSuperAdmin | 标记用户类型是超级管理员
Public interface | IAmUser | 标记用户类型是用户 除了匿名用户之外其他用户类型都应该继承这个接口
Public interface | ICanUseAdminPanel | 标记用户类型可以使用管理后台 默认管理员和合作伙伴可以使用管理后台
Public interface | IHaveOwner | 包含所属的用户
Public interface | IUserType | 用户类型的接口


IAmAdmin Interface
标记用户类型是管理员

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmAdmin : IAmUser,
    IUserType, ICanUseAdminPanel
Public Interface IAmAdmin
    Inherits IAmUser, IUserType, ICanUseAdminPanel
public interface class IAmAdmin : IAmUser,
    IUserType, ICanUseAdminPanel
type IAmAdmin =
    interface
        interface IAmUser
        interface IUserType
        interface ICanUseAdminPanel
    end
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IAmAnonymouseUser Interface
标记用户是匿名用户 这个应该用于表示用户未登录，不存在于数据库中

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmAnonymouseUser : IUserType
Public Interface IAmAnonymouseUser
    Inherits IUserType
public interface class IAmAnonymouseUser : IUserType
type IAmAnonymouseUser =
    interface
        interface IUserType
    end
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IAmCooperationPartner Interface
标记用户类型是合作伙伴

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmCooperationPartner : IAmUser,
    IUserType, ICanUseAdminPanel
Public Interface IAmCooperationPartner
    Inherits IAmUser, IUserType, ICanUseAdminPanel
public interface class IAmCooperationPartner : IAmUser,
    IUserType, ICanUseAdminPanel
type IAmCooperationPartner =
    interface
        interface IAmUser
        interface IUserType
        interface ICanUseAdminPanel
    end
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IAmSuperAdmin Interface
标记用户类型是超级管理员

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmSuperAdmin : IAmAdmin,
    IAmUser, IUserType, ICanUseAdminPanel
Public Interface IAmSuperAdmin
    Inherits IAmAdmin, IAmUser, IUserType, ICanUseAdminPanel
public interface class IAmSuperAdmin : IAmAdmin,
    IAmUser, IUserType, ICanUseAdminPanel
type IAmSuperAdmin =
    interface
        interface IAmAdmin
        interface IAmUser
        interface IUserType
        interface ICanUseAdminPanel
    end
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IAmUser Interface
标记用户类型是用户 除了匿名用户之外其他用户类型都应该继承这个接口

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmUser : IUserType
Public Interface IAmUser
    Inherits IUserType
public interface class IAmUser : IUserType
type IAmUser =
    interface
        interface IUserType
    end
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


ICanUseAdminPanel Interface
标记用户类型可以使用管理后台 默认管理员和合作伙伴可以使用管理后台

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ICanUseAdminPanel : IUserType
Public Interface ICanUseAdminPanel
    Inherits IUserType
public interface class ICanUseAdminPanel : IUserType
type ICanUseAdminPanel =
    interface
        interface IUserType
    end
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IHaveOwner Interface
包含所属的用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IHaveOwner : IEntity
Public Interface IHaveOwner
    Inherits IEntity
public interface class IHaveOwner : IEntity
type IHaveOwner =
    interface
        interface IEntity
    end

The IHaveOwner type exposes the following members.

Properties
 | Name | Description
Public property | Owner | 所属的用户
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IHaveOwner Properties

The IHaveOwner type exposes the following members.

Properties
 | Name | Description
Public property | Owner | 所属的用户
Top
See Also

Reference

IHaveOwner Interface
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IHaveOwner.Owner Property

IHaveOwnerOwner Property

所属的用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
User Owner { get; set; }
Property Owner As User
    Get
    Set
property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set

Property Value

Type: User
See Also

Reference

IHaveOwner Interface
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IUserType Interface
用户类型的接口

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IUserType
Public Interface IUserType
public interface class IUserType
type IUserType =  interface end

The IUserType type exposes the following members.

Properties
 | Name | Description
Public property | Type | 类型
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IUserType Properties

The IUserType type exposes the following members.

Properties
 | Name | Description
Public property | Type | 类型
Top
See Also

Reference

IUserType Interface
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


IUserType.Type Property

IUserTypeType Property

类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Type { get; }
ReadOnly Property Type As String
    Get
property String^ Type {
    String^ get ();
}
abstract Type : string with get

Property Value

Type: String
See Also

Reference

IUserType Interface
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.Interfaces Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits"]

Classes
 | Class | Description
Public class | OwnerTypeTraitTEntity | 判断类型是否有所属的用户


OwnerTypeTrait(TEntity) Class

OwnerTypeTraitTEntity Class
判断类型是否有所属的用户
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraitsOwnerTypeTraitTEntity

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OwnerTypeTrait<TEntity>

Public NotInheritable Class OwnerTypeTrait(Of TEntity)
generic<typename TEntity>
public ref class OwnerTypeTrait abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type OwnerTypeTrait<'TEntity> =  class end

Type Parameters

TEntity
实体类型

The OwnerTypeTraitTEntity type exposes the following members.

Fields
Name | Description
HaveOwner | 判断结果
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits Namespace


OwnerTypeTrait(TEntity) Fields

OwnerTypeTraitTEntity Fields

The OwnerTypeTraitTEntity generic type exposes the following members.

Fields
Name | Description
HaveOwner | 判断结果
Top
See Also

Reference

OwnerTypeTraitTEntity Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits Namespace


OwnerTypeTrait(TEntity).HaveOwner Field

OwnerTypeTraitTEntityHaveOwner Field
判断结果

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly bool HaveOwner
Public Shared ReadOnly HaveOwner As Boolean
public:
static initonly bool HaveOwner
static val HaveOwner: bool

Field Value

Type: Boolean
See Also

Reference

OwnerTypeTraitTEntity Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.TypeTraits Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes"]

Classes
 | Class | Description
Public class | AdminUserType | 用户类型: 管理员
Public class | AnonymouseUserType | 匿名用户
Public class | CooperationPartner | 用户类型: 合作伙伴
Public class | NormalUserType | 用户类型: 普通用户
Public class | SuperAdminUserType | 用户类型: 超级管理员


AdminUserType Class
用户类型: 管理员
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypesAdminUserType

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminUserType : IAmAdmin,
    IAmUser, IUserType, ICanUseAdminPanel
Public Class AdminUserType
    Implements IAmAdmin, IAmUser, IUserType, ICanUseAdminPanel
public ref class AdminUserType : IAmAdmin,
    IAmUser, IUserType, ICanUseAdminPanel
type AdminUserType =
    class
        interface IAmAdmin
        interface IAmUser
        interface IUserType
        interface ICanUseAdminPanel
    end

The AdminUserType type exposes the following members.

Constructors
 | Name | Description
Public method | AdminUserType | Initializes a new instance of the AdminUserType class
Top
Properties
 | Name | Description
Public property | Type |
Top
Fields
Name | Description
ConstType |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AdminUserType Constructor

Initializes a new instance of the AdminUserType class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminUserType()
Public Sub New
public:
AdminUserType()
new : unit -> AdminUserType
See Also

Reference

AdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AdminUserType Properties

The AdminUserType type exposes the following members.

Properties
 | Name | Description
Public property | Type |
Top
See Also

Reference

AdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AdminUserType.Type Property

AdminUserTypeType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.AdminUserType.Type"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IUserTypeType
See Also

Reference

AdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AdminUserType Fields

The AdminUserType type exposes the following members.

Fields
Name | Description
ConstType |
Top
See Also

Reference

AdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AdminUserType.ConstType Field

AdminUserTypeConstType Field

[Missing <summary> documentation for "F:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.AdminUserType.ConstType"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstType = "Admin"
Public Const ConstType As String = "Admin"
public:
literal String^ ConstType = "Admin"
static val mutable ConstType: string

Field Value

Type: String
See Also

Reference

AdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AnonymouseUserType Class
匿名用户
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypesAnonymouseUserType

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AnonymouseUserType : IAmAnonymouseUser,
    IUserType
Public Class AnonymouseUserType
    Implements IAmAnonymouseUser, IUserType
public ref class AnonymouseUserType : IAmAnonymouseUser,
    IUserType
type AnonymouseUserType =
    class
        interface IAmAnonymouseUser
        interface IUserType
    end

The AnonymouseUserType type exposes the following members.

Constructors
 | Name | Description
Public method | AnonymouseUserType | Initializes a new instance of the AnonymouseUserType class
Top
Properties
 | Name | Description
Public property | Type |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AnonymouseUserType Constructor

Initializes a new instance of the AnonymouseUserType class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AnonymouseUserType()
Public Sub New
public:
AnonymouseUserType()
new : unit -> AnonymouseUserType
See Also

Reference

AnonymouseUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AnonymouseUserType Properties

The AnonymouseUserType type exposes the following members.

Properties
 | Name | Description
Public property | Type |
Top
See Also

Reference

AnonymouseUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


AnonymouseUserType.Type Property

AnonymouseUserTypeType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.AnonymouseUserType.Type"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IUserTypeType
See Also

Reference

AnonymouseUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


CooperationPartner Class
用户类型: 合作伙伴
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypesCooperationPartner

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CooperationPartner : IAmCooperationPartner,
    IAmUser, IUserType, ICanUseAdminPanel
Public Class CooperationPartner
    Implements IAmCooperationPartner, IAmUser, IUserType, ICanUseAdminPanel
public ref class CooperationPartner : IAmCooperationPartner,
    IAmUser, IUserType, ICanUseAdminPanel
type CooperationPartner =
    class
        interface IAmCooperationPartner
        interface IAmUser
        interface IUserType
        interface ICanUseAdminPanel
    end

The CooperationPartner type exposes the following members.

Constructors
 | Name | Description
Public method | CooperationPartner | Initializes a new instance of the CooperationPartner class
Top
Properties
 | Name | Description
Public property | Type |
Top
Fields
Name | Description
ConstType |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


CooperationPartner Constructor

Initializes a new instance of the CooperationPartner class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CooperationPartner()
Public Sub New
public:
CooperationPartner()
new : unit -> CooperationPartner
See Also

Reference

CooperationPartner Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


CooperationPartner Properties

The CooperationPartner type exposes the following members.

Properties
 | Name | Description
Public property | Type |
Top
See Also

Reference

CooperationPartner Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


CooperationPartner.Type Property

CooperationPartnerType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.CooperationPartner.Type"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IUserTypeType
See Also

Reference

CooperationPartner Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


CooperationPartner Fields

The CooperationPartner type exposes the following members.

Fields
Name | Description
ConstType |
Top
See Also

Reference

CooperationPartner Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


CooperationPartner.ConstType Field

CooperationPartnerConstType Field

[Missing <summary> documentation for "F:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.CooperationPartner.ConstType"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstType = "CooperationPartner"
Public Const ConstType As String = "CooperationPartner"
public:
literal String^ ConstType = "CooperationPartner"
static val mutable ConstType: string

Field Value

Type: String
See Also

Reference

CooperationPartner Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


NormalUserType Class
用户类型: 普通用户
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypesNormalUserType

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class NormalUserType : IAmUser,
    IUserType
Public Class NormalUserType
    Implements IAmUser, IUserType
public ref class NormalUserType : IAmUser,
    IUserType
type NormalUserType =
    class
        interface IAmUser
        interface IUserType
    end

The NormalUserType type exposes the following members.

Constructors
 | Name | Description
Public method | NormalUserType | Initializes a new instance of the NormalUserType class
Top
Properties
 | Name | Description
Public property | Type |
Top
Fields
Name | Description
ConstType |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


NormalUserType Constructor

Initializes a new instance of the NormalUserType class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public NormalUserType()
Public Sub New
public:
NormalUserType()
new : unit -> NormalUserType
See Also

Reference

NormalUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


NormalUserType Properties

The NormalUserType type exposes the following members.

Properties
 | Name | Description
Public property | Type |
Top
See Also

Reference

NormalUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


NormalUserType.Type Property

NormalUserTypeType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.NormalUserType.Type"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IUserTypeType
See Also

Reference

NormalUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


NormalUserType Fields

The NormalUserType type exposes the following members.

Fields
Name | Description
ConstType |
Top
See Also

Reference

NormalUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


NormalUserType.ConstType Field

NormalUserTypeConstType Field

[Missing <summary> documentation for "F:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.NormalUserType.ConstType"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstType = "User"
Public Const ConstType As String = "User"
public:
literal String^ ConstType = "User"
static val mutable ConstType: string

Field Value

Type: String
See Also

Reference

NormalUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


SuperAdminUserType Class
用户类型: 超级管理员
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypesSuperAdminUserType

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SuperAdminUserType : IAmSuperAdmin,
    IAmAdmin, IAmUser, IUserType, ICanUseAdminPanel
Public Class SuperAdminUserType
    Implements IAmSuperAdmin, IAmAdmin, IAmUser, IUserType,
    ICanUseAdminPanel
public ref class SuperAdminUserType : IAmSuperAdmin,
    IAmAdmin, IAmUser, IUserType, ICanUseAdminPanel
type SuperAdminUserType =
    class
        interface IAmSuperAdmin
        interface IAmAdmin
        interface IAmUser
        interface IUserType
        interface ICanUseAdminPanel
    end

The SuperAdminUserType type exposes the following members.

Constructors
 | Name | Description
Public method | SuperAdminUserType | Initializes a new instance of the SuperAdminUserType class
Top
Properties
 | Name | Description
Public property | Type |
Top
Fields
Name | Description
ConstType |
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


SuperAdminUserType Constructor

Initializes a new instance of the SuperAdminUserType class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SuperAdminUserType()
Public Sub New
public:
SuperAdminUserType()
new : unit -> SuperAdminUserType
See Also

Reference

SuperAdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


SuperAdminUserType Properties

The SuperAdminUserType type exposes the following members.

Properties
 | Name | Description
Public property | Type |
Top
See Also

Reference

SuperAdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


SuperAdminUserType.Type Property

SuperAdminUserTypeType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.SuperAdminUserType.Type"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IUserTypeType
See Also

Reference

SuperAdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


SuperAdminUserType Fields

The SuperAdminUserType type exposes the following members.

Fields
Name | Description
ConstType |
Top
See Also

Reference

SuperAdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


SuperAdminUserType.ConstType Field

SuperAdminUserTypeConstType Field

[Missing <summary> documentation for "F:ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes.SuperAdminUserType.ConstType"]

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstType = "SuperAdmin"
Public Const ConstType As String = "SuperAdmin"
public:
literal String^ ConstType = "SuperAdmin"
static val mutable ConstType: string

Field Value

Type: String
See Also

Reference

SuperAdminUserType Class
ZKWeb.Plugins.Common.Admin.src.Domain.Entities.UserTypes Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions"]

Classes
 | Class | Description
Public class | SessionExtensions | 会话的扩展函数
Public class | UserExtensions | 用户的扩展函数


SessionExtensions Class
会话的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.ExtensionsSessionExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class SessionExtensions
<ExtensionAttribute>
Public NotInheritable Class SessionExtensions
[ExtensionAttribute]
public ref class SessionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type SessionExtensions =  class end

The SessionExtensions type exposes the following members.

Methods
Name | Description
GetUser | 获取会话对应的用户
Top
Fields
Name | Description
SessionUserKey | 当前会话对应的用户
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


SessionExtensions Methods

The SessionExtensions type exposes the following members.

Methods
Name | Description
GetUser | 获取会话对应的用户
Top
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


SessionExtensions.GetUser Method

SessionExtensionsGetUser Method

获取会话对应的用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static User GetUser(
    this Session session
)
<ExtensionAttribute>
Public Shared Function GetUser (
    session As Session
) As User
public:
[ExtensionAttribute]
static User^ GetUser(
    Session^ session
)
[<ExtensionAttribute>]
static member GetUser :
        session : Session -> User

Parameters

session
Type: ZKWeb.Plugins.Common.Base.src.Domain.EntitiesSession

[Missing <param name="session"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.SessionExtensions.GetUser(ZKWeb.Plugins.Common.Base.src.Domain.Entities.Session)"]

Return Value

Type: User

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.SessionExtensions.GetUser(ZKWeb.Plugins.Common.Base.src.Domain.Entities.Session)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Session. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


SessionExtensions Fields

The SessionExtensions type exposes the following members.

Fields
Name | Description
SessionUserKey | 当前会话对应的用户
Top
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


SessionExtensions.SessionUserKey Field

SessionExtensionsSessionUserKey Field
当前会话对应的用户

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionUserKey = "Common.Admin.SessionUser"
Public Const SessionUserKey As String = "Common.Admin.SessionUser"
public:
literal String^ SessionUserKey = "Common.Admin.SessionUser"
static val mutable SessionUserKey: string

Field Value

Type: String
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


UserExtensions Class
用户的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.ExtensionsUserExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class UserExtensions
<ExtensionAttribute>
Public NotInheritable Class UserExtensions
[ExtensionAttribute]
public ref class UserExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type UserExtensions =  class end

The UserExtensions type exposes the following members.

Methods
Name | Description
CheckPassword | 检查密码
GetUserType | 获取用户类型对象
SetPassword | 设置密码
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


UserExtensions Methods

The UserExtensions type exposes the following members.

Methods
Name | Description
CheckPassword | 检查密码
GetUserType | 获取用户类型对象
SetPassword | 设置密码
Top
See Also

Reference

UserExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


UserExtensions.CheckPassword Method

UserExtensionsCheckPassword Method

检查密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool CheckPassword(
    this User user,
    string password
)
<ExtensionAttribute>
Public Shared Function CheckPassword (
    user As User,
    password As String
) As Boolean
public:
[ExtensionAttribute]
static bool CheckPassword(
    User^ user,
    String^ password
)
[<ExtensionAttribute>]
static member CheckPassword :
        user : User *
        password : string -> bool

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="user"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.CheckPassword(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.String)"]

password
Type: SystemString

[Missing <param name="password"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.CheckPassword(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.CheckPassword(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type User. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

UserExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


UserExtensions.GetUserType Method

UserExtensionsGetUserType Method

获取用户类型对象

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IUserType GetUserType(
    this User user
)
<ExtensionAttribute>
Public Shared Function GetUserType (
    user As User
) As IUserType
public:
[ExtensionAttribute]
static IUserType^ GetUserType(
    User^ user
)
[<ExtensionAttribute>]
static member GetUserType :
        user : User -> IUserType

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="user"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.GetUserType(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Return Value

Type: IUserType

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.GetUserType(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type User. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

UserExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


UserExtensions.SetPassword Method

UserExtensionsSetPassword Method

设置密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetPassword(
    this User user,
    string password
)
<ExtensionAttribute>
Public Shared Sub SetPassword (
    user As User,
    password As String
)
public:
[ExtensionAttribute]
static void SetPassword(
    User^ user,
    String^ password
)
[<ExtensionAttribute>]
static member SetPassword :
        user : User *
        password : string -> unit

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="user"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.SetPassword(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.String)"]

password
Type: SystemString

[Missing <param name="password"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Extensions.UserExtensions.SetPassword(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type User. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

UserExtensions Class
ZKWeb.Plugins.Common.Admin.src.Domain.Extensions Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Filters"]

Classes
 | Class | Description
Public class | OwnerFilter | 根据数据所属用户过滤查询和操作 这个过滤器默认不启用，有需要请手动启用


OwnerFilter Class
根据数据所属用户过滤查询和操作 这个过滤器默认不启用，有需要请手动启用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.Domain.FiltersOwnerFilter

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OwnerFilter : IEntityQueryFilter,
    IEntityOperationFilter
Public Class OwnerFilter
    Implements IEntityQueryFilter, IEntityOperationFilter
public ref class OwnerFilter : IEntityQueryFilter,
    IEntityOperationFilter
type OwnerFilter =
    class
        interface IEntityQueryFilter
        interface IEntityOperationFilter
    end

The OwnerFilter type exposes the following members.

Constructors
 | Name | Description
Public method | OwnerFilter | 初始化 数据应当属于的用户Id默认等于当前登录用户Id
Public method | OwnerFilter(Guid) | 初始化
Top
Properties
 | Name | Description
Public property | ExceptedOwnerId | 数据应当属于的用户Id
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace


OwnerFilter Constructor

Overload List
 | Name | Description
Public method | OwnerFilter | 初始化 数据应当属于的用户Id默认等于当前登录用户Id
Public method | OwnerFilter(Guid) | 初始化
Top
See Also

Reference

OwnerFilter Class
ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace


OwnerFilter Constructor

初始化 数据应当属于的用户Id默认等于当前登录用户Id

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OwnerFilter()
Public Sub New
public:
OwnerFilter()
new : unit -> OwnerFilter
See Also

Reference

OwnerFilter Class
OwnerFilter Overload
ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace


OwnerFilter Constructor (Guid)
初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OwnerFilter(
    Guid exceptedOwnerId
)
Public Sub New (
    exceptedOwnerId As Guid
)
public:
OwnerFilter(
    Guid exceptedOwnerId
)
new :
        exceptedOwnerId : Guid -> OwnerFilter

Parameters

exceptedOwnerId
Type: SystemGuid
数据应当属于的用户Id
See Also

Reference

OwnerFilter Class
OwnerFilter Overload
ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace


OwnerFilter Properties

The OwnerFilter type exposes the following members.

Properties
 | Name | Description
Public property | ExceptedOwnerId | 数据应当属于的用户Id
Top
See Also

Reference

OwnerFilter Class
ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace


OwnerFilter.ExceptedOwnerId Property

OwnerFilterExceptedOwnerId Property

数据应当属于的用户Id

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid ExceptedOwnerId { get; set; }
Public Property ExceptedOwnerId As Guid
    Get
    Set
public:
property Guid ExceptedOwnerId {
    Guid get ();
    void set (Guid value);
}
member ExceptedOwnerId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

OwnerFilter Class
ZKWeb.Plugins.Common.Admin.src.Domain.Filters Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | UserRepository | 用户的仓储
Public class | UserRoleRepository | 用户角色的仓储


UserRepository Class
用户的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase User, Guid
ZKWeb.Plugins.Common.Admin.src.Domain.RepositoriesUserRepository

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserRepository : RepositoryBase<User, Guid>
Public Class UserRepository
    Inherits RepositoryBase(Of User, Guid)
public ref class UserRepository : public RepositoryBase<User^, Guid>
type UserRepository =
    class
        inherit RepositoryBase<User, Guid>
    end

The UserRepository type exposes the following members.

Constructors
 | Name | Description
Public method | UserRepository | Initializes a new instance of the UserRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Repositories Namespace


UserRepository Constructor

Initializes a new instance of the UserRepository class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserRepository()
Public Sub New
public:
UserRepository()
new : unit -> UserRepository
See Also

Reference

UserRepository Class
ZKWeb.Plugins.Common.Admin.src.Domain.Repositories Namespace


UserRoleRepository Class
用户角色的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase UserRole, Guid
ZKWeb.Plugins.Common.Admin.src.Domain.RepositoriesUserRoleRepository

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserRoleRepository : RepositoryBase<UserRole, Guid>
Public Class UserRoleRepository
    Inherits RepositoryBase(Of UserRole, Guid)
public ref class UserRoleRepository : public RepositoryBase<UserRole^, Guid>
type UserRoleRepository =
    class
        inherit RepositoryBase<UserRole, Guid>
    end

The UserRoleRepository type exposes the following members.

Constructors
 | Name | Description
Public method | UserRoleRepository | Initializes a new instance of the UserRoleRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Repositories Namespace


UserRoleRepository Constructor

Initializes a new instance of the UserRoleRepository class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserRoleRepository()
Public Sub New
public:
UserRoleRepository()
new : unit -> UserRoleRepository
See Also

Reference

UserRoleRepository Class
ZKWeb.Plugins.Common.Admin.src.Domain.Repositories Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Services"]

Classes
 | Class | Description
Public class | AdminManager | 管理员管理器
Public class | LogoManager | Logo管理器
Public class | PrivilegeManager | 权限管理器
Public class | UserManager | 用户管理器
Public class | UserRoleManager | 角色管理器


AdminManager Class
管理员管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesAdminManager

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminManager : DomainServiceBase
Public Class AdminManager
    Inherits DomainServiceBase
public ref class AdminManager : public DomainServiceBase
type AdminManager =
    class
        inherit DomainServiceBase
    end

The AdminManager type exposes the following members.

Constructors
 | Name | Description
Public method | AdminManager | Initializes a new instance of the AdminManager class
Top
Methods
 | Name | Description
Public method | GetLoginWarning | 获取登录管理员时的警告信息
Public method | GetUrlRedirectAfterLogin | 获取登录后应该跳转到的url
Public method | HaveNoAdmin | 判断系统是否没有管理员
Public method | Login | 登陆管理员 登陆失败时会抛出例外
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


AdminManager Constructor

Initializes a new instance of the AdminManager class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminManager()
Public Sub New
public:
AdminManager()
new : unit -> AdminManager
See Also

Reference

AdminManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


AdminManager Methods

The AdminManager type exposes the following members.

Methods
 | Name | Description
Public method | GetLoginWarning | 获取登录管理员时的警告信息
Public method | GetUrlRedirectAfterLogin | 获取登录后应该跳转到的url
Public method | HaveNoAdmin | 判断系统是否没有管理员
Public method | Login | 登陆管理员 登陆失败时会抛出例外
Top
See Also

Reference

AdminManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


AdminManager.GetLoginWarning Method

AdminManagerGetLoginWarning Method

获取登录管理员时的警告信息

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetLoginWarning()
Public Overridable Function GetLoginWarning As String
public:
virtual String^ GetLoginWarning()
abstract GetLoginWarning : unit -> string
override GetLoginWarning : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.AdminManager.GetLoginWarning"]

See Also

Reference

AdminManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


AdminManager.GetUrlRedirectAfterLogin Method

AdminManagerGetUrlRedirectAfterLogin Method

获取登录后应该跳转到的url

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetUrlRedirectAfterLogin()
Public Overridable Function GetUrlRedirectAfterLogin As String
public:
virtual String^ GetUrlRedirectAfterLogin()
abstract GetUrlRedirectAfterLogin : unit -> string
override GetUrlRedirectAfterLogin : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.AdminManager.GetUrlRedirectAfterLogin"]

See Also

Reference

AdminManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


AdminManager.HaveNoAdmin Method

AdminManagerHaveNoAdmin Method

判断系统是否没有管理员

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool HaveNoAdmin()
Public Overridable Function HaveNoAdmin As Boolean
public:
virtual bool HaveNoAdmin()
abstract HaveNoAdmin : unit -> bool
override HaveNoAdmin : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.AdminManager.HaveNoAdmin"]

See Also

Reference

AdminManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


AdminManager.Login Method

AdminManagerLogin Method

登陆管理员 登陆失败时会抛出例外

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Login(
    string username,
    string password,
    bool rememberLogin
)
Public Overridable Sub Login (
    username As String,
    password As String,
    rememberLogin As Boolean
)
public:
virtual void Login(
    String^ username,
    String^ password,
    bool rememberLogin
)
abstract Login :
        username : string *
        password : string *
        rememberLogin : bool -> unit
override Login :
        username : string *
        password : string *
        rememberLogin : bool -> unit

Parameters

username
Type: SystemString

[Missing <param name="username"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.AdminManager.Login(System.String,System.String,System.Boolean)"]

password
Type: SystemString

[Missing <param name="password"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.AdminManager.Login(System.String,System.String,System.Boolean)"]

rememberLogin
Type: SystemBoolean

[Missing <param name="rememberLogin"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.AdminManager.Login(System.String,System.String,System.Boolean)"]

See Also

Reference

AdminManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager Class
Logo管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesLogoManager

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogoManager : DomainServiceBase
Public Class LogoManager
    Inherits DomainServiceBase
public ref class LogoManager : public DomainServiceBase
type LogoManager =
    class
        inherit DomainServiceBase
    end

The LogoManager type exposes the following members.

Constructors
 | Name | Description
Public method | LogoManager | Initializes a new instance of the LogoManager class
Top
Methods
 | Name | Description
Public method | RestoreDefaultAdminPageLogo | 恢复默认的后台Logo
Public method | RestoreDefaultFavicon | 恢复默认的页面图标
Public method | RestoreDefaultFrontPageLogo | 恢复默认的前台Logo
Public method | SaveAdminPanelLogo | 保存后台Logo
Public method | SaveFavicon | 保存页面图标
Public method | SaveFrontPageLogo | 保存前台Logo
Top
Fields
Name | Description
AdminPanelLogoPath | 后台Logo的路径
FaviconPath | 页面图标
FrontPageLogoPath | 前台Logo的路径
LogoImageQuality | Logo图片质量
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager Constructor

Initializes a new instance of the LogoManager class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogoManager()
Public Sub New
public:
LogoManager()
new : unit -> LogoManager
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager Methods

The LogoManager type exposes the following members.

Methods
 | Name | Description
Public method | RestoreDefaultAdminPageLogo | 恢复默认的后台Logo
Public method | RestoreDefaultFavicon | 恢复默认的页面图标
Public method | RestoreDefaultFrontPageLogo | 恢复默认的前台Logo
Public method | SaveAdminPanelLogo | 保存后台Logo
Public method | SaveFavicon | 保存页面图标
Public method | SaveFrontPageLogo | 保存前台Logo
Top
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.RestoreDefaultAdminPageLogo Method

LogoManagerRestoreDefaultAdminPageLogo Method

恢复默认的后台Logo

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RestoreDefaultAdminPageLogo()
Public Overridable Sub RestoreDefaultAdminPageLogo
public:
virtual void RestoreDefaultAdminPageLogo()
abstract RestoreDefaultAdminPageLogo : unit -> unit
override RestoreDefaultAdminPageLogo : unit -> unit
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.RestoreDefaultFavicon Method

LogoManagerRestoreDefaultFavicon Method

恢复默认的页面图标

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RestoreDefaultFavicon()
Public Overridable Sub RestoreDefaultFavicon
public:
virtual void RestoreDefaultFavicon()
abstract RestoreDefaultFavicon : unit -> unit
override RestoreDefaultFavicon : unit -> unit
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.RestoreDefaultFrontPageLogo Method

LogoManagerRestoreDefaultFrontPageLogo Method

恢复默认的前台Logo

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RestoreDefaultFrontPageLogo()
Public Overridable Sub RestoreDefaultFrontPageLogo
public:
virtual void RestoreDefaultFrontPageLogo()
abstract RestoreDefaultFrontPageLogo : unit -> unit
override RestoreDefaultFrontPageLogo : unit -> unit
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.SaveAdminPanelLogo Method

LogoManagerSaveAdminPanelLogo Method

保存后台Logo

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveAdminPanelLogo(
    Stream stream
)
Public Overridable Sub SaveAdminPanelLogo (
    stream As Stream
)
public:
virtual void SaveAdminPanelLogo(
    Stream^ stream
)
abstract SaveAdminPanelLogo :
        stream : Stream -> unit
override SaveAdminPanelLogo :
        stream : Stream -> unit

Parameters

stream
Type: System.IOStream
图片的数据流
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.SaveFavicon Method

LogoManagerSaveFavicon Method

保存页面图标

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveFavicon(
    Stream stream
)
Public Overridable Sub SaveFavicon (
    stream As Stream
)
public:
virtual void SaveFavicon(
    Stream^ stream
)
abstract SaveFavicon :
        stream : Stream -> unit
override SaveFavicon :
        stream : Stream -> unit

Parameters

stream
Type: System.IOStream
图片的数据流
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.SaveFrontPageLogo Method

LogoManagerSaveFrontPageLogo Method

保存前台Logo

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveFrontPageLogo(
    Stream stream
)
Public Overridable Sub SaveFrontPageLogo (
    stream As Stream
)
public:
virtual void SaveFrontPageLogo(
    Stream^ stream
)
abstract SaveFrontPageLogo :
        stream : Stream -> unit
override SaveFrontPageLogo :
        stream : Stream -> unit

Parameters

stream
Type: System.IOStream
图片的数据流
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager Fields

The LogoManager type exposes the following members.

Fields
Name | Description
AdminPanelLogoPath | 后台Logo的路径
FaviconPath | 页面图标
FrontPageLogoPath | 前台Logo的路径
LogoImageQuality | Logo图片质量
Top
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.AdminPanelLogoPath Field

LogoManagerAdminPanelLogoPath Field
后台Logo的路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly string[] AdminPanelLogoPath
Public Shared ReadOnly AdminPanelLogoPath As String()
public:
static initonly array<String^>^ AdminPanelLogoPath
static val AdminPanelLogoPath: string[]

Field Value

Type: String
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.FaviconPath Field

LogoManagerFaviconPath Field
页面图标

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly string[] FaviconPath
Public Shared ReadOnly FaviconPath As String()
public:
static initonly array<String^>^ FaviconPath
static val FaviconPath: string[]

Field Value

Type: String
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.FrontPageLogoPath Field

LogoManagerFrontPageLogoPath Field
前台Logo的路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly string[] FrontPageLogoPath
Public Shared ReadOnly FrontPageLogoPath As String()
public:
static initonly array<String^>^ FrontPageLogoPath
static val FrontPageLogoPath: string[]

Field Value

Type: String
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


LogoManager.LogoImageQuality Field

LogoManagerLogoImageQuality Field
Logo图片质量

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int LogoImageQuality = 100
Public Const LogoImageQuality As Integer = 100
public:
literal int LogoImageQuality = 100
static val mutable LogoImageQuality: int

Field Value

Type: Int32
See Also

Reference

LogoManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager Class
权限管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesPrivilegeManager

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PrivilegeManager : DomainServiceBase
Public Class PrivilegeManager
    Inherits DomainServiceBase
public ref class PrivilegeManager : public DomainServiceBase
type PrivilegeManager =
    class
        inherit DomainServiceBase
    end

The PrivilegeManager type exposes the following members.

Constructors
 | Name | Description
Public method | PrivilegeManager | Initializes a new instance of the PrivilegeManager class
Top
Methods
 | Name | Description
Public method | Check | 检查当前的用户类型是否继承了指定的类型，且是否拥有指定的权限 如果用户类型不匹配且当前请求是get则跳转到登陆页面，否则抛出403错误
Public method | GetPrivileges | 获取网站中注册的所有权限，并且去除重复项
Public method | HasPrivileges | 判断用户是否拥有指定的权限
Public method | HasUserType | 判断用户是否拥有指定的用户类型
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager Constructor

Initializes a new instance of the PrivilegeManager class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PrivilegeManager()
Public Sub New
public:
PrivilegeManager()
new : unit -> PrivilegeManager
See Also

Reference

PrivilegeManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager Methods

The PrivilegeManager type exposes the following members.

Methods
 | Name | Description
Public method | Check | 检查当前的用户类型是否继承了指定的类型，且是否拥有指定的权限 如果用户类型不匹配且当前请求是get则跳转到登陆页面，否则抛出403错误
Public method | GetPrivileges | 获取网站中注册的所有权限，并且去除重复项
Public method | HasPrivileges | 判断用户是否拥有指定的权限
Public method | HasUserType | 判断用户是否拥有指定的用户类型
Top
See Also

Reference

PrivilegeManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager.Check Method

PrivilegeManagerCheck Method

检查当前的用户类型是否继承了指定的类型，且是否拥有指定的权限 如果用户类型不匹配且当前请求是get则跳转到登陆页面，否则抛出403错误

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Check(
    Type userType,
    params string[] privileges
)
Public Overridable Sub Check (
    userType As Type,
    ParamArray privileges As String()
)
public:
virtual void Check(
    Type^ userType,
    ... array<String^>^ privileges
)
abstract Check :
        userType : Type *
        privileges : string[] -> unit
override Check :
        userType : Type *
        privileges : string[] -> unit

Parameters

userType
Type: SystemType
用户类型，例如typeof(IAmAdmin)
privileges
Type: SystemString
要求的权限列表
See Also

Reference

PrivilegeManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager.GetPrivileges Method

PrivilegeManagerGetPrivileges Method

获取网站中注册的所有权限，并且去除重复项

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<string> GetPrivileges()
Public Overridable Function GetPrivileges As List(Of String)
public:
virtual List<String^>^ GetPrivileges()
abstract GetPrivileges : unit -> List<string>
override GetPrivileges : unit -> List<string>

Return Value

Type: List String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.PrivilegeManager.GetPrivileges"]

See Also

Reference

PrivilegeManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager.HasPrivileges Method

PrivilegeManagerHasPrivileges Method

判断用户是否拥有指定的权限

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool HasPrivileges(
    User user,
    params string[] privileges
)
Public Overridable Function HasPrivileges (
    user As User,
    ParamArray privileges As String()
) As Boolean
public:
virtual bool HasPrivileges(
    User^ user,
    ... array<String^>^ privileges
)
abstract HasPrivileges :
        user : User *
        privileges : string[] -> bool
override HasPrivileges :
        user : User *
        privileges : string[] -> bool

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser
用户
privileges
Type: SystemString
权限列表

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.PrivilegeManager.HasPrivileges(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.String[])"]

See Also

Reference

PrivilegeManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


PrivilegeManager.HasUserType Method

PrivilegeManagerHasUserType Method

判断用户是否拥有指定的用户类型

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool HasUserType(
    User user,
    Type userType
)
Public Overridable Function HasUserType (
    user As User,
    userType As Type
) As Boolean
public:
virtual bool HasUserType(
    User^ user,
    Type^ userType
)
abstract HasUserType :
        user : User *
        userType : Type -> bool
override HasUserType :
        user : User *
        userType : Type -> bool

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser
用户
userType
Type: SystemType
用户类型的接口或基础类

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.PrivilegeManager.HasUserType(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.Type)"]

See Also

Reference

PrivilegeManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager Class
用户管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase User, Guid
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesUserManager

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserManager : DomainServiceBase<User, Guid>
Public Class UserManager
    Inherits DomainServiceBase(Of User, Guid)
public ref class UserManager : public DomainServiceBase<User^, Guid>
type UserManager =
    class
        inherit DomainServiceBase<User, Guid>
    end

The UserManager type exposes the following members.

Constructors
 | Name | Description
Public method | UserManager | 初始化
Top
Properties
 | Name | Description
Public property | AvatarHeight | 头像高度 默认150，可通过网站配置指定
Public property | AvatarImageQuality | 头像图片质量，默认90
Public property | AvatarWidth | 头像宽度 默认150，可通过网站配置指定
Public property | SessionExpireDaysWithoutRememberLogin | 不记住登陆时，保留会话的天数 默认1天，可通过网站配置指定
Public property | SessionExpireDaysWithRememebrLogin | 记住登陆时，保留会话的天数 默认30天，可通过网站配置指定
Top
Methods
 | Name | Description
Public method | ChangePassword | 修改密码
Public method | DeleteAvatar | 删除头像
Public method | FindUser | 根据用户名查找用户 找不到时返回null
Public method | GetAvatarStorageFile | 获取用户头像的储存路径，文件不一定存在
Public method | GetAvatarWebPath | 获取用户头像的网页图片路径，不存在时返回默认图片路径
Public method | GetUrlRedirectAfterLogin | 获取登录后应该跳转到的url
Public method | Login | 登陆用户 登陆失败时会抛出例外
Public method | LoginWithUser | 以指定用户登录 跳过密码等检查
Public method | Logout | 退出登录
Public method | Reg | 注册用户 注册失败时会抛出例外
Public method | SaveAvatar | 保存头像，返回是否成功和错误信息
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserManager()
Public Sub New
public:
UserManager()
new : unit -> UserManager
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager Properties

The UserManager type exposes the following members.

Properties
 | Name | Description
Public property | AvatarHeight | 头像高度 默认150，可通过网站配置指定
Public property | AvatarImageQuality | 头像图片质量，默认90
Public property | AvatarWidth | 头像宽度 默认150，可通过网站配置指定
Public property | SessionExpireDaysWithoutRememberLogin | 不记住登陆时，保留会话的天数 默认1天，可通过网站配置指定
Public property | SessionExpireDaysWithRememebrLogin | 记住登陆时，保留会话的天数 默认30天，可通过网站配置指定
Top
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.AvatarHeight Property

UserManagerAvatarHeight Property

头像高度 默认150，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AvatarHeight { get; set; }
Public Property AvatarHeight As Integer
    Get
    Set
public:
property int AvatarHeight {
    int get ();
    void set (int value);
}
member AvatarHeight : int with get, set

Property Value

Type: Int32
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.AvatarImageQuality Property

UserManagerAvatarImageQuality Property

头像图片质量，默认90

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AvatarImageQuality { get; set; }
Public Property AvatarImageQuality As Integer
    Get
    Set
public:
property int AvatarImageQuality {
    int get ();
    void set (int value);
}
member AvatarImageQuality : int with get, set

Property Value

Type: Int32
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.AvatarWidth Property

UserManagerAvatarWidth Property

头像宽度 默认150，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AvatarWidth { get; set; }
Public Property AvatarWidth As Integer
    Get
    Set
public:
property int AvatarWidth {
    int get ();
    void set (int value);
}
member AvatarWidth : int with get, set

Property Value

Type: Int32
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.SessionExpireDaysWithoutRememberLogin Property

UserManagerSessionExpireDaysWithoutRememberLogin Property

不记住登陆时，保留会话的天数 默认1天，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan SessionExpireDaysWithoutRememberLogin { get; set; }
Public Property SessionExpireDaysWithoutRememberLogin As TimeSpan
    Get
    Set
public:
property TimeSpan SessionExpireDaysWithoutRememberLogin {
    TimeSpan get ();
    void set (TimeSpan value);
}
member SessionExpireDaysWithoutRememberLogin : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.SessionExpireDaysWithRememebrLogin Property

UserManagerSessionExpireDaysWithRememebrLogin Property

记住登陆时，保留会话的天数 默认30天，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan SessionExpireDaysWithRememebrLogin { get; set; }
Public Property SessionExpireDaysWithRememebrLogin As TimeSpan
    Get
    Set
public:
property TimeSpan SessionExpireDaysWithRememebrLogin {
    TimeSpan get ();
    void set (TimeSpan value);
}
member SessionExpireDaysWithRememebrLogin : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager Methods

The UserManager type exposes the following members.

Methods
 | Name | Description
Public method | ChangePassword | 修改密码
Public method | DeleteAvatar | 删除头像
Public method | FindUser | 根据用户名查找用户 找不到时返回null
Public method | GetAvatarStorageFile | 获取用户头像的储存路径，文件不一定存在
Public method | GetAvatarWebPath | 获取用户头像的网页图片路径，不存在时返回默认图片路径
Public method | GetUrlRedirectAfterLogin | 获取登录后应该跳转到的url
Public method | Login | 登陆用户 登陆失败时会抛出例外
Public method | LoginWithUser | 以指定用户登录 跳过密码等检查
Public method | Logout | 退出登录
Public method | Reg | 注册用户 注册失败时会抛出例外
Public method | SaveAvatar | 保存头像，返回是否成功和错误信息
Top
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.ChangePassword Method

UserManagerChangePassword Method

修改密码

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ChangePassword(
    Guid userId,
    string oldPassword,
    string newPassword
)
Public Sub ChangePassword (
    userId As Guid,
    oldPassword As String,
    newPassword As String
)
public:
void ChangePassword(
    Guid userId,
    String^ oldPassword,
    String^ newPassword
)
member ChangePassword :
        userId : Guid *
        oldPassword : string *
        newPassword : string -> unit

Parameters

userId
Type: SystemGuid
用户Id
oldPassword
Type: SystemString
原密码
newPassword
Type: SystemString
新密码
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.DeleteAvatar Method

UserManagerDeleteAvatar Method

删除头像

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeleteAvatar(
    Guid userId
)
Public Sub DeleteAvatar (
    userId As Guid
)
public:
void DeleteAvatar(
    Guid userId
)
member DeleteAvatar :
        userId : Guid -> unit

Parameters

userId
Type: SystemGuid
用户Id
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.FindUser Method

UserManagerFindUser Method

根据用户名查找用户 找不到时返回null

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User FindUser(
    string username
)
Public Overridable Function FindUser (
    username As String
) As User
public:
virtual User^ FindUser(
    String^ username
)
abstract FindUser :
        username : string -> User
override FindUser :
        username : string -> User

Parameters

username
Type: SystemString

[Missing <param name="username"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.FindUser(System.String)"]

Return Value

Type: User

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.FindUser(System.String)"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.GetAvatarStorageFile Method

UserManagerGetAvatarStorageFile Method

获取用户头像的储存路径，文件不一定存在

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IFileEntry GetAvatarStorageFile(
    Guid userId
)
Public Overridable Function GetAvatarStorageFile (
    userId As Guid
) As IFileEntry
public:
virtual IFileEntry^ GetAvatarStorageFile(
    Guid userId
)
abstract GetAvatarStorageFile :
        userId : Guid -> IFileEntry
override GetAvatarStorageFile :
        userId : Guid -> IFileEntry

Parameters

userId
Type: SystemGuid
用户Id

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.GetAvatarStorageFile(System.Guid)"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.GetAvatarWebPath Method

UserManagerGetAvatarWebPath Method

获取用户头像的网页图片路径，不存在时返回默认图片路径

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetAvatarWebPath(
    Guid userId
)
Public Overridable Function GetAvatarWebPath (
    userId As Guid
) As String
public:
virtual String^ GetAvatarWebPath(
    Guid userId
)
abstract GetAvatarWebPath :
        userId : Guid -> string
override GetAvatarWebPath :
        userId : Guid -> string

Parameters

userId
Type: SystemGuid
用户Id

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.GetAvatarWebPath(System.Guid)"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.GetUrlRedirectAfterLogin Method

UserManagerGetUrlRedirectAfterLogin Method

获取登录后应该跳转到的url

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetUrlRedirectAfterLogin()
Public Overridable Function GetUrlRedirectAfterLogin As String
public:
virtual String^ GetUrlRedirectAfterLogin()
abstract GetUrlRedirectAfterLogin : unit -> string
override GetUrlRedirectAfterLogin : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.GetUrlRedirectAfterLogin"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.Login Method

UserManagerLogin Method

登陆用户 登陆失败时会抛出例外

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Login(
    string username,
    string password,
    bool rememberLogin
)
Public Overridable Sub Login (
    username As String,
    password As String,
    rememberLogin As Boolean
)
public:
virtual void Login(
    String^ username,
    String^ password,
    bool rememberLogin
)
abstract Login :
        username : string *
        password : string *
        rememberLogin : bool -> unit
override Login :
        username : string *
        password : string *
        rememberLogin : bool -> unit

Parameters

username
Type: SystemString

[Missing <param name="username"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.Login(System.String,System.String,System.Boolean)"]

password
Type: SystemString

[Missing <param name="password"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.Login(System.String,System.String,System.Boolean)"]

rememberLogin
Type: SystemBoolean

[Missing <param name="rememberLogin"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.Login(System.String,System.String,System.Boolean)"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.LoginWithUser Method

UserManagerLoginWithUser Method

以指定用户登录 跳过密码等检查

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void LoginWithUser(
    User user,
    bool rememberLogin
)
Public Overridable Sub LoginWithUser (
    user As User,
    rememberLogin As Boolean
)
public:
virtual void LoginWithUser(
    User^ user,
    bool rememberLogin
)
abstract LoginWithUser :
        user : User *
        rememberLogin : bool -> unit
override LoginWithUser :
        user : User *
        rememberLogin : bool -> unit

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="user"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.LoginWithUser(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.Boolean)"]

rememberLogin
Type: SystemBoolean

[Missing <param name="rememberLogin"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.LoginWithUser(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User,System.Boolean)"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.Logout Method

UserManagerLogout Method

退出登录

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Logout()
Public Overridable Sub Logout
public:
virtual void Logout()
abstract Logout : unit -> unit
override Logout : unit -> unit
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.Reg Method

UserManagerReg Method

注册用户 注册失败时会抛出例外

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Reg(
    string username,
    string password,
    Action<User> update = null
)
Public Overridable Sub Reg (
    username As String,
    password As String,
    Optional update As Action(Of User) = Nothing
)
public:
virtual void Reg(
    String^ username,
    String^ password,
    Action<User^>^ update = nullptr
)
abstract Reg :
        username : string *
        password : string *
        ?update : Action<User>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit
override Reg :
        username : string *
        password : string *
        ?update : Action<User>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit

Parameters

username
Type: SystemString

[Missing <param name="username"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.Reg(System.String,System.String,System.Action{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User})"]

password
Type: SystemString

[Missing <param name="password"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.Reg(System.String,System.String,System.Action{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User})"]

update (Optional)
Type: SystemAction User

[Missing <param name="update"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.Domain.Services.UserManager.Reg(System.String,System.String,System.Action{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User})"]

See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserManager.SaveAvatar Method

UserManagerSaveAvatar Method

保存头像，返回是否成功和错误信息

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveAvatar(
    Guid userId,
    Stream imageStream
)
Public Overridable Sub SaveAvatar (
    userId As Guid,
    imageStream As Stream
)
public:
virtual void SaveAvatar(
    Guid userId,
    Stream^ imageStream
)
abstract SaveAvatar :
        userId : Guid *
        imageStream : Stream -> unit
override SaveAvatar :
        userId : Guid *
        imageStream : Stream -> unit

Parameters

userId
Type: SystemGuid
用户Id
imageStream
Type: System.IOStream
图片数据流
See Also

Reference

UserManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserRoleManager Class
角色管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase UserRole, Guid
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesUserRoleManager

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserRoleManager : DomainServiceBase<UserRole, Guid>
Public Class UserRoleManager
    Inherits DomainServiceBase(Of UserRole, Guid)
public ref class UserRoleManager : public DomainServiceBase<UserRole^, Guid>
type UserRoleManager =
    class
        inherit DomainServiceBase<UserRole, Guid>
    end

The UserRoleManager type exposes the following members.

Constructors
 | Name | Description
Public method | UserRoleManager | Initializes a new instance of the UserRoleManager class
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


UserRoleManager Constructor

Initializes a new instance of the UserRoleManager class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserRoleManager()
Public Sub New
public:
UserRoleManager()
new : unit -> UserRoleManager
See Also

Reference

UserRoleManager Class
ZKWeb.Plugins.Common.Admin.src.Domain.Services Namespace


ZKWeb.Plugins.Common.Admin.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.Domain.Structs"]

Classes
 | Class | Description
Public class | UserItems | 用户的附加数据


UserItems Class
用户的附加数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Common.Admin.src.Domain.StructsUserItems

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserItems : Dictionary<string, Object>
Public Class UserItems
    Inherits Dictionary(Of String, Object)
public ref class UserItems : public Dictionary<String^, Object^>
type UserItems =
    class
        inherit Dictionary<string, Object>
    end

The UserItems type exposes the following members.

Constructors
 | Name | Description
Public method | UserItems | Initializes a new instance of the UserItems class
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.Domain.Structs Namespace


UserItems Constructor

Initializes a new instance of the UserItems class

Namespace: ZKWeb.Plugins.Common.Admin.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserItems()
Public Sub New
public:
UserItems()
new : unit -> UserItems
See Also

Reference

UserItems Class
ZKWeb.Plugins.Common.Admin.src.Domain.Structs Namespace


ZKWeb.Plugins.Common.Admin.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Admin.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions |
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms |
ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions |
ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders |
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions |


ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions"]

Classes
 | Class | Description
Public class | AjaxTableActionColumnExtensions | Ajax表格操作列的扩展函数
Public class | AjaxTableBuilderExtensions | Ajax表格构建器的扩展函数
Public class | AjaxTableColumnsExtensions | Ajax表格列的扩展函数
Public class | AjaxTableIdColumnExtensions | Ajax表格Id列的扩展函数
Public class | AjaxTableSearchBarBuilderExtensions | Ajax表格搜索栏构建器的扩展函数


AjaxTableActionColumnExtensions Class
Ajax表格操作列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumnExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableActionColumnExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableActionColumnExtensions
[ExtensionAttribute]
public ref class AjaxTableActionColumnExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableActionColumnExtensions =  class end

The AjaxTableActionColumnExtensions type exposes the following members.

Methods
Name | Description
AddDeleteAction | 添加删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到删除url
AddDeleteActionForTCrudController | 添加删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
AddDeleteForeverAction | 添加永久删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到永久删除url
AddDeleteForeverActionForTCrudController | 添加永久删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
AddEditAction | 添加查看按钮 点击后弹出编辑数据的模态框
AddEditActionForTCrudController | 添加查看按钮 点击后弹出编辑数据的模态框 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
AddRecoverAction | 添加恢复按钮 点击后弹出确认框，确认后把json=[数据Id]提交到恢复url
AddRecoverActionForTCrudController | 添加恢复按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格操作列进行标准的设置 添加以下按钮 - 查看（如果编辑Url不是空，且数据未删除） - 删除（如果批量Url不是空，且数据未删除） - 恢复（如果批量Url不是空，且数据已删除） - 永久删除（如果批量Url不是空，且数据已删除）
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions Methods

The AjaxTableActionColumnExtensions type exposes the following members.

Methods
Name | Description
AddDeleteAction | 添加删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到删除url
AddDeleteActionForTCrudController | 添加删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
AddDeleteForeverAction | 添加永久删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到永久删除url
AddDeleteForeverActionForTCrudController | 添加永久删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
AddEditAction | 添加查看按钮 点击后弹出编辑数据的模态框
AddEditActionForTCrudController | 添加查看按钮 点击后弹出编辑数据的模态框 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
AddRecoverAction | 添加恢复按钮 点击后弹出确认框，确认后把json=[数据Id]提交到恢复url
AddRecoverActionForTCrudController | 添加恢复按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值
StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格操作列进行标准的设置 添加以下按钮 - 查看（如果编辑Url不是空，且数据未删除） - 删除（如果批量Url不是空，且数据未删除） - 恢复（如果批量Url不是空，且数据已删除） - 永久删除（如果批量Url不是空，且数据已删除）
Top
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddDeleteAction Method

AjaxTableActionColumnExtensionsAddDeleteAction Method

添加删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到删除url

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDeleteAction(
    this AjaxTableActionColumn column,
    string typeName,
    string deleteUrl,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    string primaryKey = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddDeleteAction (
    column As AjaxTableActionColumn,
    typeName As String,
    deleteUrl As String,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional primaryKey As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddDeleteAction(
    AjaxTableActionColumn^ column,
    String^ typeName,
    String^ deleteUrl,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    String^ primaryKey = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddDeleteAction :
        column : AjaxTableActionColumn *
        typeName : string *
        deleteUrl : string *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?primaryKey : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _primaryKey = defaultArg primaryKey null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
typeName
Type: SystemString
类型名称
deleteUrl
Type: SystemString
删除使用的Url
name (Optional)
Type: SystemString
名称，不指定时使用默认值
buttonClass (Optional)
Type: SystemString
按钮的Css类，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
titleTemplate (Optional)
Type: SystemString
标题的模板，格式是underscore.js的格式，参数传入rows
urlTemplate (Optional)
Type: SystemString
编辑Url的模板，格式是underscore.js的格式，参数传入rows
primaryKey (Optional)
Type: SystemString
数据Id保存的名称，不指定时使用默认值
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddDeleteActionFor(TCrudController) Method

AjaxTableActionColumnExtensionsAddDeleteActionForTCrudController Method

添加删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDeleteActionFor<TCrudController>(
    this AjaxTableActionColumn column,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    string primaryKey = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddDeleteActionFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableActionColumn,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional primaryKey As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddDeleteActionFor(
    AjaxTableActionColumn^ column,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    String^ primaryKey = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddDeleteActionFor :
        column : AjaxTableActionColumn *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?primaryKey : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _primaryKey = defaultArg primaryKey null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn

[Missing <param name="column"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

buttonClass (Optional)
Type: SystemString

[Missing <param name="buttonClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

titleTemplate (Optional)
Type: SystemString

[Missing <param name="titleTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

urlTemplate (Optional)
Type: SystemString

[Missing <param name="urlTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

primaryKey (Optional)
Type: SystemString

[Missing <param name="primaryKey"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddDeleteForeverAction Method

AjaxTableActionColumnExtensionsAddDeleteForeverAction Method

添加永久删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到永久删除url

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDeleteForeverAction(
    this AjaxTableActionColumn column,
    string typeName,
    string deleteForeverUrl,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    string primaryKey = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddDeleteForeverAction (
    column As AjaxTableActionColumn,
    typeName As String,
    deleteForeverUrl As String,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional primaryKey As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddDeleteForeverAction(
    AjaxTableActionColumn^ column,
    String^ typeName,
    String^ deleteForeverUrl,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    String^ primaryKey = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddDeleteForeverAction :
        column : AjaxTableActionColumn *
        typeName : string *
        deleteForeverUrl : string *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?primaryKey : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _primaryKey = defaultArg primaryKey null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
typeName
Type: SystemString
类型名称
deleteForeverUrl
Type: SystemString
永久删除使用的Url
name (Optional)
Type: SystemString
名称，不指定时使用默认值
buttonClass (Optional)
Type: SystemString
按钮的Css类，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
titleTemplate (Optional)
Type: SystemString
标题的模板，格式是underscore.js的格式，参数传入rows
urlTemplate (Optional)
Type: SystemString
编辑Url的模板，格式是underscore.js的格式，参数传入rows
primaryKey (Optional)
Type: SystemString
数据Id保存的名称，不指定时使用默认值
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddDeleteForeverActionFor(TCrudController) Method

AjaxTableActionColumnExtensionsAddDeleteForeverActionForTCrudController Method

添加永久删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDeleteForeverActionFor<TCrudController>(
    this AjaxTableActionColumn column,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    string primaryKey = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddDeleteForeverActionFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableActionColumn,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional primaryKey As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddDeleteForeverActionFor(
    AjaxTableActionColumn^ column,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    String^ primaryKey = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddDeleteForeverActionFor :
        column : AjaxTableActionColumn *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?primaryKey : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _primaryKey = defaultArg primaryKey null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn

[Missing <param name="column"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

buttonClass (Optional)
Type: SystemString

[Missing <param name="buttonClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

titleTemplate (Optional)
Type: SystemString

[Missing <param name="titleTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

urlTemplate (Optional)
Type: SystemString

[Missing <param name="urlTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

primaryKey (Optional)
Type: SystemString

[Missing <param name="primaryKey"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddDeleteForeverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddEditAction Method

AjaxTableActionColumnExtensionsAddEditAction Method

添加查看按钮 点击后弹出编辑数据的模态框

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddEditAction(
    this AjaxTableActionColumn column,
    string typeName,
    string editUrl,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddEditAction (
    column As AjaxTableActionColumn,
    typeName As String,
    editUrl As String,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddEditAction(
    AjaxTableActionColumn^ column,
    String^ typeName,
    String^ editUrl,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddEditAction :
        column : AjaxTableActionColumn *
        typeName : string *
        editUrl : string *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
typeName
Type: SystemString
类型名称
editUrl
Type: SystemString
编辑使用的Url
name (Optional)
Type: SystemString
名称，不指定时使用默认值
buttonClass (Optional)
Type: SystemString
按钮的Css类，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
titleTemplate (Optional)
Type: SystemString
标题的模板，格式是underscore.js的格式，参数传入row
urlTemplate (Optional)
Type: SystemString
编辑Url的模板，格式是underscore.js的格式，参数传入row
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddEditActionFor(TCrudController) Method

AjaxTableActionColumnExtensionsAddEditActionForTCrudController Method

添加查看按钮 点击后弹出编辑数据的模态框 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddEditActionFor<TCrudController>(
    this AjaxTableActionColumn column,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddEditActionFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableActionColumn,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddEditActionFor(
    AjaxTableActionColumn^ column,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddEditActionFor :
        column : AjaxTableActionColumn *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn

[Missing <param name="column"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

buttonClass (Optional)
Type: SystemString

[Missing <param name="buttonClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

titleTemplate (Optional)
Type: SystemString

[Missing <param name="titleTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

urlTemplate (Optional)
Type: SystemString

[Missing <param name="urlTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddEditActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddRecoverAction Method

AjaxTableActionColumnExtensionsAddRecoverAction Method

添加恢复按钮 点击后弹出确认框，确认后把json=[数据Id]提交到恢复url

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRecoverAction(
    this AjaxTableActionColumn column,
    string typeName,
    string recoverUrl,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    string primaryKey = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddRecoverAction (
    column As AjaxTableActionColumn,
    typeName As String,
    recoverUrl As String,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional primaryKey As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddRecoverAction(
    AjaxTableActionColumn^ column,
    String^ typeName,
    String^ recoverUrl,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    String^ primaryKey = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddRecoverAction :
        column : AjaxTableActionColumn *
        typeName : string *
        recoverUrl : string *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?primaryKey : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _primaryKey = defaultArg primaryKey null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
typeName
Type: SystemString
类型名称
recoverUrl
Type: SystemString
恢复使用的Url
name (Optional)
Type: SystemString
名称，不指定时使用默认值
buttonClass (Optional)
Type: SystemString
按钮的Css类，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
titleTemplate (Optional)
Type: SystemString
标题的模板，格式是underscore.js的格式，参数传入rows
urlTemplate (Optional)
Type: SystemString
编辑Url的模板，格式是underscore.js的格式，参数传入rows
primaryKey (Optional)
Type: SystemString
数据Id保存的名称，不指定时使用默认值
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddRecoverActionFor(TCrudController) Method

AjaxTableActionColumnExtensionsAddRecoverActionForTCrudController Method

添加恢复按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRecoverActionFor<TCrudController>(
    this AjaxTableActionColumn column,
    string name = null,
    string buttonClass = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    string primaryKey = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddRecoverActionFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableActionColumn,
    Optional name As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional primaryKey As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddRecoverActionFor(
    AjaxTableActionColumn^ column,
    String^ name = nullptr,
    String^ buttonClass = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    String^ primaryKey = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddRecoverActionFor :
        column : AjaxTableActionColumn *
        ?name : string *
        ?buttonClass : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?primaryKey : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _buttonClass = defaultArg buttonClass null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _primaryKey = defaultArg primaryKey null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn

[Missing <param name="column"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

buttonClass (Optional)
Type: SystemString

[Missing <param name="buttonClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

titleTemplate (Optional)
Type: SystemString

[Missing <param name="titleTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

urlTemplate (Optional)
Type: SystemString

[Missing <param name="urlTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

primaryKey (Optional)
Type: SystemString

[Missing <param name="primaryKey"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumnExtensions.AddRecoverActionFor``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableActionColumn,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.StandardSetupFor(TCrudController) Method

AjaxTableActionColumnExtensionsStandardSetupForTCrudController Method

对增删查改页面使用的Ajax表格操作列进行标准的设置 添加以下按钮 - 查看（如果编辑Url不是空，且数据未删除） - 删除（如果批量Url不是空，且数据未删除） - 恢复（如果批量Url不是空，且数据已删除） - 永久删除（如果批量Url不是空，且数据已删除）

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void StandardSetupFor<TCrudController>(
    this AjaxTableActionColumn column,
    AjaxTableSearchRequest request
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub StandardSetupFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableActionColumn,
    request As AjaxTableSearchRequest
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void StandardSetupFor(
    AjaxTableActionColumn^ column,
    AjaxTableSearchRequest^ request
)
[<ExtensionAttribute>]
static member StandardSetupFor :
        column : AjaxTableActionColumn *
        request : AjaxTableSearchRequest -> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求

Type Parameters

TCrudController
控制器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableBuilderExtensions Class
Ajax表格构建器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.ExtensionsAjaxTableBuilderExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableBuilderExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableBuilderExtensions
[ExtensionAttribute]
public ref class AjaxTableBuilderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableBuilderExtensions =  class end

The AjaxTableBuilderExtensions type exposes the following members.

Methods
Name | Description
StandardSetupForTCrudController | 对增删查改页面使用的表格构建器进行标准的设置 添加以下菜单项 - 编辑菜单（如果编辑Url不是空） - 添加菜单（如果添加Url不是空）
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableBuilderExtensions Methods

The AjaxTableBuilderExtensions type exposes the following members.

Methods
Name | Description
StandardSetupForTCrudController | 对增删查改页面使用的表格构建器进行标准的设置 添加以下菜单项 - 编辑菜单（如果编辑Url不是空） - 添加菜单（如果添加Url不是空）
Top
See Also

Reference

AjaxTableBuilderExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableBuilderExtensions.StandardSetupFor(TCrudController) Method

AjaxTableBuilderExtensionsStandardSetupForTCrudController Method

对增删查改页面使用的表格构建器进行标准的设置 添加以下菜单项 - 编辑菜单（如果编辑Url不是空） - 添加菜单（如果添加Url不是空）

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void StandardSetupFor<TCrudController>(
    this AjaxTableBuilder table
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub StandardSetupFor(Of TCrudController As {Class, New, ICrudController}) (
    table As AjaxTableBuilder
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void StandardSetupFor(
    AjaxTableBuilder^ table
)
[<ExtensionAttribute>]
static member StandardSetupFor :
        table : AjaxTableBuilder -> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder
Ajax表格

Type Parameters

TCrudController
构建器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableBuilderExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions Class
Ajax表格列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.ExtensionsAjaxTableColumnsExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableColumnsExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableColumnsExtensions
[ExtensionAttribute]
public ref class AjaxTableColumnsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableColumnsExtensions =  class end

The AjaxTableColumnsExtensions type exposes the following members.

Methods
Name | Description
AddEditColumn | 添加用于编辑数据的列 点击后弹出编辑数据的模态框
AddEditColumnForTCrudController | 添加用于编辑数据的列 点击后弹出编辑数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions Methods

The AjaxTableColumnsExtensions type exposes the following members.

Methods
Name | Description
AddEditColumn | 添加用于编辑数据的列 点击后弹出编辑数据的模态框
AddEditColumnForTCrudController | 添加用于编辑数据的列 点击后弹出编辑数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
Top
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddEditColumn Method

AjaxTableColumnsExtensionsAddEditColumn Method

添加用于编辑数据的列 点击后弹出编辑数据的模态框

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddEditColumn(
    this List<AjaxTableColumn> columns,
    string nameMember,
    string idMember,
    string typeName,
    string editUrl,
    string titleTemplate = null,
    string urlTemplate = null,
    Object dialogParameters = null,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddEditColumn (
    columns As List(Of AjaxTableColumn),
    nameMember As String,
    idMember As String,
    typeName As String,
    editUrl As String,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional dialogParameters As Object = Nothing,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddEditColumn(
    List<AjaxTableColumn^>^ columns,
    String^ nameMember,
    String^ idMember,
    String^ typeName,
    String^ editUrl,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    Object^ dialogParameters = nullptr,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddEditColumn :
        columns : List<AjaxTableColumn> *
        nameMember : string *
        idMember : string *
        typeName : string *
        editUrl : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?dialogParameters : Object *
        ?width : string
(* Defaults:
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _dialogParameters = defaultArg dialogParameters null
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericList AjaxTableColumn
列列表
nameMember
Type: SystemString
名称成员
idMember
Type: SystemString
Id成员
typeName
Type: SystemString
类型名称
editUrl
Type: SystemString
编辑使用的Url
titleTemplate (Optional)
Type: SystemString
标题的模板，格式是underscore.js的格式，参数传入row
urlTemplate (Optional)
Type: SystemString
编辑Url的模板，格式是underscore.js的格式，参数传入row
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumn(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.String,System.String,System.Object,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddEditColumnFor(TCrudController) Method

AjaxTableColumnsExtensionsAddEditColumnForTCrudController Method

添加用于编辑数据的列 点击后弹出编辑数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddEditColumnFor<TCrudController>(
    this List<AjaxTableColumn> columns,
    string nameMember,
    string idMember,
    string titleTemplate = null,
    string urlTemplate = null,
    Object dialogParameters = null,
    string width = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Function AddEditColumnFor(Of TCrudController As {Class, New, ICrudController}) (
    columns As List(Of AjaxTableColumn),
    nameMember As String,
    idMember As String,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional dialogParameters As Object = Nothing,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static AjaxTableColumn^ AddEditColumnFor(
    List<AjaxTableColumn^>^ columns,
    String^ nameMember,
    String^ idMember,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    Object^ dialogParameters = nullptr,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddEditColumnFor :
        columns : List<AjaxTableColumn> *
        nameMember : string *
        idMember : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?dialogParameters : Object *
        ?width : string
(* Defaults:
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _dialogParameters = defaultArg dialogParameters null
        let _width = defaultArg width null
*)
-> AjaxTableColumn  when 'TCrudController : not struct, new() and ICrudController

Parameters

columns
Type: System.Collections.GenericList AjaxTableColumn

[Missing <param name="columns"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

nameMember
Type: SystemString

[Missing <param name="nameMember"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

idMember
Type: SystemString

[Missing <param name="idMember"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

titleTemplate (Optional)
Type: SystemString

[Missing <param name="titleTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

urlTemplate (Optional)
Type: SystemString

[Missing <param name="urlTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

width (Optional)
Type: SystemString

[Missing <param name="width"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

Type Parameters

TCrudController
控制器的类型

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEditColumnFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String,System.Object,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions Class
Ajax表格Id列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumnExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableIdColumnExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableIdColumnExtensions
[ExtensionAttribute]
public ref class AjaxTableIdColumnExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableIdColumnExtensions =  class end

The AjaxTableIdColumnExtensions type exposes the following members.

Methods
Name | Description
AddDeleteActions | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除
AddDeleteActionsForTCrudController | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 根据增删查改页面的控制器自动生成
StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格Id列进行标准的设置 添加以下菜单项 - 删除菜单（如果批量操作Url不是空）
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions Methods

The AjaxTableIdColumnExtensions type exposes the following members.

Methods
Name | Description
AddDeleteActions | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除
AddDeleteActionsForTCrudController | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 根据增删查改页面的控制器自动生成
StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格Id列进行标准的设置 添加以下菜单项 - 删除菜单（如果批量操作Url不是空）
Top
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.AddDeleteActions Method

AjaxTableIdColumnExtensionsAddDeleteActions Method

添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDeleteActions(
    this AjaxTableIdColumn column,
    AjaxTableSearchRequest request,
    Type dataType,
    string typeName,
    string batchUrl,
    string primaryKey = null,
    Nullable<bool> allowDeleteRecover = null,
    Nullable<bool> allowDeleteForever = null
)
<ExtensionAttribute>
Public Shared Sub AddDeleteActions (
    column As AjaxTableIdColumn,
    request As AjaxTableSearchRequest,
    dataType As Type,
    typeName As String,
    batchUrl As String,
    Optional primaryKey As String = Nothing,
    Optional allowDeleteRecover As Nullable(Of Boolean) = Nothing,
    Optional allowDeleteForever As Nullable(Of Boolean) = Nothing
)
public:
[ExtensionAttribute]
static void AddDeleteActions(
    AjaxTableIdColumn^ column,
    AjaxTableSearchRequest^ request,
    Type^ dataType,
    String^ typeName,
    String^ batchUrl,
    String^ primaryKey = nullptr,
    Nullable<bool> allowDeleteRecover = nullptr,
    Nullable<bool> allowDeleteForever = nullptr
)
[<ExtensionAttribute>]
static member AddDeleteActions :
        column : AjaxTableIdColumn *
        request : AjaxTableSearchRequest *
        dataType : Type *
        typeName : string *
        batchUrl : string *
        ?primaryKey : string *
        ?allowDeleteRecover : Nullable<bool> *
        ?allowDeleteForever : Nullable<bool>
(* Defaults:
        let _primaryKey = defaultArg primaryKey null
        let _allowDeleteRecover = defaultArg allowDeleteRecover null
        let _allowDeleteForever = defaultArg allowDeleteForever null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列
request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
dataType
Type: SystemType
数据类型
typeName
Type: SystemString
类型名称
batchUrl
Type: SystemString
批量操作使用的Url
primaryKey (Optional)
Type: SystemString
主键名称，不传入时使用默认
allowDeleteRecover (Optional)
Type: SystemNullable Boolean
是否允许删除恢复，不传入时使用默认
allowDeleteForever (Optional)
Type: SystemNullable Boolean
是否允许永久删除，不传入时使用默认

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.AddDeleteActionsFor(TCrudController) Method

AjaxTableIdColumnExtensionsAddDeleteActionsForTCrudController Method

添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 根据增删查改页面的控制器自动生成

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDeleteActionsFor<TCrudController>(
    this AjaxTableIdColumn column,
    AjaxTableSearchRequest request
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddDeleteActionsFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableIdColumn,
    request As AjaxTableSearchRequest
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddDeleteActionsFor(
    AjaxTableIdColumn^ column,
    AjaxTableSearchRequest^ request
)
[<ExtensionAttribute>]
static member AddDeleteActionsFor :
        column : AjaxTableIdColumn *
        request : AjaxTableSearchRequest -> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列
request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求

Type Parameters

TCrudController
控制器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.StandardSetupFor(TCrudController) Method

AjaxTableIdColumnExtensionsStandardSetupForTCrudController Method

对增删查改页面使用的Ajax表格Id列进行标准的设置 添加以下菜单项 - 删除菜单（如果批量操作Url不是空）

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void StandardSetupFor<TCrudController>(
    this AjaxTableIdColumn column,
    AjaxTableSearchRequest request
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub StandardSetupFor(Of TCrudController As {Class, New, ICrudController}) (
    column As AjaxTableIdColumn,
    request As AjaxTableSearchRequest
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void StandardSetupFor(
    AjaxTableIdColumn^ column,
    AjaxTableSearchRequest^ request
)
[<ExtensionAttribute>]
static member StandardSetupFor :
        column : AjaxTableIdColumn *
        request : AjaxTableSearchRequest -> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列
request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求

Type Parameters

TCrudController
后台应用类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchBarBuilderExtensions Class
Ajax表格搜索栏构建器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.ExtensionsAjaxTableSearchBarBuilderExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableSearchBarBuilderExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableSearchBarBuilderExtensions
[ExtensionAttribute]
public ref class AjaxTableSearchBarBuilderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableSearchBarBuilderExtensions =  class end

The AjaxTableSearchBarBuilderExtensions type exposes the following members.

Methods
Name | Description
StandardSetupForTCrudController | 对增删查改页面使用的搜索栏构建器进行标准的设置 添加以下菜单项 - 回收站（如果数据支持回收） - 添加菜单（如果添加Url不是空） 添加以下按钮 - 添加按钮（如果添加Url不是空）
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchBarBuilderExtensions Methods

The AjaxTableSearchBarBuilderExtensions type exposes the following members.

Methods
Name | Description
StandardSetupForTCrudController | 对增删查改页面使用的搜索栏构建器进行标准的设置 添加以下菜单项 - 回收站（如果数据支持回收） - 添加菜单（如果添加Url不是空） 添加以下按钮 - 添加按钮（如果添加Url不是空）
Top
See Also

Reference

AjaxTableSearchBarBuilderExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchBarBuilderExtensions.StandardSetupFor(TCrudController) Method

AjaxTableSearchBarBuilderExtensionsStandardSetupForTCrudController Method

对增删查改页面使用的搜索栏构建器进行标准的设置 添加以下菜单项 - 回收站（如果数据支持回收） - 添加菜单（如果添加Url不是空） 添加以下按钮 - 添加按钮（如果添加Url不是空）

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void StandardSetupFor<TCrudController>(
    this AjaxTableSearchBarBuilder searchBar,
    string keywordPlaceHolder
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub StandardSetupFor(Of TCrudController As {Class, New, ICrudController}) (
    searchBar As AjaxTableSearchBarBuilder,
    keywordPlaceHolder As String
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void StandardSetupFor(
    AjaxTableSearchBarBuilder^ searchBar,
    String^ keywordPlaceHolder
)
[<ExtensionAttribute>]
static member StandardSetupFor :
        searchBar : AjaxTableSearchBarBuilder *
        keywordPlaceHolder : string -> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder
搜索栏构建器
keywordPlaceHolder
Type: SystemString
关键词的预留文本，传入后会自动翻译，可传入原文

Type Parameters

TCrudController
控制器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableSearchBarBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableSearchBarBuilderExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.AjaxTable.Extensions Namespace


ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms"]

Classes
 | Class | Description
Public class | AdminAboutMeForm | 后台"关于我"的表单
Public class | AdminLoginForm | 管理员登陆
Public class | UserLoginForm | 用户登录
Public class | UserRegForm | 用户注册


AdminAboutMeForm Class
后台"关于我"的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabModelFormBuilder
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsAdminAboutMeForm

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminAboutMeForm : TabModelFormBuilder
Public Class AdminAboutMeForm
    Inherits TabModelFormBuilder
public ref class AdminAboutMeForm : public TabModelFormBuilder
type AdminAboutMeForm =
    class
        inherit TabModelFormBuilder
    end

The AdminAboutMeForm type exposes the following members.

Constructors
 | Name | Description
Public method | AdminAboutMeForm | Initializes a new instance of the AdminAboutMeForm class
Top
Properties
 | Name | Description
Public property | Avatar | 头像
Public property | ConfirmPassword | 确认密码
Public property | DeleteAvatar | 删除头像
Public property | OldPassword | 原密码
Public property | Password | 密码
Public property | Privileges | 权限
Public property | Roles | 角色
Public property | SuperAdmin | 超级管理员
Public property | Username | 用户名
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm Constructor

Initializes a new instance of the AdminAboutMeForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminAboutMeForm()
Public Sub New
public:
AdminAboutMeForm()
new : unit -> AdminAboutMeForm
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm Properties

The AdminAboutMeForm type exposes the following members.

Properties
 | Name | Description
Public property | Avatar | 头像
Public property | ConfirmPassword | 确认密码
Public property | DeleteAvatar | 删除头像
Public property | OldPassword | 原密码
Public property | Password | 密码
Public property | Privileges | 权限
Public property | Roles | 角色
Public property | SuperAdmin | 超级管理员
Public property | Username | 用户名
Top
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.Avatar Property

AdminAboutMeFormAvatar Property

头像

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile Avatar { get; set; }
Public Property Avatar As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ Avatar {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member Avatar : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.ConfirmPassword Property

AdminAboutMeFormConfirmPassword Property

确认密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ConfirmPassword { get; set; }
Public Property ConfirmPassword As String
    Get
    Set
public:
property String^ ConfirmPassword {
    String^ get ();
    void set (String^ value);
}
member ConfirmPassword : string with get, set

Property Value

Type: String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.DeleteAvatar Property

AdminAboutMeFormDeleteAvatar Property

删除头像

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DeleteAvatar { get; set; }
Public Property DeleteAvatar As Boolean
    Get
    Set
public:
property bool DeleteAvatar {
    bool get ();
    void set (bool value);
}
member DeleteAvatar : bool with get, set

Property Value

Type: Boolean
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.OldPassword Property

AdminAboutMeFormOldPassword Property

原密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OldPassword { get; set; }
Public Property OldPassword As String
    Get
    Set
public:
property String^ OldPassword {
    String^ get ();
    void set (String^ value);
}
member OldPassword : string with get, set

Property Value

Type: String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.Password Property

AdminAboutMeFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.Privileges Property

AdminAboutMeFormPrivileges Property

权限

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<string> Privileges { get; set; }
Public Property Privileges As HashSet(Of String)
    Get
    Set
public:
property HashSet<String^>^ Privileges {
    HashSet<String^>^ get ();
    void set (HashSet<String^>^ value);
}
member Privileges : HashSet<string> with get, set

Property Value

Type: HashSet String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.Roles Property

AdminAboutMeFormRoles Property

角色

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Roles { get; set; }
Public Property Roles As String
    Get
    Set
public:
property String^ Roles {
    String^ get ();
    void set (String^ value);
}
member Roles : string with get, set

Property Value

Type: String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.SuperAdmin Property

AdminAboutMeFormSuperAdmin Property

超级管理员

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SuperAdmin { get; set; }
Public Property SuperAdmin As String
    Get
    Set
public:
property String^ SuperAdmin {
    String^ get ();
    void set (String^ value);
}
member SuperAdmin : string with get, set

Property Value

Type: String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.Username Property

AdminAboutMeFormUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm Methods

The AdminAboutMeForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.OnBind Method

AdminAboutMeFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminAboutMeForm.OnSubmit Method

AdminAboutMeFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms.AdminAboutMeForm.OnSubmit"]

See Also

Reference

AdminAboutMeForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm Class
管理员登陆
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsAdminLoginForm

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminLoginForm : ModelFormBuilder
Public Class AdminLoginForm
    Inherits ModelFormBuilder
public ref class AdminLoginForm : public ModelFormBuilder
type AdminLoginForm =
    class
        inherit ModelFormBuilder
    end

The AdminLoginForm type exposes the following members.

Constructors
 | Name | Description
Public method | AdminLoginForm | Initializes a new instance of the AdminLoginForm class
Top
Properties
 | Name | Description
Public property | Captcha | 验证码
Public property | Password | 密码
Public property | RedirectAfterLogin | 登陆后跳转到的地址
Public property | RememberLogin | 记住登陆
Public property | Username | 用户名
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm Constructor

Initializes a new instance of the AdminLoginForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminLoginForm()
Public Sub New
public:
AdminLoginForm()
new : unit -> AdminLoginForm
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm Properties

The AdminLoginForm type exposes the following members.

Properties
 | Name | Description
Public property | Captcha | 验证码
Public property | Password | 密码
Public property | RedirectAfterLogin | 登陆后跳转到的地址
Public property | RememberLogin | 记住登陆
Public property | Username | 用户名
Top
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.Captcha Property

AdminLoginFormCaptcha Property

验证码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Captcha { get; set; }
Public Property Captcha As String
    Get
    Set
public:
property String^ Captcha {
    String^ get ();
    void set (String^ value);
}
member Captcha : string with get, set

Property Value

Type: String
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.Password Property

AdminLoginFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.RedirectAfterLogin Property

AdminLoginFormRedirectAfterLogin Property

登陆后跳转到的地址

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string RedirectAfterLogin { get; set; }
Public Property RedirectAfterLogin As String
    Get
    Set
public:
property String^ RedirectAfterLogin {
    String^ get ();
    void set (String^ value);
}
member RedirectAfterLogin : string with get, set

Property Value

Type: String
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.RememberLogin Property

AdminLoginFormRememberLogin Property

记住登陆

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool RememberLogin { get; set; }
Public Property RememberLogin As Boolean
    Get
    Set
public:
property bool RememberLogin {
    bool get ();
    void set (bool value);
}
member RememberLogin : bool with get, set

Property Value

Type: Boolean
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.Username Property

AdminLoginFormUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm Methods

The AdminLoginForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.OnBind Method

AdminLoginFormOnBind Method

绑定

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


AdminLoginForm.OnSubmit Method

AdminLoginFormOnSubmit Method

提交

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms.AdminLoginForm.OnSubmit"]

See Also

Reference

AdminLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm Class
用户登录
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsUserLoginForm

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserLoginForm : ModelFormBuilder
Public Class UserLoginForm
    Inherits ModelFormBuilder
public ref class UserLoginForm : public ModelFormBuilder
type UserLoginForm =
    class
        inherit ModelFormBuilder
    end

The UserLoginForm type exposes the following members.

Constructors
 | Name | Description
Public method | UserLoginForm | Initializes a new instance of the UserLoginForm class
Top
Properties
 | Name | Description
Public property | Captcha | 验证码
Public property | Password | 密码
Public property | RedirectAfterLogin | 登陆后跳转到的地址
Public property | RememberLogin | 记住登陆
Public property | Username | 用户名
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 登陆用户 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm Constructor

Initializes a new instance of the UserLoginForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserLoginForm()
Public Sub New
public:
UserLoginForm()
new : unit -> UserLoginForm
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm Properties

The UserLoginForm type exposes the following members.

Properties
 | Name | Description
Public property | Captcha | 验证码
Public property | Password | 密码
Public property | RedirectAfterLogin | 登陆后跳转到的地址
Public property | RememberLogin | 记住登陆
Public property | Username | 用户名
Top
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.Captcha Property

UserLoginFormCaptcha Property

验证码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Captcha { get; set; }
Public Property Captcha As String
    Get
    Set
public:
property String^ Captcha {
    String^ get ();
    void set (String^ value);
}
member Captcha : string with get, set

Property Value

Type: String
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.Password Property

UserLoginFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.RedirectAfterLogin Property

UserLoginFormRedirectAfterLogin Property

登陆后跳转到的地址

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string RedirectAfterLogin { get; set; }
Public Property RedirectAfterLogin As String
    Get
    Set
public:
property String^ RedirectAfterLogin {
    String^ get ();
    void set (String^ value);
}
member RedirectAfterLogin : string with get, set

Property Value

Type: String
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.RememberLogin Property

UserLoginFormRememberLogin Property

记住登陆

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool RememberLogin { get; set; }
Public Property RememberLogin As Boolean
    Get
    Set
public:
property bool RememberLogin {
    bool get ();
    void set (bool value);
}
member RememberLogin : bool with get, set

Property Value

Type: Boolean
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.Username Property

UserLoginFormUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm Methods

The UserLoginForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 登陆用户 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.OnBind Method

UserLoginFormOnBind Method

绑定

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserLoginForm.OnSubmit Method

UserLoginFormOnSubmit Method

登陆用户

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms.UserLoginForm.OnSubmit"]

See Also

Reference

UserLoginForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm Class
用户注册
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsUserRegForm

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserRegForm : ModelFormBuilder
Public Class UserRegForm
    Inherits ModelFormBuilder
public ref class UserRegForm : public ModelFormBuilder
type UserRegForm =
    class
        inherit ModelFormBuilder
    end

The UserRegForm type exposes the following members.

Constructors
 | Name | Description
Public method | UserRegForm | Initializes a new instance of the UserRegForm class
Top
Properties
 | Name | Description
Public property | Captcha | 验证码
Public property | ConfirmPassword | 确认密码
Public property | Password | 密码
Public property | Username | 用户名
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 注册用户，成功后自动登陆 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm Constructor

Initializes a new instance of the UserRegForm class

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserRegForm()
Public Sub New
public:
UserRegForm()
new : unit -> UserRegForm
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm Properties

The UserRegForm type exposes the following members.

Properties
 | Name | Description
Public property | Captcha | 验证码
Public property | ConfirmPassword | 确认密码
Public property | Password | 密码
Public property | Username | 用户名
Top
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm.Captcha Property

UserRegFormCaptcha Property

验证码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Captcha { get; set; }
Public Property Captcha As String
    Get
    Set
public:
property String^ Captcha {
    String^ get ();
    void set (String^ value);
}
member Captcha : string with get, set

Property Value

Type: String
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm.ConfirmPassword Property

UserRegFormConfirmPassword Property

确认密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ConfirmPassword { get; set; }
Public Property ConfirmPassword As String
    Get
    Set
public:
property String^ ConfirmPassword {
    String^ get ();
    void set (String^ value);
}
member ConfirmPassword : string with get, set

Property Value

Type: String
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm.Password Property

UserRegFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm.Username Property

UserRegFormUsername Property

用户名

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Username { get; set; }
Public Property Username As String
    Get
    Set
public:
property String^ Username {
    String^ get ();
    void set (String^ value);
}
member Username : string with get, set

Property Value

Type: String
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm Methods

The UserRegForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 注册用户，成功后自动登陆 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm.OnBind Method

UserRegFormOnBind Method

绑定

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


UserRegForm.OnSubmit Method

UserRegFormOnSubmit Method

注册用户，成功后自动登陆

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms.UserRegForm.OnSubmit"]

See Also

Reference

UserRegForm Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.Forms Namespace


ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions"]

Classes
 | Class | Description
Public class | HtmlItemsExtensions | Html项列表的扩展函数


HtmlItemsExtensions Class
Html项列表的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.ExtensionsHtmlItemsExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class HtmlItemsExtensions
<ExtensionAttribute>
Public NotInheritable Class HtmlItemsExtensions
[ExtensionAttribute]
public ref class HtmlItemsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type HtmlItemsExtensions =  class end

The HtmlItemsExtensions type exposes the following members.

Methods
Name | Description
AddAddAction | 添加添加按钮 点击后弹出添加数据的模态框
AddAddActionForTCrudController | 添加添加按钮 点击后弹出添加数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions Methods

The HtmlItemsExtensions type exposes the following members.

Methods
Name | Description
AddAddAction | 添加添加按钮 点击后弹出添加数据的模态框
AddAddActionForTCrudController | 添加添加按钮 点击后弹出添加数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
Top
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddAddAction Method

HtmlItemsExtensionsAddAddAction Method

添加添加按钮 点击后弹出添加数据的模态框

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAddAction(
    this List<HtmlItem> items,
    string typeName,
    string addUrl,
    string name = null,
    string iconClass = null,
    string btnClass = null,
    string title = null,
    string url = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddAddAction (
    items As List(Of HtmlItem),
    typeName As String,
    addUrl As String,
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional btnClass As String = Nothing,
    Optional title As String = Nothing,
    Optional url As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddAddAction(
    List<HtmlItem^>^ items,
    String^ typeName,
    String^ addUrl,
    String^ name = nullptr,
    String^ iconClass = nullptr,
    String^ btnClass = nullptr,
    String^ title = nullptr,
    String^ url = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddAddAction :
        items : List<HtmlItem> *
        typeName : string *
        addUrl : string *
        ?name : string *
        ?iconClass : string *
        ?btnClass : string *
        ?title : string *
        ?url : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
        let _btnClass = defaultArg btnClass null
        let _title = defaultArg title null
        let _url = defaultArg url null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList HtmlItem
html项列表
typeName
Type: SystemString
类型名称
addUrl
Type: SystemString
添加使用的Url
name (Optional)
Type: SystemString
显示名称，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
btnClass (Optional)
Type: SystemString
按钮的Css类，不指定时使用默认值
title (Optional)
Type: SystemString
标题，不指定时使用默认值
url (Optional)
Type: SystemString
添加使用的Url，和addUrl是同一个参数
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddAddActionFor(TCrudController) Method

HtmlItemsExtensionsAddAddActionForTCrudController Method

添加添加按钮 点击后弹出添加数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAddActionFor<TCrudController>(
    this List<HtmlItem> items,
    string name = null,
    string iconClass = null,
    string btnClass = null,
    string title = null,
    string url = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddAddActionFor(Of TCrudController As {Class, New, ICrudController}) (
    items As List(Of HtmlItem),
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional btnClass As String = Nothing,
    Optional title As String = Nothing,
    Optional url As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddAddActionFor(
    List<HtmlItem^>^ items,
    String^ name = nullptr,
    String^ iconClass = nullptr,
    String^ btnClass = nullptr,
    String^ title = nullptr,
    String^ url = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddAddActionFor :
        items : List<HtmlItem> *
        ?name : string *
        ?iconClass : string *
        ?btnClass : string *
        ?title : string *
        ?url : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
        let _btnClass = defaultArg btnClass null
        let _title = defaultArg title null
        let _url = defaultArg url null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

items
Type: System.Collections.GenericList HtmlItem

[Missing <param name="items"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

btnClass (Optional)
Type: SystemString

[Missing <param name="btnClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

title (Optional)
Type: SystemString

[Missing <param name="title"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

url (Optional)
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions.HtmlItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem},System.String,System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.HtmlItems.Extensions Namespace


ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | PrivilegesListItemGroupsProvider | 权限的选项分组列表提供器


PrivilegesListItemGroupsProvider Class
权限的选项分组列表提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProvidersPrivilegesListItemGroupsProvider

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PrivilegesListItemGroupsProvider : IListItemGroupsProvider
Public Class PrivilegesListItemGroupsProvider
    Implements IListItemGroupsProvider
public ref class PrivilegesListItemGroupsProvider : IListItemGroupsProvider
type PrivilegesListItemGroupsProvider =
    class
        interface IListItemGroupsProvider
    end

The PrivilegesListItemGroupsProvider type exposes the following members.

Constructors
 | Name | Description
Public method | PrivilegesListItemGroupsProvider | Initializes a new instance of the PrivilegesListItemGroupsProvider class
Top
Methods
 | Name | Description
Public method | GetGroups | 获取分组列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders Namespace


PrivilegesListItemGroupsProvider Constructor

Initializes a new instance of the PrivilegesListItemGroupsProvider class

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PrivilegesListItemGroupsProvider()
Public Sub New
public:
PrivilegesListItemGroupsProvider()
new : unit -> PrivilegesListItemGroupsProvider
See Also

Reference

PrivilegesListItemGroupsProvider Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders Namespace


PrivilegesListItemGroupsProvider Methods

The PrivilegesListItemGroupsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetGroups | 获取分组列表
Top
See Also

Reference

PrivilegesListItemGroupsProvider Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders Namespace


PrivilegesListItemGroupsProvider.GetGroups Method

PrivilegesListItemGroupsProviderGetGroups Method

获取分组列表

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<IGrouping<string, ListItem>> GetGroups()
Public Function GetGroups As IEnumerable(Of IGrouping(Of String, ListItem))
public:
virtual IEnumerable<IGrouping<String^, ListItem^>^>^ GetGroups() sealed
abstract GetGroups : unit -> IEnumerable<IGrouping<string, ListItem>>
override GetGroups : unit -> IEnumerable<IGrouping<string, ListItem>>

Return Value

Type: IEnumerable IGrouping String, ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders.PrivilegesListItemGroupsProvider.GetGroups"]

Implements

IListItemGroupsProviderGetGroups
See Also

Reference

PrivilegesListItemGroupsProvider Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions"]

Classes
 | Class | Description
Public class | MenuItemsExtensions | 菜单项列表的扩展函数


MenuItemsExtensions Class
菜单项列表的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.ExtensionsMenuItemsExtensions

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class MenuItemsExtensions
<ExtensionAttribute>
Public NotInheritable Class MenuItemsExtensions
[ExtensionAttribute]
public ref class MenuItemsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type MenuItemsExtensions =  class end

The MenuItemsExtensions type exposes the following members.

Methods
Name | Description
AddAddAction | 添加添加项 点击后弹出添加数据的模态框
AddAddActionForTCrudController | 添加添加项 点击后弹出添加数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
AddEditAction | 添加编辑项 点击后弹出编辑右键选中数据的模态框
AddEditActionForTCrudController | 添加编辑项 点击后弹出编辑右键选中数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
AddRecycleBin | 添加回收站选项
Top
See Also

Reference

ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions Methods

The MenuItemsExtensions type exposes the following members.

Methods
Name | Description
AddAddAction | 添加添加项 点击后弹出添加数据的模态框
AddAddActionForTCrudController | 添加添加项 点击后弹出添加数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
AddEditAction | 添加编辑项 点击后弹出编辑右键选中数据的模态框
AddEditActionForTCrudController | 添加编辑项 点击后弹出编辑右键选中数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值
AddRecycleBin | 添加回收站选项
Top
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddAddAction Method

MenuItemsExtensionsAddAddAction Method

添加添加项 点击后弹出添加数据的模态框

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAddAction(
    this List<MenuItem> items,
    string typeName,
    string addUrl,
    string name = null,
    string iconClass = null,
    string title = null,
    string url = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddAddAction (
    items As List(Of MenuItem),
    typeName As String,
    addUrl As String,
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional title As String = Nothing,
    Optional url As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddAddAction(
    List<MenuItem^>^ items,
    String^ typeName,
    String^ addUrl,
    String^ name = nullptr,
    String^ iconClass = nullptr,
    String^ title = nullptr,
    String^ url = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddAddAction :
        items : List<MenuItem> *
        typeName : string *
        addUrl : string *
        ?name : string *
        ?iconClass : string *
        ?title : string *
        ?url : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
        let _title = defaultArg title null
        let _url = defaultArg url null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表
typeName
Type: SystemString
类型名称
addUrl
Type: SystemString
添加使用的Url
name (Optional)
Type: SystemString
显示名称，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
title (Optional)
Type: SystemString
标题，不指定时使用默认值
url (Optional)
Type: SystemString
添加使用的Url，和addUrl是同一个参数
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddAddActionFor(TCrudController) Method

MenuItemsExtensionsAddAddActionForTCrudController Method

添加添加项 点击后弹出添加数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAddActionFor<TCrudController>(
    this List<MenuItem> items,
    string name = null,
    string iconClass = null,
    string title = null,
    string url = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddAddActionFor(Of TCrudController As {Class, New, ICrudController}) (
    items As List(Of MenuItem),
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional title As String = Nothing,
    Optional url As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddAddActionFor(
    List<MenuItem^>^ items,
    String^ name = nullptr,
    String^ iconClass = nullptr,
    String^ title = nullptr,
    String^ url = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddAddActionFor :
        items : List<MenuItem> *
        ?name : string *
        ?iconClass : string *
        ?title : string *
        ?url : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
        let _title = defaultArg title null
        let _url = defaultArg url null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

items
Type: System.Collections.GenericList MenuItem

[Missing <param name="items"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

title (Optional)
Type: SystemString

[Missing <param name="title"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

url (Optional)
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddAddActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddEditAction Method

MenuItemsExtensionsAddEditAction Method

添加编辑项 点击后弹出编辑右键选中数据的模态框

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddEditAction(
    this List<MenuItem> items,
    string typeName,
    string editUrl,
    string name = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddEditAction (
    items As List(Of MenuItem),
    typeName As String,
    editUrl As String,
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddEditAction(
    List<MenuItem^>^ items,
    String^ typeName,
    String^ editUrl,
    String^ name = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddEditAction :
        items : List<MenuItem> *
        typeName : string *
        editUrl : string *
        ?name : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表
typeName
Type: SystemString
类型名称
editUrl
Type: SystemString
编辑使用的Url
name (Optional)
Type: SystemString
显示名称，不指定时使用默认值
iconClass (Optional)
Type: SystemString
图标的Css类，不指定时使用默认值
titleTemplate (Optional)
Type: SystemString
标题的模板，格式是underscore.js的格式，参数传入row
urlTemplate (Optional)
Type: SystemString
编辑Url的模板，格式是underscore.js的格式，参数传入row
dialogParameters (Optional)
Type: SystemObject
弹出框的参数，不指定时使用默认值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddEditActionFor(TCrudController) Method

MenuItemsExtensionsAddEditActionForTCrudController Method

添加编辑项 点击后弹出编辑右键选中数据的模态框 根据增删查改页面的控制器自动生成，各个参数如不指定则使用默认值

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddEditActionFor<TCrudController>(
    this List<MenuItem> items,
    string name = null,
    string iconClass = null,
    string titleTemplate = null,
    string urlTemplate = null,
    Object dialogParameters = null
)
where TCrudController : class, new(), ICrudController

<ExtensionAttribute>
Public Shared Sub AddEditActionFor(Of TCrudController As {Class, New, ICrudController}) (
    items As List(Of MenuItem),
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing,
    Optional titleTemplate As String = Nothing,
    Optional urlTemplate As String = Nothing,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
generic<typename TCrudController>
where TCrudController : ref class, gcnew(), ICrudController
static void AddEditActionFor(
    List<MenuItem^>^ items,
    String^ name = nullptr,
    String^ iconClass = nullptr,
    String^ titleTemplate = nullptr,
    String^ urlTemplate = nullptr,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddEditActionFor :
        items : List<MenuItem> *
        ?name : string *
        ?iconClass : string *
        ?titleTemplate : string *
        ?urlTemplate : string *
        ?dialogParameters : Object
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
        let _titleTemplate = defaultArg titleTemplate null
        let _urlTemplate = defaultArg urlTemplate null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit  when 'TCrudController : not struct, new() and ICrudController

Parameters

items
Type: System.Collections.GenericList MenuItem

[Missing <param name="items"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddEditActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

name (Optional)
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddEditActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

iconClass (Optional)
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddEditActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

titleTemplate (Optional)
Type: SystemString

[Missing <param name="titleTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddEditActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

urlTemplate (Optional)
Type: SystemString

[Missing <param name="urlTemplate"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddEditActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions.MenuItemsExtensions.AddEditActionFor``1(System.Collections.Generic.List{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem},System.String,System.String,System.String,System.String,System.Object)"]

Type Parameters

TCrudController
控制器的类型

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddRecycleBin Method

MenuItemsExtensionsAddRecycleBin Method

添加回收站选项

Namespace: ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRecycleBin(
    this List<MenuItem> items,
    string name = null,
    string iconClass = null
)
<ExtensionAttribute>
Public Shared Sub AddRecycleBin (
    items As List(Of MenuItem),
    Optional name As String = Nothing,
    Optional iconClass As String = Nothing
)
public:
[ExtensionAttribute]
static void AddRecycleBin(
    List<MenuItem^>^ items,
    String^ name = nullptr,
    String^ iconClass = nullptr
)
[<ExtensionAttribute>]
static member AddRecycleBin :
        items : List<MenuItem> *
        ?name : string *
        ?iconClass : string
(* Defaults:
        let _name = defaultArg name null
        let _iconClass = defaultArg iconClass null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表
name (Optional)
Type: SystemString
名称
iconClass (Optional)
Type: SystemString
图标的Css类

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Admin.src.UIComponents.MenuItems.Extensions Namespace


ZKWeb.Plugins.Common.AdminSettings.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.AdminSettings.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates |
ZKWeb.Plugins.Common.AdminSettings.src.Controllers |
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents |


ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.AdminSettings.src.Components.Translates Namespace


ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.AdminSettings.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.AdminSettings.src.Controllers |
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases |


ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.AdminSettings.src.Controllers"]

Classes
 | Class | Description
Public class | AdminSettingsApiController | 后台设置的Api控制器
Public class | AdminSettingsController | 后台设置 默认允许管理员或合作伙伴访问
Public class | LocaleSettingsController | 语言设置
Public class | LocaleSettingsControllerForm | 表单
Public class | WebsiteSettingsController | 网站设置
Public class | WebsiteSettingsControllerForm | 表单


AdminSettingsApiController Class
后台设置的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.ControllersAdminSettingsApiController

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminSettingsApiController : ControllerBase
Public Class AdminSettingsApiController
    Inherits ControllerBase
public ref class AdminSettingsApiController : public ControllerBase
type AdminSettingsApiController =
    class
        inherit ControllerBase
    end

The AdminSettingsApiController type exposes the following members.

Constructors
 | Name | Description
Public method | AdminSettingsApiController | Initializes a new instance of the AdminSettingsApiController class
Top
Methods
 | Name | Description
Public method | AdminSettingsMenuGroups | 获取后台设置的菜单项分组列表
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsApiController Constructor

Initializes a new instance of the AdminSettingsApiController class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminSettingsApiController()
Public Sub New
public:
AdminSettingsApiController()
new : unit -> AdminSettingsApiController
See Also

Reference

AdminSettingsApiController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsApiController Methods

The AdminSettingsApiController type exposes the following members.

Methods
 | Name | Description
Public method | AdminSettingsMenuGroups | 获取后台设置的菜单项分组列表
Top
See Also

Reference

AdminSettingsApiController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsApiController.AdminSettingsMenuGroups Method

AdminSettingsApiControllerAdminSettingsMenuGroups Method

获取后台设置的菜单项分组列表

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult AdminSettingsMenuGroups()
Public Function AdminSettingsMenuGroups As IActionResult
public:
IActionResult^ AdminSettingsMenuGroups()
member AdminSettingsMenuGroups : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsApiController.AdminSettingsMenuGroups"]

See Also

Reference

AdminSettingsApiController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController Class
后台设置 默认允许管理员或合作伙伴访问
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesSimpleAdminAppControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.ControllersAdminSettingsController

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AdminSettingsController : SimpleAdminAppControllerBase
Public Class AdminSettingsController
    Inherits SimpleAdminAppControllerBase
public ref class AdminSettingsController : public SimpleAdminAppControllerBase
type AdminSettingsController =
    class
        inherit SimpleAdminAppControllerBase
    end

The AdminSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | AdminSettingsController | Initializes a new instance of the AdminSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleAdminAppControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleAdminAppControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleAdminAppControllerBaseIconClass.)
Public property | Name | (Overrides SimpleAdminAppControllerBaseName.)
Public property | RequiredUserType | (Overrides SimpleAdminAppControllerBaseRequiredUserType.)
Public property | TileClass | (Overrides SimpleAdminAppControllerBaseTileClass.)
Public property | Url | (Overrides SimpleAdminAppControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | Action | (Overrides SimpleAdminAppControllerBaseAction.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController Constructor

Initializes a new instance of the AdminSettingsController class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AdminSettingsController()
Public Sub New
public:
AdminSettingsController()
new : unit -> AdminSettingsController
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController Properties

The AdminSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleAdminAppControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleAdminAppControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleAdminAppControllerBaseIconClass.)
Public property | Name | (Overrides SimpleAdminAppControllerBaseName.)
Public property | RequiredUserType | (Overrides SimpleAdminAppControllerBaseRequiredUserType.)
Public property | TileClass | (Overrides SimpleAdminAppControllerBaseTileClass.)
Public property | Url | (Overrides SimpleAdminAppControllerBaseUrl.)
Top
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.Group Property

AdminSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.Group"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.GroupIconClass Property

AdminSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.IconClass Property

AdminSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.Name Property

AdminSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.Name"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IAdminAppControllerName
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.RequiredUserType Property

AdminSettingsControllerRequiredUserType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.RequiredUserType"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IAdminAppControllerRequiredUserType
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.TileClass Property

AdminSettingsControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.TileClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.Url Property

AdminSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.Url"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IAdminAppControllerUrl
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController Methods

The AdminSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | Action | (Overrides SimpleAdminAppControllerBaseAction.)
Top
See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


AdminSettingsController.Action Method

AdminSettingsControllerAction Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.Action"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IActionResult Action()
Protected Overrides Function Action As IActionResult
protected:
virtual IActionResult^ Action() override
abstract Action : unit -> IActionResult
override Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.AdminSettingsController.Action"]

See Also

Reference

AdminSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController Class
语言设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.ControllersLocaleSettingsController

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LocaleSettingsController : FormAdminSettingsControllerBase
Public Class LocaleSettingsController
    Inherits FormAdminSettingsControllerBase
public ref class LocaleSettingsController : public FormAdminSettingsControllerBase
type LocaleSettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The LocaleSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | LocaleSettingsController | Initializes a new instance of the LocaleSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController Constructor

Initializes a new instance of the LocaleSettingsController class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LocaleSettingsController()
Public Sub New
public:
LocaleSettingsController()
new : unit -> LocaleSettingsController
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController Properties

The LocaleSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Group Property

LocaleSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.Group"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.GroupIconClass Property

LocaleSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.IconClass Property

LocaleSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Name Property

LocaleSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.Name"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Privilege Property

LocaleSettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Url Property

LocaleSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.Url"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController Methods

The LocaleSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.GetForm Method

LocaleSettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.GetForm"]

See Also

Reference

LocaleSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form Class

LocaleSettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.AdminSettings.src.ControllersLocaleSettingsControllerForm

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The LocaleSettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | LocaleSettingsControllerForm | Initializes a new instance of the LocaleSettingsControllerForm class
Top
Properties
 | Name | Description
Public property | AllowDetectLanguageFromBrowser | 是否允许自动检测浏览器语言
Public property | DefaultLanguage | 默认语言
Public property | DefaultTimezone | 默认时区
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form Constructor

LocaleSettingsControllerForm Constructor

Initializes a new instance of the LocaleSettingsControllerForm class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


Form Properties

The LocaleSettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | AllowDetectLanguageFromBrowser | 是否允许自动检测浏览器语言
Public property | DefaultLanguage | 默认语言
Public property | DefaultTimezone | 默认时区
Top
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form.AllowDetectLanguageFromBrowser Property

LocaleSettingsControllerFormAllowDetectLanguageFromBrowser Property

是否允许自动检测浏览器语言

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool AllowDetectLanguageFromBrowser { get; set; }
Public Property AllowDetectLanguageFromBrowser As Boolean
    Get
    Set
public:
property bool AllowDetectLanguageFromBrowser {
    bool get ();
    void set (bool value);
}
member AllowDetectLanguageFromBrowser : bool with get, set

Property Value

Type: Boolean
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form.DefaultLanguage Property

LocaleSettingsControllerFormDefaultLanguage Property

默认语言

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultLanguage { get; set; }
Public Property DefaultLanguage As String
    Get
    Set
public:
property String^ DefaultLanguage {
    String^ get ();
    void set (String^ value);
}
member DefaultLanguage : string with get, set

Property Value

Type: String
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form.DefaultTimezone Property

LocaleSettingsControllerFormDefaultTimezone Property

默认时区

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultTimezone { get; set; }
Public Property DefaultTimezone As String
    Get
    Set
public:
property String^ DefaultTimezone {
    String^ get ();
    void set (String^ value);
}
member DefaultTimezone : string with get, set

Property Value

Type: String
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


Form Methods

The LocaleSettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form.OnBind Method

LocaleSettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


LocaleSettingsController.Form.OnSubmit Method

LocaleSettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.LocaleSettingsController.Form.OnSubmit"]

See Also

Reference

LocaleSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController Class
网站设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.ControllersWebsiteSettingsController

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WebsiteSettingsController : FormAdminSettingsControllerBase
Public Class WebsiteSettingsController
    Inherits FormAdminSettingsControllerBase
public ref class WebsiteSettingsController : public FormAdminSettingsControllerBase
type WebsiteSettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The WebsiteSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteSettingsController | Initializes a new instance of the WebsiteSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController Constructor

Initializes a new instance of the WebsiteSettingsController class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WebsiteSettingsController()
Public Sub New
public:
WebsiteSettingsController()
new : unit -> WebsiteSettingsController
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController Properties

The WebsiteSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Group Property

WebsiteSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.Group"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.GroupIconClass Property

WebsiteSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.IconClass Property

WebsiteSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Name Property

WebsiteSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.Name"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Privilege Property

WebsiteSettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Url Property

WebsiteSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.Url"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController Methods

The WebsiteSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.GetForm Method

WebsiteSettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.GetForm"]

See Also

Reference

WebsiteSettingsController Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form Class

WebsiteSettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.AdminSettings.src.ControllersWebsiteSettingsControllerForm

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The WebsiteSettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteSettingsControllerForm | Initializes a new instance of the WebsiteSettingsControllerForm class
Top
Properties
 | Name | Description
Public property | AdminPanelLogo | 后台Logo
Public property | CopyrightText | 版权信息
Public property | DocumentTitleFormat | 网页标题的默认格式
Public property | Favicon | 页面图标
Public property | FrontPageLogo | 前台Logo
Public property | PageDescription | 页面描述
Public property | PageKeywords | 页面关键词
Public property | RestoreDefaultAdminPanelLogo | 恢复默认后台Logo
Public property | RestoreDefaultFavicon | 恢复默认页面图标
Public property | RestoreDefaultFrontPageLogo | 恢复默认前台Logo
Public property | WebsiteName | 网站名称
Top
Methods
 | Name | Description
Protected method | OnBind | 提交表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 绑定表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form Constructor

WebsiteSettingsControllerForm Constructor

Initializes a new instance of the WebsiteSettingsControllerForm class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


Form Properties

The WebsiteSettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | AdminPanelLogo | 后台Logo
Public property | CopyrightText | 版权信息
Public property | DocumentTitleFormat | 网页标题的默认格式
Public property | Favicon | 页面图标
Public property | FrontPageLogo | 前台Logo
Public property | PageDescription | 页面描述
Public property | PageKeywords | 页面关键词
Public property | RestoreDefaultAdminPanelLogo | 恢复默认后台Logo
Public property | RestoreDefaultFavicon | 恢复默认页面图标
Public property | RestoreDefaultFrontPageLogo | 恢复默认前台Logo
Public property | WebsiteName | 网站名称
Top
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.AdminPanelLogo Property

WebsiteSettingsControllerFormAdminPanelLogo Property

后台Logo

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile AdminPanelLogo { get; set; }
Public Property AdminPanelLogo As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ AdminPanelLogo {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member AdminPanelLogo : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.CopyrightText Property

WebsiteSettingsControllerFormCopyrightText Property

版权信息

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CopyrightText { get; set; }
Public Property CopyrightText As String
    Get
    Set
public:
property String^ CopyrightText {
    String^ get ();
    void set (String^ value);
}
member CopyrightText : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.DocumentTitleFormat Property

WebsiteSettingsControllerFormDocumentTitleFormat Property

网页标题的默认格式

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DocumentTitleFormat { get; set; }
Public Property DocumentTitleFormat As String
    Get
    Set
public:
property String^ DocumentTitleFormat {
    String^ get ();
    void set (String^ value);
}
member DocumentTitleFormat : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.Favicon Property

WebsiteSettingsControllerFormFavicon Property

页面图标

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile Favicon { get; set; }
Public Property Favicon As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ Favicon {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member Favicon : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.FrontPageLogo Property

WebsiteSettingsControllerFormFrontPageLogo Property

前台Logo

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile FrontPageLogo { get; set; }
Public Property FrontPageLogo As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ FrontPageLogo {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member FrontPageLogo : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.PageDescription Property

WebsiteSettingsControllerFormPageDescription Property

页面描述

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PageDescription { get; set; }
Public Property PageDescription As String
    Get
    Set
public:
property String^ PageDescription {
    String^ get ();
    void set (String^ value);
}
member PageDescription : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.PageKeywords Property

WebsiteSettingsControllerFormPageKeywords Property

页面关键词

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PageKeywords { get; set; }
Public Property PageKeywords As String
    Get
    Set
public:
property String^ PageKeywords {
    String^ get ();
    void set (String^ value);
}
member PageKeywords : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.RestoreDefaultAdminPanelLogo Property

WebsiteSettingsControllerFormRestoreDefaultAdminPanelLogo Property

恢复默认后台Logo

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool RestoreDefaultAdminPanelLogo { get; set; }
Public Property RestoreDefaultAdminPanelLogo As Boolean
    Get
    Set
public:
property bool RestoreDefaultAdminPanelLogo {
    bool get ();
    void set (bool value);
}
member RestoreDefaultAdminPanelLogo : bool with get, set

Property Value

Type: Boolean
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.RestoreDefaultFavicon Property

WebsiteSettingsControllerFormRestoreDefaultFavicon Property

恢复默认页面图标

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool RestoreDefaultFavicon { get; set; }
Public Property RestoreDefaultFavicon As Boolean
    Get
    Set
public:
property bool RestoreDefaultFavicon {
    bool get ();
    void set (bool value);
}
member RestoreDefaultFavicon : bool with get, set

Property Value

Type: Boolean
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.RestoreDefaultFrontPageLogo Property

WebsiteSettingsControllerFormRestoreDefaultFrontPageLogo Property

恢复默认前台Logo

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool RestoreDefaultFrontPageLogo { get; set; }
Public Property RestoreDefaultFrontPageLogo As Boolean
    Get
    Set
public:
property bool RestoreDefaultFrontPageLogo {
    bool get ();
    void set (bool value);
}
member RestoreDefaultFrontPageLogo : bool with get, set

Property Value

Type: Boolean
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.WebsiteName Property

WebsiteSettingsControllerFormWebsiteName Property

网站名称

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string WebsiteName { get; set; }
Public Property WebsiteName As String
    Get
    Set
public:
property String^ WebsiteName {
    String^ get ();
    void set (String^ value);
}
member WebsiteName : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


Form Methods

The WebsiteSettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 提交表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 绑定表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.OnBind Method

WebsiteSettingsControllerFormOnBind Method

提交表单

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


WebsiteSettingsController.Form.OnSubmit Method

WebsiteSettingsControllerFormOnSubmit Method

绑定表单

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.WebsiteSettingsController.Form.OnSubmit"]

See Also

Reference

WebsiteSettingsControllerForm Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers Namespace


ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | CrudAdminSettingsControllerBaseTEntity, TPrimaryKey | 支持增删查改数据的后台页面控制器
Public class | FormAdminSettingsControllerBase | 带单个表单的后台设置页面控制器
Public class | SimpleAdminSettingsControllerBase | 简单的后台设置页面控制器


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey) Class

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
支持增删查改数据的后台页面控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBaseTController
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBaseTController

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class CrudAdminSettingsControllerBase<TEntity, TPrimaryKey> : CrudMenuPageControllerBase<TEntity, TPrimaryKey>,
    IAdminSettingsMenuProvider, IMenuProvider
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class CrudAdminSettingsControllerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits CrudMenuPageControllerBase(Of TEntity, TPrimaryKey)
    Implements IAdminSettingsMenuProvider, IMenuProvider
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class CrudAdminSettingsControllerBase abstract : public CrudMenuPageControllerBase<TEntity, TPrimaryKey>,
    IAdminSettingsMenuProvider, IMenuProvider
[<AbstractClassAttribute>]
type CrudAdminSettingsControllerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        inherit CrudMenuPageControllerBase<'TEntity, 'TPrimaryKey>
        interface IAdminSettingsMenuProvider
        interface IMenuProvider
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The CrudAdminSettingsControllerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Protected method | CrudAdminSettingsControllerBaseTEntity, TPrimaryKey | Initializes a new instance of the CrudAdminSettingsControllerBaseTEntity, TPrimaryKey class
Top
Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath.)
Protected property | ConcernEntityOwnership | 默认不需要按实体的所属用户进行隔离 (Overrides CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership.)
Public property | EditTemplatePath | 编辑页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | ListTemplatePath | 列表页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | RequiredUserType | 默认需要管理员权限 (Overrides CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey) Constructor

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Constructor

Initializes a new instance of the CrudAdminSettingsControllerBaseTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected CrudAdminSettingsControllerBase()
Protected Sub New
protected:
CrudAdminSettingsControllerBase()
new : unit -> CrudAdminSettingsControllerBase
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey) Properties

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Properties

The CrudAdminSettingsControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath.)
Protected property | ConcernEntityOwnership | 默认不需要按实体的所属用户进行隔离 (Overrides CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership.)
Public property | EditTemplatePath | 编辑页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | ListTemplatePath | 列表页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | RequiredUserType | 默认需要管理员权限 (Overrides CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Top
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey).AddTemplatePath Property

CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyAddTemplatePath Property

添加页的模板路径

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddTemplatePath { get; }
Public Overrides ReadOnly Property AddTemplatePath As String
    Get
public:
virtual property String^ AddTemplatePath {
    String^ get () override;
}
abstract AddTemplatePath : string with get
override AddTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerAddTemplatePath
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey).ConcernEntityOwnership Property

CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership Property

默认不需要按实体的所属用户进行隔离

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override bool ConcernEntityOwnership { get; }
Protected Overrides ReadOnly Property ConcernEntityOwnership As Boolean
    Get
protected:
virtual property bool ConcernEntityOwnership {
    bool get () override;
}
abstract ConcernEntityOwnership : bool with get
override ConcernEntityOwnership : bool with get

Property Value

Type: Boolean
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey).EditTemplatePath Property

CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyEditTemplatePath Property

编辑页的模板路径

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EditTemplatePath { get; }
Public Overrides ReadOnly Property EditTemplatePath As String
    Get
public:
virtual property String^ EditTemplatePath {
    String^ get () override;
}
abstract EditTemplatePath : string with get
override EditTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerEditTemplatePath
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey).ListTemplatePath Property

CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyListTemplatePath Property

列表页的模板路径

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ListTemplatePath { get; }
Public Overrides ReadOnly Property ListTemplatePath As String
    Get
public:
virtual property String^ ListTemplatePath {
    String^ get () override;
}
abstract ListTemplatePath : string with get
override ListTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerListTemplatePath
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


CrudAdminSettingsControllerBase(TEntity, TPrimaryKey).RequiredUserType Property

CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyRequiredUserType Property

默认需要管理员权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

ICrudControllerRequiredUserType
See Also

Reference

CrudAdminSettingsControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


FormAdminSettingsControllerBase Class
带单个表单的后台设置页面控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
More...

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class FormAdminSettingsControllerBase : FormMenuPageControllerBase,
    IAdminSettingsMenuProvider, IMenuProvider
Public MustInherit Class FormAdminSettingsControllerBase
    Inherits FormMenuPageControllerBase
    Implements IAdminSettingsMenuProvider, IMenuProvider
public ref class FormAdminSettingsControllerBase abstract : public FormMenuPageControllerBase,
    IAdminSettingsMenuProvider, IMenuProvider
[<AbstractClassAttribute>]
type FormAdminSettingsControllerBase =
    class
        inherit FormMenuPageControllerBase
        interface IAdminSettingsMenuProvider
        interface IMenuProvider
    end

The FormAdminSettingsControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | FormAdminSettingsControllerBase | Initializes a new instance of the FormAdminSettingsControllerBase class
Top
Properties
 | Name | Description
Public property | Privilege | 使用的权限
Public property | RequiredPrivileges | 默认需要使用的权限 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要管理员权限 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Public property | TemplatePath | 模板路径 (Overrides FormMenuPageControllerBaseTemplatePath.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleListSettingsForm
ZKWeb.Plugins.Common.AdminSettings.src.ControllersLocaleSettingsController
ZKWeb.Plugins.Common.AdminSettings.src.ControllersWebsiteSettingsController
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPagesCurrencySettingsController
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPagesLanguageSwitcherSettingsForm
ZKWeb.Plugins.Common.PesudoStatic.src.ControllersPesudoStaticSettingsController
ZKWeb.Plugins.Common.Region.src.ControllersCountrySettingsController
ZKWeb.Plugins.Shopping.Order.src.ControllersOrderSettingsController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductAlbumSettingsController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductListSettingsController


FormAdminSettingsControllerBase Constructor

Initializes a new instance of the FormAdminSettingsControllerBase class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected FormAdminSettingsControllerBase()
Protected Sub New
protected:
FormAdminSettingsControllerBase()
new : unit -> FormAdminSettingsControllerBase
See Also

Reference

FormAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


FormAdminSettingsControllerBase Properties

The FormAdminSettingsControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | Privilege | 使用的权限
Public property | RequiredPrivileges | 默认需要使用的权限 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要管理员权限 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Public property | TemplatePath | 模板路径 (Overrides FormMenuPageControllerBaseTemplatePath.)
Top
See Also

Reference

FormAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


FormAdminSettingsControllerBase.Privilege Property

FormAdminSettingsControllerBasePrivilege Property

使用的权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Privilege { get; }
Public MustOverride ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () abstract;
}
abstract Privilege : string with get

Property Value

Type: String
See Also

Reference

FormAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


FormAdminSettingsControllerBase.RequiredPrivileges Property

FormAdminSettingsControllerBaseRequiredPrivileges Property

默认需要使用的权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] RequiredPrivileges { get; }
Public Overrides ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () override;
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

FormAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


FormAdminSettingsControllerBase.RequiredUserType Property

FormAdminSettingsControllerBaseRequiredUserType Property

默认需要管理员权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IMenuPageRequiredUserType
See Also

Reference

FormAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


FormAdminSettingsControllerBase.TemplatePath Property

FormAdminSettingsControllerBaseTemplatePath Property

模板路径

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TemplatePath { get; }
Public Overrides ReadOnly Property TemplatePath As String
    Get
public:
virtual property String^ TemplatePath {
    String^ get () override;
}
abstract TemplatePath : string with get
override TemplatePath : string with get

Property Value

Type: String
See Also

Reference

FormAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


SimpleAdminSettingsControllerBase Class
简单的后台设置页面控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesSimpleAdminSettingsControllerBase

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class SimpleAdminSettingsControllerBase : SimpleMenuPageControllerBase,
    IAdminSettingsMenuProvider, IMenuProvider
Public MustInherit Class SimpleAdminSettingsControllerBase
    Inherits SimpleMenuPageControllerBase
    Implements IAdminSettingsMenuProvider, IMenuProvider
public ref class SimpleAdminSettingsControllerBase abstract : public SimpleMenuPageControllerBase,
    IAdminSettingsMenuProvider, IMenuProvider
[<AbstractClassAttribute>]
type SimpleAdminSettingsControllerBase =
    class
        inherit SimpleMenuPageControllerBase
        interface IAdminSettingsMenuProvider
        interface IMenuProvider
    end

The SimpleAdminSettingsControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | SimpleAdminSettingsControllerBase | Initializes a new instance of the SimpleAdminSettingsControllerBase class
Top
Properties
 | Name | Description
Public property | Privilege | 使用的权限
Public property | RequiredPrivileges | 默认需要使用的权限 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要管理员权限 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


SimpleAdminSettingsControllerBase Constructor

Initializes a new instance of the SimpleAdminSettingsControllerBase class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected SimpleAdminSettingsControllerBase()
Protected Sub New
protected:
SimpleAdminSettingsControllerBase()
new : unit -> SimpleAdminSettingsControllerBase
See Also

Reference

SimpleAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


SimpleAdminSettingsControllerBase Properties

The SimpleAdminSettingsControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | Privilege | 使用的权限
Public property | RequiredPrivileges | 默认需要使用的权限 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要管理员权限 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Top
See Also

Reference

SimpleAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


SimpleAdminSettingsControllerBase.Privilege Property

SimpleAdminSettingsControllerBasePrivilege Property

使用的权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Privilege { get; }
Public MustOverride ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () abstract;
}
abstract Privilege : string with get

Property Value

Type: String
See Also

Reference

SimpleAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


SimpleAdminSettingsControllerBase.RequiredPrivileges Property

SimpleAdminSettingsControllerBaseRequiredPrivileges Property

默认需要使用的权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] RequiredPrivileges { get; }
Public Overrides ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () override;
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

SimpleAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


SimpleAdminSettingsControllerBase.RequiredUserType Property

SimpleAdminSettingsControllerBaseRequiredUserType Property

默认需要管理员权限

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IMenuPageRequiredUserType
See Also

Reference

SimpleAdminSettingsControllerBase Class
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.AdminSettings.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.AdminSettings.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders |
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.MenuPages.Interfaces |


ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | LanguageListItemProvider | 语言列表
Public class | TimezoneListItemProvider | 时区列表


LanguageListItemProvider Class
语言列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProvidersLanguageListItemProvider

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LanguageListItemProvider : IListItemProvider
Public Class LanguageListItemProvider
    Implements IListItemProvider
public ref class LanguageListItemProvider : IListItemProvider
type LanguageListItemProvider =
    class
        interface IListItemProvider
    end

The LanguageListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | LanguageListItemProvider | Initializes a new instance of the LanguageListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


LanguageListItemProvider Constructor

Initializes a new instance of the LanguageListItemProvider class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LanguageListItemProvider()
Public Sub New
public:
LanguageListItemProvider()
new : unit -> LanguageListItemProvider
See Also

Reference

LanguageListItemProvider Class
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


LanguageListItemProvider Methods

The LanguageListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

LanguageListItemProvider Class
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


LanguageListItemProvider.GetItems Method

LanguageListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders.LanguageListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

LanguageListItemProvider Class
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


TimezoneListItemProvider Class
时区列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProvidersTimezoneListItemProvider

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TimezoneListItemProvider : IListItemProvider
Public Class TimezoneListItemProvider
    Implements IListItemProvider
public ref class TimezoneListItemProvider : IListItemProvider
type TimezoneListItemProvider =
    class
        interface IListItemProvider
    end

The TimezoneListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | TimezoneListItemProvider | Initializes a new instance of the TimezoneListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


TimezoneListItemProvider Constructor

Initializes a new instance of the TimezoneListItemProvider class

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimezoneListItemProvider()
Public Sub New
public:
TimezoneListItemProvider()
new : unit -> TimezoneListItemProvider
See Also

Reference

TimezoneListItemProvider Class
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


TimezoneListItemProvider Methods

The TimezoneListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

TimezoneListItemProvider Class
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


TimezoneListItemProvider.GetItems Method

TimezoneListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders.TimezoneListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

TimezoneListItemProvider Class
ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.MenuPages.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.MenuPages.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IAdminSettingsMenuProvider | 后台管理菜单项的提供器接口


IAdminSettingsMenuProvider Interface
后台管理菜单项的提供器接口

Namespace: ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAdminSettingsMenuProvider : IMenuProvider
Public Interface IAdminSettingsMenuProvider
    Inherits IMenuProvider
public interface class IAdminSettingsMenuProvider : IMenuProvider
type IAdminSettingsMenuProvider =
    interface
        interface IMenuProvider
    end
See Also

Reference

ZKWeb.Plugins.Common.AdminSettings.src.UIComponents.MenuPages.Interfaces Namespace


ZKWeb.Plugins.Common.Base Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src |
ZKWeb.Plugins.Common.Base.src.Components |
ZKWeb.Plugins.Common.Base.src.Controllers |
ZKWeb.Plugins.Common.Base.src.Domain |
ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions |
ZKWeb.Plugins.Common.Base.src.UIComponents |


ZKWeb.Plugins.Common.Base.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.srcPlugin

Namespace: ZKWeb.Plugins.Common.Base.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Common.Base.src Namespace


ZKWeb.Plugins.Common.Base.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies |
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore |
ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler |
ZKWeb.Plugins.Common.Base.src.Components.Exceptions |
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs |
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers |
ZKWeb.Plugins.Common.Base.src.Components.Languages |
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib |
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks |
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources |
ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces |
ZKWeb.Plugins.Common.Base.src.Components.Translates |
ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces |


ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies"]

Classes
 | Class | Description
Public class | CacheIsolateByIdent | 按当前登录用户隔离缓存


CacheIsolateByIdent Class
按当前登录用户隔离缓存
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPoliciesCacheIsolateByIdent

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CacheIsolateByIdent : ICacheIsolationPolicy
Public Class CacheIsolateByIdent
    Implements ICacheIsolationPolicy
public ref class CacheIsolateByIdent : ICacheIsolationPolicy
type CacheIsolateByIdent =
    class
        interface ICacheIsolationPolicy
    end

The CacheIsolateByIdent type exposes the following members.

Constructors
 | Name | Description
Public method | CacheIsolateByIdent | Initializes a new instance of the CacheIsolateByIdent class
Top
Methods
 | Name | Description
Public method | GetIsolationKey | 获取隔离键
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies Namespace


CacheIsolateByIdent Constructor

Initializes a new instance of the CacheIsolateByIdent class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CacheIsolateByIdent()
Public Sub New
public:
CacheIsolateByIdent()
new : unit -> CacheIsolateByIdent
See Also

Reference

CacheIsolateByIdent Class
ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies Namespace


CacheIsolateByIdent Methods

The CacheIsolateByIdent type exposes the following members.

Methods
 | Name | Description
Public method | GetIsolationKey | 获取隔离键
Top
See Also

Reference

CacheIsolateByIdent Class
ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies Namespace


CacheIsolateByIdent.GetIsolationKey Method

CacheIsolateByIdentGetIsolationKey Method

获取隔离键

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object GetIsolationKey()
Public Function GetIsolationKey As Object
public:
virtual Object^ GetIsolationKey() sealed
abstract GetIsolationKey : unit -> Object
override GetIsolationKey : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies.CacheIsolateByIdent.GetIsolationKey"]

Implements

ICacheIsolationPolicy.GetIsolationKey
See Also

Reference

CacheIsolateByIdent Class
ZKWeb.Plugins.Common.Base.src.Components.CacheIsolationPolicies Namespace


ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore |
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces |


ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore"]

Classes
 | Class | Description
Public class | CsrfTokenCookieStore | 使用Cookie获取和保存CSRF校验值


CsrfTokenCookieStore Class
使用Cookie获取和保存CSRF校验值
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStoreCsrfTokenCookieStore

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CsrfTokenCookieStore : ICsrfTokenStore
Public Class CsrfTokenCookieStore
    Implements ICsrfTokenStore
public ref class CsrfTokenCookieStore : ICsrfTokenStore
type CsrfTokenCookieStore =
    class
        interface ICsrfTokenStore
    end

The CsrfTokenCookieStore type exposes the following members.

Constructors
 | Name | Description
Public method | CsrfTokenCookieStore | Initializes a new instance of the CsrfTokenCookieStore class
Top
Methods
 | Name | Description
Public method | GetCsrfToken | 获取CSRF校验
Public method | RemoveCsrfToken | 删除CSRF校验
Public method | SetCsrfToken | 设置CSRF校验
Top
Fields
Name | Description
CsrfTokenCookieKey | 储存CSRF校验到Cookie时使用的键
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore Constructor

Initializes a new instance of the CsrfTokenCookieStore class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CsrfTokenCookieStore()
Public Sub New
public:
CsrfTokenCookieStore()
new : unit -> CsrfTokenCookieStore
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore Methods

The CsrfTokenCookieStore type exposes the following members.

Methods
 | Name | Description
Public method | GetCsrfToken | 获取CSRF校验
Public method | RemoveCsrfToken | 删除CSRF校验
Public method | SetCsrfToken | 设置CSRF校验
Top
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore.GetCsrfToken Method

CsrfTokenCookieStoreGetCsrfToken Method

获取CSRF校验

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetCsrfToken()
Public Function GetCsrfToken As String
public:
virtual String^ GetCsrfToken() sealed
abstract GetCsrfToken : unit -> string
override GetCsrfToken : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.CsrfTokenCookieStore.GetCsrfToken"]

Implements

ICsrfTokenStoreGetCsrfToken
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore.RemoveCsrfToken Method

CsrfTokenCookieStoreRemoveCsrfToken Method

删除CSRF校验

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void RemoveCsrfToken()
Public Sub RemoveCsrfToken
public:
virtual void RemoveCsrfToken() sealed
abstract RemoveCsrfToken : unit -> unit
override RemoveCsrfToken : unit -> unit

Implements

ICsrfTokenStoreRemoveCsrfToken
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore.SetCsrfToken Method

CsrfTokenCookieStoreSetCsrfToken Method

设置CSRF校验

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void SetCsrfToken(
    string token
)
Public Sub SetCsrfToken (
    token As String
)
public:
virtual void SetCsrfToken(
    String^ token
) sealed
abstract SetCsrfToken :
        token : string -> unit
override SetCsrfToken :
        token : string -> unit

Parameters

token
Type: SystemString

[Missing <param name="token"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.CsrfTokenCookieStore.SetCsrfToken(System.String)"]

Implements

ICsrfTokenStoreSetCsrfToken(String)
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore Fields

The CsrfTokenCookieStore type exposes the following members.

Fields
Name | Description
CsrfTokenCookieKey | 储存CSRF校验到Cookie时使用的键
Top
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


CsrfTokenCookieStore.CsrfTokenCookieKey Field

CsrfTokenCookieStoreCsrfTokenCookieKey Field
储存CSRF校验到Cookie时使用的键

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CsrfTokenCookieKey = "ZKWEBCSRFTOKEN"
Public Const CsrfTokenCookieKey As String = "ZKWEBCSRFTOKEN"
public:
literal String^ CsrfTokenCookieKey = "ZKWEBCSRFTOKEN"
static val mutable CsrfTokenCookieKey: string

Field Value

Type: String
See Also

Reference

CsrfTokenCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore Namespace


ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces"]

Interfaces
 | Interface | Description
Public interface | ICsrfTokenStore | CSRF校验的储存接口


ICsrfTokenStore Interface
CSRF校验的储存接口

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ICsrfTokenStore
Public Interface ICsrfTokenStore
public interface class ICsrfTokenStore
type ICsrfTokenStore =  interface end

The ICsrfTokenStore type exposes the following members.

Methods
 | Name | Description
Public method | GetCsrfToken | 获取CSRF校验
Public method | RemoveCsrfToken | 删除CSRF校验
Public method | SetCsrfToken | 设置CSRF校验
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces Namespace


ICsrfTokenStore Methods

The ICsrfTokenStore type exposes the following members.

Methods
 | Name | Description
Public method | GetCsrfToken | 获取CSRF校验
Public method | RemoveCsrfToken | 删除CSRF校验
Public method | SetCsrfToken | 设置CSRF校验
Top
See Also

Reference

ICsrfTokenStore Interface
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces Namespace


ICsrfTokenStore.GetCsrfToken Method

ICsrfTokenStoreGetCsrfToken Method

获取CSRF校验

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string GetCsrfToken()
Function GetCsrfToken As String
String^ GetCsrfToken()
abstract GetCsrfToken : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces.ICsrfTokenStore.GetCsrfToken"]

See Also

Reference

ICsrfTokenStore Interface
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces Namespace


ICsrfTokenStore.RemoveCsrfToken Method

ICsrfTokenStoreRemoveCsrfToken Method

删除CSRF校验

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void RemoveCsrfToken()
Sub RemoveCsrfToken
void RemoveCsrfToken()
abstract RemoveCsrfToken : unit -> unit
See Also

Reference

ICsrfTokenStore Interface
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces Namespace


ICsrfTokenStore.SetCsrfToken Method

ICsrfTokenStoreSetCsrfToken Method

设置CSRF校验

Namespace: ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void SetCsrfToken(
    string token
)
Sub SetCsrfToken (
    token As String
)
void SetCsrfToken(
    String^ token
)
abstract SetCsrfToken :
        token : string -> unit

Parameters

token
Type: SystemString
CSRF校验
See Also

Reference

ICsrfTokenStore Interface
ZKWeb.Plugins.Common.Base.src.Components.CsrfTokenStore.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler"]

Classes
 | Class | Description
Public class | DatabaseInitializeHandler | 添加表前缀


DatabaseInitializeHandler Class
添加表前缀
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandlerDatabaseInitializeHandler

Namespace: ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DatabaseInitializeHandler : IDatabaseInitializeHandler
Public Class DatabaseInitializeHandler
    Implements IDatabaseInitializeHandler
public ref class DatabaseInitializeHandler : IDatabaseInitializeHandler
type DatabaseInitializeHandler =
    class
        interface IDatabaseInitializeHandler
    end

The DatabaseInitializeHandler type exposes the following members.

Constructors
 | Name | Description
Public method | DatabaseInitializeHandler | Initializes a new instance of the DatabaseInitializeHandler class
Top
Methods
 | Name | Description
Public method | ConvertTableName |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler Namespace


DatabaseInitializeHandler Constructor

Initializes a new instance of the DatabaseInitializeHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DatabaseInitializeHandler()
Public Sub New
public:
DatabaseInitializeHandler()
new : unit -> DatabaseInitializeHandler
See Also

Reference

DatabaseInitializeHandler Class
ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler Namespace


DatabaseInitializeHandler Methods

The DatabaseInitializeHandler type exposes the following members.

Methods
 | Name | Description
Public method | ConvertTableName |
Top
See Also

Reference

DatabaseInitializeHandler Class
ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler Namespace


DatabaseInitializeHandler.ConvertTableName Method

DatabaseInitializeHandlerConvertTableName Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler.DatabaseInitializeHandler.ConvertTableName(System.String@)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ConvertTableName(
    ref string tableName
)
Public Sub ConvertTableName (
    ByRef tableName As String
)
public:
virtual void ConvertTableName(
    String^% tableName
) sealed
abstract ConvertTableName :
        tableName : string byref -> unit
override ConvertTableName :
        tableName : string byref -> unit

Parameters

tableName
Type: SystemString

[Missing <param name="tableName"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler.DatabaseInitializeHandler.ConvertTableName(System.String@)"]

Implements

IDatabaseInitializeHandler.ConvertTableName(String)
See Also

Reference

DatabaseInitializeHandler Class
ZKWeb.Plugins.Common.Base.src.Components.DatabaseInitializeHandler Namespace


ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.Exceptions"]

Classes
 | Class | Description
Public class | BadRequestException | 请求参数有误的错误
Public class | ForbiddenException | 无权访问的错误
Public class | NotFoundException | 页面或资源无法找到的错误


BadRequestException Class
请求参数有误的错误
Inheritance Hierarchy
SystemObject
SystemException
HttpException
ZKWeb.Plugins.Common.Base.src.Components.ExceptionsBadRequestException
Pingpp.ExceptionPingppException

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Exceptions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BadRequestException : HttpException
Public Class BadRequestException
    Inherits HttpException
public ref class BadRequestException : public HttpException
type BadRequestException =
    class
        inherit HttpException
    end

The BadRequestException type exposes the following members.

Constructors
 | Name | Description
Public method | BadRequestException | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace


BadRequestException Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Exceptions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BadRequestException(
    string message
)
Public Sub New (
    message As String
)
public:
BadRequestException(
    String^ message
)
new :
        message : string -> BadRequestException

Parameters

message
Type: SystemString
错误消息
See Also

Reference

BadRequestException Class
ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace


ForbiddenException Class
无权访问的错误
Inheritance Hierarchy
SystemObject
SystemException
HttpException
ZKWeb.Plugins.Common.Base.src.Components.ExceptionsForbiddenException

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Exceptions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ForbiddenException : HttpException
Public Class ForbiddenException
    Inherits HttpException
public ref class ForbiddenException : public HttpException
type ForbiddenException =
    class
        inherit HttpException
    end

The ForbiddenException type exposes the following members.

Constructors
 | Name | Description
Public method | ForbiddenException | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace


ForbiddenException Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Exceptions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ForbiddenException(
    string message
)
Public Sub New (
    message As String
)
public:
ForbiddenException(
    String^ message
)
new :
        message : string -> ForbiddenException

Parameters

message
Type: SystemString
错误消息
See Also

Reference

ForbiddenException Class
ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace


NotFoundException Class
页面或资源无法找到的错误
Inheritance Hierarchy
SystemObject
SystemException
HttpException
ZKWeb.Plugins.Common.Base.src.Components.ExceptionsNotFoundException

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Exceptions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class NotFoundException : HttpException
Public Class NotFoundException
    Inherits HttpException
public ref class NotFoundException : public HttpException
type NotFoundException =
    class
        inherit HttpException
    end

The NotFoundException type exposes the following members.

Constructors
 | Name | Description
Public method | NotFoundException | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace


NotFoundException Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Exceptions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public NotFoundException(
    string message
)
Public Sub New (
    message As String
)
public:
NotFoundException(
    String^ message
)
new :
        message : string -> NotFoundException

Parameters

message
Type: SystemString
错误消息
See Also

Reference

NotFoundException Class
ZKWeb.Plugins.Common.Base.src.Components.Exceptions Namespace


ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs |
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes |


ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | LocaleSettings | 语言时区设置
Public class | WebsiteSettings | 网站设置


LocaleSettings Class
语言时区设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigsLocaleSettings

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LocaleSettings
Public Class LocaleSettings
public ref class LocaleSettings
type LocaleSettings =  class end

The LocaleSettings type exposes the following members.

Constructors
 | Name | Description
Public method | LocaleSettings | Initializes a new instance of the LocaleSettings class
Top
Properties
 | Name | Description
Public property | AllowDetectLanguageFromBrowser | 是否允许自动检测浏览器语言 默认不允许
Public property | DefaultLanguage | 默认语言
Public property | DefaultTimezone | 默认时区
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


LocaleSettings Constructor

Initializes a new instance of the LocaleSettings class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LocaleSettings()
Public Sub New
public:
LocaleSettings()
new : unit -> LocaleSettings
See Also

Reference

LocaleSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


LocaleSettings Properties

The LocaleSettings type exposes the following members.

Properties
 | Name | Description
Public property | AllowDetectLanguageFromBrowser | 是否允许自动检测浏览器语言 默认不允许
Public property | DefaultLanguage | 默认语言
Public property | DefaultTimezone | 默认时区
Top
See Also

Reference

LocaleSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


LocaleSettings.AllowDetectLanguageFromBrowser Property

LocaleSettingsAllowDetectLanguageFromBrowser Property

是否允许自动检测浏览器语言 默认不允许

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool AllowDetectLanguageFromBrowser { get; set; }
Public Property AllowDetectLanguageFromBrowser As Boolean
    Get
    Set
public:
property bool AllowDetectLanguageFromBrowser {
    bool get ();
    void set (bool value);
}
member AllowDetectLanguageFromBrowser : bool with get, set

Property Value

Type: Boolean
See Also

Reference

LocaleSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


LocaleSettings.DefaultLanguage Property

LocaleSettingsDefaultLanguage Property

默认语言

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultLanguage { get; set; }
Public Property DefaultLanguage As String
    Get
    Set
public:
property String^ DefaultLanguage {
    String^ get ();
    void set (String^ value);
}
member DefaultLanguage : string with get, set

Property Value

Type: String
See Also

Reference

LocaleSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


LocaleSettings.DefaultTimezone Property

LocaleSettingsDefaultTimezone Property

默认时区

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultTimezone { get; set; }
Public Property DefaultTimezone As String
    Get
    Set
public:
property String^ DefaultTimezone {
    String^ get ();
    void set (String^ value);
}
member DefaultTimezone : string with get, set

Property Value

Type: String
See Also

Reference

LocaleSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings Class
网站设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigsWebsiteSettings

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WebsiteSettings
Public Class WebsiteSettings
public ref class WebsiteSettings
type WebsiteSettings =  class end

The WebsiteSettings type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteSettings | 初始化
Top
Properties
 | Name | Description
Public property | CopyrightText | 版权信息
Public property | DocumentTitleFormat | 网页标题的默认格式，默认是 {title} - {websiteName}
Public property | PageDescription | 页面描述
Public property | PageKeywords | 页面关键词
Public property | WebsiteName | 网站名称
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WebsiteSettings()
Public Sub New
public:
WebsiteSettings()
new : unit -> WebsiteSettings
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings Properties

The WebsiteSettings type exposes the following members.

Properties
 | Name | Description
Public property | CopyrightText | 版权信息
Public property | DocumentTitleFormat | 网页标题的默认格式，默认是 {title} - {websiteName}
Public property | PageDescription | 页面描述
Public property | PageKeywords | 页面关键词
Public property | WebsiteName | 网站名称
Top
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings.CopyrightText Property

WebsiteSettingsCopyrightText Property

版权信息

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CopyrightText { get; set; }
Public Property CopyrightText As String
    Get
    Set
public:
property String^ CopyrightText {
    String^ get ();
    void set (String^ value);
}
member CopyrightText : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings.DocumentTitleFormat Property

WebsiteSettingsDocumentTitleFormat Property

网页标题的默认格式，默认是 {title} - {websiteName}

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DocumentTitleFormat { get; set; }
Public Property DocumentTitleFormat As String
    Get
    Set
public:
property String^ DocumentTitleFormat {
    String^ get ();
    void set (String^ value);
}
member DocumentTitleFormat : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings.PageDescription Property

WebsiteSettingsPageDescription Property

页面描述

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PageDescription { get; set; }
Public Property PageDescription As String
    Get
    Set
public:
property String^ PageDescription {
    String^ get ();
    void set (String^ value);
}
member PageDescription : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings.PageKeywords Property

WebsiteSettingsPageKeywords Property

页面关键词

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PageKeywords { get; set; }
Public Property PageKeywords As String
    Get
    Set
public:
property String^ PageKeywords {
    String^ get ();
    void set (String^ value);
}
member PageKeywords : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


WebsiteSettings.WebsiteName Property

WebsiteSettingsWebsiteName Property

网站名称

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string WebsiteName { get; set; }
Public Property WebsiteName As String
    Get
    Set
public:
property String^ WebsiteName {
    String^ get ();
    void set (String^ value);
}
member WebsiteName : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteSettings Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes"]

Classes
 | Class | Description
Public class | GenericConfigAttribute | 通用配置的属性，用于指定所属插件和配置键名 通过配置管理器管理的配置都应该添加这个属性 这个属性不继承，可以使用新的继承类指定和原来的类不相同的插件和配置键


GenericConfigAttribute Class
通用配置的属性，用于指定所属插件和配置键名 通过配置管理器管理的配置都应该添加这个属性 这个属性不继承，可以使用新的继承类指定和原来的类不相同的插件和配置键
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.AttributesGenericConfigAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericConfigAttribute : Attribute
Public Class GenericConfigAttribute
    Inherits Attribute
public ref class GenericConfigAttribute : public Attribute
type GenericConfigAttribute =
    class
        inherit Attribute
    end

The GenericConfigAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | GenericConfigAttribute | 初始化
Top
Properties
 | Name | Description
Public property | CacheTime | 缓存时间（秒），默认是0
Public property | Key | 配置键名 格式应该使用"插件.配置键"
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes Namespace


GenericConfigAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericConfigAttribute(
    string key
)
Public Sub New (
    key As String
)
public:
GenericConfigAttribute(
    String^ key
)
new :
        key : string -> GenericConfigAttribute

Parameters

key
Type: SystemString
配置键名
See Also

Reference

GenericConfigAttribute Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes Namespace


GenericConfigAttribute Properties

The GenericConfigAttribute type exposes the following members.

Properties
 | Name | Description
Public property | CacheTime | 缓存时间（秒），默认是0
Public property | Key | 配置键名 格式应该使用"插件.配置键"
Top
See Also

Reference

GenericConfigAttribute Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes Namespace


GenericConfigAttribute.CacheTime Property

GenericConfigAttributeCacheTime Property

缓存时间（秒），默认是0

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int CacheTime { get; set; }
Public Property CacheTime As Integer
    Get
    Set
public:
property int CacheTime {
    int get ();
    void set (int value);
}
member CacheTime : int with get, set

Property Value

Type: Int32
See Also

Reference

GenericConfigAttribute Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes Namespace


GenericConfigAttribute.Key Property

GenericConfigAttributeKey Property

配置键名 格式应该使用"插件.配置键"

Namespace: ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; set; }
Public Property Key As String
    Get
    Set
public:
property String^ Key {
    String^ get ();
    void set (String^ value);
}
member Key : string with get, set

Property Value

Type: String
See Also

Reference

GenericConfigAttribute Class
ZKWeb.Plugins.Common.Base.src.Components.GenericConfigs.Attributes Namespace


ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers"]

Classes
 | Class | Description
Public class | LocaleHandler | 设置语言和时区
Public class | StaticHandler | 静态文件处理器 路径规则 /static/{路径} 返回文件 fileStorage.GetResourceFile("static", 路径); 文件不存在时抛出404例外


LocaleHandler Class
设置语言和时区
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlersLocaleHandler

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LocaleHandler : IHttpRequestPreHandler
Public Class LocaleHandler
    Implements IHttpRequestPreHandler
public ref class LocaleHandler : IHttpRequestPreHandler
type LocaleHandler =
    class
        interface IHttpRequestPreHandler
    end

The LocaleHandler type exposes the following members.

Constructors
 | Name | Description
Public method | LocaleHandler | Initializes a new instance of the LocaleHandler class
Top
Methods
 | Name | Description
Public method | OnRequest | 处理请求
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


LocaleHandler Constructor

Initializes a new instance of the LocaleHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LocaleHandler()
Public Sub New
public:
LocaleHandler()
new : unit -> LocaleHandler
See Also

Reference

LocaleHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


LocaleHandler Methods

The LocaleHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | 处理请求
Top
See Also

Reference

LocaleHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


LocaleHandler.OnRequest Method

LocaleHandlerOnRequest Method

处理请求

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequest()
Public Sub OnRequest
public:
virtual void OnRequest() sealed
abstract OnRequest : unit -> unit
override OnRequest : unit -> unit

Implements

IHttpRequestPreHandler.OnRequest
See Also

Reference

LocaleHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


StaticHandler Class
静态文件处理器 路径规则 /static/{路径} 返回文件 fileStorage.GetResourceFile("static", 路径); 文件不存在时抛出404例外
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlersStaticHandler

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StaticHandler : IHttpRequestHandler
Public Class StaticHandler
    Implements IHttpRequestHandler
public ref class StaticHandler : IHttpRequestHandler
type StaticHandler =
    class
        interface IHttpRequestHandler
    end

The StaticHandler type exposes the following members.

Constructors
 | Name | Description
Public method | StaticHandler | Initializes a new instance of the StaticHandler class
Top
Methods
 | Name | Description
Public method | OnRequest | 处理请求
Top
Fields
Name | Description
Prefix | 路径前缀
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


StaticHandler Constructor

Initializes a new instance of the StaticHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StaticHandler()
Public Sub New
public:
StaticHandler()
new : unit -> StaticHandler
See Also

Reference

StaticHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


StaticHandler Methods

The StaticHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | 处理请求
Top
See Also

Reference

StaticHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


StaticHandler.OnRequest Method

StaticHandlerOnRequest Method

处理请求

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequest()
Public Sub OnRequest
public:
virtual void OnRequest() sealed
abstract OnRequest : unit -> unit
override OnRequest : unit -> unit

Implements

IHttpRequestHandler.OnRequest
See Also

Reference

StaticHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


StaticHandler Fields

The StaticHandler type exposes the following members.

Fields
Name | Description
Prefix | 路径前缀
Top
See Also

Reference

StaticHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


StaticHandler.Prefix Field

StaticHandlerPrefix Field
路径前缀

Namespace: ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Prefix = "/static/"
Public Const Prefix As String = "/static/"
public:
literal String^ Prefix = "/static/"
static val mutable Prefix: string

Field Value

Type: String
See Also

Reference

StaticHandler Class
ZKWeb.Plugins.Common.Base.src.Components.HttpRequestHandlers Namespace


ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.Languages"]

Classes
 | Class | Description
Public class | Arabic | 阿拉伯语
Public class | Chinese | 中文
Public class | Czech | 捷克语
Public class | English | 英语
Public class | French | 法语
Public class | German | 德语
Public class | Greek | 希腊语
Public class | Italian | 意大利语
Public class | Japanese | 日语
Public class | Korean | 韩语
Public class | Polish | 波兰语
Public class | Russian | 俄语
Public class | Spanish | 西班牙语
Public class | Thai | 泰语
Public class | TraditionalChinese | 繁体中文


Arabic Class
阿拉伯语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesArabic

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Arabic : ILanguage
Public Class Arabic
    Implements ILanguage
public ref class Arabic : ILanguage
type Arabic =
    class
        interface ILanguage
    end

The Arabic type exposes the following members.

Constructors
 | Name | Description
Public method | Arabic | Initializes a new instance of the Arabic class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Arabic Constructor

Initializes a new instance of the Arabic class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Arabic()
Public Sub New
public:
Arabic()
new : unit -> Arabic
See Also

Reference

Arabic Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Arabic Properties

The Arabic type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Arabic Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Arabic.Name Property

ArabicName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Arabic.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Arabic Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Chinese Class
中文
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesChinese

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Chinese : ILanguage
Public Class Chinese
    Implements ILanguage
public ref class Chinese : ILanguage
type Chinese =
    class
        interface ILanguage
    end

The Chinese type exposes the following members.

Constructors
 | Name | Description
Public method | Chinese | Initializes a new instance of the Chinese class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Chinese Constructor

Initializes a new instance of the Chinese class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Chinese()
Public Sub New
public:
Chinese()
new : unit -> Chinese
See Also

Reference

Chinese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Chinese Properties

The Chinese type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Chinese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Chinese.Name Property

ChineseName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Chinese.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Chinese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Czech Class
捷克语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesCzech

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Czech : ILanguage
Public Class Czech
    Implements ILanguage
public ref class Czech : ILanguage
type Czech =
    class
        interface ILanguage
    end

The Czech type exposes the following members.

Constructors
 | Name | Description
Public method | Czech | Initializes a new instance of the Czech class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Czech Constructor

Initializes a new instance of the Czech class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Czech()
Public Sub New
public:
Czech()
new : unit -> Czech
See Also

Reference

Czech Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Czech Properties

The Czech type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Czech Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Czech.Name Property

CzechName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Czech.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Czech Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


English Class
英语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesEnglish

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class English : ILanguage
Public Class English
    Implements ILanguage
public ref class English : ILanguage
type English =
    class
        interface ILanguage
    end

The English type exposes the following members.

Constructors
 | Name | Description
Public method | English | Initializes a new instance of the English class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


English Constructor

Initializes a new instance of the English class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public English()
Public Sub New
public:
English()
new : unit -> English
See Also

Reference

English Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


English Properties

The English type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

English Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


English.Name Property

EnglishName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.English.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

English Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


French Class
法语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesFrench

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class French : ILanguage
Public Class French
    Implements ILanguage
public ref class French : ILanguage
type French =
    class
        interface ILanguage
    end

The French type exposes the following members.

Constructors
 | Name | Description
Public method | French | Initializes a new instance of the French class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


French Constructor

Initializes a new instance of the French class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public French()
Public Sub New
public:
French()
new : unit -> French
See Also

Reference

French Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


French Properties

The French type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

French Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


French.Name Property

FrenchName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.French.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

French Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


German Class
德语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesGerman

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class German : ILanguage
Public Class German
    Implements ILanguage
public ref class German : ILanguage
type German =
    class
        interface ILanguage
    end

The German type exposes the following members.

Constructors
 | Name | Description
Public method | German | Initializes a new instance of the German class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


German Constructor

Initializes a new instance of the German class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public German()
Public Sub New
public:
German()
new : unit -> German
See Also

Reference

German Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


German Properties

The German type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

German Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


German.Name Property

GermanName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.German.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

German Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Greek Class
希腊语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesGreek

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Greek : ILanguage
Public Class Greek
    Implements ILanguage
public ref class Greek : ILanguage
type Greek =
    class
        interface ILanguage
    end

The Greek type exposes the following members.

Constructors
 | Name | Description
Public method | Greek | Initializes a new instance of the Greek class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Greek Constructor

Initializes a new instance of the Greek class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Greek()
Public Sub New
public:
Greek()
new : unit -> Greek
See Also

Reference

Greek Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Greek Properties

The Greek type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Greek Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Greek.Name Property

GreekName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Greek.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Greek Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Italian Class
意大利语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesItalian

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Italian : ILanguage
Public Class Italian
    Implements ILanguage
public ref class Italian : ILanguage
type Italian =
    class
        interface ILanguage
    end

The Italian type exposes the following members.

Constructors
 | Name | Description
Public method | Italian | Initializes a new instance of the Italian class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Italian Constructor

Initializes a new instance of the Italian class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Italian()
Public Sub New
public:
Italian()
new : unit -> Italian
See Also

Reference

Italian Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Italian Properties

The Italian type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Italian Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Italian.Name Property

ItalianName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Italian.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Italian Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Japanese Class
日语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesJapanese

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Japanese : ILanguage
Public Class Japanese
    Implements ILanguage
public ref class Japanese : ILanguage
type Japanese =
    class
        interface ILanguage
    end

The Japanese type exposes the following members.

Constructors
 | Name | Description
Public method | Japanese | Initializes a new instance of the Japanese class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Japanese Constructor

Initializes a new instance of the Japanese class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Japanese()
Public Sub New
public:
Japanese()
new : unit -> Japanese
See Also

Reference

Japanese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Japanese Properties

The Japanese type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Japanese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Japanese.Name Property

JapaneseName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Japanese.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Japanese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Korean Class
韩语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesKorean

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Korean : ILanguage
Public Class Korean
    Implements ILanguage
public ref class Korean : ILanguage
type Korean =
    class
        interface ILanguage
    end

The Korean type exposes the following members.

Constructors
 | Name | Description
Public method | Korean | Initializes a new instance of the Korean class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Korean Constructor

Initializes a new instance of the Korean class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Korean()
Public Sub New
public:
Korean()
new : unit -> Korean
See Also

Reference

Korean Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Korean Properties

The Korean type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Korean Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Korean.Name Property

KoreanName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Korean.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Korean Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Polish Class
波兰语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesPolish

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Polish : ILanguage
Public Class Polish
    Implements ILanguage
public ref class Polish : ILanguage
type Polish =
    class
        interface ILanguage
    end

The Polish type exposes the following members.

Constructors
 | Name | Description
Public method | Polish | Initializes a new instance of the Polish class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Polish Constructor

Initializes a new instance of the Polish class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Polish()
Public Sub New
public:
Polish()
new : unit -> Polish
See Also

Reference

Polish Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Polish Properties

The Polish type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Polish Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Polish.Name Property

PolishName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Polish.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Polish Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Russian Class
俄语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesRussian

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Russian : ILanguage
Public Class Russian
    Implements ILanguage
public ref class Russian : ILanguage
type Russian =
    class
        interface ILanguage
    end

The Russian type exposes the following members.

Constructors
 | Name | Description
Public method | Russian | Initializes a new instance of the Russian class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Russian Constructor

Initializes a new instance of the Russian class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Russian()
Public Sub New
public:
Russian()
new : unit -> Russian
See Also

Reference

Russian Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Russian Properties

The Russian type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Russian Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Russian.Name Property

RussianName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Russian.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Russian Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Spanish Class
西班牙语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesSpanish

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Spanish : ILanguage
Public Class Spanish
    Implements ILanguage
public ref class Spanish : ILanguage
type Spanish =
    class
        interface ILanguage
    end

The Spanish type exposes the following members.

Constructors
 | Name | Description
Public method | Spanish | Initializes a new instance of the Spanish class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Spanish Constructor

Initializes a new instance of the Spanish class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Spanish()
Public Sub New
public:
Spanish()
new : unit -> Spanish
See Also

Reference

Spanish Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Spanish Properties

The Spanish type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Spanish Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Spanish.Name Property

SpanishName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Spanish.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Spanish Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Thai Class
泰语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesThai

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Thai : ILanguage
Public Class Thai
    Implements ILanguage
public ref class Thai : ILanguage
type Thai =
    class
        interface ILanguage
    end

The Thai type exposes the following members.

Constructors
 | Name | Description
Public method | Thai | Initializes a new instance of the Thai class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Thai Constructor

Initializes a new instance of the Thai class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Thai()
Public Sub New
public:
Thai()
new : unit -> Thai
See Also

Reference

Thai Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Thai Properties

The Thai type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

Thai Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


Thai.Name Property

ThaiName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.Thai.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

Thai Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


TraditionalChinese Class
繁体中文
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.LanguagesTraditionalChinese

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TraditionalChinese : ILanguage
Public Class TraditionalChinese
    Implements ILanguage
public ref class TraditionalChinese : ILanguage
type TraditionalChinese =
    class
        interface ILanguage
    end

The TraditionalChinese type exposes the following members.

Constructors
 | Name | Description
Public method | TraditionalChinese | Initializes a new instance of the TraditionalChinese class
Top
Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


TraditionalChinese Constructor

Initializes a new instance of the TraditionalChinese class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TraditionalChinese()
Public Sub New
public:
TraditionalChinese()
new : unit -> TraditionalChinese
See Also

Reference

TraditionalChinese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


TraditionalChinese Properties

The TraditionalChinese type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

TraditionalChinese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


TraditionalChinese.Name Property

TraditionalChineseName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Base.src.Components.Languages.TraditionalChinese.Name"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Languages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ILanguage.Name
See Also

Reference

TraditionalChinese Class
ZKWeb.Plugins.Common.Base.src.Components.Languages Namespace


ZKWeb.Plugins.Common.Base.src.Components.Mscorlib Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Components.Mscorlib"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions |
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils |


ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions"]

Classes
 | Class | Description
Public class | StringExtensions | 字符串的扩展函数


StringExtensions Class
字符串的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.ExtensionsStringExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class StringExtensions
<ExtensionAttribute>
Public NotInheritable Class StringExtensions
[ExtensionAttribute]
public ref class StringExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StringExtensions =  class end

The StringExtensions type exposes the following members.

Methods
Name | Description
TruncateWithSuffix | 获取最大长度的字符串 字符串长度超过最大长度时截取字符串并在后面添加后缀 后缀suffix的默认值是"..."
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions Namespace


StringExtensions Methods

The StringExtensions type exposes the following members.

Methods
Name | Description
TruncateWithSuffix | 获取最大长度的字符串 字符串长度超过最大长度时截取字符串并在后面添加后缀 后缀suffix的默认值是"..."
Top
See Also

Reference

StringExtensions Class
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions Namespace


StringExtensions.TruncateWithSuffix Method

StringExtensionsTruncateWithSuffix Method

获取最大长度的字符串 字符串长度超过最大长度时截取字符串并在后面添加后缀 后缀suffix的默认值是"..."

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string TruncateWithSuffix(
    this string str,
    int maxLength,
    string suffix = null
)
<ExtensionAttribute>
Public Shared Function TruncateWithSuffix (
    str As String,
    maxLength As Integer,
    Optional suffix As String = Nothing
) As String
public:
[ExtensionAttribute]
static String^ TruncateWithSuffix(
    String^ str,
    int maxLength,
    String^ suffix = nullptr
)
[<ExtensionAttribute>]
static member TruncateWithSuffix :
        str : string *
        maxLength : int *
        ?suffix : string
(* Defaults:
        let _suffix = defaultArg suffix null
*)
-> string

Parameters

str
Type: SystemString
字符串
maxLength
Type: SystemInt32
最大长度
suffix (Optional)
Type: SystemString
后缀，默认值是"..."

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions.StringExtensions.TruncateWithSuffix(System.String,System.Int32,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type String. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StringExtensions Class
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils"]

Classes
 | Class | Description
Public class | NetworkUtils | 网络相关的工具类 TODO: ZKWeb 1.7以后移除这里


NetworkUtils Class
网络相关的工具类 TODO: ZKWeb 1.7以后移除这里
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.UtilsNetworkUtils

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class NetworkUtils
Public NotInheritable Class NetworkUtils
public ref class NetworkUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type NetworkUtils =  class end

The NetworkUtils type exposes the following members.

Methods
Name | Description
GetClientIpAddress | 获取客户端的Ip地址 Http请求存在时返回远程地址，不存在时返回本机地址 如果本机在LAN中会返回LAN中的地址，不会返回公网IP
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils Namespace


NetworkUtils Methods

The NetworkUtils type exposes the following members.

Methods
Name | Description
GetClientIpAddress | 获取客户端的Ip地址 Http请求存在时返回远程地址，不存在时返回本机地址 如果本机在LAN中会返回LAN中的地址，不会返回公网IP
Top
See Also

Reference

NetworkUtils Class
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils Namespace


NetworkUtils.GetClientIpAddress Method

NetworkUtilsGetClientIpAddress Method

获取客户端的Ip地址 Http请求存在时返回远程地址，不存在时返回本机地址 如果本机在LAN中会返回LAN中的地址，不会返回公网IP

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IPAddress GetClientIpAddress()
Public Shared Function GetClientIpAddress As IPAddress
public:
static IPAddress^ GetClientIpAddress()
static member GetClientIpAddress : unit -> IPAddress

Return Value

Type: IPAddress

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils.NetworkUtils.GetClientIpAddress"]

See Also

Reference

NetworkUtils Class
ZKWeb.Plugins.Common.Base.src.Components.Mscorlib.Utils Namespace


ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks |
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces |


ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks"]

Classes
 | Class | Description
Public class | LogCleaner | 日志清理器 每小时删除一次旧的日志 日志保留时间 Debug 3天 Info 3天 Error 30天 Transaction 30天
Public class | SessionCleaner | 会话清理器 每小时删除一次过期的会话


LogCleaner Class
日志清理器 每小时删除一次旧的日志 日志保留时间 Debug 3天 Info 3天 Error 30天 Transaction 30天
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasksLogCleaner

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogCleaner : IScheduledTaskExecutor
Public Class LogCleaner
    Implements IScheduledTaskExecutor
public ref class LogCleaner : IScheduledTaskExecutor
type LogCleaner =
    class
        interface IScheduledTaskExecutor
    end

The LogCleaner type exposes the following members.

Constructors
 | Name | Description
Public method | LogCleaner | Initializes a new instance of the LogCleaner class
Top
Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 删除过期的日志
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


LogCleaner Constructor

Initializes a new instance of the LogCleaner class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogCleaner()
Public Sub New
public:
LogCleaner()
new : unit -> LogCleaner
See Also

Reference

LogCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


LogCleaner Properties

The LogCleaner type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

LogCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


LogCleaner.Key Property

LogCleanerKey Property

任务键名

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; }
Public ReadOnly Property Key As String
    Get
public:
virtual property String^ Key {
    String^ get () sealed;
}
abstract Key : string with get
override Key : string with get

Property Value

Type: String

Implements

IScheduledTaskExecutorKey
See Also

Reference

LogCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


LogCleaner Methods

The LogCleaner type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 删除过期的日志
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

LogCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


LogCleaner.Execute Method

LogCleanerExecute Method

删除过期的日志

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Execute()
Public Sub Execute
public:
virtual void Execute() sealed
abstract Execute : unit -> unit
override Execute : unit -> unit

Implements

IScheduledTaskExecutorExecute
See Also

Reference

LogCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


LogCleaner.ShouldExecuteNow Method

LogCleanerShouldExecuteNow Method

每小时执行一次

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ShouldExecuteNow(
    DateTime lastExecuted
)
Public Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
public:
virtual bool ShouldExecuteNow(
    DateTime lastExecuted
) sealed
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool
override ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime

[Missing <param name="lastExecuted"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.LogCleaner.ShouldExecuteNow(System.DateTime)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.LogCleaner.ShouldExecuteNow(System.DateTime)"]

Implements

IScheduledTaskExecutorShouldExecuteNow(DateTime)
See Also

Reference

LogCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner Class
会话清理器 每小时删除一次过期的会话
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasksSessionCleaner

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SessionCleaner : IScheduledTaskExecutor
Public Class SessionCleaner
    Implements IScheduledTaskExecutor
public ref class SessionCleaner : IScheduledTaskExecutor
type SessionCleaner =
    class
        interface IScheduledTaskExecutor
    end

The SessionCleaner type exposes the following members.

Constructors
 | Name | Description
Public method | SessionCleaner | Initializes a new instance of the SessionCleaner class
Top
Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 删除过期的会话
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner Constructor

Initializes a new instance of the SessionCleaner class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SessionCleaner()
Public Sub New
public:
SessionCleaner()
new : unit -> SessionCleaner
See Also

Reference

SessionCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner Properties

The SessionCleaner type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

SessionCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner.Key Property

SessionCleanerKey Property

任务键名

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; }
Public ReadOnly Property Key As String
    Get
public:
virtual property String^ Key {
    String^ get () sealed;
}
abstract Key : string with get
override Key : string with get

Property Value

Type: String

Implements

IScheduledTaskExecutorKey
See Also

Reference

SessionCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner Methods

The SessionCleaner type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 删除过期的会话
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

SessionCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner.Execute Method

SessionCleanerExecute Method

删除过期的会话

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Execute()
Public Sub Execute
public:
virtual void Execute() sealed
abstract Execute : unit -> unit
override Execute : unit -> unit

Implements

IScheduledTaskExecutorExecute
See Also

Reference

SessionCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


SessionCleaner.ShouldExecuteNow Method

SessionCleanerShouldExecuteNow Method

每小时执行一次

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ShouldExecuteNow(
    DateTime lastExecuted
)
Public Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
public:
virtual bool ShouldExecuteNow(
    DateTime lastExecuted
) sealed
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool
override ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime

[Missing <param name="lastExecuted"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.SessionCleaner.ShouldExecuteNow(System.DateTime)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.SessionCleaner.ShouldExecuteNow(System.DateTime)"]

Implements

IScheduledTaskExecutorShouldExecuteNow(DateTime)
See Also

Reference

SessionCleaner Class
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks Namespace


ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IScheduledTaskExecutor | 定时任务执行器


IScheduledTaskExecutor Interface
定时任务执行器

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IScheduledTaskExecutor
Public Interface IScheduledTaskExecutor
public interface class IScheduledTaskExecutor
type IScheduledTaskExecutor =  interface end

The IScheduledTaskExecutor type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 执行任务
Public method | ShouldExecuteNow | 判断是否应该立刻执行任务
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace


IScheduledTaskExecutor Properties

The IScheduledTaskExecutor type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

IScheduledTaskExecutor Interface
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace


IScheduledTaskExecutor.Key Property

IScheduledTaskExecutorKey Property

任务键名

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Key { get; }
ReadOnly Property Key As String
    Get
property String^ Key {
    String^ get ();
}
abstract Key : string with get

Property Value

Type: String
See Also

Reference

IScheduledTaskExecutor Interface
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace


IScheduledTaskExecutor Methods

The IScheduledTaskExecutor type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 执行任务
Public method | ShouldExecuteNow | 判断是否应该立刻执行任务
Top
See Also

Reference

IScheduledTaskExecutor Interface
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace


IScheduledTaskExecutor.Execute Method

IScheduledTaskExecutorExecute Method

执行任务

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Execute()
Sub Execute
void Execute()
abstract Execute : unit -> unit
See Also

Reference

IScheduledTaskExecutor Interface
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace


IScheduledTaskExecutor.ShouldExecuteNow Method

IScheduledTaskExecutorShouldExecuteNow Method

判断是否应该立刻执行任务

Namespace: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool ShouldExecuteNow(
    DateTime lastExecuted
)
Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
bool ShouldExecuteNow(
    DateTime lastExecuted
)
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime
最后一次执行任务的时间，首次调用是DateTime.MinValue

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces.IScheduledTaskExecutor.ShouldExecuteNow(System.DateTime)"]

See Also

Reference

IScheduledTaskExecutor Interface
ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources"]

Classes
 | Class | Description
Public class | SessionIdCookieStore | 使用Cookie获取和保存会话Id


SessionIdCookieStore Class
使用Cookie获取和保存会话Id
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSourcesSessionIdCookieStore

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SessionIdCookieStore : ISessionIdStore
Public Class SessionIdCookieStore
    Implements ISessionIdStore
public ref class SessionIdCookieStore : ISessionIdStore
type SessionIdCookieStore =
    class
        interface ISessionIdStore
    end

The SessionIdCookieStore type exposes the following members.

Constructors
 | Name | Description
Public method | SessionIdCookieStore | Initializes a new instance of the SessionIdCookieStore class
Top
Methods
 | Name | Description
Public method | GetSessionId | 获取会话Id
Public method | RemoveSessionId | 删除会话Id
Public method | SetSessionId | 设置会话Id
Top
Fields
Name | Description
SessionCookieKey | 储存会话Id到Cookie时使用的键
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore Constructor

Initializes a new instance of the SessionIdCookieStore class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SessionIdCookieStore()
Public Sub New
public:
SessionIdCookieStore()
new : unit -> SessionIdCookieStore
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore Methods

The SessionIdCookieStore type exposes the following members.

Methods
 | Name | Description
Public method | GetSessionId | 获取会话Id
Public method | RemoveSessionId | 删除会话Id
Public method | SetSessionId | 设置会话Id
Top
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore.GetSessionId Method

SessionIdCookieStoreGetSessionId Method

获取会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid GetSessionId()
Public Function GetSessionId As Guid
public:
virtual Guid GetSessionId() sealed
abstract GetSessionId : unit -> Guid
override GetSessionId : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources.SessionIdCookieStore.GetSessionId"]

Implements

ISessionIdStoreGetSessionId
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore.RemoveSessionId Method

SessionIdCookieStoreRemoveSessionId Method

删除会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void RemoveSessionId()
Public Sub RemoveSessionId
public:
virtual void RemoveSessionId() sealed
abstract RemoveSessionId : unit -> unit
override RemoveSessionId : unit -> unit

Implements

ISessionIdStoreRemoveSessionId
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore.SetSessionId Method

SessionIdCookieStoreSetSessionId Method

设置会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void SetSessionId(
    Guid sessionId,
    Nullable<DateTime> expires
)
Public Sub SetSessionId (
    sessionId As Guid,
    expires As Nullable(Of DateTime)
)
public:
virtual void SetSessionId(
    Guid sessionId,
    Nullable<DateTime> expires
) sealed
abstract SetSessionId :
        sessionId : Guid *
        expires : Nullable<DateTime> -> unit
override SetSessionId :
        sessionId : Guid *
        expires : Nullable<DateTime> -> unit

Parameters

sessionId
Type: SystemGuid
会话Id
expires
Type: SystemNullable DateTime
过期时间

Implements

ISessionIdStoreSetSessionId(Guid, NullableDateTime)
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore Fields

The SessionIdCookieStore type exposes the following members.

Fields
Name | Description
SessionCookieKey | 储存会话Id到Cookie时使用的键
Top
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


SessionIdCookieStore.SessionCookieKey Field

SessionIdCookieStoreSessionCookieKey Field
储存会话Id到Cookie时使用的键

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionCookieKey = "ZKWEBSESSID"
Public Const SessionCookieKey As String = "ZKWEBSESSID"
public:
literal String^ SessionCookieKey = "ZKWEBSESSID"
static val mutable SessionCookieKey: string

Field Value

Type: String
See Also

Reference

SessionIdCookieStore Class
ZKWeb.Plugins.Common.Base.src.Components.SessionIdSources Namespace


ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces"]

Interfaces
 | Interface | Description
Public interface | ISessionIdStore | 会话Id的储存接口


ISessionIdStore Interface
会话Id的储存接口

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ISessionIdStore
Public Interface ISessionIdStore
public interface class ISessionIdStore
type ISessionIdStore =  interface end

The ISessionIdStore type exposes the following members.

Methods
 | Name | Description
Public method | GetSessionId | 获取会话Id
Public method | RemoveSessionId | 删除会话Id
Public method | SetSessionId | 设置会话Id
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces Namespace


ISessionIdStore Methods

The ISessionIdStore type exposes the following members.

Methods
 | Name | Description
Public method | GetSessionId | 获取会话Id
Public method | RemoveSessionId | 删除会话Id
Public method | SetSessionId | 设置会话Id
Top
See Also

Reference

ISessionIdStore Interface
ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces Namespace


ISessionIdStore.GetSessionId Method

ISessionIdStoreGetSessionId Method

获取会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Guid GetSessionId()
Function GetSessionId As Guid
Guid GetSessionId()
abstract GetSessionId : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces.ISessionIdStore.GetSessionId"]

See Also

Reference

ISessionIdStore Interface
ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces Namespace


ISessionIdStore.RemoveSessionId Method

ISessionIdStoreRemoveSessionId Method

删除会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void RemoveSessionId()
Sub RemoveSessionId
void RemoveSessionId()
abstract RemoveSessionId : unit -> unit
See Also

Reference

ISessionIdStore Interface
ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces Namespace


ISessionIdStore.SetSessionId Method

ISessionIdStoreSetSessionId Method

设置会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void SetSessionId(
    Guid id,
    Nullable<DateTime> expires
)
Sub SetSessionId (
    id As Guid,
    expires As Nullable(Of DateTime)
)
void SetSessionId(
    Guid id,
    Nullable<DateTime> expires
)
abstract SetSessionId :
        id : Guid *
        expires : Nullable<DateTime> -> unit

Parameters

id
Type: SystemGuid
会话Id
expires
Type: SystemNullable DateTime
过期时间
See Also

Reference

ISessionIdStore Interface
ZKWeb.Plugins.Common.Base.src.Components.SessionIdStore.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.Translates"]

Classes
 | Class | Description
Public class | en_US | 英文翻译 用于把"CamelCaseWord"转换为"Camel Case Word"
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


en_US Class
英文翻译 用于把"CamelCaseWord"转换为"Camel Case Word"
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Translatesen_US

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class en_US : ITranslateProvider
Public Class en_US
    Implements ITranslateProvider
public ref class en_US : ITranslateProvider
type en_US =
    class
        interface ITranslateProvider
    end

The en_US type exposes the following members.

Constructors
 | Name | Description
Public method | en_US | Initializes a new instance of the en_US class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


en_US Constructor

Initializes a new instance of the en_US class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public en_US()
Public Sub New
public:
en_US()
new : unit -> en_US
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


en_US Methods

The en_US type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


en_US.CanTranslate Method

en_USCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.en_US.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.en_US.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.en_US.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


en_US.Translate Method

en_USTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.en_US.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.en_US.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.en_US.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Base.src.Components.Translates Namespace


ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IUrlFilter | 全局Url过滤器


IUrlFilter Interface
全局Url过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IUrlFilter
Public Interface IUrlFilter
public interface class IUrlFilter
type IUrlFilter =  interface end

The IUrlFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 过滤Url
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces Namespace


IUrlFilter Methods

The IUrlFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 过滤Url
Top
See Also

Reference

IUrlFilter Interface
ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces Namespace


IUrlFilter.Filter Method

IUrlFilterFilter Method

过滤Url

Namespace: ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Filter(
    ref string url
)
Sub Filter (
    ByRef url As String
)
void Filter(
    String^% url
)
abstract Filter :
        url : string byref -> unit

Parameters

url
Type: SystemString
url
See Also

Reference

IUrlFilter Interface
ZKWeb.Plugins.Common.Base.src.Components.UrlFilters.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Controllers |
ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults |
ZKWeb.Plugins.Common.Base.src.Controllers.Bases |
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions |


ZKWeb.Plugins.Common.Base.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Controllers"]

Classes
 | Class | Description
Public class | BaseApiController | 基础Api控制器
Public class | IndexController | 首页控制器


BaseApiController Class
基础Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Base.src.ControllersBaseApiController

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BaseApiController : ControllerBase
Public Class BaseApiController
    Inherits ControllerBase
public ref class BaseApiController : public ControllerBase
type BaseApiController =
    class
        inherit ControllerBase
    end

The BaseApiController type exposes the following members.

Constructors
 | Name | Description
Public method | BaseApiController | Initializes a new instance of the BaseApiController class
Top
Methods
 | Name | Description
Public method | ExportAjaxTable | 导出Ajax表格的数据
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Controllers Namespace


BaseApiController Constructor

Initializes a new instance of the BaseApiController class

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BaseApiController()
Public Sub New
public:
BaseApiController()
new : unit -> BaseApiController
See Also

Reference

BaseApiController Class
ZKWeb.Plugins.Common.Base.src.Controllers Namespace


BaseApiController Methods

The BaseApiController type exposes the following members.

Methods
 | Name | Description
Public method | ExportAjaxTable | 导出Ajax表格的数据
Top
See Also

Reference

BaseApiController Class
ZKWeb.Plugins.Common.Base.src.Controllers Namespace


BaseApiController.ExportAjaxTable Method

BaseApiControllerExportAjaxTable Method

导出Ajax表格的数据

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ExportAjaxTable()
Public Function ExportAjaxTable As IActionResult
public:
IActionResult^ ExportAjaxTable()
member ExportAjaxTable : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Controllers.BaseApiController.ExportAjaxTable"]

See Also

Reference

BaseApiController Class
ZKWeb.Plugins.Common.Base.src.Controllers Namespace


IndexController Class
首页控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Base.src.ControllersIndexController

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class IndexController : ControllerBase
Public Class IndexController
    Inherits ControllerBase
public ref class IndexController : public ControllerBase
type IndexController =
    class
        inherit ControllerBase
    end

The IndexController type exposes the following members.

Constructors
 | Name | Description
Public method | IndexController | Initializes a new instance of the IndexController class
Top
Methods
 | Name | Description
Public method | Index | 首页
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Controllers Namespace


IndexController Constructor

Initializes a new instance of the IndexController class

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IndexController()
Public Sub New
public:
IndexController()
new : unit -> IndexController
See Also

Reference

IndexController Class
ZKWeb.Plugins.Common.Base.src.Controllers Namespace


IndexController Methods

The IndexController type exposes the following members.

Methods
 | Name | Description
Public method | Index | 首页
Top
See Also

Reference

IndexController Class
ZKWeb.Plugins.Common.Base.src.Controllers Namespace


IndexController.Index Method

IndexControllerIndex Method

首页

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Index()
Public Function Index As IActionResult
public:
IActionResult^ Index()
member Index : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Controllers.IndexController.Index"]

See Also

Reference

IndexController Class
ZKWeb.Plugins.Common.Base.src.Controllers Namespace


ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults"]

Classes
 | Class | Description
Public class | StaticTableExportResult | 静态表格的导出结果


StaticTableExportResult Class
静态表格的导出结果
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.ActionResultsStaticTableExportResult

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StaticTableExportResult : IActionResult
Public Class StaticTableExportResult
    Implements IActionResult
public ref class StaticTableExportResult : IActionResult
type StaticTableExportResult =
    class
        interface IActionResult
    end

The StaticTableExportResult type exposes the following members.

Constructors
 | Name | Description
Public method | StaticTableExportResult | 初始化
Top
Methods
 | Name | Description
Public method | WriteResponse | 写入到Http回应
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults Namespace


StaticTableExportResult Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StaticTableExportResult(
    StaticTableBuilder table,
    string filenameWithoutExtensions
)
Public Sub New (
    table As StaticTableBuilder,
    filenameWithoutExtensions As String
)
public:
StaticTableExportResult(
    StaticTableBuilder^ table,
    String^ filenameWithoutExtensions
)
new :
        table : StaticTableBuilder *
        filenameWithoutExtensions : string -> StaticTableExportResult

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableBuilder
静态表格
filenameWithoutExtensions
Type: SystemString
不带后缀的文件名
See Also

Reference

StaticTableExportResult Class
ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults Namespace


StaticTableExportResult Methods

The StaticTableExportResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | 写入到Http回应
Top
See Also

Reference

StaticTableExportResult Class
ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults Namespace


StaticTableExportResult.WriteResponse Method

StaticTableExportResultWriteResponse Method

写入到Http回应

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: IHttpResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults.StaticTableExportResult.WriteResponse(ZKWebStandard.Web.IHttpResponse)"]

Implements

IActionResult.WriteResponse(IHttpResponse)
See Also

Reference

StaticTableExportResult Class
ZKWeb.Plugins.Common.Base.src.Controllers.ActionResults Namespace


ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | ControllerBase | 控制器的基础类


ControllerBase Class
控制器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
More...

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ControllerBase : IController
Public MustInherit Class ControllerBase
    Implements IController
public ref class ControllerBase abstract : IController
[<AbstractClassAttribute>]
type ControllerBase =
    class
        interface IController
    end

The ControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | ControllerBase | Initializes a new instance of the ControllerBase class
Top
Properties
 | Name | Description
Public property | Context | 当前的Http上下文
Public property | Request | 当前的Http请求
Public property | Response | 当前的Http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.CMS.Article.src.ControllersArticleApiController
ZKWeb.Plugins.CMS.Article.src.ControllersArticleController
ZKWeb.Plugins.Common.Admin.src.ControllersAdminApiController
ZKWeb.Plugins.Common.Admin.src.ControllersAdminController
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.ControllersUserApiController
ZKWeb.Plugins.Common.Admin.src.ControllersUserController
ZKWeb.Plugins.Common.AdminSettings.src.ControllersAdminSettingsApiController
ZKWeb.Plugins.Common.Base.src.ControllersBaseApiController
ZKWeb.Plugins.Common.Base.src.ControllersIndexController
ZKWeb.Plugins.Common.Captcha.src.ControllersCaptchaController
ZKWeb.Plugins.Common.LanguageSwitcher.src.ControllersLanguageSwitcherApiController
ZKWeb.Plugins.Common.Region.src.ControllersRegionApiController
ZKWeb.Plugins.Finance.Payment.Alipay.src.ControllerAlipayController
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.ControllerAlipayMobileController
ZKWeb.Plugins.Finance.Payment.Pingpp.src.ControllersPingppController
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentController
ZKWeb.Plugins.Finance.Payment.WeChat.src.ControllersWxPayController
ZKWeb.Plugins.Shopping.Order.src.ControllersCartApiController
ZKWeb.Plugins.Shopping.Order.src.ControllersCartController
ZKWeb.Plugins.Shopping.Order.src.ControllersOrderApiController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductApiController
ZKWeb.Plugins.Shopping.ProductBookmark.src.ControllersProductBookmarkApiController
ZKWeb.Plugins.Shopping.ProductRating.src.ControllersProductRatingApiController
ZKWeb.Plugins.Shopping.ProductRating.src.ControllersProductRatingController
ZKWeb.Plugins.Theme.VisualEditor.src.ControllersVisualEditorApiController


ControllerBase Constructor

Initializes a new instance of the ControllerBase class

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected ControllerBase()
Protected Sub New
protected:
ControllerBase()
new : unit -> ControllerBase
See Also

Reference

ControllerBase Class
ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace


ControllerBase Properties

The ControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | Context | 当前的Http上下文
Public property | Request | 当前的Http请求
Public property | Response | 当前的Http回应
Top
See Also

Reference

ControllerBase Class
ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace


ControllerBase.Context Property

ControllerBaseContext Property

当前的Http上下文

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpContext Context { get; }
Public Overridable ReadOnly Property Context As IHttpContext
    Get
public:
virtual property IHttpContext^ Context {
    IHttpContext^ get ();
}
abstract Context : IHttpContext with get
override Context : IHttpContext with get

Property Value

Type: IHttpContext
See Also

Reference

ControllerBase Class
ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace


ControllerBase.Request Property

ControllerBaseRequest Property

当前的Http请求

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpRequest Request { get; }
Public Overridable ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get ();
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest
See Also

Reference

ControllerBase Class
ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace


ControllerBase.Response Property

ControllerBaseResponse Property

当前的Http回应

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpResponse Response { get; }
Public Overridable ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get ();
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse
See Also

Reference

ControllerBase Class
ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace


ControllerBase Methods

The ControllerBase type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ControllerBase Class
ZKWeb.Plugins.Common.Base.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Controllers.Extensions"]

Classes
 | Class | Description
Public class | IControllerExtensions | 控制器的扩展函数
Public class | IHttpContextExtensions | Http上下文的扩展函数


IControllerExtensions Class
控制器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.ExtensionsIControllerExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IControllerExtensions
<ExtensionAttribute>
Public NotInheritable Class IControllerExtensions
[ExtensionAttribute]
public ref class IControllerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IControllerExtensions =  class end

The IControllerExtensions type exposes the following members.

Methods
Name | Description
RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IControllerExtensions Methods

The IControllerExtensions type exposes the following members.

Methods
Name | Description
RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击
Top
See Also

Reference

IControllerExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IControllerExtensions.RequireAjaxRequest Method

IControllerExtensionsRequireAjaxRequest Method

要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void RequireAjaxRequest(
    this IController controller,
    string errorMessage = null
)
<ExtensionAttribute>
Public Shared Sub RequireAjaxRequest (
    controller As IController,
    Optional errorMessage As String = Nothing
)
public:
[ExtensionAttribute]
static void RequireAjaxRequest(
    IController^ controller,
    String^ errorMessage = nullptr
)
[<ExtensionAttribute>]
static member RequireAjaxRequest :
        controller : IController *
        ?errorMessage : string
(* Defaults:
        let _errorMessage = defaultArg errorMessage null
*)
-> unit

Parameters

controller
Type: IController
控制器
errorMessage (Optional)
Type: SystemString
错误信息，没有时使用默认信息

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IController. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IControllerExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions Class
Http上下文的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.ExtensionsIHttpContextExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IHttpContextExtensions
<ExtensionAttribute>
Public NotInheritable Class IHttpContextExtensions
[ExtensionAttribute]
public ref class IHttpContextExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IHttpContextExtensions =  class end

The IHttpContextExtensions type exposes the following members.

Methods
Name | Description
GetIsEditingPage | 获取是否正在编辑页面 如果正在编辑页面可以做出一些特殊的处理，例如不跳转
IncludeCssLater | 延迟引用css文件 仅在控制器返回模板结果并且使用了render_included_css标签时有效
IncludeJsLater | 延迟引用js文件 仅在控制器返回模板结果并且使用了render_included_js标签时有效
SetIsEditingPage | 设置是否正在编辑页面 如果正在编辑页面可以做出一些特殊的处理，例如不跳转
Top
Fields
Name | Description
IsEditingPageKey | 储存是否正在编辑页面使用的键
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions Methods

The IHttpContextExtensions type exposes the following members.

Methods
Name | Description
GetIsEditingPage | 获取是否正在编辑页面 如果正在编辑页面可以做出一些特殊的处理，例如不跳转
IncludeCssLater | 延迟引用css文件 仅在控制器返回模板结果并且使用了render_included_css标签时有效
IncludeJsLater | 延迟引用js文件 仅在控制器返回模板结果并且使用了render_included_js标签时有效
SetIsEditingPage | 设置是否正在编辑页面 如果正在编辑页面可以做出一些特殊的处理，例如不跳转
Top
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions.GetIsEditingPage Method

IHttpContextExtensionsGetIsEditingPage Method

获取是否正在编辑页面 如果正在编辑页面可以做出一些特殊的处理，例如不跳转

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool GetIsEditingPage(
    this IHttpContext context
)
<ExtensionAttribute>
Public Shared Function GetIsEditingPage (
    context As IHttpContext
) As Boolean
public:
[ExtensionAttribute]
static bool GetIsEditingPage(
    IHttpContext^ context
)
[<ExtensionAttribute>]
static member GetIsEditingPage :
        context : IHttpContext -> bool

Parameters

context
Type: IHttpContext
Http上下文

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Controllers.Extensions.IHttpContextExtensions.GetIsEditingPage(ZKWebStandard.Web.IHttpContext)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions.IncludeCssLater Method

IHttpContextExtensionsIncludeCssLater Method

延迟引用css文件 仅在控制器返回模板结果并且使用了render_included_css标签时有效

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void IncludeCssLater(
    this IHttpContext context,
    string path
)
<ExtensionAttribute>
Public Shared Sub IncludeCssLater (
    context As IHttpContext,
    path As String
)
public:
[ExtensionAttribute]
static void IncludeCssLater(
    IHttpContext^ context,
    String^ path
)
[<ExtensionAttribute>]
static member IncludeCssLater :
        context : IHttpContext *
        path : string -> unit

Parameters

context
Type: IHttpContext
Http上下文
path
Type: SystemString
css文件路径

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions.IncludeJsLater Method

IHttpContextExtensionsIncludeJsLater Method

延迟引用js文件 仅在控制器返回模板结果并且使用了render_included_js标签时有效

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void IncludeJsLater(
    this IHttpContext context,
    string path
)
<ExtensionAttribute>
Public Shared Sub IncludeJsLater (
    context As IHttpContext,
    path As String
)
public:
[ExtensionAttribute]
static void IncludeJsLater(
    IHttpContext^ context,
    String^ path
)
[<ExtensionAttribute>]
static member IncludeJsLater :
        context : IHttpContext *
        path : string -> unit

Parameters

context
Type: IHttpContext
Http上下文
path
Type: SystemString
js文件路径

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions.SetIsEditingPage Method

IHttpContextExtensionsSetIsEditingPage Method

设置是否正在编辑页面 如果正在编辑页面可以做出一些特殊的处理，例如不跳转

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetIsEditingPage(
    this IHttpContext context,
    bool value
)
<ExtensionAttribute>
Public Shared Sub SetIsEditingPage (
    context As IHttpContext,
    value As Boolean
)
public:
[ExtensionAttribute]
static void SetIsEditingPage(
    IHttpContext^ context,
    bool value
)
[<ExtensionAttribute>]
static member SetIsEditingPage :
        context : IHttpContext *
        value : bool -> unit

Parameters

context
Type: IHttpContext
Http上下文
value
Type: SystemBoolean
是否正在编辑页面

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions Fields

The IHttpContextExtensions type exposes the following members.

Fields
Name | Description
IsEditingPageKey | 储存是否正在编辑页面使用的键
Top
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


IHttpContextExtensions.IsEditingPageKey Field

IHttpContextExtensionsIsEditingPageKey Field
储存是否正在编辑页面使用的键

Namespace: ZKWeb.Plugins.Common.Base.src.Controllers.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string IsEditingPageKey = "Common.Base.IsEditingPage"
Public Const IsEditingPageKey As String = "Common.Base.IsEditingPage"
public:
literal String^ IsEditingPageKey = "Common.Base.IsEditingPage"
static val mutable IsEditingPageKey: string

Field Value

Type: String
See Also

Reference

IHttpContextExtensions Class
ZKWeb.Plugins.Common.Base.src.Controllers.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Domain.Entities |
ZKWeb.Plugins.Common.Base.src.Domain.Filters |
ZKWeb.Plugins.Common.Base.src.Domain.Repositories |
ZKWeb.Plugins.Common.Base.src.Domain.Services |
ZKWeb.Plugins.Common.Base.src.Domain.Structs |
ZKWeb.Plugins.Common.Base.src.Domain.Uow |


ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Domain.Entities"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Domain.Entities |
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions |
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces |
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits |


ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Entities"]

Classes
 | Class | Description
Public class | GenericConfig | 通用配置
Public class | ScheduledTask | 定时任务
Public class | Session | 会话


GenericConfig Class
通用配置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.EntitiesGenericConfig

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericConfig : IEntity<string>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IEntityMappingProvider<GenericConfig>,
    IEntityMappingProvider
Public Class GenericConfig
    Implements IEntity(Of String), IEntity,
    IHaveCreateTime, IHaveUpdateTime, IEntityMappingProvider(Of GenericConfig), IEntityMappingProvider
public ref class GenericConfig : IEntity<String^>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IEntityMappingProvider<GenericConfig^>,
    IEntityMappingProvider
type GenericConfig =
    class
        interface IEntity<string>
        interface IEntity
        interface IHaveCreateTime
        interface IHaveUpdateTime
        interface IEntityMappingProvider<GenericConfig>
        interface IEntityMappingProvider
    end

The GenericConfig type exposes the following members.

Constructors
 | Name | Description
Public method | GenericConfig | Initializes a new instance of the GenericConfig class
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间 20170225: 之前忘记添加这个字段，会导致旧记录显示创建时间是初始值
Public property | Id | 主键，配置名称
Public property | UpdateTime | 更新时间
Public property | Value | 配置值（json）
Top
Methods
 | Name | Description
Public method | Configure | 配置的数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig Constructor

Initializes a new instance of the GenericConfig class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericConfig()
Public Sub New
public:
GenericConfig()
new : unit -> GenericConfig
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig Properties

The GenericConfig type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间 20170225: 之前忘记添加这个字段，会导致旧记录显示创建时间是初始值
Public property | Id | 主键，配置名称
Public property | UpdateTime | 更新时间
Public property | Value | 配置值（json）
Top
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig.CreateTime Property

GenericConfigCreateTime Property

创建时间 20170225: 之前忘记添加这个字段，会导致旧记录显示创建时间是初始值

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig.Id Property

GenericConfigId Property

主键，配置名称

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Id { get; set; }
Public Overridable Property Id As String
    Get
    Set
public:
virtual property String^ Id {
    String^ get ();
    void set (String^ value);
}
abstract Id : string with get, set
override Id : string with get, set

Property Value

Type: String

Implements

IEntity.Id
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig.UpdateTime Property

GenericConfigUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig.Value Property

GenericConfigValue Property

配置值（json）

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Value { get; set; }
Public Overridable Property Value As String
    Get
    Set
public:
virtual property String^ Value {
    String^ get ();
    void set (String^ value);
}
abstract Value : string with get, set
override Value : string with get, set

Property Value

Type: String
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig Methods

The GenericConfig type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置的数据库结构
Top
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


GenericConfig.Configure Method

GenericConfigConfigure Method

配置的数据库结构

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<GenericConfig> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of GenericConfig)
)
public:
virtual void Configure(
    IEntityMappingBuilder<GenericConfig^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<GenericConfig> -> unit
override Configure :
        builder : IEntityMappingBuilder<GenericConfig> -> unit

Parameters

builder
Type: IEntityMappingBuilderGenericConfig

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Entities.GenericConfig.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.Base.src.Domain.Entities.GenericConfig})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

GenericConfig Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask Class
定时任务
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.EntitiesScheduledTask

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScheduledTask : IEntity<string>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IEntityMappingProvider<ScheduledTask>,
    IEntityMappingProvider
Public Class ScheduledTask
    Implements IEntity(Of String), IEntity,
    IHaveCreateTime, IHaveUpdateTime, IEntityMappingProvider(Of ScheduledTask), IEntityMappingProvider
public ref class ScheduledTask : IEntity<String^>,
    IEntity, IHaveCreateTime, IHaveUpdateTime, IEntityMappingProvider<ScheduledTask^>,
    IEntityMappingProvider
type ScheduledTask =
    class
        interface IEntity<string>
        interface IEntity
        interface IHaveCreateTime
        interface IHaveUpdateTime
        interface IEntityMappingProvider<ScheduledTask>
        interface IEntityMappingProvider
    end

The ScheduledTask type exposes the following members.

Constructors
 | Name | Description
Public method | ScheduledTask | Initializes a new instance of the ScheduledTask class
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Id | 主键，任务键名
Public property | UpdateTime | 最后一次执行的时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask Constructor

Initializes a new instance of the ScheduledTask class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScheduledTask()
Public Sub New
public:
ScheduledTask()
new : unit -> ScheduledTask
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask Properties

The ScheduledTask type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Id | 主键，任务键名
Public property | UpdateTime | 最后一次执行的时间
Top
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask.CreateTime Property

ScheduledTaskCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask.Id Property

ScheduledTaskId Property

主键，任务键名

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Id { get; set; }
Public Overridable Property Id As String
    Get
    Set
public:
virtual property String^ Id {
    String^ get ();
    void set (String^ value);
}
abstract Id : string with get, set
override Id : string with get, set

Property Value

Type: String

Implements

IEntity.Id
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask.UpdateTime Property

ScheduledTaskUpdateTime Property

最后一次执行的时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask Methods

The ScheduledTask type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ScheduledTask.Configure Method

ScheduledTaskConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ScheduledTask> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ScheduledTask)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ScheduledTask^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ScheduledTask> -> unit
override Configure :
        builder : IEntityMappingBuilder<ScheduledTask> -> unit

Parameters

builder
Type: IEntityMappingBuilderScheduledTask

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Entities.ScheduledTask.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.Base.src.Domain.Entities.ScheduledTask})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ScheduledTask Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session Class
会话
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.EntitiesSession

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Session : IEntity<Guid>,
    IEntity, IEntityMappingProvider<Session>, IEntityMappingProvider
Public Class Session
    Implements IEntity(Of Guid), IEntity,
    IEntityMappingProvider(Of Session), IEntityMappingProvider
public ref class Session : IEntity<Guid>,
    IEntity, IEntityMappingProvider<Session^>, IEntityMappingProvider
type Session =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IEntityMappingProvider<Session>
        interface IEntityMappingProvider
    end

The Session type exposes the following members.

Constructors
 | Name | Description
Public method | Session | 初始化
Top
Properties
 | Name | Description
Public property | Expires | 过期时间
Public property | ExpiresUpdated | 过期时间是否已更新 这个值只用于检测是否应该把新的过期时间发送到客户端
Public property | Id | 会话Id
Public property | IpAddress | 会话对应的Ip地址
Public property | Items | 会话数据
Public property | ReleatedId | 关联Id 一般是用户Id
Public property | RememberLogin | 是否记住登录
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | GetUser | 获取会话对应的用户 (Defined by SessionExtensions.)
Public Extension Method | ReGenerateId | 重新生成Id (Defined by SessionExtensions.)
Public Extension Method | SetExpiresAtLeast | 设置会话最少在指定的时间后过期 当前会话的过期时间比指定的时间要晚时不更新当前的过期时间 (Defined by SessionExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Session()
Public Sub New
public:
Session()
new : unit -> Session
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session Properties

The Session type exposes the following members.

Properties
 | Name | Description
Public property | Expires | 过期时间
Public property | ExpiresUpdated | 过期时间是否已更新 这个值只用于检测是否应该把新的过期时间发送到客户端
Public property | Id | 会话Id
Public property | IpAddress | 会话对应的Ip地址
Public property | Items | 会话数据
Public property | ReleatedId | 关联Id 一般是用户Id
Public property | RememberLogin | 是否记住登录
Top
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.Expires Property

SessionExpires Property

过期时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime Expires { get; set; }
Public Overridable Property Expires As DateTime
    Get
    Set
public:
virtual property DateTime Expires {
    DateTime get ();
    void set (DateTime value);
}
abstract Expires : DateTime with get, set
override Expires : DateTime with get, set

Property Value

Type: DateTime
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.ExpiresUpdated Property

SessionExpiresUpdated Property

过期时间是否已更新 这个值只用于检测是否应该把新的过期时间发送到客户端

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ExpiresUpdated { get; set; }
Public Overridable Property ExpiresUpdated As Boolean
    Get
    Set
public:
virtual property bool ExpiresUpdated {
    bool get ();
    void set (bool value);
}
abstract ExpiresUpdated : bool with get, set
override ExpiresUpdated : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.Id Property

SessionId Property

会话Id

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.IpAddress Property

SessionIpAddress Property

会话对应的Ip地址

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string IpAddress { get; set; }
Public Overridable Property IpAddress As String
    Get
    Set
public:
virtual property String^ IpAddress {
    String^ get ();
    void set (String^ value);
}
abstract IpAddress : string with get, set
override IpAddress : string with get, set

Property Value

Type: String
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.Items Property

SessionItems Property

会话数据

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual SessionItems Items { get; set; }
Public Overridable Property Items As SessionItems
    Get
    Set
public:
virtual property SessionItems^ Items {
    SessionItems^ get ();
    void set (SessionItems^ value);
}
abstract Items : SessionItems with get, set
override Items : SessionItems with get, set

Property Value

Type: SessionItems
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.ReleatedId Property

SessionReleatedId Property

关联Id 一般是用户Id

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<Guid> ReleatedId { get; set; }
Public Overridable Property ReleatedId As Nullable(Of Guid)
    Get
    Set
public:
virtual property Nullable<Guid> ReleatedId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
abstract ReleatedId : Nullable<Guid> with get, set
override ReleatedId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.RememberLogin Property

SessionRememberLogin Property

是否记住登录

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool RememberLogin { get; set; }
Public Overridable Property RememberLogin As Boolean
    Get
    Set
public:
virtual property bool RememberLogin {
    bool get ();
    void set (bool value);
}
abstract RememberLogin : bool with get, set
override RememberLogin : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session Methods

The Session type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | GetUser | 获取会话对应的用户 (Defined by SessionExtensions.)
Public Extension Method | ReGenerateId | 重新生成Id (Defined by SessionExtensions.)
Public Extension Method | SetExpiresAtLeast | 设置会话最少在指定的时间后过期 当前会话的过期时间比指定的时间要晚时不更新当前的过期时间 (Defined by SessionExtensions.)
Top
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


Session.Configure Method

SessionConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<Session> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of Session)
)
public:
virtual void Configure(
    IEntityMappingBuilder<Session^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<Session> -> unit
override Configure :
        builder : IEntityMappingBuilder<Session> -> unit

Parameters

builder
Type: IEntityMappingBuilderSession

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Entities.Session.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.Base.src.Domain.Entities.Session})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

Session Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions"]

Classes
 | Class | Description
Public class | SessionExtensions | 会话的扩展函数


SessionExtensions Class
会话的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Entities.ExtensionsSessionExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class SessionExtensions
<ExtensionAttribute>
Public NotInheritable Class SessionExtensions
[ExtensionAttribute]
public ref class SessionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type SessionExtensions =  class end

The SessionExtensions type exposes the following members.

Methods
Name | Description
ReGenerateId | 重新生成Id
SetExpiresAtLeast | 设置会话最少在指定的时间后过期 当前会话的过期时间比指定的时间要晚时不更新当前的过期时间
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions Namespace


SessionExtensions Methods

The SessionExtensions type exposes the following members.

Methods
Name | Description
ReGenerateId | 重新生成Id
SetExpiresAtLeast | 设置会话最少在指定的时间后过期 当前会话的过期时间比指定的时间要晚时不更新当前的过期时间
Top
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions Namespace


SessionExtensions.ReGenerateId Method

SessionExtensionsReGenerateId Method

重新生成Id

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void ReGenerateId(
    this Session session
)
<ExtensionAttribute>
Public Shared Sub ReGenerateId (
    session As Session
)
public:
[ExtensionAttribute]
static void ReGenerateId(
    Session^ session
)
[<ExtensionAttribute>]
static member ReGenerateId :
        session : Session -> unit

Parameters

session
Type: ZKWeb.Plugins.Common.Base.src.Domain.EntitiesSession

[Missing <param name="session"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions.SessionExtensions.ReGenerateId(ZKWeb.Plugins.Common.Base.src.Domain.Entities.Session)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Session. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions Namespace


SessionExtensions.SetExpiresAtLeast Method

SessionExtensionsSetExpiresAtLeast Method

设置会话最少在指定的时间后过期 当前会话的过期时间比指定的时间要晚时不更新当前的过期时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetExpiresAtLeast(
    this Session session,
    TimeSpan span
)
<ExtensionAttribute>
Public Shared Sub SetExpiresAtLeast (
    session As Session,
    span As TimeSpan
)
public:
[ExtensionAttribute]
static void SetExpiresAtLeast(
    Session^ session,
    TimeSpan span
)
[<ExtensionAttribute>]
static member SetExpiresAtLeast :
        session : Session *
        span : TimeSpan -> unit

Parameters

session
Type: ZKWeb.Plugins.Common.Base.src.Domain.EntitiesSession
会话
span
Type: SystemTimeSpan
最少在这个时间后过期

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Session. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SessionExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IHaveCreateTime | 包含创建时间的接口
Public interface | IHaveDeleted | 包含标记删除的接口
Public interface | IHaveUpdateTime | 包含更新时间的接口


IHaveCreateTime Interface
包含创建时间的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IHaveCreateTime : IEntity
Public Interface IHaveCreateTime
    Inherits IEntity
public interface class IHaveCreateTime : IEntity
type IHaveCreateTime =
    interface
        interface IEntity
    end

The IHaveCreateTime type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveCreateTime Properties

The IHaveCreateTime type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Top
See Also

Reference

IHaveCreateTime Interface
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveCreateTime.CreateTime Property

IHaveCreateTimeCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
DateTime CreateTime { get; set; }
Property CreateTime As DateTime
    Get
    Set
property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set

Property Value

Type: DateTime
See Also

Reference

IHaveCreateTime Interface
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveDeleted Interface
包含标记删除的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IHaveDeleted
Public Interface IHaveDeleted
public interface class IHaveDeleted
type IHaveDeleted =  interface end

The IHaveDeleted type exposes the following members.

Properties
 | Name | Description
Public property | Deleted | 标记已删除
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveDeleted Properties

The IHaveDeleted type exposes the following members.

Properties
 | Name | Description
Public property | Deleted | 标记已删除
Top
See Also

Reference

IHaveDeleted Interface
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveDeleted.Deleted Property

IHaveDeletedDeleted Property

标记已删除

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool Deleted { get; set; }
Property Deleted As Boolean
    Get
    Set
property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set

Property Value

Type: Boolean
See Also

Reference

IHaveDeleted Interface
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveUpdateTime Interface
包含更新时间的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IHaveUpdateTime : IEntity
Public Interface IHaveUpdateTime
    Inherits IEntity
public interface class IHaveUpdateTime : IEntity
type IHaveUpdateTime =
    interface
        interface IEntity
    end

The IHaveUpdateTime type exposes the following members.

Properties
 | Name | Description
Public property | UpdateTime | 更新时间
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveUpdateTime Properties

The IHaveUpdateTime type exposes the following members.

Properties
 | Name | Description
Public property | UpdateTime | 更新时间
Top
See Also

Reference

IHaveUpdateTime Interface
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


IHaveUpdateTime.UpdateTime Property

IHaveUpdateTimeUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
DateTime UpdateTime { get; set; }
Property UpdateTime As DateTime
    Get
    Set
property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set

Property Value

Type: DateTime
See Also

Reference

IHaveUpdateTime Interface
ZKWeb.Plugins.Common.Base.src.Domain.Entities.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits"]

Classes
 | Class | Description
Public class | CreateTimeTypeTraitTEntity | 判断类型是否包含创建时间
Public class | DeletedTypeTraitTEntity | 判断类型是否包含删除标记
Public class | UpdateTimeTypeTraitTEntity | 判断类型是否有更新时间


CreateTimeTypeTrait(TEntity) Class

CreateTimeTypeTraitTEntity Class
判断类型是否包含创建时间
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraitsCreateTimeTypeTraitTEntity

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CreateTimeTypeTrait<TEntity>

Public NotInheritable Class CreateTimeTypeTrait(Of TEntity)
generic<typename TEntity>
public ref class CreateTimeTypeTrait abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type CreateTimeTypeTrait<'TEntity> =  class end

Type Parameters

TEntity
实体类型

The CreateTimeTypeTraitTEntity type exposes the following members.

Fields
Name | Description
HaveCreateTime | 判断结果
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


CreateTimeTypeTrait(TEntity) Fields

CreateTimeTypeTraitTEntity Fields

The CreateTimeTypeTraitTEntity generic type exposes the following members.

Fields
Name | Description
HaveCreateTime | 判断结果
Top
See Also

Reference

CreateTimeTypeTraitTEntity Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


CreateTimeTypeTrait(TEntity).HaveCreateTime Field

CreateTimeTypeTraitTEntityHaveCreateTime Field
判断结果

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly bool HaveCreateTime
Public Shared ReadOnly HaveCreateTime As Boolean
public:
static initonly bool HaveCreateTime
static val HaveCreateTime: bool

Field Value

Type: Boolean
See Also

Reference

CreateTimeTypeTraitTEntity Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


DeletedTypeTrait(TEntity) Class

DeletedTypeTraitTEntity Class
判断类型是否包含删除标记
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraitsDeletedTypeTraitTEntity

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class DeletedTypeTrait<TEntity>

Public NotInheritable Class DeletedTypeTrait(Of TEntity)
generic<typename TEntity>
public ref class DeletedTypeTrait abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type DeletedTypeTrait<'TEntity> =  class end

Type Parameters

TEntity
实体类型

The DeletedTypeTraitTEntity type exposes the following members.

Fields
Name | Description
HaveDeleted | 判断结果
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


DeletedTypeTrait(TEntity) Fields

DeletedTypeTraitTEntity Fields

The DeletedTypeTraitTEntity generic type exposes the following members.

Fields
Name | Description
HaveDeleted | 判断结果
Top
See Also

Reference

DeletedTypeTraitTEntity Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


DeletedTypeTrait(TEntity).HaveDeleted Field

DeletedTypeTraitTEntityHaveDeleted Field
判断结果

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly bool HaveDeleted
Public Shared ReadOnly HaveDeleted As Boolean
public:
static initonly bool HaveDeleted
static val HaveDeleted: bool

Field Value

Type: Boolean
See Also

Reference

DeletedTypeTraitTEntity Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


UpdateTimeTypeTrait(TEntity) Class

UpdateTimeTypeTraitTEntity Class
判断类型是否有更新时间
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraitsUpdateTimeTypeTraitTEntity

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class UpdateTimeTypeTrait<TEntity>

Public NotInheritable Class UpdateTimeTypeTrait(Of TEntity)
generic<typename TEntity>
public ref class UpdateTimeTypeTrait abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type UpdateTimeTypeTrait<'TEntity> =  class end

Type Parameters

TEntity
实体类型

The UpdateTimeTypeTraitTEntity type exposes the following members.

Fields
Name | Description
HaveUpdateTime | 判断结果
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


UpdateTimeTypeTrait(TEntity) Fields

UpdateTimeTypeTraitTEntity Fields

The UpdateTimeTypeTraitTEntity generic type exposes the following members.

Fields
Name | Description
HaveUpdateTime | 判断结果
Top
See Also

Reference

UpdateTimeTypeTraitTEntity Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


UpdateTimeTypeTrait(TEntity).HaveUpdateTime Field

UpdateTimeTypeTraitTEntityHaveUpdateTime Field
判断结果

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly bool HaveUpdateTime
Public Shared ReadOnly HaveUpdateTime As Boolean
public:
static initonly bool HaveUpdateTime
static val HaveUpdateTime: bool

Field Value

Type: Boolean
See Also

Reference

UpdateTimeTypeTraitTEntity Class
ZKWeb.Plugins.Common.Base.src.Domain.Entities.TypeTraits Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Domain.Filters"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Domain.Filters |
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces |


ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Filters"]

Classes
 | Class | Description
Public class | CreateTimeFilter | 自动设置实体的创建时间
Public class | DeletedFilter | 根据删除状态过滤查询 字段没有删除状态时返回原查询
Public class | GuidEntityFilter | 自动设置Guid主键值
Public class | UpdateTimeFilter | 自动设置实体的更新时间


CreateTimeFilter Class
自动设置实体的创建时间
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.FiltersCreateTimeFilter

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateTimeFilter : IEntityOperationFilter
Public Class CreateTimeFilter
    Implements IEntityOperationFilter
public ref class CreateTimeFilter : IEntityOperationFilter
type CreateTimeFilter =
    class
        interface IEntityOperationFilter
    end

The CreateTimeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | CreateTimeFilter | Initializes a new instance of the CreateTimeFilter class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


CreateTimeFilter Constructor

Initializes a new instance of the CreateTimeFilter class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateTimeFilter()
Public Sub New
public:
CreateTimeFilter()
new : unit -> CreateTimeFilter
See Also

Reference

CreateTimeFilter Class
ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


DeletedFilter Class
根据删除状态过滤查询 字段没有删除状态时返回原查询
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.FiltersDeletedFilter

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DeletedFilter : IEntityQueryFilter
Public Class DeletedFilter
    Implements IEntityQueryFilter
public ref class DeletedFilter : IEntityQueryFilter
type DeletedFilter =
    class
        interface IEntityQueryFilter
    end

The DeletedFilter type exposes the following members.

Constructors
 | Name | Description
Public method | DeletedFilter | 初始化 默认查询未删除的对象
Top
Properties
 | Name | Description
Public property | Deleted | true: 查询已删除的对象 false: 查询未删除的对象
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


DeletedFilter Constructor

初始化 默认查询未删除的对象

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DeletedFilter()
Public Sub New
public:
DeletedFilter()
new : unit -> DeletedFilter
See Also

Reference

DeletedFilter Class
ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


DeletedFilter Properties

The DeletedFilter type exposes the following members.

Properties
 | Name | Description
Public property | Deleted | true: 查询已删除的对象 false: 查询未删除的对象
Top
See Also

Reference

DeletedFilter Class
ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


DeletedFilter.Deleted Property

DeletedFilterDeleted Property

true: 查询已删除的对象 false: 查询未删除的对象

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Deleted { get; set; }
Public Property Deleted As Boolean
    Get
    Set
public:
property bool Deleted {
    bool get ();
    void set (bool value);
}
member Deleted : bool with get, set

Property Value

Type: Boolean
See Also

Reference

DeletedFilter Class
ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


GuidEntityFilter Class
自动设置Guid主键值
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.FiltersGuidEntityFilter

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GuidEntityFilter : IEntityOperationFilter
Public Class GuidEntityFilter
    Implements IEntityOperationFilter
public ref class GuidEntityFilter : IEntityOperationFilter
type GuidEntityFilter =
    class
        interface IEntityOperationFilter
    end

The GuidEntityFilter type exposes the following members.

Constructors
 | Name | Description
Public method | GuidEntityFilter | Initializes a new instance of the GuidEntityFilter class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


GuidEntityFilter Constructor

Initializes a new instance of the GuidEntityFilter class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GuidEntityFilter()
Public Sub New
public:
GuidEntityFilter()
new : unit -> GuidEntityFilter
See Also

Reference

GuidEntityFilter Class
ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


UpdateTimeFilter Class
自动设置实体的更新时间
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.FiltersUpdateTimeFilter

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UpdateTimeFilter : IEntityOperationFilter
Public Class UpdateTimeFilter
    Implements IEntityOperationFilter
public ref class UpdateTimeFilter : IEntityOperationFilter
type UpdateTimeFilter =
    class
        interface IEntityOperationFilter
    end

The UpdateTimeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | UpdateTimeFilter | Initializes a new instance of the UpdateTimeFilter class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


UpdateTimeFilter Constructor

Initializes a new instance of the UpdateTimeFilter class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UpdateTimeFilter()
Public Sub New
public:
UpdateTimeFilter()
new : unit -> UpdateTimeFilter
See Also

Reference

UpdateTimeFilter Class
ZKWeb.Plugins.Common.Base.src.Domain.Filters Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IEntityOperationFilter | 操作过滤器
Public interface | IEntityQueryFilter | 查询过滤器


IEntityOperationFilter Interface
操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityOperationFilter
Public Interface IEntityOperationFilter
public interface class IEntityOperationFilter
type IEntityOperationFilter =  interface end

The IEntityOperationFilter type exposes the following members.

Methods
 | Name | Description
Public method | FilterDeleteTEntity, TPrimaryKey | 过滤删除
Public method | FilterSaveTEntity, TPrimaryKey | 过滤保存
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityOperationFilter Methods

The IEntityOperationFilter type exposes the following members.

Methods
 | Name | Description
Public method | FilterDeleteTEntity, TPrimaryKey | 过滤删除
Public method | FilterSaveTEntity, TPrimaryKey | 过滤保存
Top
See Also

Reference

IEntityOperationFilter Interface
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityOperationFilter.FilterDelete(TEntity, TPrimaryKey) Method

IEntityOperationFilterFilterDeleteTEntity, TPrimaryKey Method

过滤删除

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void FilterDelete<TEntity, TPrimaryKey>(
    TEntity entity
)
where TEntity : class, Object, IEntity<TPrimaryKey>

Sub FilterDelete(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entity As TEntity
)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
void FilterDelete(
    TEntity entity
)
abstract FilterDelete :
        entity : 'TEntity -> unit  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entity
Type: TEntity
实体对象

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
See Also

Reference

IEntityOperationFilter Interface
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityOperationFilter.FilterSave(TEntity, TPrimaryKey) Method

IEntityOperationFilterFilterSaveTEntity, TPrimaryKey Method

过滤保存

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void FilterSave<TEntity, TPrimaryKey>(
    TEntity entity
)
where TEntity : class, Object, IEntity<TPrimaryKey>

Sub FilterSave(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entity As TEntity
)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
void FilterSave(
    TEntity entity
)
abstract FilterSave :
        entity : 'TEntity -> unit  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entity
Type: TEntity
实体对象

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
See Also

Reference

IEntityOperationFilter Interface
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityQueryFilter Interface
查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityQueryFilter
Public Interface IEntityQueryFilter
public interface class IEntityQueryFilter
type IEntityQueryFilter =  interface end

The IEntityQueryFilter type exposes the following members.

Methods
 | Name | Description
Public method | FilterPredicateTEntity, TPrimaryKey | 过滤查询条件
Public method | FilterQueryTEntity, TPrimaryKey | 过滤查询
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityQueryFilter Methods

The IEntityQueryFilter type exposes the following members.

Methods
 | Name | Description
Public method | FilterPredicateTEntity, TPrimaryKey | 过滤查询条件
Public method | FilterQueryTEntity, TPrimaryKey | 过滤查询
Top
See Also

Reference

IEntityQueryFilter Interface
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityQueryFilter.FilterPredicate(TEntity, TPrimaryKey) Method

IEntityQueryFilterFilterPredicateTEntity, TPrimaryKey Method

过滤查询条件

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Expression<Func<TEntity, bool>> FilterPredicate<TEntity, TPrimaryKey>(
    Expression<Func<TEntity, bool>> predicate
)
where TEntity : class, Object, IEntity<TPrimaryKey>

Function FilterPredicate(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As Expression(Of Func(Of TEntity, Boolean))
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
Expression<Func<TEntity, bool>^>^ FilterPredicate(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract FilterPredicate :
        predicate : Expression<Func<'TEntity, bool>> -> Expression<Func<'TEntity, bool>>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
查询条件

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: Expression Func TEntity, Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces.IEntityQueryFilter.FilterPredicate``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

See Also

Reference

IEntityQueryFilter Interface
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


IEntityQueryFilter.FilterQuery(TEntity, TPrimaryKey) Method

IEntityQueryFilterFilterQueryTEntity, TPrimaryKey Method

过滤查询

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IQueryable<TEntity> FilterQuery<TEntity, TPrimaryKey>(
    IQueryable<TEntity> query
)
where TEntity : class, Object, IEntity<TPrimaryKey>

Function FilterQuery(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    query As IQueryable(Of TEntity)
) As IQueryable(Of TEntity)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
IQueryable<TEntity>^ FilterQuery(
    IQueryable<TEntity>^ query
)
abstract FilterQuery :
        query : IQueryable<'TEntity> -> IQueryable<'TEntity>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

query
Type: System.LinqIQueryable TEntity
查询对象

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: IQueryable TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces.IEntityQueryFilter.FilterQuery``2(System.Linq.IQueryable{``0})"]

See Also

Reference

IEntityQueryFilter Interface
ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Domain.Repositories"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Domain.Repositories |
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases |
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces |


ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | GenericConfigRepository | 通用配置的仓储
Public class | ScheduledTaskRepository | 定时任务的仓储
Public class | SessionRepository | 会话的仓储


GenericConfigRepository Class
通用配置的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase GenericConfig, String
ZKWeb.Plugins.Common.Base.src.Domain.RepositoriesGenericConfigRepository

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericConfigRepository : RepositoryBase<GenericConfig, string>
Public Class GenericConfigRepository
    Inherits RepositoryBase(Of GenericConfig, String)
public ref class GenericConfigRepository : public RepositoryBase<GenericConfig^, String^>
type GenericConfigRepository =
    class
        inherit RepositoryBase<GenericConfig, string>
    end

The GenericConfigRepository type exposes the following members.

Constructors
 | Name | Description
Public method | GenericConfigRepository | Initializes a new instance of the GenericConfigRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace


GenericConfigRepository Constructor

Initializes a new instance of the GenericConfigRepository class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericConfigRepository()
Public Sub New
public:
GenericConfigRepository()
new : unit -> GenericConfigRepository
See Also

Reference

GenericConfigRepository Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace


ScheduledTaskRepository Class
定时任务的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase ScheduledTask, String
ZKWeb.Plugins.Common.Base.src.Domain.RepositoriesScheduledTaskRepository

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScheduledTaskRepository : RepositoryBase<ScheduledTask, string>
Public Class ScheduledTaskRepository
    Inherits RepositoryBase(Of ScheduledTask, String)
public ref class ScheduledTaskRepository : public RepositoryBase<ScheduledTask^, String^>
type ScheduledTaskRepository =
    class
        inherit RepositoryBase<ScheduledTask, string>
    end

The ScheduledTaskRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ScheduledTaskRepository | Initializes a new instance of the ScheduledTaskRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace


ScheduledTaskRepository Constructor

Initializes a new instance of the ScheduledTaskRepository class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScheduledTaskRepository()
Public Sub New
public:
ScheduledTaskRepository()
new : unit -> ScheduledTaskRepository
See Also

Reference

ScheduledTaskRepository Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace


SessionRepository Class
会话的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase Session, Guid
ZKWeb.Plugins.Common.Base.src.Domain.RepositoriesSessionRepository

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SessionRepository : RepositoryBase<Session, Guid>
Public Class SessionRepository
    Inherits RepositoryBase(Of Session, Guid)
public ref class SessionRepository : public RepositoryBase<Session^, Guid>
type SessionRepository =
    class
        inherit RepositoryBase<Session, Guid>
    end

The SessionRepository type exposes the following members.

Constructors
 | Name | Description
Public method | SessionRepository | Initializes a new instance of the SessionRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace


SessionRepository Constructor

Initializes a new instance of the SessionRepository class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SessionRepository()
Public Sub New
public:
SessionRepository()
new : unit -> SessionRepository
See Also

Reference

SessionRepository Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases"]

Classes
 | Class | Description
Public class | RepositoryBaseTEntity, TPrimaryKey | 仓储的基础类 提供一系列基础操作


RepositoryBase(TEntity, TPrimaryKey) Class

RepositoryBaseTEntity, TPrimaryKey Class
仓储的基础类 提供一系列基础操作
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBaseTEntity, TPrimaryKey
More...

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class RepositoryBase<TEntity, TPrimaryKey> : IRepository<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class RepositoryBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Implements IRepository(Of TEntity, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class RepositoryBase abstract : IRepository<TEntity, TPrimaryKey>
[<AbstractClassAttribute>]
type RepositoryBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        interface IRepository<'TEntity, 'TPrimaryKey>
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The RepositoryBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Protected method | RepositoryBaseTEntity, TPrimaryKey | Initializes a new instance of the RepositoryBaseTEntity, TPrimaryKey class
Top
Properties
 | Name | Description
Protected property | UnitOfWork | 获取工作单元
Top
Methods
 | Name | Description
Public method | BatchDelete | 批量删除实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | BatchSave | 批量保存实体 受这些过滤器的影响: 操作过滤器
Public method | BatchUpdate | 批量更新实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | Count | 计算符合条件的实体数量 受这些过滤器的影响: 查询过滤器
Public method | Delete | 删除实体 受这些过滤器的影响: 操作过滤器
Public method | Get | 获取符合条件的单个实体 受这些过滤器的影响: 查询过滤器
Public method | Query | 查询实体 受这些过滤器的影响: 查询过滤器
Public method | Save | 添加或更新实体 受这些过滤器的影响: 操作过滤器
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBaseTEntity, TPrimaryKey
ZKWeb.Plugins.CMS.Article.src.Domain.RepositoriesArticleRepository
ZKWeb.Plugins.Common.Admin.src.Domain.RepositoriesUserRepository
ZKWeb.Plugins.Common.Admin.src.Domain.RepositoriesUserRoleRepository
ZKWeb.Plugins.Common.Base.src.Domain.RepositoriesGenericConfigRepository
ZKWeb.Plugins.Common.Base.src.Domain.RepositoriesScheduledTaskRepository
ZKWeb.Plugins.Common.Base.src.Domain.RepositoriesSessionRepository
ZKWeb.Plugins.Common.GenericClass.src.Domain.RepositoriesGenericClassRepository
ZKWeb.Plugins.Common.GenericRecord.src.Domain.RepositoriesGenericRecordRepository
ZKWeb.Plugins.Common.GenericTag.src.Domain.RepositoriesGenericTagRepository
ZKWeb.Plugins.Common.UserContact.src.Domain.RepositoriesUserContactRepository
ZKWeb.Plugins.Finance.Payment.src.Domain.RepositoriesPaymentApiRepository
ZKWeb.Plugins.Finance.Payment.src.Domain.RepositoriesPaymentTransactionRepository
ZKWeb.Plugins.Shopping.Logistics.src.Domain.RepositoriesLogisticsRepository
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesBuyerOrderRepository
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesCartProductRepository
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesOrderCommentRepository
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesOrderDeliveryRepository
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesSellerOrderRepository
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesShippingAddressRepository
ZKWeb.Plugins.Shopping.Product.src.Domain.RepositoriesProductCategoryRepository
ZKWeb.Plugins.Shopping.Product.src.Domain.RepositoriesProductPropertyRepository
ZKWeb.Plugins.Shopping.Product.src.Domain.RepositoriesProductRepository
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.RepositoriesProductBookmarkRepository
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.RepositoriesProductRatingRepository


RepositoryBase(TEntity, TPrimaryKey) Constructor

RepositoryBaseTEntity, TPrimaryKey Constructor

Initializes a new instance of the RepositoryBaseTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected RepositoryBase()
Protected Sub New
protected:
RepositoryBase()
new : unit -> RepositoryBase
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey) Properties

RepositoryBaseTEntity, TPrimaryKey Properties

The RepositoryBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Protected property | UnitOfWork | 获取工作单元
Top
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).UnitOfWork Property

RepositoryBaseTEntity, TPrimaryKeyUnitOfWork Property

获取工作单元

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IUnitOfWork UnitOfWork { get; }
Protected Overridable ReadOnly Property UnitOfWork As IUnitOfWork
    Get
protected:
virtual property IUnitOfWork^ UnitOfWork {
    IUnitOfWork^ get ();
}
abstract UnitOfWork : IUnitOfWork with get
override UnitOfWork : IUnitOfWork with get

Property Value

Type: IUnitOfWork
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey) Methods

RepositoryBaseTEntity, TPrimaryKey Methods

The RepositoryBaseTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | BatchDelete | 批量删除实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | BatchSave | 批量保存实体 受这些过滤器的影响: 操作过滤器
Public method | BatchUpdate | 批量更新实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | Count | 计算符合条件的实体数量 受这些过滤器的影响: 查询过滤器
Public method | Delete | 删除实体 受这些过滤器的影响: 操作过滤器
Public method | Get | 获取符合条件的单个实体 受这些过滤器的影响: 查询过滤器
Public method | Query | 查询实体 受这些过滤器的影响: 查询过滤器
Public method | Save | 添加或更新实体 受这些过滤器的影响: 操作过滤器
Top
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).BatchDelete Method

RepositoryBaseTEntity, TPrimaryKeyBatchDelete Method

批量删除实体 受这些过滤器的影响: 查询过滤器, 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long BatchDelete(
    Expression<Func<TEntity, bool>> predicate,
    Action<TEntity> beforeDelete
)
Public Overridable Function BatchDelete (
    predicate As Expression(Of Func(Of TEntity, Boolean)),
    beforeDelete As Action(Of TEntity)
) As Long
public:
virtual long long BatchDelete(
    Expression<Func<TEntity, bool>^>^ predicate,
    Action<TEntity>^ beforeDelete
)
abstract BatchDelete :
        predicate : Expression<Func<'TEntity, bool>> *
        beforeDelete : Action<'TEntity> -> int64
override BatchDelete :
        predicate : Expression<Func<'TEntity, bool>> *
        beforeDelete : Action<'TEntity> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchDelete(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

beforeDelete
Type: SystemAction TEntity

[Missing <param name="beforeDelete"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchDelete(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchDelete(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

Implements

IRepositoryTEntity, TPrimaryKeyBatchDelete(ExpressionFuncTEntity, Boolean, ActionTEntity)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).BatchSave Method

RepositoryBaseTEntity, TPrimaryKeyBatchSave Method

批量保存实体 受这些过滤器的影响: 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void BatchSave(
    ref IEnumerable<TEntity> entities,
    Action<TEntity> update = null
)
Public Overridable Sub BatchSave (
    ByRef entities As IEnumerable(Of TEntity),
    Optional update As Action(Of TEntity) = Nothing
)
public:
virtual void BatchSave(
    IEnumerable<TEntity>^% entities,
    Action<TEntity>^ update = nullptr
)
abstract BatchSave :
        entities : IEnumerable<'TEntity> byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit
override BatchSave :
        entities : IEnumerable<'TEntity> byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit

Parameters

entities
Type: System.Collections.GenericIEnumerable TEntity

[Missing <param name="entities"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchSave(System.Collections.Generic.IEnumerable{`0}@,System.Action{`0})"]

update (Optional)
Type: SystemAction TEntity

[Missing <param name="update"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchSave(System.Collections.Generic.IEnumerable{`0}@,System.Action{`0})"]

Implements

IRepositoryTEntity, TPrimaryKeyBatchSave(IEnumerableTEntity, ActionTEntity)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).BatchUpdate Method

RepositoryBaseTEntity, TPrimaryKeyBatchUpdate Method

批量更新实体 受这些过滤器的影响: 查询过滤器, 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long BatchUpdate(
    Expression<Func<TEntity, bool>> predicate,
    Action<TEntity> update
)
Public Overridable Function BatchUpdate (
    predicate As Expression(Of Func(Of TEntity, Boolean)),
    update As Action(Of TEntity)
) As Long
public:
virtual long long BatchUpdate(
    Expression<Func<TEntity, bool>^>^ predicate,
    Action<TEntity>^ update
)
abstract BatchUpdate :
        predicate : Expression<Func<'TEntity, bool>> *
        update : Action<'TEntity> -> int64
override BatchUpdate :
        predicate : Expression<Func<'TEntity, bool>> *
        update : Action<'TEntity> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchUpdate(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

update
Type: SystemAction TEntity

[Missing <param name="update"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchUpdate(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.BatchUpdate(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

Implements

IRepositoryTEntity, TPrimaryKeyBatchUpdate(ExpressionFuncTEntity, Boolean, ActionTEntity)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).Count Method

RepositoryBaseTEntity, TPrimaryKeyCount Method

计算符合条件的实体数量 受这些过滤器的影响: 查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long Count(
    Expression<Func<TEntity, bool>> predicate
)
Public Function Count (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As Long
public:
virtual long long Count(
    Expression<Func<TEntity, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'TEntity, bool>> -> int64
override Count :
        predicate : Expression<Func<'TEntity, bool>> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Count(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Count(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Implements

IRepositoryTEntity, TPrimaryKeyCount(ExpressionFuncTEntity, Boolean)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).Delete Method

RepositoryBaseTEntity, TPrimaryKeyDelete Method

删除实体 受这些过滤器的影响: 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Delete(
    TEntity entity
)
Public Overridable Sub Delete (
    entity As TEntity
)
public:
virtual void Delete(
    TEntity entity
)
abstract Delete :
        entity : 'TEntity -> unit
override Delete :
        entity : 'TEntity -> unit

Parameters

entity
Type: TEntity

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Delete(`0)"]

Implements

IRepositoryTEntity, TPrimaryKeyDelete(TEntity)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).Get Method

RepositoryBaseTEntity, TPrimaryKeyGet Method

获取符合条件的单个实体 受这些过滤器的影响: 查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual TEntity Get(
    Expression<Func<TEntity, bool>> predicate
)
Public Overridable Function Get (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As TEntity
public:
virtual TEntity Get(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract Get :
        predicate : Expression<Func<'TEntity, bool>> -> 'TEntity
override Get :
        predicate : Expression<Func<'TEntity, bool>> -> 'TEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Get(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Return Value

Type: TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Get(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Implements

IRepositoryTEntity, TPrimaryKeyGet(ExpressionFuncTEntity, Boolean)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).Query Method

RepositoryBaseTEntity, TPrimaryKeyQuery Method

查询实体 受这些过滤器的影响: 查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IQueryable<TEntity> Query()
Public Overridable Function Query As IQueryable(Of TEntity)
public:
virtual IQueryable<TEntity>^ Query()
abstract Query : unit -> IQueryable<'TEntity>
override Query : unit -> IQueryable<'TEntity>

Return Value

Type: IQueryable TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Query"]

Implements

IRepositoryTEntity, TPrimaryKeyQuery
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


RepositoryBase(TEntity, TPrimaryKey).Save Method

RepositoryBaseTEntity, TPrimaryKeySave Method

添加或更新实体 受这些过滤器的影响: 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Save(
    ref TEntity entity,
    Action<TEntity> update = null
)
Public Overridable Sub Save (
    ByRef entity As TEntity,
    Optional update As Action(Of TEntity) = Nothing
)
public:
virtual void Save(
    TEntity% entity,
    Action<TEntity>^ update = nullptr
)
abstract Save :
        entity : 'TEntity byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit
override Save :
        entity : 'TEntity byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit

Parameters

entity
Type: TEntity

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Save(`0@,System.Action{`0})"]

update (Optional)
Type: SystemAction TEntity

[Missing <param name="update"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases.RepositoryBase`2.Save(`0@,System.Action{`0})"]

Implements

IRepositoryTEntity, TPrimaryKeySave(TEntity, ActionTEntity)
See Also

Reference

RepositoryBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Bases Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IRepositoryTEntity, TPrimaryKey | 仓储的接口


IRepository(TEntity, TPrimaryKey) Interface

IRepositoryTEntity, TPrimaryKey Interface
仓储的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IRepository<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>

Public Interface IRepository(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public interface class IRepository
type IRepository<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =  interface end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The IRepositoryTEntity, TPrimaryKey type exposes the following members.

Methods
 | Name | Description
Public method | BatchDelete | 批量删除实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | BatchSave | 批量保存实体 受这些过滤器的影响: 操作过滤器
Public method | BatchUpdate | 批量更新实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | Count | 计算符合条件的实体数量 受这些过滤器的影响: 查询过滤器
Public method | Delete | 删除实体 受这些过滤器的影响: 操作过滤器
Public method | Get | 获取符合条件的单个实体 受这些过滤器的影响: 查询过滤器
Public method | Query | 查询实体 受这些过滤器的影响: 查询过滤器
Public method | Save | 添加或更新实体 受这些过滤器的影响: 操作过滤器
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey) Methods

IRepositoryTEntity, TPrimaryKey Methods

The IRepositoryTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | BatchDelete | 批量删除实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | BatchSave | 批量保存实体 受这些过滤器的影响: 操作过滤器
Public method | BatchUpdate | 批量更新实体 受这些过滤器的影响: 查询过滤器, 操作过滤器
Public method | Count | 计算符合条件的实体数量 受这些过滤器的影响: 查询过滤器
Public method | Delete | 删除实体 受这些过滤器的影响: 操作过滤器
Public method | Get | 获取符合条件的单个实体 受这些过滤器的影响: 查询过滤器
Public method | Query | 查询实体 受这些过滤器的影响: 查询过滤器
Public method | Save | 添加或更新实体 受这些过滤器的影响: 操作过滤器
Top
See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).BatchDelete Method

IRepositoryTEntity, TPrimaryKeyBatchDelete Method

批量删除实体 受这些过滤器的影响: 查询过滤器, 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
long BatchDelete(
    Expression<Func<TEntity, bool>> predicate,
    Action<TEntity> beforeDelete = null
)
Function BatchDelete (
    predicate As Expression(Of Func(Of TEntity, Boolean)),
    Optional beforeDelete As Action(Of TEntity) = Nothing
) As Long
long long BatchDelete(
    Expression<Func<TEntity, bool>^>^ predicate,
    Action<TEntity>^ beforeDelete = nullptr
)
abstract BatchDelete :
        predicate : Expression<Func<'TEntity, bool>> *
        ?beforeDelete : Action<'TEntity>
(* Defaults:
        let _beforeDelete = defaultArg beforeDelete null
*)
-> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
删除条件
beforeDelete (Optional)
Type: SystemAction TEntity
删除前的函数

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces.IRepository`2.BatchDelete(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).BatchSave Method

IRepositoryTEntity, TPrimaryKeyBatchSave Method

批量保存实体 受这些过滤器的影响: 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void BatchSave(
    ref IEnumerable<TEntity> entities,
    Action<TEntity> update = null
)
Sub BatchSave (
    ByRef entities As IEnumerable(Of TEntity),
    Optional update As Action(Of TEntity) = Nothing
)
void BatchSave(
    IEnumerable<TEntity>^% entities,
    Action<TEntity>^ update = nullptr
)
abstract BatchSave :
        entities : IEnumerable<'TEntity> byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit

Parameters

entities
Type: System.Collections.GenericIEnumerable TEntity
实体列表
update (Optional)
Type: SystemAction TEntity
更新函数
See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).BatchUpdate Method

IRepositoryTEntity, TPrimaryKeyBatchUpdate Method

批量更新实体 受这些过滤器的影响: 查询过滤器, 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
long BatchUpdate(
    Expression<Func<TEntity, bool>> predicate,
    Action<TEntity> update
)
Function BatchUpdate (
    predicate As Expression(Of Func(Of TEntity, Boolean)),
    update As Action(Of TEntity)
) As Long
long long BatchUpdate(
    Expression<Func<TEntity, bool>^>^ predicate,
    Action<TEntity>^ update
)
abstract BatchUpdate :
        predicate : Expression<Func<'TEntity, bool>> *
        update : Action<'TEntity> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
更新条件
update
Type: SystemAction TEntity
更新函数

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces.IRepository`2.BatchUpdate(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}},System.Action{`0})"]

See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).Count Method

IRepositoryTEntity, TPrimaryKeyCount Method

计算符合条件的实体数量 受这些过滤器的影响: 查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
long Count(
    Expression<Func<TEntity, bool>> predicate
)
Function Count (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As Long
long long Count(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract Count :
        predicate : Expression<Func<'TEntity, bool>> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
条件

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces.IRepository`2.Count(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).Delete Method

IRepositoryTEntity, TPrimaryKeyDelete Method

删除实体 受这些过滤器的影响: 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Delete(
    TEntity entity
)
Sub Delete (
    entity As TEntity
)
void Delete(
    TEntity entity
)
abstract Delete :
        entity : 'TEntity -> unit

Parameters

entity
Type: TEntity
实体
See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).Get Method

IRepositoryTEntity, TPrimaryKeyGet Method

获取符合条件的单个实体 受这些过滤器的影响: 查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
TEntity Get(
    Expression<Func<TEntity, bool>> predicate
)
Function Get (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As TEntity
TEntity Get(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract Get :
        predicate : Expression<Func<'TEntity, bool>> -> 'TEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
条件

Return Value

Type: TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces.IRepository`2.Get(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).Query Method

IRepositoryTEntity, TPrimaryKeyQuery Method

查询实体 受这些过滤器的影响: 查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IQueryable<TEntity> Query()
Function Query As IQueryable(Of TEntity)
IQueryable<TEntity>^ Query()
abstract Query : unit -> IQueryable<'TEntity>

Return Value

Type: IQueryable TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces.IRepository`2.Query"]

See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


IRepository(TEntity, TPrimaryKey).Save Method

IRepositoryTEntity, TPrimaryKeySave Method

添加或更新实体 受这些过滤器的影响: 操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Save(
    ref TEntity entity,
    Action<TEntity> update
)
Sub Save (
    ByRef entity As TEntity,
    update As Action(Of TEntity)
)
void Save(
    TEntity% entity,
    Action<TEntity>^ update
)
abstract Save :
        entity : 'TEntity byref *
        update : Action<'TEntity> -> unit

Parameters

entity
Type: TEntity
实体
update
Type: SystemAction TEntity
更新函数
See Also

Reference

IRepositoryTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Services Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Domain.Services"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Domain.Services |
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases |
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces |


ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Services"]

Classes
 | Class | Description
Public class | GenericConfigManager | 通用配置管理器
Public class | ScheduledTaskManager | 定时任务管理器 流程 收集所有IScheduledTaskExecutor 每分钟 - 获取数据库中的最后执行时间 - 调用ShouldExecuteNow函数 - 以事务更新数据库中的最后执行时间 - 更新成功时调用Execute - Execute抛出例外时记录到日志
Public class | SessionManager | 会话管理器


GenericConfigManager Class
通用配置管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase GenericConfig, String
ZKWeb.Plugins.Common.Base.src.Domain.ServicesGenericConfigManager

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericConfigManager : DomainServiceBase<GenericConfig, string>,
    ICacheCleaner
Public Class GenericConfigManager
    Inherits DomainServiceBase(Of GenericConfig, String)
    Implements ICacheCleaner
public ref class GenericConfigManager : public DomainServiceBase<GenericConfig^, String^>,
    ICacheCleaner
type GenericConfigManager =
    class
        inherit DomainServiceBase<GenericConfig, string>
        interface ICacheCleaner
    end

The GenericConfigManager type exposes the following members.

Constructors
 | Name | Description
Public method | GenericConfigManager | 初始化
Top
Properties
 | Name | Description
Protected property | AttributeCache | 配置属性的缓存
Protected property | ConfigValueCache | 配置值的缓存
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Protected method | GetConfigAttributeT | 获取类型标记的配置属性
Public method | GetDataT | 获取配置值，没有找到时返回新的值
Public method | PutDataT | 储存配置值
Public method | RemoveDataT | 删除配置值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericConfigManager()
Public Sub New
public:
GenericConfigManager()
new : unit -> GenericConfigManager
See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager Properties

The GenericConfigManager type exposes the following members.

Properties
 | Name | Description
Protected property | AttributeCache | 配置属性的缓存
Protected property | ConfigValueCache | 配置值的缓存
Top
See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.AttributeCache Property

GenericConfigManagerAttributeCache Property

配置属性的缓存

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected ConcurrentDictionary<Type, GenericConfigAttribute> AttributeCache { get; set; }
Protected Property AttributeCache As ConcurrentDictionary(Of Type, GenericConfigAttribute)
    Get
    Set
protected:
property ConcurrentDictionary<Type^, GenericConfigAttribute^>^ AttributeCache {
    ConcurrentDictionary<Type^, GenericConfigAttribute^>^ get ();
    void set (ConcurrentDictionary<Type^, GenericConfigAttribute^>^ value);
}
member AttributeCache : ConcurrentDictionary<Type, GenericConfigAttribute> with get, set

Property Value

Type: ConcurrentDictionary Type, GenericConfigAttribute
See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.ConfigValueCache Property

GenericConfigManagerConfigValueCache Property

配置值的缓存

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Type, Object> ConfigValueCache { get; set; }
Protected Property ConfigValueCache As IKeyValueCache(Of Type, Object)
    Get
    Set
protected:
property IKeyValueCache<Type^, Object^>^ ConfigValueCache {
    IKeyValueCache<Type^, Object^>^ get ();
    void set (IKeyValueCache<Type^, Object^>^ value);
}
member ConfigValueCache : IKeyValueCache<Type, Object> with get, set

Property Value

Type: IKeyValueCacheType, Object
See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager Methods

The GenericConfigManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Protected method | GetConfigAttributeT | 获取类型标记的配置属性
Public method | GetDataT | 获取配置值，没有找到时返回新的值
Public method | PutDataT | 储存配置值
Public method | RemoveDataT | 删除配置值
Top
See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.ClearCache Method

GenericConfigManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.GetConfigAttribute(T) Method

GenericConfigManagerGetConfigAttributeT Method

获取类型标记的配置属性

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual GenericConfigAttribute GetConfigAttribute<T>()

Protected Overridable Function GetConfigAttribute(Of T) As GenericConfigAttribute
protected:
generic<typename T>
virtual GenericConfigAttribute^ GetConfigAttribute()
abstract GetConfigAttribute : unit -> GenericConfigAttribute
override GetConfigAttribute : unit -> GenericConfigAttribute

Type Parameters

T
类型

Return Value

Type: GenericConfigAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.GenericConfigManager.GetConfigAttribute``1"]

See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.GetData(T) Method

GenericConfigManagerGetDataT Method

获取配置值，没有找到时返回新的值

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual T GetData<T>()
where T : class, new()

Public Overridable Function GetData(Of T As {Class, New}) As T
public:
generic<typename T>
where T : ref class, gcnew()
virtual T GetData()
abstract GetData : unit -> 'T  when 'T : not struct, new()
override GetData : unit -> 'T  when 'T : not struct, new()

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.GenericConfigManager.GetData``1"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.GenericConfigManager.GetData``1"]

See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.PutData(T) Method

GenericConfigManagerPutDataT Method

储存配置值

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void PutData<T>(
    T value
)
where T : class, new()

Public Overridable Sub PutData(Of T As {Class, New}) (
    value As T
)
public:
generic<typename T>
where T : ref class, gcnew()
virtual void PutData(
    T value
)
abstract PutData :
        value : 'T -> unit  when 'T : not struct, new()
override PutData :
        value : 'T -> unit  when 'T : not struct, new()

Parameters

value
Type: T

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.GenericConfigManager.PutData``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.GenericConfigManager.PutData``1(``0)"]

See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


GenericConfigManager.RemoveData(T) Method

GenericConfigManagerRemoveDataT Method

删除配置值

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RemoveData<T>()

Public Overridable Sub RemoveData(Of T)
public:
generic<typename T>
virtual void RemoveData()
abstract RemoveData : unit -> unit
override RemoveData : unit -> unit

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.GenericConfigManager.RemoveData``1"]

See Also

Reference

GenericConfigManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


ScheduledTaskManager Class
定时任务管理器 流程 收集所有IScheduledTaskExecutor 每分钟 - 获取数据库中的最后执行时间 - 调用ShouldExecuteNow函数 - 以事务更新数据库中的最后执行时间 - 更新成功时调用Execute - Execute抛出例外时记录到日志
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase ScheduledTask, String
ZKWeb.Plugins.Common.Base.src.Domain.ServicesScheduledTaskManager

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ScheduledTaskManager : DomainServiceBase<ScheduledTask, string>
Public Class ScheduledTaskManager
    Inherits DomainServiceBase(Of ScheduledTask, String)
public ref class ScheduledTaskManager : public DomainServiceBase<ScheduledTask^, String^>
type ScheduledTaskManager =
    class
        inherit DomainServiceBase<ScheduledTask, string>
    end

The ScheduledTaskManager type exposes the following members.

Constructors
 | Name | Description
Public method | ScheduledTaskManager | 创建执行定时任务的线程
Top
Methods
 | Name | Description
Protected method | HandleTask | 处理单个定时任务
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


ScheduledTaskManager Constructor

创建执行定时任务的线程

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ScheduledTaskManager()
Public Sub New
public:
ScheduledTaskManager()
new : unit -> ScheduledTaskManager
See Also

Reference

ScheduledTaskManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


ScheduledTaskManager Methods

The ScheduledTaskManager type exposes the following members.

Methods
 | Name | Description
Protected method | HandleTask | 处理单个定时任务
Top
See Also

Reference

ScheduledTaskManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


ScheduledTaskManager.HandleTask Method

ScheduledTaskManagerHandleTask Method

处理单个定时任务

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void HandleTask(
    IScheduledTaskExecutor executor
)
Protected Overridable Sub HandleTask (
    executor As IScheduledTaskExecutor
)
protected:
virtual void HandleTask(
    IScheduledTaskExecutor^ executor
)
abstract HandleTask :
        executor : IScheduledTaskExecutor -> unit
override HandleTask :
        executor : IScheduledTaskExecutor -> unit

Parameters

executor
Type: ZKWeb.Plugins.Common.Base.src.Components.ScheduledTasks.InterfacesIScheduledTaskExecutor
定时任务执行器
See Also

Reference

ScheduledTaskManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager Class
会话管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase Session, Guid
ZKWeb.Plugins.Common.Base.src.Domain.ServicesSessionManager

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SessionManager : DomainServiceBase<Session, Guid>
Public Class SessionManager
    Inherits DomainServiceBase(Of Session, Guid)
public ref class SessionManager : public DomainServiceBase<Session^, Guid>
type SessionManager =
    class
        inherit DomainServiceBase<Session, Guid>
    end

The SessionManager type exposes the following members.

Constructors
 | Name | Description
Public method | SessionManager | Initializes a new instance of the SessionManager class
Top
Methods
 | Name | Description
Public method | GetSession | 获取当前Http请求对应的会话 当前没有会话时返回新的会话
Public method | RemoveExpiredSessions | 删除所有已过期的会话 返回删除的会话数量
Public method | RemoveSession | 删除当前会话
Public method | SaveSession | 添加或更新当前的会话 必要时发送会话Id到客户端
Top
Fields
Name | Description
SessionContextKey | 用于在当前Http请求保存会话
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager Constructor

Initializes a new instance of the SessionManager class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SessionManager()
Public Sub New
public:
SessionManager()
new : unit -> SessionManager
See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager Methods

The SessionManager type exposes the following members.

Methods
 | Name | Description
Public method | GetSession | 获取当前Http请求对应的会话 当前没有会话时返回新的会话
Public method | RemoveExpiredSessions | 删除所有已过期的会话 返回删除的会话数量
Public method | RemoveSession | 删除当前会话
Public method | SaveSession | 添加或更新当前的会话 必要时发送会话Id到客户端
Top
See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager.GetSession Method

SessionManagerGetSession Method

获取当前Http请求对应的会话 当前没有会话时返回新的会话

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Session GetSession()
Public Overridable Function GetSession As Session
public:
virtual Session^ GetSession()
abstract GetSession : unit -> Session
override GetSession : unit -> Session

Return Value

Type: Session

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.SessionManager.GetSession"]

See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager.RemoveExpiredSessions Method

SessionManagerRemoveExpiredSessions Method

删除所有已过期的会话 返回删除的会话数量

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long RemoveExpiredSessions()
Public Overridable Function RemoveExpiredSessions As Long
public:
virtual long long RemoveExpiredSessions()
abstract RemoveExpiredSessions : unit -> int64
override RemoveExpiredSessions : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.SessionManager.RemoveExpiredSessions"]

See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager.RemoveSession Method

SessionManagerRemoveSession Method

删除当前会话

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RemoveSession(
    bool removeClient
)
Public Overridable Sub RemoveSession (
    removeClient As Boolean
)
public:
virtual void RemoveSession(
    bool removeClient
)
abstract RemoveSession :
        removeClient : bool -> unit
override RemoveSession :
        removeClient : bool -> unit

Parameters

removeClient
Type: SystemBoolean
是否同时删除客户端中的会话Id
See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager.SaveSession Method

SessionManagerSaveSession Method

添加或更新当前的会话 必要时发送会话Id到客户端

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveSession()
Public Overridable Sub SaveSession
public:
virtual void SaveSession()
abstract SaveSession : unit -> unit
override SaveSession : unit -> unit
See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager Fields

The SessionManager type exposes the following members.

Fields
Name | Description
SessionContextKey | 用于在当前Http请求保存会话
Top
See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


SessionManager.SessionContextKey Field

SessionManagerSessionContextKey Field
用于在当前Http请求保存会话

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionContextKey = "Common.Base.Session"
Public Const SessionContextKey As String = "Common.Base.Session"
public:
literal String^ SessionContextKey = "Common.Base.Session"
static val mutable SessionContextKey: string

Field Value

Type: String
See Also

Reference

SessionManager Class
ZKWeb.Plugins.Common.Base.src.Domain.Services Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases"]

Classes
 | Class | Description
Public class | DomainServiceBase | 领域服务的基础类
Public class | DomainServiceBaseTEntity, TPrimaryKey | 领域服务的基础类 提供一系列基础功能


DomainServiceBase Class
领域服务的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
More...

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class DomainServiceBase : IDomainService
Public MustInherit Class DomainServiceBase
    Implements IDomainService
public ref class DomainServiceBase abstract : IDomainService
[<AbstractClassAttribute>]
type DomainServiceBase =
    class
        interface IDomainService
    end

The DomainServiceBase type exposes the following members.

Constructors
 | Name | Description
Protected method | DomainServiceBase | Initializes a new instance of the DomainServiceBase class
Top
Properties
 | Name | Description
Protected property | UnitOfWork | 获取工作单元
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain.ServicesImageManager
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesAdminManager
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesLogoManager
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesPrivilegeManager
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.Captcha.src.ManagersCaptchaManager
ZKWeb.Plugins.Common.Currency.src.Domain.ServiceCurrencyManager
ZKWeb.Plugins.Common.Region.src.Domain.ServicesRegionManager
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.ServicesAlipayManager
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.ServicesAlipayMobileManager
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.ServicesPingppManager
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.ServicesWxPayManager
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductAlbumManager
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.ServicesProductRatingAlbumManager
ZKWeb.Plugins.Testing.WebTester.src.Domain.ServicesWebTesterManager
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.ServicesVisualPageManager
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.ServicesVisualThemeManager
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.ServicesVisualWidgetManager


DomainServiceBase Constructor

Initializes a new instance of the DomainServiceBase class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected DomainServiceBase()
Protected Sub New
protected:
DomainServiceBase()
new : unit -> DomainServiceBase
See Also

Reference

DomainServiceBase Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase Properties

The DomainServiceBase type exposes the following members.

Properties
 | Name | Description
Protected property | UnitOfWork | 获取工作单元
Top
See Also

Reference

DomainServiceBase Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase.UnitOfWork Property

DomainServiceBaseUnitOfWork Property

获取工作单元

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IUnitOfWork UnitOfWork { get; }
Protected Overridable ReadOnly Property UnitOfWork As IUnitOfWork
    Get
protected:
virtual property IUnitOfWork^ UnitOfWork {
    IUnitOfWork^ get ();
}
abstract UnitOfWork : IUnitOfWork with get
override UnitOfWork : IUnitOfWork with get

Property Value

Type: IUnitOfWork
See Also

Reference

DomainServiceBase Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey) Class

DomainServiceBaseTEntity, TPrimaryKey Class
领域服务的基础类 提供一系列基础功能
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBaseTEntity, TPrimaryKey
More...

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class DomainServiceBase<TEntity, TPrimaryKey> : DomainServiceBase,
    IDomainService<TEntity, TPrimaryKey>, IDomainService
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class DomainServiceBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits DomainServiceBase
    Implements IDomainService(Of TEntity, TPrimaryKey),
    IDomainService
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class DomainServiceBase abstract : public DomainServiceBase,
    IDomainService<TEntity, TPrimaryKey>, IDomainService
[<AbstractClassAttribute>]
type DomainServiceBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        inherit DomainServiceBase
        interface IDomainService<'TEntity, 'TPrimaryKey>
        interface IDomainService
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The DomainServiceBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Protected method | DomainServiceBaseTEntity, TPrimaryKey | Initializes a new instance of the DomainServiceBaseTEntity, TPrimaryKey class
Top
Properties
 | Name | Description
Protected property | Repository | 获取仓储
Top
Methods
 | Name | Description
Public method | BatchDeleteForever | 批量永久删除
Public method | BatchSetDeleted | 批量标记已删除或未删除 返回标记的数量，不会实际删除
Public method | Count | 计算符合条件的实体数量
Public method | Delete(TEntity) | 删除实体
Public method | Delete(TPrimaryKey) | 根据主键删除实体
Public method | Get(ExpressionFuncTEntity, Boolean) | 根据条件获取实体
Public method | Get(TPrimaryKey) | 根据主键获取实体
Public method | GetMany(ExpressionFuncTEntity, Boolean) | 根据条件获取实体列表
Public method | GetManyTResult(FuncIQueryableTEntity, TResult) | 根据过滤函数获取实体列表
Public method | Save | 保存实体
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBaseTEntity, TPrimaryKey
ZKWeb.Plugins.CMS.Article.src.Domain.ServicesArticleManager
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesUserManager
ZKWeb.Plugins.Common.Admin.src.Domain.ServicesUserRoleManager
ZKWeb.Plugins.Common.Base.src.Domain.ServicesGenericConfigManager
ZKWeb.Plugins.Common.Base.src.Domain.ServicesScheduledTaskManager
ZKWeb.Plugins.Common.Base.src.Domain.ServicesSessionManager
ZKWeb.Plugins.Common.GenericClass.src.Domain.ServicesGenericClassManager
ZKWeb.Plugins.Common.GenericRecord.src.Domain.ServicesGenericRecordManager
ZKWeb.Plugins.Common.GenericTag.src.Domain.ServicesGenericTagManager
ZKWeb.Plugins.Common.UserContact.src.Domain.ServicesUserContactManager
ZKWeb.Plugins.Finance.Payment.src.Domain.ServicesPaymentApiManager
ZKWeb.Plugins.Finance.Payment.src.Domain.ServicesPaymentTransactionManager
ZKWeb.Plugins.Shopping.Logistics.src.Domain.ServicesLogisticsManager
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesBuyerOrderManager
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesCartProductManager
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesOrderCommentManager
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesOrderDeliveryManager
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesSellerOrderManager
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesShippingAddressManager
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductCategoryManager
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductManager
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductPropertyManager
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.ServicesProductBookmarkManager
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.ServicesProductRatingManager


DomainServiceBase(TEntity, TPrimaryKey) Constructor

DomainServiceBaseTEntity, TPrimaryKey Constructor

Initializes a new instance of the DomainServiceBaseTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected DomainServiceBase()
Protected Sub New
protected:
DomainServiceBase()
new : unit -> DomainServiceBase
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey) Properties

DomainServiceBaseTEntity, TPrimaryKey Properties

The DomainServiceBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Protected property | Repository | 获取仓储
Top
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Repository Property

DomainServiceBaseTEntity, TPrimaryKeyRepository Property

获取仓储

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IRepository<TEntity, TPrimaryKey> Repository { get; }
Protected Overridable ReadOnly Property Repository As IRepository(Of TEntity, TPrimaryKey)
    Get
protected:
virtual property IRepository<TEntity, TPrimaryKey>^ Repository {
    IRepository<TEntity, TPrimaryKey>^ get ();
}
abstract Repository : IRepository<'TEntity, 'TPrimaryKey> with get
override Repository : IRepository<'TEntity, 'TPrimaryKey> with get

Property Value

Type: IRepository TEntity, TPrimaryKey
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey) Methods

DomainServiceBaseTEntity, TPrimaryKey Methods

The DomainServiceBaseTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteForever | 批量永久删除
Public method | BatchSetDeleted | 批量标记已删除或未删除 返回标记的数量，不会实际删除
Public method | Count | 计算符合条件的实体数量
Public method | Delete(TEntity) | 删除实体
Public method | Delete(TPrimaryKey) | 根据主键删除实体
Public method | Get(ExpressionFuncTEntity, Boolean) | 根据条件获取实体
Public method | Get(TPrimaryKey) | 根据主键获取实体
Public method | GetMany(ExpressionFuncTEntity, Boolean) | 根据条件获取实体列表
Public method | GetManyTResult(FuncIQueryableTEntity, TResult) | 根据过滤函数获取实体列表
Public method | Save | 保存实体
Top
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).BatchDeleteForever Method

DomainServiceBaseTEntity, TPrimaryKeyBatchDeleteForever Method

批量永久删除

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long BatchDeleteForever(
    IEnumerable<TPrimaryKey> ids
)
Public Overridable Function BatchDeleteForever (
    ids As IEnumerable(Of TPrimaryKey)
) As Long
public:
virtual long long BatchDeleteForever(
    IEnumerable<TPrimaryKey>^ ids
)
abstract BatchDeleteForever :
        ids : IEnumerable<'TPrimaryKey> -> int64
override BatchDeleteForever :
        ids : IEnumerable<'TPrimaryKey> -> int64

Parameters

ids
Type: System.Collections.GenericIEnumerable TPrimaryKey

[Missing <param name="ids"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.BatchDeleteForever(System.Collections.Generic.IEnumerable{`1})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.BatchDeleteForever(System.Collections.Generic.IEnumerable{`1})"]

Implements

IDomainServiceTEntity, TPrimaryKeyBatchDeleteForever(IEnumerableTPrimaryKey)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).BatchSetDeleted Method

DomainServiceBaseTEntity, TPrimaryKeyBatchSetDeleted Method

批量标记已删除或未删除 返回标记的数量，不会实际删除

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long BatchSetDeleted(
    IEnumerable<TPrimaryKey> ids,
    bool deleted
)
Public Overridable Function BatchSetDeleted (
    ids As IEnumerable(Of TPrimaryKey),
    deleted As Boolean
) As Long
public:
virtual long long BatchSetDeleted(
    IEnumerable<TPrimaryKey>^ ids,
    bool deleted
)
abstract BatchSetDeleted :
        ids : IEnumerable<'TPrimaryKey> *
        deleted : bool -> int64
override BatchSetDeleted :
        ids : IEnumerable<'TPrimaryKey> *
        deleted : bool -> int64

Parameters

ids
Type: System.Collections.GenericIEnumerable TPrimaryKey

[Missing <param name="ids"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.BatchSetDeleted(System.Collections.Generic.IEnumerable{`1},System.Boolean)"]

deleted
Type: SystemBoolean

[Missing <param name="deleted"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.BatchSetDeleted(System.Collections.Generic.IEnumerable{`1},System.Boolean)"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.BatchSetDeleted(System.Collections.Generic.IEnumerable{`1},System.Boolean)"]

Implements

IDomainServiceTEntity, TPrimaryKeyBatchSetDeleted(IEnumerableTPrimaryKey, Boolean)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Count Method

DomainServiceBaseTEntity, TPrimaryKeyCount Method

计算符合条件的实体数量

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long Count(
    Expression<Func<TEntity, bool>> predicate
)
Public Function Count (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As Long
public:
virtual long long Count(
    Expression<Func<TEntity, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'TEntity, bool>> -> int64
override Count :
        predicate : Expression<Func<'TEntity, bool>> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Count(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Count(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Implements

IDomainServiceTEntity, TPrimaryKeyCount(ExpressionFuncTEntity, Boolean)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Delete Method

DomainServiceBaseTEntity, TPrimaryKeyDelete Method

Overload List
 | Name | Description
Public method | Delete(TEntity) | 删除实体
Public method | Delete(TPrimaryKey) | 根据主键删除实体
Top
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Delete Method (TEntity)

DomainServiceBaseTEntity, TPrimaryKeyDelete Method (TEntity)
删除实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Delete(
    TEntity entity
)
Public Overridable Sub Delete (
    entity As TEntity
)
public:
virtual void Delete(
    TEntity entity
)
abstract Delete :
        entity : 'TEntity -> unit
override Delete :
        entity : 'TEntity -> unit

Parameters

entity
Type: TEntity

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Delete(`0)"]

Implements

IDomainServiceTEntity, TPrimaryKeyDelete(TEntity)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
Delete Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Delete Method (TPrimaryKey)

DomainServiceBaseTEntity, TPrimaryKeyDelete Method (TPrimaryKey)
根据主键删除实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Delete(
    TPrimaryKey id
)
Public Overridable Function Delete (
    id As TPrimaryKey
) As Boolean
public:
virtual bool Delete(
    TPrimaryKey id
)
abstract Delete :
        id : 'TPrimaryKey -> bool
override Delete :
        id : 'TPrimaryKey -> bool

Parameters

id
Type: TPrimaryKey

[Missing <param name="id"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Delete(`1)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Delete(`1)"]

Implements

IDomainServiceTEntity, TPrimaryKeyDelete(TPrimaryKey)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
Delete Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Get Method

DomainServiceBaseTEntity, TPrimaryKeyGet Method

Overload List
 | Name | Description
Public method | Get(ExpressionFuncTEntity, Boolean) | 根据条件获取实体
Public method | Get(TPrimaryKey) | 根据主键获取实体
Top
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Get Method (Expression(Func(TEntity, Boolean)))

DomainServiceBaseTEntity, TPrimaryKeyGet Method (ExpressionFuncTEntity, Boolean)
根据条件获取实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual TEntity Get(
    Expression<Func<TEntity, bool>> predicate
)
Public Overridable Function Get (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As TEntity
public:
virtual TEntity Get(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract Get :
        predicate : Expression<Func<'TEntity, bool>> -> 'TEntity
override Get :
        predicate : Expression<Func<'TEntity, bool>> -> 'TEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Get(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Return Value

Type: TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Get(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Implements

IDomainServiceTEntity, TPrimaryKeyGet(ExpressionFuncTEntity, Boolean)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
Get Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Get Method (TPrimaryKey)

DomainServiceBaseTEntity, TPrimaryKeyGet Method (TPrimaryKey)
根据主键获取实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual TEntity Get(
    TPrimaryKey id
)
Public Overridable Function Get (
    id As TPrimaryKey
) As TEntity
public:
virtual TEntity Get(
    TPrimaryKey id
)
abstract Get :
        id : 'TPrimaryKey -> 'TEntity
override Get :
        id : 'TPrimaryKey -> 'TEntity

Parameters

id
Type: TPrimaryKey

[Missing <param name="id"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Get(`1)"]

Return Value

Type: TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Get(`1)"]

Implements

IDomainServiceTEntity, TPrimaryKeyGet(TPrimaryKey)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
Get Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).GetMany Method

DomainServiceBaseTEntity, TPrimaryKeyGetMany Method

Overload List
 | Name | Description
Public method | GetManyTResult(FuncIQueryableTEntity, TResult) | 根据过滤函数获取实体列表
Public method | GetMany(ExpressionFuncTEntity, Boolean) | 根据条件获取实体列表
Top
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).GetMany(TResult) Method (Func(IQueryable(TEntity), TResult))

DomainServiceBaseTEntity, TPrimaryKeyGetManyTResult Method (FuncIQueryableTEntity, TResult)
根据过滤函数获取实体列表

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual TResult GetMany<TResult>(
    Func<IQueryable<TEntity>, TResult> fetch
)

Public Overridable Function GetMany(Of TResult) (
    fetch As Func(Of IQueryable(Of TEntity), TResult)
) As TResult
public:
generic<typename TResult>
virtual TResult GetMany(
    Func<IQueryable<TEntity>^, TResult>^ fetch
)
abstract GetMany :
        fetch : Func<IQueryable<'TEntity>, 'TResult> -> 'TResult
override GetMany :
        fetch : Func<IQueryable<'TEntity>, 'TResult> -> 'TResult

Parameters

fetch
Type: SystemFunc IQueryable TEntity , TResult

[Missing <param name="fetch"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.GetMany``1(System.Func{System.Linq.IQueryable{`0},``0})"]

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.GetMany``1(System.Func{System.Linq.IQueryable{`0},``0})"]

Return Value

Type: TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.GetMany``1(System.Func{System.Linq.IQueryable{`0},``0})"]

Implements

IDomainServiceTEntity, TPrimaryKeyGetManyTResult(FuncIQueryableTEntity, TResult)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
GetMany Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).GetMany Method (Expression(Func(TEntity, Boolean)))

DomainServiceBaseTEntity, TPrimaryKeyGetMany Method (ExpressionFuncTEntity, Boolean)
根据条件获取实体列表

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<TEntity> GetMany(
    Expression<Func<TEntity, bool>> predicate = null
)
Public Overridable Function GetMany (
    Optional predicate As Expression(Of Func(Of TEntity, Boolean)) = Nothing
) As IList(Of TEntity)
public:
virtual IList<TEntity>^ GetMany(
    Expression<Func<TEntity, bool>^>^ predicate = nullptr
)
abstract GetMany :
        ?predicate : Expression<Func<'TEntity, bool>>
(* Defaults:
        let _predicate = defaultArg predicate null
*)
-> IList<'TEntity>
override GetMany :
        ?predicate : Expression<Func<'TEntity, bool>>
(* Defaults:
        let _predicate = defaultArg predicate null
*)
-> IList<'TEntity>

Parameters

predicate (Optional)
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.GetMany(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Return Value

Type: IList TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.GetMany(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

Implements

IDomainServiceTEntity, TPrimaryKeyGetMany(ExpressionFuncTEntity, Boolean)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
GetMany Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


DomainServiceBase(TEntity, TPrimaryKey).Save Method

DomainServiceBaseTEntity, TPrimaryKeySave Method

保存实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Save(
    ref TEntity entity,
    Action<TEntity> update = null
)
Public Overridable Sub Save (
    ByRef entity As TEntity,
    Optional update As Action(Of TEntity) = Nothing
)
public:
virtual void Save(
    TEntity% entity,
    Action<TEntity>^ update = nullptr
)
abstract Save :
        entity : 'TEntity byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit
override Save :
        entity : 'TEntity byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit

Parameters

entity
Type: TEntity

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Save(`0@,System.Action{`0})"]

update (Optional)
Type: SystemAction TEntity

[Missing <param name="update"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases.DomainServiceBase`2.Save(`0@,System.Action{`0})"]

Implements

IDomainServiceTEntity, TPrimaryKeySave(TEntity, ActionTEntity)
See Also

Reference

DomainServiceBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.Domain.Services.Bases Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IDomainService | 领域服务的接口
Public interface | IDomainServiceTEntity, TPrimaryKey | 领域服务的接口


IDomainService Interface
领域服务的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IDomainService
Public Interface IDomainService
public interface class IDomainService
type IDomainService =  interface end
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey) Interface

IDomainServiceTEntity, TPrimaryKey Interface
领域服务的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IDomainService<TEntity, TPrimaryKey> : IDomainService
where TEntity : class, Object, IEntity<TPrimaryKey>

Public Interface IDomainService(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits IDomainService
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public interface class IDomainService : IDomainService
type IDomainService<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    interface
        interface IDomainService
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The IDomainServiceTEntity, TPrimaryKey type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteForever | 批量永久删除 返回实际删除的数量
Public method | BatchSetDeleted | 批量标记已删除或未删除 返回标记的数量，不会实际删除
Public method | Count | 计算符合条件的实体数量
Public method | Delete(TEntity) | 删除实体
Public method | Delete(TPrimaryKey) | 根据主键删除实体 返回是否找到并删除了实体
Public method | Get(ExpressionFuncTEntity, Boolean) | 根据条件获取实体
Public method | Get(TPrimaryKey) | 根据主键获取实体
Public method | GetMany(ExpressionFuncTEntity, Boolean) | 根据条件获取实体列表
Public method | GetManyTResult(FuncIQueryableTEntity, TResult) | 根据查询函数获取实体列表
Public method | Save | 保存实体
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey) Methods

IDomainServiceTEntity, TPrimaryKey Methods

The IDomainServiceTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteForever | 批量永久删除 返回实际删除的数量
Public method | BatchSetDeleted | 批量标记已删除或未删除 返回标记的数量，不会实际删除
Public method | Count | 计算符合条件的实体数量
Public method | Delete(TEntity) | 删除实体
Public method | Delete(TPrimaryKey) | 根据主键删除实体 返回是否找到并删除了实体
Public method | Get(ExpressionFuncTEntity, Boolean) | 根据条件获取实体
Public method | Get(TPrimaryKey) | 根据主键获取实体
Public method | GetMany(ExpressionFuncTEntity, Boolean) | 根据条件获取实体列表
Public method | GetManyTResult(FuncIQueryableTEntity, TResult) | 根据查询函数获取实体列表
Public method | Save | 保存实体
Top
See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).BatchDeleteForever Method

IDomainServiceTEntity, TPrimaryKeyBatchDeleteForever Method

批量永久删除 返回实际删除的数量

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
long BatchDeleteForever(
    IEnumerable<TPrimaryKey> ids
)
Function BatchDeleteForever (
    ids As IEnumerable(Of TPrimaryKey)
) As Long
long long BatchDeleteForever(
    IEnumerable<TPrimaryKey>^ ids
)
abstract BatchDeleteForever :
        ids : IEnumerable<'TPrimaryKey> -> int64

Parameters

ids
Type: System.Collections.GenericIEnumerable TPrimaryKey
批量永久删除

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.BatchDeleteForever(System.Collections.Generic.IEnumerable{`1})"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).BatchSetDeleted Method

IDomainServiceTEntity, TPrimaryKeyBatchSetDeleted Method

批量标记已删除或未删除 返回标记的数量，不会实际删除

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
long BatchSetDeleted(
    IEnumerable<TPrimaryKey> ids,
    bool deleted
)
Function BatchSetDeleted (
    ids As IEnumerable(Of TPrimaryKey),
    deleted As Boolean
) As Long
long long BatchSetDeleted(
    IEnumerable<TPrimaryKey>^ ids,
    bool deleted
)
abstract BatchSetDeleted :
        ids : IEnumerable<'TPrimaryKey> *
        deleted : bool -> int64

Parameters

ids
Type: System.Collections.GenericIEnumerable TPrimaryKey
实体Id列表
deleted
Type: SystemBoolean
是否已删除

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.BatchSetDeleted(System.Collections.Generic.IEnumerable{`1},System.Boolean)"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Count Method

IDomainServiceTEntity, TPrimaryKeyCount Method

计算符合条件的实体数量

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
long Count(
    Expression<Func<TEntity, bool>> predicate
)
Function Count (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As Long
long long Count(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract Count :
        predicate : Expression<Func<'TEntity, bool>> -> int64

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
条件

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.Count(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Delete Method

IDomainServiceTEntity, TPrimaryKeyDelete Method

Overload List
 | Name | Description
Public method | Delete(TEntity) | 删除实体
Public method | Delete(TPrimaryKey) | 根据主键删除实体 返回是否找到并删除了实体
Top
See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Delete Method (TEntity)

IDomainServiceTEntity, TPrimaryKeyDelete Method (TEntity)
删除实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Delete(
    TEntity entity
)
Sub Delete (
    entity As TEntity
)
void Delete(
    TEntity entity
)
abstract Delete :
        entity : 'TEntity -> unit

Parameters

entity
Type: TEntity
实体
See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
Delete Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Delete Method (TPrimaryKey)

IDomainServiceTEntity, TPrimaryKeyDelete Method (TPrimaryKey)
根据主键删除实体 返回是否找到并删除了实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool Delete(
    TPrimaryKey id
)
Function Delete (
    id As TPrimaryKey
) As Boolean
bool Delete(
    TPrimaryKey id
)
abstract Delete :
        id : 'TPrimaryKey -> bool

Parameters

id
Type: TPrimaryKey
主键值

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.Delete(`1)"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
Delete Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Get Method

IDomainServiceTEntity, TPrimaryKeyGet Method

Overload List
 | Name | Description
Public method | Get(ExpressionFuncTEntity, Boolean) | 根据条件获取实体
Public method | Get(TPrimaryKey) | 根据主键获取实体
Top
See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Get Method (Expression(Func(TEntity, Boolean)))

IDomainServiceTEntity, TPrimaryKeyGet Method (ExpressionFuncTEntity, Boolean)
根据条件获取实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
TEntity Get(
    Expression<Func<TEntity, bool>> predicate
)
Function Get (
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As TEntity
TEntity Get(
    Expression<Func<TEntity, bool>^>^ predicate
)
abstract Get :
        predicate : Expression<Func<'TEntity, bool>> -> 'TEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
条件

Return Value

Type: TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.Get(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
Get Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Get Method (TPrimaryKey)

IDomainServiceTEntity, TPrimaryKeyGet Method (TPrimaryKey)
根据主键获取实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
TEntity Get(
    TPrimaryKey id
)
Function Get (
    id As TPrimaryKey
) As TEntity
TEntity Get(
    TPrimaryKey id
)
abstract Get :
        id : 'TPrimaryKey -> 'TEntity

Parameters

id
Type: TPrimaryKey
主键值

Return Value

Type: TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.Get(`1)"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
Get Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).GetMany Method

IDomainServiceTEntity, TPrimaryKeyGetMany Method

Overload List
 | Name | Description
Public method | GetManyTResult(FuncIQueryableTEntity, TResult) | 根据查询函数获取实体列表
Public method | GetMany(ExpressionFuncTEntity, Boolean) | 根据条件获取实体列表
Top
See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).GetMany(TResult) Method (Func(IQueryable(TEntity), TResult))

IDomainServiceTEntity, TPrimaryKeyGetManyTResult Method (FuncIQueryableTEntity, TResult)
根据查询函数获取实体列表

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
TResult GetMany<TResult>(
    Func<IQueryable<TEntity>, TResult> fetch
)

Function GetMany(Of TResult) (
    fetch As Func(Of IQueryable(Of TEntity), TResult)
) As TResult
generic<typename TResult>
TResult GetMany(
    Func<IQueryable<TEntity>^, TResult>^ fetch
)
abstract GetMany :
        fetch : Func<IQueryable<'TEntity>, 'TResult> -> 'TResult

Parameters

fetch
Type: SystemFunc IQueryable TEntity , TResult
查询函数

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.GetMany``1(System.Func{System.Linq.IQueryable{`0},``0})"]

Return Value

Type: TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.GetMany``1(System.Func{System.Linq.IQueryable{`0},``0})"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
GetMany Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).GetMany Method (Expression(Func(TEntity, Boolean)))

IDomainServiceTEntity, TPrimaryKeyGetMany Method (ExpressionFuncTEntity, Boolean)
根据条件获取实体列表

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IList<TEntity> GetMany(
    Expression<Func<TEntity, bool>> predicate = null
)
Function GetMany (
    Optional predicate As Expression(Of Func(Of TEntity, Boolean)) = Nothing
) As IList(Of TEntity)
IList<TEntity>^ GetMany(
    Expression<Func<TEntity, bool>^>^ predicate = nullptr
)
abstract GetMany :
        ?predicate : Expression<Func<'TEntity, bool>>
(* Defaults:
        let _predicate = defaultArg predicate null
*)
-> IList<'TEntity>

Parameters

predicate (Optional)
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
条件，等于null时获取所有实体

Return Value

Type: IList TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces.IDomainService`2.GetMany(System.Linq.Expressions.Expression{System.Func{`0,System.Boolean}})"]

See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
GetMany Overload
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


IDomainService(TEntity, TPrimaryKey).Save Method

IDomainServiceTEntity, TPrimaryKeySave Method

保存实体

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Save(
    ref TEntity entity,
    Action<TEntity> update = null
)
Sub Save (
    ByRef entity As TEntity,
    Optional update As Action(Of TEntity) = Nothing
)
void Save(
    TEntity% entity,
    Action<TEntity>^ update = nullptr
)
abstract Save :
        entity : 'TEntity byref *
        ?update : Action<'TEntity>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit

Parameters

entity
Type: TEntity
实体
update (Optional)
Type: SystemAction TEntity
更新函数
See Also

Reference

IDomainServiceTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.Domain.Services.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Structs"]

Classes
 | Class | Description
Public class | SessionItems | 会话数据


SessionItems Class
会话数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Common.Base.src.Domain.StructsSessionItems

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SessionItems : Dictionary<string, Object>
Public Class SessionItems
    Inherits Dictionary(Of String, Object)
public ref class SessionItems : public Dictionary<String^, Object^>
type SessionItems =
    class
        inherit Dictionary<string, Object>
    end

The SessionItems type exposes the following members.

Constructors
 | Name | Description
Public method | SessionItems | Initializes a new instance of the SessionItems class
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Structs Namespace


SessionItems Constructor

Initializes a new instance of the SessionItems class

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SessionItems()
Public Sub New
public:
SessionItems()
new : unit -> SessionItems
See Also

Reference

SessionItems Class
ZKWeb.Plugins.Common.Base.src.Domain.Structs Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.Domain.Uow"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.Domain.Uow |
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions |
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces |


ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Uow"]

Classes
 | Class | Description
Public class | UnitOfWork | 工作单元 工作单元用于在一个区域中共享数据库上下文和事务 工作单元支持过滤器，这是对框架中的数据事件的补充，但不同的是 - 工作单元过滤器用于处理拥有某一特征(例如有创建时间)的所有实体，可以在一定的范围内启用和禁用 - 数据事件用于处理某一类型的实体，全局一直有效且不能禁用


UnitOfWork Class
工作单元 工作单元用于在一个区域中共享数据库上下文和事务 工作单元支持过滤器，这是对框架中的数据事件的补充，但不同的是 - 工作单元过滤器用于处理拥有某一特征(例如有创建时间)的所有实体，可以在一定的范围内启用和禁用 - 数据事件用于处理某一类型的实体，全局一直有效且不能禁用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.UowUnitOfWork

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UnitOfWork : IUnitOfWork
Public Class UnitOfWork
    Implements IUnitOfWork
public ref class UnitOfWork : IUnitOfWork
type UnitOfWork =
    class
        interface IUnitOfWork
    end

The UnitOfWork type exposes the following members.

Constructors
 | Name | Description
Public method | UnitOfWork | 初始化
Top
Properties
 | Name | Description
Public property | Context | 当前的数据库上下文
Public property | OperationFilters | 当前的保存过滤器列表
Public property | QueryFilters | 当前的查询过滤器列表
Top
Methods
 | Name | Description
Public method | Scope | 在指定的范围内使用工作单元 最外层的工作单元负责创建和销毁数据
Top
Extension Methods
 | Name | Description
Public Extension Method | DisableAllOperationFilters | 在一定范围内禁用所有操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableAllQueryFilters | 在一定范围内禁用所有查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableOperationFilter | 在一定范围内禁用指定类型的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableQueryFilter | 在一定范围内禁用指定类型的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableOperationFilter | 在一定范围内启用指定的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableQueryFilter | 在一定范围内启用指定的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapBeforeDeleteMethodTEntity, TPrimaryKey | 包装删除前的函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapPredicateTEntity, TPrimaryKey | 包装查询条件 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapQueryTEntity, TPrimaryKey | 包装查询 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapUpdateMethodTEntity, TPrimaryKey | 包装更新函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UnitOfWork()
Public Sub New
public:
UnitOfWork()
new : unit -> UnitOfWork
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork Properties

The UnitOfWork type exposes the following members.

Properties
 | Name | Description
Public property | Context | 当前的数据库上下文
Public property | OperationFilters | 当前的保存过滤器列表
Public property | QueryFilters | 当前的查询过滤器列表
Top
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork.Context Property

UnitOfWorkContext Property

当前的数据库上下文

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDatabaseContext Context { get; }
Public ReadOnly Property Context As IDatabaseContext
    Get
public:
virtual property IDatabaseContext^ Context {
    IDatabaseContext^ get () sealed;
}
abstract Context : IDatabaseContext with get
override Context : IDatabaseContext with get

Property Value

Type: IDatabaseContext

Implements

IUnitOfWorkContext
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork.OperationFilters Property

UnitOfWorkOperationFilters Property

当前的保存过滤器列表

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<IEntityOperationFilter> OperationFilters { get; set; }
Public Property OperationFilters As IList(Of IEntityOperationFilter)
    Get
    Set
public:
virtual property IList<IEntityOperationFilter^>^ OperationFilters {
    IList<IEntityOperationFilter^>^ get () sealed;
    void set (IList<IEntityOperationFilter^>^ value) sealed;
}
abstract OperationFilters : IList<IEntityOperationFilter> with get, set
override OperationFilters : IList<IEntityOperationFilter> with get, set

Property Value

Type: IList IEntityOperationFilter

Implements

IUnitOfWorkOperationFilters
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork.QueryFilters Property

UnitOfWorkQueryFilters Property

当前的查询过滤器列表

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<IEntityQueryFilter> QueryFilters { get; set; }
Public Property QueryFilters As IList(Of IEntityQueryFilter)
    Get
    Set
public:
virtual property IList<IEntityQueryFilter^>^ QueryFilters {
    IList<IEntityQueryFilter^>^ get () sealed;
    void set (IList<IEntityQueryFilter^>^ value) sealed;
}
abstract QueryFilters : IList<IEntityQueryFilter> with get, set
override QueryFilters : IList<IEntityQueryFilter> with get, set

Property Value

Type: IList IEntityQueryFilter

Implements

IUnitOfWorkQueryFilters
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork Methods

The UnitOfWork type exposes the following members.

Methods
 | Name | Description
Public method | Scope | 在指定的范围内使用工作单元 最外层的工作单元负责创建和销毁数据
Top
Extension Methods
 | Name | Description
Public Extension Method | DisableAllOperationFilters | 在一定范围内禁用所有操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableAllQueryFilters | 在一定范围内禁用所有查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableOperationFilter | 在一定范围内禁用指定类型的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableQueryFilter | 在一定范围内禁用指定类型的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableOperationFilter | 在一定范围内启用指定的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableQueryFilter | 在一定范围内启用指定的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapBeforeDeleteMethodTEntity, TPrimaryKey | 包装删除前的函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapPredicateTEntity, TPrimaryKey | 包装查询条件 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapQueryTEntity, TPrimaryKey | 包装查询 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapUpdateMethodTEntity, TPrimaryKey | 包装更新函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Top
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


UnitOfWork.Scope Method

UnitOfWorkScope Method

在指定的范围内使用工作单元 最外层的工作单元负责创建和销毁数据

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDisposable Scope()
Public Function Scope As IDisposable
public:
virtual IDisposable^ Scope() sealed
abstract Scope : unit -> IDisposable
override Scope : unit -> IDisposable

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.UnitOfWork.Scope"]

Implements

IUnitOfWorkScope
See Also

Reference

UnitOfWork Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions"]

Classes
 | Class | Description
Public class | IUnitOfWorkExtensions | 工作单元的扩展函数


IUnitOfWorkExtensions Class
工作单元的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Uow.ExtensionsIUnitOfWorkExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IUnitOfWorkExtensions
<ExtensionAttribute>
Public NotInheritable Class IUnitOfWorkExtensions
[ExtensionAttribute]
public ref class IUnitOfWorkExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IUnitOfWorkExtensions =  class end

The IUnitOfWorkExtensions type exposes the following members.

Methods
Name | Description
DisableAllOperationFilters | 在一定范围内禁用所有操作过滤器
DisableAllQueryFilters | 在一定范围内禁用所有查询过滤器
DisableOperationFilter | 在一定范围内禁用指定类型的操作过滤器
DisableQueryFilter | 在一定范围内禁用指定类型的查询过滤器
EnableOperationFilter | 在一定范围内启用指定的操作过滤器
EnableQueryFilter | 在一定范围内启用指定的查询过滤器
WrapBeforeDeleteMethodTEntity, TPrimaryKey | 包装删除前的函数 应用工作单元中的过滤器
WrapPredicateTEntity, TPrimaryKey | 包装查询条件 应用工作单元中的过滤器
WrapQueryTEntity, TPrimaryKey | 包装查询 应用工作单元中的过滤器
WrapUpdateMethodTEntity, TPrimaryKey | 包装更新函数 应用工作单元中的过滤器
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions Methods

The IUnitOfWorkExtensions type exposes the following members.

Methods
Name | Description
DisableAllOperationFilters | 在一定范围内禁用所有操作过滤器
DisableAllQueryFilters | 在一定范围内禁用所有查询过滤器
DisableOperationFilter | 在一定范围内禁用指定类型的操作过滤器
DisableQueryFilter | 在一定范围内禁用指定类型的查询过滤器
EnableOperationFilter | 在一定范围内启用指定的操作过滤器
EnableQueryFilter | 在一定范围内启用指定的查询过滤器
WrapBeforeDeleteMethodTEntity, TPrimaryKey | 包装删除前的函数 应用工作单元中的过滤器
WrapPredicateTEntity, TPrimaryKey | 包装查询条件 应用工作单元中的过滤器
WrapQueryTEntity, TPrimaryKey | 包装查询 应用工作单元中的过滤器
WrapUpdateMethodTEntity, TPrimaryKey | 包装更新函数 应用工作单元中的过滤器
Top
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.DisableAllOperationFilters Method

IUnitOfWorkExtensionsDisableAllOperationFilters Method

在一定范围内禁用所有操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable DisableAllOperationFilters(
    this IUnitOfWork uow
)
<ExtensionAttribute>
Public Shared Function DisableAllOperationFilters (
    uow As IUnitOfWork
) As IDisposable
public:
[ExtensionAttribute]
static IDisposable^ DisableAllOperationFilters(
    IUnitOfWork^ uow
)
[<ExtensionAttribute>]
static member DisableAllOperationFilters :
        uow : IUnitOfWork -> IDisposable

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.DisableAllOperationFilters(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.DisableAllQueryFilters Method

IUnitOfWorkExtensionsDisableAllQueryFilters Method

在一定范围内禁用所有查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable DisableAllQueryFilters(
    this IUnitOfWork uow
)
<ExtensionAttribute>
Public Shared Function DisableAllQueryFilters (
    uow As IUnitOfWork
) As IDisposable
public:
[ExtensionAttribute]
static IDisposable^ DisableAllQueryFilters(
    IUnitOfWork^ uow
)
[<ExtensionAttribute>]
static member DisableAllQueryFilters :
        uow : IUnitOfWork -> IDisposable

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.DisableAllQueryFilters(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.DisableOperationFilter Method

IUnitOfWorkExtensionsDisableOperationFilter Method

在一定范围内禁用指定类型的操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable DisableOperationFilter(
    this IUnitOfWork uow,
    Type filterType
)
<ExtensionAttribute>
Public Shared Function DisableOperationFilter (
    uow As IUnitOfWork,
    filterType As Type
) As IDisposable
public:
[ExtensionAttribute]
static IDisposable^ DisableOperationFilter(
    IUnitOfWork^ uow,
    Type^ filterType
)
[<ExtensionAttribute>]
static member DisableOperationFilter :
        uow : IUnitOfWork *
        filterType : Type -> IDisposable

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
filterType
Type: SystemType
过滤器类型

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.DisableOperationFilter(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,System.Type)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.DisableQueryFilter Method

IUnitOfWorkExtensionsDisableQueryFilter Method

在一定范围内禁用指定类型的查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable DisableQueryFilter(
    this IUnitOfWork uow,
    Type filterType
)
<ExtensionAttribute>
Public Shared Function DisableQueryFilter (
    uow As IUnitOfWork,
    filterType As Type
) As IDisposable
public:
[ExtensionAttribute]
static IDisposable^ DisableQueryFilter(
    IUnitOfWork^ uow,
    Type^ filterType
)
[<ExtensionAttribute>]
static member DisableQueryFilter :
        uow : IUnitOfWork *
        filterType : Type -> IDisposable

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
filterType
Type: SystemType
查询过滤器类型

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.DisableQueryFilter(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,System.Type)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.EnableOperationFilter Method

IUnitOfWorkExtensionsEnableOperationFilter Method

在一定范围内启用指定的操作过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable EnableOperationFilter(
    this IUnitOfWork uow,
    IEntityOperationFilter filter
)
<ExtensionAttribute>
Public Shared Function EnableOperationFilter (
    uow As IUnitOfWork,
    filter As IEntityOperationFilter
) As IDisposable
public:
[ExtensionAttribute]
static IDisposable^ EnableOperationFilter(
    IUnitOfWork^ uow,
    IEntityOperationFilter^ filter
)
[<ExtensionAttribute>]
static member EnableOperationFilter :
        uow : IUnitOfWork *
        filter : IEntityOperationFilter -> IDisposable

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
filter
Type: ZKWeb.Plugins.Common.Base.src.Domain.Filters.InterfacesIEntityOperationFilter
操作过滤器

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.EnableOperationFilter(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces.IEntityOperationFilter)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.EnableQueryFilter Method

IUnitOfWorkExtensionsEnableQueryFilter Method

在一定范围内启用指定的查询过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable EnableQueryFilter(
    this IUnitOfWork uow,
    IEntityQueryFilter filter
)
<ExtensionAttribute>
Public Shared Function EnableQueryFilter (
    uow As IUnitOfWork,
    filter As IEntityQueryFilter
) As IDisposable
public:
[ExtensionAttribute]
static IDisposable^ EnableQueryFilter(
    IUnitOfWork^ uow,
    IEntityQueryFilter^ filter
)
[<ExtensionAttribute>]
static member EnableQueryFilter :
        uow : IUnitOfWork *
        filter : IEntityQueryFilter -> IDisposable

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
filter
Type: ZKWeb.Plugins.Common.Base.src.Domain.Filters.InterfacesIEntityQueryFilter
查询过滤器

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.EnableQueryFilter(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,ZKWeb.Plugins.Common.Base.src.Domain.Filters.Interfaces.IEntityQueryFilter)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.WrapBeforeDeleteMethod(TEntity, TPrimaryKey) Method

IUnitOfWorkExtensionsWrapBeforeDeleteMethodTEntity, TPrimaryKey Method

包装删除前的函数 应用工作单元中的过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Action<TEntity> WrapBeforeDeleteMethod<TEntity, TPrimaryKey>(
    this IUnitOfWork uow,
    Action<TEntity> beforeDelete
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function WrapBeforeDeleteMethod(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    uow As IUnitOfWork,
    beforeDelete As Action(Of TEntity)
) As Action(Of TEntity)
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static Action<TEntity>^ WrapBeforeDeleteMethod(
    IUnitOfWork^ uow,
    Action<TEntity>^ beforeDelete
)
[<ExtensionAttribute>]
static member WrapBeforeDeleteMethod :
        uow : IUnitOfWork *
        beforeDelete : Action<'TEntity> -> Action<'TEntity>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
beforeDelete
Type: SystemAction TEntity
删除前的函数

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: Action TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.WrapBeforeDeleteMethod``2(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,System.Action{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.WrapPredicate(TEntity, TPrimaryKey) Method

IUnitOfWorkExtensionsWrapPredicateTEntity, TPrimaryKey Method

包装查询条件 应用工作单元中的过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Expression<Func<TEntity, bool>> WrapPredicate<TEntity, TPrimaryKey>(
    this IUnitOfWork uow,
    Expression<Func<TEntity, bool>> predicate
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function WrapPredicate(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    uow As IUnitOfWork,
    predicate As Expression(Of Func(Of TEntity, Boolean))
) As Expression(Of Func(Of TEntity, Boolean))
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static Expression<Func<TEntity, bool>^>^ WrapPredicate(
    IUnitOfWork^ uow,
    Expression<Func<TEntity, bool>^>^ predicate
)
[<ExtensionAttribute>]
static member WrapPredicate :
        uow : IUnitOfWork *
        predicate : Expression<Func<'TEntity, bool>> -> Expression<Func<'TEntity, bool>>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
predicate
Type: System.Linq.ExpressionsExpression Func TEntity, Boolean
查询条件

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: Expression Func TEntity, Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.WrapPredicate``2(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.WrapQuery(TEntity, TPrimaryKey) Method

IUnitOfWorkExtensionsWrapQueryTEntity, TPrimaryKey Method

包装查询 应用工作单元中的过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IQueryable<TEntity> WrapQuery<TEntity, TPrimaryKey>(
    this IUnitOfWork uow,
    IQueryable<TEntity> query
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function WrapQuery(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    uow As IUnitOfWork,
    query As IQueryable(Of TEntity)
) As IQueryable(Of TEntity)
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static IQueryable<TEntity>^ WrapQuery(
    IUnitOfWork^ uow,
    IQueryable<TEntity>^ query
)
[<ExtensionAttribute>]
static member WrapQuery :
        uow : IUnitOfWork *
        query : IQueryable<'TEntity> -> IQueryable<'TEntity>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
query
Type: System.LinqIQueryable TEntity
查询

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: IQueryable TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.WrapQuery``2(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,System.Linq.IQueryable{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


IUnitOfWorkExtensions.WrapUpdateMethod(TEntity, TPrimaryKey) Method

IUnitOfWorkExtensionsWrapUpdateMethodTEntity, TPrimaryKey Method

包装更新函数 应用工作单元中的过滤器

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Action<TEntity> WrapUpdateMethod<TEntity, TPrimaryKey>(
    this IUnitOfWork uow,
    Action<TEntity> update
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function WrapUpdateMethod(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    uow As IUnitOfWork,
    update As Action(Of TEntity)
) As Action(Of TEntity)
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static Action<TEntity>^ WrapUpdateMethod(
    IUnitOfWork^ uow,
    Action<TEntity>^ update
)
[<ExtensionAttribute>]
static member WrapUpdateMethod :
        uow : IUnitOfWork *
        update : Action<'TEntity> -> Action<'TEntity>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

uow
Type: ZKWeb.Plugins.Common.Base.src.Domain.Uow.InterfacesIUnitOfWork
工作单元
update
Type: SystemAction TEntity
更新函数

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: Action TEntity

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions.IUnitOfWorkExtensions.WrapUpdateMethod``2(ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork,System.Action{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IUnitOfWork. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IUnitOfWorkExtensions Class
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IUnitOfWork | 工作单元的接口


IUnitOfWork Interface
工作单元的接口

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IUnitOfWork
Public Interface IUnitOfWork
public interface class IUnitOfWork
type IUnitOfWork =  interface end

The IUnitOfWork type exposes the following members.

Properties
 | Name | Description
Public property | Context | 当前的数据库上下文 不存在时抛出错误
Public property | OperationFilters | 当前的操作过滤器列表 不存在时抛出错误
Public property | QueryFilters | 当前的查询过滤器列表 不存在时抛出错误
Top
Methods
 | Name | Description
Public method | Scope | 在指定的范围内使用工作单元 工作单元中可以使用相同的上下文和过滤器，并且和其他工作单元隔离 这个函数可以嵌套使用，嵌套使用时都使用最上层的数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | DisableAllOperationFilters | 在一定范围内禁用所有操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableAllQueryFilters | 在一定范围内禁用所有查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableOperationFilter | 在一定范围内禁用指定类型的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableQueryFilter | 在一定范围内禁用指定类型的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableOperationFilter | 在一定范围内启用指定的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableQueryFilter | 在一定范围内启用指定的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapBeforeDeleteMethodTEntity, TPrimaryKey | 包装删除前的函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapPredicateTEntity, TPrimaryKey | 包装查询条件 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapQueryTEntity, TPrimaryKey | 包装查询 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapUpdateMethodTEntity, TPrimaryKey | 包装更新函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


IUnitOfWork Properties

The IUnitOfWork type exposes the following members.

Properties
 | Name | Description
Public property | Context | 当前的数据库上下文 不存在时抛出错误
Public property | OperationFilters | 当前的操作过滤器列表 不存在时抛出错误
Public property | QueryFilters | 当前的查询过滤器列表 不存在时抛出错误
Top
See Also

Reference

IUnitOfWork Interface
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


IUnitOfWork.Context Property

IUnitOfWorkContext Property

当前的数据库上下文 不存在时抛出错误

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IDatabaseContext Context { get; }
ReadOnly Property Context As IDatabaseContext
    Get
property IDatabaseContext^ Context {
    IDatabaseContext^ get ();
}
abstract Context : IDatabaseContext with get

Property Value

Type: IDatabaseContext
See Also

Reference

IUnitOfWork Interface
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


IUnitOfWork.OperationFilters Property

IUnitOfWorkOperationFilters Property

当前的操作过滤器列表 不存在时抛出错误

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IList<IEntityOperationFilter> OperationFilters { get; set; }
Property OperationFilters As IList(Of IEntityOperationFilter)
    Get
    Set
property IList<IEntityOperationFilter^>^ OperationFilters {
    IList<IEntityOperationFilter^>^ get ();
    void set (IList<IEntityOperationFilter^>^ value);
}
abstract OperationFilters : IList<IEntityOperationFilter> with get, set

Property Value

Type: IList IEntityOperationFilter
See Also

Reference

IUnitOfWork Interface
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


IUnitOfWork.QueryFilters Property

IUnitOfWorkQueryFilters Property

当前的查询过滤器列表 不存在时抛出错误

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IList<IEntityQueryFilter> QueryFilters { get; set; }
Property QueryFilters As IList(Of IEntityQueryFilter)
    Get
    Set
property IList<IEntityQueryFilter^>^ QueryFilters {
    IList<IEntityQueryFilter^>^ get ();
    void set (IList<IEntityQueryFilter^>^ value);
}
abstract QueryFilters : IList<IEntityQueryFilter> with get, set

Property Value

Type: IList IEntityQueryFilter
See Also

Reference

IUnitOfWork Interface
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


IUnitOfWork Methods

The IUnitOfWork type exposes the following members.

Methods
 | Name | Description
Public method | Scope | 在指定的范围内使用工作单元 工作单元中可以使用相同的上下文和过滤器，并且和其他工作单元隔离 这个函数可以嵌套使用，嵌套使用时都使用最上层的数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | DisableAllOperationFilters | 在一定范围内禁用所有操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableAllQueryFilters | 在一定范围内禁用所有查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableOperationFilter | 在一定范围内禁用指定类型的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | DisableQueryFilter | 在一定范围内禁用指定类型的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableOperationFilter | 在一定范围内启用指定的操作过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | EnableQueryFilter | 在一定范围内启用指定的查询过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapBeforeDeleteMethodTEntity, TPrimaryKey | 包装删除前的函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapPredicateTEntity, TPrimaryKey | 包装查询条件 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapQueryTEntity, TPrimaryKey | 包装查询 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Public Extension Method | WrapUpdateMethodTEntity, TPrimaryKey | 包装更新函数 应用工作单元中的过滤器 (Defined by IUnitOfWorkExtensions.)
Top
See Also

Reference

IUnitOfWork Interface
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


IUnitOfWork.Scope Method

IUnitOfWorkScope Method

在指定的范围内使用工作单元 工作单元中可以使用相同的上下文和过滤器，并且和其他工作单元隔离 这个函数可以嵌套使用，嵌套使用时都使用最上层的数据库上下文

Namespace: ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IDisposable Scope()
Function Scope As IDisposable
IDisposable^ Scope()
abstract Scope : unit -> IDisposable

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces.IUnitOfWork.Scope"]

See Also

Reference

IUnitOfWork Interface
ZKWeb.Plugins.Common.Base.src.Domain.Uow.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions"]

Classes
 | Class | Description
Public class | PaginationExtensionsTest |


PaginationExtensionsTest Class

[Missing <summary> documentation for "T:ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions.PaginationExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.ExtensionsPaginationExtensionsTest

Namespace: ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaginationExtensionsTest
Public Class PaginationExtensionsTest
public ref class PaginationExtensionsTest
type PaginationExtensionsTest =  class end

The PaginationExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | PaginationExtensionsTest | Initializes a new instance of the PaginationExtensionsTest class
Top
Methods
 | Name | Description
Public method | Paging |
Public method | PagingForAjaxTableRequest |
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions Namespace


PaginationExtensionsTest Constructor

Initializes a new instance of the PaginationExtensionsTest class

Namespace: ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaginationExtensionsTest()
Public Sub New
public:
PaginationExtensionsTest()
new : unit -> PaginationExtensionsTest
See Also

Reference

PaginationExtensionsTest Class
ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions Namespace


PaginationExtensionsTest Methods

The PaginationExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | Paging |
Public method | PagingForAjaxTableRequest |
Top
See Also

Reference

PaginationExtensionsTest Class
ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions Namespace


PaginationExtensionsTest.Paging Method

PaginationExtensionsTestPaging Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions.PaginationExtensionsTest.Paging"]

Namespace: ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Paging()
Public Sub Paging
public:
void Paging()
member Paging : unit -> unit
See Also

Reference

PaginationExtensionsTest Class
ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions Namespace


PaginationExtensionsTest.PagingForAjaxTableRequest Method

PaginationExtensionsTestPagingForAjaxTableRequest Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions.PaginationExtensionsTest.PagingForAjaxTableRequest"]

Namespace: ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void PagingForAjaxTableRequest()
Public Sub PagingForAjaxTableRequest
public:
void PagingForAjaxTableRequest()
member PagingForAjaxTableRequest : unit -> unit
See Also

Reference

PaginationExtensionsTest Class
ZKWeb.Plugins.Common.Base.src.Tests.UIComponents.Form.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable |
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable |
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums |
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms |
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems |
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems |
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems |
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings |
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable |
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters |
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters |
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags |


ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable |
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases |
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions |
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces |


ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable"]

Classes
 | Class | Description
 | AjaxTableBuilder | Ajax表格构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取
Public class | AjaxTableColumn | 表格列信息
 | AjaxTableSearchBarBuilder | Ajax表格搜索栏构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取
Public class | AjaxTableSearchRequest | Ajax表格数据的搜索请求
Public class | AjaxTableSearchResponse | Ajax表格数据的搜索回应


AjaxTableBuilder Class
Ajax表格构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableBuilder : ILiquidizable
Public Class AjaxTableBuilder
    Implements ILiquidizable
public ref class AjaxTableBuilder : ILiquidizable
type AjaxTableBuilder =
    class
        interface ILiquidizable
    end

The AjaxTableBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableBuilder | 初始化
Top
Properties
 | Name | Description
Public property | ExtraOptions | 附加选项
Public property | Id | 表格Id，必填
Public property | MenuItems | 右键菜单项列表，默认包含刷新和全屏
Public property | Target | 获取表格数据的url，必填
Public property | Template | 使用的模板，不设置时使用默认
Top
Methods
 | Name | Description
Public method | ToString | 获取表格html (Overrides ObjectToString.)
Top
Fields
Name | Description
MenuIdSuffix | 表格菜单Id的后缀，表格菜单Id = 表格Id + 后缀
Top
Extension Methods
 | Name | Description
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的表格构建器进行标准的设置 添加以下菜单项 - 编辑菜单（如果编辑Url不是空） - 添加菜单（如果添加Url不是空） (Defined by AjaxTableBuilderExtensions.)
Top
Examples
var table = Application.Ioc.Resolve[AjaxTableBuilder]();
table.Id = "TestList";
table.Target = "/test/search";
return new TemplateResult("test_table.html", new { table });
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableBuilder()
Public Sub New
public:
AjaxTableBuilder()
new : unit -> AjaxTableBuilder
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder Properties

The AjaxTableBuilder type exposes the following members.

Properties
 | Name | Description
Public property | ExtraOptions | 附加选项
Public property | Id | 表格Id，必填
Public property | MenuItems | 右键菜单项列表，默认包含刷新和全屏
Public property | Target | 获取表格数据的url，必填
Public property | Template | 使用的模板，不设置时使用默认
Top
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.ExtraOptions Property

AjaxTableBuilderExtraOptions Property

附加选项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> ExtraOptions { get; protected set; }
Public Property ExtraOptions As Dictionary(Of String, Object)
    Get
    Protected Set
public:
property Dictionary<String^, Object^>^ ExtraOptions {
    Dictionary<String^, Object^>^ get ();
    protected: void set (Dictionary<String^, Object^>^ value);
}
member ExtraOptions : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.Id Property

AjaxTableBuilderId Property

表格Id，必填

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.MenuItems Property

AjaxTableBuilderMenuItems Property

右键菜单项列表，默认包含刷新和全屏

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<MenuItem> MenuItems { get; protected set; }
Public Property MenuItems As List(Of MenuItem)
    Get
    Protected Set
public:
property List<MenuItem^>^ MenuItems {
    List<MenuItem^>^ get ();
    protected: void set (List<MenuItem^>^ value);
}
member MenuItems : List<MenuItem> with get, set

Property Value

Type: List MenuItem
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.Target Property

AjaxTableBuilderTarget Property

获取表格数据的url，必填

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Target { get; set; }
Public Property Target As String
    Get
    Set
public:
property String^ Target {
    String^ get ();
    void set (String^ value);
}
member Target : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.Template Property

AjaxTableBuilderTemplate Property

使用的模板，不设置时使用默认

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Template { get; set; }
Public Property Template As String
    Get
    Set
public:
property String^ Template {
    String^ get ();
    void set (String^ value);
}
member Template : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder Methods

The AjaxTableBuilder type exposes the following members.

Methods
 | Name | Description
Public method | ToString | 获取表格html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的表格构建器进行标准的设置 添加以下菜单项 - 编辑菜单（如果编辑Url不是空） - 添加菜单（如果添加Url不是空） (Defined by AjaxTableBuilderExtensions.)
Top
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.ToString Method

AjaxTableBuilderToString Method

获取表格html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder.ToString"]

See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder Fields

The AjaxTableBuilder type exposes the following members.

Fields
Name | Description
MenuIdSuffix | 表格菜单Id的后缀，表格菜单Id = 表格Id + 后缀
Top
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableBuilder.MenuIdSuffix Field

AjaxTableBuilderMenuIdSuffix Field
表格菜单Id的后缀，表格菜单Id = 表格Id + 后缀

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string MenuIdSuffix = "Menu"
Public Const MenuIdSuffix As String = "Menu"
public:
literal String^ MenuIdSuffix = "Menu"
static val mutable MenuIdSuffix: string

Field Value

Type: String
See Also

Reference

AjaxTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn Class
表格列信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableColumn
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableColumn
Public Class AjaxTableColumn
public ref class AjaxTableColumn
type AjaxTableColumn =  class end

The AjaxTableColumn type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableColumn | Initializes a new instance of the AjaxTableColumn class
Top
Properties
 | Name | Description
Public property | CellTemplate | 生成单元格Html的模板代码 格式是underscore.js的默认格式
Public property | CssClass | 添加到th或者td的css类名
Public property | HeadTemplate | 生成头部Html的模板代码 格式是underscore.js的默认格式
Public property | Key | 列的识别键
Public property | Width | 宽度
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn Constructor

Initializes a new instance of the AjaxTableColumn class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableColumn()
Public Sub New
public:
AjaxTableColumn()
new : unit -> AjaxTableColumn
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn Properties

The AjaxTableColumn type exposes the following members.

Properties
 | Name | Description
Public property | CellTemplate | 生成单元格Html的模板代码 格式是underscore.js的默认格式
Public property | CssClass | 添加到th或者td的css类名
Public property | HeadTemplate | 生成头部Html的模板代码 格式是underscore.js的默认格式
Public property | Key | 列的识别键
Public property | Width | 宽度
Top
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn.CellTemplate Property

AjaxTableColumnCellTemplate Property

生成单元格Html的模板代码 格式是underscore.js的默认格式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string CellTemplate { get; set; }
Public Overridable Property CellTemplate As String
    Get
    Set
public:
virtual property String^ CellTemplate {
    String^ get ();
    void set (String^ value);
}
abstract CellTemplate : string with get, set
override CellTemplate : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn.CssClass Property

AjaxTableColumnCssClass Property

添加到th或者td的css类名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string CssClass { get; set; }
Public Overridable Property CssClass As String
    Get
    Set
public:
virtual property String^ CssClass {
    String^ get ();
    void set (String^ value);
}
abstract CssClass : string with get, set
override CssClass : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn.HeadTemplate Property

AjaxTableColumnHeadTemplate Property

生成头部Html的模板代码 格式是underscore.js的默认格式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string HeadTemplate { get; set; }
Public Overridable Property HeadTemplate As String
    Get
    Set
public:
virtual property String^ HeadTemplate {
    String^ get ();
    void set (String^ value);
}
abstract HeadTemplate : string with get, set
override HeadTemplate : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn.Key Property

AjaxTableColumnKey Property

列的识别键

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Key { get; set; }
Public Overridable Property Key As String
    Get
    Set
public:
virtual property String^ Key {
    String^ get ();
    void set (String^ value);
}
abstract Key : string with get, set
override Key : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableColumn.Width Property

AjaxTableColumnWidth Property

宽度

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Width { get; set; }
Public Overridable Property Width As String
    Get
    Set
public:
virtual property String^ Width {
    String^ get ();
    void set (String^ value);
}
abstract Width : string with get, set
override Width : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder Class
Ajax表格搜索栏构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableSearchBarBuilder : ILiquidizable
Public Class AjaxTableSearchBarBuilder
    Implements ILiquidizable
public ref class AjaxTableSearchBarBuilder : ILiquidizable
type AjaxTableSearchBarBuilder =
    class
        interface ILiquidizable
    end

The AjaxTableSearchBarBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableSearchBarBuilder | 初始化
Top
Properties
 | Name | Description
Public property | AfterItems | 显示在搜索框之后的项
Public property | BeforeItems | 显示在搜索框之前的项
Public property | Conditions | 高级搜索框的条件项
Public property | KeywordPlaceHolder | 关键字的预留文本
Public property | MenuItems | 菜单项列表，默认包含刷新，全屏，操作和页面设置
Public property | TableId | 表格Id，必填
Top
Methods
 | Name | Description
Public method | ToString | 获取表格html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的搜索栏构建器进行标准的设置 添加以下菜单项 - 回收站（如果数据支持回收） - 添加菜单（如果添加Url不是空） 添加以下按钮 - 添加按钮（如果添加Url不是空） (Defined by AjaxTableSearchBarBuilderExtensions.)
Top
Examples
var searchBar = Application.Ioc.Resolve[AjaxTableSearchBarBuilder]();
searchBar.TableId = "TestList";
searchBar.Conditions.Add(new FormField(new TextBoxFieldAttribute("TestCondition")));
return new TemplateResult("test_table.html", new { table, searchBar });
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableSearchBarBuilder()
Public Sub New
public:
AjaxTableSearchBarBuilder()
new : unit -> AjaxTableSearchBarBuilder
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder Properties

The AjaxTableSearchBarBuilder type exposes the following members.

Properties
 | Name | Description
Public property | AfterItems | 显示在搜索框之后的项
Public property | BeforeItems | 显示在搜索框之前的项
Public property | Conditions | 高级搜索框的条件项
Public property | KeywordPlaceHolder | 关键字的预留文本
Public property | MenuItems | 菜单项列表，默认包含刷新，全屏，操作和页面设置
Public property | TableId | 表格Id，必填
Top
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.AfterItems Property

AjaxTableSearchBarBuilderAfterItems Property

显示在搜索框之后的项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<HtmlItem> AfterItems { get; protected set; }
Public Property AfterItems As List(Of HtmlItem)
    Get
    Protected Set
public:
property List<HtmlItem^>^ AfterItems {
    List<HtmlItem^>^ get ();
    protected: void set (List<HtmlItem^>^ value);
}
member AfterItems : List<HtmlItem> with get, set

Property Value

Type: List HtmlItem
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.BeforeItems Property

AjaxTableSearchBarBuilderBeforeItems Property

显示在搜索框之前的项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<HtmlItem> BeforeItems { get; protected set; }
Public Property BeforeItems As List(Of HtmlItem)
    Get
    Protected Set
public:
property List<HtmlItem^>^ BeforeItems {
    List<HtmlItem^>^ get ();
    protected: void set (List<HtmlItem^>^ value);
}
member BeforeItems : List<HtmlItem> with get, set

Property Value

Type: List HtmlItem
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.Conditions Property

AjaxTableSearchBarBuilderConditions Property

高级搜索框的条件项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<FormField> Conditions { get; protected set; }
Public Property Conditions As List(Of FormField)
    Get
    Protected Set
public:
property List<FormField^>^ Conditions {
    List<FormField^>^ get ();
    protected: void set (List<FormField^>^ value);
}
member Conditions : List<FormField> with get, set

Property Value

Type: List FormField
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.KeywordPlaceHolder Property

AjaxTableSearchBarBuilderKeywordPlaceHolder Property

关键字的预留文本

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string KeywordPlaceHolder { get; set; }
Public Property KeywordPlaceHolder As String
    Get
    Set
public:
property String^ KeywordPlaceHolder {
    String^ get ();
    void set (String^ value);
}
member KeywordPlaceHolder : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.MenuItems Property

AjaxTableSearchBarBuilderMenuItems Property

菜单项列表，默认包含刷新，全屏，操作和页面设置

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<MenuItem> MenuItems { get; protected set; }
Public Property MenuItems As List(Of MenuItem)
    Get
    Protected Set
public:
property List<MenuItem^>^ MenuItems {
    List<MenuItem^>^ get ();
    protected: void set (List<MenuItem^>^ value);
}
member MenuItems : List<MenuItem> with get, set

Property Value

Type: List MenuItem
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.TableId Property

AjaxTableSearchBarBuilderTableId Property

表格Id，必填

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TableId { get; set; }
Public Property TableId As String
    Get
    Set
public:
property String^ TableId {
    String^ get ();
    void set (String^ value);
}
member TableId : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder Methods

The AjaxTableSearchBarBuilder type exposes the following members.

Methods
 | Name | Description
Public method | ToString | 获取表格html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的搜索栏构建器进行标准的设置 添加以下菜单项 - 回收站（如果数据支持回收） - 添加菜单（如果添加Url不是空） 添加以下按钮 - 添加按钮（如果添加Url不是空） (Defined by AjaxTableSearchBarBuilderExtensions.)
Top
See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchBarBuilder.ToString Method

AjaxTableSearchBarBuilderToString Method

获取表格html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder.ToString"]

See Also

Reference

AjaxTableSearchBarBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchRequest Class
Ajax表格数据的搜索请求
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchRequest
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableSearchRequest : BaseTableSearchRequest
Public Class AjaxTableSearchRequest
    Inherits BaseTableSearchRequest
public ref class AjaxTableSearchRequest : public BaseTableSearchRequest
type AjaxTableSearchRequest =
    class
        inherit BaseTableSearchRequest
    end

The AjaxTableSearchRequest type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableSearchRequest | Initializes a new instance of the AjaxTableSearchRequest class
Top
Methods
Name | Description
FromJson | 从json反序列化到搜索请求
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果 (Defined by AjaxTableSearchRequestExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchRequest Constructor

Initializes a new instance of the AjaxTableSearchRequest class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableSearchRequest()
Public Sub New
public:
AjaxTableSearchRequest()
new : unit -> AjaxTableSearchRequest
See Also

Reference

AjaxTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchRequest Methods

The AjaxTableSearchRequest type exposes the following members.

Methods
Name | Description
FromJson | 从json反序列化到搜索请求
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果 (Defined by AjaxTableSearchRequestExtensions.)
Top
See Also

Reference

AjaxTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchRequest.FromJson Method

AjaxTableSearchRequestFromJson Method

从json反序列化到搜索请求

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableSearchRequest FromJson(
    string json
)
Public Shared Function FromJson (
    json As String
) As AjaxTableSearchRequest
public:
static AjaxTableSearchRequest^ FromJson(
    String^ json
)
static member FromJson :
        json : string -> AjaxTableSearchRequest

Parameters

json
Type: SystemString
json文本

Return Value

Type: AjaxTableSearchRequest

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest.FromJson(System.String)"]

See Also

Reference

AjaxTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchResponse Class
Ajax表格数据的搜索回应
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchResponse
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableSearchResponse : BaseTableSearchResponse
Public Class AjaxTableSearchResponse
    Inherits BaseTableSearchResponse
public ref class AjaxTableSearchResponse : public BaseTableSearchResponse
type AjaxTableSearchResponse =
    class
        inherit BaseTableSearchResponse
    end

The AjaxTableSearchResponse type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableSearchResponse | 初始化
Top
Properties
 | Name | Description
Public property | Columns | 表格列列表
Top
Extension Methods
 | Name | Description
Public Extension Method | ToTableBuilder | 把Ajax表格数据的搜索回应转换为静态表格构建器 (Defined by AjaxTableSearchResponseExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchResponse Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableSearchResponse()
Public Sub New
public:
AjaxTableSearchResponse()
new : unit -> AjaxTableSearchResponse
See Also

Reference

AjaxTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchResponse Properties

The AjaxTableSearchResponse type exposes the following members.

Properties
 | Name | Description
Public property | Columns | 表格列列表
Top
See Also

Reference

AjaxTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchResponse.Columns Property

AjaxTableSearchResponseColumns Property

表格列列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<AjaxTableColumn> Columns { get; set; }
Public Property Columns As List(Of AjaxTableColumn)
    Get
    Set
public:
property List<AjaxTableColumn^>^ Columns {
    List<AjaxTableColumn^>^ get ();
    void set (List<AjaxTableColumn^>^ value);
}
member Columns : List<AjaxTableColumn> with get, set

Property Value

Type: List AjaxTableColumn
See Also

Reference

AjaxTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


AjaxTableSearchResponse Methods

The AjaxTableSearchResponse type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ToTableBuilder | 把Ajax表格数据的搜索回应转换为静态表格构建器 (Defined by AjaxTableSearchResponseExtensions.)
Top
See Also

Reference

AjaxTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases"]

Classes
 | Class | Description
Public class | AjaxTableHandlerBaseTEntity, TPrimaryKey | Ajax表格处理器的基础类


AjaxTableHandlerBase(TEntity, TPrimaryKey) Class

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
Ajax表格处理器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBaseTEntity, TPrimaryKey
More...

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class AjaxTableHandlerBase<TEntity, TPrimaryKey> : IAjaxTableHandler<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class AjaxTableHandlerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Implements IAjaxTableHandler(Of TEntity, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class AjaxTableHandlerBase abstract : IAjaxTableHandler<TEntity, TPrimaryKey>
[<AbstractClassAttribute>]
type AjaxTableHandlerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        interface IAjaxTableHandler<'TEntity, 'TPrimaryKey>
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The AjaxTableHandlerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Protected method | AjaxTableHandlerBaseTEntity, TPrimaryKey | Initializes a new instance of the AjaxTableHandlerBaseTEntity, TPrimaryKey class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理
Public method | OnQuery | 过滤数据 默认不过滤数据
Public method | OnResponse | 添加列和批量处理
Public method | OnSelect | 选择需要的字段
Public method | OnSort | 排序数据 默认创建时间或Id倒序排列
Public method | WrapQueryMethodTResult | 包装查询函数 默认根据搜索参数中的Deleted过滤已删除或未删除的对象
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.CMS.Article.src.ControllersArticleCrudControllerTableHandler
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerTableHandler
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerTableHandler
ZKWeb.Plugins.Common.Admin.src.ControllersUserRoleCrudControllerTableHandler
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBaseTControllerTableHandler
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBaseTControllerTableHandler
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentApiCrudControllerTableHandler
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentTransactionCrudControllerTableHandler
ZKWeb.Plugins.Shopping.Logistics.src.ControllersLogisticsCrudControllerTableHandler
ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerTableHandler
ZKWeb.Plugins.Shopping.Order.src.ControllersShippingAddressCrudControllerTableCallback
ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerTableHandler
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCategoryCrudControllerTableHandler
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCrudControllerTableHandler
ZKWeb.Plugins.Shopping.Product.src.ControllersProductPropertyCrudControllerTableHandler
ZKWeb.Plugins.Shopping.ProductBookmark.src.ControllersProductBookmarkCrudControllerTableHandler
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlersProductRatingTableHandler


AjaxTableHandlerBase(TEntity, TPrimaryKey) Constructor

AjaxTableHandlerBaseTEntity, TPrimaryKey Constructor

Initializes a new instance of the AjaxTableHandlerBaseTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected AjaxTableHandlerBase()
Protected Sub New
protected:
AjaxTableHandlerBase()
new : unit -> AjaxTableHandlerBase
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey) Methods

AjaxTableHandlerBaseTEntity, TPrimaryKey Methods

The AjaxTableHandlerBaseTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理
Public method | OnQuery | 过滤数据 默认不过滤数据
Public method | OnResponse | 添加列和批量处理
Public method | OnSelect | 选择需要的字段
Public method | OnSort | 排序数据 默认创建时间或Id倒序排列
Public method | WrapQueryMethodTResult | 包装查询函数 默认根据搜索参数中的Deleted过滤已删除或未删除的对象
Top
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey).BuildTable Method

AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable Method

构建表格时的处理

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overridable Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
)
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey).OnQuery Method

AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery Method

过滤数据 默认不过滤数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Public Overridable Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{`0}@)"]

query
Type: System.LinqIQueryable TEntity

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{`0}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey).OnResponse Method

AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse Method

添加列和批量处理

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public MustOverride Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) abstract
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey).OnSelect Method

AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect Method

选择需要的字段

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<TEntity>> pairs
)
Public MustOverride Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of TEntity))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<TEntity>^>^ pairs
) abstract
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<'TEntity>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{`0}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow TEntity

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{`0}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey).OnSort Method

AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort Method

排序数据 默认创建时间或Id倒序排列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Public Overridable Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{`0}@)"]

query
Type: System.LinqIQueryable TEntity

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{`0}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


AjaxTableHandlerBase(TEntity, TPrimaryKey).WrapQueryMethod(TResult) Method

AjaxTableHandlerBaseTEntity, TPrimaryKeyWrapQueryMethodTResult Method

包装查询函数 默认根据搜索参数中的Deleted过滤已删除或未删除的对象

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Func<TResult> WrapQueryMethod<TResult>(
    AjaxTableSearchRequest request,
    Func<TResult> queryMethod
)

Public Overridable Function WrapQueryMethod(Of TResult) (
    request As AjaxTableSearchRequest,
    queryMethod As Func(Of TResult)
) As Func(Of TResult)
public:
generic<typename TResult>
virtual Func<TResult>^ WrapQueryMethod(
    AjaxTableSearchRequest^ request,
    Func<TResult>^ queryMethod
)
abstract WrapQueryMethod :
        request : AjaxTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>
override WrapQueryMethod :
        request : AjaxTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

queryMethod
Type: SystemFunc TResult

[Missing <param name="queryMethod"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Return Value

Type: Func TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases.AjaxTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyWrapQueryMethodTResult(AjaxTableSearchRequest, FuncTResult)
See Also

Reference

AjaxTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Bases Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions"]

Classes
 | Class | Description
Public class | AjaxTableActionColumn | 操作列，包含操作按钮
Public class | AjaxTableActionColumnExtensions | Ajax表格操作列的扩展函数
Public class | AjaxTableColumnsExtensions | Ajax表格列的扩展函数
Public class | AjaxTableIdColumn | Id列（多选框+批量操作菜单）
Public class | AjaxTableIdColumnExtensions | Ajax表格Id列的扩展函数
Public class | AjaxTableSearchRequestExtensions | Ajax表格数据的搜索请求的扩展函数
Public class | AjaxTableSearchResponseExtensions | Ajax表格数据的搜索回应的扩展函数
Public class | IAjaxTableHandlerExtensions | Ajax表格处理器的扩展函数


AjaxTableActionColumn Class
操作列，包含操作按钮
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableColumn
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableActionColumn : AjaxTableColumn
Public Class AjaxTableActionColumn
    Inherits AjaxTableColumn
public ref class AjaxTableActionColumn : public AjaxTableColumn
type AjaxTableActionColumn =
    class
        inherit AjaxTableColumn
    end

The AjaxTableActionColumn type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableActionColumn | 初始化
Top
Properties
 | Name | Description
Public property | ActionTemplates | 操作按钮的模板列表
Public property | CellTemplate | 单元格模板字符串 (Overrides AjaxTableColumnCellTemplate.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AddButtonForClickEvent | 添加点击事件按钮 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddButtonForOpenLink | 添加点击打开链接的按钮 可以指定按钮的生成链接的模板 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddConfirmActionForBelongedRow | 添加对按钮所在行的数据进行的需要确认的批量操作菜单项 确认时会使用模态框 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteAction | 添加删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到删除url (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteActionForTCrudController | 添加删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteForeverAction | 添加永久删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到永久删除url (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteForeverActionForTCrudController | 添加永久删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddEditAction | 添加查看按钮 点击后弹出编辑数据的模态框 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddEditActionForTCrudController | 添加查看按钮 点击后弹出编辑数据的模态框 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddHtmlAction | 添加操作的Html代码 由当前行的指定成员获取Html (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddRecoverAction | 添加恢复按钮 点击后弹出确认框，确认后把json=[数据Id]提交到恢复url (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddRecoverActionForTCrudController | 添加恢复按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddRemoteModalForBelongedRow | 添加使用模态框弹出指定指定页面的按钮 链接模板传入按钮所在行的数据 支持在数据改变后模态框关闭时刷新Ajax表格 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | MakeLastActionOptional | 让最后一个添加的操作只在满足指定条件时显示 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格操作列进行标准的设置 添加以下按钮 - 查看（如果编辑Url不是空，且数据未删除） - 删除（如果批量Url不是空，且数据未删除） - 恢复（如果批量Url不是空，且数据已删除） - 永久删除（如果批量Url不是空，且数据已删除） (Defined by AjaxTableActionColumnExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumn Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableActionColumn()
Public Sub New
public:
AjaxTableActionColumn()
new : unit -> AjaxTableActionColumn
See Also

Reference

AjaxTableActionColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumn Properties

The AjaxTableActionColumn type exposes the following members.

Properties
 | Name | Description
Public property | ActionTemplates | 操作按钮的模板列表
Public property | CellTemplate | 单元格模板字符串 (Overrides AjaxTableColumnCellTemplate.)
Top
See Also

Reference

AjaxTableActionColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumn.ActionTemplates Property

AjaxTableActionColumnActionTemplates Property

操作按钮的模板列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<HtmlString> ActionTemplates { get; set; }
Public Overridable Property ActionTemplates As List(Of HtmlString)
    Get
    Set
public:
virtual property List<HtmlString^>^ ActionTemplates {
    List<HtmlString^>^ get ();
    void set (List<HtmlString^>^ value);
}
abstract ActionTemplates : List<HtmlString> with get, set
override ActionTemplates : List<HtmlString> with get, set

Property Value

Type: List HtmlString
See Also

Reference

AjaxTableActionColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumn.CellTemplate Property

AjaxTableActionColumnCellTemplate Property

单元格模板字符串

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string CellTemplate { get; set; }
Public Overrides Property CellTemplate As String
    Get
    Set
public:
virtual property String^ CellTemplate {
    String^ get () override;
    void set (String^ value) override;
}
abstract CellTemplate : string with get, set
override CellTemplate : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableActionColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumn Methods

The AjaxTableActionColumn type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | AddButtonForClickEvent | 添加点击事件按钮 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddButtonForOpenLink | 添加点击打开链接的按钮 可以指定按钮的生成链接的模板 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddConfirmActionForBelongedRow | 添加对按钮所在行的数据进行的需要确认的批量操作菜单项 确认时会使用模态框 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteAction | 添加删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到删除url (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteActionForTCrudController | 添加删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteForeverAction | 添加永久删除按钮 点击后弹出确认框，确认后把json=[数据Id]提交到永久删除url (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddDeleteForeverActionForTCrudController | 添加永久删除按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddEditAction | 添加查看按钮 点击后弹出编辑数据的模态框 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddEditActionForTCrudController | 添加查看按钮 点击后弹出编辑数据的模态框 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddHtmlAction | 添加操作的Html代码 由当前行的指定成员获取Html (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddRecoverAction | 添加恢复按钮 点击后弹出确认框，确认后把json=[数据Id]提交到恢复url (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddRecoverActionForTCrudController | 添加恢复按钮 根据增删查改的控制器自动生成，各个参数如不指定则使用默认值 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | AddRemoteModalForBelongedRow | 添加使用模态框弹出指定指定页面的按钮 链接模板传入按钮所在行的数据 支持在数据改变后模态框关闭时刷新Ajax表格 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | MakeLastActionOptional | 让最后一个添加的操作只在满足指定条件时显示 (Defined by AjaxTableActionColumnExtensions.)
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格操作列进行标准的设置 添加以下按钮 - 查看（如果编辑Url不是空，且数据未删除） - 删除（如果批量Url不是空，且数据未删除） - 恢复（如果批量Url不是空，且数据已删除） - 永久删除（如果批量Url不是空，且数据已删除） (Defined by AjaxTableActionColumnExtensions.)
Top
See Also

Reference

AjaxTableActionColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions Class
Ajax表格操作列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumnExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableActionColumnExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableActionColumnExtensions
[ExtensionAttribute]
public ref class AjaxTableActionColumnExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableActionColumnExtensions =  class end

The AjaxTableActionColumnExtensions type exposes the following members.

Methods
Name | Description
AddButtonForClickEvent | 添加点击事件按钮
AddButtonForOpenLink | 添加点击打开链接的按钮 可以指定按钮的生成链接的模板
AddConfirmActionForBelongedRow | 添加对按钮所在行的数据进行的需要确认的批量操作菜单项 确认时会使用模态框
AddHtmlAction | 添加操作的Html代码 由当前行的指定成员获取Html
AddRemoteModalForBelongedRow | 添加使用模态框弹出指定指定页面的按钮 链接模板传入按钮所在行的数据 支持在数据改变后模态框关闭时刷新Ajax表格
MakeLastActionOptional | 让最后一个添加的操作只在满足指定条件时显示
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions Methods

The AjaxTableActionColumnExtensions type exposes the following members.

Methods
Name | Description
AddButtonForClickEvent | 添加点击事件按钮
AddButtonForOpenLink | 添加点击打开链接的按钮 可以指定按钮的生成链接的模板
AddConfirmActionForBelongedRow | 添加对按钮所在行的数据进行的需要确认的批量操作菜单项 确认时会使用模态框
AddHtmlAction | 添加操作的Html代码 由当前行的指定成员获取Html
AddRemoteModalForBelongedRow | 添加使用模态框弹出指定指定页面的按钮 链接模板传入按钮所在行的数据 支持在数据改变后模态框关闭时刷新Ajax表格
MakeLastActionOptional | 让最后一个添加的操作只在满足指定条件时显示
Top
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddButtonForClickEvent Method

AjaxTableActionColumnExtensionsAddButtonForClickEvent Method

添加点击事件按钮

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddButtonForClickEvent(
    this AjaxTableActionColumn column,
    string name,
    string buttonClass,
    string iconClass,
    string onClick
)
<ExtensionAttribute>
Public Shared Sub AddButtonForClickEvent (
    column As AjaxTableActionColumn,
    name As String,
    buttonClass As String,
    iconClass As String,
    onClick As String
)
public:
[ExtensionAttribute]
static void AddButtonForClickEvent(
    AjaxTableActionColumn^ column,
    String^ name,
    String^ buttonClass,
    String^ iconClass,
    String^ onClick
)
[<ExtensionAttribute>]
static member AddButtonForClickEvent :
        column : AjaxTableActionColumn *
        name : string *
        buttonClass : string *
        iconClass : string *
        onClick : string -> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
name
Type: SystemString
显示名称
buttonClass
Type: SystemString
按钮Css类
iconClass
Type: SystemString
图标Css类
onClick
Type: SystemString
点击时执行的Javascript代码

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddButtonForOpenLink Method

AjaxTableActionColumnExtensionsAddButtonForOpenLink Method

添加点击打开链接的按钮 可以指定按钮的生成链接的模板

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddButtonForOpenLink(
    this AjaxTableActionColumn column,
    string name,
    string buttonClass,
    string iconClass,
    string linkTemplate,
    string target = null
)
<ExtensionAttribute>
Public Shared Sub AddButtonForOpenLink (
    column As AjaxTableActionColumn,
    name As String,
    buttonClass As String,
    iconClass As String,
    linkTemplate As String,
    Optional target As String = Nothing
)
public:
[ExtensionAttribute]
static void AddButtonForOpenLink(
    AjaxTableActionColumn^ column,
    String^ name,
    String^ buttonClass,
    String^ iconClass,
    String^ linkTemplate,
    String^ target = nullptr
)
[<ExtensionAttribute>]
static member AddButtonForOpenLink :
        column : AjaxTableActionColumn *
        name : string *
        buttonClass : string *
        iconClass : string *
        linkTemplate : string *
        ?target : string
(* Defaults:
        let _target = defaultArg target null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
name
Type: SystemString
显示名称
buttonClass
Type: SystemString
按钮Css类
iconClass
Type: SystemString
图标Css类
linkTemplate
Type: SystemString
链接的模板，格式是underscore.js的默认格式，参数传入row
target (Optional)
Type: SystemString
打开目标，默认是_self

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddConfirmActionForBelongedRow Method

AjaxTableActionColumnExtensionsAddConfirmActionForBelongedRow Method

添加对按钮所在行的数据进行的需要确认的批量操作菜单项 确认时会使用模态框

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddConfirmActionForBelongedRow(
    this AjaxTableActionColumn column,
    string name,
    string buttonClass,
    string iconClass,
    string titleTemplate,
    string messageTemplate,
    string callback,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddConfirmActionForBelongedRow (
    column As AjaxTableActionColumn,
    name As String,
    buttonClass As String,
    iconClass As String,
    titleTemplate As String,
    messageTemplate As String,
    callback As String,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddConfirmActionForBelongedRow(
    AjaxTableActionColumn^ column,
    String^ name,
    String^ buttonClass,
    String^ iconClass,
    String^ titleTemplate,
    String^ messageTemplate,
    String^ callback,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddConfirmActionForBelongedRow :
        column : AjaxTableActionColumn *
        name : string *
        buttonClass : string *
        iconClass : string *
        titleTemplate : string *
        messageTemplate : string *
        callback : string *
        ?dialogParameters : Object
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
name
Type: SystemString
显示名称
buttonClass
Type: SystemString
按钮Css类
iconClass
Type: SystemString
图标Css类
titleTemplate
Type: SystemString
标题栏的模板，格式是underscore.js的默认格式，参数传入rows
messageTemplate
Type: SystemString
消息内容的模板，格式是underscore.js的默认格式，参数传入rows
callback
Type: SystemString
回调，可以使用变量table和rows，result等于true是代表用户点击了确认
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog的参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddHtmlAction Method

AjaxTableActionColumnExtensionsAddHtmlAction Method

添加操作的Html代码 由当前行的指定成员获取Html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddHtmlAction(
    this AjaxTableActionColumn column,
    string member
)
<ExtensionAttribute>
Public Shared Sub AddHtmlAction (
    column As AjaxTableActionColumn,
    member As String
)
public:
[ExtensionAttribute]
static void AddHtmlAction(
    AjaxTableActionColumn^ column,
    String^ member
)
[<ExtensionAttribute>]
static member AddHtmlAction :
        column : AjaxTableActionColumn *
        member : string -> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
member
Type: SystemString
成员名称

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.AddRemoteModalForBelongedRow Method

AjaxTableActionColumnExtensionsAddRemoteModalForBelongedRow Method

添加使用模态框弹出指定指定页面的按钮 链接模板传入按钮所在行的数据 支持在数据改变后模态框关闭时刷新Ajax表格

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRemoteModalForBelongedRow(
    this AjaxTableActionColumn column,
    string name,
    string buttonClass,
    string iconClass,
    string titleTemplate,
    string urlTemplate,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddRemoteModalForBelongedRow (
    column As AjaxTableActionColumn,
    name As String,
    buttonClass As String,
    iconClass As String,
    titleTemplate As String,
    urlTemplate As String,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddRemoteModalForBelongedRow(
    AjaxTableActionColumn^ column,
    String^ name,
    String^ buttonClass,
    String^ iconClass,
    String^ titleTemplate,
    String^ urlTemplate,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddRemoteModalForBelongedRow :
        column : AjaxTableActionColumn *
        name : string *
        buttonClass : string *
        iconClass : string *
        titleTemplate : string *
        urlTemplate : string *
        ?dialogParameters : Object
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
name
Type: SystemString
显示名称
buttonClass
Type: SystemString
按钮Css类
iconClass
Type: SystemString
图标Css类
titleTemplate
Type: SystemString
模态框标题的模板，格式是underscore.js的默认格式，参数传入row
urlTemplate
Type: SystemString
远程链接的模板，格式是underscore.js的默认格式，参数传入row
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog的参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableActionColumnExtensions.MakeLastActionOptional Method

AjaxTableActionColumnExtensionsMakeLastActionOptional Method

让最后一个添加的操作只在满足指定条件时显示

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void MakeLastActionOptional(
    this AjaxTableActionColumn column,
    string showIf
)
<ExtensionAttribute>
Public Shared Sub MakeLastActionOptional (
    column As AjaxTableActionColumn,
    showIf As String
)
public:
[ExtensionAttribute]
static void MakeLastActionOptional(
    AjaxTableActionColumn^ column,
    String^ showIf
)
[<ExtensionAttribute>]
static member MakeLastActionOptional :
        column : AjaxTableActionColumn *
        showIf : string -> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableActionColumn
操作列
showIf
Type: SystemString
显示条件，参数传入row

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableActionColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableActionColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions Class
Ajax表格列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableColumnsExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableColumnsExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableColumnsExtensions
[ExtensionAttribute]
public ref class AjaxTableColumnsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableColumnsExtensions =  class end

The AjaxTableColumnsExtensions type exposes the following members.

Methods
Name | Description
AddActionColumn | 添加操作列
AddEnumLabelColumn | 添加显示枚举值的标签列
AddHtmlColumn | 添加Html成员列 成员值会作为Html嵌入到页面中，请做好安全处理
AddIdColumn | 添加Id列（多选框+批量操作菜单） 默认添加全选/取消全选的菜单项
AddImageColumn | 添加图片列
AddMemberColumn | 添加成员列
AddNoColumn | 添加序号列（从1开始递增，不涉及到数据）
AddOnClickColumn | 添加点击时执行指定代码的列
AddRemoteModalColumn | 添加显示远程内容的模态框的列
AddTreeNodeColumn | 添加树节点列
GetActionColumn | 获取操作列
GetIdColumn | 获取Id列
MoveAfter | 移动列到指定的列后面
MoveBefore | 移动列到指定的列前面
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions Methods

The AjaxTableColumnsExtensions type exposes the following members.

Methods
Name | Description
AddActionColumn | 添加操作列
AddEnumLabelColumn | 添加显示枚举值的标签列
AddHtmlColumn | 添加Html成员列 成员值会作为Html嵌入到页面中，请做好安全处理
AddIdColumn | 添加Id列（多选框+批量操作菜单） 默认添加全选/取消全选的菜单项
AddImageColumn | 添加图片列
AddMemberColumn | 添加成员列
AddNoColumn | 添加序号列（从1开始递增，不涉及到数据）
AddOnClickColumn | 添加点击时执行指定代码的列
AddRemoteModalColumn | 添加显示远程内容的模态框的列
AddTreeNodeColumn | 添加树节点列
GetActionColumn | 获取操作列
GetIdColumn | 获取Id列
MoveAfter | 移动列到指定的列后面
MoveBefore | 移动列到指定的列前面
Top
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddActionColumn Method

AjaxTableColumnsExtensionsAddActionColumn Method

添加操作列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableActionColumn AddActionColumn(
    this IList<AjaxTableColumn> columns,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddActionColumn (
    columns As IList(Of AjaxTableColumn),
    Optional width As String = Nothing
) As AjaxTableActionColumn
public:
[ExtensionAttribute]
static AjaxTableActionColumn^ AddActionColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddActionColumn :
        columns : IList<AjaxTableColumn> *
        ?width : string
(* Defaults:
        let _width = defaultArg width null
*)
-> AjaxTableActionColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableActionColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddActionColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddEnumLabelColumn Method

AjaxTableColumnsExtensionsAddEnumLabelColumn Method

添加显示枚举值的标签列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddEnumLabelColumn(
    this IList<AjaxTableColumn> columns,
    string member,
    Type enumType,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddEnumLabelColumn (
    columns As IList(Of AjaxTableColumn),
    member As String,
    enumType As Type,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddEnumLabelColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ member,
    Type^ enumType,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddEnumLabelColumn :
        columns : IList<AjaxTableColumn> *
        member : string *
        enumType : Type *
        ?width : string
(* Defaults:
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
member
Type: SystemString
成员
enumType
Type: SystemType
枚举类型
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddEnumLabelColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.Type,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddHtmlColumn Method

AjaxTableColumnsExtensionsAddHtmlColumn Method

添加Html成员列 成员值会作为Html嵌入到页面中，请做好安全处理

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddHtmlColumn(
    this IList<AjaxTableColumn> columns,
    string member,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddHtmlColumn (
    columns As IList(Of AjaxTableColumn),
    member As String,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddHtmlColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ member,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddHtmlColumn :
        columns : IList<AjaxTableColumn> *
        member : string *
        ?width : string
(* Defaults:
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
member
Type: SystemString
成员
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddHtmlColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddIdColumn Method

AjaxTableColumnsExtensionsAddIdColumn Method

添加Id列（多选框+批量操作菜单） 默认添加全选/取消全选的菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableIdColumn AddIdColumn(
    this IList<AjaxTableColumn> columns,
    string member,
    string width = "2%"
)
<ExtensionAttribute>
Public Shared Function AddIdColumn (
    columns As IList(Of AjaxTableColumn),
    member As String,
    Optional width As String = "2%"
) As AjaxTableIdColumn
public:
[ExtensionAttribute]
static AjaxTableIdColumn^ AddIdColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ member,
    String^ width = L"2%"
)
[<ExtensionAttribute>]
static member AddIdColumn :
        columns : IList<AjaxTableColumn> *
        member : string *
        ?width : string
(* Defaults:
        let _width = defaultArg width "2%"
*)
-> AjaxTableIdColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
member
Type: SystemString
成员名称
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableIdColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddIdColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddImageColumn Method

AjaxTableColumnsExtensionsAddImageColumn Method

添加图片列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddImageColumn(
    this IList<AjaxTableColumn> columns,
    string member,
    string width = "30",
    string imageWidth = "30",
    string imageHeight = "30"
)
<ExtensionAttribute>
Public Shared Function AddImageColumn (
    columns As IList(Of AjaxTableColumn),
    member As String,
    Optional width As String = "30",
    Optional imageWidth As String = "30",
    Optional imageHeight As String = "30"
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddImageColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ member,
    String^ width = L"30",
    String^ imageWidth = L"30",
    String^ imageHeight = L"30"
)
[<ExtensionAttribute>]
static member AddImageColumn :
        columns : IList<AjaxTableColumn> *
        member : string *
        ?width : string *
        ?imageWidth : string *
        ?imageHeight : string
(* Defaults:
        let _width = defaultArg width "30"
        let _imageWidth = defaultArg imageWidth "30"
        let _imageHeight = defaultArg imageHeight "30"
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
member
Type: SystemString
成员
width (Optional)
Type: SystemString
宽度
imageWidth (Optional)
Type: SystemString
图片宽度
imageHeight (Optional)
Type: SystemString
图片高度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddImageColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddMemberColumn Method

AjaxTableColumnsExtensionsAddMemberColumn Method

添加成员列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddMemberColumn(
    this IList<AjaxTableColumn> columns,
    string member,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddMemberColumn (
    columns As IList(Of AjaxTableColumn),
    member As String,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddMemberColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ member,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddMemberColumn :
        columns : IList<AjaxTableColumn> *
        member : string *
        ?width : string
(* Defaults:
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
member
Type: SystemString
成员
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddMemberColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddNoColumn Method

AjaxTableColumnsExtensionsAddNoColumn Method

添加序号列（从1开始递增，不涉及到数据）

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddNoColumn(
    this IList<AjaxTableColumn> columns,
    string width = "2%"
)
<ExtensionAttribute>
Public Shared Function AddNoColumn (
    columns As IList(Of AjaxTableColumn),
    Optional width As String = "2%"
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddNoColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ width = L"2%"
)
[<ExtensionAttribute>]
static member AddNoColumn :
        columns : IList<AjaxTableColumn> *
        ?width : string
(* Defaults:
        let _width = defaultArg width "2%"
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddNoColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddOnClickColumn Method

AjaxTableColumnsExtensionsAddOnClickColumn Method

添加点击时执行指定代码的列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddOnClickColumn(
    this IList<AjaxTableColumn> columns,
    string member,
    string onClick,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddOnClickColumn (
    columns As IList(Of AjaxTableColumn),
    member As String,
    onClick As String,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddOnClickColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ member,
    String^ onClick,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddOnClickColumn :
        columns : IList<AjaxTableColumn> *
        member : string *
        onClick : string *
        ?width : string
(* Defaults:
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
member
Type: SystemString
成员
onClick
Type: SystemString
点击时执行的代码
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddOnClickColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddRemoteModalColumn Method

AjaxTableColumnsExtensionsAddRemoteModalColumn Method

添加显示远程内容的模态框的列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddRemoteModalColumn(
    this IList<AjaxTableColumn> columns,
    string nameMember,
    string titleTemplate,
    string urlTemplate,
    Object dialogParameters = null,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddRemoteModalColumn (
    columns As IList(Of AjaxTableColumn),
    nameMember As String,
    titleTemplate As String,
    urlTemplate As String,
    Optional dialogParameters As Object = Nothing,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddRemoteModalColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ nameMember,
    String^ titleTemplate,
    String^ urlTemplate,
    Object^ dialogParameters = nullptr,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddRemoteModalColumn :
        columns : IList<AjaxTableColumn> *
        nameMember : string *
        titleTemplate : string *
        urlTemplate : string *
        ?dialogParameters : Object *
        ?width : string
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
nameMember
Type: SystemString
名称成员
titleTemplate
Type: SystemString
模态框标题的模板，格式是underscore.js的默认格式，参数传入row
urlTemplate
Type: SystemString
远程链接的模板，格式是underscore.js的默认格式，参数传入row
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog的参数
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddRemoteModalColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.Object,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.AddTreeNodeColumn Method

AjaxTableColumnsExtensionsAddTreeNodeColumn Method

添加树节点列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableColumn AddTreeNodeColumn(
    this IList<AjaxTableColumn> columns,
    string nameMember,
    string levelMember,
    string noChildsMember,
    string width = null
)
<ExtensionAttribute>
Public Shared Function AddTreeNodeColumn (
    columns As IList(Of AjaxTableColumn),
    nameMember As String,
    levelMember As String,
    noChildsMember As String,
    Optional width As String = Nothing
) As AjaxTableColumn
public:
[ExtensionAttribute]
static AjaxTableColumn^ AddTreeNodeColumn(
    IList<AjaxTableColumn^>^ columns,
    String^ nameMember,
    String^ levelMember,
    String^ noChildsMember,
    String^ width = nullptr
)
[<ExtensionAttribute>]
static member AddTreeNodeColumn :
        columns : IList<AjaxTableColumn> *
        nameMember : string *
        levelMember : string *
        noChildsMember : string *
        ?width : string
(* Defaults:
        let _width = defaultArg width null
*)
-> AjaxTableColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
nameMember
Type: SystemString
名称成员
levelMember
Type: SystemString
层次成员，开始值是0
noChildsMember
Type: SystemString
判断是否没有子节点的成员
width (Optional)
Type: SystemString
宽度

Return Value

Type: AjaxTableColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.AddTreeNodeColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn},System.String,System.String,System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.GetActionColumn Method

AjaxTableColumnsExtensionsGetActionColumn Method

获取操作列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableActionColumn GetActionColumn(
    this IList<AjaxTableColumn> columns
)
<ExtensionAttribute>
Public Shared Function GetActionColumn (
    columns As IList(Of AjaxTableColumn)
) As AjaxTableActionColumn
public:
[ExtensionAttribute]
static AjaxTableActionColumn^ GetActionColumn(
    IList<AjaxTableColumn^>^ columns
)
[<ExtensionAttribute>]
static member GetActionColumn :
        columns : IList<AjaxTableColumn> -> AjaxTableActionColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表

Return Value

Type: AjaxTableActionColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.GetActionColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.GetIdColumn Method

AjaxTableColumnsExtensionsGetIdColumn Method

获取Id列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableIdColumn GetIdColumn(
    this IList<AjaxTableColumn> columns
)
<ExtensionAttribute>
Public Shared Function GetIdColumn (
    columns As IList(Of AjaxTableColumn)
) As AjaxTableIdColumn
public:
[ExtensionAttribute]
static AjaxTableIdColumn^ GetIdColumn(
    IList<AjaxTableColumn^>^ columns
)
[<ExtensionAttribute>]
static member GetIdColumn :
        columns : IList<AjaxTableColumn> -> AjaxTableIdColumn

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表

Return Value

Type: AjaxTableIdColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableColumnsExtensions.GetIdColumn(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableColumn})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.MoveAfter Method

AjaxTableColumnsExtensionsMoveAfter Method

移动列到指定的列后面

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void MoveAfter(
    this IList<AjaxTableColumn> columns,
    AjaxTableColumn column,
    string key
)
<ExtensionAttribute>
Public Shared Sub MoveAfter (
    columns As IList(Of AjaxTableColumn),
    column As AjaxTableColumn,
    key As String
)
public:
[ExtensionAttribute]
static void MoveAfter(
    IList<AjaxTableColumn^>^ columns,
    AjaxTableColumn^ column,
    String^ key
)
[<ExtensionAttribute>]
static member MoveAfter :
        columns : IList<AjaxTableColumn> *
        column : AjaxTableColumn *
        key : string -> unit

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableColumn
需要移动的列
key
Type: SystemString
指定的列的识别键

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableColumnsExtensions.MoveBefore Method

AjaxTableColumnsExtensionsMoveBefore Method

移动列到指定的列前面

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void MoveBefore(
    this IList<AjaxTableColumn> columns,
    AjaxTableColumn column,
    string key
)
<ExtensionAttribute>
Public Shared Sub MoveBefore (
    columns As IList(Of AjaxTableColumn),
    column As AjaxTableColumn,
    key As String
)
public:
[ExtensionAttribute]
static void MoveBefore(
    IList<AjaxTableColumn^>^ columns,
    AjaxTableColumn^ column,
    String^ key
)
[<ExtensionAttribute>]
static member MoveBefore :
        columns : IList<AjaxTableColumn> *
        column : AjaxTableColumn *
        key : string -> unit

Parameters

columns
Type: System.Collections.GenericIList AjaxTableColumn
列列表
column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableColumn
需要移动的列
key
Type: SystemString
指定的列的识别键

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList AjaxTableColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableColumnsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumn Class
Id列（多选框+批量操作菜单）
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableColumn
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AjaxTableIdColumn : AjaxTableColumn
Public Class AjaxTableIdColumn
    Inherits AjaxTableColumn
public ref class AjaxTableIdColumn : public AjaxTableColumn
type AjaxTableIdColumn =
    class
        inherit AjaxTableColumn
    end

The AjaxTableIdColumn type exposes the following members.

Constructors
 | Name | Description
Public method | AjaxTableIdColumn | 初始化
Top
Properties
 | Name | Description
Public property | ActionTemplates | 菜单项的模板列表，ul中的li
Public property | HeadTemplate | 头部模板字符串 (Overrides AjaxTableColumnHeadTemplate.)
Top
Extension Methods
 | Name | Description
Public Extension Method | AddConfirmActionForMultiChecked | 添加对多选框选中的数据进行的需要确认的批量操作菜单项 确认时会使用模态框 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddDeleteActions | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddDeleteActionsForTCrudController | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 根据增删查改页面的控制器自动生成 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddDivider | 添加分割线菜单项 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddItemForClickEvent | 添加点击事件菜单项 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddSelectOrUnselectAll | 添加全选/取消全选菜单项 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格Id列进行标准的设置 添加以下菜单项 - 删除菜单（如果批量操作Url不是空） (Defined by AjaxTableIdColumnExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumn Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AjaxTableIdColumn()
Public Sub New
public:
AjaxTableIdColumn()
new : unit -> AjaxTableIdColumn
See Also

Reference

AjaxTableIdColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumn Properties

The AjaxTableIdColumn type exposes the following members.

Properties
 | Name | Description
Public property | ActionTemplates | 菜单项的模板列表，ul中的li
Public property | HeadTemplate | 头部模板字符串 (Overrides AjaxTableColumnHeadTemplate.)
Top
See Also

Reference

AjaxTableIdColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumn.ActionTemplates Property

AjaxTableIdColumnActionTemplates Property

菜单项的模板列表，ul中的li

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<MenuItem> ActionTemplates { get; set; }
Public Overridable Property ActionTemplates As List(Of MenuItem)
    Get
    Set
public:
virtual property List<MenuItem^>^ ActionTemplates {
    List<MenuItem^>^ get ();
    void set (List<MenuItem^>^ value);
}
abstract ActionTemplates : List<MenuItem> with get, set
override ActionTemplates : List<MenuItem> with get, set

Property Value

Type: List MenuItem
See Also

Reference

AjaxTableIdColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumn.HeadTemplate Property

AjaxTableIdColumnHeadTemplate Property

头部模板字符串

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string HeadTemplate { get; set; }
Public Overrides Property HeadTemplate As String
    Get
    Set
public:
virtual property String^ HeadTemplate {
    String^ get () override;
    void set (String^ value) override;
}
abstract HeadTemplate : string with get, set
override HeadTemplate : string with get, set

Property Value

Type: String
See Also

Reference

AjaxTableIdColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumn Methods

The AjaxTableIdColumn type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | AddConfirmActionForMultiChecked | 添加对多选框选中的数据进行的需要确认的批量操作菜单项 确认时会使用模态框 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddDeleteActions | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddDeleteActionsForTCrudController | 添加删除相关的按钮 如果数据类型可以回收，则添加批量删除或批量恢复和永久删除 如果数据类型不可以回收，则添加批量永久删除 根据增删查改页面的控制器自动生成 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddDivider | 添加分割线菜单项 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddItemForClickEvent | 添加点击事件菜单项 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | AddSelectOrUnselectAll | 添加全选/取消全选菜单项 (Defined by AjaxTableIdColumnExtensions.)
Public Extension Method | StandardSetupForTCrudController | 对增删查改页面使用的Ajax表格Id列进行标准的设置 添加以下菜单项 - 删除菜单（如果批量操作Url不是空） (Defined by AjaxTableIdColumnExtensions.)
Top
See Also

Reference

AjaxTableIdColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions Class
Ajax表格Id列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumnExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableIdColumnExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableIdColumnExtensions
[ExtensionAttribute]
public ref class AjaxTableIdColumnExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableIdColumnExtensions =  class end

The AjaxTableIdColumnExtensions type exposes the following members.

Methods
Name | Description
AddConfirmActionForMultiChecked | 添加对多选框选中的数据进行的需要确认的批量操作菜单项 确认时会使用模态框
AddDivider | 添加分割线菜单项
AddItemForClickEvent | 添加点击事件菜单项
AddSelectOrUnselectAll | 添加全选/取消全选菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions Methods

The AjaxTableIdColumnExtensions type exposes the following members.

Methods
Name | Description
AddConfirmActionForMultiChecked | 添加对多选框选中的数据进行的需要确认的批量操作菜单项 确认时会使用模态框
AddDivider | 添加分割线菜单项
AddItemForClickEvent | 添加点击事件菜单项
AddSelectOrUnselectAll | 添加全选/取消全选菜单项
Top
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.AddConfirmActionForMultiChecked Method

AjaxTableIdColumnExtensionsAddConfirmActionForMultiChecked Method

添加对多选框选中的数据进行的需要确认的批量操作菜单项 确认时会使用模态框

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddConfirmActionForMultiChecked(
    this AjaxTableIdColumn column,
    string name,
    string iconClass,
    string nonCheckedMessage,
    string titleTemplate,
    string messageTemplate,
    string callback,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddConfirmActionForMultiChecked (
    column As AjaxTableIdColumn,
    name As String,
    iconClass As String,
    nonCheckedMessage As String,
    titleTemplate As String,
    messageTemplate As String,
    callback As String,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddConfirmActionForMultiChecked(
    AjaxTableIdColumn^ column,
    String^ name,
    String^ iconClass,
    String^ nonCheckedMessage,
    String^ titleTemplate,
    String^ messageTemplate,
    String^ callback,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddConfirmActionForMultiChecked :
        column : AjaxTableIdColumn *
        name : string *
        iconClass : string *
        nonCheckedMessage : string *
        titleTemplate : string *
        messageTemplate : string *
        callback : string *
        ?dialogParameters : Object
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标Css类
nonCheckedMessage
Type: SystemString
没有选中数据时的提示消息
titleTemplate
Type: SystemString
标题栏的模板，格式是underscore.js的默认格式，参数传入rows
messageTemplate
Type: SystemString
消息内容的模板，格式是underscore.js的默认格式，参数传入rows
callback
Type: SystemString
回调，可以使用变量table和rows，result等于true是代表用户点击了确认
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog的参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.AddDivider Method

AjaxTableIdColumnExtensionsAddDivider Method

添加分割线菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDivider(
    this AjaxTableIdColumn column
)
<ExtensionAttribute>
Public Shared Sub AddDivider (
    column As AjaxTableIdColumn
)
public:
[ExtensionAttribute]
static void AddDivider(
    AjaxTableIdColumn^ column
)
[<ExtensionAttribute>]
static member AddDivider :
        column : AjaxTableIdColumn -> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.AddItemForClickEvent Method

AjaxTableIdColumnExtensionsAddItemForClickEvent Method

添加点击事件菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddItemForClickEvent(
    this AjaxTableIdColumn column,
    string name,
    string iconClass,
    string onClick
)
<ExtensionAttribute>
Public Shared Sub AddItemForClickEvent (
    column As AjaxTableIdColumn,
    name As String,
    iconClass As String,
    onClick As String
)
public:
[ExtensionAttribute]
static void AddItemForClickEvent(
    AjaxTableIdColumn^ column,
    String^ name,
    String^ iconClass,
    String^ onClick
)
[<ExtensionAttribute>]
static member AddItemForClickEvent :
        column : AjaxTableIdColumn *
        name : string *
        iconClass : string *
        onClick : string -> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标Css类
onClick
Type: SystemString
点击时执行的Javascript代码

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableIdColumnExtensions.AddSelectOrUnselectAll Method

AjaxTableIdColumnExtensionsAddSelectOrUnselectAll Method

添加全选/取消全选菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddSelectOrUnselectAll(
    this AjaxTableIdColumn column
)
<ExtensionAttribute>
Public Shared Sub AddSelectOrUnselectAll (
    column As AjaxTableIdColumn
)
public:
[ExtensionAttribute]
static void AddSelectOrUnselectAll(
    AjaxTableIdColumn^ column
)
[<ExtensionAttribute>]
static member AddSelectOrUnselectAll :
        column : AjaxTableIdColumn -> unit

Parameters

column
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableIdColumn
Id列

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableIdColumn. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableIdColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchRequestExtensions Class
Ajax表格数据的搜索请求的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableSearchRequestExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableSearchRequestExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableSearchRequestExtensions
[ExtensionAttribute]
public ref class AjaxTableSearchRequestExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableSearchRequestExtensions =  class end

The AjaxTableSearchRequestExtensions type exposes the following members.

Methods
Name | Description
BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchRequestExtensions Methods

The AjaxTableSearchRequestExtensions type exposes the following members.

Methods
Name | Description
BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果
Top
See Also

Reference

AjaxTableSearchRequestExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchRequestExtensions.BuildResponse(TEntity, TPrimaryKey) Method

AjaxTableSearchRequestExtensionsBuildResponseTEntity, TPrimaryKey Method

从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static AjaxTableSearchResponse BuildResponse<TEntity, TPrimaryKey>(
    this AjaxTableSearchRequest request,
    IEnumerable<IAjaxTableHandler<TEntity, TPrimaryKey>> handlers
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function BuildResponse(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    request As AjaxTableSearchRequest,
    handlers As IEnumerable(Of IAjaxTableHandler(Of TEntity, TPrimaryKey))
) As AjaxTableSearchResponse
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static AjaxTableSearchResponse^ BuildResponse(
    AjaxTableSearchRequest^ request,
    IEnumerable<IAjaxTableHandler<TEntity, TPrimaryKey>^>^ handlers
)
[<ExtensionAttribute>]
static member BuildResponse :
        request : AjaxTableSearchRequest *
        handlers : IEnumerable<IAjaxTableHandler<'TEntity, 'TPrimaryKey>> -> AjaxTableSearchResponse  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
handlers
Type: System.Collections.GenericIEnumerable IAjaxTableHandler TEntity, TPrimaryKey
表格处理器

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: AjaxTableSearchResponse

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableSearchRequestExtensions.BuildResponse``2(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces.IAjaxTableHandler{``0,``1}})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableSearchRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableSearchRequestExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchResponseExtensions Class
Ajax表格数据的搜索回应的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsAjaxTableSearchResponseExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class AjaxTableSearchResponseExtensions
<ExtensionAttribute>
Public NotInheritable Class AjaxTableSearchResponseExtensions
[ExtensionAttribute]
public ref class AjaxTableSearchResponseExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AjaxTableSearchResponseExtensions =  class end

The AjaxTableSearchResponseExtensions type exposes the following members.

Methods
Name | Description
ToTableBuilder | 把Ajax表格数据的搜索回应转换为静态表格构建器
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchResponseExtensions Methods

The AjaxTableSearchResponseExtensions type exposes the following members.

Methods
Name | Description
ToTableBuilder | 把Ajax表格数据的搜索回应转换为静态表格构建器
Top
See Also

Reference

AjaxTableSearchResponseExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


AjaxTableSearchResponseExtensions.ToTableBuilder Method

AjaxTableSearchResponseExtensionsToTableBuilder Method

把Ajax表格数据的搜索回应转换为静态表格构建器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static StaticTableBuilder ToTableBuilder(
    this AjaxTableSearchResponse response
)
<ExtensionAttribute>
Public Shared Function ToTableBuilder (
    response As AjaxTableSearchResponse
) As StaticTableBuilder
public:
[ExtensionAttribute]
static StaticTableBuilder^ ToTableBuilder(
    AjaxTableSearchResponse^ response
)
[<ExtensionAttribute>]
static member ToTableBuilder :
        response : AjaxTableSearchResponse -> StaticTableBuilder

Parameters

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse
搜索回应

Return Value

Type: StaticTableBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.AjaxTableSearchResponseExtensions.ToTableBuilder(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AjaxTableSearchResponse. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AjaxTableSearchResponseExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


IAjaxTableHandlerExtensions Class
Ajax表格处理器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.ExtensionsIAjaxTableHandlerExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IAjaxTableHandlerExtensions
<ExtensionAttribute>
Public NotInheritable Class IAjaxTableHandlerExtensions
[ExtensionAttribute]
public ref class IAjaxTableHandlerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IAjaxTableHandlerExtensions =  class end

The IAjaxTableHandlerExtensions type exposes the following members.

Methods
Name | Description
WithExtraHandlersTEntity, TPrimaryKey | 根据指定的表格处理器获取它的所有扩展处理器 并合并到一个列表返回，列表包含 [ 原始处理器, 扩展处理器... ]
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


IAjaxTableHandlerExtensions Methods

The IAjaxTableHandlerExtensions type exposes the following members.

Methods
Name | Description
WithExtraHandlersTEntity, TPrimaryKey | 根据指定的表格处理器获取它的所有扩展处理器 并合并到一个列表返回，列表包含 [ 原始处理器, 扩展处理器... ]
Top
See Also

Reference

IAjaxTableHandlerExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


IAjaxTableHandlerExtensions.WithExtraHandlers(TEntity, TPrimaryKey) Method

IAjaxTableHandlerExtensionsWithExtraHandlersTEntity, TPrimaryKey Method

根据指定的表格处理器获取它的所有扩展处理器 并合并到一个列表返回，列表包含 [ 原始处理器, 扩展处理器... ]

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<IAjaxTableHandler<TEntity, TPrimaryKey>> WithExtraHandlers<TEntity, TPrimaryKey>(
    this IAjaxTableHandler<TEntity, TPrimaryKey> handler
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function WithExtraHandlers(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    handler As IAjaxTableHandler(Of TEntity, TPrimaryKey)
) As IList(Of IAjaxTableHandler(Of TEntity, TPrimaryKey))
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static IList<IAjaxTableHandler<TEntity, TPrimaryKey>^>^ WithExtraHandlers(
    IAjaxTableHandler<TEntity, TPrimaryKey>^ handler
)
[<ExtensionAttribute>]
static member WithExtraHandlers :
        handler : IAjaxTableHandler<'TEntity, 'TPrimaryKey> -> IList<IAjaxTableHandler<'TEntity, 'TPrimaryKey>>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

handler
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.InterfacesIAjaxTableHandler TEntity, TPrimaryKey
原始的表格处理器

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

Return Value

Type: IList IAjaxTableHandler TEntity, TPrimaryKey

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions.IAjaxTableHandlerExtensions.WithExtraHandlers``2(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces.IAjaxTableHandler{``0,``1})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IAjaxTableHandler TEntity, TPrimaryKey. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IAjaxTableHandlerExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IAjaxTableExtraHandlerTEntity, TPrimaryKey, TOriginalHandler | Ajax表格的扩展处理器 可以用于扩展原有的处理器
Public interface | IAjaxTableHandlerTEntity, TPrimaryKey | Ajax表格处理器


IAjaxTableExtraHandler(TEntity, TPrimaryKey, TOriginalHandler) Interface

IAjaxTableExtraHandlerTEntity, TPrimaryKey, TOriginalHandler Interface
Ajax表格的扩展处理器 可以用于扩展原有的处理器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAjaxTableExtraHandler<TEntity, TPrimaryKey, TOriginalHandler> : IAjaxTableHandler<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>
where TOriginalHandler : Object, IAjaxTableHandler<TEntity, TPrimaryKey>

Public Interface IAjaxTableExtraHandler(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey, TOriginalHandler As {Object, IAjaxTableHandler(Of TEntity, TPrimaryKey)})
    Inherits IAjaxTableHandler(Of TEntity, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey, typename TOriginalHandler>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
where TOriginalHandler : Object, IAjaxTableHandler<TEntity, TPrimaryKey>
public interface class IAjaxTableExtraHandler : IAjaxTableHandler<TEntity, TPrimaryKey>
type IAjaxTableExtraHandler<'TEntity, 'TPrimaryKey, 'TOriginalHandler when 'TEntity : not struct and Object and IEntity<'TPrimaryKey> when 'TOriginalHandler : Object and IAjaxTableHandler<'TEntity, 'TPrimaryKey>> =
    interface
        interface IAjaxTableHandler<'TEntity, 'TPrimaryKey>
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
TOriginalHandler
原有的处理器
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey) Interface

IAjaxTableHandlerTEntity, TPrimaryKey Interface
Ajax表格处理器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAjaxTableHandler<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>

Public Interface IAjaxTableHandler(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public interface class IAjaxTableHandler
type IAjaxTableHandler<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =  interface end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The IAjaxTableHandlerTEntity, TPrimaryKey type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 这个函数与搜索无关，仅在显示表格和搜索栏时调用
Public method | OnQuery | 过滤数据
Public method | OnResponse | 添加列和批量处理
Public method | OnSelect | 选择需要的字段 这个函数不传入数据库上下文，因为仍未分页原来的数据库上下文不能用于查询其他数据
Public method | OnSort | 排序数据
Public method | WrapQueryMethodTResult | 包装查询函数 可以在这里控制使用的过滤器等
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey) Methods

IAjaxTableHandlerTEntity, TPrimaryKey Methods

The IAjaxTableHandlerTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 这个函数与搜索无关，仅在显示表格和搜索栏时调用
Public method | OnQuery | 过滤数据
Public method | OnResponse | 添加列和批量处理
Public method | OnSelect | 选择需要的字段 这个函数不传入数据库上下文，因为仍未分页原来的数据库上下文不能用于查询其他数据
Public method | OnSort | 排序数据
Public method | WrapQueryMethodTResult | 包装查询函数 可以在这里控制使用的过滤器等
Top
See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey).BuildTable Method

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable Method

构建表格时的处理 这个函数与搜索无关，仅在显示表格和搜索栏时调用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
)
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder
表格
searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder
搜索栏
See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey).OnQuery Method

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
query
Type: System.LinqIQueryable TEntity
查询对象
See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey).OnResponse Method

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse Method

添加列和批量处理

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
)
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse
搜索回应
See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey).OnSelect Method

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect Method

选择需要的字段 这个函数不传入数据库上下文，因为仍未分页原来的数据库上下文不能用于查询其他数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<TEntity>> pairs
)
Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of TEntity))
)
void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<TEntity>^>^ pairs
)
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<'TEntity>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
pairs
Type: System.Collections.GenericIList EntityToTableRow TEntity
对象和需要字段的组合列表
See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey).OnSort Method

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
query
Type: System.LinqIQueryable TEntity
查询对象
See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


IAjaxTableHandler(TEntity, TPrimaryKey).WrapQueryMethod(TResult) Method

IAjaxTableHandlerTEntity, TPrimaryKeyWrapQueryMethodTResult Method

包装查询函数 可以在这里控制使用的过滤器等

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Func<TResult> WrapQueryMethod<TResult>(
    AjaxTableSearchRequest request,
    Func<TResult> queryMethod
)

Function WrapQueryMethod(Of TResult) (
    request As AjaxTableSearchRequest,
    queryMethod As Func(Of TResult)
) As Func(Of TResult)
generic<typename TResult>
Func<TResult>^ WrapQueryMethod(
    AjaxTableSearchRequest^ request,
    Func<TResult>^ queryMethod
)
abstract WrapQueryMethod :
        request : AjaxTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
搜索请求
queryMethod
Type: SystemFunc TResult
查询函数

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces.IAjaxTableHandler`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Return Value

Type: Func TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces.IAjaxTableHandler`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

See Also

Reference

IAjaxTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable |
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions |


ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable"]

Classes
 | Class | Description
Public class | BaseTableSearchRequest | 表格数据的搜索请求的基础类
Public class | BaseTableSearchResponse | 表格数据的搜索回应的基础类
Public class | EntityToTableRowTEntity | 转换实体对象到表格行时使用的类
Public class | Pagination | 分页信息
Public class | PaginationLink | 分页栏中的页面链接


BaseTableSearchRequest Class
表格数据的搜索请求的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchRequest
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class BaseTableSearchRequest
Public MustInherit Class BaseTableSearchRequest
public ref class BaseTableSearchRequest abstract
[<AbstractClassAttribute>]
type BaseTableSearchRequest =  class end

The BaseTableSearchRequest type exposes the following members.

Constructors
 | Name | Description
Public method | BaseTableSearchRequest | 初始化
Top
Properties
 | Name | Description
Public property | Conditions | 搜索条件
Public property | Keyword | 搜索关键字
Public property | PageNo | 请求的页面序号，从1开始
Public property | PageSize | 每页显示数量
Top
Fields
Name | Description
MaxPageSize | 最大允许的每页显示数量
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BaseTableSearchRequest()
Public Sub New
public:
BaseTableSearchRequest()
new : unit -> BaseTableSearchRequest
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest Properties

The BaseTableSearchRequest type exposes the following members.

Properties
 | Name | Description
Public property | Conditions | 搜索条件
Public property | Keyword | 搜索关键字
Public property | PageNo | 请求的页面序号，从1开始
Public property | PageSize | 每页显示数量
Top
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest.Conditions Property

BaseTableSearchRequestConditions Property

搜索条件

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Conditions { get; set; }
Public Property Conditions As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Conditions {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Conditions : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest.Keyword Property

BaseTableSearchRequestKeyword Property

搜索关键字

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Keyword { get; set; }
Public Property Keyword As String
    Get
    Set
public:
property String^ Keyword {
    String^ get ();
    void set (String^ value);
}
member Keyword : string with get, set

Property Value

Type: String
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest.PageNo Property

BaseTableSearchRequestPageNo Property

请求的页面序号，从1开始

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int PageNo { get; set; }
Public Property PageNo As Integer
    Get
    Set
public:
property int PageNo {
    int get ();
    void set (int value);
}
member PageNo : int with get, set

Property Value

Type: Int32
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest.PageSize Property

BaseTableSearchRequestPageSize Property

每页显示数量

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int PageSize { get; set; }
Public Property PageSize As Integer
    Get
    Set
public:
property int PageSize {
    int get ();
    void set (int value);
}
member PageSize : int with get, set

Property Value

Type: Int32
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest Fields

The BaseTableSearchRequest type exposes the following members.

Fields
Name | Description
MaxPageSize | 最大允许的每页显示数量
Top
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchRequest.MaxPageSize Field

BaseTableSearchRequestMaxPageSize Field
最大允许的每页显示数量

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int MaxPageSize
Public Shared MaxPageSize As Integer
public:
static int MaxPageSize
static val mutable MaxPageSize: int

Field Value

Type: Int32
See Also

Reference

BaseTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse Class
表格数据的搜索回应的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchResponse
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchResponse

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class BaseTableSearchResponse : ILiquidizable
Public MustInherit Class BaseTableSearchResponse
    Implements ILiquidizable
public ref class BaseTableSearchResponse abstract : ILiquidizable
[<AbstractClassAttribute>]
type BaseTableSearchResponse =
    class
        interface ILiquidizable
    end

The BaseTableSearchResponse type exposes the following members.

Constructors
 | Name | Description
Public method | BaseTableSearchResponse | 初始化
Top
Properties
 | Name | Description
Public property | PageNo | 返回的页面序号，从1开始
Public property | PageSize | 每页显示数量
Public property | Pagination | 分页信息
Public property | Rows | 数据列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BaseTableSearchResponse()
Public Sub New
public:
BaseTableSearchResponse()
new : unit -> BaseTableSearchResponse
See Also

Reference

BaseTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse Properties

The BaseTableSearchResponse type exposes the following members.

Properties
 | Name | Description
Public property | PageNo | 返回的页面序号，从1开始
Public property | PageSize | 每页显示数量
Public property | Pagination | 分页信息
Public property | Rows | 数据列表
Top
See Also

Reference

BaseTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse.PageNo Property

BaseTableSearchResponsePageNo Property

返回的页面序号，从1开始

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int PageNo { get; set; }
Public Property PageNo As Integer
    Get
    Set
public:
property int PageNo {
    int get ();
    void set (int value);
}
member PageNo : int with get, set

Property Value

Type: Int32
See Also

Reference

BaseTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse.PageSize Property

BaseTableSearchResponsePageSize Property

每页显示数量

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int PageSize { get; set; }
Public Property PageSize As Integer
    Get
    Set
public:
property int PageSize {
    int get ();
    void set (int value);
}
member PageSize : int with get, set

Property Value

Type: Int32
See Also

Reference

BaseTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse.Pagination Property

BaseTableSearchResponsePagination Property

分页信息

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Pagination Pagination { get; set; }
Public Property Pagination As Pagination
    Get
    Set
public:
property Pagination^ Pagination {
    Pagination^ get ();
    void set (Pagination^ value);
}
member Pagination : Pagination with get, set

Property Value

Type: Pagination
See Also

Reference

BaseTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


BaseTableSearchResponse.Rows Property

BaseTableSearchResponseRows Property

数据列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<IDictionary<string, Object>> Rows { get; set; }
Public Property Rows As List(Of IDictionary(Of String, Object))
    Get
    Set
public:
property List<IDictionary<String^, Object^>^>^ Rows {
    List<IDictionary<String^, Object^>^>^ get ();
    void set (List<IDictionary<String^, Object^>^>^ value);
}
member Rows : List<IDictionary<string, Object>> with get, set

Property Value

Type: List IDictionary String, Object
See Also

Reference

BaseTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


EntityToTableRow(TEntity) Class

EntityToTableRowTEntity Class
转换实体对象到表格行时使用的类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableEntityToTableRowTEntity

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class EntityToTableRow<TEntity>

Public Class EntityToTableRow(Of TEntity)
generic<typename TEntity>
public ref class EntityToTableRow
type EntityToTableRow<'TEntity> =  class end

Type Parameters

TEntity
实体类型

The EntityToTableRowTEntity type exposes the following members.

Constructors
 | Name | Description
Public method | EntityToTableRowTEntity | 初始化
Top
Properties
 | Name | Description
Public property | Entity | 实体对象
Public property | Row | 表格行
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


EntityToTableRow(TEntity) Constructor

EntityToTableRowTEntity Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public EntityToTableRow(
    TEntity entity
)
Public Sub New (
    entity As TEntity
)
public:
EntityToTableRow(
    TEntity entity
)
new :
        entity : 'TEntity -> EntityToTableRow

Parameters

entity
Type: TEntity

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow`1.#ctor(`0)"]

See Also

Reference

EntityToTableRowTEntity Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


EntityToTableRow(TEntity) Properties

EntityToTableRowTEntity Properties

The EntityToTableRowTEntity generic type exposes the following members.

Properties
 | Name | Description
Public property | Entity | 实体对象
Public property | Row | 表格行
Top
See Also

Reference

EntityToTableRowTEntity Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


EntityToTableRow(TEntity).Entity Property

EntityToTableRowTEntityEntity Property

实体对象

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TEntity Entity { get; set; }
Public Property Entity As TEntity
    Get
    Set
public:
property TEntity Entity {
    TEntity get ();
    void set (TEntity value);
}
member Entity : 'TEntity with get, set

Property Value

Type: TEntity
See Also

Reference

EntityToTableRowTEntity Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


EntityToTableRow(TEntity).Row Property

EntityToTableRowTEntityRow Property

表格行

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Row { get; set; }
Public Property Row As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Row {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Row : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

EntityToTableRowTEntity Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination Class
分页信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTablePagination

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Pagination : ILiquidizable
Public Class Pagination
    Implements ILiquidizable
public ref class Pagination : ILiquidizable
type Pagination =
    class
        interface ILiquidizable
    end

The Pagination type exposes the following members.

Constructors
 | Name | Description
Public method | Pagination | 初始化
Top
Properties
 | Name | Description
Public property | Links | 分页栏的链接列表
Public property | ReachableLastPageIsLastPage | 可到达的最后一页是否真正的最后一页
Public property | ReachableLastPageNo | 可到达的最后一页
Public property | TotalCount | 总数量 因为影响性能，不一定会获取 不获取时等于null
Top
Extension Methods
 | Name | Description
Public Extension Method | PagingTData(BaseTableSearchRequest, IQueryableTData) | Overloaded. 对数据进行分页并设置分页信息 返回分页后的数据 (Defined by PaginationExtensions.)
Public Extension Method | PagingTData(Int32, Int32, IQueryableTData, NullableInt32, NullableBoolean) | Overloaded. 对数据进行分页并设置分页信息 返回分页后的数据 (Defined by PaginationExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Pagination()
Public Sub New
public:
Pagination()
new : unit -> Pagination
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination Properties

The Pagination type exposes the following members.

Properties
 | Name | Description
Public property | Links | 分页栏的链接列表
Public property | ReachableLastPageIsLastPage | 可到达的最后一页是否真正的最后一页
Public property | ReachableLastPageNo | 可到达的最后一页
Public property | TotalCount | 总数量 因为影响性能，不一定会获取 不获取时等于null
Top
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Links Property

PaginationLinks Property

分页栏的链接列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<PaginationLink> Links { get; set; }
Public Property Links As List(Of PaginationLink)
    Get
    Set
public:
property List<PaginationLink^>^ Links {
    List<PaginationLink^>^ get ();
    void set (List<PaginationLink^>^ value);
}
member Links : List<PaginationLink> with get, set

Property Value

Type: List PaginationLink
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.ReachableLastPageIsLastPage Property

PaginationReachableLastPageIsLastPage Property

可到达的最后一页是否真正的最后一页

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ReachableLastPageIsLastPage { get; set; }
Public Property ReachableLastPageIsLastPage As Boolean
    Get
    Set
public:
property bool ReachableLastPageIsLastPage {
    bool get ();
    void set (bool value);
}
member ReachableLastPageIsLastPage : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.ReachableLastPageNo Property

PaginationReachableLastPageNo Property

可到达的最后一页

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ReachableLastPageNo { get; set; }
Public Property ReachableLastPageNo As Integer
    Get
    Set
public:
property int ReachableLastPageNo {
    int get ();
    void set (int value);
}
member ReachableLastPageNo : int with get, set

Property Value

Type: Int32
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.TotalCount Property

PaginationTotalCount Property

总数量 因为影响性能，不一定会获取 不获取时等于null

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> TotalCount { get; set; }
Public Property TotalCount As Nullable(Of Long)
    Get
    Set
public:
property Nullable<long long> TotalCount {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
member TotalCount : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination Methods

The Pagination type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | PagingTData(BaseTableSearchRequest, IQueryableTData) | Overloaded. 对数据进行分页并设置分页信息 返回分页后的数据 (Defined by PaginationExtensions.)
Public Extension Method | PagingTData(Int32, Int32, IQueryableTData, NullableInt32, NullableBoolean) | Overloaded. 对数据进行分页并设置分页信息 返回分页后的数据 (Defined by PaginationExtensions.)
Top
See Also

Reference

Pagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Link Class

PaginationLink Class
分页栏中的页面链接
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTablePaginationLink

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Link : ILiquidizable
Public Class Link
    Implements ILiquidizable
public ref class Link : ILiquidizable
type Link =
    class
        interface ILiquidizable
    end

The PaginationLink type exposes the following members.

Constructors
 | Name | Description
Public method | PaginationLink | 初始化
Public method | PaginationLink(Int32, String, String) | 初始化
Top
Properties
 | Name | Description
Public property | Name | 页面名称 如果是数字，从1开始（需要显示序号+1） 可能是: ["首页", "上一页", "1", "...", "下一页", "末页"]
Public property | PageNo | 页面序号 从1开始
Public property | State | 链接状态 可能是: ["enabled", "disabled", "active", "ellipsis"]
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Link Constructor

Overload List
 | Name | Description
Public method | PaginationLink | 初始化
Public method | PaginationLink(Int32, String, String) | 初始化
Top
See Also

Reference

PaginationLink Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Link Constructor

PaginationLink Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Link()
Public Sub New
public:
Link()
new : unit -> Link
See Also

Reference

PaginationLink Class
PaginationLink Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Link Constructor (Int32, String, String)

PaginationLink Constructor (Int32, String, String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Link(
    int pageNo,
    string name,
    string state
)
Public Sub New (
    pageNo As Integer,
    name As String,
    state As String
)
public:
Link(
    int pageNo,
    String^ name,
    String^ state
)
new :
        pageNo : int *
        name : string *
        state : string -> Link

Parameters

pageNo
Type: SystemInt32

[Missing <param name="pageNo"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Pagination.Link.#ctor(System.Int32,System.String,System.String)"]

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Pagination.Link.#ctor(System.Int32,System.String,System.String)"]

state
Type: SystemString

[Missing <param name="state"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Pagination.Link.#ctor(System.Int32,System.String,System.String)"]

See Also

Reference

PaginationLink Class
PaginationLink Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Link Properties

The PaginationLink type exposes the following members.

Properties
 | Name | Description
Public property | Name | 页面名称 如果是数字，从1开始（需要显示序号+1） 可能是: ["首页", "上一页", "1", "...", "下一页", "末页"]
Public property | PageNo | 页面序号 从1开始
Public property | State | 链接状态 可能是: ["enabled", "disabled", "active", "ellipsis"]
Top
See Also

Reference

PaginationLink Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Link.Name Property

PaginationLinkName Property

页面名称 如果是数字，从1开始（需要显示序号+1） 可能是: ["首页", "上一页", "1", "...", "下一页", "末页"]

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

PaginationLink Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Link.PageNo Property

PaginationLinkPageNo Property

页面序号 从1开始

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int PageNo { get; set; }
Public Property PageNo As Integer
    Get
    Set
public:
property int PageNo {
    int get ();
    void set (int value);
}
member PageNo : int with get, set

Property Value

Type: Int32
See Also

Reference

PaginationLink Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


Pagination.Link.State Property

PaginationLinkState Property

链接状态 可能是: ["enabled", "disabled", "active", "ellipsis"]

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; set; }
Public Property State As String
    Get
    Set
public:
property String^ State {
    String^ get ();
    void set (String^ value);
}
member State : string with get, set

Property Value

Type: String
See Also

Reference

PaginationLink Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions"]

Classes
 | Class | Description
Public class | PaginationExtensions | 分页信息的扩展函数


PaginationExtensions Class
分页信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.ExtensionsPaginationExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class PaginationExtensions
<ExtensionAttribute>
Public NotInheritable Class PaginationExtensions
[ExtensionAttribute]
public ref class PaginationExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type PaginationExtensions =  class end

The PaginationExtensions type exposes the following members.

Methods
Name | Description
PagingTData(Pagination, BaseTableSearchRequest, IQueryableTData) | 对数据进行分页并设置分页信息 返回分页后的数据
PagingTData(Pagination, Int32, Int32, IQueryableTData, NullableInt32, NullableBoolean) | 对数据进行分页并设置分页信息 返回分页后的数据
Top
Fields
Name | Description
AjaxTablePaginationLinkRangeKey | Ajax表格搜索请求中，指定分页链接范围时使用的键
AjaxTableRequireTotalCountKey | Ajax表格搜索请求中，需要获取总数量时使用的键
LastPageNo | 最后一页的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions Methods
Methods
Name | Description
PagingTData(Pagination, BaseTableSearchRequest, IQueryableTData) | 对数据进行分页并设置分页信息 返回分页后的数据
PagingTData(Pagination, Int32, Int32, IQueryableTData, NullableInt32, NullableBoolean) | 对数据进行分页并设置分页信息 返回分页后的数据
Top
See Also

Reference

PaginationExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions.Paging Method

PaginationExtensionsPaging Method

Overload List
Name | Description
PagingTData(Pagination, BaseTableSearchRequest, IQueryableTData) | 对数据进行分页并设置分页信息 返回分页后的数据
PagingTData(Pagination, Int32, Int32, IQueryableTData, NullableInt32, NullableBoolean) | 对数据进行分页并设置分页信息 返回分页后的数据
Top
See Also

Reference

PaginationExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions.Paging(TData) Method (Pagination, BaseTableSearchRequest, IQueryable(TData))

PaginationExtensionsPagingTData Method (Pagination, BaseTableSearchRequest, IQueryableTData)
对数据进行分页并设置分页信息 返回分页后的数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<TData> Paging<TData>(
    this Pagination pagination,
    BaseTableSearchRequest request,
    IQueryable<TData> query
)

<ExtensionAttribute>
Public Shared Function Paging(Of TData) (
    pagination As Pagination,
    request As BaseTableSearchRequest,
    query As IQueryable(Of TData)
) As IList(Of TData)
public:
[ExtensionAttribute]
generic<typename TData>
static IList<TData>^ Paging(
    Pagination^ pagination,
    BaseTableSearchRequest^ request,
    IQueryable<TData>^ query
)
[<ExtensionAttribute>]
static member Paging :
        pagination : Pagination *
        request : BaseTableSearchRequest *
        query : IQueryable<'TData> -> IList<'TData>

Parameters

pagination
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTablePagination
分页信息
request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchRequest
表格的搜索请求
query
Type: System.LinqIQueryable TData
需要分页的数据

Type Parameters

TData
数据类型

Return Value

Type: IList TData

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions.PaginationExtensions.Paging``1(ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Pagination,ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.BaseTableSearchRequest,System.Linq.IQueryable{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Pagination. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PaginationExtensions Class
Paging Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions.Paging(TData) Method (Pagination, Int32, Int32, IQueryable(TData), Nullable(Int32), Nullable(Boolean))

PaginationExtensionsPagingTData Method (Pagination, Int32, Int32, IQueryableTData, NullableInt32, NullableBoolean)
对数据进行分页并设置分页信息 返回分页后的数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<TData> Paging<TData>(
    this Pagination pagination,
    ref int pageNo,
    int pageSize,
    IQueryable<TData> query,
    Nullable<int> linkRange = null,
    Nullable<bool> requireTotalCount = null
)

<ExtensionAttribute>
Public Shared Function Paging(Of TData) (
    pagination As Pagination,
    ByRef pageNo As Integer,
    pageSize As Integer,
    query As IQueryable(Of TData),
    Optional linkRange As Nullable(Of Integer) = Nothing,
    Optional requireTotalCount As Nullable(Of Boolean) = Nothing
) As IList(Of TData)
public:
[ExtensionAttribute]
generic<typename TData>
static IList<TData>^ Paging(
    Pagination^ pagination,
    int% pageNo,
    int pageSize,
    IQueryable<TData>^ query,
    Nullable<int> linkRange = nullptr,
    Nullable<bool> requireTotalCount = nullptr
)
[<ExtensionAttribute>]
static member Paging :
        pagination : Pagination *
        pageNo : int byref *
        pageSize : int *
        query : IQueryable<'TData> *
        ?linkRange : Nullable<int> *
        ?requireTotalCount : Nullable<bool>
(* Defaults:
        let _linkRange = defaultArg linkRange null
        let _requireTotalCount = defaultArg requireTotalCount null
*)
-> IList<'TData>

Parameters

pagination
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTablePagination
分页信息
pageNo
Type: SystemInt32
页面序号，从1开始
pageSize
Type: SystemInt32
每页数量
query
Type: System.LinqIQueryable TData
需要分页的数据
linkRange (Optional)
Type: SystemNullable Int32
分页链接的范围，默认等于2, 当前页等于2时显示0~4
requireTotalCount (Optional)
Type: SystemNullable Boolean
是否需要获取总数量，默认等于false，对性能有影响

Type Parameters

TData
数据类型

Return Value

Type: IList TData

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions.PaginationExtensions.Paging``1(ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Pagination,System.Int32@,System.Int32,System.Linq.IQueryable{``0},System.Nullable{System.Int32},System.Nullable{System.Boolean})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Pagination. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PaginationExtensions Class
Paging Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions Fields

The PaginationExtensions type exposes the following members.

Fields
Name | Description
AjaxTablePaginationLinkRangeKey | Ajax表格搜索请求中，指定分页链接范围时使用的键
AjaxTableRequireTotalCountKey | Ajax表格搜索请求中，需要获取总数量时使用的键
LastPageNo | 最后一页的值
Top
See Also

Reference

PaginationExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions.AjaxTablePaginationLinkRangeKey Field

PaginationExtensionsAjaxTablePaginationLinkRangeKey Field
Ajax表格搜索请求中，指定分页链接范围时使用的键

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AjaxTablePaginationLinkRangeKey = "PaginationLinkRange"
Public Const AjaxTablePaginationLinkRangeKey As String = "PaginationLinkRange"
public:
literal String^ AjaxTablePaginationLinkRangeKey = "PaginationLinkRange"
static val mutable AjaxTablePaginationLinkRangeKey: string

Field Value

Type: String
See Also

Reference

PaginationExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions.AjaxTableRequireTotalCountKey Field

PaginationExtensionsAjaxTableRequireTotalCountKey Field
Ajax表格搜索请求中，需要获取总数量时使用的键

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AjaxTableRequireTotalCountKey = "RequireTotalCount"
Public Const AjaxTableRequireTotalCountKey As String = "RequireTotalCount"
public:
literal String^ AjaxTableRequireTotalCountKey = "RequireTotalCount"
static val mutable AjaxTableRequireTotalCountKey: string

Field Value

Type: String
See Also

Reference

PaginationExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


PaginationExtensions.LastPageNo Field

PaginationExtensionsLastPageNo Field
最后一页的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int LastPageNo = 2147483647
Public Const LastPageNo As Integer = 2147483647
public:
literal int LastPageNo = 2147483647
static val mutable LastPageNo: int

Field Value

Type: Int32
See Also

Reference

PaginationExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Enums Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.Enums"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums |
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes |


ZKWeb.Plugins.Common.Base.src.UIComponents.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Enums"]

Enumerations
 | Enumeration | Description
Public enumeration | EnumBool | 布尔值的枚举
Public enumeration | EnumDeleted | 是否已删除的枚举


EnumBool Enumeration
布尔值的枚举

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum EnumBool
Public Enumeration EnumBool
public enum class EnumBool
type EnumBool
Members
Member name | Value | Description
True | 1 | 是
False | 0 | 否
Empty | -1 | 空
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Enums Namespace


EnumDeleted Enumeration
是否已删除的枚举

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum EnumDeleted
Public Enumeration EnumDeleted
public enum class EnumDeleted
type EnumDeleted
Members
Member name | Value | Description
None | 0 | 未删除
Deleted | 1 | 已删除
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Enums Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes"]

Classes
 | Class | Description
Public class | LabelCssClassAttribute | 显示为标签文本时使用的css类


LabelCssClassAttribute Class
显示为标签文本时使用的css类
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.AttributesLabelCssClassAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LabelCssClassAttribute : Attribute
Public Class LabelCssClassAttribute
    Inherits Attribute
public ref class LabelCssClassAttribute : public Attribute
type LabelCssClassAttribute =
    class
        inherit Attribute
    end

The LabelCssClassAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | LabelCssClassAttribute | 初始化
Top
Properties
 | Name | Description
Public property | CssClass | css类
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes Namespace


LabelCssClassAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LabelCssClassAttribute(
    string cssClass
)
Public Sub New (
    cssClass As String
)
public:
LabelCssClassAttribute(
    String^ cssClass
)
new :
        cssClass : string -> LabelCssClassAttribute

Parameters

cssClass
Type: SystemString
css类，例如"label label-success"
See Also

Reference

LabelCssClassAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes Namespace


LabelCssClassAttribute Properties

The LabelCssClassAttribute type exposes the following members.

Properties
 | Name | Description
Public property | CssClass | css类
Top
See Also

Reference

LabelCssClassAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes Namespace


LabelCssClassAttribute.CssClass Property

LabelCssClassAttributeCssClass Property

css类

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CssClass { get; set; }
Public Property CssClass As String
    Get
    Set
public:
property String^ CssClass {
    String^ get ();
    void set (String^ value);
}
member CssClass : string with get, set

Property Value

Type: String
See Also

Reference

LabelCssClassAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Enums.Attributes Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms |
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes |
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions |
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers |
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces |
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators |


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms"]

Classes
 | Class | Description
Public class | EntityFormBuilderTEntity, TPrimaryKey, TForm | 用于编辑实体的表单
Public class | FieldsOnlyFormBuilder | 只包含字段内容的表单构建器
Public class | FieldsOnlyModelFormBuilder | 只包含字段内容的表单构建器
 | FormBuilder | 表单构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取
Public class | FormField | 表单字段
Public class | ModelFormBuilder | 从模型构建表单的构建器 public class TestForm : ModelFormBuilder { [Required] [TextBoxField("FieldA", "Please enter something")] public string FieldA { get; set; } [TextBoxField("FieldB", "Please enter something")] public string FieldB { get; set; } protected override void OnBind() { FieldA = "Default value"; } protected override object OnSubmit() { return new { message = string.Format("{0}, {1}", FieldA, FieldB) }; } }
Public class | TabEntityFormBuilderTEntity, TPrimaryKey, TForm | 用于编辑指定数据的表单，支持多标签
Public class | TabFormBuilder | 表单构建器，支持多标签 按字段的Group分组，没有指定Group的字段分到"基本信息"中
Public class | TabModelFormBuilder | 从模型构建表单的构建器，支持多标签


EntityFormBuilder(TEntity, TPrimaryKey, TForm) Class

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
用于编辑实体的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilderTEntity, TPrimaryKey, TForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilderTEntity, TPrimaryKey, TForm
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBaseTControllerForm
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBaseTControllerForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderEditCostForm

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class EntityFormBuilder<TEntity, TPrimaryKey, TForm> : ModelFormBuilder
where TEntity : class, new(), Object, IEntity<TPrimaryKey>
where TForm : EntityFormBuilder<TEntity, TPrimaryKey, TForm>

Public MustInherit Class EntityFormBuilder(Of TEntity As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey, TForm As EntityFormBuilder(Of TEntity, TPrimaryKey, TForm))
    Inherits ModelFormBuilder
generic<typename TEntity, typename TPrimaryKey, typename TForm>
where TEntity : ref class, gcnew(), Object, IEntity<TPrimaryKey>
where TForm : EntityFormBuilder<TEntity, TPrimaryKey, TForm>
public ref class EntityFormBuilder abstract : public ModelFormBuilder
[<AbstractClassAttribute>]
type EntityFormBuilder<'TEntity, 'TPrimaryKey, 'TForm when 'TEntity : not struct, new() and Object and IEntity<'TPrimaryKey> when 'TForm : EntityFormBuilder<'TEntity, 'TPrimaryKey, 'TForm>> =
    class
        inherit ModelFormBuilder
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
TForm
继承类自身的类型

The EntityFormBuilderTEntity, TPrimaryKey, TForm type exposes the following members.

Constructors
 | Name | Description
Public method | EntityFormBuilderTEntity, TPrimaryKey, TForm | 初始化
Top
Properties
 | Name | Description
Protected property | ExtraHandlers | 扩展列表
Top
Methods
 | Name | Description
Protected method | GetRequestId | 获取传入参数请求的实体Id
Protected method | OnBind | 绑定时的处理 支持通过扩展修改表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnBind(TEntity) | 绑定实体到表单
Protected method | OnSubmit | 提交时的处理，返回处理结果 (Overrides ModelFormBuilderOnSubmit.)
Protected method | OnSubmit(TEntity) | 保存表单到实体，返回处理结果
Protected method | OnSubmitSaved | 实体保存后的处理，用于添加关联实体等
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm) Constructor

EntityFormBuilderTEntity, TPrimaryKey, TForm Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public EntityFormBuilder(
    FormBuilder form = null
)
Public Sub New (
    Optional form As FormBuilder = Nothing
)
public:
EntityFormBuilder(
    FormBuilder^ form = nullptr
)
new :
        ?form : FormBuilder
(* Defaults:
        let _form = defaultArg form null
*)
-> EntityFormBuilder

Parameters

form (Optional)
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.EntityFormBuilder`3.#ctor(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder)"]

See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm) Properties

EntityFormBuilderTEntity, TPrimaryKey, TForm Properties

The EntityFormBuilderTEntity, TPrimaryKey, TForm generic type exposes the following members.

Properties
 | Name | Description
Protected property | ExtraHandlers | 扩展列表
Top
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).ExtraHandlers Property

EntityFormBuilderTEntity, TPrimaryKey, TFormExtraHandlers Property

扩展列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IList<IEntityFormExtraHandler<TEntity, TPrimaryKey, TForm>> ExtraHandlers { get; set; }
Protected Property ExtraHandlers As IList(Of IEntityFormExtraHandler(Of TEntity, TPrimaryKey, TForm))
    Get
    Set
protected:
property IList<IEntityFormExtraHandler<TEntity, TPrimaryKey, TForm>^>^ ExtraHandlers {
    IList<IEntityFormExtraHandler<TEntity, TPrimaryKey, TForm>^>^ get ();
    void set (IList<IEntityFormExtraHandler<TEntity, TPrimaryKey, TForm>^>^ value);
}
member ExtraHandlers : IList<IEntityFormExtraHandler<'TEntity, 'TPrimaryKey, 'TForm>> with get, set

Property Value

Type: IList IEntityFormExtraHandler TEntity, TPrimaryKey, TForm
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm) Methods

EntityFormBuilderTEntity, TPrimaryKey, TForm Methods

The EntityFormBuilderTEntity, TPrimaryKey, TForm generic type exposes the following members.

Methods
 | Name | Description
Protected method | GetRequestId | 获取传入参数请求的实体Id
Protected method | OnBind | 绑定时的处理 支持通过扩展修改表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnBind(TEntity) | 绑定实体到表单
Protected method | OnSubmit | 提交时的处理，返回处理结果 (Overrides ModelFormBuilderOnSubmit.)
Protected method | OnSubmit(TEntity) | 保存表单到实体，返回处理结果
Protected method | OnSubmitSaved | 实体保存后的处理，用于添加关联实体等
Top
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).GetRequestId Method

EntityFormBuilderTEntity, TPrimaryKey, TFormGetRequestId Method

获取传入参数请求的实体Id

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual TPrimaryKey GetRequestId()
Protected Overridable Function GetRequestId As TPrimaryKey
protected:
virtual TPrimaryKey GetRequestId()
abstract GetRequestId : unit -> 'TPrimaryKey
override GetRequestId : unit -> 'TPrimaryKey

Return Value

Type: TPrimaryKey

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.EntityFormBuilder`3.GetRequestId"]

See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnBind Method

EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind Method

Overload List
 | Name | Description
Protected method | OnBind | 绑定时的处理 支持通过扩展修改表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnBind(TEntity) | 绑定实体到表单
Top
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnBind Method

EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind Method

绑定时的处理 支持通过扩展修改表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override sealed void OnBind()
Protected Overrides NotOverridable Sub OnBind
protected:
virtual void OnBind() override sealed
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
OnBind Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnBind Method (TEntity)

EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind Method (TEntity)
绑定实体到表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract void OnBind(
    TEntity bindFrom
)
Protected MustOverride Sub OnBind (
    bindFrom As TEntity
)
protected:
virtual void OnBind(
    TEntity bindFrom
) abstract
abstract OnBind :
        bindFrom : 'TEntity -> unit

Parameters

bindFrom
Type: TEntity
来源的实体
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
OnBind Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnSubmit Method

EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit Method

Overload List
 | Name | Description
Protected method | OnSubmit | 提交时的处理，返回处理结果 (Overrides ModelFormBuilderOnSubmit.)
Protected method | OnSubmit(TEntity) | 保存表单到实体，返回处理结果
Top
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnSubmit Method

EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit Method

提交时的处理，返回处理结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override sealed Object OnSubmit()
Protected Overrides NotOverridable Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override sealed
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.EntityFormBuilder`3.OnSubmit"]

See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
OnSubmit Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnSubmit Method (TEntity)

EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit Method (TEntity)
保存表单到实体，返回处理结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract Object OnSubmit(
    TEntity saveTo
)
Protected MustOverride Function OnSubmit (
    saveTo As TEntity
) As Object
protected:
virtual Object^ OnSubmit(
    TEntity saveTo
) abstract
abstract OnSubmit :
        saveTo : 'TEntity -> Object

Parameters

saveTo
Type: TEntity
保存到的实体

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.EntityFormBuilder`3.OnSubmit(`0)"]

See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
OnSubmit Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


EntityFormBuilder(TEntity, TPrimaryKey, TForm).OnSubmitSaved Method

EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmitSaved Method

实体保存后的处理，用于添加关联实体等

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void OnSubmitSaved(
    TEntity saved
)
Protected Overridable Sub OnSubmitSaved (
    saved As TEntity
)
protected:
virtual void OnSubmitSaved(
    TEntity saved
)
abstract OnSubmitSaved :
        saved : 'TEntity -> unit
override OnSubmitSaved :
        saved : 'TEntity -> unit

Parameters

saved
Type: TEntity
已保存的实体，Id已分配
See Also

Reference

EntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyFormBuilder Class
只包含字段内容的表单构建器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFieldsOnlyFormBuilder

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FieldsOnlyFormBuilder : FormBuilder
Public Class FieldsOnlyFormBuilder
    Inherits FormBuilder
public ref class FieldsOnlyFormBuilder : public FormBuilder
type FieldsOnlyFormBuilder =
    class
        inherit FormBuilder
    end

The FieldsOnlyFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | FieldsOnlyFormBuilder | Initializes a new instance of the FieldsOnlyFormBuilder class
Top
Methods
 | Name | Description
Public method | ToString | 获取表单html (Overrides FormBuilderToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | BindValues | 绑定表单字段的值 (Defined by FormBuilderExtensions.)
Public Extension Method | BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" } (Defined by FormBuilderExtensions.)
Public Extension Method | ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则 (Defined by FormBuilderExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyFormBuilder Constructor

Initializes a new instance of the FieldsOnlyFormBuilder class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FieldsOnlyFormBuilder()
Public Sub New
public:
FieldsOnlyFormBuilder()
new : unit -> FieldsOnlyFormBuilder
See Also

Reference

FieldsOnlyFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyFormBuilder Methods

The FieldsOnlyFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | ToString | 获取表单html (Overrides FormBuilderToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | BindValues | 绑定表单字段的值 (Defined by FormBuilderExtensions.)
Public Extension Method | BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" } (Defined by FormBuilderExtensions.)
Public Extension Method | ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则 (Defined by FormBuilderExtensions.)
Top
See Also

Reference

FieldsOnlyFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyFormBuilder.ToString Method

FieldsOnlyFormBuilderToString Method

获取表单html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FieldsOnlyFormBuilder.ToString"]

See Also

Reference

FieldsOnlyFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyModelFormBuilder Class
只包含字段内容的表单构建器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFieldsOnlyModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsCreateOrderCommenForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsShippingAddressForm

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class FieldsOnlyModelFormBuilder : ModelFormBuilder
Public MustInherit Class FieldsOnlyModelFormBuilder
    Inherits ModelFormBuilder
public ref class FieldsOnlyModelFormBuilder abstract : public ModelFormBuilder
[<AbstractClassAttribute>]
type FieldsOnlyModelFormBuilder =
    class
        inherit ModelFormBuilder
    end

The FieldsOnlyModelFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | FieldsOnlyModelFormBuilder | 初始化
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyModelFormBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FieldsOnlyModelFormBuilder()
Public Sub New
public:
FieldsOnlyModelFormBuilder()
new : unit -> FieldsOnlyModelFormBuilder
See Also

Reference

FieldsOnlyModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyModelFormBuilder Methods

The FieldsOnlyModelFormBuilder type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

FieldsOnlyModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyModelFormBuilder.OnBind Method

FieldsOnlyModelFormBuilderOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

FieldsOnlyModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FieldsOnlyModelFormBuilder.OnSubmit Method

FieldsOnlyModelFormBuilderOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FieldsOnlyModelFormBuilder.OnSubmit"]

See Also

Reference

FieldsOnlyModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder Class
表单构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFieldsOnlyFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabFormBuilder

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FormBuilder : ILiquidizable
Public Class FormBuilder
    Implements ILiquidizable
public ref class FormBuilder : ILiquidizable
type FormBuilder =
    class
        interface ILiquidizable
    end

The FormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | FormBuilder | 初始化
Top
Properties
 | Name | Description
Public property | Attribute | 表单属性，可省略
Public property | CsrfToken | 当前客户端使用的csrf校验值
Public property | Fields | 表单字段列表
Top
Methods
 | Name | Description
Protected method | RenderCsrfToken | 描画csrf校验值
Protected method | RenderFormBeginTag | 描画表单的开始标签
Protected method | RenderFormEndTag | 描画表单的结束标签
Protected method | RenderFormField | 描画表单字段
Protected method | RenderSubmitButton | 描画提交按钮
Public method | ToString | 获取表单html (Overrides ObjectToString.)
Top
Fields
Name | Description
CsrfTokenFieldName | Csrf校验值的表单字段名称
Top
Extension Methods
 | Name | Description
Public Extension Method | BindValues | 绑定表单字段的值 (Defined by FormBuilderExtensions.)
Public Extension Method | BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" } (Defined by FormBuilderExtensions.)
Public Extension Method | ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则 (Defined by FormBuilderExtensions.)
Top
Examples
// 创建
var form = Application.Ioc.Resolve[FormBuilder]();
form.Attribute = new FormAttribute() { Name = "TestForm" };
form.Fields.Add(new FormField(new TextBoxFieldAttribute("Username")));
form.Fields.Add(new FormField(new PasswordFieldAttribute("Password")));
// 绑定
form.BindValuesFromAnonymousObject(new { Username = "TestUser", Password = "TestPassword" });
return new TemplateResult("test_form.html", new { form });
// 提交
var values = form.ParseValues(HttpManager.CurrentContext.Request.GetParams());
var username = values.GetOrDefault[string]("Username");
var password = values.GetOrDefault[string]("Password");
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormBuilder()
Public Sub New
public:
FormBuilder()
new : unit -> FormBuilder
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder Properties

The FormBuilder type exposes the following members.

Properties
 | Name | Description
Public property | Attribute | 表单属性，可省略
Public property | CsrfToken | 当前客户端使用的csrf校验值
Public property | Fields | 表单字段列表
Top
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.Attribute Property

FormBuilderAttribute Property

表单属性，可省略

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormAttribute Attribute { get; set; }
Public Property Attribute As FormAttribute
    Get
    Set
public:
property FormAttribute^ Attribute {
    FormAttribute^ get ();
    void set (FormAttribute^ value);
}
member Attribute : FormAttribute with get, set

Property Value

Type: FormAttribute
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.CsrfToken Property

FormBuilderCsrfToken Property

当前客户端使用的csrf校验值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CsrfToken { get; protected set; }
Public Property CsrfToken As String
    Get
    Protected Set
public:
property String^ CsrfToken {
    String^ get ();
    protected: void set (String^ value);
}
member CsrfToken : string with get, set

Property Value

Type: String
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.Fields Property

FormBuilderFields Property

表单字段列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<FormField> Fields { get; protected set; }
Public Property Fields As List(Of FormField)
    Get
    Protected Set
public:
property List<FormField^>^ Fields {
    List<FormField^>^ get ();
    protected: void set (List<FormField^>^ value);
}
member Fields : List<FormField> with get, set

Property Value

Type: List FormField
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder Methods

The FormBuilder type exposes the following members.

Methods
 | Name | Description
Protected method | RenderCsrfToken | 描画csrf校验值
Protected method | RenderFormBeginTag | 描画表单的开始标签
Protected method | RenderFormEndTag | 描画表单的结束标签
Protected method | RenderFormField | 描画表单字段
Protected method | RenderSubmitButton | 描画提交按钮
Public method | ToString | 获取表单html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | BindValues | 绑定表单字段的值 (Defined by FormBuilderExtensions.)
Public Extension Method | BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" } (Defined by FormBuilderExtensions.)
Public Extension Method | ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则 (Defined by FormBuilderExtensions.)
Top
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.RenderCsrfToken Method

FormBuilderRenderCsrfToken Method

描画csrf校验值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderCsrfToken(
    StringBuilder html
)
Protected Overridable Sub RenderCsrfToken (
    html As StringBuilder
)
protected:
virtual void RenderCsrfToken(
    StringBuilder^ html
)
abstract RenderCsrfToken :
        html : StringBuilder -> unit
override RenderCsrfToken :
        html : StringBuilder -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.RenderFormBeginTag Method

FormBuilderRenderFormBeginTag Method

描画表单的开始标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderFormBeginTag(
    StringBuilder html
)
Protected Overridable Sub RenderFormBeginTag (
    html As StringBuilder
)
protected:
virtual void RenderFormBeginTag(
    StringBuilder^ html
)
abstract RenderFormBeginTag :
        html : StringBuilder -> unit
override RenderFormBeginTag :
        html : StringBuilder -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.RenderFormEndTag Method

FormBuilderRenderFormEndTag Method

描画表单的结束标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderFormEndTag(
    StringBuilder html
)
Protected Overridable Sub RenderFormEndTag (
    html As StringBuilder
)
protected:
virtual void RenderFormEndTag(
    StringBuilder^ html
)
abstract RenderFormEndTag :
        html : StringBuilder -> unit
override RenderFormEndTag :
        html : StringBuilder -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.RenderFormField Method

FormBuilderRenderFormField Method

描画表单字段

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderFormField(
    StringBuilder html,
    FormField field
)
Protected Overridable Sub RenderFormField (
    html As StringBuilder,
    field As FormField
)
protected:
virtual void RenderFormField(
    StringBuilder^ html,
    FormField^ field
)
abstract RenderFormField :
        html : StringBuilder *
        field : FormField -> unit
override RenderFormField :
        html : StringBuilder *
        field : FormField -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField
表单字段
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.RenderSubmitButton Method

FormBuilderRenderSubmitButton Method

描画提交按钮

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderSubmitButton(
    StringBuilder html
)
Protected Overridable Sub RenderSubmitButton (
    html As StringBuilder
)
protected:
virtual void RenderSubmitButton(
    StringBuilder^ html
)
abstract RenderSubmitButton :
        html : StringBuilder -> unit
override RenderSubmitButton :
        html : StringBuilder -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.ToString Method

FormBuilderToString Method

获取表单html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder.ToString"]

See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder Fields

The FormBuilder type exposes the following members.

Fields
Name | Description
CsrfTokenFieldName | Csrf校验值的表单字段名称
Top
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormBuilder.CsrfTokenFieldName Field

FormBuilderCsrfTokenFieldName Field
Csrf校验值的表单字段名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CsrfTokenFieldName = "__CSRFTOKEN"
Public Const CsrfTokenFieldName As String = "__CSRFTOKEN"
public:
literal String^ CsrfTokenFieldName = "__CSRFTOKEN"
static val mutable CsrfTokenFieldName: string

Field Value

Type: String
See Also

Reference

FormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField Class
表单字段
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FormField : ILiquidizable
Public Class FormField
    Implements ILiquidizable
public ref class FormField : ILiquidizable
type FormField =
    class
        interface ILiquidizable
    end

The FormField type exposes the following members.

Constructors
 | Name | Description
Public method | FormField | 初始化
Top
Properties
 | Name | Description
Public property | Attribute | 表单字段的属性
Public property | ValidationAttributes | 验证表单的属性列表
Public property | Value | 字段的值
Top
Methods
 | Name | Description
Public method | ToString | 获取表单字段的html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | WrapFieldHtml | 包装表单字段的Html 包装后包含: 名称，控件，验证文本 (Defined by FormFieldExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormField(
    FormFieldAttribute attribute
)
Public Sub New (
    attribute As FormFieldAttribute
)
public:
FormField(
    FormFieldAttribute^ attribute
)
new :
        attribute : FormFieldAttribute -> FormField

Parameters

attribute
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
表单字段的属性
See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField Properties

The FormField type exposes the following members.

Properties
 | Name | Description
Public property | Attribute | 表单字段的属性
Public property | ValidationAttributes | 验证表单的属性列表
Public property | Value | 字段的值
Top
See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField.Attribute Property

FormFieldAttribute Property

表单字段的属性

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Attribute { get; set; }
Public Property Attribute As FormFieldAttribute
    Get
    Set
public:
property FormFieldAttribute^ Attribute {
    FormFieldAttribute^ get ();
    void set (FormFieldAttribute^ value);
}
member Attribute : FormFieldAttribute with get, set

Property Value

Type: FormFieldAttribute
See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField.ValidationAttributes Property

FormFieldValidationAttributes Property

验证表单的属性列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<Attribute> ValidationAttributes { get; set; }
Public Property ValidationAttributes As List(Of Attribute)
    Get
    Set
public:
property List<Attribute^>^ ValidationAttributes {
    List<Attribute^>^ get ();
    void set (List<Attribute^>^ value);
}
member ValidationAttributes : List<Attribute> with get, set

Property Value

Type: List Attribute
See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField.Value Property

FormFieldValue Property

字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Value { get; set; }
Public Property Value As Object
    Get
    Set
public:
property Object^ Value {
    Object^ get ();
    void set (Object^ value);
}
member Value : Object with get, set

Property Value

Type: Object
See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField Methods

The FormField type exposes the following members.

Methods
 | Name | Description
Public method | ToString | 获取表单字段的html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | WrapFieldHtml | 包装表单字段的Html 包装后包含: 名称，控件，验证文本 (Defined by FormFieldExtensions.)
Top
See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


FormField.ToString Method

FormFieldToString Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField.ToString"]

See Also

Reference

FormField Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder Class

从模型构建表单的构建器

public class TestForm : ModelFormBuilder {
    [Required]
    [TextBoxField("FieldA", "Please enter something")]
    public string FieldA { get; set; }
    [TextBoxField("FieldB", "Please enter something")]
    public string FieldB { get; set; }
    protected override void OnBind() {
        FieldA = "Default value";
    }
    protected override object OnSubmit() {
        return new { message = string.Format("{0}, {1}", FieldA, FieldB) };
    }
}
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
More...

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ModelFormBuilder : IModelFormBuilder,
    ILiquidizable
Public MustInherit Class ModelFormBuilder
    Implements IModelFormBuilder, ILiquidizable
public ref class ModelFormBuilder abstract : IModelFormBuilder,
    ILiquidizable
[<AbstractClassAttribute>]
type ModelFormBuilder =
    class
        interface IModelFormBuilder
        interface ILiquidizable
    end

The ModelFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | ModelFormBuilder | 初始化
Top
Properties
 | Name | Description
Public property | Context | 当前的Http上下文
Public property | FieldToProperty | 表单字段到成员信息
Public property | Form | 表单构建器
Public property | Request | 当前的Http请求
Public property | Response | 当前的Http回应
Top
Methods
 | Name | Description
Public method | AddFieldsFrom | 从指定的对象添加字段 默认会从this添加，这个函数可以用于从其他对象扩展表单
Public method | Bind | 绑定表单
Protected method | OnBind | 绑定时的处理
Protected method | OnSubmit | 提交时的处理，返回处理结果
Public method | Submit | 提交表单，返回处理结果
Public method | ToString | 获取表单html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | SaveSuccess | 返回保存成功 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndCloseModal | 返回保存成功，关闭模态框并且通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshModal | 返回保存成功，刷新模态框并通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshPage | 返回保存成功，并在一定时间后刷新当前页面 (Defined by IModelFormBuilderExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.CMS.Article.src.ControllersArticleListSettingsFormForm
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsAdminLoginForm
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsUserLoginForm
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsUserRegForm
ZKWeb.Plugins.Common.AdminSettings.src.ControllersLocaleSettingsControllerForm
ZKWeb.Plugins.Common.AdminSettings.src.ControllersWebsiteSettingsControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilderTEntity, TPrimaryKey, TForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFieldsOnlyModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabModelFormBuilder
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPagesCurrencySettingsControllerForm
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBaseForm
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPagesLanguageSwitcherSettingsFormForm
ZKWeb.Plugins.Common.PesudoStatic.src.ControllersPesudoStaticSettingsControllerForm
ZKWeb.Plugins.Common.Region.src.ControllersCountrySettingsControllerForm
ZKWeb.Plugins.Common.UserContact.src.ControllersContactInfoControllerForm
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangeAvatarFormForm
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangePasswordFormForm
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.FormsPingppPayForm
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlersTestApiHandlerTestApiPayForm
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentApiCrudControllerSelectTypeForAddForm
ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsTestPaymentForm
ZKWeb.Plugins.Shopping.Order.src.ControllersOrderSettingsControllerForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsCreateOrderForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderCancelForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderConfirmForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderConfirmInsteadOfBuyerForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderSetInvalidForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductAlbumSettingsControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductListSettingsControllerForm
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.FormsCreateThemeForm
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.FormsUploadThemeForm


ModelFormBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ModelFormBuilder(
    FormBuilder form = null
)
Public Sub New (
    Optional form As FormBuilder = Nothing
)
public:
ModelFormBuilder(
    FormBuilder^ form = nullptr
)
new :
        ?form : FormBuilder
(* Defaults:
        let _form = defaultArg form null
*)
-> ModelFormBuilder

Parameters

form (Optional)
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ModelFormBuilder.#ctor(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder)"]

See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder Properties

The ModelFormBuilder type exposes the following members.

Properties
 | Name | Description
Public property | Context | 当前的Http上下文
Public property | FieldToProperty | 表单字段到成员信息
Public property | Form | 表单构建器
Public property | Request | 当前的Http请求
Public property | Response | 当前的Http回应
Top
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.Context Property

ModelFormBuilderContext Property

当前的Http上下文

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpContext Context { get; }
Public Overridable ReadOnly Property Context As IHttpContext
    Get
public:
virtual property IHttpContext^ Context {
    IHttpContext^ get ();
}
abstract Context : IHttpContext with get
override Context : IHttpContext with get

Property Value

Type: IHttpContext
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.FieldToProperty Property

ModelFormBuilderFieldToProperty Property

表单字段到成员信息

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<FormField, Pair<Object, PropertyInfo>> FieldToProperty { get; protected set; }
Public Property FieldToProperty As IDictionary(Of FormField, Pair(Of Object, PropertyInfo))
    Get
    Protected Set
public:
property IDictionary<FormField^, Pair<Object^, PropertyInfo^>>^ FieldToProperty {
    IDictionary<FormField^, Pair<Object^, PropertyInfo^>>^ get ();
    protected: void set (IDictionary<FormField^, Pair<Object^, PropertyInfo^>>^ value);
}
member FieldToProperty : IDictionary<FormField, Pair<Object, PropertyInfo>> with get, set

Property Value

Type: IDictionary FormField, PairObject, PropertyInfo
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.Form Property

ModelFormBuilderForm Property

表单构建器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormBuilder Form { get; protected set; }
Public Property Form As FormBuilder
    Get
    Protected Set
public:
property FormBuilder^ Form {
    FormBuilder^ get ();
    protected: void set (FormBuilder^ value);
}
member Form : FormBuilder with get, set

Property Value

Type: FormBuilder
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.Request Property

ModelFormBuilderRequest Property

当前的Http请求

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpRequest Request { get; }
Public Overridable ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get ();
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.Response Property

ModelFormBuilderResponse Property

当前的Http回应

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpResponse Response { get; }
Public Overridable ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get ();
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder Methods

The ModelFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | AddFieldsFrom | 从指定的对象添加字段 默认会从this添加，这个函数可以用于从其他对象扩展表单
Public method | Bind | 绑定表单
Protected method | OnBind | 绑定时的处理
Protected method | OnSubmit | 提交时的处理，返回处理结果
Public method | Submit | 提交表单，返回处理结果
Public method | ToString | 获取表单html (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | SaveSuccess | 返回保存成功 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndCloseModal | 返回保存成功，关闭模态框并且通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshModal | 返回保存成功，刷新模态框并通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshPage | 返回保存成功，并在一定时间后刷新当前页面 (Defined by IModelFormBuilderExtensions.)
Top
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.AddFieldsFrom Method

ModelFormBuilderAddFieldsFrom Method

从指定的对象添加字段 默认会从this添加，这个函数可以用于从其他对象扩展表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddFieldsFrom(
    Object obj
)
Public Sub AddFieldsFrom (
    obj As Object
)
public:
void AddFieldsFrom(
    Object^ obj
)
member AddFieldsFrom :
        obj : Object -> unit

Parameters

obj
Type: SystemObject
对象
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.Bind Method

ModelFormBuilderBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Bind()
Public Sub Bind
public:
virtual void Bind() sealed
abstract Bind : unit -> unit
override Bind : unit -> unit

Implements

IModelFormBuilderBind
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.OnBind Method

ModelFormBuilderOnBind Method

绑定时的处理

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract void OnBind()
Protected MustOverride Sub OnBind
protected:
virtual void OnBind() abstract
abstract OnBind : unit -> unit
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.OnSubmit Method

ModelFormBuilderOnSubmit Method

提交时的处理，返回处理结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract Object OnSubmit()
Protected MustOverride Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() abstract
abstract OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ModelFormBuilder.OnSubmit"]

See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.Submit Method

ModelFormBuilderSubmit Method

提交表单，返回处理结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Submit()
Public Function Submit As Object
public:
virtual Object^ Submit() sealed
abstract Submit : unit -> Object
override Submit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ModelFormBuilder.Submit"]

Implements

IModelFormBuilderSubmit
See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ModelFormBuilder.ToString Method

ModelFormBuilderToString Method

获取表单html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ModelFormBuilder.ToString"]

See Also

Reference

ModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabEntityFormBuilder(TEntity, TPrimaryKey, TForm) Class

TabEntityFormBuilderTEntity, TPrimaryKey, TForm Class
用于编辑指定数据的表单，支持多标签
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder TEntity, TPrimaryKey, TForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilderTEntity, TPrimaryKey, TForm
More...

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class TabEntityFormBuilder<TEntity, TPrimaryKey, TForm> : EntityFormBuilder<TEntity, TPrimaryKey, TForm>
where TEntity : class, new(), Object, IEntity<TPrimaryKey>
where TForm : TabEntityFormBuilder<TEntity, TPrimaryKey, TForm>

Public MustInherit Class TabEntityFormBuilder(Of TEntity As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey, TForm As TabEntityFormBuilder(Of TEntity, TPrimaryKey, TForm))
    Inherits EntityFormBuilder(Of TEntity, TPrimaryKey, TForm)
generic<typename TEntity, typename TPrimaryKey, typename TForm>
where TEntity : ref class, gcnew(), Object, IEntity<TPrimaryKey>
where TForm : TabEntityFormBuilder<TEntity, TPrimaryKey, TForm>
public ref class TabEntityFormBuilder abstract : public EntityFormBuilder<TEntity, TPrimaryKey, TForm>
[<AbstractClassAttribute>]
type TabEntityFormBuilder<'TEntity, 'TPrimaryKey, 'TForm when 'TEntity : not struct, new() and Object and IEntity<'TPrimaryKey> when 'TForm : TabEntityFormBuilder<'TEntity, 'TPrimaryKey, 'TForm>> =
    class
        inherit EntityFormBuilder<'TEntity, 'TPrimaryKey, 'TForm>
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
TForm
继承类自身的类型

The TabEntityFormBuilderTEntity, TPrimaryKey, TForm type exposes the following members.

Constructors
 | Name | Description
Public method | TabEntityFormBuilderTEntity, TPrimaryKey, TForm | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder TEntity, TPrimaryKey, TForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilderTEntity, TPrimaryKey, TForm
ZKWeb.Plugins.CMS.Article.src.ControllersArticleCrudControllerForm
ZKWeb.Plugins.Common.Admin.src.ControllersAdminCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm
ZKWeb.Plugins.Common.Admin.src.ControllersUserRoleCrudControllerForm
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentTransactionCrudControllerForm
ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm
ZKWeb.Plugins.Shopping.Logistics.src.ControllersLogisticsCrudControllerForm
ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerForm
ZKWeb.Plugins.Shopping.Order.src.ControllersShippingAddressCrudControllerForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryBaseDisplayFormTForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderEditShippingAddressForm
ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCategoryCrudControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCrudControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductPropertyCrudControllerForm


TabEntityFormBuilder(TEntity, TPrimaryKey, TForm) Constructor

TabEntityFormBuilderTEntity, TPrimaryKey, TForm Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TabEntityFormBuilder()
Public Sub New
public:
TabEntityFormBuilder()
new : unit -> TabEntityFormBuilder
See Also

Reference

TabEntityFormBuilderTEntity, TPrimaryKey, TForm Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder Class
表单构建器，支持多标签 按字段的Group分组，没有指定Group的字段分到"基本信息"中
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabFormBuilder

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TabFormBuilder : FormBuilder
Public Class TabFormBuilder
    Inherits FormBuilder
public ref class TabFormBuilder : public FormBuilder
type TabFormBuilder =
    class
        inherit FormBuilder
    end

The TabFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | TabFormBuilder | 初始化
Top
Methods
 | Name | Description
Protected method | GetTabId | 从分组名称获取标签Id，不带#
Protected method | RenderTabContainerBeginTag | 描画标签容器的开始标签
Protected method | RenderTabContainerEndTag | 描画标签容器的结束标签
Protected method | RenderTabContents | 描画标签内容
Protected method | RenderTabs | 描画标签
Public method | ToString | 获取表单html (Overrides FormBuilderToString.)
Top
Fields
Name | Description
DefaultGroupName | 默认分组名称
Top
Extension Methods
 | Name | Description
Public Extension Method | BindValues | 绑定表单字段的值 (Defined by FormBuilderExtensions.)
Public Extension Method | BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" } (Defined by FormBuilderExtensions.)
Public Extension Method | ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则 (Defined by FormBuilderExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TabFormBuilder()
Public Sub New
public:
TabFormBuilder()
new : unit -> TabFormBuilder
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder Methods

The TabFormBuilder type exposes the following members.

Methods
 | Name | Description
Protected method | GetTabId | 从分组名称获取标签Id，不带#
Protected method | RenderTabContainerBeginTag | 描画标签容器的开始标签
Protected method | RenderTabContainerEndTag | 描画标签容器的结束标签
Protected method | RenderTabContents | 描画标签内容
Protected method | RenderTabs | 描画标签
Public method | ToString | 获取表单html (Overrides FormBuilderToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | BindValues | 绑定表单字段的值 (Defined by FormBuilderExtensions.)
Public Extension Method | BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" } (Defined by FormBuilderExtensions.)
Public Extension Method | ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则 (Defined by FormBuilderExtensions.)
Top
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.GetTabId Method

TabFormBuilderGetTabId Method

从分组名称获取标签Id，不带#

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual string GetTabId(
    string groupName
)
Protected Overridable Function GetTabId (
    groupName As String
) As String
protected:
virtual String^ GetTabId(
    String^ groupName
)
abstract GetTabId :
        groupName : string -> string
override GetTabId :
        groupName : string -> string

Parameters

groupName
Type: SystemString
分组名称

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.TabFormBuilder.GetTabId(System.String)"]

See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.RenderTabContainerBeginTag Method

TabFormBuilderRenderTabContainerBeginTag Method

描画标签容器的开始标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderTabContainerBeginTag(
    StringBuilder html
)
Protected Overridable Sub RenderTabContainerBeginTag (
    html As StringBuilder
)
protected:
virtual void RenderTabContainerBeginTag(
    StringBuilder^ html
)
abstract RenderTabContainerBeginTag :
        html : StringBuilder -> unit
override RenderTabContainerBeginTag :
        html : StringBuilder -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.RenderTabContainerEndTag Method

TabFormBuilderRenderTabContainerEndTag Method

描画标签容器的结束标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderTabContainerEndTag(
    StringBuilder html
)
Protected Overridable Sub RenderTabContainerEndTag (
    html As StringBuilder
)
protected:
virtual void RenderTabContainerEndTag(
    StringBuilder^ html
)
abstract RenderTabContainerEndTag :
        html : StringBuilder -> unit
override RenderTabContainerEndTag :
        html : StringBuilder -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.RenderTabContents Method

TabFormBuilderRenderTabContents Method

描画标签内容

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderTabContents(
    StringBuilder html,
    IEnumerable<IGrouping<string, FormField>> groups
)
Protected Overridable Sub RenderTabContents (
    html As StringBuilder,
    groups As IEnumerable(Of IGrouping(Of String, FormField))
)
protected:
virtual void RenderTabContents(
    StringBuilder^ html,
    IEnumerable<IGrouping<String^, FormField^>^>^ groups
)
abstract RenderTabContents :
        html : StringBuilder *
        groups : IEnumerable<IGrouping<string, FormField>> -> unit
override RenderTabContents :
        html : StringBuilder *
        groups : IEnumerable<IGrouping<string, FormField>> -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
groups
Type: System.Collections.GenericIEnumerable IGrouping String, FormField
字段分组
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.RenderTabs Method

TabFormBuilderRenderTabs Method

描画标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RenderTabs(
    StringBuilder html,
    IEnumerable<IGrouping<string, FormField>> groups
)
Protected Overridable Sub RenderTabs (
    html As StringBuilder,
    groups As IEnumerable(Of IGrouping(Of String, FormField))
)
protected:
virtual void RenderTabs(
    StringBuilder^ html,
    IEnumerable<IGrouping<String^, FormField^>^>^ groups
)
abstract RenderTabs :
        html : StringBuilder *
        groups : IEnumerable<IGrouping<string, FormField>> -> unit
override RenderTabs :
        html : StringBuilder *
        groups : IEnumerable<IGrouping<string, FormField>> -> unit

Parameters

html
Type: System.TextStringBuilder
html构建器
groups
Type: System.Collections.GenericIEnumerable IGrouping String, FormField
字段分组
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.ToString Method

TabFormBuilderToString Method

获取表单html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.TabFormBuilder.ToString"]

See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder Fields

The TabFormBuilder type exposes the following members.

Fields
Name | Description
DefaultGroupName | 默认分组名称
Top
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabFormBuilder.DefaultGroupName Field

TabFormBuilderDefaultGroupName Field
默认分组名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string DefaultGroupName = "Basic Information"
Public Const DefaultGroupName As String = "Basic Information"
public:
literal String^ DefaultGroupName = "Basic Information"
static val mutable DefaultGroupName: string

Field Value

Type: String
See Also

Reference

TabFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabModelFormBuilder Class
从模型构建表单的构建器，支持多标签
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabModelFormBuilder
ZKWeb.Plugins.Common.Admin.src.UIComponents.FormsAdminAboutMeForm

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class TabModelFormBuilder : ModelFormBuilder
Public MustInherit Class TabModelFormBuilder
    Inherits ModelFormBuilder
public ref class TabModelFormBuilder abstract : public ModelFormBuilder
[<AbstractClassAttribute>]
type TabModelFormBuilder =
    class
        inherit ModelFormBuilder
    end

The TabModelFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | TabModelFormBuilder | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


TabModelFormBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TabModelFormBuilder()
Public Sub New
public:
TabModelFormBuilder()
new : unit -> TabModelFormBuilder
See Also

Reference

TabModelFormBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes"]

Classes
 | Class | Description
Public class | AlertHtmlFieldAttribute | 显示提示Html的属性
Public class | CheckBoxFieldAttribute | 勾选框
Public class | CheckBoxGroupFieldAttribute | 勾选框分组
Public class | CheckBoxGroupsFieldAttribute | 勾选框分组列表
Public class | CheckBoxTreeFieldAttribute | 勾选框树
Public class | DropdownListFieldAttribute | 下拉列表
Public class | FileUploaderAsUrlFieldAttribute | 文件上传, 以url的形式自动保存
Public class | FileUploaderFieldAttribute | 文件上传
Public class | FormAttribute | 表单属性 用于指定表单名称，可省略
Public class | FormFieldAttribute | 表单字段的属性 用于标记模型中的成员是表单字段
Public class | HiddenFieldAttribute | 隐藏字段
Public class | HtmlFieldAttribute | 直接显示Html内容的字段
Public class | JsonFieldAttribute | Json字段 这个字段储存的值会在绑定时序列化
Public class | LabelFieldAttribute | 只读文本
Public class | PasswordFieldAttribute | 密码框
Public class | RadioButtonsFieldAttribute | 单选按钮列表
Public class | RichTextEditorAttribute | 富文本编辑器的属性 这个属性需要其他插件实现，请注意引用实现的插件
Public class | SearchableDropdownListFieldAttribute | 可搜索的下拉列表
Public class | TemplateHtmlFieldAttribute | 显示模板Html的属性
Public class | TextAreaFieldAttribute | 多行文本框
Public class | TextBoxFieldAttribute | 文本框


AlertHtmlFieldAttribute Class
显示提示Html的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesAlertHtmlFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlertHtmlFieldAttribute : FormFieldAttribute
Public Class AlertHtmlFieldAttribute
    Inherits FormFieldAttribute
public ref class AlertHtmlFieldAttribute : public FormFieldAttribute
type AlertHtmlFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The AlertHtmlFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | AlertHtmlFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Type | 提示类型，例如primary或info
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


AlertHtmlFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlertHtmlFieldAttribute(
    string name,
    string type
)
Public Sub New (
    name As String,
    type As String
)
public:
AlertHtmlFieldAttribute(
    String^ name,
    String^ type
)
new :
        name : string *
        type : string -> AlertHtmlFieldAttribute

Parameters

name
Type: SystemString
属性名称
type
Type: SystemString
提示类型，例如primary或info
See Also

Reference

AlertHtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


AlertHtmlFieldAttribute Properties

The AlertHtmlFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Type | 提示类型，例如primary或info
Top
See Also

Reference

AlertHtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


AlertHtmlFieldAttribute.Type Property

AlertHtmlFieldAttributeType Property

提示类型，例如primary或info

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

AlertHtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxFieldAttribute Class
勾选框
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxFieldAttribute : FormFieldAttribute
Public Class CheckBoxFieldAttribute
    Inherits FormFieldAttribute
public ref class CheckBoxFieldAttribute : public FormFieldAttribute
type CheckBoxFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The CheckBoxFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxFieldAttribute | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
CheckBoxFieldAttribute(
    String^ name
)
new :
        name : string -> CheckBoxFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

CheckBoxFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupFieldAttribute Class
勾选框分组
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxGroupFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxGroupFieldAttribute : FormFieldAttribute
Public Class CheckBoxGroupFieldAttribute
    Inherits FormFieldAttribute
public ref class CheckBoxGroupFieldAttribute : public FormFieldAttribute
type CheckBoxGroupFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The CheckBoxGroupFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxGroupFieldAttribute(String) | 初始化
Public method | CheckBoxGroupFieldAttribute(String, Type) | 初始化
Top
Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupFieldAttribute Constructor

Overload List
 | Name | Description
Public method | CheckBoxGroupFieldAttribute(String) | 初始化
Public method | CheckBoxGroupFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

CheckBoxGroupFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupFieldAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
CheckBoxGroupFieldAttribute(
    String^ name
)
new :
        name : string -> CheckBoxGroupFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

CheckBoxGroupFieldAttribute Class
CheckBoxGroupFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupFieldAttribute Constructor (String, Type)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupFieldAttribute(
    string name,
    Type source
)
Public Sub New (
    name As String,
    source As Type
)
public:
CheckBoxGroupFieldAttribute(
    String^ name,
    Type^ source
)
new :
        name : string *
        source : Type -> CheckBoxGroupFieldAttribute

Parameters

name
Type: SystemString
字段名称
source
Type: SystemType
选项来源，必须继承IListItemProvider
See Also

Reference

CheckBoxGroupFieldAttribute Class
CheckBoxGroupFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupFieldAttribute Properties

The CheckBoxGroupFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

CheckBoxGroupFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupFieldAttribute.Source Property

CheckBoxGroupFieldAttributeSource Property

选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type Source { get; set; }
Public Property Source As Type
    Get
    Set
public:
property Type^ Source {
    Type^ get ();
    void set (Type^ value);
}
member Source : Type with get, set

Property Value

Type: Type
See Also

Reference

CheckBoxGroupFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupsFieldAttribute Class
勾选框分组列表
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxGroupsFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxGroupsFieldAttribute : FormFieldAttribute
Public Class CheckBoxGroupsFieldAttribute
    Inherits FormFieldAttribute
public ref class CheckBoxGroupsFieldAttribute : public FormFieldAttribute
type CheckBoxGroupsFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The CheckBoxGroupsFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxGroupsFieldAttribute(String) | 初始化
Public method | CheckBoxGroupsFieldAttribute(String, Type) | 初始化
Top
Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemGroupsProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupsFieldAttribute Constructor

Overload List
 | Name | Description
Public method | CheckBoxGroupsFieldAttribute(String) | 初始化
Public method | CheckBoxGroupsFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

CheckBoxGroupsFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupsFieldAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupsFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
CheckBoxGroupsFieldAttribute(
    String^ name
)
new :
        name : string -> CheckBoxGroupsFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

CheckBoxGroupsFieldAttribute Class
CheckBoxGroupsFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupsFieldAttribute Constructor (String, Type)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupsFieldAttribute(
    string name,
    Type source
)
Public Sub New (
    name As String,
    source As Type
)
public:
CheckBoxGroupsFieldAttribute(
    String^ name,
    Type^ source
)
new :
        name : string *
        source : Type -> CheckBoxGroupsFieldAttribute

Parameters

name
Type: SystemString
字段名称
source
Type: SystemType
选项来源，必须继承IListItemGroupsProvider
See Also

Reference

CheckBoxGroupsFieldAttribute Class
CheckBoxGroupsFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupsFieldAttribute Properties

The CheckBoxGroupsFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemGroupsProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

CheckBoxGroupsFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxGroupsFieldAttribute.Source Property

CheckBoxGroupsFieldAttributeSource Property

选项来源，必须继承IListItemGroupsProvider 如果不指定, 值的类型必须是ListItemValueWithProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type Source { get; set; }
Public Property Source As Type
    Get
    Set
public:
property Type^ Source {
    Type^ get ();
    void set (Type^ value);
}
member Source : Type with get, set

Property Value

Type: Type
See Also

Reference

CheckBoxGroupsFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxTreeFieldAttribute Class
勾选框树
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxTreeFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxTreeFieldAttribute : FormFieldAttribute
Public Class CheckBoxTreeFieldAttribute
    Inherits FormFieldAttribute
public ref class CheckBoxTreeFieldAttribute : public FormFieldAttribute
type CheckBoxTreeFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The CheckBoxTreeFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxTreeFieldAttribute(String) | 初始化
Public method | CheckBoxTreeFieldAttribute(String, Type) | 初始化
Top
Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemTreeProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxTreeFieldAttribute Constructor

Overload List
 | Name | Description
Public method | CheckBoxTreeFieldAttribute(String) | 初始化
Public method | CheckBoxTreeFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

CheckBoxTreeFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxTreeFieldAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxTreeFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
CheckBoxTreeFieldAttribute(
    String^ name
)
new :
        name : string -> CheckBoxTreeFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

CheckBoxTreeFieldAttribute Class
CheckBoxTreeFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxTreeFieldAttribute Constructor (String, Type)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxTreeFieldAttribute(
    string name,
    Type source
)
Public Sub New (
    name As String,
    source As Type
)
public:
CheckBoxTreeFieldAttribute(
    String^ name,
    Type^ source
)
new :
        name : string *
        source : Type -> CheckBoxTreeFieldAttribute

Parameters

name
Type: SystemString
字段名称
source
Type: SystemType
选项来源，必须继承IListItemProvider
See Also

Reference

CheckBoxTreeFieldAttribute Class
CheckBoxTreeFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxTreeFieldAttribute Properties

The CheckBoxTreeFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemTreeProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

CheckBoxTreeFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


CheckBoxTreeFieldAttribute.Source Property

CheckBoxTreeFieldAttributeSource Property

选项来源，必须继承IListItemTreeProvider 如果不指定, 值的类型必须是ListItemValueWithProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type Source { get; set; }
Public Property Source As Type
    Get
    Set
public:
property Type^ Source {
    Type^ get ();
    void set (Type^ value);
}
member Source : Type with get, set

Property Value

Type: Type
See Also

Reference

CheckBoxTreeFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


DropdownListFieldAttribute Class
下拉列表
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesDropdownListFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesSearchableDropdownListFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DropdownListFieldAttribute : FormFieldAttribute
Public Class DropdownListFieldAttribute
    Inherits FormFieldAttribute
public ref class DropdownListFieldAttribute : public FormFieldAttribute
type DropdownListFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The DropdownListFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | DropdownListFieldAttribute(String) | 初始化
Public method | DropdownListFieldAttribute(String, Type) | 初始化
Top
Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


DropdownListFieldAttribute Constructor

Overload List
 | Name | Description
Public method | DropdownListFieldAttribute(String) | 初始化
Public method | DropdownListFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

DropdownListFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


DropdownListFieldAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DropdownListFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
DropdownListFieldAttribute(
    String^ name
)
new :
        name : string -> DropdownListFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

DropdownListFieldAttribute Class
DropdownListFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


DropdownListFieldAttribute Constructor (String, Type)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DropdownListFieldAttribute(
    string name,
    Type source
)
Public Sub New (
    name As String,
    source As Type
)
public:
DropdownListFieldAttribute(
    String^ name,
    Type^ source
)
new :
        name : string *
        source : Type -> DropdownListFieldAttribute

Parameters

name
Type: SystemString
字段名称
source
Type: SystemType
选项来源，必须继承IListItemProvider
See Also

Reference

DropdownListFieldAttribute Class
DropdownListFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


DropdownListFieldAttribute Properties

The DropdownListFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

DropdownListFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


DropdownListFieldAttribute.Source Property

DropdownListFieldAttributeSource Property

选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type Source { get; set; }
Public Property Source As Type
    Get
    Set
public:
property Type^ Source {
    Type^ get ();
    void set (Type^ value);
}
member Source : Type with get, set

Property Value

Type: Type
See Also

Reference

DropdownListFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderAsUrlFieldAttribute Class
文件上传, 以url的形式自动保存
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderAsUrlFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FileUploaderAsUrlFieldAttribute : FileUploaderFieldAttribute
Public Class FileUploaderAsUrlFieldAttribute
    Inherits FileUploaderFieldAttribute
public ref class FileUploaderAsUrlFieldAttribute : public FileUploaderFieldAttribute
type FileUploaderAsUrlFieldAttribute =
    class
        inherit FileUploaderFieldAttribute
    end

The FileUploaderAsUrlFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | FileUploaderAsUrlFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | UploadDirectory | 上传目录
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查上传的文件 (Defined by FileUploaderFieldAttributeExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderAsUrlFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FileUploaderAsUrlFieldAttribute(
    string name,
    string extensions = null,
    int maxContentsLength = 0,
    string uploadDirectory = null
)
Public Sub New (
    name As String,
    Optional extensions As String = Nothing,
    Optional maxContentsLength As Integer = 0,
    Optional uploadDirectory As String = Nothing
)
public:
FileUploaderAsUrlFieldAttribute(
    String^ name,
    String^ extensions = nullptr,
    int maxContentsLength = 0,
    String^ uploadDirectory = nullptr
)
new :
        name : string *
        ?extensions : string *
        ?maxContentsLength : int *
        ?uploadDirectory : string
(* Defaults:
        let _extensions = defaultArg extensions null
        let _maxContentsLength = defaultArg maxContentsLength 0
        let _uploadDirectory = defaultArg uploadDirectory null
*)
-> FileUploaderAsUrlFieldAttribute

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.FileUploaderAsUrlFieldAttribute.#ctor(System.String,System.String,System.Int32,System.String)"]

extensions (Optional)
Type: SystemString

[Missing <param name="extensions"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.FileUploaderAsUrlFieldAttribute.#ctor(System.String,System.String,System.Int32,System.String)"]

maxContentsLength (Optional)
Type: SystemInt32

[Missing <param name="maxContentsLength"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.FileUploaderAsUrlFieldAttribute.#ctor(System.String,System.String,System.Int32,System.String)"]

uploadDirectory (Optional)
Type: SystemString

[Missing <param name="uploadDirectory"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.FileUploaderAsUrlFieldAttribute.#ctor(System.String,System.String,System.Int32,System.String)"]

See Also

Reference

FileUploaderAsUrlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderAsUrlFieldAttribute Properties

The FileUploaderAsUrlFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | UploadDirectory | 上传目录
Top
See Also

Reference

FileUploaderAsUrlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderAsUrlFieldAttribute.UploadDirectory Property

FileUploaderAsUrlFieldAttributeUploadDirectory Property

上传目录

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string UploadDirectory { get; set; }
Public Property UploadDirectory As String
    Get
    Set
public:
property String^ UploadDirectory {
    String^ get ();
    void set (String^ value);
}
member UploadDirectory : string with get, set

Property Value

Type: String
See Also

Reference

FileUploaderAsUrlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderAsUrlFieldAttribute Methods

The FileUploaderAsUrlFieldAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Check | 检查上传的文件 (Defined by FileUploaderFieldAttributeExtensions.)
Top
See Also

Reference

FileUploaderAsUrlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderFieldAttribute Class
文件上传
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderAsUrlFieldAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductAlbumUploaderAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FileUploaderFieldAttribute : FormFieldAttribute,
    IFormFieldRequireMultiPart, IFormFieldParseFromEnv
Public Class FileUploaderFieldAttribute
    Inherits FormFieldAttribute
    Implements IFormFieldRequireMultiPart, IFormFieldParseFromEnv
public ref class FileUploaderFieldAttribute : public FormFieldAttribute,
    IFormFieldRequireMultiPart, IFormFieldParseFromEnv
type FileUploaderFieldAttribute =
    class
        inherit FormFieldAttribute
        interface IFormFieldRequireMultiPart
        interface IFormFieldParseFromEnv
    end

The FileUploaderFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | FileUploaderFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Extensions | 允许的文件后缀
Public property | MaxContentsLength | 允许上传的最大长度，单位是字节
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查上传的文件 (Defined by FileUploaderFieldAttributeExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FileUploaderFieldAttribute(
    string name,
    string extensions = null,
    int maxContentsLength = 0
)
Public Sub New (
    name As String,
    Optional extensions As String = Nothing,
    Optional maxContentsLength As Integer = 0
)
public:
FileUploaderFieldAttribute(
    String^ name,
    String^ extensions = nullptr,
    int maxContentsLength = 0
)
new :
        name : string *
        ?extensions : string *
        ?maxContentsLength : int
(* Defaults:
        let _extensions = defaultArg extensions null
        let _maxContentsLength = defaultArg maxContentsLength 0
*)
-> FileUploaderFieldAttribute

Parameters

name
Type: SystemString
字段类型
extensions (Optional)
Type: SystemString
允许的文件后缀，默认是图片后缀
maxContentsLength (Optional)
Type: SystemInt32
允许上传的最大长度，单位是字节，默认是1MB
See Also

Reference

FileUploaderFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderFieldAttribute Properties

The FileUploaderFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Extensions | 允许的文件后缀
Public property | MaxContentsLength | 允许上传的最大长度，单位是字节
Top
See Also

Reference

FileUploaderFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderFieldAttribute.Extensions Property

FileUploaderFieldAttributeExtensions Property

允许的文件后缀

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<string> Extensions { get; set; }
Public Property Extensions As HashSet(Of String)
    Get
    Set
public:
property HashSet<String^>^ Extensions {
    HashSet<String^>^ get ();
    void set (HashSet<String^>^ value);
}
member Extensions : HashSet<string> with get, set

Property Value

Type: HashSet String
See Also

Reference

FileUploaderFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderFieldAttribute.MaxContentsLength Property

FileUploaderFieldAttributeMaxContentsLength Property

允许上传的最大长度，单位是字节

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long MaxContentsLength { get; set; }
Public Property MaxContentsLength As Long
    Get
    Set
public:
property long long MaxContentsLength {
    long long get ();
    void set (long long value);
}
member MaxContentsLength : int64 with get, set

Property Value

Type: Int64
See Also

Reference

FileUploaderFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FileUploaderFieldAttribute Methods

The FileUploaderFieldAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Check | 检查上传的文件 (Defined by FileUploaderFieldAttributeExtensions.)
Top
See Also

Reference

FileUploaderFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute Class
表单属性 用于指定表单名称，可省略
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FormAttribute : Attribute
Public Class FormAttribute
    Inherits Attribute
public ref class FormAttribute : public Attribute
type FormAttribute =
    class
        inherit Attribute
    end

The FormAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | FormAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Action | 提交到的url
Public property | CssClass | 表单的css类，默认是form-horizontal
Public property | EnableAjaxSubmit | 启用Ajax提交，默认等于true
Public property | EnableCsrfToken | 启用Csrf校验，默认等于true
Public property | Method | 提交类型
Public property | Name | 表单名称
Public property | SubmitButtonCssClass | 提交按钮的css类，默认是btn btn-submit
Public property | SubmitButtonText | 提交按钮的文本，默认等于"Submit"
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormAttribute(
    string name,
    string action = null,
    string method = "POST"
)
Public Sub New (
    name As String,
    Optional action As String = Nothing,
    Optional method As String = "POST"
)
public:
FormAttribute(
    String^ name,
    String^ action = nullptr,
    String^ method = L"POST"
)
new :
        name : string *
        ?action : string *
        ?method : string
(* Defaults:
        let _action = defaultArg action null
        let _method = defaultArg method "POST"
*)
-> FormAttribute

Parameters

name
Type: SystemString
表单名称
action (Optional)
Type: SystemString
提交到的url，默认和请求的url相同
method (Optional)
Type: SystemString
提交类型，默认是POST
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute Properties

The FormAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Action | 提交到的url
Public property | CssClass | 表单的css类，默认是form-horizontal
Public property | EnableAjaxSubmit | 启用Ajax提交，默认等于true
Public property | EnableCsrfToken | 启用Csrf校验，默认等于true
Public property | Method | 提交类型
Public property | Name | 表单名称
Public property | SubmitButtonCssClass | 提交按钮的css类，默认是btn btn-submit
Public property | SubmitButtonText | 提交按钮的文本，默认等于"Submit"
Top
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.Action Property

FormAttributeAction Property

提交到的url

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Action { get; set; }
Public Property Action As String
    Get
    Set
public:
property String^ Action {
    String^ get ();
    void set (String^ value);
}
member Action : string with get, set

Property Value

Type: String
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.CssClass Property

FormAttributeCssClass Property

表单的css类，默认是form-horizontal

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CssClass { get; set; }
Public Property CssClass As String
    Get
    Set
public:
property String^ CssClass {
    String^ get ();
    void set (String^ value);
}
member CssClass : string with get, set

Property Value

Type: String
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.EnableAjaxSubmit Property

FormAttributeEnableAjaxSubmit Property

启用Ajax提交，默认等于true

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool EnableAjaxSubmit { get; set; }
Public Property EnableAjaxSubmit As Boolean
    Get
    Set
public:
property bool EnableAjaxSubmit {
    bool get ();
    void set (bool value);
}
member EnableAjaxSubmit : bool with get, set

Property Value

Type: Boolean
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.EnableCsrfToken Property

FormAttributeEnableCsrfToken Property

启用Csrf校验，默认等于true

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool EnableCsrfToken { get; set; }
Public Property EnableCsrfToken As Boolean
    Get
    Set
public:
property bool EnableCsrfToken {
    bool get ();
    void set (bool value);
}
member EnableCsrfToken : bool with get, set

Property Value

Type: Boolean
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.Method Property

FormAttributeMethod Property

提交类型

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Method { get; set; }
Public Property Method As String
    Get
    Set
public:
property String^ Method {
    String^ get ();
    void set (String^ value);
}
member Method : string with get, set

Property Value

Type: String
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.Name Property

FormAttributeName Property

表单名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.SubmitButtonCssClass Property

FormAttributeSubmitButtonCssClass Property

提交按钮的css类，默认是btn btn-submit

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SubmitButtonCssClass { get; set; }
Public Property SubmitButtonCssClass As String
    Get
    Set
public:
property String^ SubmitButtonCssClass {
    String^ get ();
    void set (String^ value);
}
member SubmitButtonCssClass : string with get, set

Property Value

Type: String
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormAttribute.SubmitButtonText Property

FormAttributeSubmitButtonText Property

提交按钮的文本，默认等于"Submit"

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SubmitButtonText { get; set; }
Public Property SubmitButtonText As String
    Get
    Set
public:
property String^ SubmitButtonText {
    String^ get ();
    void set (String^ value);
}
member SubmitButtonText : string with get, set

Property Value

Type: String
See Also

Reference

FormAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormFieldAttribute Class
表单字段的属性 用于标记模型中的成员是表单字段
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
More...

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class FormFieldAttribute : Attribute
Public MustInherit Class FormFieldAttribute
    Inherits Attribute
public ref class FormFieldAttribute abstract : public Attribute
[<AbstractClassAttribute>]
type FormFieldAttribute =
    class
        inherit Attribute
    end

The FormFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Protected method | FormFieldAttribute | Initializes a new instance of the FormFieldAttribute class
Top
Properties
 | Name | Description
Public property | Group | 字段所属的分组
Public property | Name | 字段名称
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesAlertHtmlFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxGroupFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxGroupsFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesCheckBoxTreeFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesDropdownListFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesHiddenFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesHtmlFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesJsonFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesLabelFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesRadioButtonsFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesRichTextEditorAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTemplateHtmlFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextBoxFieldAttribute
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributesDateFieldAttribute
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributesDateRangeFieldAttribute
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributesRegionEditorAttribute
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributesLogisticsPriceRulesEditorAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductMatchedDatasEditorAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductPropertyValuesEditorAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductToProperyValuesEditorAttribute


FormFieldAttribute Constructor

Initializes a new instance of the FormFieldAttribute class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected FormFieldAttribute()
Protected Sub New
protected:
FormFieldAttribute()
new : unit -> FormFieldAttribute
See Also

Reference

FormFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormFieldAttribute Properties

The FormFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Group | 字段所属的分组
Public property | Name | 字段名称
Top
See Also

Reference

FormFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormFieldAttribute.Group Property

FormFieldAttributeGroup Property

字段所属的分组

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Group { get; set; }
Public Property Group As String
    Get
    Set
public:
property String^ Group {
    String^ get ();
    void set (String^ value);
}
member Group : string with get, set

Property Value

Type: String
See Also

Reference

FormFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


FormFieldAttribute.Name Property

FormFieldAttributeName Property

字段名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

FormFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


HiddenFieldAttribute Class
隐藏字段
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesHiddenFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HiddenFieldAttribute : FormFieldAttribute
Public Class HiddenFieldAttribute
    Inherits FormFieldAttribute
public ref class HiddenFieldAttribute : public FormFieldAttribute
type HiddenFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The HiddenFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | HiddenFieldAttribute | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


HiddenFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HiddenFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
HiddenFieldAttribute(
    String^ name
)
new :
        name : string -> HiddenFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

HiddenFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


HtmlFieldAttribute Class
直接显示Html内容的字段
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesHtmlFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HtmlFieldAttribute : FormFieldAttribute
Public Class HtmlFieldAttribute
    Inherits FormFieldAttribute
public ref class HtmlFieldAttribute : public FormFieldAttribute
type HtmlFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The HtmlFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlFieldAttribute | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


HtmlFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
HtmlFieldAttribute(
    String^ name
)
new :
        name : string -> HtmlFieldAttribute

Parameters

name
Type: SystemString
字段名称，目前不会用上但是需要预留
See Also

Reference

HtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


JsonFieldAttribute Class
Json字段 这个字段储存的值会在绑定时序列化
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesJsonFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class JsonFieldAttribute : FormFieldAttribute
Public Class JsonFieldAttribute
    Inherits FormFieldAttribute
public ref class JsonFieldAttribute : public FormFieldAttribute
type JsonFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The JsonFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | JsonFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | FieldType | 字段类型，序列化和反序列化时使用
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


JsonFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public JsonFieldAttribute(
    string name,
    Type fieldType
)
Public Sub New (
    name As String,
    fieldType As Type
)
public:
JsonFieldAttribute(
    String^ name,
    Type^ fieldType
)
new :
        name : string *
        fieldType : Type -> JsonFieldAttribute

Parameters

name
Type: SystemString
字段名称
fieldType
Type: SystemType
字段类型，序列化和反序列化时使用
See Also

Reference

JsonFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


JsonFieldAttribute Properties

The JsonFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | FieldType | 字段类型，序列化和反序列化时使用
Top
See Also

Reference

JsonFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


JsonFieldAttribute.FieldType Property

JsonFieldAttributeFieldType Property

字段类型，序列化和反序列化时使用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type FieldType { get; set; }
Public Property FieldType As Type
    Get
    Set
public:
property Type^ FieldType {
    Type^ get ();
    void set (Type^ value);
}
member FieldType : Type with get, set

Property Value

Type: Type
See Also

Reference

JsonFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


LabelFieldAttribute Class
只读文本
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesLabelFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LabelFieldAttribute : FormFieldAttribute
Public Class LabelFieldAttribute
    Inherits FormFieldAttribute
public ref class LabelFieldAttribute : public FormFieldAttribute
type LabelFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The LabelFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | LabelFieldAttribute | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


LabelFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LabelFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
LabelFieldAttribute(
    String^ name
)
new :
        name : string -> LabelFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

LabelFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


PasswordFieldAttribute Class
密码框
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextBoxFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesPasswordFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PasswordFieldAttribute : TextBoxFieldAttribute
Public Class PasswordFieldAttribute
    Inherits TextBoxFieldAttribute
public ref class PasswordFieldAttribute : public TextBoxFieldAttribute
type PasswordFieldAttribute =
    class
        inherit TextBoxFieldAttribute
    end

The PasswordFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | PasswordFieldAttribute | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


PasswordFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PasswordFieldAttribute(
    string name,
    string placeHolder = null
)
Public Sub New (
    name As String,
    Optional placeHolder As String = Nothing
)
public:
PasswordFieldAttribute(
    String^ name,
    String^ placeHolder = nullptr
)
new :
        name : string *
        ?placeHolder : string
(* Defaults:
        let _placeHolder = defaultArg placeHolder null
*)
-> PasswordFieldAttribute

Parameters

name
Type: SystemString
字段名称
placeHolder (Optional)
Type: SystemString
预置文本
See Also

Reference

PasswordFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RadioButtonsFieldAttribute Class
单选按钮列表
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesRadioButtonsFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RadioButtonsFieldAttribute : FormFieldAttribute
Public Class RadioButtonsFieldAttribute
    Inherits FormFieldAttribute
public ref class RadioButtonsFieldAttribute : public FormFieldAttribute
type RadioButtonsFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The RadioButtonsFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | RadioButtonsFieldAttribute(String) | 初始化
Public method | RadioButtonsFieldAttribute(String, Type) | 初始化
Top
Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RadioButtonsFieldAttribute Constructor

Overload List
 | Name | Description
Public method | RadioButtonsFieldAttribute(String) | 初始化
Public method | RadioButtonsFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

RadioButtonsFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RadioButtonsFieldAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RadioButtonsFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
RadioButtonsFieldAttribute(
    String^ name
)
new :
        name : string -> RadioButtonsFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

RadioButtonsFieldAttribute Class
RadioButtonsFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RadioButtonsFieldAttribute Constructor (String, Type)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RadioButtonsFieldAttribute(
    string name,
    Type sources
)
Public Sub New (
    name As String,
    sources As Type
)
public:
RadioButtonsFieldAttribute(
    String^ name,
    Type^ sources
)
new :
        name : string *
        sources : Type -> RadioButtonsFieldAttribute

Parameters

name
Type: SystemString
字段名称
sources
Type: SystemType
选项来源，必须继承IListItemProvider
See Also

Reference

RadioButtonsFieldAttribute Class
RadioButtonsFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RadioButtonsFieldAttribute Properties

The RadioButtonsFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Source | 选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider
Top
See Also

Reference

RadioButtonsFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RadioButtonsFieldAttribute.Source Property

RadioButtonsFieldAttributeSource Property

选项来源，必须继承IListItemProvider 如果不指定, 值的类型必须是ListItemValueWithProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Type Source { get; set; }
Public Property Source As Type
    Get
    Set
public:
property Type^ Source {
    Type^ get ();
    void set (Type^ value);
}
member Source : Type with get, set

Property Value

Type: Type
See Also

Reference

RadioButtonsFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RichTextEditorAttribute Class
富文本编辑器的属性 这个属性需要其他插件实现，请注意引用实现的插件
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesRichTextEditorAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RichTextEditorAttribute : FormFieldAttribute
Public Class RichTextEditorAttribute
    Inherits FormFieldAttribute
public ref class RichTextEditorAttribute : public FormFieldAttribute
type RichTextEditorAttribute =
    class
        inherit FormFieldAttribute
    end

The RichTextEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | RichTextEditorAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Config | 自定义配置
Public property | ImageBrowserUrl | 图片管理器地址，指定时可以启用图片上传功能
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RichTextEditorAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RichTextEditorAttribute(
    string name,
    string config = null
)
Public Sub New (
    name As String,
    Optional config As String = Nothing
)
public:
RichTextEditorAttribute(
    String^ name,
    String^ config = nullptr
)
new :
        name : string *
        ?config : string
(* Defaults:
        let _config = defaultArg config null
*)
-> RichTextEditorAttribute

Parameters

name
Type: SystemString
字段名称
config (Optional)
Type: SystemString
自定义配置，格式是Json
See Also

Reference

RichTextEditorAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RichTextEditorAttribute Properties

The RichTextEditorAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Config | 自定义配置
Public property | ImageBrowserUrl | 图片管理器地址，指定时可以启用图片上传功能
Top
See Also

Reference

RichTextEditorAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RichTextEditorAttribute.Config Property

RichTextEditorAttributeConfig Property

自定义配置

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Config { get; set; }
Public Property Config As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Config {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Config : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

RichTextEditorAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


RichTextEditorAttribute.ImageBrowserUrl Property

RichTextEditorAttributeImageBrowserUrl Property

图片管理器地址，指定时可以启用图片上传功能

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ImageBrowserUrl { get; set; }
Public Property ImageBrowserUrl As String
    Get
    Set
public:
property String^ ImageBrowserUrl {
    String^ get ();
    void set (String^ value);
}
member ImageBrowserUrl : string with get, set

Property Value

Type: String
See Also

Reference

RichTextEditorAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


SearchableDropdownListFieldAttribute Class
可搜索的下拉列表
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesDropdownListFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesSearchableDropdownListFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SearchableDropdownListFieldAttribute : DropdownListFieldAttribute
Public Class SearchableDropdownListFieldAttribute
    Inherits DropdownListFieldAttribute
public ref class SearchableDropdownListFieldAttribute : public DropdownListFieldAttribute
type SearchableDropdownListFieldAttribute =
    class
        inherit DropdownListFieldAttribute
    end
Constructors
 | Name | Description
Public method | SearchableDropdownListFieldAttribute(String) | 初始化
Public method | SearchableDropdownListFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


SearchableDropdownListFieldAttribute Constructor

Overload List
 | Name | Description
Public method | SearchableDropdownListFieldAttribute(String) | 初始化
Public method | SearchableDropdownListFieldAttribute(String, Type) | 初始化
Top
See Also

Reference

SearchableDropdownListFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


SearchableDropdownListFieldAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SearchableDropdownListFieldAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
SearchableDropdownListFieldAttribute(
    String^ name
)
new :
        name : string -> SearchableDropdownListFieldAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

SearchableDropdownListFieldAttribute Class
SearchableDropdownListFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


SearchableDropdownListFieldAttribute Constructor (String, Type)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SearchableDropdownListFieldAttribute(
    string name,
    Type source
)
Public Sub New (
    name As String,
    source As Type
)
public:
SearchableDropdownListFieldAttribute(
    String^ name,
    Type^ source
)
new :
        name : string *
        source : Type -> SearchableDropdownListFieldAttribute

Parameters

name
Type: SystemString
字段名称
source
Type: SystemType
选项来源，必须继承IListItemProvider
See Also

Reference

SearchableDropdownListFieldAttribute Class
SearchableDropdownListFieldAttribute Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TemplateHtmlFieldAttribute Class
显示模板Html的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTemplateHtmlFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateHtmlFieldAttribute : FormFieldAttribute
Public Class TemplateHtmlFieldAttribute
    Inherits FormFieldAttribute
public ref class TemplateHtmlFieldAttribute : public FormFieldAttribute
type TemplateHtmlFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The TemplateHtmlFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateHtmlFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Path | 模板路径
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TemplateHtmlFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TemplateHtmlFieldAttribute(
    string name,
    string path
)
Public Sub New (
    name As String,
    path As String
)
public:
TemplateHtmlFieldAttribute(
    String^ name,
    String^ path
)
new :
        name : string *
        path : string -> TemplateHtmlFieldAttribute

Parameters

name
Type: SystemString
属性名称
path
Type: SystemString
模板路径
See Also

Reference

TemplateHtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TemplateHtmlFieldAttribute Properties

The TemplateHtmlFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Path | 模板路径
Top
See Also

Reference

TemplateHtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TemplateHtmlFieldAttribute.Path Property

TemplateHtmlFieldAttributePath Property

模板路径

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Path { get; set; }
Public Property Path As String
    Get
    Set
public:
property String^ Path {
    String^ get ();
    void set (String^ value);
}
member Path : string with get, set

Property Value

Type: String
See Also

Reference

TemplateHtmlFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextAreaFieldAttribute Class
多行文本框
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextBoxFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextAreaFieldAttribute
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributesCodeEditorAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TextAreaFieldAttribute : TextBoxFieldAttribute
Public Class TextAreaFieldAttribute
    Inherits TextBoxFieldAttribute
public ref class TextAreaFieldAttribute : public TextBoxFieldAttribute
type TextAreaFieldAttribute =
    class
        inherit TextBoxFieldAttribute
    end

The TextAreaFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | TextAreaFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Rows | 行数
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextAreaFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TextAreaFieldAttribute(
    string name,
    int rows,
    string placeHolder = null
)
Public Sub New (
    name As String,
    rows As Integer,
    Optional placeHolder As String = Nothing
)
public:
TextAreaFieldAttribute(
    String^ name,
    int rows,
    String^ placeHolder = nullptr
)
new :
        name : string *
        rows : int *
        ?placeHolder : string
(* Defaults:
        let _placeHolder = defaultArg placeHolder null
*)
-> TextAreaFieldAttribute

Parameters

name
Type: SystemString
字段名称
rows
Type: SystemInt32
行数
placeHolder (Optional)
Type: SystemString
预置文本
See Also

Reference

TextAreaFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextAreaFieldAttribute Properties

The TextAreaFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Rows | 行数
Top
See Also

Reference

TextAreaFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextAreaFieldAttribute.Rows Property

TextAreaFieldAttributeRows Property

行数

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int Rows { get; set; }
Public Property Rows As Integer
    Get
    Set
public:
property int Rows {
    int get ();
    void set (int value);
}
member Rows : int with get, set

Property Value

Type: Int32
See Also

Reference

TextAreaFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextBoxFieldAttribute Class
文本框
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextBoxFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesPasswordFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextAreaFieldAttribute
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.AttributesCaptchaFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TextBoxFieldAttribute : FormFieldAttribute
Public Class TextBoxFieldAttribute
    Inherits FormFieldAttribute
public ref class TextBoxFieldAttribute : public FormFieldAttribute
type TextBoxFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The TextBoxFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | TextBoxFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | PlaceHolder | 预置文本
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextBoxFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TextBoxFieldAttribute(
    string name,
    string placeHolder = null
)
Public Sub New (
    name As String,
    Optional placeHolder As String = Nothing
)
public:
TextBoxFieldAttribute(
    String^ name,
    String^ placeHolder = nullptr
)
new :
        name : string *
        ?placeHolder : string
(* Defaults:
        let _placeHolder = defaultArg placeHolder null
*)
-> TextBoxFieldAttribute

Parameters

name
Type: SystemString
字段名称
placeHolder (Optional)
Type: SystemString
预置文本
See Also

Reference

TextBoxFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextBoxFieldAttribute Properties

The TextBoxFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | PlaceHolder | 预置文本
Top
See Also

Reference

TextBoxFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


TextBoxFieldAttribute.PlaceHolder Property

TextBoxFieldAttributePlaceHolder Property

预置文本

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PlaceHolder { get; set; }
Public Property PlaceHolder As String
    Get
    Set
public:
property String^ PlaceHolder {
    String^ get ();
    void set (String^ value);
}
member PlaceHolder : string with get, set

Property Value

Type: String
See Also

Reference

TextBoxFieldAttribute Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions"]

Classes
 | Class | Description
Public class | FileUploaderFieldAttributeExtensions | 文件上传字段属性的扩展函数
Public class | FormBuilderExtensions | 表单构建器的扩展函数
Public class | FormFieldExtensions | 表单字段的扩展函数
Public class | IModelFormBuilderExtensions | 模型表单构建器的扩展函数


FileUploaderFieldAttributeExtensions Class
文件上传字段属性的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ExtensionsFileUploaderFieldAttributeExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class FileUploaderFieldAttributeExtensions
<ExtensionAttribute>
Public NotInheritable Class FileUploaderFieldAttributeExtensions
[ExtensionAttribute]
public ref class FileUploaderFieldAttributeExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type FileUploaderFieldAttributeExtensions =  class end

The FileUploaderFieldAttributeExtensions type exposes the following members.

Methods
Name | Description
Check | 检查上传的文件
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FileUploaderFieldAttributeExtensions Methods

The FileUploaderFieldAttributeExtensions type exposes the following members.

Methods
Name | Description
Check | 检查上传的文件
Top
See Also

Reference

FileUploaderFieldAttributeExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FileUploaderFieldAttributeExtensions.Check Method

FileUploaderFieldAttributeExtensionsCheck Method

检查上传的文件

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void Check(
    this FileUploaderFieldAttribute attribute,
    IHttpPostedFile file
)
<ExtensionAttribute>
Public Shared Sub Check (
    attribute As FileUploaderFieldAttribute,
    file As IHttpPostedFile
)
public:
[ExtensionAttribute]
static void Check(
    FileUploaderFieldAttribute^ attribute,
    IHttpPostedFile^ file
)
[<ExtensionAttribute>]
static member Check :
        attribute : FileUploaderFieldAttribute *
        file : IHttpPostedFile -> unit

Parameters

attribute
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderFieldAttribute
上传属性
file
Type: IHttpPostedFile
文件对象

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type FileUploaderFieldAttribute. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

FileUploaderFieldAttributeExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormBuilderExtensions Class
表单构建器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ExtensionsFormBuilderExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class FormBuilderExtensions
<ExtensionAttribute>
Public NotInheritable Class FormBuilderExtensions
[ExtensionAttribute]
public ref class FormBuilderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type FormBuilderExtensions =  class end

The FormBuilderExtensions type exposes the following members.

Methods
Name | Description
BindValues | 绑定表单字段的值
BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" }
ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormBuilderExtensions Methods

The FormBuilderExtensions type exposes the following members.

Methods
Name | Description
BindValues | 绑定表单字段的值
BindValuesFromAnonymousObject | 绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" }
ParseValues | 解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则
Top
See Also

Reference

FormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormBuilderExtensions.BindValues Method

FormBuilderExtensionsBindValues Method

绑定表单字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void BindValues(
    this FormBuilder builder,
    IDictionary<string, Object> values
)
<ExtensionAttribute>
Public Shared Sub BindValues (
    builder As FormBuilder,
    values As IDictionary(Of String, Object)
)
public:
[ExtensionAttribute]
static void BindValues(
    FormBuilder^ builder,
    IDictionary<String^, Object^>^ values
)
[<ExtensionAttribute>]
static member BindValues :
        builder : FormBuilder *
        values : IDictionary<string, Object> -> unit

Parameters

builder
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
表单构建器
values
Type: System.Collections.GenericIDictionary String, Object
来源的值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type FormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

FormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormBuilderExtensions.BindValuesFromAnonymousObject Method

FormBuilderExtensionsBindValuesFromAnonymousObject Method

绑定表单字段的值 根据匿名对象，例如new { Username = "", Password = "" }

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void BindValuesFromAnonymousObject(
    this FormBuilder builder,
    Object obj
)
<ExtensionAttribute>
Public Shared Sub BindValuesFromAnonymousObject (
    builder As FormBuilder,
    obj As Object
)
public:
[ExtensionAttribute]
static void BindValuesFromAnonymousObject(
    FormBuilder^ builder,
    Object^ obj
)
[<ExtensionAttribute>]
static member BindValuesFromAnonymousObject :
        builder : FormBuilder *
        obj : Object -> unit

Parameters

builder
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
表单构建器
obj
Type: SystemObject
对象

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type FormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

FormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormBuilderExtensions.ParseValues Method

FormBuilderExtensionsParseValues Method

解析提交上来的值 同时检查CSRF校验和值是否符合验证器的规则

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDictionary<string, Object> ParseValues(
    this FormBuilder builder,
    IDictionary<string, IList<string>> submitValues
)
<ExtensionAttribute>
Public Shared Function ParseValues (
    builder As FormBuilder,
    submitValues As IDictionary(Of String, IList(Of String))
) As IDictionary(Of String, Object)
public:
[ExtensionAttribute]
static IDictionary<String^, Object^>^ ParseValues(
    FormBuilder^ builder,
    IDictionary<String^, IList<String^>^>^ submitValues
)
[<ExtensionAttribute>]
static member ParseValues :
        builder : FormBuilder *
        submitValues : IDictionary<string, IList<string>> -> IDictionary<string, Object>

Parameters

builder
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
表单构建器
submitValues
Type: System.Collections.GenericIDictionary String, IList String
提交上来的值

Return Value

Type: IDictionary String, Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions.FormBuilderExtensions.ParseValues(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder,System.Collections.Generic.IDictionary{System.String,System.Collections.Generic.IList{System.String}})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type FormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

FormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormFieldExtensions Class
表单字段的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ExtensionsFormFieldExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class FormFieldExtensions
<ExtensionAttribute>
Public NotInheritable Class FormFieldExtensions
[ExtensionAttribute]
public ref class FormFieldExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type FormFieldExtensions =  class end

The FormFieldExtensions type exposes the following members.

Methods
Name | Description
WrapFieldHtml | 包装表单字段的Html 包装后包含: 名称，控件，验证文本
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormFieldExtensions Methods

The FormFieldExtensions type exposes the following members.

Methods
Name | Description
WrapFieldHtml | 包装表单字段的Html 包装后包含: 名称，控件，验证文本
Top
See Also

Reference

FormFieldExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


FormFieldExtensions.WrapFieldHtml Method

FormFieldExtensionsWrapFieldHtml Method

包装表单字段的Html 包装后包含: 名称，控件，验证文本

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string WrapFieldHtml(
    this FormField field,
    IDictionary<string, string> htmlAttributes,
    string fieldHtml
)
<ExtensionAttribute>
Public Shared Function WrapFieldHtml (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String),
    fieldHtml As String
) As String
public:
[ExtensionAttribute]
static String^ WrapFieldHtml(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes,
    String^ fieldHtml
)
[<ExtensionAttribute>]
static member WrapFieldHtml :
        field : FormField *
        htmlAttributes : IDictionary<string, string> *
        fieldHtml : string -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField
表单字段
htmlAttributes
Type: System.Collections.GenericIDictionary String, String
属性列表
fieldHtml
Type: SystemString
表单字段的Html

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions.FormFieldExtensions.WrapFieldHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String},System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type FormField. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

FormFieldExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


IModelFormBuilderExtensions Class
模型表单构建器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ExtensionsIModelFormBuilderExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IModelFormBuilderExtensions
<ExtensionAttribute>
Public NotInheritable Class IModelFormBuilderExtensions
[ExtensionAttribute]
public ref class IModelFormBuilderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IModelFormBuilderExtensions =  class end

The IModelFormBuilderExtensions type exposes the following members.

Methods
Name | Description
SaveSuccess | 返回保存成功
SaveSuccessAndCloseModal | 返回保存成功，关闭模态框并且通知Ajax表格更新数据
SaveSuccessAndRefreshModal | 返回保存成功，刷新模态框并通知Ajax表格更新数据
SaveSuccessAndRefreshPage | 返回保存成功，并在一定时间后刷新当前页面
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


IModelFormBuilderExtensions Methods

The IModelFormBuilderExtensions type exposes the following members.

Methods
Name | Description
SaveSuccess | 返回保存成功
SaveSuccessAndCloseModal | 返回保存成功，关闭模态框并且通知Ajax表格更新数据
SaveSuccessAndRefreshModal | 返回保存成功，刷新模态框并通知Ajax表格更新数据
SaveSuccessAndRefreshPage | 返回保存成功，并在一定时间后刷新当前页面
Top
See Also

Reference

IModelFormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


IModelFormBuilderExtensions.SaveSuccess Method

IModelFormBuilderExtensionsSaveSuccess Method

返回保存成功

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object SaveSuccess(
    this IModelFormBuilder form
)
<ExtensionAttribute>
Public Shared Function SaveSuccess (
    form As IModelFormBuilder
) As Object
public:
[ExtensionAttribute]
static Object^ SaveSuccess(
    IModelFormBuilder^ form
)
[<ExtensionAttribute>]
static member SaveSuccess :
        form : IModelFormBuilder -> Object

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.InterfacesIModelFormBuilder
表单

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions.IModelFormBuilderExtensions.SaveSuccess(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IModelFormBuilder)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IModelFormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IModelFormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


IModelFormBuilderExtensions.SaveSuccessAndCloseModal Method

IModelFormBuilderExtensionsSaveSuccessAndCloseModal Method

返回保存成功，关闭模态框并且通知Ajax表格更新数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object SaveSuccessAndCloseModal(
    this IModelFormBuilder form
)
<ExtensionAttribute>
Public Shared Function SaveSuccessAndCloseModal (
    form As IModelFormBuilder
) As Object
public:
[ExtensionAttribute]
static Object^ SaveSuccessAndCloseModal(
    IModelFormBuilder^ form
)
[<ExtensionAttribute>]
static member SaveSuccessAndCloseModal :
        form : IModelFormBuilder -> Object

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.InterfacesIModelFormBuilder
表单

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions.IModelFormBuilderExtensions.SaveSuccessAndCloseModal(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IModelFormBuilder)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IModelFormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IModelFormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


IModelFormBuilderExtensions.SaveSuccessAndRefreshModal Method

IModelFormBuilderExtensionsSaveSuccessAndRefreshModal Method

返回保存成功，刷新模态框并通知Ajax表格更新数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object SaveSuccessAndRefreshModal(
    this IModelFormBuilder form
)
<ExtensionAttribute>
Public Shared Function SaveSuccessAndRefreshModal (
    form As IModelFormBuilder
) As Object
public:
[ExtensionAttribute]
static Object^ SaveSuccessAndRefreshModal(
    IModelFormBuilder^ form
)
[<ExtensionAttribute>]
static member SaveSuccessAndRefreshModal :
        form : IModelFormBuilder -> Object

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.InterfacesIModelFormBuilder
表单

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions.IModelFormBuilderExtensions.SaveSuccessAndRefreshModal(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IModelFormBuilder)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IModelFormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IModelFormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


IModelFormBuilderExtensions.SaveSuccessAndRefreshPage Method

IModelFormBuilderExtensionsSaveSuccessAndRefreshPage Method

返回保存成功，并在一定时间后刷新当前页面

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object SaveSuccessAndRefreshPage(
    this IModelFormBuilder form,
    int milliseconds
)
<ExtensionAttribute>
Public Shared Function SaveSuccessAndRefreshPage (
    form As IModelFormBuilder,
    milliseconds As Integer
) As Object
public:
[ExtensionAttribute]
static Object^ SaveSuccessAndRefreshPage(
    IModelFormBuilder^ form,
    int milliseconds
)
[<ExtensionAttribute>]
static member SaveSuccessAndRefreshPage :
        form : IModelFormBuilder *
        milliseconds : int -> Object

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.InterfacesIModelFormBuilder
表单
milliseconds
Type: SystemInt32
刷新延迟

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions.IModelFormBuilderExtensions.SaveSuccessAndRefreshPage(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IModelFormBuilder,System.Int32)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IModelFormBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IModelFormBuilderExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers"]

Classes
 | Class | Description
Public class | AlertHtmlFieldHandler | 显示提示的Html处理器
Public class | CheckBoxFieldHandler | 勾选框
Public class | CheckBoxGroupFieldHandler | 勾选框分组 显示结构 ▢ 全选 ▢ 多选框A ▢ 多选框B ▢ 多选框C
Public class | CheckBoxGroupsFieldHandler | 勾选框分组列表 显示结构 ▢ 全选 ▢ 分组A ▢ 多选框AA ▢ 多选框AB ▢ 多选框AC ▢ 分组B ▢ 多选框BA ▢ 多选框BB ▢ 多选框BC
Public class | CheckBoxTreeFieldHandler | 勾选框树 显示结构 ▢ 节点A ▢ 节点AA ▢ 节点AAA ▢ 节点AB ▢ 节点B
Public class | DropdownListFieldHandler | 下拉列表
Public class | FileUploaderAsUrlFieldHandler | 文件上传 自动保存文件并返回Url
Public class | FileUploaderFieldHandler | 文件上传 字段类型必须是IHttpPostedFile
Public class | HiddenFieldHandler | 隐藏字段
Public class | HtmlFieldHandler | 直接显示Html内容的字段
Public class | JsonFieldHandler | 经过Json序列化的隐藏字段
Public class | LabelFieldHandler | 只读文本
Public class | PasswordFieldHandler | 密码框
Public class | RadioButtonsFieldHandler | 单选按钮组
Public class | SearchableDropdownListFieldHandler | 可搜索的下拉列表
Public class | TemplateHtmlFieldHandler | 显示模板的Html处理器
Public class | TextAreaFieldHandler | 多行文本框
Public class | TextBoxFieldHandler | 文本框


AlertHtmlFieldHandler Class
显示提示的Html处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersAlertHtmlFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlertHtmlFieldHandler : IFormFieldHandler
Public Class AlertHtmlFieldHandler
    Implements IFormFieldHandler
public ref class AlertHtmlFieldHandler : IFormFieldHandler
type AlertHtmlFieldHandler =
    class
        interface IFormFieldHandler
    end

The AlertHtmlFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | AlertHtmlFieldHandler | Initializes a new instance of the AlertHtmlFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


AlertHtmlFieldHandler Constructor

Initializes a new instance of the AlertHtmlFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlertHtmlFieldHandler()
Public Sub New
public:
AlertHtmlFieldHandler()
new : unit -> AlertHtmlFieldHandler
See Also

Reference

AlertHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


AlertHtmlFieldHandler Methods

The AlertHtmlFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

AlertHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


AlertHtmlFieldHandler.Build Method

AlertHtmlFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.AlertHtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.AlertHtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.AlertHtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

AlertHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


AlertHtmlFieldHandler.Parse Method

AlertHtmlFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.AlertHtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.AlertHtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.AlertHtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

AlertHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxFieldHandler Class
勾选框
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersCheckBoxFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxFieldHandler : IFormFieldHandler
Public Class CheckBoxFieldHandler
    Implements IFormFieldHandler
public ref class CheckBoxFieldHandler : IFormFieldHandler
type CheckBoxFieldHandler =
    class
        interface IFormFieldHandler
    end

The CheckBoxFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxFieldHandler | Initializes a new instance of the CheckBoxFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxFieldHandler Constructor

Initializes a new instance of the CheckBoxFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxFieldHandler()
Public Sub New
public:
CheckBoxFieldHandler()
new : unit -> CheckBoxFieldHandler
See Also

Reference

CheckBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxFieldHandler Methods

The CheckBoxFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CheckBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxFieldHandler.Build Method

CheckBoxFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CheckBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxFieldHandler.Parse Method

CheckBoxFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CheckBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupFieldHandler Class
勾选框分组 显示结构 ▢ 全选 　▢ 多选框A ▢ 多选框B ▢ 多选框C
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersCheckBoxGroupFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxGroupFieldHandler : IFormFieldHandler
Public Class CheckBoxGroupFieldHandler
    Implements IFormFieldHandler
public ref class CheckBoxGroupFieldHandler : IFormFieldHandler
type CheckBoxGroupFieldHandler =
    class
        interface IFormFieldHandler
    end

The CheckBoxGroupFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxGroupFieldHandler | Initializes a new instance of the CheckBoxGroupFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupFieldHandler Constructor

Initializes a new instance of the CheckBoxGroupFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupFieldHandler()
Public Sub New
public:
CheckBoxGroupFieldHandler()
new : unit -> CheckBoxGroupFieldHandler
See Also

Reference

CheckBoxGroupFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupFieldHandler Methods

The CheckBoxGroupFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CheckBoxGroupFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupFieldHandler.Build Method

CheckBoxGroupFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CheckBoxGroupFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupFieldHandler.Parse Method

CheckBoxGroupFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CheckBoxGroupFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupsFieldHandler Class
勾选框分组列表 显示结构 ▢ 全选 　▢ 分组A 　　▢ 多选框AA ▢ 多选框AB ▢ 多选框AC 　▢ 分组B 　　▢ 多选框BA ▢ 多选框BB ▢ 多选框BC
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersCheckBoxGroupsFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxGroupsFieldHandler : IFormFieldHandler
Public Class CheckBoxGroupsFieldHandler
    Implements IFormFieldHandler
public ref class CheckBoxGroupsFieldHandler : IFormFieldHandler
type CheckBoxGroupsFieldHandler =
    class
        interface IFormFieldHandler
    end

The CheckBoxGroupsFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxGroupsFieldHandler | Initializes a new instance of the CheckBoxGroupsFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupsFieldHandler Constructor

Initializes a new instance of the CheckBoxGroupsFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupsFieldHandler()
Public Sub New
public:
CheckBoxGroupsFieldHandler()
new : unit -> CheckBoxGroupsFieldHandler
See Also

Reference

CheckBoxGroupsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupsFieldHandler Methods

The CheckBoxGroupsFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CheckBoxGroupsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupsFieldHandler.Build Method

CheckBoxGroupsFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupsFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupsFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupsFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CheckBoxGroupsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxGroupsFieldHandler.Parse Method

CheckBoxGroupsFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupsFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupsFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxGroupsFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CheckBoxGroupsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxTreeFieldHandler Class
勾选框树 显示结构 ▢ 节点A 　▢ 节点AA 　　▢ 节点AAA 　▢ 节点AB ▢ 节点B
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersCheckBoxTreeFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxTreeFieldHandler : IFormFieldHandler
Public Class CheckBoxTreeFieldHandler
    Implements IFormFieldHandler
public ref class CheckBoxTreeFieldHandler : IFormFieldHandler
type CheckBoxTreeFieldHandler =
    class
        interface IFormFieldHandler
    end

The CheckBoxTreeFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxTreeFieldHandler | Initializes a new instance of the CheckBoxTreeFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxTreeFieldHandler Constructor

Initializes a new instance of the CheckBoxTreeFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxTreeFieldHandler()
Public Sub New
public:
CheckBoxTreeFieldHandler()
new : unit -> CheckBoxTreeFieldHandler
See Also

Reference

CheckBoxTreeFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxTreeFieldHandler Methods

The CheckBoxTreeFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CheckBoxTreeFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxTreeFieldHandler.Build Method

CheckBoxTreeFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxTreeFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxTreeFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxTreeFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CheckBoxTreeFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


CheckBoxTreeFieldHandler.Parse Method

CheckBoxTreeFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxTreeFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxTreeFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.CheckBoxTreeFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CheckBoxTreeFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


DropdownListFieldHandler Class
下拉列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersDropdownListFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DropdownListFieldHandler : IFormFieldHandler
Public Class DropdownListFieldHandler
    Implements IFormFieldHandler
public ref class DropdownListFieldHandler : IFormFieldHandler
type DropdownListFieldHandler =
    class
        interface IFormFieldHandler
    end

The DropdownListFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | DropdownListFieldHandler | Initializes a new instance of the DropdownListFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
 | BuildSelectHtml | 构建Select元素的Html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


DropdownListFieldHandler Constructor

Initializes a new instance of the DropdownListFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DropdownListFieldHandler()
Public Sub New
public:
DropdownListFieldHandler()
new : unit -> DropdownListFieldHandler
See Also

Reference

DropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


DropdownListFieldHandler Methods

The DropdownListFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
 | BuildSelectHtml | 构建Select元素的Html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

DropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


DropdownListFieldHandler.Build Method

DropdownListFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

DropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


DropdownListFieldHandler.BuildSelectHtml Method

DropdownListFieldHandlerBuildSelectHtml Method

构建Select元素的Html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString BuildSelectHtml(
    DropdownListFieldAttribute attribute,
    IDictionary<string, string> htmlAttributes,
    Object value
)
Public Shared Function BuildSelectHtml (
    attribute As DropdownListFieldAttribute,
    htmlAttributes As IDictionary(Of String, String),
    value As Object
) As HtmlString
public:
static HtmlString^ BuildSelectHtml(
    DropdownListFieldAttribute^ attribute,
    IDictionary<String^, String^>^ htmlAttributes,
    Object^ value
)
static member BuildSelectHtml :
        attribute : DropdownListFieldAttribute *
        htmlAttributes : IDictionary<string, string> *
        value : Object -> HtmlString

Parameters

attribute
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesDropdownListFieldAttribute

[Missing <param name="attribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.BuildSelectHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.DropdownListFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.BuildSelectHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.DropdownListFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.BuildSelectHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.DropdownListFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.BuildSelectHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.DropdownListFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

See Also

Reference

DropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


DropdownListFieldHandler.Parse Method

DropdownListFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.DropdownListFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

DropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderAsUrlFieldHandler Class
文件上传 自动保存文件并返回Url
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersFileUploaderAsUrlFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FileUploaderAsUrlFieldHandler : IFormFieldHandler
Public Class FileUploaderAsUrlFieldHandler
    Implements IFormFieldHandler
public ref class FileUploaderAsUrlFieldHandler : IFormFieldHandler
type FileUploaderAsUrlFieldHandler =
    class
        interface IFormFieldHandler
    end

The FileUploaderAsUrlFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | FileUploaderAsUrlFieldHandler | Initializes a new instance of the FileUploaderAsUrlFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderAsUrlFieldHandler Constructor

Initializes a new instance of the FileUploaderAsUrlFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FileUploaderAsUrlFieldHandler()
Public Sub New
public:
FileUploaderAsUrlFieldHandler()
new : unit -> FileUploaderAsUrlFieldHandler
See Also

Reference

FileUploaderAsUrlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderAsUrlFieldHandler Methods

The FileUploaderAsUrlFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

FileUploaderAsUrlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderAsUrlFieldHandler.Build Method

FileUploaderAsUrlFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderAsUrlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderAsUrlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderAsUrlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

FileUploaderAsUrlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderAsUrlFieldHandler.Parse Method

FileUploaderAsUrlFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderAsUrlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderAsUrlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderAsUrlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

FileUploaderAsUrlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderFieldHandler Class
文件上传 字段类型必须是IHttpPostedFile
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersFileUploaderFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FileUploaderFieldHandler : IFormFieldHandler
Public Class FileUploaderFieldHandler
    Implements IFormFieldHandler
public ref class FileUploaderFieldHandler : IFormFieldHandler
type FileUploaderFieldHandler =
    class
        interface IFormFieldHandler
    end

The FileUploaderFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | FileUploaderFieldHandler | Initializes a new instance of the FileUploaderFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderFieldHandler Constructor

Initializes a new instance of the FileUploaderFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FileUploaderFieldHandler()
Public Sub New
public:
FileUploaderFieldHandler()
new : unit -> FileUploaderFieldHandler
See Also

Reference

FileUploaderFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderFieldHandler Methods

The FileUploaderFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

FileUploaderFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderFieldHandler.Build Method

FileUploaderFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

FileUploaderFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


FileUploaderFieldHandler.Parse Method

FileUploaderFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.FileUploaderFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

FileUploaderFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HiddenFieldHandler Class
隐藏字段
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersHiddenFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HiddenFieldHandler : IFormFieldHandler
Public Class HiddenFieldHandler
    Implements IFormFieldHandler
public ref class HiddenFieldHandler : IFormFieldHandler
type HiddenFieldHandler =
    class
        interface IFormFieldHandler
    end

The HiddenFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | HiddenFieldHandler | Initializes a new instance of the HiddenFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HiddenFieldHandler Constructor

Initializes a new instance of the HiddenFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HiddenFieldHandler()
Public Sub New
public:
HiddenFieldHandler()
new : unit -> HiddenFieldHandler
See Also

Reference

HiddenFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HiddenFieldHandler Methods

The HiddenFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

HiddenFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HiddenFieldHandler.Build Method

HiddenFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HiddenFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HiddenFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HiddenFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

HiddenFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HiddenFieldHandler.Parse Method

HiddenFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HiddenFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HiddenFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HiddenFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

HiddenFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HtmlFieldHandler Class
直接显示Html内容的字段
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersHtmlFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HtmlFieldHandler : IFormFieldHandler
Public Class HtmlFieldHandler
    Implements IFormFieldHandler
public ref class HtmlFieldHandler : IFormFieldHandler
type HtmlFieldHandler =
    class
        interface IFormFieldHandler
    end

The HtmlFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlFieldHandler | Initializes a new instance of the HtmlFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HtmlFieldHandler Constructor

Initializes a new instance of the HtmlFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlFieldHandler()
Public Sub New
public:
HtmlFieldHandler()
new : unit -> HtmlFieldHandler
See Also

Reference

HtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HtmlFieldHandler Methods

The HtmlFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

HtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HtmlFieldHandler.Build Method

HtmlFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

HtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


HtmlFieldHandler.Parse Method

HtmlFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.HtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

HtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


JsonFieldHandler Class
经过Json序列化的隐藏字段
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersJsonFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class JsonFieldHandler : IFormFieldHandler
Public Class JsonFieldHandler
    Implements IFormFieldHandler
public ref class JsonFieldHandler : IFormFieldHandler
type JsonFieldHandler =
    class
        interface IFormFieldHandler
    end

The JsonFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | JsonFieldHandler | Initializes a new instance of the JsonFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


JsonFieldHandler Constructor

Initializes a new instance of the JsonFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public JsonFieldHandler()
Public Sub New
public:
JsonFieldHandler()
new : unit -> JsonFieldHandler
See Also

Reference

JsonFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


JsonFieldHandler Methods

The JsonFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

JsonFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


JsonFieldHandler.Build Method

JsonFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.JsonFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.JsonFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.JsonFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

JsonFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


JsonFieldHandler.Parse Method

JsonFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.JsonFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.JsonFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.JsonFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

JsonFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


LabelFieldHandler Class
只读文本
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersLabelFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LabelFieldHandler : IFormFieldHandler
Public Class LabelFieldHandler
    Implements IFormFieldHandler
public ref class LabelFieldHandler : IFormFieldHandler
type LabelFieldHandler =
    class
        interface IFormFieldHandler
    end

The LabelFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | LabelFieldHandler | Initializes a new instance of the LabelFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值，只读文本没有提交值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


LabelFieldHandler Constructor

Initializes a new instance of the LabelFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LabelFieldHandler()
Public Sub New
public:
LabelFieldHandler()
new : unit -> LabelFieldHandler
See Also

Reference

LabelFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


LabelFieldHandler Methods

The LabelFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值，只读文本没有提交值
Top
See Also

Reference

LabelFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


LabelFieldHandler.Build Method

LabelFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.LabelFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.LabelFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.LabelFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

LabelFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


LabelFieldHandler.Parse Method

LabelFieldHandlerParse Method

解析提交的字段的值，只读文本没有提交值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> value
)
Public Function Parse (
    field As FormField,
    value As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ value
) sealed
abstract Parse :
        field : FormField *
        value : IList<string> -> Object
override Parse :
        field : FormField *
        value : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.LabelFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

value
Type: System.Collections.GenericIList String

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.LabelFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.LabelFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

LabelFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


PasswordFieldHandler Class
密码框
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersPasswordFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PasswordFieldHandler : IFormFieldHandler
Public Class PasswordFieldHandler
    Implements IFormFieldHandler
public ref class PasswordFieldHandler : IFormFieldHandler
type PasswordFieldHandler =
    class
        interface IFormFieldHandler
    end

The PasswordFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | PasswordFieldHandler | Initializes a new instance of the PasswordFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


PasswordFieldHandler Constructor

Initializes a new instance of the PasswordFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PasswordFieldHandler()
Public Sub New
public:
PasswordFieldHandler()
new : unit -> PasswordFieldHandler
See Also

Reference

PasswordFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


PasswordFieldHandler Methods

The PasswordFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

PasswordFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


PasswordFieldHandler.Build Method

PasswordFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.PasswordFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.PasswordFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.PasswordFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

PasswordFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


PasswordFieldHandler.Parse Method

PasswordFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> value
)
Public Function Parse (
    field As FormField,
    value As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ value
) sealed
abstract Parse :
        field : FormField *
        value : IList<string> -> Object
override Parse :
        field : FormField *
        value : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.PasswordFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

value
Type: System.Collections.GenericIList String

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.PasswordFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.PasswordFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

PasswordFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


RadioButtonsFieldHandler Class
单选按钮组
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersRadioButtonsFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RadioButtonsFieldHandler : IFormFieldHandler
Public Class RadioButtonsFieldHandler
    Implements IFormFieldHandler
public ref class RadioButtonsFieldHandler : IFormFieldHandler
type RadioButtonsFieldHandler =
    class
        interface IFormFieldHandler
    end

The RadioButtonsFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | RadioButtonsFieldHandler | Initializes a new instance of the RadioButtonsFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
 | BuildRadioButtonsHtml | 构建单选按钮组的Html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


RadioButtonsFieldHandler Constructor

Initializes a new instance of the RadioButtonsFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RadioButtonsFieldHandler()
Public Sub New
public:
RadioButtonsFieldHandler()
new : unit -> RadioButtonsFieldHandler
See Also

Reference

RadioButtonsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


RadioButtonsFieldHandler Methods

The RadioButtonsFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
 | BuildRadioButtonsHtml | 构建单选按钮组的Html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

RadioButtonsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


RadioButtonsFieldHandler.Build Method

RadioButtonsFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

RadioButtonsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


RadioButtonsFieldHandler.BuildRadioButtonsHtml Method

RadioButtonsFieldHandlerBuildRadioButtonsHtml Method

构建单选按钮组的Html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString BuildRadioButtonsHtml(
    RadioButtonsFieldAttribute attribute,
    IDictionary<string, string> htmlAttributes,
    Object value
)
Public Shared Function BuildRadioButtonsHtml (
    attribute As RadioButtonsFieldAttribute,
    htmlAttributes As IDictionary(Of String, String),
    value As Object
) As HtmlString
public:
static HtmlString^ BuildRadioButtonsHtml(
    RadioButtonsFieldAttribute^ attribute,
    IDictionary<String^, String^>^ htmlAttributes,
    Object^ value
)
static member BuildRadioButtonsHtml :
        attribute : RadioButtonsFieldAttribute *
        htmlAttributes : IDictionary<string, string> *
        value : Object -> HtmlString

Parameters

attribute
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesRadioButtonsFieldAttribute

[Missing <param name="attribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.BuildRadioButtonsHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.RadioButtonsFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.BuildRadioButtonsHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.RadioButtonsFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.BuildRadioButtonsHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.RadioButtonsFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.BuildRadioButtonsHtml(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Attributes.RadioButtonsFieldAttribute,System.Collections.Generic.IDictionary{System.String,System.String},System.Object)"]

See Also

Reference

RadioButtonsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


RadioButtonsFieldHandler.Parse Method

RadioButtonsFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.RadioButtonsFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

RadioButtonsFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


SearchableDropdownListFieldHandler Class
可搜索的下拉列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersSearchableDropdownListFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SearchableDropdownListFieldHandler : IFormFieldHandler
Public Class SearchableDropdownListFieldHandler
    Implements IFormFieldHandler
public ref class SearchableDropdownListFieldHandler : IFormFieldHandler
type SearchableDropdownListFieldHandler =
    class
        interface IFormFieldHandler
    end

The SearchableDropdownListFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | SearchableDropdownListFieldHandler | Initializes a new instance of the SearchableDropdownListFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


SearchableDropdownListFieldHandler Constructor

Initializes a new instance of the SearchableDropdownListFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SearchableDropdownListFieldHandler()
Public Sub New
public:
SearchableDropdownListFieldHandler()
new : unit -> SearchableDropdownListFieldHandler
See Also

Reference

SearchableDropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


SearchableDropdownListFieldHandler Methods

The SearchableDropdownListFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

SearchableDropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


SearchableDropdownListFieldHandler.Build Method

SearchableDropdownListFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.SearchableDropdownListFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.SearchableDropdownListFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.SearchableDropdownListFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

SearchableDropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


SearchableDropdownListFieldHandler.Parse Method

SearchableDropdownListFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.SearchableDropdownListFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.SearchableDropdownListFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.SearchableDropdownListFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

SearchableDropdownListFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TemplateHtmlFieldHandler Class
显示模板的Html处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersTemplateHtmlFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateHtmlFieldHandler : IFormFieldHandler
Public Class TemplateHtmlFieldHandler
    Implements IFormFieldHandler
public ref class TemplateHtmlFieldHandler : IFormFieldHandler
type TemplateHtmlFieldHandler =
    class
        interface IFormFieldHandler
    end

The TemplateHtmlFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateHtmlFieldHandler | Initializes a new instance of the TemplateHtmlFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TemplateHtmlFieldHandler Constructor

Initializes a new instance of the TemplateHtmlFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TemplateHtmlFieldHandler()
Public Sub New
public:
TemplateHtmlFieldHandler()
new : unit -> TemplateHtmlFieldHandler
See Also

Reference

TemplateHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TemplateHtmlFieldHandler Methods

The TemplateHtmlFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

TemplateHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TemplateHtmlFieldHandler.Build Method

TemplateHtmlFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TemplateHtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TemplateHtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TemplateHtmlFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

TemplateHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TemplateHtmlFieldHandler.Parse Method

TemplateHtmlFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TemplateHtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TemplateHtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TemplateHtmlFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

TemplateHtmlFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextAreaFieldHandler Class
多行文本框
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersTextAreaFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TextAreaFieldHandler : IFormFieldHandler
Public Class TextAreaFieldHandler
    Implements IFormFieldHandler
public ref class TextAreaFieldHandler : IFormFieldHandler
type TextAreaFieldHandler =
    class
        interface IFormFieldHandler
    end

The TextAreaFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TextAreaFieldHandler | Initializes a new instance of the TextAreaFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextAreaFieldHandler Constructor

Initializes a new instance of the TextAreaFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TextAreaFieldHandler()
Public Sub New
public:
TextAreaFieldHandler()
new : unit -> TextAreaFieldHandler
See Also

Reference

TextAreaFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextAreaFieldHandler Methods

The TextAreaFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

TextAreaFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextAreaFieldHandler.Build Method

TextAreaFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextAreaFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextAreaFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextAreaFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

TextAreaFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextAreaFieldHandler.Parse Method

TextAreaFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextAreaFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextAreaFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextAreaFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

TextAreaFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextBoxFieldHandler Class
文本框
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.HandlersTextBoxFieldHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TextBoxFieldHandler : IFormFieldHandler
Public Class TextBoxFieldHandler
    Implements IFormFieldHandler
public ref class TextBoxFieldHandler : IFormFieldHandler
type TextBoxFieldHandler =
    class
        interface IFormFieldHandler
    end

The TextBoxFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TextBoxFieldHandler | Initializes a new instance of the TextBoxFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextBoxFieldHandler Constructor

Initializes a new instance of the TextBoxFieldHandler class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TextBoxFieldHandler()
Public Sub New
public:
TextBoxFieldHandler()
new : unit -> TextBoxFieldHandler
See Also

Reference

TextBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextBoxFieldHandler Methods

The TextBoxFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

TextBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextBoxFieldHandler.Build Method

TextBoxFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextBoxFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextBoxFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextBoxFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

TextBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


TextBoxFieldHandler.Parse Method

TextBoxFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextBoxFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextBoxFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers.TextBoxFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

TextBoxFieldHandler Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Handlers Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm | 实体表单使用的附加处理器
Public interface | IFormFieldHandler | 表单字段处理器
Public interface | IFormFieldParseFromEnv | 标记字段需要从提交环境中解析值，当表单值等于空时仍执行解析函数 一般用于文件上传的属性，例如FileUploaderFieldAttribute
Public interface | IFormFieldRequireMultiPart | 标记字段需要表单类型为MultiPart 一般用于文件上传的属性，例如FileUploaderFieldAttribute
Public interface | IFormFieldValidator | 表单字段的验证器
Public interface | IModelFormBuilder | 从模型构建表单的构建器的接口


IEntityFormExtraHandler(TEntity, TPrimaryKey, TForm) Interface

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Interface
实体表单使用的附加处理器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityFormExtraHandler<TEntity, TPrimaryKey, TForm>
where TEntity : class, new(), Object, IEntity<TPrimaryKey>

Public Interface IEntityFormExtraHandler(Of TEntity As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey, TForm)
generic<typename TEntity, typename TPrimaryKey, typename TForm>
where TEntity : ref class, gcnew(), Object, IEntity<TPrimaryKey>
public interface class IEntityFormExtraHandler
type IEntityFormExtraHandler<'TEntity, 'TPrimaryKey, 'TForm when 'TEntity : not struct, new() and Object and IEntity<'TPrimaryKey>> =  interface end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
TForm
表单类型

The IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm type exposes the following members.

Methods
 | Name | Description
Public method | OnBind | 绑定数据到表单的处理，这个函数会在原表单绑定后调用
Public method | OnCreated | 表单创建时的处理
Public method | OnSubmit | 保存表单到数据，这个函数会在原表单保存后调用
Public method | OnSubmitSaved | 数据保存后的处理，用于添加关联数据等
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IEntityFormExtraHandler(TEntity, TPrimaryKey, TForm) Methods

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Methods

The IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm generic type exposes the following members.

Methods
 | Name | Description
Public method | OnBind | 绑定数据到表单的处理，这个函数会在原表单绑定后调用
Public method | OnCreated | 表单创建时的处理
Public method | OnSubmit | 保存表单到数据，这个函数会在原表单保存后调用
Public method | OnSubmitSaved | 数据保存后的处理，用于添加关联数据等
Top
See Also

Reference

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IEntityFormExtraHandler(TEntity, TPrimaryKey, TForm).OnBind Method

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnBind Method

绑定数据到表单的处理，这个函数会在原表单绑定后调用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnBind(
    TForm form,
    TEntity bindFrom
)
Sub OnBind (
    form As TForm,
    bindFrom As TEntity
)
void OnBind(
    TForm form,
    TEntity bindFrom
)
abstract OnBind :
        form : 'TForm *
        bindFrom : 'TEntity -> unit

Parameters

form
Type: TForm
表单
bindFrom
Type: TEntity
来源的实体
See Also

Reference

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IEntityFormExtraHandler(TEntity, TPrimaryKey, TForm).OnCreated Method

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnCreated Method

表单创建时的处理

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnCreated(
    TForm form
)
Sub OnCreated (
    form As TForm
)
void OnCreated(
    TForm form
)
abstract OnCreated :
        form : 'TForm -> unit

Parameters

form
Type: TForm
表单
See Also

Reference

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IEntityFormExtraHandler(TEntity, TPrimaryKey, TForm).OnSubmit Method

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmit Method

保存表单到数据，这个函数会在原表单保存后调用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSubmit(
    TForm form,
    TEntity saveTo
)
Sub OnSubmit (
    form As TForm,
    saveTo As TEntity
)
void OnSubmit(
    TForm form,
    TEntity saveTo
)
abstract OnSubmit :
        form : 'TForm *
        saveTo : 'TEntity -> unit

Parameters

form
Type: TForm
表单
saveTo
Type: TEntity
保存到的实体
See Also

Reference

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IEntityFormExtraHandler(TEntity, TPrimaryKey, TForm).OnSubmitSaved Method

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmitSaved Method

数据保存后的处理，用于添加关联数据等

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSubmitSaved(
    TForm form,
    TEntity saved
)
Sub OnSubmitSaved (
    form As TForm,
    saved As TEntity
)
void OnSubmitSaved(
    TForm form,
    TEntity saved
)
abstract OnSubmitSaved :
        form : 'TForm *
        saved : 'TEntity -> unit

Parameters

form
Type: TForm
表单
saved
Type: TEntity
已保存的实体，Id已分配
See Also

Reference

IEntityFormExtraHandlerTEntity, TPrimaryKey, TForm Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldHandler Interface
表单字段处理器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IFormFieldHandler
Public Interface IFormFieldHandler
public interface class IFormFieldHandler
type IFormFieldHandler =  interface end

The IFormFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldHandler Methods

The IFormFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

IFormFieldHandler Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldHandler.Build Method

IFormFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
)
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField
表单字段
htmlAttributes
Type: System.Collections.GenericIDictionary String, String
添加到元素的html属性

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IFormFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

See Also

Reference

IFormFieldHandler Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldHandler.Parse Method

IFormFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Object Parse(
    FormField field,
    IList<string> values
)
Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
Object^ Parse(
    FormField^ field,
    IList<String^>^ values
)
abstract Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField
表单字段
values
Type: System.Collections.GenericIList String
值列表

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IFormFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

See Also

Reference

IFormFieldHandler Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldParseFromEnv Interface
标记字段需要从提交环境中解析值，当表单值等于空时仍执行解析函数 一般用于文件上传的属性，例如FileUploaderFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IFormFieldParseFromEnv
Public Interface IFormFieldParseFromEnv
public interface class IFormFieldParseFromEnv
type IFormFieldParseFromEnv =  interface end
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldRequireMultiPart Interface
标记字段需要表单类型为MultiPart 一般用于文件上传的属性，例如FileUploaderFieldAttribute

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IFormFieldRequireMultiPart
Public Interface IFormFieldRequireMultiPart
public interface class IFormFieldRequireMultiPart
type IFormFieldRequireMultiPart =  interface end
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldValidator Interface
表单字段的验证器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IFormFieldValidator
Public Interface IFormFieldValidator
public interface class IFormFieldValidator
type IFormFieldValidator =  interface end

The IFormFieldValidator type exposes the following members.

Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldValidator Methods

The IFormFieldValidator type exposes the following members.

Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

IFormFieldValidator Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldValidator.AddHtmlAttributes Method

IFormFieldValidatorAddHtmlAttributes Method

添加验证使用的html属性

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AddHtmlAttributes(
    FormField field,
    Object validatorAttribute,
    IDictionary<string, string> htmlAttributes
)
Sub AddHtmlAttributes (
    field As FormField,
    validatorAttribute As Object,
    htmlAttributes As IDictionary(Of String, String)
)
void AddHtmlAttributes(
    FormField^ field,
    Object^ validatorAttribute,
    IDictionary<String^, String^>^ htmlAttributes
)
abstract AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField
表单字段
validatorAttribute
Type: SystemObject
验证属性
htmlAttributes
Type: System.Collections.GenericIDictionary String, String
添加属性时保存到这里
See Also

Reference

IFormFieldValidator Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IFormFieldValidator.Validate Method

IFormFieldValidatorValidate Method

验证值是否通过，不通过时抛出例外

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Validate(
    FormField field,
    Object validatorAttribute,
    Object value
)
Sub Validate (
    field As FormField,
    validatorAttribute As Object,
    value As Object
)
void Validate(
    FormField^ field,
    Object^ validatorAttribute,
    Object^ value
)
abstract Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField
表单字段
validatorAttribute
Type: SystemObject
验证属性
value
Type: SystemObject
需要验证的值
See Also

Reference

IFormFieldValidator Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IModelFormBuilder Interface
从模型构建表单的构建器的接口

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IModelFormBuilder
Public Interface IModelFormBuilder
public interface class IModelFormBuilder
type IModelFormBuilder =  interface end

The IModelFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | Bind | 绑定表单
Public method | GetFormAttribute | 获取表单属性
Public method | Submit | 提交表单，返回处理结果
Top
Extension Methods
 | Name | Description
Public Extension Method | SaveSuccess | 返回保存成功 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndCloseModal | 返回保存成功，关闭模态框并且通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshModal | 返回保存成功，刷新模态框并通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshPage | 返回保存成功，并在一定时间后刷新当前页面 (Defined by IModelFormBuilderExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IModelFormBuilder Methods

The IModelFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | Bind | 绑定表单
Public method | GetFormAttribute | 获取表单属性
Public method | Submit | 提交表单，返回处理结果
Top
Extension Methods
 | Name | Description
Public Extension Method | SaveSuccess | 返回保存成功 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndCloseModal | 返回保存成功，关闭模态框并且通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshModal | 返回保存成功，刷新模态框并通知Ajax表格更新数据 (Defined by IModelFormBuilderExtensions.)
Public Extension Method | SaveSuccessAndRefreshPage | 返回保存成功，并在一定时间后刷新当前页面 (Defined by IModelFormBuilderExtensions.)
Top
See Also

Reference

IModelFormBuilder Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IModelFormBuilder.Bind Method

IModelFormBuilderBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Bind()
Sub Bind
void Bind()
abstract Bind : unit -> unit
See Also

Reference

IModelFormBuilder Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IModelFormBuilder.GetFormAttribute Method

IModelFormBuilderGetFormAttribute Method

获取表单属性

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
FormAttribute GetFormAttribute()
Function GetFormAttribute As FormAttribute
FormAttribute^ GetFormAttribute()
abstract GetFormAttribute : unit -> FormAttribute

Return Value

Type: FormAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IModelFormBuilder.GetFormAttribute"]

See Also

Reference

IModelFormBuilder Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


IModelFormBuilder.Submit Method

IModelFormBuilderSubmit Method

提交表单，返回处理结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Object Submit()
Function Submit As Object
Object^ Submit()
abstract Submit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces.IModelFormBuilder.Submit"]

See Also

Reference

IModelFormBuilder Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators"]

Classes
 | Class | Description
Public class | RegularExpressionValidator | 正则表达式
Public class | RequiredValidator | 必填项
Public class | StringLengthValidator | 字符串长度


RegularExpressionValidator Class
正则表达式
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ValidatorsRegularExpressionValidator

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegularExpressionValidator : IFormFieldValidator
Public Class RegularExpressionValidator
    Implements IFormFieldValidator
public ref class RegularExpressionValidator : IFormFieldValidator
type RegularExpressionValidator =
    class
        interface IFormFieldValidator
    end

The RegularExpressionValidator type exposes the following members.

Constructors
 | Name | Description
Public method | RegularExpressionValidator | Initializes a new instance of the RegularExpressionValidator class
Top
Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RegularExpressionValidator Constructor

Initializes a new instance of the RegularExpressionValidator class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegularExpressionValidator()
Public Sub New
public:
RegularExpressionValidator()
new : unit -> RegularExpressionValidator
See Also

Reference

RegularExpressionValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RegularExpressionValidator Methods

The RegularExpressionValidator type exposes the following members.

Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

RegularExpressionValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RegularExpressionValidator.AddHtmlAttributes Method

RegularExpressionValidatorAddHtmlAttributes Method

添加验证使用的html属性

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddHtmlAttributes(
    FormField field,
    Object validatorAttribute,
    IDictionary<string, string> htmlAttributes
)
Public Sub AddHtmlAttributes (
    field As FormField,
    validatorAttribute As Object,
    htmlAttributes As IDictionary(Of String, String)
)
public:
virtual void AddHtmlAttributes(
    FormField^ field,
    Object^ validatorAttribute,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit
override AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RegularExpressionValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

validatorAttribute
Type: SystemObject

[Missing <param name="validatorAttribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RegularExpressionValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RegularExpressionValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldValidatorAddHtmlAttributes(FormField, Object, IDictionaryString, String)
See Also

Reference

RegularExpressionValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RegularExpressionValidator.Validate Method

RegularExpressionValidatorValidate Method

验证值是否通过，不通过时抛出例外

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Validate(
    FormField field,
    Object validatorAttribute,
    Object value
)
Public Sub Validate (
    field As FormField,
    validatorAttribute As Object,
    value As Object
)
public:
virtual void Validate(
    FormField^ field,
    Object^ validatorAttribute,
    Object^ value
) sealed
abstract Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit
override Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RegularExpressionValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

validatorAttribute
Type: SystemObject

[Missing <param name="validatorAttribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RegularExpressionValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RegularExpressionValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

Implements

IFormFieldValidatorValidate(FormField, Object, Object)
See Also

Reference

RegularExpressionValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator Class
必填项
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ValidatorsRequiredValidator

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RequiredValidator : IFormFieldValidator
Public Class RequiredValidator
    Implements IFormFieldValidator
public ref class RequiredValidator : IFormFieldValidator
type RequiredValidator =
    class
        interface IFormFieldValidator
    end

The RequiredValidator type exposes the following members.

Constructors
 | Name | Description
Public method | RequiredValidator | Initializes a new instance of the RequiredValidator class
Top
Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
Fields
Name | Description
Key | html属性键
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator Constructor

Initializes a new instance of the RequiredValidator class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RequiredValidator()
Public Sub New
public:
RequiredValidator()
new : unit -> RequiredValidator
See Also

Reference

RequiredValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator Methods

The RequiredValidator type exposes the following members.

Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

RequiredValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator.AddHtmlAttributes Method

RequiredValidatorAddHtmlAttributes Method

添加验证使用的html属性

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddHtmlAttributes(
    FormField field,
    Object validatorAttribute,
    IDictionary<string, string> htmlAttributes
)
Public Sub AddHtmlAttributes (
    field As FormField,
    validatorAttribute As Object,
    htmlAttributes As IDictionary(Of String, String)
)
public:
virtual void AddHtmlAttributes(
    FormField^ field,
    Object^ validatorAttribute,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit
override AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RequiredValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

validatorAttribute
Type: SystemObject

[Missing <param name="validatorAttribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RequiredValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RequiredValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldValidatorAddHtmlAttributes(FormField, Object, IDictionaryString, String)
See Also

Reference

RequiredValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator.Validate Method

RequiredValidatorValidate Method

验证值是否通过，不通过时抛出例外

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Validate(
    FormField field,
    Object validatorAttribute,
    Object value
)
Public Sub Validate (
    field As FormField,
    validatorAttribute As Object,
    value As Object
)
public:
virtual void Validate(
    FormField^ field,
    Object^ validatorAttribute,
    Object^ value
) sealed
abstract Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit
override Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RequiredValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

validatorAttribute
Type: SystemObject

[Missing <param name="validatorAttribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RequiredValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.RequiredValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

Implements

IFormFieldValidatorValidate(FormField, Object, Object)
See Also

Reference

RequiredValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator Fields

The RequiredValidator type exposes the following members.

Fields
Name | Description
Key | html属性键
Top
See Also

Reference

RequiredValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


RequiredValidator.Key Field

RequiredValidatorKey Field
html属性键

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "data-val-required"
Public Const Key As String = "data-val-required"
public:
literal String^ Key = "data-val-required"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RequiredValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


StringLengthValidator Class
字符串长度
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.ValidatorsStringLengthValidator

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StringLengthValidator : IFormFieldValidator
Public Class StringLengthValidator
    Implements IFormFieldValidator
public ref class StringLengthValidator : IFormFieldValidator
type StringLengthValidator =
    class
        interface IFormFieldValidator
    end

The StringLengthValidator type exposes the following members.

Constructors
 | Name | Description
Public method | StringLengthValidator | Initializes a new instance of the StringLengthValidator class
Top
Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


StringLengthValidator Constructor

Initializes a new instance of the StringLengthValidator class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StringLengthValidator()
Public Sub New
public:
StringLengthValidator()
new : unit -> StringLengthValidator
See Also

Reference

StringLengthValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


StringLengthValidator Methods

The StringLengthValidator type exposes the following members.

Methods
 | Name | Description
Public method | AddHtmlAttributes | 添加验证使用的html属性
Public method | Validate | 验证值是否通过，不通过时抛出例外
Top
See Also

Reference

StringLengthValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


StringLengthValidator.AddHtmlAttributes Method

StringLengthValidatorAddHtmlAttributes Method

添加验证使用的html属性

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddHtmlAttributes(
    FormField field,
    Object validatorAttribute,
    IDictionary<string, string> htmlAttributes
)
Public Sub AddHtmlAttributes (
    field As FormField,
    validatorAttribute As Object,
    htmlAttributes As IDictionary(Of String, String)
)
public:
virtual void AddHtmlAttributes(
    FormField^ field,
    Object^ validatorAttribute,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit
override AddHtmlAttributes :
        field : FormField *
        validatorAttribute : Object *
        htmlAttributes : IDictionary<string, string> -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.StringLengthValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

validatorAttribute
Type: SystemObject

[Missing <param name="validatorAttribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.StringLengthValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.StringLengthValidator.AddHtmlAttributes(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldValidatorAddHtmlAttributes(FormField, Object, IDictionaryString, String)
See Also

Reference

StringLengthValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


StringLengthValidator.Validate Method

StringLengthValidatorValidate Method

验证值是否通过，不通过时抛出例外

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Validate(
    FormField field,
    Object validatorAttribute,
    Object value
)
Public Sub Validate (
    field As FormField,
    validatorAttribute As Object,
    value As Object
)
public:
virtual void Validate(
    FormField^ field,
    Object^ validatorAttribute,
    Object^ value
) sealed
abstract Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit
override Validate :
        field : FormField *
        validatorAttribute : Object *
        value : Object -> unit

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.StringLengthValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

validatorAttribute
Type: SystemObject

[Missing <param name="validatorAttribute"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.StringLengthValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators.StringLengthValidator.Validate(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Object,System.Object)"]

Implements

IFormFieldValidatorValidate(FormField, Object, Object)
See Also

Reference

StringLengthValidator Class
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.Validators Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems |
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions |


ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems"]

Classes
 | Class | Description
Public class | HtmlItem | Html项 这个类型用于支持List[HtmlItem]的扩展函数


HtmlItem Class
Html项 这个类型用于支持List[HtmlItem]的扩展函数
Inheritance Hierarchy
SystemObject
HtmlString
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItemsHtmlItem
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItemsMenuItem

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HtmlItem : HtmlString
Public Class HtmlItem
    Inherits HtmlString
public ref class HtmlItem : public HtmlString
type HtmlItem =
    class
        inherit HtmlString
    end

The HtmlItem type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlItem | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems Namespace


HtmlItem Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlItem(
    string value
)
Public Sub New (
    value As String
)
public:
HtmlItem(
    String^ value
)
new :
        value : string -> HtmlItem

Parameters

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.HtmlItem.#ctor(System.String)"]

See Also

Reference

HtmlItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions"]

Classes
 | Class | Description
Public class | HtmlItemsExtensions | Html项列表的扩展函数


HtmlItemsExtensions Class
Html项列表的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.ExtensionsHtmlItemsExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class HtmlItemsExtensions
<ExtensionAttribute>
Public NotInheritable Class HtmlItemsExtensions
[ExtensionAttribute]
public ref class HtmlItemsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type HtmlItemsExtensions =  class end

The HtmlItemsExtensions type exposes the following members.

Methods
Name | Description
AddAjaxTableFilterBar | 添加Ajax表格使用的过滤栏
AddButtonForClickEvent | 添加处理点击事件的按钮
AddButtonForLink | 添加打开链接使用的按钮
AddRemoteModalForAjaxTable | 添加使用模态框弹出指定指定页面的按钮 支持在数据改变后模态框关闭时刷新Ajax表格
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions Methods

The HtmlItemsExtensions type exposes the following members.

Methods
Name | Description
AddAjaxTableFilterBar | 添加Ajax表格使用的过滤栏
AddButtonForClickEvent | 添加处理点击事件的按钮
AddButtonForLink | 添加打开链接使用的按钮
AddRemoteModalForAjaxTable | 添加使用模态框弹出指定指定页面的按钮 支持在数据改变后模态框关闭时刷新Ajax表格
Top
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddAjaxTableFilterBar Method

HtmlItemsExtensionsAddAjaxTableFilterBar Method

添加Ajax表格使用的过滤栏

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAjaxTableFilterBar(
    this List<HtmlItem> items,
    string key,
    IList<ListItem> tabItems
)
<ExtensionAttribute>
Public Shared Sub AddAjaxTableFilterBar (
    items As List(Of HtmlItem),
    key As String,
    tabItems As IList(Of ListItem)
)
public:
[ExtensionAttribute]
static void AddAjaxTableFilterBar(
    List<HtmlItem^>^ items,
    String^ key,
    IList<ListItem^>^ tabItems
)
[<ExtensionAttribute>]
static member AddAjaxTableFilterBar :
        items : List<HtmlItem> *
        key : string *
        tabItems : IList<ListItem> -> unit

Parameters

items
Type: System.Collections.GenericList HtmlItem
html项列表
key
Type: SystemString
过滤键
tabItems
Type: System.Collections.GenericIList ListItem
标签项列表，附加属性中可以设置displayCount显示数量

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddButtonForClickEvent Method

HtmlItemsExtensionsAddButtonForClickEvent Method

添加处理点击事件的按钮

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddButtonForClickEvent(
    this List<HtmlItem> items,
    string name,
    string iconClass,
    string btnClass,
    string onClick
)
<ExtensionAttribute>
Public Shared Sub AddButtonForClickEvent (
    items As List(Of HtmlItem),
    name As String,
    iconClass As String,
    btnClass As String,
    onClick As String
)
public:
[ExtensionAttribute]
static void AddButtonForClickEvent(
    List<HtmlItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ btnClass,
    String^ onClick
)
[<ExtensionAttribute>]
static member AddButtonForClickEvent :
        items : List<HtmlItem> *
        name : string *
        iconClass : string *
        btnClass : string *
        onClick : string -> unit

Parameters

items
Type: System.Collections.GenericList HtmlItem
html项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标css类
btnClass
Type: SystemString
按钮css类
onClick
Type: SystemString
点击时执行的Javascript代码

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddButtonForLink Method

HtmlItemsExtensionsAddButtonForLink Method

添加打开链接使用的按钮

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddButtonForLink(
    this List<HtmlItem> items,
    string name,
    string iconClass,
    string btnClass,
    string href,
    string target = "_self"
)
<ExtensionAttribute>
Public Shared Sub AddButtonForLink (
    items As List(Of HtmlItem),
    name As String,
    iconClass As String,
    btnClass As String,
    href As String,
    Optional target As String = "_self"
)
public:
[ExtensionAttribute]
static void AddButtonForLink(
    List<HtmlItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ btnClass,
    String^ href,
    String^ target = L"_self"
)
[<ExtensionAttribute>]
static member AddButtonForLink :
        items : List<HtmlItem> *
        name : string *
        iconClass : string *
        btnClass : string *
        href : string *
        ?target : string
(* Defaults:
        let _target = defaultArg target "_self"
*)
-> unit

Parameters

items
Type: System.Collections.GenericList HtmlItem
html项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标css类
btnClass
Type: SystemString
按钮css类
href
Type: SystemString
链接地址
target (Optional)
Type: SystemString
打开目标

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddRemoteModalForAjaxTable Method

HtmlItemsExtensionsAddRemoteModalForAjaxTable Method

添加使用模态框弹出指定指定页面的按钮 支持在数据改变后模态框关闭时刷新Ajax表格

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRemoteModalForAjaxTable(
    this List<HtmlItem> items,
    string name,
    string iconClass,
    string btnClass,
    string title,
    string url,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddRemoteModalForAjaxTable (
    items As List(Of HtmlItem),
    name As String,
    iconClass As String,
    btnClass As String,
    title As String,
    url As String,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddRemoteModalForAjaxTable(
    List<HtmlItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ btnClass,
    String^ title,
    String^ url,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddRemoteModalForAjaxTable :
        items : List<HtmlItem> *
        name : string *
        iconClass : string *
        btnClass : string *
        title : string *
        url : string *
        ?dialogParameters : Object
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList HtmlItem
html项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标Css类
btnClass
Type: SystemString
按钮css类
title
Type: SystemString
模态框标题
url
Type: SystemString
远程链接
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog的参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItems.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems |
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces |


ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems"]

Classes
 | Class | Description
Public class | CustomListItemGroupsProvider | 自定义选项分组列表提供器 请配合ListItemValueWithProvider使用
Public class | CustomListItemProvider | 自定义选项列表提供器 请配合ListItemValueWithProvider使用
Public class | CustomListItemTreeProvider | 自定义选项树提供器 请配合ListItemValueWithProvider使用
Public class | ListItem | 下拉框或单选按钮使用的选项
Public class | ListItemFromEntitiesTEntity, TPrimaryKey | 根据数据提供选项列表
Public class | ListItemFromEnumTEnum | 根据枚举值提供选项列表
 | ListItemsWithOptionalTBaseProvider | 给选项列表添加"请选择"的空值选项
Public class | ListItemUtils | 选项工具类
Public class | ListItemValueWithProvider | 选项值 + 选项列表提供器 选项列表提供器根据字段类型不同 默认有以下类型的提供器 - IListItemGroupsProvider - IListItemProvider - IListItemTreeProvider


CustomListItemGroupsProvider Class
自定义选项分组列表提供器 请配合ListItemValueWithProvider使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsCustomListItemGroupsProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CustomListItemGroupsProvider : IListItemGroupsProvider
Public Class CustomListItemGroupsProvider
    Implements IListItemGroupsProvider
public ref class CustomListItemGroupsProvider : IListItemGroupsProvider
type CustomListItemGroupsProvider =
    class
        interface IListItemGroupsProvider
    end

The CustomListItemGroupsProvider type exposes the following members.

Constructors
 | Name | Description
Public method | CustomListItemGroupsProvider | 初始化
Top
Properties
 | Name | Description
Public property | Groups | 选项分组列表
Top
Methods
 | Name | Description
Public method | GetGroups | 返回选项分组列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemGroupsProvider Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomListItemGroupsProvider(
    IList<IGrouping<string, ListItem>> groups
)
Public Sub New (
    groups As IList(Of IGrouping(Of String, ListItem))
)
public:
CustomListItemGroupsProvider(
    IList<IGrouping<String^, ListItem^>^>^ groups
)
new :
        groups : IList<IGrouping<string, ListItem>> -> CustomListItemGroupsProvider

Parameters

groups
Type: System.Collections.GenericIList IGrouping String, ListItem
选项分组列表
See Also

Reference

CustomListItemGroupsProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemGroupsProvider Properties

The CustomListItemGroupsProvider type exposes the following members.

Properties
 | Name | Description
Public property | Groups | 选项分组列表
Top
See Also

Reference

CustomListItemGroupsProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemGroupsProvider.Groups Property

CustomListItemGroupsProviderGroups Property

选项分组列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<IGrouping<string, ListItem>> Groups { get; set; }
Public Property Groups As IList(Of IGrouping(Of String, ListItem))
    Get
    Set
public:
property IList<IGrouping<String^, ListItem^>^>^ Groups {
    IList<IGrouping<String^, ListItem^>^>^ get ();
    void set (IList<IGrouping<String^, ListItem^>^>^ value);
}
member Groups : IList<IGrouping<string, ListItem>> with get, set

Property Value

Type: IList IGrouping String, ListItem
See Also

Reference

CustomListItemGroupsProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemGroupsProvider Methods

The CustomListItemGroupsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetGroups | 返回选项分组列表
Top
See Also

Reference

CustomListItemGroupsProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemGroupsProvider.GetGroups Method

CustomListItemGroupsProviderGetGroups Method

返回选项分组列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<IGrouping<string, ListItem>> GetGroups()
Public Function GetGroups As IEnumerable(Of IGrouping(Of String, ListItem))
public:
virtual IEnumerable<IGrouping<String^, ListItem^>^>^ GetGroups() sealed
abstract GetGroups : unit -> IEnumerable<IGrouping<string, ListItem>>
override GetGroups : unit -> IEnumerable<IGrouping<string, ListItem>>

Return Value

Type: IEnumerable IGrouping String, ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.CustomListItemGroupsProvider.GetGroups"]

Implements

IListItemGroupsProviderGetGroups
See Also

Reference

CustomListItemGroupsProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider Class
自定义选项列表提供器 请配合ListItemValueWithProvider使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsCustomListItemProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CustomListItemProvider : IListItemProvider
Public Class CustomListItemProvider
    Implements IListItemProvider
public ref class CustomListItemProvider : IListItemProvider
type CustomListItemProvider =
    class
        interface IListItemProvider
    end

The CustomListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | CustomListItemProvider(IListListItem) | 初始化
Public method | CustomListItemProvider(ListItem) | 初始化
Top
Properties
 | Name | Description
Public property | Items | 选项列表
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider Constructor

Overload List
 | Name | Description
Public method | CustomListItemProvider(IListListItem) | 初始化
Public method | CustomListItemProvider(ListItem) | 初始化
Top
See Also

Reference

CustomListItemProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider Constructor (IList(ListItem))

CustomListItemProvider Constructor (IListListItem)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomListItemProvider(
    IList<ListItem> items
)
Public Sub New (
    items As IList(Of ListItem)
)
public:
CustomListItemProvider(
    IList<ListItem^>^ items
)
new :
        items : IList<ListItem> -> CustomListItemProvider

Parameters

items
Type: System.Collections.GenericIList ListItem
选项列表
See Also

Reference

CustomListItemProvider Class
CustomListItemProvider Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider Constructor (ListItem[])

CustomListItemProvider Constructor (ListItem)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomListItemProvider(
    params ListItem[] items
)
Public Sub New (
    ParamArray items As ListItem()
)
public:
CustomListItemProvider(
    ... array<ListItem^>^ items
)
new :
        items : ListItem[] -> CustomListItemProvider

Parameters

items
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItem
选项列表
See Also

Reference

CustomListItemProvider Class
CustomListItemProvider Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider Properties

The CustomListItemProvider type exposes the following members.

Properties
 | Name | Description
Public property | Items | 选项列表
Top
See Also

Reference

CustomListItemProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider.Items Property

CustomListItemProviderItems Property

选项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<ListItem> Items { get; set; }
Public Property Items As IList(Of ListItem)
    Get
    Set
public:
property IList<ListItem^>^ Items {
    IList<ListItem^>^ get ();
    void set (IList<ListItem^>^ value);
}
member Items : IList<ListItem> with get, set

Property Value

Type: IList ListItem
See Also

Reference

CustomListItemProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider Methods

The CustomListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

CustomListItemProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemProvider.GetItems Method

CustomListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.CustomListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

CustomListItemProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemTreeProvider Class
自定义选项树提供器 请配合ListItemValueWithProvider使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsCustomListItemTreeProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CustomListItemTreeProvider : IListItemTreeProvider
Public Class CustomListItemTreeProvider
    Implements IListItemTreeProvider
public ref class CustomListItemTreeProvider : IListItemTreeProvider
type CustomListItemTreeProvider =
    class
        interface IListItemTreeProvider
    end

The CustomListItemTreeProvider type exposes the following members.

Constructors
 | Name | Description
Public method | CustomListItemTreeProvider | 初始化
Top
Properties
 | Name | Description
Public property | Tree | 选项树
Top
Methods
 | Name | Description
Public method | GetTree | 获取选项树
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemTreeProvider Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomListItemTreeProvider(
    ITreeNode<ListItem> tree
)
Public Sub New (
    tree As ITreeNode(Of ListItem)
)
public:
CustomListItemTreeProvider(
    ITreeNode<ListItem^>^ tree
)
new :
        tree : ITreeNode<ListItem> -> CustomListItemTreeProvider

Parameters

tree
Type: ITreeNodeListItem
选项树
See Also

Reference

CustomListItemTreeProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemTreeProvider Properties

The CustomListItemTreeProvider type exposes the following members.

Properties
 | Name | Description
Public property | Tree | 选项树
Top
See Also

Reference

CustomListItemTreeProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemTreeProvider.Tree Property

CustomListItemTreeProviderTree Property

选项树

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ITreeNode<ListItem> Tree { get; set; }
Public Property Tree As ITreeNode(Of ListItem)
    Get
    Set
public:
property ITreeNode<ListItem^>^ Tree {
    ITreeNode<ListItem^>^ get ();
    void set (ITreeNode<ListItem^>^ value);
}
member Tree : ITreeNode<ListItem> with get, set

Property Value

Type: ITreeNodeListItem
See Also

Reference

CustomListItemTreeProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemTreeProvider Methods

The CustomListItemTreeProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetTree | 获取选项树
Top
See Also

Reference

CustomListItemTreeProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


CustomListItemTreeProvider.GetTree Method

CustomListItemTreeProviderGetTree Method

获取选项树

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ITreeNode<ListItem> GetTree()
Public Function GetTree As ITreeNode(Of ListItem)
public:
virtual ITreeNode<ListItem^>^ GetTree() sealed
abstract GetTree : unit -> ITreeNode<ListItem>
override GetTree : unit -> ITreeNode<ListItem>

Return Value

Type: ITreeNodeListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.CustomListItemTreeProvider.GetTree"]

Implements

IListItemTreeProviderGetTree
See Also

Reference

CustomListItemTreeProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem Class
下拉框或单选按钮使用的选项
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItem

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ListItem : ILiquidizable
Public Class ListItem
    Implements ILiquidizable
public ref class ListItem : ILiquidizable
type ListItem =
    class
        interface ILiquidizable
    end

The ListItem type exposes the following members.

Constructors
 | Name | Description
Public method | ListItem | 初始化
Public method | ListItem(String, String) | 初始化
Public method | ListItem(String, String, Object) | 初始化
Top
Properties
 | Name | Description
Public property | Extra | 附加数据
Public property | Name | 名称
Public property | Value | 值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem Constructor

Overload List
 | Name | Description
Public method | ListItem | 初始化
Public method | ListItem(String, String) | 初始化
Public method | ListItem(String, String, Object) | 初始化
Top
See Also

Reference

ListItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItem()
Public Sub New
public:
ListItem()
new : unit -> ListItem
See Also

Reference

ListItem Class
ListItem Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem Constructor (String, String)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItem(
    string name,
    string value
)
Public Sub New (
    name As String,
    value As String
)
public:
ListItem(
    String^ name,
    String^ value
)
new :
        name : string *
        value : string -> ListItem

Parameters

name
Type: SystemString
名称
value
Type: SystemString
值
See Also

Reference

ListItem Class
ListItem Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem Constructor (String, String, Object)
初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItem(
    string name,
    string value,
    Object extra
)
Public Sub New (
    name As String,
    value As String,
    extra As Object
)
public:
ListItem(
    String^ name,
    String^ value,
    Object^ extra
)
new :
        name : string *
        value : string *
        extra : Object -> ListItem

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItem.#ctor(System.String,System.String,System.Object)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItem.#ctor(System.String,System.String,System.Object)"]

extra
Type: SystemObject

[Missing <param name="extra"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItem.#ctor(System.String,System.String,System.Object)"]

See Also

Reference

ListItem Class
ListItem Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem Properties

The ListItem type exposes the following members.

Properties
 | Name | Description
Public property | Extra | 附加数据
Public property | Name | 名称
Public property | Value | 值
Top
See Also

Reference

ListItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem.Extra Property

ListItemExtra Property

附加数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Extra { get; set; }
Public Property Extra As Object
    Get
    Set
public:
property Object^ Extra {
    Object^ get ();
    void set (Object^ value);
}
member Extra : Object with get, set

Property Value

Type: Object
See Also

Reference

ListItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem.Name Property

ListItemName Property

名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

ListItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItem.Value Property

ListItemValue Property

值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Value { get; set; }
Public Property Value As String
    Get
    Set
public:
property String^ Value {
    String^ get ();
    void set (String^ value);
}
member Value : string with get, set

Property Value

Type: String
See Also

Reference

ListItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEntities(TEntity, TPrimaryKey) Class

ListItemFromEntitiesTEntity, TPrimaryKey Class
根据数据提供选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItemFromEntitiesTEntity, TPrimaryKey

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ListItemFromEntities<TEntity, TPrimaryKey> : IListItemProvider
where TEntity : class, Object, IEntity<TPrimaryKey>

Public Class ListItemFromEntities(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Implements IListItemProvider
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class ListItemFromEntities : IListItemProvider
type ListItemFromEntities<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        interface IListItemProvider
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
实体主键

The ListItemFromEntitiesTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Public method | ListItemFromEntitiesTEntity, TPrimaryKey | Initializes a new instance of the ListItemFromEntitiesTEntity, TPrimaryKey class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEntities(TEntity, TPrimaryKey) Constructor

ListItemFromEntitiesTEntity, TPrimaryKey Constructor

Initializes a new instance of the ListItemFromEntitiesTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItemFromEntities()
Public Sub New
public:
ListItemFromEntities()
new : unit -> ListItemFromEntities
See Also

Reference

ListItemFromEntitiesTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEntities(TEntity, TPrimaryKey) Methods

ListItemFromEntitiesTEntity, TPrimaryKey Methods

The ListItemFromEntitiesTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ListItemFromEntitiesTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEntities(TEntity, TPrimaryKey).GetItems Method

ListItemFromEntitiesTEntity, TPrimaryKeyGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemFromEntities`2.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ListItemFromEntitiesTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEnum(TEnum) Class

ListItemFromEnumTEnum Class
根据枚举值提供选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItemFromEnumTEnum

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ListItemFromEnum<TEnum> : IListItemProvider
where TEnum : struct, new()

Public Class ListItemFromEnum(Of TEnum As {Structure, New})
    Implements IListItemProvider
generic<typename TEnum>
where TEnum : value class, gcnew()
public ref class ListItemFromEnum : IListItemProvider
type ListItemFromEnum<'TEnum when 'TEnum : struct, new()> =
    class
        interface IListItemProvider
    end

Type Parameters

TEnum
枚举类型

The ListItemFromEnumTEnum type exposes the following members.

Constructors
 | Name | Description
Public method | ListItemFromEnumTEnum | Initializes a new instance of the ListItemFromEnumTEnum class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEnum(TEnum) Constructor

ListItemFromEnumTEnum Constructor

Initializes a new instance of the ListItemFromEnumTEnum class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItemFromEnum()
Public Sub New
public:
ListItemFromEnum()
new : unit -> ListItemFromEnum
See Also

Reference

ListItemFromEnumTEnum Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEnum(TEnum) Methods

ListItemFromEnumTEnum Methods

The ListItemFromEnumTEnum generic type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ListItemFromEnumTEnum Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemFromEnum(TEnum).GetItems Method

ListItemFromEnumTEnumGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemFromEnum`1.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ListItemFromEnumTEnum Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemsWithOptional(TBaseProvider) Class

ListItemsWithOptionalTBaseProvider Class
给选项列表添加"请选择"的空值选项
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItemsWithOptionalTBaseProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ListItemsWithOptional<TBaseProvider> : IListItemProvider
where TBaseProvider : new(), IListItemProvider

Public Class ListItemsWithOptional(Of TBaseProvider As {New, IListItemProvider})
    Implements IListItemProvider
generic<typename TBaseProvider>
where TBaseProvider : gcnew(), IListItemProvider
public ref class ListItemsWithOptional : IListItemProvider
type ListItemsWithOptional<'TBaseProvider when 'TBaseProvider : new() and IListItemProvider> =
    class
        interface IListItemProvider
    end

Type Parameters

TBaseProvider

[Missing <typeparam name="TBaseProvider"/> documentation for "T:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemsWithOptional`1"]

The ListItemsWithOptionalTBaseProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ListItemsWithOptionalTBaseProvider | Initializes a new instance of the ListItemsWithOptionalTBaseProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
Examples
[DropdownListField("Type", typeof(ListItemsWithOptional[ListItemFromEnum[TestTypes]]))]
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemsWithOptional(TBaseProvider) Constructor

ListItemsWithOptionalTBaseProvider Constructor

Initializes a new instance of the ListItemsWithOptionalTBaseProvider class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItemsWithOptional()
Public Sub New
public:
ListItemsWithOptional()
new : unit -> ListItemsWithOptional
See Also

Reference

ListItemsWithOptionalTBaseProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemsWithOptional(TBaseProvider) Methods

ListItemsWithOptionalTBaseProvider Methods

The ListItemsWithOptionalTBaseProvider generic type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ListItemsWithOptionalTBaseProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemsWithOptional(TBaseProvider).GetItems Method

ListItemsWithOptionalTBaseProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemsWithOptional`1.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ListItemsWithOptionalTBaseProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemUtils Class
选项工具类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItemUtils

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ListItemUtils
Public NotInheritable Class ListItemUtils
public ref class ListItemUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ListItemUtils =  class end

The ListItemUtils type exposes the following members.

Methods
Name | Description
GetValueAndProviderT | 获取选项值和选项列表提供器
WrapValueAndProvider | 解析值时如果source等于null则用ListItemValueWithProvider包装 否则返回原值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemUtils Methods

The ListItemUtils type exposes the following members.

Methods
Name | Description
GetValueAndProviderT | 获取选项值和选项列表提供器
WrapValueAndProvider | 解析值时如果source等于null则用ListItemValueWithProvider包装 否则返回原值
Top
See Also

Reference

ListItemUtils Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemUtils.GetValueAndProvider(T) Method

ListItemUtilsGetValueAndProviderT Method

获取选项值和选项列表提供器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Pair<Object, T> GetValueAndProvider<T>(
    Type source,
    Object value
)

Public Shared Function GetValueAndProvider(Of T) (
    source As Type,
    value As Object
) As Pair(Of Object, T)
public:
generic<typename T>
static Pair<Object^, T> GetValueAndProvider(
    Type^ source,
    Object^ value
)
static member GetValueAndProvider :
        source : Type *
        value : Object -> Pair<Object, 'T>

Parameters

source
Type: SystemType
手动指定的提供器类型, 如果等于null则要求value必须是ListItemValueWithProvider
value
Type: SystemObject
值, 如果source等于null应该使用ListItemValueWithProvider

Type Parameters

T
提供器的类型

Return Value

Type: PairObject, T

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemUtils.GetValueAndProvider``1(System.Type,System.Object)"]

See Also

Reference

ListItemUtils Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemUtils.WrapValueAndProvider Method

ListItemUtilsWrapValueAndProvider Method

解析值时如果source等于null则用ListItemValueWithProvider包装 否则返回原值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Object WrapValueAndProvider(
    Type source,
    Object parsed
)
Public Shared Function WrapValueAndProvider (
    source As Type,
    parsed As Object
) As Object
public:
static Object^ WrapValueAndProvider(
    Type^ source,
    Object^ parsed
)
static member WrapValueAndProvider :
        source : Type *
        parsed : Object -> Object

Parameters

source
Type: SystemType
手动指定的提供器类型
parsed
Type: SystemObject
解析后的值

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemUtils.WrapValueAndProvider(System.Type,System.Object)"]

See Also

Reference

ListItemUtils Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemValueWithProvider Class
选项值 + 选项列表提供器 选项列表提供器根据字段类型不同 默认有以下类型的提供器 - IListItemGroupsProvider - IListItemProvider - IListItemTreeProvider
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItemsListItemValueWithProvider

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ListItemValueWithProvider
Public Class ListItemValueWithProvider
public ref class ListItemValueWithProvider
type ListItemValueWithProvider =  class end

The ListItemValueWithProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ListItemValueWithProvider | 初始化
Top
Properties
 | Name | Description
Public property | Provider | 选项列表提供器 解析提交内容时这里会等于null
Public property | Value | 选项值
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemValueWithProvider Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ListItemValueWithProvider(
    Object value,
    Object provider
)
Public Sub New (
    value As Object,
    provider As Object
)
public:
ListItemValueWithProvider(
    Object^ value,
    Object^ provider
)
new :
        value : Object *
        provider : Object -> ListItemValueWithProvider

Parameters

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemValueWithProvider.#ctor(System.Object,System.Object)"]

provider
Type: SystemObject

[Missing <param name="provider"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.ListItemValueWithProvider.#ctor(System.Object,System.Object)"]

See Also

Reference

ListItemValueWithProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemValueWithProvider Properties

The ListItemValueWithProvider type exposes the following members.

Properties
 | Name | Description
Public property | Provider | 选项列表提供器 解析提交内容时这里会等于null
Public property | Value | 选项值
Top
See Also

Reference

ListItemValueWithProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemValueWithProvider.Provider Property

ListItemValueWithProviderProvider Property

选项列表提供器 解析提交内容时这里会等于null

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Provider { get; set; }
Public Property Provider As Object
    Get
    Set
public:
property Object^ Provider {
    Object^ get ();
    void set (Object^ value);
}
member Provider : Object with get, set

Property Value

Type: Object
See Also

Reference

ListItemValueWithProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ListItemValueWithProvider.Value Property

ListItemValueWithProviderValue Property

选项值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Value { get; set; }
Public Property Value As Object
    Get
    Set
public:
property Object^ Value {
    Object^ get ();
    void set (Object^ value);
}
member Value : Object with get, set

Property Value

Type: Object
See Also

Reference

ListItemValueWithProvider Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IListItemGroupsProvider | 勾选框使用的选项分组列表来源的接口
Public interface | IListItemProvider | 下拉框或单选按钮使用的选项列表来源的接口
Public interface | IListItemTreeProvider | 勾选框使用的选项树来源的接口


IListItemGroupsProvider Interface
勾选框使用的选项分组列表来源的接口

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IListItemGroupsProvider
Public Interface IListItemGroupsProvider
public interface class IListItemGroupsProvider
type IListItemGroupsProvider =  interface end

The IListItemGroupsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetGroups | 获取分组列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemGroupsProvider Methods

The IListItemGroupsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetGroups | 获取分组列表
Top
See Also

Reference

IListItemGroupsProvider Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemGroupsProvider.GetGroups Method

IListItemGroupsProviderGetGroups Method

获取分组列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<IGrouping<string, ListItem>> GetGroups()
Function GetGroups As IEnumerable(Of IGrouping(Of String, ListItem))
IEnumerable<IGrouping<String^, ListItem^>^>^ GetGroups()
abstract GetGroups : unit -> IEnumerable<IGrouping<string, ListItem>>

Return Value

Type: IEnumerable IGrouping String, ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces.IListItemGroupsProvider.GetGroups"]

See Also

Reference

IListItemGroupsProvider Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemProvider Interface
下拉框或单选按钮使用的选项列表来源的接口

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IListItemProvider
Public Interface IListItemProvider
public interface class IListItemProvider
type IListItemProvider =  interface end

The IListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemProvider Methods

The IListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

IListItemProvider Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemProvider.GetItems Method

IListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<ListItem> GetItems()
Function GetItems As IEnumerable(Of ListItem)
IEnumerable<ListItem^>^ GetItems()
abstract GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces.IListItemProvider.GetItems"]

See Also

Reference

IListItemProvider Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemTreeProvider Interface
勾选框使用的选项树来源的接口

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IListItemTreeProvider
Public Interface IListItemTreeProvider
public interface class IListItemTreeProvider
type IListItemTreeProvider =  interface end

The IListItemTreeProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetTree | 获取选项树
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemTreeProvider Methods

The IListItemTreeProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetTree | 获取选项树
Top
See Also

Reference

IListItemTreeProvider Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


IListItemTreeProvider.GetTree Method

IListItemTreeProviderGetTree Method

获取选项树

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
ITreeNode<ListItem> GetTree()
Function GetTree As ITreeNode(Of ListItem)
ITreeNode<ListItem^>^ GetTree()
abstract GetTree : unit -> ITreeNode<ListItem>

Return Value

Type: ITreeNodeListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces.IListItemTreeProvider.GetTree"]

See Also

Reference

IListItemTreeProvider Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.ListItems.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems |
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions |


ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems"]

Classes
 | Class | Description
Public class | MenuItem | 菜单项 这个类型用于支持List[MenuItem]的扩展函数
Public class | MenuItemGroup | 菜单项列表的分组


MenuItem Class
菜单项 这个类型用于支持List[MenuItem]的扩展函数
Inheritance Hierarchy
SystemObject
HtmlString
ZKWeb.Plugins.Common.Base.src.UIComponents.HtmlItemsHtmlItem
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItemsMenuItem

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class MenuItem : HtmlItem
Public Class MenuItem
    Inherits HtmlItem
public ref class MenuItem : public HtmlItem
type MenuItem =
    class
        inherit HtmlItem
    end

The MenuItem type exposes the following members.

Constructors
 | Name | Description
Public method | MenuItem | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItem Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public MenuItem(
    string value
)
Public Sub New (
    value As String
)
public:
MenuItem(
    String^ value
)
new :
        value : string -> MenuItem

Parameters

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItem.#ctor(System.String)"]

See Also

Reference

MenuItem Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItemGroup Class
菜单项列表的分组
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItemsMenuItemGroup

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class MenuItemGroup : ILiquidizable
Public Class MenuItemGroup
    Implements ILiquidizable
public ref class MenuItemGroup : ILiquidizable
type MenuItemGroup =
    class
        interface ILiquidizable
    end

The MenuItemGroup type exposes the following members.

Constructors
 | Name | Description
Public method | MenuItemGroup | 初始化
Top
Properties
 | Name | Description
Public property | IconClass | 图标的Css类
Public property | Items | 菜单项列表
Public property | Name | 分组名称
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItemGroup Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public MenuItemGroup(
    string name,
    string iconClass
)
Public Sub New (
    name As String,
    iconClass As String
)
public:
MenuItemGroup(
    String^ name,
    String^ iconClass
)
new :
        name : string *
        iconClass : string -> MenuItemGroup

Parameters

name
Type: SystemString
分组名称
iconClass
Type: SystemString
图标的Css类
See Also

Reference

MenuItemGroup Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItemGroup Properties

The MenuItemGroup type exposes the following members.

Properties
 | Name | Description
Public property | IconClass | 图标的Css类
Public property | Items | 菜单项列表
Public property | Name | 分组名称
Top
See Also

Reference

MenuItemGroup Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItemGroup.IconClass Property

MenuItemGroupIconClass Property

图标的Css类

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string IconClass { get; set; }
Public Property IconClass As String
    Get
    Set
public:
property String^ IconClass {
    String^ get ();
    void set (String^ value);
}
member IconClass : string with get, set

Property Value

Type: String
See Also

Reference

MenuItemGroup Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItemGroup.Items Property

MenuItemGroupItems Property

菜单项列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<MenuItem> Items { get; set; }
Public Property Items As IList(Of MenuItem)
    Get
    Set
public:
property IList<MenuItem^>^ Items {
    IList<MenuItem^>^ get ();
    void set (IList<MenuItem^>^ value);
}
member Items : IList<MenuItem> with get, set

Property Value

Type: IList MenuItem
See Also

Reference

MenuItemGroup Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


MenuItemGroup.Name Property

MenuItemGroupName Property

分组名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

MenuItemGroup Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions"]

Classes
 | Class | Description
Public class | MenuItemsExtensions | 菜单项列表的扩展函数


MenuItemsExtensions Class
菜单项列表的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.ExtensionsMenuItemsExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class MenuItemsExtensions
<ExtensionAttribute>
Public NotInheritable Class MenuItemsExtensions
[ExtensionAttribute]
public ref class MenuItemsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type MenuItemsExtensions =  class end

The MenuItemsExtensions type exposes the following members.

Methods
Name | Description
AddDivider | 添加分割线
AddFullscreen | 添加全屏项 可用于 - 全屏所在的.portlet
AddItemForClickEvent | 添加处理点击事件的菜单项
AddItemForLink | 添加打开链接使用的菜单项
AddPaginationSettings | 添加每页数量设置
AddRefresh | 添加刷新项 可用于 - ajax表格，要求在.ajax-table-menu中
AddRemoteModalForAjaxTable | 添加使用模态框弹出指定指定页面的菜单项 支持在数据改变后模态框关闭时刷新Ajax表格
AddRemoteModalForSelectedRow | 使用模态框弹出指定指定页面的菜单项 链接模板传入Ajax表格当前选中单行的数据 支持在数据改变后模态框关闭时刷新Ajax表格
AddTableOperations | 添加对表格的操作 包含导出xls，打印
AddToggleAllForAjaxTableTree | Ajax表格树展开/折叠全部的菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions Methods

The MenuItemsExtensions type exposes the following members.

Methods
Name | Description
AddDivider | 添加分割线
AddFullscreen | 添加全屏项 可用于 - 全屏所在的.portlet
AddItemForClickEvent | 添加处理点击事件的菜单项
AddItemForLink | 添加打开链接使用的菜单项
AddPaginationSettings | 添加每页数量设置
AddRefresh | 添加刷新项 可用于 - ajax表格，要求在.ajax-table-menu中
AddRemoteModalForAjaxTable | 添加使用模态框弹出指定指定页面的菜单项 支持在数据改变后模态框关闭时刷新Ajax表格
AddRemoteModalForSelectedRow | 使用模态框弹出指定指定页面的菜单项 链接模板传入Ajax表格当前选中单行的数据 支持在数据改变后模态框关闭时刷新Ajax表格
AddTableOperations | 添加对表格的操作 包含导出xls，打印
AddToggleAllForAjaxTableTree | Ajax表格树展开/折叠全部的菜单项
Top
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddDivider Method

MenuItemsExtensionsAddDivider Method

添加分割线

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddDivider(
    this List<MenuItem> items
)
<ExtensionAttribute>
Public Shared Sub AddDivider (
    items As List(Of MenuItem)
)
public:
[ExtensionAttribute]
static void AddDivider(
    List<MenuItem^>^ items
)
[<ExtensionAttribute>]
static member AddDivider :
        items : List<MenuItem> -> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddFullscreen Method

MenuItemsExtensionsAddFullscreen Method

添加全屏项 可用于 - 全屏所在的.portlet

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddFullscreen(
    this List<MenuItem> items
)
<ExtensionAttribute>
Public Shared Sub AddFullscreen (
    items As List(Of MenuItem)
)
public:
[ExtensionAttribute]
static void AddFullscreen(
    List<MenuItem^>^ items
)
[<ExtensionAttribute>]
static member AddFullscreen :
        items : List<MenuItem> -> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddItemForClickEvent Method

MenuItemsExtensionsAddItemForClickEvent Method

添加处理点击事件的菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddItemForClickEvent(
    this IList<MenuItem> items,
    string name,
    string iconClass,
    string onClick
)
<ExtensionAttribute>
Public Shared Sub AddItemForClickEvent (
    items As IList(Of MenuItem),
    name As String,
    iconClass As String,
    onClick As String
)
public:
[ExtensionAttribute]
static void AddItemForClickEvent(
    IList<MenuItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ onClick
)
[<ExtensionAttribute>]
static member AddItemForClickEvent :
        items : IList<MenuItem> *
        name : string *
        iconClass : string *
        onClick : string -> unit

Parameters

items
Type: System.Collections.GenericIList MenuItem
菜单项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标css类
onClick
Type: SystemString
点击时执行的Javascript代码

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddItemForLink Method

MenuItemsExtensionsAddItemForLink Method

添加打开链接使用的菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddItemForLink(
    this IList<MenuItem> items,
    string name,
    string iconClass,
    string href,
    string target = "_self"
)
<ExtensionAttribute>
Public Shared Sub AddItemForLink (
    items As IList(Of MenuItem),
    name As String,
    iconClass As String,
    href As String,
    Optional target As String = "_self"
)
public:
[ExtensionAttribute]
static void AddItemForLink(
    IList<MenuItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ href,
    String^ target = L"_self"
)
[<ExtensionAttribute>]
static member AddItemForLink :
        items : IList<MenuItem> *
        name : string *
        iconClass : string *
        href : string *
        ?target : string
(* Defaults:
        let _target = defaultArg target "_self"
*)
-> unit

Parameters

items
Type: System.Collections.GenericIList MenuItem
菜单项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标css类
href
Type: SystemString
链接地址
target (Optional)
Type: SystemString
打开目标

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddPaginationSettings Method

MenuItemsExtensionsAddPaginationSettings Method

添加每页数量设置

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddPaginationSettings(
    this List<MenuItem> items,
    int[] pageSizes = null
)
<ExtensionAttribute>
Public Shared Sub AddPaginationSettings (
    items As List(Of MenuItem),
    Optional pageSizes As Integer() = Nothing
)
public:
[ExtensionAttribute]
static void AddPaginationSettings(
    List<MenuItem^>^ items,
    array<int>^ pageSizes = nullptr
)
[<ExtensionAttribute>]
static member AddPaginationSettings :
        items : List<MenuItem> *
        ?pageSizes : int[]
(* Defaults:
        let _pageSizes = defaultArg pageSizes null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表
pageSizes (Optional)
Type: SystemInt32
默认[5, 25, 50, 100, 500]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddRefresh Method

MenuItemsExtensionsAddRefresh Method

添加刷新项 可用于 - ajax表格，要求在.ajax-table-menu中

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRefresh(
    this List<MenuItem> items
)
<ExtensionAttribute>
Public Shared Sub AddRefresh (
    items As List(Of MenuItem)
)
public:
[ExtensionAttribute]
static void AddRefresh(
    List<MenuItem^>^ items
)
[<ExtensionAttribute>]
static member AddRefresh :
        items : List<MenuItem> -> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddRemoteModalForAjaxTable Method

MenuItemsExtensionsAddRemoteModalForAjaxTable Method

添加使用模态框弹出指定指定页面的菜单项 支持在数据改变后模态框关闭时刷新Ajax表格

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRemoteModalForAjaxTable(
    this List<MenuItem> items,
    string name,
    string iconClass,
    string title,
    string url,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddRemoteModalForAjaxTable (
    items As List(Of MenuItem),
    name As String,
    iconClass As String,
    title As String,
    url As String,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddRemoteModalForAjaxTable(
    List<MenuItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ title,
    String^ url,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddRemoteModalForAjaxTable :
        items : List<MenuItem> *
        name : string *
        iconClass : string *
        title : string *
        url : string *
        ?dialogParameters : Object
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标Css类
title
Type: SystemString
模态框标题
url
Type: SystemString
远程链接
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog的参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddRemoteModalForSelectedRow Method

MenuItemsExtensionsAddRemoteModalForSelectedRow Method

使用模态框弹出指定指定页面的菜单项 链接模板传入Ajax表格当前选中单行的数据 支持在数据改变后模态框关闭时刷新Ajax表格

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRemoteModalForSelectedRow(
    this IList<MenuItem> items,
    string name,
    string iconClass,
    string titleTemplate,
    string urlTemplate,
    Object dialogParameters = null
)
<ExtensionAttribute>
Public Shared Sub AddRemoteModalForSelectedRow (
    items As IList(Of MenuItem),
    name As String,
    iconClass As String,
    titleTemplate As String,
    urlTemplate As String,
    Optional dialogParameters As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddRemoteModalForSelectedRow(
    IList<MenuItem^>^ items,
    String^ name,
    String^ iconClass,
    String^ titleTemplate,
    String^ urlTemplate,
    Object^ dialogParameters = nullptr
)
[<ExtensionAttribute>]
static member AddRemoteModalForSelectedRow :
        items : IList<MenuItem> *
        name : string *
        iconClass : string *
        titleTemplate : string *
        urlTemplate : string *
        ?dialogParameters : Object
(* Defaults:
        let _dialogParameters = defaultArg dialogParameters null
*)
-> unit

Parameters

items
Type: System.Collections.GenericIList MenuItem
菜单项列表
name
Type: SystemString
显示名称
iconClass
Type: SystemString
图标Css类
titleTemplate
Type: SystemString
模态框标题的模板，格式是underscore.js的默认格式，参数传入row
urlTemplate
Type: SystemString
远程链接的模板，格式是underscore.js的默认格式，参数传入row
dialogParameters (Optional)
Type: SystemObject
用于覆盖传入给BootstrapDialog.show的参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddTableOperations Method

MenuItemsExtensionsAddTableOperations Method

添加对表格的操作 包含导出xls，打印

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddTableOperations(
    this List<MenuItem> items
)
<ExtensionAttribute>
Public Shared Sub AddTableOperations (
    items As List(Of MenuItem)
)
public:
[ExtensionAttribute]
static void AddTableOperations(
    List<MenuItem^>^ items
)
[<ExtensionAttribute>]
static member AddTableOperations :
        items : List<MenuItem> -> unit

Parameters

items
Type: System.Collections.GenericList MenuItem
菜单项列表

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


MenuItemsExtensions.AddToggleAllForAjaxTableTree Method

MenuItemsExtensionsAddToggleAllForAjaxTableTree Method

Ajax表格树展开/折叠全部的菜单项

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddToggleAllForAjaxTableTree(
    this IList<MenuItem> items,
    string levelMember
)
<ExtensionAttribute>
Public Shared Sub AddToggleAllForAjaxTableTree (
    items As IList(Of MenuItem),
    levelMember As String
)
public:
[ExtensionAttribute]
static void AddToggleAllForAjaxTableTree(
    IList<MenuItem^>^ items,
    String^ levelMember
)
[<ExtensionAttribute>]
static member AddToggleAllForAjaxTableTree :
        items : IList<MenuItem> *
        levelMember : string -> unit

Parameters

items
Type: System.Collections.GenericIList MenuItem
菜单项列表
levelMember
Type: SystemString
保存节点等级的成员名称

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList MenuItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemsExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings"]

Classes
 | Class | Description
Public class | BaseScriptStrings | 常用脚本字符串


BaseScriptStrings Class
常用脚本字符串
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStringsBaseScriptStrings

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class BaseScriptStrings
Public NotInheritable Class BaseScriptStrings
public ref class BaseScriptStrings abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type BaseScriptStrings =  class end

The BaseScriptStrings type exposes the following members.

Methods
Name | Description
ConfirmMessageTemplateForMultiSelected | 批量操作的确认消息模板 例 是否确认要删除以下用户 用户名 用户名
PostConfirmedActionForMultiSelected | 在Ajax表格的批量操作确认框已确认时 使用ajaxTable.postAction提交指定的成员列表到目标地址
Redirect | 在一定时间后重定向当前页面到指定地址
RedirectModal | 更新模态框远程页面内容到指定的Url
RefreshAfter | 在指定时间后刷新当前页面
Top
Fields
Name | Description
AjaxtableUpdatedAndCloseModal | 通知Ajax表格数据已更新，并关闭模态框
AjaxtableUpdatedAndRefreshModal | 通知Ajax表格数据已更新，并刷新模态框
AjaxtableUpdatedFromModal | 通知Ajax表格数据已更新 调用后在模态框关闭时表格会自动刷新
CloseModal | 关闭模态框
RefreshModal | 刷新模态框
ReloadModal | 触发模态框远程页面内容的更新事件 一般在提交后，需要刷新当前模态框内容时使用
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings Methods

The BaseScriptStrings type exposes the following members.

Methods
Name | Description
ConfirmMessageTemplateForMultiSelected | 批量操作的确认消息模板 例 是否确认要删除以下用户 用户名 用户名
PostConfirmedActionForMultiSelected | 在Ajax表格的批量操作确认框已确认时 使用ajaxTable.postAction提交指定的成员列表到目标地址
Redirect | 在一定时间后重定向当前页面到指定地址
RedirectModal | 更新模态框远程页面内容到指定的Url
RefreshAfter | 在指定时间后刷新当前页面
Top
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.ConfirmMessageTemplateForMultiSelected Method

BaseScriptStringsConfirmMessageTemplateForMultiSelected Method

批量操作的确认消息模板 例 是否确认要删除以下用户 用户名 用户名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string ConfirmMessageTemplateForMultiSelected(
    string message,
    string member
)
Public Shared Function ConfirmMessageTemplateForMultiSelected (
    message As String,
    member As String
) As String
public:
static String^ ConfirmMessageTemplateForMultiSelected(
    String^ message,
    String^ member
)
static member ConfirmMessageTemplateForMultiSelected :
        message : string *
        member : string -> string

Parameters

message
Type: SystemString
第一行显示的消息
member
Type: SystemString
接下来每行显示的成员名称

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings.BaseScriptStrings.ConfirmMessageTemplateForMultiSelected(System.String,System.String)"]

See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.PostConfirmedActionForMultiSelected Method

BaseScriptStringsPostConfirmedActionForMultiSelected Method

在Ajax表格的批量操作确认框已确认时 使用ajaxTable.postAction提交指定的成员列表到目标地址

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string PostConfirmedActionForMultiSelected(
    string member,
    string target
)
Public Shared Function PostConfirmedActionForMultiSelected (
    member As String,
    target As String
) As String
public:
static String^ PostConfirmedActionForMultiSelected(
    String^ member,
    String^ target
)
static member PostConfirmedActionForMultiSelected :
        member : string *
        target : string -> string

Parameters

member
Type: SystemString
成员名称
target
Type: SystemString
提交到的目标

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings.BaseScriptStrings.PostConfirmedActionForMultiSelected(System.String,System.String)"]

See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.Redirect Method

BaseScriptStringsRedirect Method

在一定时间后重定向当前页面到指定地址

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Redirect(
    string url,
    int milliseconds = 1
)
Public Shared Function Redirect (
    url As String,
    Optional milliseconds As Integer = 1
) As String
public:
static String^ Redirect(
    String^ url,
    int milliseconds = 1
)
static member Redirect :
        url : string *
        ?milliseconds : int
(* Defaults:
        let _milliseconds = defaultArg milliseconds 1
*)
-> string

Parameters

url
Type: SystemString
重定向到的地址
milliseconds (Optional)
Type: SystemInt32
等待时间，单位是毫秒

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings.BaseScriptStrings.Redirect(System.String,System.Int32)"]

See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.RedirectModal Method

BaseScriptStringsRedirectModal Method

更新模态框远程页面内容到指定的Url

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string RedirectModal(
    string url
)
Public Shared Function RedirectModal (
    url As String
) As String
public:
static String^ RedirectModal(
    String^ url
)
static member RedirectModal :
        url : string -> string

Parameters

url
Type: SystemString
更新到的Url

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings.BaseScriptStrings.RedirectModal(System.String)"]

See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.RefreshAfter Method

BaseScriptStringsRefreshAfter Method

在指定时间后刷新当前页面

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string RefreshAfter(
    int milliseconds
)
Public Shared Function RefreshAfter (
    milliseconds As Integer
) As String
public:
static String^ RefreshAfter(
    int milliseconds
)
static member RefreshAfter :
        milliseconds : int -> string

Parameters

milliseconds
Type: SystemInt32
指定时间，单位是毫秒

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings.BaseScriptStrings.RefreshAfter(System.Int32)"]

See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings Fields

The BaseScriptStrings type exposes the following members.

Fields
Name | Description
AjaxtableUpdatedAndCloseModal | 通知Ajax表格数据已更新，并关闭模态框
AjaxtableUpdatedAndRefreshModal | 通知Ajax表格数据已更新，并刷新模态框
AjaxtableUpdatedFromModal | 通知Ajax表格数据已更新 调用后在模态框关闭时表格会自动刷新
CloseModal | 关闭模态框
RefreshModal | 刷新模态框
ReloadModal | 触发模态框远程页面内容的更新事件 一般在提交后，需要刷新当前模态框内容时使用
Top
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.AjaxtableUpdatedAndCloseModal Field

BaseScriptStringsAjaxtableUpdatedAndCloseModal Field
通知Ajax表格数据已更新，并关闭模态框

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AjaxtableUpdatedAndCloseModal = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');$(this).closest('.bootstrap-dialog').modal('hide');"
Public Const AjaxtableUpdatedAndCloseModal As String = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');$(this).closest('.bootstrap-dialog').modal('hide');"
public:
literal String^ AjaxtableUpdatedAndCloseModal = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');$(this).closest('.bootstrap-dialog').modal('hide');"
static val mutable AjaxtableUpdatedAndCloseModal: string

Field Value

Type: String
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.AjaxtableUpdatedAndRefreshModal Field

BaseScriptStringsAjaxtableUpdatedAndRefreshModal Field
通知Ajax表格数据已更新，并刷新模态框

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AjaxtableUpdatedAndRefreshModal = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');$(this).closest('.bootstrap-dialog').find('.remote-contents').trigger('reload');"
Public Const AjaxtableUpdatedAndRefreshModal As String = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');$(this).closest('.bootstrap-dialog').find('.remote-contents').trigger('reload');"
public:
literal String^ AjaxtableUpdatedAndRefreshModal = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');$(this).closest('.bootstrap-dialog').find('.remote-contents').trigger('reload');"
static val mutable AjaxtableUpdatedAndRefreshModal: string

Field Value

Type: String
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.AjaxtableUpdatedFromModal Field

BaseScriptStringsAjaxtableUpdatedFromModal Field
通知Ajax表格数据已更新 调用后在模态框关闭时表格会自动刷新

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AjaxtableUpdatedFromModal = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');"
Public Const AjaxtableUpdatedFromModal As String = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');"
public:
literal String^ AjaxtableUpdatedFromModal = "$(this).closest('.bootstrap-dialog').trigger('updated.ajaxTable');"
static val mutable AjaxtableUpdatedFromModal: string

Field Value

Type: String
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.CloseModal Field

BaseScriptStringsCloseModal Field
关闭模态框

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CloseModal = "$(this).closest('.bootstrap-dialog').modal('hide');"
Public Const CloseModal As String = "$(this).closest('.bootstrap-dialog').modal('hide');"
public:
literal String^ CloseModal = "$(this).closest('.bootstrap-dialog').modal('hide');"
static val mutable CloseModal: string

Field Value

Type: String
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.RefreshModal Field

BaseScriptStringsRefreshModal Field
刷新模态框

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string RefreshModal = "$(this).closest('.bootstrap-dialog').find('.remote-contents').trigger('reload');"
Public Const RefreshModal As String = "$(this).closest('.bootstrap-dialog').find('.remote-contents').trigger('reload');"
public:
literal String^ RefreshModal = "$(this).closest('.bootstrap-dialog').find('.remote-contents').trigger('reload');"
static val mutable RefreshModal: string

Field Value

Type: String
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


BaseScriptStrings.ReloadModal Field

BaseScriptStringsReloadModal Field
触发模态框远程页面内容的更新事件 一般在提交后，需要刷新当前模态框内容时使用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ReloadModal = "$(this).closest('.bootstrap-dialog .remote-contents').trigger('reload');"
Public Const ReloadModal As String = "$(this).closest('.bootstrap-dialog .remote-contents').trigger('reload');"
public:
literal String^ ReloadModal = "$(this).closest('.bootstrap-dialog .remote-contents').trigger('reload');"
static val mutable ReloadModal: string

Field Value

Type: String
See Also

Reference

BaseScriptStrings Class
ZKWeb.Plugins.Common.Base.src.UIComponents.ScriptStrings Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable |
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases |
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions |
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces |


ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable"]

Classes
 | Class | Description
Public class | StaticTableBuilder | 静态表格构建器
Public class | StaticTableBuilderColumn | 列类型
Public class | StaticTableSearchRequest | 静态表格数据的搜索请求
Public class | StaticTableSearchResponse | 静态表格数据的搜索回应


StaticTableBuilder Class
静态表格构建器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableBuilder

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StaticTableBuilder : ILiquidizable
Public Class StaticTableBuilder
    Implements ILiquidizable
public ref class StaticTableBuilder : ILiquidizable
type StaticTableBuilder =
    class
        interface ILiquidizable
    end

The StaticTableBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | StaticTableBuilder | 初始化
Top
Properties
 | Name | Description
Public property | Columns | 列列表
Public property | Rows | 数据列表
Public property | TableClass | 表格的Css类
Public property | TableHeadRowClass | 表格头部单元格的Css类
Top
Methods
 | Name | Description
Public method | GetHashRows | 获取转换成Hash对象的数据列表
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StaticTableBuilder()
Public Sub New
public:
StaticTableBuilder()
new : unit -> StaticTableBuilder
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder Properties

The StaticTableBuilder type exposes the following members.

Properties
 | Name | Description
Public property | Columns | 列列表
Public property | Rows | 数据列表
Public property | TableClass | 表格的Css类
Public property | TableHeadRowClass | 表格头部单元格的Css类
Top
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Columns Property

StaticTableBuilderColumns Property

列列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<StaticTableBuilderColumn> Columns { get; set; }
Public Property Columns As IList(Of StaticTableBuilderColumn)
    Get
    Set
public:
property IList<StaticTableBuilderColumn^>^ Columns {
    IList<StaticTableBuilderColumn^>^ get ();
    void set (IList<StaticTableBuilderColumn^>^ value);
}
member Columns : IList<StaticTableBuilderColumn> with get, set

Property Value

Type: IList StaticTableBuilderColumn
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Rows Property

StaticTableBuilderRows Property

数据列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<Object> Rows { get; set; }
Public Property Rows As IList(Of Object)
    Get
    Set
public:
property IList<Object^>^ Rows {
    IList<Object^>^ get ();
    void set (IList<Object^>^ value);
}
member Rows : IList<Object> with get, set

Property Value

Type: IList Object
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.TableClass Property

StaticTableBuilderTableClass Property

表格的Css类

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TableClass { get; set; }
Public Property TableClass As String
    Get
    Set
public:
property String^ TableClass {
    String^ get ();
    void set (String^ value);
}
member TableClass : string with get, set

Property Value

Type: String
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.TableHeadRowClass Property

StaticTableBuilderTableHeadRowClass Property

表格头部单元格的Css类

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TableHeadRowClass { get; set; }
Public Property TableHeadRowClass As String
    Get
    Set
public:
property String^ TableHeadRowClass {
    String^ get ();
    void set (String^ value);
}
member TableHeadRowClass : string with get, set

Property Value

Type: String
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder Methods

The StaticTableBuilder type exposes the following members.

Methods
 | Name | Description
Public method | GetHashRows | 获取转换成Hash对象的数据列表
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.GetHashRows Method

StaticTableBuilderGetHashRows Method

获取转换成Hash对象的数据列表

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Hash> GetHashRows()
Public Function GetHashRows As IEnumerable(Of Hash)
public:
IEnumerable<Hash^>^ GetHashRows()
member GetHashRows : unit -> IEnumerable<Hash>

Return Value

Type: IEnumerable Hash

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableBuilder.GetHashRows"]

See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.ToLiquid Method

StaticTableBuilderToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableBuilder.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

StaticTableBuilder Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column Class

StaticTableBuilderColumn Class
列类型
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableBuilderColumn

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Column : ILiquidizable
Public Class Column
    Implements ILiquidizable
public ref class Column : ILiquidizable
type Column =
    class
        interface ILiquidizable
    end

The StaticTableBuilderColumn type exposes the following members.

Constructors
 | Name | Description
Public method | StaticTableBuilderColumn | 初始化
Top
Properties
 | Name | Description
Public property | AllowHtml | 是否允许标题和成员使用Html
Public property | Caption | 标题，默认使用成员名称
Public property | CssClass | 添加到th和td的css类名
Public property | Member | 成员
Public property | Width | 宽度
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许在模板中使用
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column Constructor

StaticTableBuilderColumn Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Column(
    string member,
    string width = null,
    bool allowHtml = false,
    string caption = null,
    string cssClass = null
)
Public Sub New (
    member As String,
    Optional width As String = Nothing,
    Optional allowHtml As Boolean = false,
    Optional caption As String = Nothing,
    Optional cssClass As String = Nothing
)
public:
Column(
    String^ member,
    String^ width = nullptr,
    bool allowHtml = false,
    String^ caption = nullptr,
    String^ cssClass = nullptr
)
new :
        member : string *
        ?width : string *
        ?allowHtml : bool *
        ?caption : string *
        ?cssClass : string
(* Defaults:
        let _width = defaultArg width null
        let _allowHtml = defaultArg allowHtml false
        let _caption = defaultArg caption null
        let _cssClass = defaultArg cssClass null
*)
-> Column

Parameters

member
Type: SystemString
成员
width (Optional)
Type: SystemString
宽度
allowHtml (Optional)
Type: SystemBoolean
是否允许标题和成员使用Html，默认不允许
caption (Optional)
Type: SystemString
标题，默认使用成员名称
cssClass (Optional)
Type: SystemString
添加到th和td的css类名
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


Column Properties

The StaticTableBuilderColumn type exposes the following members.

Properties
 | Name | Description
Public property | AllowHtml | 是否允许标题和成员使用Html
Public property | Caption | 标题，默认使用成员名称
Public property | CssClass | 添加到th和td的css类名
Public property | Member | 成员
Public property | Width | 宽度
Top
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column.AllowHtml Property

StaticTableBuilderColumnAllowHtml Property

是否允许标题和成员使用Html

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool AllowHtml { get; set; }
Public Property AllowHtml As Boolean
    Get
    Set
public:
property bool AllowHtml {
    bool get ();
    void set (bool value);
}
member AllowHtml : bool with get, set

Property Value

Type: Boolean
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column.Caption Property

StaticTableBuilderColumnCaption Property

标题，默认使用成员名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Caption { get; set; }
Public Property Caption As String
    Get
    Set
public:
property String^ Caption {
    String^ get ();
    void set (String^ value);
}
member Caption : string with get, set

Property Value

Type: String
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column.CssClass Property

StaticTableBuilderColumnCssClass Property

添加到th和td的css类名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CssClass { get; set; }
Public Property CssClass As String
    Get
    Set
public:
property String^ CssClass {
    String^ get ();
    void set (String^ value);
}
member CssClass : string with get, set

Property Value

Type: String
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column.Member Property

StaticTableBuilderColumnMember Property

成员

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Member { get; set; }
Public Property Member As String
    Get
    Set
public:
property String^ Member {
    String^ get ();
    void set (String^ value);
}
member Member : string with get, set

Property Value

Type: String
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column.Width Property

StaticTableBuilderColumnWidth Property

宽度

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Width { get; set; }
Public Property Width As String
    Get
    Set
public:
property String^ Width {
    String^ get ();
    void set (String^ value);
}
member Width : string with get, set

Property Value

Type: String
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


Column Methods

The StaticTableBuilderColumn type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许在模板中使用
Top
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableBuilder.Column.ToLiquid Method

StaticTableBuilderColumnToLiquid Method

允许在模板中使用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableBuilder.Column.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

StaticTableBuilderColumn Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest Class
静态表格数据的搜索请求
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchRequest
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StaticTableSearchRequest : BaseTableSearchRequest
Public Class StaticTableSearchRequest
    Inherits BaseTableSearchRequest
public ref class StaticTableSearchRequest : public BaseTableSearchRequest
type StaticTableSearchRequest =
    class
        inherit BaseTableSearchRequest
    end

The StaticTableSearchRequest type exposes the following members.

Constructors
 | Name | Description
Public method | StaticTableSearchRequest | Initializes a new instance of the StaticTableSearchRequest class
Top
Methods
Name | Description
FromHttpRequest(NullableInt32) | 把当前http请求转换到搜索请求
FromHttpRequest(IHttpRequest, NullableInt32) | 把http请求转换到搜索请求
Top
Fields
Name | Description
KeywordKey | 获取关键字使用的键值
PageSizeKey | 获取每页数量使用的键值
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果 (Defined by StaticTableSearchRequestExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest Constructor

Initializes a new instance of the StaticTableSearchRequest class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StaticTableSearchRequest()
Public Sub New
public:
StaticTableSearchRequest()
new : unit -> StaticTableSearchRequest
See Also

Reference

StaticTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest Methods

The StaticTableSearchRequest type exposes the following members.

Methods
Name | Description
FromHttpRequest(NullableInt32) | 把当前http请求转换到搜索请求
FromHttpRequest(IHttpRequest, NullableInt32) | 把http请求转换到搜索请求
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果 (Defined by StaticTableSearchRequestExtensions.)
Top
See Also

Reference

StaticTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest.FromHttpRequest Method

StaticTableSearchRequestFromHttpRequest Method

Overload List
Name | Description
FromHttpRequest(NullableInt32) | 把当前http请求转换到搜索请求
FromHttpRequest(IHttpRequest, NullableInt32) | 把http请求转换到搜索请求
Top
See Also

Reference

StaticTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest.FromHttpRequest Method (Nullable(Int32))

StaticTableSearchRequestFromHttpRequest Method (NullableInt32)
把当前http请求转换到搜索请求

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static StaticTableSearchRequest FromHttpRequest(
    Nullable<int> defaultPageSize = null
)
Public Shared Function FromHttpRequest (
    Optional defaultPageSize As Nullable(Of Integer) = Nothing
) As StaticTableSearchRequest
public:
static StaticTableSearchRequest^ FromHttpRequest(
    Nullable<int> defaultPageSize = nullptr
)
static member FromHttpRequest :
        ?defaultPageSize : Nullable<int>
(* Defaults:
        let _defaultPageSize = defaultArg defaultPageSize null
*)
-> StaticTableSearchRequest

Parameters

defaultPageSize (Optional)
Type: SystemNullable Int32
默认的每页数量，默认是50

Return Value

Type: StaticTableSearchRequest

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest.FromHttpRequest(System.Nullable{System.Int32})"]

See Also

Reference

StaticTableSearchRequest Class
FromHttpRequest Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest.FromHttpRequest Method (IHttpRequest, Nullable(Int32))

StaticTableSearchRequestFromHttpRequest Method (IHttpRequest, NullableInt32)
把http请求转换到搜索请求

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static StaticTableSearchRequest FromHttpRequest(
    IHttpRequest request,
    Nullable<int> defaultPageSize = null
)
Public Shared Function FromHttpRequest (
    request As IHttpRequest,
    Optional defaultPageSize As Nullable(Of Integer) = Nothing
) As StaticTableSearchRequest
public:
static StaticTableSearchRequest^ FromHttpRequest(
    IHttpRequest^ request,
    Nullable<int> defaultPageSize = nullptr
)
static member FromHttpRequest :
        request : IHttpRequest *
        ?defaultPageSize : Nullable<int>
(* Defaults:
        let _defaultPageSize = defaultArg defaultPageSize null
*)
-> StaticTableSearchRequest

Parameters

request
Type: IHttpRequest
http请求
defaultPageSize (Optional)
Type: SystemNullable Int32
默认的每页数量，默认是50

Return Value

Type: StaticTableSearchRequest

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest.FromHttpRequest(ZKWebStandard.Web.IHttpRequest,System.Nullable{System.Int32})"]

See Also

Reference

StaticTableSearchRequest Class
FromHttpRequest Overload
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest Fields

The StaticTableSearchRequest type exposes the following members.

Fields
Name | Description
KeywordKey | 获取关键字使用的键值
PageSizeKey | 获取每页数量使用的键值
Top
See Also

Reference

StaticTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest.KeywordKey Field

StaticTableSearchRequestKeywordKey Field
获取关键字使用的键值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string KeywordKey = "keyword"
Public Const KeywordKey As String = "keyword"
public:
literal String^ KeywordKey = "keyword"
static val mutable KeywordKey: string

Field Value

Type: String
See Also

Reference

StaticTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchRequest.PageSizeKey Field

StaticTableSearchRequestPageSizeKey Field
获取每页数量使用的键值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string PageSizeKey = "page_size"
Public Const PageSizeKey As String = "page_size"
public:
literal String^ PageSizeKey = "page_size"
static val mutable PageSizeKey: string

Field Value

Type: String
See Also

Reference

StaticTableSearchRequest Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchResponse Class
静态表格数据的搜索回应
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTableBaseTableSearchResponse
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchResponse

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StaticTableSearchResponse : BaseTableSearchResponse
Public Class StaticTableSearchResponse
    Inherits BaseTableSearchResponse
public ref class StaticTableSearchResponse : public BaseTableSearchResponse
type StaticTableSearchResponse =
    class
        inherit BaseTableSearchResponse
    end

The StaticTableSearchResponse type exposes the following members.

Constructors
 | Name | Description
Public method | StaticTableSearchResponse | Initializes a new instance of the StaticTableSearchResponse class
Top
Extension Methods
 | Name | Description
Public Extension Method | ToTableBuilder | 转换搜索回应到静态表格构建器 请手动添加列到返回结果，添加后可以直接描画到模板 (Defined by StaticTableSearchResponseExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchResponse Constructor

Initializes a new instance of the StaticTableSearchResponse class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StaticTableSearchResponse()
Public Sub New
public:
StaticTableSearchResponse()
new : unit -> StaticTableSearchResponse
See Also

Reference

StaticTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


StaticTableSearchResponse Methods

The StaticTableSearchResponse type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ToTableBuilder | 转换搜索回应到静态表格构建器 请手动添加列到返回结果，添加后可以直接描画到模板 (Defined by StaticTableSearchResponseExtensions.)
Top
See Also

Reference

StaticTableSearchResponse Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases"]

Classes
 | Class | Description
Public class | StaticTableHandlerBaseTEntity, TPrimaryKey | 静态表格处理器的基础类


StaticTableHandlerBase(TEntity, TPrimaryKey) Class

StaticTableHandlerBaseTEntity, TPrimaryKey Class
静态表格处理器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.BasesStaticTableHandlerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.CMS.Article.src.UIComponents.StaticTableHandlersArticleTableHandler
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlersProductTableHandler

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class StaticTableHandlerBase<TEntity, TPrimaryKey> : IStaticTableHandler<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class StaticTableHandlerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Implements IStaticTableHandler(Of TEntity, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class StaticTableHandlerBase abstract : IStaticTableHandler<TEntity, TPrimaryKey>
[<AbstractClassAttribute>]
type StaticTableHandlerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        interface IStaticTableHandler<'TEntity, 'TPrimaryKey>
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The StaticTableHandlerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Protected method | StaticTableHandlerBaseTEntity, TPrimaryKey | Initializes a new instance of the StaticTableHandlerBaseTEntity, TPrimaryKey class
Top
Methods
 | Name | Description
Public method | OnQuery | 过滤数据 默认不过滤数据
Public method | OnSelect | 选择需要的字段
Public method | OnSort | 排序数据 默认更新时间或创建时间或Id倒序排列
Public method | WrapQueryMethodTResult | 包装查询函数 默认根据搜索参数中的Deleted过滤已删除或未删除的对象
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


StaticTableHandlerBase(TEntity, TPrimaryKey) Constructor

StaticTableHandlerBaseTEntity, TPrimaryKey Constructor

Initializes a new instance of the StaticTableHandlerBaseTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected StaticTableHandlerBase()
Protected Sub New
protected:
StaticTableHandlerBase()
new : unit -> StaticTableHandlerBase
See Also

Reference

StaticTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


StaticTableHandlerBase(TEntity, TPrimaryKey) Methods

StaticTableHandlerBaseTEntity, TPrimaryKey Methods

The StaticTableHandlerBaseTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | OnQuery | 过滤数据 默认不过滤数据
Public method | OnSelect | 选择需要的字段
Public method | OnSort | 排序数据 默认更新时间或创建时间或Id倒序排列
Public method | WrapQueryMethodTResult | 包装查询函数 默认根据搜索参数中的Deleted过滤已删除或未删除的对象
Top
See Also

Reference

StaticTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


StaticTableHandlerBase(TEntity, TPrimaryKey).OnQuery Method

StaticTableHandlerBaseTEntity, TPrimaryKeyOnQuery Method

过滤数据 默认不过滤数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnQuery(
    StaticTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Public Overridable Sub OnQuery (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
public:
virtual void OnQuery(
    StaticTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit
override OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{`0}@)"]

query
Type: System.LinqIQueryable TEntity

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{`0}@)"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity)
See Also

Reference

StaticTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


StaticTableHandlerBase(TEntity, TPrimaryKey).OnSelect Method

StaticTableHandlerBaseTEntity, TPrimaryKeyOnSelect Method

选择需要的字段

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract void OnSelect(
    StaticTableSearchRequest request,
    IList<EntityToTableRow<TEntity>> pairs
)
Public MustOverride Sub OnSelect (
    request As StaticTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of TEntity))
)
public:
virtual void OnSelect(
    StaticTableSearchRequest^ request,
    IList<EntityToTableRow<TEntity>^>^ pairs
) abstract
abstract OnSelect :
        request : StaticTableSearchRequest *
        pairs : IList<EntityToTableRow<'TEntity>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{`0}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow TEntity

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{`0}})"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

StaticTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


StaticTableHandlerBase(TEntity, TPrimaryKey).OnSort Method

StaticTableHandlerBaseTEntity, TPrimaryKeyOnSort Method

排序数据 默认更新时间或创建时间或Id倒序排列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnSort(
    StaticTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Public Overridable Sub OnSort (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
public:
virtual void OnSort(
    StaticTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit
override OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{`0}@)"]

query
Type: System.LinqIQueryable TEntity

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{`0}@)"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity)
See Also

Reference

StaticTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


StaticTableHandlerBase(TEntity, TPrimaryKey).WrapQueryMethod(TResult) Method

StaticTableHandlerBaseTEntity, TPrimaryKeyWrapQueryMethodTResult Method

包装查询函数 默认根据搜索参数中的Deleted过滤已删除或未删除的对象

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Func<TResult> WrapQueryMethod<TResult>(
    StaticTableSearchRequest request,
    Func<TResult> queryMethod
)

Public Overridable Function WrapQueryMethod(Of TResult) (
    request As StaticTableSearchRequest,
    queryMethod As Func(Of TResult)
) As Func(Of TResult)
public:
generic<typename TResult>
virtual Func<TResult>^ WrapQueryMethod(
    StaticTableSearchRequest^ request,
    Func<TResult>^ queryMethod
)
abstract WrapQueryMethod :
        request : StaticTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>
override WrapQueryMethod :
        request : StaticTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Func{``0})"]

queryMethod
Type: SystemFunc TResult

[Missing <param name="queryMethod"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Func{``0})"]

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Func{``0})"]

Return Value

Type: Func TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases.StaticTableHandlerBase`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Func{``0})"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyWrapQueryMethodTResult(StaticTableSearchRequest, FuncTResult)
See Also

Reference

StaticTableHandlerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Bases Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions"]

Classes
 | Class | Description
Public class | IStaticTableHandlerExtensions | 静态表格处理器的扩展函数
Public class | StaticTableColumnExtensions | 静态表格的列的扩展函数
Public class | StaticTableSearchRequestExtensions | 静态表格数据的搜索请求的扩展函数
Public class | StaticTableSearchResponseExtensions | 静态表格数据的搜索回应的扩展函数


IStaticTableHandlerExtensions Class
静态表格处理器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.ExtensionsIStaticTableHandlerExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class IStaticTableHandlerExtensions
<ExtensionAttribute>
Public NotInheritable Class IStaticTableHandlerExtensions
[ExtensionAttribute]
public ref class IStaticTableHandlerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IStaticTableHandlerExtensions =  class end

The IStaticTableHandlerExtensions type exposes the following members.

Methods
Name | Description
WithExtraHandlersTEntity, TPrimaryKey | 根据指定的表格处理器获取它的所有扩展处理器 并合并到一个列表返回，列表包含 [ 原始处理器, 扩展处理器... ]
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


IStaticTableHandlerExtensions Methods

The IStaticTableHandlerExtensions type exposes the following members.

Methods
Name | Description
WithExtraHandlersTEntity, TPrimaryKey | 根据指定的表格处理器获取它的所有扩展处理器 并合并到一个列表返回，列表包含 [ 原始处理器, 扩展处理器... ]
Top
See Also

Reference

IStaticTableHandlerExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


IStaticTableHandlerExtensions.WithExtraHandlers(TEntity, TPrimaryKey) Method

IStaticTableHandlerExtensionsWithExtraHandlersTEntity, TPrimaryKey Method

根据指定的表格处理器获取它的所有扩展处理器 并合并到一个列表返回，列表包含 [ 原始处理器, 扩展处理器... ]

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<IStaticTableHandler<TEntity, TPrimaryKey>> WithExtraHandlers<TEntity, TPrimaryKey>(
    this IStaticTableHandler<TEntity, TPrimaryKey> handler
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function WithExtraHandlers(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    handler As IStaticTableHandler(Of TEntity, TPrimaryKey)
) As IList(Of IStaticTableHandler(Of TEntity, TPrimaryKey))
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static IList<IStaticTableHandler<TEntity, TPrimaryKey>^>^ WithExtraHandlers(
    IStaticTableHandler<TEntity, TPrimaryKey>^ handler
)
[<ExtensionAttribute>]
static member WithExtraHandlers :
        handler : IStaticTableHandler<'TEntity, 'TPrimaryKey> -> IList<IStaticTableHandler<'TEntity, 'TPrimaryKey>>  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

handler
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.InterfacesIStaticTableHandler TEntity, TPrimaryKey
原始的表格处理器

Type Parameters

TEntity
数据类型
TPrimaryKey
主键类型

Return Value

Type: IList IStaticTableHandler TEntity, TPrimaryKey

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions.IStaticTableHandlerExtensions.WithExtraHandlers``2(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces.IStaticTableHandler{``0,``1})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IStaticTableHandler TEntity, TPrimaryKey. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IStaticTableHandlerExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableColumnExtensions Class
静态表格的列的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.ExtensionsStaticTableColumnExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class StaticTableColumnExtensions
<ExtensionAttribute>
Public NotInheritable Class StaticTableColumnExtensions
[ExtensionAttribute]
public ref class StaticTableColumnExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StaticTableColumnExtensions =  class end

The StaticTableColumnExtensions type exposes the following members.

Methods
Name | Description
Add | 添加列
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableColumnExtensions Methods

The StaticTableColumnExtensions type exposes the following members.

Methods
Name | Description
Add | 添加列
Top
See Also

Reference

StaticTableColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableColumnExtensions.Add Method

StaticTableColumnExtensionsAdd Method

添加列

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static StaticTableBuilderColumn Add(
    this IList<StaticTableBuilderColumn> columns,
    string member,
    string width = null,
    bool allowHtml = false,
    string caption = null,
    string cssClass = null
)
<ExtensionAttribute>
Public Shared Function Add (
    columns As IList(Of StaticTableBuilderColumn),
    member As String,
    Optional width As String = Nothing,
    Optional allowHtml As Boolean = false,
    Optional caption As String = Nothing,
    Optional cssClass As String = Nothing
) As StaticTableBuilderColumn
public:
[ExtensionAttribute]
static StaticTableBuilderColumn^ Add(
    IList<StaticTableBuilderColumn^>^ columns,
    String^ member,
    String^ width = nullptr,
    bool allowHtml = false,
    String^ caption = nullptr,
    String^ cssClass = nullptr
)
[<ExtensionAttribute>]
static member Add :
        columns : IList<StaticTableBuilderColumn> *
        member : string *
        ?width : string *
        ?allowHtml : bool *
        ?caption : string *
        ?cssClass : string
(* Defaults:
        let _width = defaultArg width null
        let _allowHtml = defaultArg allowHtml false
        let _caption = defaultArg caption null
        let _cssClass = defaultArg cssClass null
*)
-> StaticTableBuilderColumn

Parameters

columns
Type: System.Collections.GenericIList StaticTableBuilderColumn
列列表
member
Type: SystemString
成员
width (Optional)
Type: SystemString
宽度
allowHtml (Optional)
Type: SystemBoolean
是否允许标题和成员使用Html，默认不允许
caption (Optional)
Type: SystemString
标题，默认使用成员名称
cssClass (Optional)
Type: SystemString
css类名

Return Value

Type: StaticTableBuilderColumn

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions.StaticTableColumnExtensions.Add(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableBuilder.Column},System.String,System.String,System.Boolean,System.String,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList StaticTableBuilderColumn . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StaticTableColumnExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableSearchRequestExtensions Class
静态表格数据的搜索请求的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.ExtensionsStaticTableSearchRequestExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class StaticTableSearchRequestExtensions
<ExtensionAttribute>
Public NotInheritable Class StaticTableSearchRequestExtensions
[ExtensionAttribute]
public ref class StaticTableSearchRequestExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StaticTableSearchRequestExtensions =  class end

The StaticTableSearchRequestExtensions type exposes the following members.

Methods
Name | Description
BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableSearchRequestExtensions Methods

The StaticTableSearchRequestExtensions type exposes the following members.

Methods
Name | Description
BuildResponseTEntity, TPrimaryKey | 从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果
Top
See Also

Reference

StaticTableSearchRequestExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableSearchRequestExtensions.BuildResponse(TEntity, TPrimaryKey) Method

StaticTableSearchRequestExtensionsBuildResponseTEntity, TPrimaryKey Method

从领域服务提供的数据构建搜索回应 支持自动分页和配合表格处理器设置结果

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static StaticTableSearchResponse BuildResponse<TEntity, TPrimaryKey>(
    this StaticTableSearchRequest request,
    IEnumerable<IStaticTableHandler<TEntity, TPrimaryKey>> handlers
)
where TEntity : class, Object, IEntity<TPrimaryKey>

<ExtensionAttribute>
Public Shared Function BuildResponse(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    request As StaticTableSearchRequest,
    handlers As IEnumerable(Of IStaticTableHandler(Of TEntity, TPrimaryKey))
) As StaticTableSearchResponse
public:
[ExtensionAttribute]
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
static StaticTableSearchResponse^ BuildResponse(
    StaticTableSearchRequest^ request,
    IEnumerable<IStaticTableHandler<TEntity, TPrimaryKey>^>^ handlers
)
[<ExtensionAttribute>]
static member BuildResponse :
        request : StaticTableSearchRequest *
        handlers : IEnumerable<IStaticTableHandler<'TEntity, 'TPrimaryKey>> -> StaticTableSearchResponse  when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest
搜索请求
handlers
Type: System.Collections.GenericIEnumerable IStaticTableHandler TEntity, TPrimaryKey
表格处理器

Type Parameters

TEntity
数据类型
TPrimaryKey
主键类型

Return Value

Type: StaticTableSearchResponse

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions.StaticTableSearchRequestExtensions.BuildResponse``2(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces.IStaticTableHandler{``0,``1}})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type StaticTableSearchRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StaticTableSearchRequestExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableSearchResponseExtensions Class
静态表格数据的搜索回应的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.ExtensionsStaticTableSearchResponseExtensions

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class StaticTableSearchResponseExtensions
<ExtensionAttribute>
Public NotInheritable Class StaticTableSearchResponseExtensions
[ExtensionAttribute]
public ref class StaticTableSearchResponseExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StaticTableSearchResponseExtensions =  class end

The StaticTableSearchResponseExtensions type exposes the following members.

Methods
Name | Description
ToTableBuilder | 转换搜索回应到静态表格构建器 请手动添加列到返回结果，添加后可以直接描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableSearchResponseExtensions Methods

The StaticTableSearchResponseExtensions type exposes the following members.

Methods
Name | Description
ToTableBuilder | 转换搜索回应到静态表格构建器 请手动添加列到返回结果，添加后可以直接描画到模板
Top
See Also

Reference

StaticTableSearchResponseExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


StaticTableSearchResponseExtensions.ToTableBuilder Method

StaticTableSearchResponseExtensionsToTableBuilder Method

转换搜索回应到静态表格构建器 请手动添加列到返回结果，添加后可以直接描画到模板

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static StaticTableBuilder ToTableBuilder(
    this StaticTableSearchResponse response
)
<ExtensionAttribute>
Public Shared Function ToTableBuilder (
    response As StaticTableSearchResponse
) As StaticTableBuilder
public:
[ExtensionAttribute]
static StaticTableBuilder^ ToTableBuilder(
    StaticTableSearchResponse^ response
)
[<ExtensionAttribute>]
static member ToTableBuilder :
        response : StaticTableSearchResponse -> StaticTableBuilder

Parameters

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchResponse
搜索回应

Return Value

Type: StaticTableBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions.StaticTableSearchResponseExtensions.ToTableBuilder(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchResponse)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type StaticTableSearchResponse. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StaticTableSearchResponseExtensions Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Extensions Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IStaticTableExporter | 静态表格导出器的接口
Public interface | IStaticTableExtraHandlerTEntity, TPrimaryKey, TOriginalHandler | 静态表格的扩展处理器 可以用于扩展原有的处理器
Public interface | IStaticTableHandlerTEntity, TPrimaryKey | 静态表格处理器


IStaticTableExporter Interface
静态表格导出器的接口

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IStaticTableExporter
Public Interface IStaticTableExporter
public interface class IStaticTableExporter
type IStaticTableExporter =  interface end

The IStaticTableExporter type exposes the following members.

Properties
 | Name | Description
Public property | FileExtension | 文件后缀，例如".csv"
Top
Methods
 | Name | Description
Public method | Export | 导出表格到数据流
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableExporter Properties

The IStaticTableExporter type exposes the following members.

Properties
 | Name | Description
Public property | FileExtension | 文件后缀，例如".csv"
Top
See Also

Reference

IStaticTableExporter Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableExporter.FileExtension Property

IStaticTableExporterFileExtension Property

文件后缀，例如".csv"

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string FileExtension { get; }
ReadOnly Property FileExtension As String
    Get
property String^ FileExtension {
    String^ get ();
}
abstract FileExtension : string with get

Property Value

Type: String
See Also

Reference

IStaticTableExporter Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableExporter Methods

The IStaticTableExporter type exposes the following members.

Methods
 | Name | Description
Public method | Export | 导出表格到数据流
Top
See Also

Reference

IStaticTableExporter Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableExporter.Export Method

IStaticTableExporterExport Method

导出表格到数据流

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Export(
    StaticTableBuilder table,
    Stream stream
)
Sub Export (
    table As StaticTableBuilder,
    stream As Stream
)
void Export(
    StaticTableBuilder^ table,
    Stream^ stream
)
abstract Export :
        table : StaticTableBuilder *
        stream : Stream -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableBuilder
表格对象
stream
Type: System.IOStream
数据流
See Also

Reference

IStaticTableExporter Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableExtraHandler(TEntity, TPrimaryKey, TOriginalHandler) Interface

IStaticTableExtraHandlerTEntity, TPrimaryKey, TOriginalHandler Interface
静态表格的扩展处理器 可以用于扩展原有的处理器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IStaticTableExtraHandler<TEntity, TPrimaryKey, TOriginalHandler> : IStaticTableHandler<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>
where TOriginalHandler : Object, IStaticTableHandler<TEntity, TPrimaryKey>

Public Interface IStaticTableExtraHandler(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey, TOriginalHandler As {Object, IStaticTableHandler(Of TEntity, TPrimaryKey)})
    Inherits IStaticTableHandler(Of TEntity, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey, typename TOriginalHandler>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
where TOriginalHandler : Object, IStaticTableHandler<TEntity, TPrimaryKey>
public interface class IStaticTableExtraHandler : IStaticTableHandler<TEntity, TPrimaryKey>
type IStaticTableExtraHandler<'TEntity, 'TPrimaryKey, 'TOriginalHandler when 'TEntity : not struct and Object and IEntity<'TPrimaryKey> when 'TOriginalHandler : Object and IStaticTableHandler<'TEntity, 'TPrimaryKey>> =
    interface
        interface IStaticTableHandler<'TEntity, 'TPrimaryKey>
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型
TOriginalHandler
原有的处理器
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableHandler(TEntity, TPrimaryKey) Interface

IStaticTableHandlerTEntity, TPrimaryKey Interface
静态表格处理器

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IStaticTableHandler<TEntity, TPrimaryKey>
where TEntity : class, Object, IEntity<TPrimaryKey>

Public Interface IStaticTableHandler(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public interface class IStaticTableHandler
type IStaticTableHandler<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =  interface end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The IStaticTableHandlerTEntity, TPrimaryKey type exposes the following members.

Methods
 | Name | Description
Public method | OnQuery | 过滤数据
Public method | OnSelect | 选择需要的字段 这个函数不传入数据库上下文，因为仍未分页原来的数据库上下文不能用于查询其他数据
Public method | OnSort | 排序数据
Public method | WrapQueryMethodTResult | 包装查询函数 可以在这里控制使用的过滤器等
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableHandler(TEntity, TPrimaryKey) Methods

IStaticTableHandlerTEntity, TPrimaryKey Methods

The IStaticTableHandlerTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | OnQuery | 过滤数据
Public method | OnSelect | 选择需要的字段 这个函数不传入数据库上下文，因为仍未分页原来的数据库上下文不能用于查询其他数据
Public method | OnSort | 排序数据
Public method | WrapQueryMethodTResult | 包装查询函数 可以在这里控制使用的过滤器等
Top
See Also

Reference

IStaticTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableHandler(TEntity, TPrimaryKey).OnQuery Method

IStaticTableHandlerTEntity, TPrimaryKeyOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnQuery(
    StaticTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Sub OnQuery (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
void OnQuery(
    StaticTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest
搜索请求
query
Type: System.LinqIQueryable TEntity
查询对象
See Also

Reference

IStaticTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableHandler(TEntity, TPrimaryKey).OnSelect Method

IStaticTableHandlerTEntity, TPrimaryKeyOnSelect Method

选择需要的字段 这个函数不传入数据库上下文，因为仍未分页原来的数据库上下文不能用于查询其他数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSelect(
    StaticTableSearchRequest request,
    IList<EntityToTableRow<TEntity>> pairs
)
Sub OnSelect (
    request As StaticTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of TEntity))
)
void OnSelect(
    StaticTableSearchRequest^ request,
    IList<EntityToTableRow<TEntity>^>^ pairs
)
abstract OnSelect :
        request : StaticTableSearchRequest *
        pairs : IList<EntityToTableRow<'TEntity>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest
搜索请求
pairs
Type: System.Collections.GenericIList EntityToTableRow TEntity
对象和需要字段的组合列表
See Also

Reference

IStaticTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableHandler(TEntity, TPrimaryKey).OnSort Method

IStaticTableHandlerTEntity, TPrimaryKeyOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSort(
    StaticTableSearchRequest request,
    ref IQueryable<TEntity> query
)
Sub OnSort (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of TEntity)
)
void OnSort(
    StaticTableSearchRequest^ request,
    IQueryable<TEntity>^% query
)
abstract OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<'TEntity> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest
搜索请求
query
Type: System.LinqIQueryable TEntity
查询对象
See Also

Reference

IStaticTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


IStaticTableHandler(TEntity, TPrimaryKey).WrapQueryMethod(TResult) Method

IStaticTableHandlerTEntity, TPrimaryKeyWrapQueryMethodTResult Method

包装查询函数 可以在这里控制使用的过滤器等

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Func<TResult> WrapQueryMethod<TResult>(
    StaticTableSearchRequest request,
    Func<TResult> queryMethod
)

Function WrapQueryMethod(Of TResult) (
    request As StaticTableSearchRequest,
    queryMethod As Func(Of TResult)
) As Func(Of TResult)
generic<typename TResult>
Func<TResult>^ WrapQueryMethod(
    StaticTableSearchRequest^ request,
    Func<TResult>^ queryMethod
)
abstract WrapQueryMethod :
        request : StaticTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest
搜索请求
queryMethod
Type: SystemFunc TResult
查询函数

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces.IStaticTableHandler`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Func{``0})"]

Return Value

Type: Func TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces.IStaticTableHandler`2.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Func{``0})"]

See Also

Reference

IStaticTableHandlerTEntity, TPrimaryKey Interface
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.Interfaces Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters"]

Classes
 | Class | Description
Public class | StaticTableCsvExporter | 导出静态表格到Csv文件


StaticTableCsvExporter Class
导出静态表格到Csv文件
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExportersStaticTableCsvExporter

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StaticTableCsvExporter : IStaticTableExporter
Public Class StaticTableCsvExporter
    Implements IStaticTableExporter
public ref class StaticTableCsvExporter : IStaticTableExporter
type StaticTableCsvExporter =
    class
        interface IStaticTableExporter
    end

The StaticTableCsvExporter type exposes the following members.

Constructors
 | Name | Description
Public method | StaticTableCsvExporter | Initializes a new instance of the StaticTableCsvExporter class
Top
Properties
 | Name | Description
Public property | FileExtension | 文件后缀
Top
Methods
 | Name | Description
 | CsvCell | 转换到Csv单元格内容 - 如果对象是枚举类型，使用经过翻译的描述 - 否则使用对象ToString的值 - 进行Html解码，解析类似＆nbsp;的字符 - 替换逗号，换行符，Html标签到空格
Public method | Export | 导出到数据流
Top
Fields
Name | Description
CsvCellRegex | 用于替换Csv单元格中不应该出现的字符的正则表达式
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter Constructor

Initializes a new instance of the StaticTableCsvExporter class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StaticTableCsvExporter()
Public Sub New
public:
StaticTableCsvExporter()
new : unit -> StaticTableCsvExporter
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter Properties

The StaticTableCsvExporter type exposes the following members.

Properties
 | Name | Description
Public property | FileExtension | 文件后缀
Top
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter.FileExtension Property

StaticTableCsvExporterFileExtension Property

文件后缀

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FileExtension { get; }
Public ReadOnly Property FileExtension As String
    Get
public:
virtual property String^ FileExtension {
    String^ get () sealed;
}
abstract FileExtension : string with get
override FileExtension : string with get

Property Value

Type: String

Implements

IStaticTableExporterFileExtension
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter Methods

The StaticTableCsvExporter type exposes the following members.

Methods
 | Name | Description
 | CsvCell | 转换到Csv单元格内容 - 如果对象是枚举类型，使用经过翻译的描述 - 否则使用对象ToString的值 - 进行Html解码，解析类似＆nbsp;的字符 - 替换逗号，换行符，Html标签到空格
Public method | Export | 导出到数据流
Top
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter.CsvCell Method

StaticTableCsvExporterCsvCell Method

转换到Csv单元格内容 - 如果对象是枚举类型，使用经过翻译的描述 - 否则使用对象ToString的值 - 进行Html解码，解析类似＆nbsp;的字符 - 替换逗号，换行符，Html标签到空格

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string CsvCell(
    Object obj
)
Public Shared Function CsvCell (
    obj As Object
) As String
public:
static String^ CsvCell(
    Object^ obj
)
static member CsvCell :
        obj : Object -> string

Parameters

obj
Type: SystemObject

[Missing <param name="obj"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters.StaticTableCsvExporter.CsvCell(System.Object)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters.StaticTableCsvExporter.CsvCell(System.Object)"]

See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter.Export Method

StaticTableCsvExporterExport Method

导出到数据流

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Export(
    StaticTableBuilder table,
    Stream stream
)
Public Sub Export (
    table As StaticTableBuilder,
    stream As Stream
)
public:
virtual void Export(
    StaticTableBuilder^ table,
    Stream^ stream
) sealed
abstract Export :
        table : StaticTableBuilder *
        stream : Stream -> unit
override Export :
        table : StaticTableBuilder *
        stream : Stream -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters.StaticTableCsvExporter.Export(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableBuilder,System.IO.Stream)"]

stream
Type: System.IOStream

[Missing <param name="stream"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters.StaticTableCsvExporter.Export(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableBuilder,System.IO.Stream)"]

Implements

IStaticTableExporterExport(StaticTableBuilder, Stream)
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter Fields

The StaticTableCsvExporter type exposes the following members.

Fields
Name | Description
CsvCellRegex | 用于替换Csv单元格中不应该出现的字符的正则表达式
Top
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


StaticTableCsvExporter.CsvCellRegex Field

StaticTableCsvExporterCsvCellRegex Field
用于替换Csv单元格中不应该出现的字符的正则表达式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly Regex CsvCellRegex
Public Shared ReadOnly CsvCellRegex As Regex
public:
static initonly Regex^ CsvCellRegex
static val CsvCellRegex: Regex

Field Value

Type: Regex
See Also

Reference

StaticTableCsvExporter Class
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableExporters Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters"]

Classes
 | Class | Description
Public class | BaseFilters | 模板系统的过滤器


BaseFilters Class
模板系统的过滤器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFiltersBaseFilters

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class BaseFilters
Public NotInheritable Class BaseFilters
public ref class BaseFilters abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type BaseFilters =  class end

The BaseFilters type exposes the following members.

Methods
Name | Description
CssRule | Css规则 如果内容不存在则跳过描画
HtmlAttributes | 描画Html标签
Json | 使用Json序列化对象
Url | 全局过滤网址
UrlGetParam | 获取Url参数，传入的url是空值时使用当前请求的url
UrlRemoveParam | 删除Url参数，传入的url是空值时使用当前请求的url 等于UrlSetParam(url, key, null)
UrlSetParam | 设置Url参数，传入的url是空值时使用当前请求的url
WebsiteTitle | 网站标题 格式见 WebsiteSettings.DocumentTitleFormat
Top
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters Methods

The BaseFilters type exposes the following members.

Methods
Name | Description
CssRule | Css规则 如果内容不存在则跳过描画
HtmlAttributes | 描画Html标签
Json | 使用Json序列化对象
Url | 全局过滤网址
UrlGetParam | 获取Url参数，传入的url是空值时使用当前请求的url
UrlRemoveParam | 删除Url参数，传入的url是空值时使用当前请求的url 等于UrlSetParam(url, key, null)
UrlSetParam | 设置Url参数，传入的url是空值时使用当前请求的url
WebsiteTitle | 网站标题 格式见 WebsiteSettings.DocumentTitleFormat
Top
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.CssRule Method

BaseFiltersCssRule Method

Css规则 如果内容不存在则跳过描画

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString CssRule(
    string content,
    string key
)
Public Shared Function CssRule (
    content As String,
    key As String
) As HtmlString
public:
static HtmlString^ CssRule(
    String^ content,
    String^ key
)
static member CssRule :
        content : string *
        key : string -> HtmlString

Parameters

content
Type: SystemString

[Missing <param name="content"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.CssRule(System.String,System.String)"]

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.CssRule(System.String,System.String)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.CssRule(System.String,System.String)"]

Examples
{{ "100px" | css_rule: "width" }} 返回 "width: 100px;"
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.HtmlAttributes Method

BaseFiltersHtmlAttributes Method

描画Html标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString HtmlAttributes(
    IDictionary<string, string> attributes
)
Public Shared Function HtmlAttributes (
    attributes As IDictionary(Of String, String)
) As HtmlString
public:
static HtmlString^ HtmlAttributes(
    IDictionary<String^, String^>^ attributes
)
static member HtmlAttributes :
        attributes : IDictionary<string, string> -> HtmlString

Parameters

attributes
Type: System.Collections.GenericIDictionary String, String
标签集合

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.HtmlAttributes(System.Collections.Generic.IDictionary{System.String,System.String})"]

Examples
{{ attribtues | html_attributes }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.Json Method

BaseFiltersJson Method

使用Json序列化对象

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Json(
    Object obj
)
Public Shared Function Json (
    obj As Object
) As String
public:
static String^ Json(
    Object^ obj
)
static member Json :
        obj : Object -> string

Parameters

obj
Type: SystemObject
序列化的对象

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.Json(System.Object)"]

Examples
{{ obj | json }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.Url Method

BaseFiltersUrl Method

全局过滤网址

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Url(
    string url
)
Public Shared Function Url (
    url As String
) As String
public:
static String^ Url(
    String^ url
)
static member Url :
        url : string -> string

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.Url(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.Url(System.String)"]

Examples
{{ "/example" | url }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.UrlGetParam Method

BaseFiltersUrlGetParam Method

获取Url参数，传入的url是空值时使用当前请求的url

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string UrlGetParam(
    string url,
    string key
)
Public Shared Function UrlGetParam (
    url As String,
    key As String
) As String
public:
static String^ UrlGetParam(
    String^ url,
    String^ key
)
static member UrlGetParam :
        url : string *
        key : string -> string

Parameters

url
Type: SystemString
来源url，空值时使用当前请求的url
key
Type: SystemString
参数

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.UrlGetParam(System.String,System.String)"]

Examples
{{ "" | url_get_param: "key" }} {{ test_url | url_get_param: variable }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.UrlRemoveParam Method

BaseFiltersUrlRemoveParam Method

删除Url参数，传入的url是空值时使用当前请求的url 等于UrlSetParam(url, key, null)

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string UrlRemoveParam(
    string url,
    string key
)
Public Shared Function UrlRemoveParam (
    url As String,
    key As String
) As String
public:
static String^ UrlRemoveParam(
    String^ url,
    String^ key
)
static member UrlRemoveParam :
        url : string *
        key : string -> string

Parameters

url
Type: SystemString
来源url，空值时使用当前请求的url
key
Type: SystemString
参数

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.UrlRemoveParam(System.String,System.String)"]

Examples
{{ "" | url_remove_param: "key" }} {{ test_url | url_remove_param: variable }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.UrlSetParam Method

BaseFiltersUrlSetParam Method

设置Url参数，传入的url是空值时使用当前请求的url

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string UrlSetParam(
    string url,
    string key,
    Object value = null
)
Public Shared Function UrlSetParam (
    url As String,
    key As String,
    Optional value As Object = Nothing
) As String
public:
static String^ UrlSetParam(
    String^ url,
    String^ key,
    Object^ value = nullptr
)
static member UrlSetParam :
        url : string *
        key : string *
        ?value : Object
(* Defaults:
        let _value = defaultArg value null
*)
-> string

Parameters

url
Type: SystemString
来源url，空值时使用当前请求的url
key
Type: SystemString
参数
value (Optional)
Type: SystemObject
参数值，等于null时表示移除

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.UrlSetParam(System.String,System.String,System.Object)"]

Examples
{{ "" | url_set_param: "key", "value" | url }} {{ test_url | url_set_param: "key", variable | url }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


BaseFilters.WebsiteTitle Method

BaseFiltersWebsiteTitle Method

网站标题 格式见 WebsiteSettings.DocumentTitleFormat

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string WebsiteTitle(
    string title
)
Public Shared Function WebsiteTitle (
    title As String
) As String
public:
static String^ WebsiteTitle(
    String^ title
)
static member WebsiteTitle :
        title : string -> string

Parameters

title
Type: SystemString
翻译前的网站标题

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters.BaseFilters.WebsiteTitle(System.String)"]

Examples
{{ "Website Title" | website_title }}
See Also

Reference

BaseFilters Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateFilters Namespace


ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags"]

Classes
Class | Description
CopyrightText | 显示版权信息文本
IncludeCssHere | 在当前位置引用css文件
IncludeCssLater | 延迟引用css文件 需要配合"render_included_css"标签使用 这个标签会影响上下文内容，不应该在有缓存的模板模块中使用
IncludeJsHere | 在当前位置引用js文件
IncludeJsLater | 延迟引用javascript文件 需要配合"render_included_js"标签使用 这个标签会影响上下文内容，不应该在有缓存的模板模块中使用
RenderExtraMetadata | 描画额外的meta标签 描画后会清空原有的内容，可以重复调用
RenderIncludedCss | 描画延迟引用的css资源 描画后会清空原有的引用，可以重复调用
RenderIncludedJs | 描画延迟引用的javascript资源 描画后会清空原有的引用，可以重复调用
RenderMetaDescription | 描画页面描述 如果有指定关键词时使用指定的描述，否则使用网站设置中的描述
RenderMetaKeywords | 描画页面关键词 如果有指定关键词时使用指定的关键词，否则使用网站设置中的关键词
RenderTitle | 描画当前网站标题
UrlPagination | 根据Url分页的控件 需要配合Pagination使用
UseMetaDescription | 设置页面描述 需要配合"render_meta_description"标签使用
UseMetaKeywords | 设置页面关键词 需要配合"render_meta_keywords"标签使用
UseTitle | 设置网站标题 需要配合标签"render_title"使用
WebsiteName | 显示当前网站名称


CopyrightText Class
显示版权信息文本
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsCopyrightText

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CopyrightText : Tag
Public Class CopyrightText
    Inherits Tag
public ref class CopyrightText : public Tag
type CopyrightText =
    class
        inherit Tag
    end

The CopyrightText type exposes the following members.

Constructors
 | Name | Description
Public method | CopyrightText | Initializes a new instance of the CopyrightText class
Top
Methods
 | Name | Description
Public method | Render | 显示版权信息文本 (Overrides Tag.Render(Context, TextWriter).)
Top
Examples
{% copyright_text %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


CopyrightText Constructor

Initializes a new instance of the CopyrightText class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CopyrightText()
Public Sub New
public:
CopyrightText()
new : unit -> CopyrightText
See Also

Reference

CopyrightText Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


CopyrightText Methods

The CopyrightText type exposes the following members.

Methods
 | Name | Description
Public method | Render | 显示版权信息文本 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

CopyrightText Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


CopyrightText.Render Method

CopyrightTextRender Method

显示版权信息文本

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.CopyrightText.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.CopyrightText.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

CopyrightText Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssHere Class
在当前位置引用css文件
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsIncludeCssHere

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class IncludeCssHere : Tag
Public Class IncludeCssHere
    Inherits Tag
public ref class IncludeCssHere : public Tag
type IncludeCssHere =
    class
        inherit Tag
    end

The IncludeCssHere type exposes the following members.

Constructors
 | Name | Description
Public method | IncludeCssHere | Initializes a new instance of the IncludeCssHere class
Top
Methods
 | Name | Description
Public method | Render | 描画引用标签 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
CssHtmlFormat | 引用Css的Html格式
Top
Examples
{% include_css_here "/static/common.base.css/test.css" %} {% include_css_here variable %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssHere Constructor

Initializes a new instance of the IncludeCssHere class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IncludeCssHere()
Public Sub New
public:
IncludeCssHere()
new : unit -> IncludeCssHere
See Also

Reference

IncludeCssHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssHere Methods

The IncludeCssHere type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画引用标签 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

IncludeCssHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssHere.Render Method

IncludeCssHereRender Method

描画引用标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeCssHere.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeCssHere.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

IncludeCssHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssHere Fields

The IncludeCssHere type exposes the following members.

Fields
Name | Description
CssHtmlFormat | 引用Css的Html格式
Top
See Also

Reference

IncludeCssHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssHere.CssHtmlFormat Field

IncludeCssHereCssHtmlFormat Field
引用Css的Html格式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CssHtmlFormat = "<link href='{0}' rel='stylesheet' type='text/css' />"
Public Const CssHtmlFormat As String = "<link href='{0}' rel='stylesheet' type='text/css' />"
public:
literal String^ CssHtmlFormat = "<link href='{0}' rel='stylesheet' type='text/css' />"
static val mutable CssHtmlFormat: string

Field Value

Type: String
See Also

Reference

IncludeCssHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssLater Class
延迟引用css文件 需要配合"render_included_css"标签使用 这个标签会影响上下文内容，不应该在有缓存的模板模块中使用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsIncludeCssLater

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class IncludeCssLater : Tag
Public Class IncludeCssLater
    Inherits Tag
public ref class IncludeCssLater : public Tag
type IncludeCssLater =
    class
        inherit Tag
    end

The IncludeCssLater type exposes the following members.

Constructors
 | Name | Description
Public method | IncludeCssLater | Initializes a new instance of the IncludeCssLater class
Top
Methods
 | Name | Description
Public method | Render | 添加html到变量中，不重复添加 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
CssHtmlFormat | 引用Css的Html格式
Top
Examples
{% include_css_later "/static/common.base.css/test.css" %} {% include_css_later variable %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssLater Constructor

Initializes a new instance of the IncludeCssLater class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IncludeCssLater()
Public Sub New
public:
IncludeCssLater()
new : unit -> IncludeCssLater
See Also

Reference

IncludeCssLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssLater Methods

The IncludeCssLater type exposes the following members.

Methods
 | Name | Description
Public method | Render | 添加html到变量中，不重复添加 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

IncludeCssLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssLater.Render Method

IncludeCssLaterRender Method

添加html到变量中，不重复添加

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeCssLater.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeCssLater.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

IncludeCssLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssLater Fields

The IncludeCssLater type exposes the following members.

Fields
Name | Description
CssHtmlFormat | 引用Css的Html格式
Top
See Also

Reference

IncludeCssLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeCssLater.CssHtmlFormat Field

IncludeCssLaterCssHtmlFormat Field
引用Css的Html格式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CssHtmlFormat = ""
Public Const CssHtmlFormat As String = ""
public:
literal String^ CssHtmlFormat = ""
static val mutable CssHtmlFormat: string

Field Value

Type: String
See Also

Reference

IncludeCssLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsHere Class
在当前位置引用js文件
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsIncludeJsHere

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class IncludeJsHere : Tag
Public Class IncludeJsHere
    Inherits Tag
public ref class IncludeJsHere : public Tag
type IncludeJsHere =
    class
        inherit Tag
    end

The IncludeJsHere type exposes the following members.

Constructors
 | Name | Description
Public method | IncludeJsHere | Initializes a new instance of the IncludeJsHere class
Top
Methods
 | Name | Description
Public method | Render | 描画引用标签 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
JsHtmlFormat | 引用Js的Html格式
Top
Examples
{% include_js_here "/static/common.base.js/test.js" %} {% include_js_here variable %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsHere Constructor

Initializes a new instance of the IncludeJsHere class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IncludeJsHere()
Public Sub New
public:
IncludeJsHere()
new : unit -> IncludeJsHere
See Also

Reference

IncludeJsHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsHere Methods

The IncludeJsHere type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画引用标签 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

IncludeJsHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsHere.Render Method

IncludeJsHereRender Method

描画引用标签

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeJsHere.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeJsHere.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

IncludeJsHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsHere Fields

The IncludeJsHere type exposes the following members.

Fields
Name | Description
JsHtmlFormat | 引用Js的Html格式
Top
See Also

Reference

IncludeJsHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsHere.JsHtmlFormat Field

IncludeJsHereJsHtmlFormat Field
引用Js的Html格式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string JsHtmlFormat = "<script src='{0}' type='text/javascript'></script>"
Public Const JsHtmlFormat As String = "<script src='{0}' type='text/javascript'></script>"
public:
literal String^ JsHtmlFormat = "<script src='{0}' type='text/javascript'></script>"
static val mutable JsHtmlFormat: string

Field Value

Type: String
See Also

Reference

IncludeJsHere Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsLater Class
延迟引用javascript文件 需要配合"render_included_js"标签使用 这个标签会影响上下文内容，不应该在有缓存的模板模块中使用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsIncludeJsLater

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class IncludeJsLater : Tag
Public Class IncludeJsLater
    Inherits Tag
public ref class IncludeJsLater : public Tag
type IncludeJsLater =
    class
        inherit Tag
    end

The IncludeJsLater type exposes the following members.

Constructors
 | Name | Description
Public method | IncludeJsLater | Initializes a new instance of the IncludeJsLater class
Top
Methods
 | Name | Description
Public method | Render | 添加html到变量中，不重复添加 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
JsHtmlFormat | 引用Js的Html格式
Top
Examples
{% include_js_later "/static/common.base.js/test.js" %} {% include_js_later variable %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsLater Constructor

Initializes a new instance of the IncludeJsLater class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IncludeJsLater()
Public Sub New
public:
IncludeJsLater()
new : unit -> IncludeJsLater
See Also

Reference

IncludeJsLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsLater Methods

The IncludeJsLater type exposes the following members.

Methods
 | Name | Description
Public method | Render | 添加html到变量中，不重复添加 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

IncludeJsLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsLater.Render Method

IncludeJsLaterRender Method

添加html到变量中，不重复添加

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeJsLater.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.IncludeJsLater.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

IncludeJsLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsLater Fields

The IncludeJsLater type exposes the following members.

Fields
Name | Description
JsHtmlFormat | 引用Js的Html格式
Top
See Also

Reference

IncludeJsLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


IncludeJsLater.JsHtmlFormat Field

IncludeJsLaterJsHtmlFormat Field
引用Js的Html格式

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string JsHtmlFormat = ""
Public Const JsHtmlFormat As String = ""
public:
literal String^ JsHtmlFormat = ""
static val mutable JsHtmlFormat: string

Field Value

Type: String
See Also

Reference

IncludeJsLater Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderExtraMetadata Class
描画额外的meta标签 描画后会清空原有的内容，可以重复调用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsRenderExtraMetadata

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RenderExtraMetadata : Tag
Public Class RenderExtraMetadata
    Inherits Tag
public ref class RenderExtraMetadata : public Tag
type RenderExtraMetadata =
    class
        inherit Tag
    end

The RenderExtraMetadata type exposes the following members.

Constructors
 | Name | Description
Public method | RenderExtraMetadata | Initializes a new instance of the RenderExtraMetadata class
Top
Methods
 | Name | Description
Public method | Render | 描画额外的meta标签，并清空原有的内容 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
Key | 变量名
Top
Examples
{% render_extra_metadata %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderExtraMetadata Constructor

Initializes a new instance of the RenderExtraMetadata class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RenderExtraMetadata()
Public Sub New
public:
RenderExtraMetadata()
new : unit -> RenderExtraMetadata
See Also

Reference

RenderExtraMetadata Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderExtraMetadata Methods

The RenderExtraMetadata type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画额外的meta标签，并清空原有的内容 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

RenderExtraMetadata Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderExtraMetadata.Render Method

RenderExtraMetadataRender Method

描画额外的meta标签，并清空原有的内容

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderExtraMetadata.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderExtraMetadata.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

RenderExtraMetadata Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderExtraMetadata Fields

The RenderExtraMetadata type exposes the following members.

Fields
Name | Description
Key | 变量名
Top
See Also

Reference

RenderExtraMetadata Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderExtraMetadata.Key Field

RenderExtraMetadataKey Field
变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "__extra_metadata"
Public Const Key As String = "__extra_metadata"
public:
literal String^ Key = "__extra_metadata"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RenderExtraMetadata Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss Class
描画延迟引用的css资源 描画后会清空原有的引用，可以重复调用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsRenderIncludedCss

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RenderIncludedCss : Tag
Public Class RenderIncludedCss
    Inherits Tag
public ref class RenderIncludedCss : public Tag
type RenderIncludedCss =
    class
        inherit Tag
    end

The RenderIncludedCss type exposes the following members.

Constructors
 | Name | Description
Public method | RenderIncludedCss | Initializes a new instance of the RenderIncludedCss class
Top
Methods
 | Name | Description
Public method | Render | 描画引用的内容，并清空原有的引用 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
HttpContextKey | Http上下文中的变量名
Key | 变量名
Top
Examples
{% render_included_css %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss Constructor

Initializes a new instance of the RenderIncludedCss class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RenderIncludedCss()
Public Sub New
public:
RenderIncludedCss()
new : unit -> RenderIncludedCss
See Also

Reference

RenderIncludedCss Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss Methods

The RenderIncludedCss type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画引用的内容，并清空原有的引用 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

RenderIncludedCss Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss.Render Method

RenderIncludedCssRender Method

描画引用的内容，并清空原有的引用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderIncludedCss.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderIncludedCss.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

RenderIncludedCss Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss Fields

The RenderIncludedCss type exposes the following members.

Fields
Name | Description
HttpContextKey | Http上下文中的变量名
Key | 变量名
Top
See Also

Reference

RenderIncludedCss Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss.HttpContextKey Field

RenderIncludedCssHttpContextKey Field
Http上下文中的变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string HttpContextKey = "Common.Base.IncludedCss"
Public Const HttpContextKey As String = "Common.Base.IncludedCss"
public:
literal String^ HttpContextKey = "Common.Base.IncludedCss"
static val mutable HttpContextKey: string

Field Value

Type: String
See Also

Reference

RenderIncludedCss Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedCss.Key Field

RenderIncludedCssKey Field
变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "__included_css"
Public Const Key As String = "__included_css"
public:
literal String^ Key = "__included_css"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RenderIncludedCss Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs Class
描画延迟引用的javascript资源 描画后会清空原有的引用，可以重复调用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsRenderIncludedJs

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RenderIncludedJs : Tag
Public Class RenderIncludedJs
    Inherits Tag
public ref class RenderIncludedJs : public Tag
type RenderIncludedJs =
    class
        inherit Tag
    end

The RenderIncludedJs type exposes the following members.

Constructors
 | Name | Description
Public method | RenderIncludedJs | Initializes a new instance of the RenderIncludedJs class
Top
Methods
 | Name | Description
Public method | Render | 描画引用的内容，并清空原有的引用 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
HttpContextKey | Http上下文中的变量名
Key | 变量名
Top
Examples
{% render_included_js %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs Constructor

Initializes a new instance of the RenderIncludedJs class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RenderIncludedJs()
Public Sub New
public:
RenderIncludedJs()
new : unit -> RenderIncludedJs
See Also

Reference

RenderIncludedJs Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs Methods

The RenderIncludedJs type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画引用的内容，并清空原有的引用 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

RenderIncludedJs Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs.Render Method

RenderIncludedJsRender Method

描画引用的内容，并清空原有的引用

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderIncludedJs.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderIncludedJs.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

RenderIncludedJs Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs Fields

The RenderIncludedJs type exposes the following members.

Fields
Name | Description
HttpContextKey | Http上下文中的变量名
Key | 变量名
Top
See Also

Reference

RenderIncludedJs Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs.HttpContextKey Field

RenderIncludedJsHttpContextKey Field
Http上下文中的变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string HttpContextKey = "Common.Base.IncludedJs"
Public Const HttpContextKey As String = "Common.Base.IncludedJs"
public:
literal String^ HttpContextKey = "Common.Base.IncludedJs"
static val mutable HttpContextKey: string

Field Value

Type: String
See Also

Reference

RenderIncludedJs Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderIncludedJs.Key Field

RenderIncludedJsKey Field
变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "__included_js"
Public Const Key As String = "__included_js"
public:
literal String^ Key = "__included_js"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RenderIncludedJs Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaDescription Class
描画页面描述 如果有指定关键词时使用指定的描述，否则使用网站设置中的描述
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsRenderMetaDescription

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RenderMetaDescription : Tag
Public Class RenderMetaDescription
    Inherits Tag
public ref class RenderMetaDescription : public Tag
type RenderMetaDescription =
    class
        inherit Tag
    end

The RenderMetaDescription type exposes the following members.

Constructors
 | Name | Description
Public method | RenderMetaDescription | Initializes a new instance of the RenderMetaDescription class
Top
Methods
 | Name | Description
Public method | Render | 描画页面描述 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
Key | 变量名
Top
Examples
{% render_meta_description %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaDescription Constructor

Initializes a new instance of the RenderMetaDescription class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RenderMetaDescription()
Public Sub New
public:
RenderMetaDescription()
new : unit -> RenderMetaDescription
See Also

Reference

RenderMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaDescription Methods

The RenderMetaDescription type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画页面描述 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

RenderMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaDescription.Render Method

RenderMetaDescriptionRender Method

描画页面描述

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderMetaDescription.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderMetaDescription.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

RenderMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaDescription Fields

The RenderMetaDescription type exposes the following members.

Fields
Name | Description
Key | 变量名
Top
See Also

Reference

RenderMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaDescription.Key Field

RenderMetaDescriptionKey Field
变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "__meta_description"
Public Const Key As String = "__meta_description"
public:
literal String^ Key = "__meta_description"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RenderMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaKeywords Class
描画页面关键词 如果有指定关键词时使用指定的关键词，否则使用网站设置中的关键词
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsRenderMetaKeywords

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RenderMetaKeywords : Tag
Public Class RenderMetaKeywords
    Inherits Tag
public ref class RenderMetaKeywords : public Tag
type RenderMetaKeywords =
    class
        inherit Tag
    end

The RenderMetaKeywords type exposes the following members.

Constructors
 | Name | Description
Public method | RenderMetaKeywords | Initializes a new instance of the RenderMetaKeywords class
Top
Methods
 | Name | Description
Public method | Render | 描画页面关键词 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
Key | 变量名
Top
Examples
{% render_meta_keywords %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaKeywords Constructor

Initializes a new instance of the RenderMetaKeywords class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RenderMetaKeywords()
Public Sub New
public:
RenderMetaKeywords()
new : unit -> RenderMetaKeywords
See Also

Reference

RenderMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaKeywords Methods

The RenderMetaKeywords type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画页面关键词 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

RenderMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaKeywords.Render Method

RenderMetaKeywordsRender Method

描画页面关键词

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderMetaKeywords.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderMetaKeywords.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

RenderMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaKeywords Fields

The RenderMetaKeywords type exposes the following members.

Fields
Name | Description
Key | 变量名
Top
See Also

Reference

RenderMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderMetaKeywords.Key Field

RenderMetaKeywordsKey Field
变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "__meta_keywords"
Public Const Key As String = "__meta_keywords"
public:
literal String^ Key = "__meta_keywords"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RenderMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderTitle Class
描画当前网站标题
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsRenderTitle

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RenderTitle : Tag
Public Class RenderTitle
    Inherits Tag
public ref class RenderTitle : public Tag
type RenderTitle =
    class
        inherit Tag
    end

The RenderTitle type exposes the following members.

Constructors
 | Name | Description
Public method | RenderTitle | Initializes a new instance of the RenderTitle class
Top
Methods
 | Name | Description
Public method | Render | 描画当前网站标题 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
Key | 变量名
Top
Examples
{% render_title %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderTitle Constructor

Initializes a new instance of the RenderTitle class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RenderTitle()
Public Sub New
public:
RenderTitle()
new : unit -> RenderTitle
See Also

Reference

RenderTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderTitle Methods

The RenderTitle type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画当前网站标题 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

RenderTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderTitle.Render Method

RenderTitleRender Method

描画当前网站标题

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderTitle.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.RenderTitle.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

RenderTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderTitle Fields

The RenderTitle type exposes the following members.

Fields
Name | Description
Key | 变量名
Top
See Also

Reference

RenderTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


RenderTitle.Key Field

RenderTitleKey Field
变量名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Key = "__title"
Public Const Key As String = "__title"
public:
literal String^ Key = "__title"
static val mutable Key: string

Field Value

Type: String
See Also

Reference

RenderTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination Class
根据Url分页的控件 需要配合Pagination使用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsUrlPagination

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UrlPagination : Tag
Public Class UrlPagination
    Inherits Tag
public ref class UrlPagination : public Tag
type UrlPagination =
    class
        inherit Tag
    end

The UrlPagination type exposes the following members.

Constructors
 | Name | Description
Public method | UrlPagination | Initializes a new instance of the UrlPagination class
Top
Methods
 | Name | Description
Public method | Render | 描画Html到模板 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
LastPageAlias | 最后一页的别名
LastPageNo | 最后一页的值
UrlParam | 设置到url时使用的参数名
Top
Examples
{% url_pagination response.Pagination %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination Constructor

Initializes a new instance of the UrlPagination class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UrlPagination()
Public Sub New
public:
UrlPagination()
new : unit -> UrlPagination
See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination Methods

The UrlPagination type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画Html到模板 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination.Render Method

UrlPaginationRender Method

描画Html到模板

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter writer
)
Public Overrides Sub Render (
    context As Context,
    writer As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ writer
) override
abstract Render :
        context : Context *
        writer : TextWriter -> unit
override Render :
        context : Context *
        writer : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UrlPagination.Render(DotLiquid.Context,System.IO.TextWriter)"]

writer
Type: System.IOTextWriter

[Missing <param name="writer"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UrlPagination.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination Fields

The UrlPagination type exposes the following members.

Fields
Name | Description
LastPageAlias | 最后一页的别名
LastPageNo | 最后一页的值
UrlParam | 设置到url时使用的参数名
Top
See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination.LastPageAlias Field

UrlPaginationLastPageAlias Field
最后一页的别名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string LastPageAlias = "last"
Public Const LastPageAlias As String = "last"
public:
literal String^ LastPageAlias = "last"
static val mutable LastPageAlias: string

Field Value

Type: String
See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination.LastPageNo Field

UrlPaginationLastPageNo Field
最后一页的值

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int LastPageNo = 2147483647
Public Const LastPageNo As Integer = 2147483647
public:
literal int LastPageNo = 2147483647
static val mutable LastPageNo: int

Field Value

Type: Int32
See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UrlPagination.UrlParam Field

UrlPaginationUrlParam Field
设置到url时使用的参数名

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string UrlParam = "page"
Public Const UrlParam As String = "page"
public:
literal String^ UrlParam = "page"
static val mutable UrlParam: string

Field Value

Type: String
See Also

Reference

UrlPagination Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaDescription Class
设置页面描述 需要配合"render_meta_description"标签使用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsUseMetaDescription

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UseMetaDescription : Tag
Public Class UseMetaDescription
    Inherits Tag
public ref class UseMetaDescription : public Tag
type UseMetaDescription =
    class
        inherit Tag
    end

The UseMetaDescription type exposes the following members.

Constructors
 | Name | Description
Public method | UseMetaDescription | Initializes a new instance of the UseMetaDescription class
Top
Methods
 | Name | Description
Public method | Render | 设置页面描述 (Overrides Tag.Render(Context, TextWriter).)
Top
Examples
{% use_meta_description "description" %} {% use_meta_description variable %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaDescription Constructor

Initializes a new instance of the UseMetaDescription class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UseMetaDescription()
Public Sub New
public:
UseMetaDescription()
new : unit -> UseMetaDescription
See Also

Reference

UseMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaDescription Methods

The UseMetaDescription type exposes the following members.

Methods
 | Name | Description
Public method | Render | 设置页面描述 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

UseMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaDescription.Render Method

UseMetaDescriptionRender Method

设置页面描述

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UseMetaDescription.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UseMetaDescription.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

UseMetaDescription Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaKeywords Class
设置页面关键词 需要配合"render_meta_keywords"标签使用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsUseMetaKeywords

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UseMetaKeywords : Tag
Public Class UseMetaKeywords
    Inherits Tag
public ref class UseMetaKeywords : public Tag
type UseMetaKeywords =
    class
        inherit Tag
    end

The UseMetaKeywords type exposes the following members.

Constructors
 | Name | Description
Public method | UseMetaKeywords | Initializes a new instance of the UseMetaKeywords class
Top
Methods
 | Name | Description
Public method | Render | 设置页面关键词 (Overrides Tag.Render(Context, TextWriter).)
Top
Examples
{% use_meta_keywords "keywords" %} {% use_meta_keywords variable %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaKeywords Constructor

Initializes a new instance of the UseMetaKeywords class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UseMetaKeywords()
Public Sub New
public:
UseMetaKeywords()
new : unit -> UseMetaKeywords
See Also

Reference

UseMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaKeywords Methods

The UseMetaKeywords type exposes the following members.

Methods
 | Name | Description
Public method | Render | 设置页面关键词 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

UseMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseMetaKeywords.Render Method

UseMetaKeywordsRender Method

设置页面关键词

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UseMetaKeywords.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UseMetaKeywords.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

UseMetaKeywords Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseTitle Class
设置网站标题 需要配合标签"render_title"使用
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsUseTitle

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UseTitle : Tag
Public Class UseTitle
    Inherits Tag
public ref class UseTitle : public Tag
type UseTitle =
    class
        inherit Tag
    end

The UseTitle type exposes the following members.

Constructors
 | Name | Description
Public method | UseTitle | Initializes a new instance of the UseTitle class
Top
Methods
 | Name | Description
Public method | Render | 设置标题到变量中 (Overrides Tag.Render(Context, TextWriter).)
Top
Examples
{% use_title "Plain Text Title" %} {% use_title variable_title %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseTitle Constructor

Initializes a new instance of the UseTitle class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UseTitle()
Public Sub New
public:
UseTitle()
new : unit -> UseTitle
See Also

Reference

UseTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseTitle Methods

The UseTitle type exposes the following members.

Methods
 | Name | Description
Public method | Render | 设置标题到变量中 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

UseTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


UseTitle.Render Method

UseTitleRender Method

设置标题到变量中

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UseTitle.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.UseTitle.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

UseTitle Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


WebsiteName Class
显示当前网站名称
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTagsWebsiteName

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WebsiteName : Tag
Public Class WebsiteName
    Inherits Tag
public ref class WebsiteName : public Tag
type WebsiteName =
    class
        inherit Tag
    end

The WebsiteName type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteName | Initializes a new instance of the WebsiteName class
Top
Methods
 | Name | Description
Public method | Render | 描画网站名称 (Overrides Tag.Render(Context, TextWriter).)
Top
Examples
{% website_name %}
See Also

Reference

ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


WebsiteName Constructor

Initializes a new instance of the WebsiteName class

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WebsiteName()
Public Sub New
public:
WebsiteName()
new : unit -> WebsiteName
See Also

Reference

WebsiteName Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


WebsiteName Methods

The WebsiteName type exposes the following members.

Methods
 | Name | Description
Public method | Render | 描画网站名称 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

WebsiteName Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


WebsiteName.Render Method

WebsiteNameRender Method

描画网站名称

Namespace: ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.WebsiteName.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags.WebsiteName.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

WebsiteName Class
ZKWeb.Plugins.Common.Base.src.UIComponents.TemplateTags Namespace


ZKWeb.Plugins.Common.Captcha.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Captcha.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Captcha.src.Components |
ZKWeb.Plugins.Common.Captcha.src.Controllers |
ZKWeb.Plugins.Common.Captcha.src.Managers |
ZKWeb.Plugins.Common.Captcha.src.UIComponents |


ZKWeb.Plugins.Common.Captcha.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Captcha.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Common.Captcha.src.Components.Translates |


ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | CaptchaExtraConfigKeys | 网站附加配置中使用的键


CaptchaExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeysCaptchaExtraConfigKeys

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CaptchaExtraConfigKeys
Public Class CaptchaExtraConfigKeys
public ref class CaptchaExtraConfigKeys
type CaptchaExtraConfigKeys =  class end

The CaptchaExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | CaptchaExtraConfigKeys | Initializes a new instance of the CaptchaExtraConfigKeys class
Top
Fields
Name | Description
CaptchaAudioPromptCacheTime | 验证码语音参数的缓存时间，单位是秒
SupportCaptchaAudio | 是否支持验证码语音
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys Namespace


CaptchaExtraConfigKeys Constructor

Initializes a new instance of the CaptchaExtraConfigKeys class

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CaptchaExtraConfigKeys()
Public Sub New
public:
CaptchaExtraConfigKeys()
new : unit -> CaptchaExtraConfigKeys
See Also

Reference

CaptchaExtraConfigKeys Class
ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys Namespace


CaptchaExtraConfigKeys Fields

The CaptchaExtraConfigKeys type exposes the following members.

Fields
Name | Description
CaptchaAudioPromptCacheTime | 验证码语音参数的缓存时间，单位是秒
SupportCaptchaAudio | 是否支持验证码语音
Top
See Also

Reference

CaptchaExtraConfigKeys Class
ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys Namespace


CaptchaExtraConfigKeys.CaptchaAudioPromptCacheTime Field

CaptchaExtraConfigKeysCaptchaAudioPromptCacheTime Field
验证码语音参数的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CaptchaAudioPromptCacheTime = "Common.Captcha.CaptchaAudioPromptCacheTime"
Public Const CaptchaAudioPromptCacheTime As String = "Common.Captcha.CaptchaAudioPromptCacheTime"
public:
literal String^ CaptchaAudioPromptCacheTime = "Common.Captcha.CaptchaAudioPromptCacheTime"
static val mutable CaptchaAudioPromptCacheTime: string

Field Value

Type: String
See Also

Reference

CaptchaExtraConfigKeys Class
ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys Namespace


CaptchaExtraConfigKeys.SupportCaptchaAudio Field

CaptchaExtraConfigKeysSupportCaptchaAudio Field
是否支持验证码语音

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SupportCaptchaAudio = "Common.Captcha.SupportCaptchaAudio"
Public Const SupportCaptchaAudio As String = "Common.Captcha.SupportCaptchaAudio"
public:
literal String^ SupportCaptchaAudio = "Common.Captcha.SupportCaptchaAudio"
static val mutable SupportCaptchaAudio: string

Field Value

Type: String
See Also

Reference

CaptchaExtraConfigKeys Class
ZKWeb.Plugins.Common.Captcha.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Captcha.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Captcha.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Captcha.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Captcha.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Captcha.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Captcha.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Captcha.src.Components.Translates Namespace


ZKWeb.Plugins.Common.Captcha.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Captcha.src.Controllers"]

Classes
 | Class | Description
Public class | CaptchaController | 验证码控制器


CaptchaController Class
验证码控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Captcha.src.ControllersCaptchaController

Namespace: ZKWeb.Plugins.Common.Captcha.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CaptchaController : ControllerBase
Public Class CaptchaController
    Inherits ControllerBase
public ref class CaptchaController : public ControllerBase
type CaptchaController =
    class
        inherit ControllerBase
    end

The CaptchaController type exposes the following members.

Constructors
 | Name | Description
Public method | CaptchaController | Initializes a new instance of the CaptchaController class
Top
Methods
 | Name | Description
Public method | Captcha | 获取验证码
Public method | CaptchaAudio | 获取验证码的语音提示
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Controllers Namespace


CaptchaController Constructor

Initializes a new instance of the CaptchaController class

Namespace: ZKWeb.Plugins.Common.Captcha.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CaptchaController()
Public Sub New
public:
CaptchaController()
new : unit -> CaptchaController
See Also

Reference

CaptchaController Class
ZKWeb.Plugins.Common.Captcha.src.Controllers Namespace


CaptchaController Methods

The CaptchaController type exposes the following members.

Methods
 | Name | Description
Public method | Captcha | 获取验证码
Public method | CaptchaAudio | 获取验证码的语音提示
Top
See Also

Reference

CaptchaController Class
ZKWeb.Plugins.Common.Captcha.src.Controllers Namespace


CaptchaController.Captcha Method

CaptchaControllerCaptcha Method

获取验证码

Namespace: ZKWeb.Plugins.Common.Captcha.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Captcha(
    string key
)
Public Function Captcha (
    key As String
) As IActionResult
public:
IActionResult^ Captcha(
    String^ key
)
member Captcha :
        key : string -> IActionResult

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Controllers.CaptchaController.Captcha(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Controllers.CaptchaController.Captcha(System.String)"]

See Also

Reference

CaptchaController Class
ZKWeb.Plugins.Common.Captcha.src.Controllers Namespace


CaptchaController.CaptchaAudio Method

CaptchaControllerCaptchaAudio Method

获取验证码的语音提示

Namespace: ZKWeb.Plugins.Common.Captcha.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult CaptchaAudio(
    string key
)
Public Function CaptchaAudio (
    key As String
) As IActionResult
public:
IActionResult^ CaptchaAudio(
    String^ key
)
member CaptchaAudio :
        key : string -> IActionResult

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Controllers.CaptchaController.CaptchaAudio(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Controllers.CaptchaController.CaptchaAudio(System.String)"]

See Also

Reference

CaptchaController Class
ZKWeb.Plugins.Common.Captcha.src.Controllers Namespace


ZKWeb.Plugins.Common.Captcha.src.Managers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Captcha.src.Managers"]

Classes
 | Class | Description
Public class | CaptchaManager | 验证码管理器


CaptchaManager Class
验证码管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Captcha.src.ManagersCaptchaManager

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CaptchaManager : DomainServiceBase
Public Class CaptchaManager
    Inherits DomainServiceBase
public ref class CaptchaManager : public DomainServiceBase
type CaptchaManager =
    class
        inherit DomainServiceBase
    end

The CaptchaManager type exposes the following members.

Constructors
 | Name | Description
Public method | CaptchaManager | 验证码管理器
Top
Properties
 | Name | Description
Protected property | CaptchaAudioPromptCache | 验证码语音参数的缓存
Public property | CaptchaAudioPromptCacheTime | 验证码语音参数的缓存时间 默认是15秒，可通过网站配置指定
Public property | SupportCaptchaAudio | 当前环境是否支持验证码语音 注意： 目前IIS环境中部署会出现调用TTS时线程锁死无法结束的问题，原因无法找到 也无法找到任何办法预先检测当前环境是否会出现这个问题 如果碰到此问题请在网站配置中禁用验证码语音
Top
Methods
 | Name | Description
Public method | Check | 检查验证码是否正确，检查后删除原验证码
Public method | Generate | 生成验证码并储存验证码到会话中
Public method | GetAudioStream | 获取当前验证码的语音提示
Protected method | GetSessionItemKey | 获取保存在会话数据中的键
Public method | GetWithoutRemove | 获取当前验证码，但不删除 这个函数一般只用于单元测试或语音提示，检查请使用Check函数
Top
Fields
Name | Description
CharGraphicMaxPadding | 字符图表的最大拉伸量
CharGraphicMaxRotate | 字符图表的最大旋转量
DefaultDigits | 默认的验证码位数
ImageHeight | 验证码图片的高度
ImagePadding | 图片边距
ImageWidthPerChar | 每个字符的宽度
InterferenceLines | 干扰线数量
MakeSessionAliveAtLeast | 生成验证码后最小保留会话的时间
SessionItemKeyPrefix | 保存到会话时使用的键名前缀
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager Constructor

验证码管理器

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CaptchaManager()
Public Sub New
public:
CaptchaManager()
new : unit -> CaptchaManager
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager Properties

The CaptchaManager type exposes the following members.

Properties
 | Name | Description
Protected property | CaptchaAudioPromptCache | 验证码语音参数的缓存
Public property | CaptchaAudioPromptCacheTime | 验证码语音参数的缓存时间 默认是15秒，可通过网站配置指定
Public property | SupportCaptchaAudio | 当前环境是否支持验证码语音 注意： 目前IIS环境中部署会出现调用TTS时线程锁死无法结束的问题，原因无法找到 也无法找到任何办法预先检测当前环境是否会出现这个问题 如果碰到此问题请在网站配置中禁用验证码语音
Top
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.CaptchaAudioPromptCache Property

CaptchaManagerCaptchaAudioPromptCache Property

验证码语音参数的缓存

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, PromptBuilder> CaptchaAudioPromptCache { get; set; }
Protected Property CaptchaAudioPromptCache As IKeyValueCache(Of String, PromptBuilder)
    Get
    Set
protected:
property IKeyValueCache<String^, PromptBuilder^>^ CaptchaAudioPromptCache {
    IKeyValueCache<String^, PromptBuilder^>^ get ();
    void set (IKeyValueCache<String^, PromptBuilder^>^ value);
}
member CaptchaAudioPromptCache : IKeyValueCache<string, PromptBuilder> with get, set

Property Value

Type: IKeyValueCacheString, PromptBuilder
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.CaptchaAudioPromptCacheTime Property

CaptchaManagerCaptchaAudioPromptCacheTime Property

验证码语音参数的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan CaptchaAudioPromptCacheTime { get; set; }
Public Property CaptchaAudioPromptCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan CaptchaAudioPromptCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member CaptchaAudioPromptCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.SupportCaptchaAudio Property

CaptchaManagerSupportCaptchaAudio Property

当前环境是否支持验证码语音 注意： 目前IIS环境中部署会出现调用TTS时线程锁死无法结束的问题，原因无法找到 也无法找到任何办法预先检测当前环境是否会出现这个问题 如果碰到此问题请在网站配置中禁用验证码语音

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool SupportCaptchaAudio { get; set; }
Public Property SupportCaptchaAudio As Boolean
    Get
    Set
public:
property bool SupportCaptchaAudio {
    bool get ();
    void set (bool value);
}
member SupportCaptchaAudio : bool with get, set

Property Value

Type: Boolean
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager Methods

The CaptchaManager type exposes the following members.

Methods
 | Name | Description
Public method | Check | 检查验证码是否正确，检查后删除原验证码
Public method | Generate | 生成验证码并储存验证码到会话中
Public method | GetAudioStream | 获取当前验证码的语音提示
Protected method | GetSessionItemKey | 获取保存在会话数据中的键
Public method | GetWithoutRemove | 获取当前验证码，但不删除 这个函数一般只用于单元测试或语音提示，检查请使用Check函数
Top
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.Check Method

CaptchaManagerCheck Method

检查验证码是否正确，检查后删除原验证码

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Check(
    string key,
    string actualCode
)
Public Overridable Function Check (
    key As String,
    actualCode As String
) As Boolean
public:
virtual bool Check(
    String^ key,
    String^ actualCode
)
abstract Check :
        key : string *
        actualCode : string -> bool
override Check :
        key : string *
        actualCode : string -> bool

Parameters

key
Type: SystemString
使用的键名
actualCode
Type: SystemString
收到的验证码

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Managers.CaptchaManager.Check(System.String,System.String)"]

See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.Generate Method

CaptchaManagerGenerate Method

生成验证码并储存验证码到会话中

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Image Generate(
    string key,
    int digits = 4,
    string chars = null
)
Public Overridable Function Generate (
    key As String,
    Optional digits As Integer = 4,
    Optional chars As String = Nothing
) As Image
public:
virtual Image^ Generate(
    String^ key,
    int digits = 4,
    String^ chars = nullptr
)
abstract Generate :
        key : string *
        ?digits : int *
        ?chars : string
(* Defaults:
        let _digits = defaultArg digits 4
        let _chars = defaultArg chars null
*)
-> Image
override Generate :
        key : string *
        ?digits : int *
        ?chars : string
(* Defaults:
        let _digits = defaultArg digits 4
        let _chars = defaultArg chars null
*)
-> Image

Parameters

key
Type: SystemString
使用的键名
digits (Optional)
Type: SystemInt32
验证码位数
chars (Optional)
Type: SystemString
使用的字符列表

Return Value

Type: Image

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Managers.CaptchaManager.Generate(System.String,System.Int32,System.String)"]

See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.GetAudioStream Method

CaptchaManagerGetAudioStream Method

获取当前验证码的语音提示

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual MemoryStream GetAudioStream(
    string key
)
Public Overridable Function GetAudioStream (
    key As String
) As MemoryStream
public:
virtual MemoryStream^ GetAudioStream(
    String^ key
)
abstract GetAudioStream :
        key : string -> MemoryStream
override GetAudioStream :
        key : string -> MemoryStream

Parameters

key
Type: SystemString
使用的键名

Return Value

Type: MemoryStream

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Managers.CaptchaManager.GetAudioStream(System.String)"]

See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.GetSessionItemKey Method

CaptchaManagerGetSessionItemKey Method

获取保存在会话数据中的键

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual string GetSessionItemKey(
    string key
)
Protected Overridable Function GetSessionItemKey (
    key As String
) As String
protected:
virtual String^ GetSessionItemKey(
    String^ key
)
abstract GetSessionItemKey :
        key : string -> string
override GetSessionItemKey :
        key : string -> string

Parameters

key
Type: SystemString
原始键

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Managers.CaptchaManager.GetSessionItemKey(System.String)"]

See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.GetWithoutRemove Method

CaptchaManagerGetWithoutRemove Method

获取当前验证码，但不删除 这个函数一般只用于单元测试或语音提示，检查请使用Check函数

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetWithoutRemove(
    string key
)
Public Overridable Function GetWithoutRemove (
    key As String
) As String
public:
virtual String^ GetWithoutRemove(
    String^ key
)
abstract GetWithoutRemove :
        key : string -> string
override GetWithoutRemove :
        key : string -> string

Parameters

key
Type: SystemString
使用的键名

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.Managers.CaptchaManager.GetWithoutRemove(System.String)"]

See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager Fields

The CaptchaManager type exposes the following members.

Fields
Name | Description
CharGraphicMaxPadding | 字符图表的最大拉伸量
CharGraphicMaxRotate | 字符图表的最大旋转量
DefaultDigits | 默认的验证码位数
ImageHeight | 验证码图片的高度
ImagePadding | 图片边距
ImageWidthPerChar | 每个字符的宽度
InterferenceLines | 干扰线数量
MakeSessionAliveAtLeast | 生成验证码后最小保留会话的时间
SessionItemKeyPrefix | 保存到会话时使用的键名前缀
Top
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.CharGraphicMaxPadding Field

CaptchaManagerCharGraphicMaxPadding Field
字符图表的最大拉伸量

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int CharGraphicMaxPadding = 5
Public Const CharGraphicMaxPadding As Integer = 5
public:
literal int CharGraphicMaxPadding = 5
static val mutable CharGraphicMaxPadding: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.CharGraphicMaxRotate Field

CaptchaManagerCharGraphicMaxRotate Field
字符图表的最大旋转量

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int CharGraphicMaxRotate = 35
Public Const CharGraphicMaxRotate As Integer = 35
public:
literal int CharGraphicMaxRotate = 35
static val mutable CharGraphicMaxRotate: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.DefaultDigits Field

CaptchaManagerDefaultDigits Field
默认的验证码位数

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int DefaultDigits = 4
Public Const DefaultDigits As Integer = 4
public:
literal int DefaultDigits = 4
static val mutable DefaultDigits: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.ImageHeight Field

CaptchaManagerImageHeight Field
验证码图片的高度

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int ImageHeight = 32
Public Const ImageHeight As Integer = 32
public:
literal int ImageHeight = 32
static val mutable ImageHeight: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.ImagePadding Field

CaptchaManagerImagePadding Field
图片边距

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int ImagePadding = 5
Public Const ImagePadding As Integer = 5
public:
literal int ImagePadding = 5
static val mutable ImagePadding: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.ImageWidthPerChar Field

CaptchaManagerImageWidthPerChar Field
每个字符的宽度

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int ImageWidthPerChar = 20
Public Const ImageWidthPerChar As Integer = 20
public:
literal int ImageWidthPerChar = 20
static val mutable ImageWidthPerChar: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.InterferenceLines Field

CaptchaManagerInterferenceLines Field
干扰线数量

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int InterferenceLines = 3
Public Const InterferenceLines As Integer = 3
public:
literal int InterferenceLines = 3
static val mutable InterferenceLines: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.MakeSessionAliveAtLeast Field

CaptchaManagerMakeSessionAliveAtLeast Field
生成验证码后最小保留会话的时间

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int MakeSessionAliveAtLeast = 30
Public Const MakeSessionAliveAtLeast As Integer = 30
public:
literal int MakeSessionAliveAtLeast = 30
static val mutable MakeSessionAliveAtLeast: int

Field Value

Type: Int32
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


CaptchaManager.SessionItemKeyPrefix Field

CaptchaManagerSessionItemKeyPrefix Field
保存到会话时使用的键名前缀

Namespace: ZKWeb.Plugins.Common.Captcha.src.Managers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionItemKeyPrefix = "Common.Captcha."
Public Const SessionItemKeyPrefix As String = "Common.Captcha."
public:
literal String^ SessionItemKeyPrefix = "Common.Captcha."
static val mutable SessionItemKeyPrefix: string

Field Value

Type: String
See Also

Reference

CaptchaManager Class
ZKWeb.Plugins.Common.Captcha.src.Managers Namespace


ZKWeb.Plugins.Common.Captcha.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Captcha.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes |
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers |


ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes"]

Classes
 | Class | Description
Public class | CaptchaFieldAttribute | 图片验证码


CaptchaFieldAttribute Class
图片验证码
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextBoxFieldAttribute
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.AttributesCaptchaFieldAttribute

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CaptchaFieldAttribute : TextBoxFieldAttribute,
    IFormFieldParseFromEnv
Public Class CaptchaFieldAttribute
    Inherits TextBoxFieldAttribute
    Implements IFormFieldParseFromEnv
public ref class CaptchaFieldAttribute : public TextBoxFieldAttribute,
    IFormFieldParseFromEnv
type CaptchaFieldAttribute =
    class
        inherit TextBoxFieldAttribute
        interface IFormFieldParseFromEnv
    end

The CaptchaFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CaptchaFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Key | 用于区分各个验证码的键值
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes Namespace


CaptchaFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CaptchaFieldAttribute(
    string name,
    string key,
    string placeHolder = null
)
Public Sub New (
    name As String,
    key As String,
    Optional placeHolder As String = Nothing
)
public:
CaptchaFieldAttribute(
    String^ name,
    String^ key,
    String^ placeHolder = nullptr
)
new :
        name : string *
        key : string *
        ?placeHolder : string
(* Defaults:
        let _placeHolder = defaultArg placeHolder null
*)
-> CaptchaFieldAttribute

Parameters

name
Type: SystemString
字段名称
key
Type: SystemString
用于区分各个验证码的键值
placeHolder (Optional)
Type: SystemString
预置文本
See Also

Reference

CaptchaFieldAttribute Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes Namespace


CaptchaFieldAttribute Properties

The CaptchaFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Key | 用于区分各个验证码的键值
Top
See Also

Reference

CaptchaFieldAttribute Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes Namespace


CaptchaFieldAttribute.Key Property

CaptchaFieldAttributeKey Property

用于区分各个验证码的键值

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; set; }
Public Property Key As String
    Get
    Set
public:
property String^ Key {
    String^ get ();
    void set (String^ value);
}
member Key : string with get, set

Property Value

Type: String
See Also

Reference

CaptchaFieldAttribute Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Form.Attributes Namespace


ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers"]

Classes
 | Class | Description
Public class | CaptchaHandler | 验证码


CaptchaHandler Class
验证码
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Captcha.src.UIComponents.HandlersCaptchaHandler

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CaptchaHandler : IFormFieldHandler
Public Class CaptchaHandler
    Implements IFormFieldHandler
public ref class CaptchaHandler : IFormFieldHandler
type CaptchaHandler =
    class
        interface IFormFieldHandler
    end

The CaptchaHandler type exposes the following members.

Constructors
 | Name | Description
Public method | CaptchaHandler | Initializes a new instance of the CaptchaHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers Namespace


CaptchaHandler Constructor

Initializes a new instance of the CaptchaHandler class

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CaptchaHandler()
Public Sub New
public:
CaptchaHandler()
new : unit -> CaptchaHandler
See Also

Reference

CaptchaHandler Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers Namespace


CaptchaHandler Methods

The CaptchaHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CaptchaHandler Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers Namespace


CaptchaHandler.Build Method

CaptchaHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers.CaptchaHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers.CaptchaHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers.CaptchaHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CaptchaHandler Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers Namespace


CaptchaHandler.Parse Method

CaptchaHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers.CaptchaHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers.CaptchaHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers.CaptchaHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CaptchaHandler Class
ZKWeb.Plugins.Common.Captcha.src.UIComponents.Handlers Namespace


ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CodeEditor.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates Namespace


ZKWeb.Plugins.Common.CodeEditor.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes |
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers |


ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes"]

Classes
 | Class | Description
Public class | CodeEditorAttribute | 代码编辑器 字段类型应该是string


CodeEditorAttribute Class
代码编辑器 字段类型应该是string
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextBoxFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesTextAreaFieldAttribute
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributesCodeEditorAttribute

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CodeEditorAttribute : TextAreaFieldAttribute
Public Class CodeEditorAttribute
    Inherits TextAreaFieldAttribute
public ref class CodeEditorAttribute : public TextAreaFieldAttribute
type CodeEditorAttribute =
    class
        inherit TextAreaFieldAttribute
    end

The CodeEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | CodeEditorAttribute | 初始化
Top
Properties
 | Name | Description
Public property | Config | 自定义配置
Public property | Language | 语言
Top
See Also

Reference

ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes Namespace


CodeEditorAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CodeEditorAttribute(
    string name,
    int rows,
    string language,
    string config = null
)
Public Sub New (
    name As String,
    rows As Integer,
    language As String,
    Optional config As String = Nothing
)
public:
CodeEditorAttribute(
    String^ name,
    int rows,
    String^ language,
    String^ config = nullptr
)
new :
        name : string *
        rows : int *
        language : string *
        ?config : string
(* Defaults:
        let _config = defaultArg config null
*)
-> CodeEditorAttribute

Parameters

name
Type: SystemString
字段名称
rows
Type: SystemInt32
行数
language
Type: SystemString
语言
config (Optional)
Type: SystemString
自定义配置
See Also

Reference

CodeEditorAttribute Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes Namespace


CodeEditorAttribute Properties

The CodeEditorAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Config | 自定义配置
Public property | Language | 语言
Top
See Also

Reference

CodeEditorAttribute Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes Namespace


CodeEditorAttribute.Config Property

CodeEditorAttributeConfig Property

自定义配置

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, Object> Config { get; set; }
Public Property Config As Dictionary(Of String, Object)
    Get
    Set
public:
property Dictionary<String^, Object^>^ Config {
    Dictionary<String^, Object^>^ get ();
    void set (Dictionary<String^, Object^>^ value);
}
member Config : Dictionary<string, Object> with get, set

Property Value

Type: Dictionary String, Object
See Also

Reference

CodeEditorAttribute Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes Namespace


CodeEditorAttribute.Language Property

CodeEditorAttributeLanguage Property

语言

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Language { get; set; }
Public Property Language As String
    Get
    Set
public:
property String^ Language {
    String^ get ();
    void set (String^ value);
}
member Language : string with get, set

Property Value

Type: String
See Also

Reference

CodeEditorAttribute Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldAttributes Namespace


ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers"]

Classes
 | Class | Description
Public class | CodeEditorHandler | 代码编辑器的字段处理器


CodeEditorHandler Class
代码编辑器的字段处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlersCodeEditorHandler

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CodeEditorHandler : IFormFieldHandler
Public Class CodeEditorHandler
    Implements IFormFieldHandler
public ref class CodeEditorHandler : IFormFieldHandler
type CodeEditorHandler =
    class
        interface IFormFieldHandler
    end

The CodeEditorHandler type exposes the following members.

Constructors
 | Name | Description
Public method | CodeEditorHandler | Initializes a new instance of the CodeEditorHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers Namespace


CodeEditorHandler Constructor

Initializes a new instance of the CodeEditorHandler class

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CodeEditorHandler()
Public Sub New
public:
CodeEditorHandler()
new : unit -> CodeEditorHandler
See Also

Reference

CodeEditorHandler Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers Namespace


CodeEditorHandler Methods

The CodeEditorHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

CodeEditorHandler Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers Namespace


CodeEditorHandler.Build Method

CodeEditorHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers.CodeEditorHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers.CodeEditorHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers.CodeEditorHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

CodeEditorHandler Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers Namespace


CodeEditorHandler.Parse Method

CodeEditorHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers.CodeEditorHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers.CodeEditorHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers.CodeEditorHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

CodeEditorHandler Class
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents.FormFieldHandlers Namespace


ZKWeb.Plugins.Common.Currency Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Currency"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Currency.src |
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages |
ZKWeb.Plugins.Common.Currency.src.Components |
ZKWeb.Plugins.Common.Currency.src.Domain.Service |
ZKWeb.Plugins.Common.Currency.src.UIComponents |


ZKWeb.Plugins.Common.Currency.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.srcPlugin

Namespace: ZKWeb.Plugins.Common.Currency.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Currency.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Common.Currency.src Namespace


ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages"]

Classes
 | Class | Description
Public class | CurrencySettingsController | 货币设置
Public class | CurrencySettingsControllerForm | 表单


CurrencySettingsController Class
货币设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPagesCurrencySettingsController

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CurrencySettingsController : FormAdminSettingsControllerBase
Public Class CurrencySettingsController
    Inherits FormAdminSettingsControllerBase
public ref class CurrencySettingsController : public FormAdminSettingsControllerBase
type CurrencySettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The CurrencySettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | CurrencySettingsController | Initializes a new instance of the CurrencySettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController Constructor

Initializes a new instance of the CurrencySettingsController class

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CurrencySettingsController()
Public Sub New
public:
CurrencySettingsController()
new : unit -> CurrencySettingsController
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController Properties

The CurrencySettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Group Property

CurrencySettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.Group"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.GroupIconClass Property

CurrencySettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.IconClass Property

CurrencySettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Name Property

CurrencySettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.Name"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Privilege Property

CurrencySettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Url Property

CurrencySettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.Url"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController Methods

The CurrencySettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.GetForm Method

CurrencySettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.GetForm"]

See Also

Reference

CurrencySettingsController Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Form Class

CurrencySettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPagesCurrencySettingsControllerForm

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The CurrencySettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | CurrencySettingsControllerForm | Initializes a new instance of the CurrencySettingsControllerForm class
Top
Properties
 | Name | Description
Public property | DefaultCurrency | 默认货币
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Form Constructor

CurrencySettingsControllerForm Constructor

Initializes a new instance of the CurrencySettingsControllerForm class

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

CurrencySettingsControllerForm Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


Form Properties

The CurrencySettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | DefaultCurrency | 默认货币
Top
See Also

Reference

CurrencySettingsControllerForm Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Form.DefaultCurrency Property

CurrencySettingsControllerFormDefaultCurrency Property

默认货币

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultCurrency { get; set; }
Public Property DefaultCurrency As String
    Get
    Set
public:
property String^ DefaultCurrency {
    String^ get ();
    void set (String^ value);
}
member DefaultCurrency : string with get, set

Property Value

Type: String
See Also

Reference

CurrencySettingsControllerForm Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


Form Methods

The CurrencySettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

CurrencySettingsControllerForm Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Form.OnBind Method

CurrencySettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

CurrencySettingsControllerForm Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


CurrencySettingsController.Form.OnSubmit Method

CurrencySettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages.CurrencySettingsController.Form.OnSubmit"]

See Also

Reference

CurrencySettingsControllerForm Class
ZKWeb.Plugins.Common.Currency.src.AdminSettingsPages Namespace


ZKWeb.Plugins.Common.Currency.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Currency.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Currency.src.Components.Currencies |
ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs |
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces |
ZKWeb.Plugins.Common.Currency.src.Components.Translates |


ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.Components.Currencies"]

Classes
 | Class | Description
Public class | CHF | 瑞士法郎
Public class | CNY | 人民币
Public class | CZK | 捷克克朗
Public class | EUR | 欧元
Public class | HKD | 港元
Public class | JPY | 日元
Public class | KRW | 韩元
Public class | RUB | 卢布
Public class | THB | 泰铢
Public class | TWD | 新台币
Public class | USD | 美元


CHF Class
瑞士法郎
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesCHF

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CHF : ICurrency
Public Class CHF
    Implements ICurrency
public ref class CHF : ICurrency
type CHF =
    class
        interface ICurrency
    end

The CHF type exposes the following members.

Constructors
 | Name | Description
Public method | CHF | Initializes a new instance of the CHF class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CHF Constructor

Initializes a new instance of the CHF class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CHF()
Public Sub New
public:
CHF()
new : unit -> CHF
See Also

Reference

CHF Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CHF Properties

The CHF type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

CHF Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CHF.Prefix Property

CHFPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CHF.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

CHF Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CHF.Suffix Property

CHFSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CHF.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

CHF Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CHF.Type Property

CHFType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CHF.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

CHF Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CHF Methods

The CHF type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

CHF Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY Class
人民币
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesCNY

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CNY : ICurrency
Public Class CNY
    Implements ICurrency
public ref class CNY : ICurrency
type CNY =
    class
        interface ICurrency
    end

The CNY type exposes the following members.

Constructors
 | Name | Description
Public method | CNY | Initializes a new instance of the CNY class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY Constructor

Initializes a new instance of the CNY class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CNY()
Public Sub New
public:
CNY()
new : unit -> CNY
See Also

Reference

CNY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY Properties

The CNY type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

CNY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY.Prefix Property

CNYPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CNY.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

CNY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY.Suffix Property

CNYSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CNY.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

CNY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY.Type Property

CNYType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CNY.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

CNY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CNY Methods

The CNY type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

CNY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK Class
捷克克朗
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesCZK

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CZK : ICurrency
Public Class CZK
    Implements ICurrency
public ref class CZK : ICurrency
type CZK =
    class
        interface ICurrency
    end

The CZK type exposes the following members.

Constructors
 | Name | Description
Public method | CZK | Initializes a new instance of the CZK class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK Constructor

Initializes a new instance of the CZK class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CZK()
Public Sub New
public:
CZK()
new : unit -> CZK
See Also

Reference

CZK Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK Properties

The CZK type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

CZK Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK.Prefix Property

CZKPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CZK.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

CZK Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK.Suffix Property

CZKSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CZK.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

CZK Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK.Type Property

CZKType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.CZK.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

CZK Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


CZK Methods

The CZK type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

CZK Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR Class
欧元
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesEUR

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class EUR : ICurrency
Public Class EUR
    Implements ICurrency
public ref class EUR : ICurrency
type EUR =
    class
        interface ICurrency
    end

The EUR type exposes the following members.

Constructors
 | Name | Description
Public method | EUR | Initializes a new instance of the EUR class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR Constructor

Initializes a new instance of the EUR class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public EUR()
Public Sub New
public:
EUR()
new : unit -> EUR
See Also

Reference

EUR Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR Properties

The EUR type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

EUR Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR.Prefix Property

EURPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.EUR.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

EUR Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR.Suffix Property

EURSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.EUR.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

EUR Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR.Type Property

EURType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.EUR.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

EUR Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


EUR Methods

The EUR type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

EUR Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD Class
港元
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesHKD

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HKD : ICurrency
Public Class HKD
    Implements ICurrency
public ref class HKD : ICurrency
type HKD =
    class
        interface ICurrency
    end

The HKD type exposes the following members.

Constructors
 | Name | Description
Public method | HKD | Initializes a new instance of the HKD class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD Constructor

Initializes a new instance of the HKD class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HKD()
Public Sub New
public:
HKD()
new : unit -> HKD
See Also

Reference

HKD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD Properties

The HKD type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

HKD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD.Prefix Property

HKDPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.HKD.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

HKD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD.Suffix Property

HKDSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.HKD.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

HKD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD.Type Property

HKDType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.HKD.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

HKD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


HKD Methods

The HKD type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

HKD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY Class
日元
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesJPY

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class JPY : ICurrency
Public Class JPY
    Implements ICurrency
public ref class JPY : ICurrency
type JPY =
    class
        interface ICurrency
    end

The JPY type exposes the following members.

Constructors
 | Name | Description
Public method | JPY | Initializes a new instance of the JPY class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY Constructor

Initializes a new instance of the JPY class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public JPY()
Public Sub New
public:
JPY()
new : unit -> JPY
See Also

Reference

JPY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY Properties

The JPY type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

JPY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY.Prefix Property

JPYPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.JPY.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

JPY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY.Suffix Property

JPYSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.JPY.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

JPY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY.Type Property

JPYType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.JPY.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

JPY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


JPY Methods

The JPY type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

JPY Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW Class
韩元
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesKRW

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class KRW : ICurrency
Public Class KRW
    Implements ICurrency
public ref class KRW : ICurrency
type KRW =
    class
        interface ICurrency
    end

The KRW type exposes the following members.

Constructors
 | Name | Description
Public method | KRW | Initializes a new instance of the KRW class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW Constructor

Initializes a new instance of the KRW class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public KRW()
Public Sub New
public:
KRW()
new : unit -> KRW
See Also

Reference

KRW Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW Properties

The KRW type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

KRW Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW.Prefix Property

KRWPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.KRW.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

KRW Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW.Suffix Property

KRWSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.KRW.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

KRW Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW.Type Property

KRWType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.KRW.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

KRW Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


KRW Methods

The KRW type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

KRW Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB Class
卢布
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesRUB

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RUB : ICurrency
Public Class RUB
    Implements ICurrency
public ref class RUB : ICurrency
type RUB =
    class
        interface ICurrency
    end

The RUB type exposes the following members.

Constructors
 | Name | Description
Public method | RUB | Initializes a new instance of the RUB class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB Constructor

Initializes a new instance of the RUB class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RUB()
Public Sub New
public:
RUB()
new : unit -> RUB
See Also

Reference

RUB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB Properties

The RUB type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

RUB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB.Prefix Property

RUBPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.RUB.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

RUB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB.Suffix Property

RUBSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.RUB.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

RUB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB.Type Property

RUBType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.RUB.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

RUB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


RUB Methods

The RUB type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

RUB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB Class
泰铢
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesTHB

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class THB : ICurrency
Public Class THB
    Implements ICurrency
public ref class THB : ICurrency
type THB =
    class
        interface ICurrency
    end

The THB type exposes the following members.

Constructors
 | Name | Description
Public method | THB | Initializes a new instance of the THB class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB Constructor

Initializes a new instance of the THB class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public THB()
Public Sub New
public:
THB()
new : unit -> THB
See Also

Reference

THB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB Properties

The THB type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

THB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB.Prefix Property

THBPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.THB.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

THB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB.Suffix Property

THBSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.THB.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

THB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB.Type Property

THBType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.THB.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

THB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


THB Methods

The THB type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

THB Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD Class
新台币
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesTWD

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TWD : ICurrency
Public Class TWD
    Implements ICurrency
public ref class TWD : ICurrency
type TWD =
    class
        interface ICurrency
    end

The TWD type exposes the following members.

Constructors
 | Name | Description
Public method | TWD | Initializes a new instance of the TWD class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD Constructor

Initializes a new instance of the TWD class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TWD()
Public Sub New
public:
TWD()
new : unit -> TWD
See Also

Reference

TWD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD Properties

The TWD type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

TWD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD.Prefix Property

TWDPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.TWD.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

TWD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD.Suffix Property

TWDSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.TWD.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

TWD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD.Type Property

TWDType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.TWD.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

TWD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


TWD Methods

The TWD type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

TWD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD Class
美元
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.CurrenciesUSD

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class USD : ICurrency
Public Class USD
    Implements ICurrency
public ref class USD : ICurrency
type USD =
    class
        interface ICurrency
    end

The USD type exposes the following members.

Constructors
 | Name | Description
Public method | USD | Initializes a new instance of the USD class
Top
Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD Constructor

Initializes a new instance of the USD class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public USD()
Public Sub New
public:
USD()
new : unit -> USD
See Also

Reference

USD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD Properties

The USD type exposes the following members.

Properties
 | Name | Description
Public property | Prefix |
Public property | Suffix |
Public property | Type |
Top
See Also

Reference

USD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD.Prefix Property

USDPrefix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.USD.Prefix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Prefix { get; }
Public ReadOnly Property Prefix As String
    Get
public:
virtual property String^ Prefix {
    String^ get () sealed;
}
abstract Prefix : string with get
override Prefix : string with get

Property Value

Type: String

Implements

ICurrencyPrefix
See Also

Reference

USD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD.Suffix Property

USDSuffix Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.USD.Suffix"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; }
Public ReadOnly Property Suffix As String
    Get
public:
virtual property String^ Suffix {
    String^ get () sealed;
}
abstract Suffix : string with get
override Suffix : string with get

Property Value

Type: String

Implements

ICurrencySuffix
See Also

Reference

USD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD.Type Property

USDType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Currency.src.Components.Currencies.USD.Type"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Currencies
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ICurrencyType
See Also

Reference

USD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


USD Methods

The USD type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

USD Class
ZKWeb.Plugins.Common.Currency.src.Components.Currencies Namespace


ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | CurrencySettings | 货币设置


CurrencySettings Class
货币设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigsCurrencySettings

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CurrencySettings
Public Class CurrencySettings
public ref class CurrencySettings
type CurrencySettings =  class end

The CurrencySettings type exposes the following members.

Constructors
 | Name | Description
Public method | CurrencySettings | Initializes a new instance of the CurrencySettings class
Top
Properties
 | Name | Description
Public property | DefaultCurrency | 默认货币
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs Namespace


CurrencySettings Constructor

Initializes a new instance of the CurrencySettings class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CurrencySettings()
Public Sub New
public:
CurrencySettings()
new : unit -> CurrencySettings
See Also

Reference

CurrencySettings Class
ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs Namespace


CurrencySettings Properties

The CurrencySettings type exposes the following members.

Properties
 | Name | Description
Public property | DefaultCurrency | 默认货币
Top
See Also

Reference

CurrencySettings Class
ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs Namespace


CurrencySettings.DefaultCurrency Property

CurrencySettingsDefaultCurrency Property

默认货币

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultCurrency { get; set; }
Public Property DefaultCurrency As String
    Get
    Set
public:
property String^ DefaultCurrency {
    String^ get ();
    void set (String^ value);
}
member DefaultCurrency : string with get, set

Property Value

Type: String
See Also

Reference

CurrencySettings Class
ZKWeb.Plugins.Common.Currency.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.Components.Interfaces"]

Classes
 | Class | Description
Public class | ICurrencyExtensions | 货币的扩展函数
Interfaces
 | Interface | Description
Public interface | ICurrency | 货币的接口


ICurrency Interface
货币的接口

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ICurrency
Public Interface ICurrency
public interface class ICurrency
type ICurrency =  interface end

The ICurrency type exposes the following members.

Properties
 | Name | Description
Public property | Prefix | 货币的前缀
Public property | Suffix | 货币的后缀
Public property | Type | 货币类型 格式是3位英文大写（ISO 4217） 储存时请以这个成员为准
Top
Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrency Properties

The ICurrency type exposes the following members.

Properties
 | Name | Description
Public property | Prefix | 货币的前缀
Public property | Suffix | 货币的后缀
Public property | Type | 货币类型 格式是3位英文大写（ISO 4217） 储存时请以这个成员为准
Top
See Also

Reference

ICurrency Interface
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrency.Prefix Property

ICurrencyPrefix Property

货币的前缀

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Prefix { get; }
ReadOnly Property Prefix As String
    Get
property String^ Prefix {
    String^ get ();
}
abstract Prefix : string with get

Property Value

Type: String
See Also

Reference

ICurrency Interface
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrency.Suffix Property

ICurrencySuffix Property

货币的后缀

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Suffix { get; }
ReadOnly Property Suffix As String
    Get
property String^ Suffix {
    String^ get ();
}
abstract Suffix : string with get

Property Value

Type: String
See Also

Reference

ICurrency Interface
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrency.Type Property

ICurrencyType Property

货币类型 格式是3位英文大写（ISO 4217） 储存时请以这个成员为准

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Type { get; }
ReadOnly Property Type As String
    Get
property String^ Type {
    String^ get ();
}
abstract Type : string with get

Property Value

Type: String
See Also

Reference

ICurrency Interface
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrency Methods

The ICurrency type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Format | 格式化金额字符串 前缀 + 金额 + 后缀 (Defined by ICurrencyExtensions.)
Top
See Also

Reference

ICurrency Interface
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrencyExtensions Class
货币的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.InterfacesICurrencyExtensions

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ICurrencyExtensions
<ExtensionAttribute>
Public NotInheritable Class ICurrencyExtensions
[ExtensionAttribute]
public ref class ICurrencyExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ICurrencyExtensions =  class end

The ICurrencyExtensions type exposes the following members.

Methods
Name | Description
Format | 格式化金额字符串 前缀 + 金额 + 后缀
Top
Fields
Name | Description
RoundDecimals | 金额保留的小数位
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrencyExtensions Methods

The ICurrencyExtensions type exposes the following members.

Methods
Name | Description
Format | 格式化金额字符串 前缀 + 金额 + 后缀
Top
See Also

Reference

ICurrencyExtensions Class
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrencyExtensions.Format Method

ICurrencyExtensionsFormat Method

格式化金额字符串 前缀 + 金额 + 后缀

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Format(
    this ICurrency currency,
    decimal amount
)
<ExtensionAttribute>
Public Shared Function Format (
    currency As ICurrency,
    amount As Decimal
) As String
public:
[ExtensionAttribute]
static String^ Format(
    ICurrency^ currency,
    Decimal amount
)
[<ExtensionAttribute>]
static member Format :
        currency : ICurrency *
        amount : decimal -> string

Parameters

currency
Type: ZKWeb.Plugins.Common.Currency.src.Components.InterfacesICurrency
货币
amount
Type: SystemDecimal
金额

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Interfaces.ICurrencyExtensions.Format(ZKWeb.Plugins.Common.Currency.src.Components.Interfaces.ICurrency,System.Decimal)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ICurrency. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ICurrencyExtensions Class
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrencyExtensions Fields

The ICurrencyExtensions type exposes the following members.

Fields
Name | Description
RoundDecimals | 金额保留的小数位
Top
See Also

Reference

ICurrencyExtensions Class
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ICurrencyExtensions.RoundDecimals Field

ICurrencyExtensionsRoundDecimals Field
金额保留的小数位

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int RoundDecimals
Public Shared RoundDecimals As Integer
public:
static int RoundDecimals
static val mutable RoundDecimals: int

Field Value

Type: Int32
See Also

Reference

ICurrencyExtensions Class
ZKWeb.Plugins.Common.Currency.src.Components.Interfaces Namespace


ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Currency.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Currency.src.Components.Translates Namespace


ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.Domain.Service"]

Classes
 | Class | Description
Public class | CurrencyManager | 货币管理器


CurrencyManager Class
货币管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Currency.src.Domain.ServiceCurrencyManager

Namespace: ZKWeb.Plugins.Common.Currency.src.Domain.Service
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CurrencyManager : DomainServiceBase,
    ICacheCleaner
Public Class CurrencyManager
    Inherits DomainServiceBase
    Implements ICacheCleaner
public ref class CurrencyManager : public DomainServiceBase,
    ICacheCleaner
type CurrencyManager =
    class
        inherit DomainServiceBase
        interface ICacheCleaner
    end

The CurrencyManager type exposes the following members.

Constructors
 | Name | Description
Public method | CurrencyManager | 初始化
Top
Properties
 | Name | Description
Protected property | CurrencyCache | 货币类型到货币信息的缓存
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetCurrency | 获取货币信息，找不到时返回null
Public method | GetDefaultCurrency | 获取默认的货币信息，找不到时返回null
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Currency.src.Domain.Service
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CurrencyManager()
Public Sub New
public:
CurrencyManager()
new : unit -> CurrencyManager
See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager Properties

The CurrencyManager type exposes the following members.

Properties
 | Name | Description
Protected property | CurrencyCache | 货币类型到货币信息的缓存
Top
See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager.CurrencyCache Property

CurrencyManagerCurrencyCache Property

货币类型到货币信息的缓存

Namespace: ZKWeb.Plugins.Common.Currency.src.Domain.Service
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected LazyCache<Dictionary<string, ICurrency>> CurrencyCache { get; set; }
Protected Property CurrencyCache As LazyCache(Of Dictionary(Of String, ICurrency))
    Get
    Set
protected:
property LazyCache<Dictionary<String^, ICurrency^>^>^ CurrencyCache {
    LazyCache<Dictionary<String^, ICurrency^>^>^ get ();
    void set (LazyCache<Dictionary<String^, ICurrency^>^>^ value);
}
member CurrencyCache : LazyCache<Dictionary<string, ICurrency>> with get, set

Property Value

Type: LazyCacheDictionary String, ICurrency
See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager Methods

The CurrencyManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetCurrency | 获取货币信息，找不到时返回null
Public method | GetDefaultCurrency | 获取默认的货币信息，找不到时返回null
Top
See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager.ClearCache Method

CurrencyManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Common.Currency.src.Domain.Service
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager.GetCurrency Method

CurrencyManagerGetCurrency Method

获取货币信息，找不到时返回null

Namespace: ZKWeb.Plugins.Common.Currency.src.Domain.Service
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ICurrency GetCurrency(
    string type
)
Public Overridable Function GetCurrency (
    type As String
) As ICurrency
public:
virtual ICurrency^ GetCurrency(
    String^ type
)
abstract GetCurrency :
        type : string -> ICurrency
override GetCurrency :
        type : string -> ICurrency

Parameters

type
Type: SystemString
货币类型，区分大小写

Return Value

Type: ICurrency

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Domain.Service.CurrencyManager.GetCurrency(System.String)"]

See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


CurrencyManager.GetDefaultCurrency Method

CurrencyManagerGetDefaultCurrency Method

获取默认的货币信息，找不到时返回null

Namespace: ZKWeb.Plugins.Common.Currency.src.Domain.Service
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ICurrency GetDefaultCurrency()
Public Overridable Function GetDefaultCurrency As ICurrency
public:
virtual ICurrency^ GetDefaultCurrency()
abstract GetDefaultCurrency : unit -> ICurrency
override GetDefaultCurrency : unit -> ICurrency

Return Value

Type: ICurrency

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.Domain.Service.CurrencyManager.GetDefaultCurrency"]

See Also

Reference

CurrencyManager Class
ZKWeb.Plugins.Common.Currency.src.Domain.Service Namespace


ZKWeb.Plugins.Common.Currency.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Currency.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders |
ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters |


ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | CurrencyListItemProvider | 货币列表


CurrencyListItemProvider Class
货币列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProvidersCurrencyListItemProvider

Namespace: ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CurrencyListItemProvider : IListItemProvider
Public Class CurrencyListItemProvider
    Implements IListItemProvider
public ref class CurrencyListItemProvider : IListItemProvider
type CurrencyListItemProvider =
    class
        interface IListItemProvider
    end

The CurrencyListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | CurrencyListItemProvider | Initializes a new instance of the CurrencyListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders Namespace


CurrencyListItemProvider Constructor

Initializes a new instance of the CurrencyListItemProvider class

Namespace: ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CurrencyListItemProvider()
Public Sub New
public:
CurrencyListItemProvider()
new : unit -> CurrencyListItemProvider
See Also

Reference

CurrencyListItemProvider Class
ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders Namespace


CurrencyListItemProvider Methods

The CurrencyListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

CurrencyListItemProvider Class
ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders Namespace


CurrencyListItemProvider.GetItems Method

CurrencyListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders.CurrencyListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

CurrencyListItemProvider Class
ZKWeb.Plugins.Common.Currency.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters"]

Classes
 | Class | Description
Public class | CurrencyFilters | 货币使用的模板过滤器


CurrencyFilters Class
货币使用的模板过滤器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFiltersCurrencyFilters

Namespace: ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CurrencyFilters
Public NotInheritable Class CurrencyFilters
public ref class CurrencyFilters abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type CurrencyFilters =  class end

The CurrencyFilters type exposes the following members.

Methods
Name | Description
Currency | 使用指定货币格式化
DefaultCurrency | 使用默认货币格式化
Top
See Also

Reference

ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters Namespace


CurrencyFilters Methods

The CurrencyFilters type exposes the following members.

Methods
Name | Description
Currency | 使用指定货币格式化
DefaultCurrency | 使用默认货币格式化
Top
See Also

Reference

CurrencyFilters Class
ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters Namespace


CurrencyFilters.Currency Method

CurrencyFiltersCurrency Method

使用指定货币格式化

Namespace: ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string Currency(
    Object amount,
    string currencyType
)
Public Shared Function Currency (
    amount As Object,
    currencyType As String
) As String
public:
static String^ Currency(
    Object^ amount,
    String^ currencyType
)
static member Currency :
        amount : Object *
        currencyType : string -> string

Parameters

amount
Type: SystemObject
金额
currencyType
Type: SystemString
货币

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters.CurrencyFilters.Currency(System.Object,System.String)"]

Examples
{{ amount | currency: "CNY" }}
See Also

Reference

CurrencyFilters Class
ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters Namespace


CurrencyFilters.DefaultCurrency Method

CurrencyFiltersDefaultCurrency Method

使用默认货币格式化

Namespace: ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string DefaultCurrency(
    Object amount
)
Public Shared Function DefaultCurrency (
    amount As Object
) As String
public:
static String^ DefaultCurrency(
    Object^ amount
)
static member DefaultCurrency :
        amount : Object -> string

Parameters

amount
Type: SystemObject
金额

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters.CurrencyFilters.DefaultCurrency(System.Object)"]

Examples
{{ amount | default_currency }}
See Also

Reference

CurrencyFilters Class
ZKWeb.Plugins.Common.Currency.src.UIComponents.TemplateFilters Namespace


ZKWeb.Plugins.Common.CustomTranslate.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.CustomTranslate.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates |
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers |
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities |


ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.CustomTranslate.src.Components.Translates Namespace


ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers |
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases |


ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers"]

Classes
 | Class | Description
Public class | Arabic | 阿拉伯语
Public class | Chinese | 中文
Public class | Czech | 捷克语
Public class | English | 英语
Public class | French | 法语
Public class | German | 德语
Public class | Greek | 希腊语
Public class | Italian | 意大利语
Public class | Japanese | 日语
Public class | Korean | 韩语
Public class | Polish | 波兰语
Public class | Russian | 俄语
Public class | Spanish | 西班牙语
Public class | Thai | 泰语
Public class | TraditionalChinese | 繁体中文


Arabic Class
阿拉伯语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersArabic

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Arabic : CustomTranslationControllerBase
Public Class Arabic
    Inherits CustomTranslationControllerBase
public ref class Arabic : public CustomTranslationControllerBase
type Arabic =
    class
        inherit CustomTranslationControllerBase
    end

The Arabic type exposes the following members.

Constructors
 | Name | Description
Public method | Arabic | Initializes a new instance of the Arabic class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Arabic Constructor

Initializes a new instance of the Arabic class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Arabic()
Public Sub New
public:
Arabic()
new : unit -> Arabic
See Also

Reference

Arabic Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Arabic Properties

The Arabic type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Arabic Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Arabic.Name Property

ArabicName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Arabic.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Arabic Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Chinese Class
中文
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersChinese

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Chinese : CustomTranslationControllerBase
Public Class Chinese
    Inherits CustomTranslationControllerBase
public ref class Chinese : public CustomTranslationControllerBase
type Chinese =
    class
        inherit CustomTranslationControllerBase
    end

The Chinese type exposes the following members.

Constructors
 | Name | Description
Public method | Chinese | Initializes a new instance of the Chinese class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Chinese Constructor

Initializes a new instance of the Chinese class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Chinese()
Public Sub New
public:
Chinese()
new : unit -> Chinese
See Also

Reference

Chinese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Chinese Properties

The Chinese type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Chinese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Chinese.Name Property

ChineseName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Chinese.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Chinese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Czech Class
捷克语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersCzech

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Czech : CustomTranslationControllerBase
Public Class Czech
    Inherits CustomTranslationControllerBase
public ref class Czech : public CustomTranslationControllerBase
type Czech =
    class
        inherit CustomTranslationControllerBase
    end

The Czech type exposes the following members.

Constructors
 | Name | Description
Public method | Czech | Initializes a new instance of the Czech class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Czech Constructor

Initializes a new instance of the Czech class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Czech()
Public Sub New
public:
Czech()
new : unit -> Czech
See Also

Reference

Czech Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Czech Properties

The Czech type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Czech Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Czech.Name Property

CzechName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Czech.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Czech Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


English Class
英语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersEnglish

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class English : CustomTranslationControllerBase
Public Class English
    Inherits CustomTranslationControllerBase
public ref class English : public CustomTranslationControllerBase
type English =
    class
        inherit CustomTranslationControllerBase
    end

The English type exposes the following members.

Constructors
 | Name | Description
Public method | English | Initializes a new instance of the English class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


English Constructor

Initializes a new instance of the English class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public English()
Public Sub New
public:
English()
new : unit -> English
See Also

Reference

English Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


English Properties

The English type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

English Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


English.Name Property

EnglishName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.English.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

English Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


French Class
法语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersFrench

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class French : CustomTranslationControllerBase
Public Class French
    Inherits CustomTranslationControllerBase
public ref class French : public CustomTranslationControllerBase
type French =
    class
        inherit CustomTranslationControllerBase
    end

The French type exposes the following members.

Constructors
 | Name | Description
Public method | French | Initializes a new instance of the French class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


French Constructor

Initializes a new instance of the French class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public French()
Public Sub New
public:
French()
new : unit -> French
See Also

Reference

French Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


French Properties

The French type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

French Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


French.Name Property

FrenchName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.French.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

French Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


German Class
德语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersGerman

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class German : CustomTranslationControllerBase
Public Class German
    Inherits CustomTranslationControllerBase
public ref class German : public CustomTranslationControllerBase
type German =
    class
        inherit CustomTranslationControllerBase
    end

The German type exposes the following members.

Constructors
 | Name | Description
Public method | German | Initializes a new instance of the German class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


German Constructor

Initializes a new instance of the German class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public German()
Public Sub New
public:
German()
new : unit -> German
See Also

Reference

German Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


German Properties

The German type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

German Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


German.Name Property

GermanName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.German.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

German Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Greek Class
希腊语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersGreek

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Greek : CustomTranslationControllerBase
Public Class Greek
    Inherits CustomTranslationControllerBase
public ref class Greek : public CustomTranslationControllerBase
type Greek =
    class
        inherit CustomTranslationControllerBase
    end

The Greek type exposes the following members.

Constructors
 | Name | Description
Public method | Greek | Initializes a new instance of the Greek class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Greek Constructor

Initializes a new instance of the Greek class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Greek()
Public Sub New
public:
Greek()
new : unit -> Greek
See Also

Reference

Greek Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Greek Properties

The Greek type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Greek Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Greek.Name Property

GreekName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Greek.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Greek Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Italian Class
意大利语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersItalian

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Italian : CustomTranslationControllerBase
Public Class Italian
    Inherits CustomTranslationControllerBase
public ref class Italian : public CustomTranslationControllerBase
type Italian =
    class
        inherit CustomTranslationControllerBase
    end

The Italian type exposes the following members.

Constructors
 | Name | Description
Public method | Italian | Initializes a new instance of the Italian class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Italian Constructor

Initializes a new instance of the Italian class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Italian()
Public Sub New
public:
Italian()
new : unit -> Italian
See Also

Reference

Italian Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Italian Properties

The Italian type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Italian Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Italian.Name Property

ItalianName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Italian.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Italian Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Japanese Class
日语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersJapanese

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Japanese : CustomTranslationControllerBase
Public Class Japanese
    Inherits CustomTranslationControllerBase
public ref class Japanese : public CustomTranslationControllerBase
type Japanese =
    class
        inherit CustomTranslationControllerBase
    end

The Japanese type exposes the following members.

Constructors
 | Name | Description
Public method | Japanese | Initializes a new instance of the Japanese class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Japanese Constructor

Initializes a new instance of the Japanese class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Japanese()
Public Sub New
public:
Japanese()
new : unit -> Japanese
See Also

Reference

Japanese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Japanese Properties

The Japanese type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Japanese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Japanese.Name Property

JapaneseName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Japanese.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Japanese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Korean Class
韩语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersKorean

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Korean : CustomTranslationControllerBase
Public Class Korean
    Inherits CustomTranslationControllerBase
public ref class Korean : public CustomTranslationControllerBase
type Korean =
    class
        inherit CustomTranslationControllerBase
    end

The Korean type exposes the following members.

Constructors
 | Name | Description
Public method | Korean | Initializes a new instance of the Korean class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Korean Constructor

Initializes a new instance of the Korean class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Korean()
Public Sub New
public:
Korean()
new : unit -> Korean
See Also

Reference

Korean Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Korean Properties

The Korean type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Korean Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Korean.Name Property

KoreanName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Korean.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Korean Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Polish Class
波兰语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersPolish

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Polish : CustomTranslationControllerBase
Public Class Polish
    Inherits CustomTranslationControllerBase
public ref class Polish : public CustomTranslationControllerBase
type Polish =
    class
        inherit CustomTranslationControllerBase
    end

The Polish type exposes the following members.

Constructors
 | Name | Description
Public method | Polish | Initializes a new instance of the Polish class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Polish Constructor

Initializes a new instance of the Polish class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Polish()
Public Sub New
public:
Polish()
new : unit -> Polish
See Also

Reference

Polish Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Polish Properties

The Polish type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Polish Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Polish.Name Property

PolishName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Polish.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Polish Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Russian Class
俄语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersRussian

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Russian : CustomTranslationControllerBase
Public Class Russian
    Inherits CustomTranslationControllerBase
public ref class Russian : public CustomTranslationControllerBase
type Russian =
    class
        inherit CustomTranslationControllerBase
    end

The Russian type exposes the following members.

Constructors
 | Name | Description
Public method | Russian | Initializes a new instance of the Russian class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Russian Constructor

Initializes a new instance of the Russian class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Russian()
Public Sub New
public:
Russian()
new : unit -> Russian
See Also

Reference

Russian Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Russian Properties

The Russian type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Russian Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Russian.Name Property

RussianName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Russian.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Russian Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Spanish Class
西班牙语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersSpanish

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Spanish : CustomTranslationControllerBase
Public Class Spanish
    Inherits CustomTranslationControllerBase
public ref class Spanish : public CustomTranslationControllerBase
type Spanish =
    class
        inherit CustomTranslationControllerBase
    end

The Spanish type exposes the following members.

Constructors
 | Name | Description
Public method | Spanish | Initializes a new instance of the Spanish class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Spanish Constructor

Initializes a new instance of the Spanish class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Spanish()
Public Sub New
public:
Spanish()
new : unit -> Spanish
See Also

Reference

Spanish Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Spanish Properties

The Spanish type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Spanish Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Spanish.Name Property

SpanishName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Spanish.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Spanish Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Thai Class
泰语
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersThai

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Thai : CustomTranslationControllerBase
Public Class Thai
    Inherits CustomTranslationControllerBase
public ref class Thai : public CustomTranslationControllerBase
type Thai =
    class
        inherit CustomTranslationControllerBase
    end

The Thai type exposes the following members.

Constructors
 | Name | Description
Public method | Thai | Initializes a new instance of the Thai class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Thai Constructor

Initializes a new instance of the Thai class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Thai()
Public Sub New
public:
Thai()
new : unit -> Thai
See Also

Reference

Thai Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Thai Properties

The Thai type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

Thai Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


Thai.Name Property

ThaiName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Thai.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

Thai Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


TraditionalChinese Class
繁体中文
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersTraditionalChinese

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TraditionalChinese : CustomTranslationControllerBase
Public Class TraditionalChinese
    Inherits CustomTranslationControllerBase
public ref class TraditionalChinese : public CustomTranslationControllerBase
type TraditionalChinese =
    class
        inherit CustomTranslationControllerBase
    end

The TraditionalChinese type exposes the following members.

Constructors
 | Name | Description
Public method | TraditionalChinese | Initializes a new instance of the TraditionalChinese class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


TraditionalChinese Constructor

Initializes a new instance of the TraditionalChinese class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TraditionalChinese()
Public Sub New
public:
TraditionalChinese()
new : unit -> TraditionalChinese
See Also

Reference

TraditionalChinese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


TraditionalChinese Properties

The TraditionalChinese type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

TraditionalChinese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


TraditionalChinese.Name Property

TraditionalChineseName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.TraditionalChinese.Name"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

TraditionalChinese Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers Namespace


ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | CustomTranslationControllerBase | 自定义翻译的控制器基础类，同时也是翻译提供器 可以在后台设置中设置自定义翻译 注册时必须添加SingletonReuse属性否则影响性能
Public class | CustomTranslationControllerBaseForm | 表单


CustomTranslationControllerBase Class
自定义翻译的控制器基础类，同时也是翻译提供器 可以在后台设置中设置自定义翻译 注册时必须添加SingletonReuse属性否则影响性能
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
More...

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class CustomTranslationControllerBase : CrudAdminSettingsControllerBase<CustomTranslation, string>,
    ITranslateProvider, ICacheCleaner
Public MustInherit Class CustomTranslationControllerBase
    Inherits CrudAdminSettingsControllerBase(Of CustomTranslation, String)
    Implements ITranslateProvider, ICacheCleaner
public ref class CustomTranslationControllerBase abstract : public CrudAdminSettingsControllerBase<CustomTranslation^, String^>,
    ITranslateProvider, ICacheCleaner
[<AbstractClassAttribute>]
type CustomTranslationControllerBase =
    class
        inherit CrudAdminSettingsControllerBase<CustomTranslation, string>
        interface ITranslateProvider
        interface ICacheCleaner
    end

The CustomTranslationControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | CustomTranslationControllerBase | Initializes a new instance of the CustomTranslationControllerBase class
Top
Properties
 | Name | Description
Protected property | _Translates |
Public property | BatchUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyBatchUrl.)
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | DeleteUrl |
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Translates | 翻译内容 获取时从文件载入，设置时保存到文件
Public property | TranslatesFile | 保存和载入翻译内容的路径
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
Methods
 | Name | Description
Protected method | Action | 列表页的处理函数 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAction.)
Public method | CanTranslate | 判断是否可以翻译指定语言
Public method | ClearCache | 清理缓存 手动编辑后可以清理缓存让翻译器读取文件内容
Protected method | DeleteAction | 删除翻译内容
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Protected method | SearchAction | 搜索请求的处理函数 (Overrides CrudControllerBaseTEntity, TPrimaryKeySearchAction.)
Public method | Translate | 翻译文本
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase CustomTranslation, String
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersArabic
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersChinese
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersCzech
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersEnglish
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersFrench
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersGerman
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersGreek
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersItalian
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersJapanese
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersKorean
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersPolish
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersRussian
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersSpanish
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersThai
ZKWeb.Plugins.Common.CustomTranslate.src.ControllersTraditionalChinese


CustomTranslationControllerBase Constructor

Initializes a new instance of the CustomTranslationControllerBase class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected CustomTranslationControllerBase()
Protected Sub New
protected:
CustomTranslationControllerBase()
new : unit -> CustomTranslationControllerBase
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase Properties

The CustomTranslationControllerBase type exposes the following members.

Properties
 | Name | Description
Protected property | _Translates |
Public property | BatchUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyBatchUrl.)
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | DeleteUrl |
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Translates | 翻译内容 获取时从文件载入，设置时保存到文件
Public property | TranslatesFile | 保存和载入翻译内容的路径
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase._Translates Property

CustomTranslationControllerBase_Translates Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase._Translates"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected Dictionary<string, string> _Translates { get; set; }
Protected Property _Translates As Dictionary(Of String, String)
    Get
    Set
protected:
property Dictionary<String^, String^>^ _Translates {
    Dictionary<String^, String^>^ get ();
    void set (Dictionary<String^, String^>^ value);
}
member _Translates : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.BatchUrl Property

CustomTranslationControllerBaseBatchUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.BatchUrl"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string BatchUrl { get; }
Public Overrides ReadOnly Property BatchUrl As String
    Get
public:
virtual property String^ BatchUrl {
    String^ get () override;
}
abstract BatchUrl : string with get
override BatchUrl : string with get

Property Value

Type: String

Implements

ICrudControllerBatchUrl
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.DeleteForeverPrivileges Property

CustomTranslationControllerBaseDeleteForeverPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.DeleteForeverPrivileges"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeleteForeverPrivileges { get; }
Public Overrides ReadOnly Property DeleteForeverPrivileges As String()
    Get
public:
virtual property array<String^>^ DeleteForeverPrivileges {
    array<String^>^ get () override;
}
abstract DeleteForeverPrivileges : string[] with get
override DeleteForeverPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeleteForeverPrivileges
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.DeletePrivileges Property

CustomTranslationControllerBaseDeletePrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.DeletePrivileges"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeletePrivileges { get; }
Public Overrides ReadOnly Property DeletePrivileges As String()
    Get
public:
virtual property array<String^>^ DeletePrivileges {
    array<String^>^ get () override;
}
abstract DeletePrivileges : string[] with get
override DeletePrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeletePrivileges
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.DeleteUrl Property

CustomTranslationControllerBaseDeleteUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.DeleteUrl"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DeleteUrl { get; }
Public Overridable ReadOnly Property DeleteUrl As String
    Get
public:
virtual property String^ DeleteUrl {
    String^ get ();
}
abstract DeleteUrl : string with get
override DeleteUrl : string with get

Property Value

Type: String
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.EditPrivileges Property

CustomTranslationControllerBaseEditPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.EditPrivileges"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] EditPrivileges { get; }
Public Overrides ReadOnly Property EditPrivileges As String()
    Get
public:
virtual property array<String^>^ EditPrivileges {
    array<String^>^ get () override;
}
abstract EditPrivileges : string[] with get
override EditPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerEditPrivileges
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Group Property

CustomTranslationControllerBaseGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.Group"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.GroupIconClass Property

CustomTranslationControllerBaseGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.IconClass Property

CustomTranslationControllerBaseIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.IconClass"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Translates Property

CustomTranslationControllerBaseTranslates Property

翻译内容 获取时从文件载入，设置时保存到文件

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Dictionary<string, string> Translates { get; set; }
Public Overridable Property Translates As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Translates {
    Dictionary<String^, String^>^ get ();
    void set (Dictionary<String^, String^>^ value);
}
abstract Translates : Dictionary<string, string> with get, set
override Translates : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.TranslatesFile Property

CustomTranslationControllerBaseTranslatesFile Property

保存和载入翻译内容的路径

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IFileEntry TranslatesFile { get; }
Public Overridable ReadOnly Property TranslatesFile As IFileEntry
    Get
public:
virtual property IFileEntry^ TranslatesFile {
    IFileEntry^ get ();
}
abstract TranslatesFile : IFileEntry with get
override TranslatesFile : IFileEntry with get

Property Value

Type: IFileEntry
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Url Property

CustomTranslationControllerBaseUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.Url"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.ViewPrivileges Property

CustomTranslationControllerBaseViewPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.ViewPrivileges"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] ViewPrivileges { get; }
Public Overrides ReadOnly Property ViewPrivileges As String()
    Get
public:
virtual property array<String^>^ ViewPrivileges {
    array<String^>^ get () override;
}
abstract ViewPrivileges : string[] with get
override ViewPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerViewPrivileges
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase Methods

The CustomTranslationControllerBase type exposes the following members.

Methods
 | Name | Description
Protected method | Action | 列表页的处理函数 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAction.)
Public method | CanTranslate | 判断是否可以翻译指定语言
Public method | ClearCache | 清理缓存 手动编辑后可以清理缓存让翻译器读取文件内容
Protected method | DeleteAction | 删除翻译内容
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Protected method | SearchAction | 搜索请求的处理函数 (Overrides CrudControllerBaseTEntity, TPrimaryKeySearchAction.)
Public method | Translate | 翻译文本
Top
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Action Method

CustomTranslationControllerBaseAction Method

列表页的处理函数

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IActionResult Action()
Protected Overrides Function Action As IActionResult
protected:
virtual IActionResult^ Action() override
abstract Action : unit -> IActionResult
override Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.Action"]

See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.CanTranslate Method

CustomTranslationControllerBaseCanTranslate Method

判断是否可以翻译指定语言

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool CanTranslate(
    string code
)
Public Overridable Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
)
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.ClearCache Method

CustomTranslationControllerBaseClearCache Method

清理缓存 手动编辑后可以清理缓存让翻译器读取文件内容

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.DeleteAction Method

CustomTranslationControllerBaseDeleteAction Method

删除翻译内容

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult DeleteAction()
Protected Overridable Function DeleteAction As IActionResult
protected:
virtual IActionResult^ DeleteAction()
abstract DeleteAction : unit -> IActionResult
override DeleteAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.DeleteAction"]

See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.GetAddForm Method

CustomTranslationControllerBaseGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GetAddForm"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GetAddForm"]

See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.GetEditForm Method

CustomTranslationControllerBaseGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GetEditForm"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GetEditForm"]

See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.GetTableHandler Method

CustomTranslationControllerBaseGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GetTableHandler"]

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<CustomTranslation, string> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of CustomTranslation, String)
protected:
virtual IAjaxTableHandler<CustomTranslation^, String^>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<CustomTranslation, string>
override GetTableHandler : unit -> IAjaxTableHandler<CustomTranslation, string>

Return Value

Type: IAjaxTableHandler CustomTranslation, String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.GetTableHandler"]

See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.SearchAction Method

CustomTranslationControllerBaseSearchAction Method

搜索请求的处理函数

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IActionResult SearchAction()
Protected Overrides Function SearchAction As IActionResult
protected:
virtual IActionResult^ SearchAction() override
abstract SearchAction : unit -> IActionResult
override SearchAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.SearchAction"]

See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Translate Method

CustomTranslationControllerBaseTranslate Method

翻译文本

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Translate(
    string text
)
Public Overridable Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
)
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

CustomTranslationControllerBase Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form Class

CustomTranslationControllerBaseForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBaseForm

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The CustomTranslationControllerBaseForm type exposes the following members.

Constructors
 | Name | Description
Public method | CustomTranslationControllerBaseForm | 初始化
Top
Properties
 | Name | Description
Public property | Controller | 属于的控制器
Public property | OriginalText | 原文
Public property | TranslatedText | 译文
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form Constructor

CustomTranslationControllerBaseForm Constructor

初始化

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form(
    CustomTranslationControllerBase controller
)
Public Sub New (
    controller As CustomTranslationControllerBase
)
public:
Form(
    CustomTranslationControllerBase^ controller
)
new :
        controller : CustomTranslationControllerBase -> Form

Parameters

controller
Type: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.BasesCustomTranslationControllerBase
属于的控制器
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


Form Properties

The CustomTranslationControllerBaseForm type exposes the following members.

Properties
 | Name | Description
Public property | Controller | 属于的控制器
Public property | OriginalText | 原文
Public property | TranslatedText | 译文
Top
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form.Controller Property

CustomTranslationControllerBaseFormController Property

属于的控制器

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomTranslationControllerBase Controller { get; set; }
Public Property Controller As CustomTranslationControllerBase
    Get
    Set
public:
property CustomTranslationControllerBase^ Controller {
    CustomTranslationControllerBase^ get ();
    void set (CustomTranslationControllerBase^ value);
}
member Controller : CustomTranslationControllerBase with get, set

Property Value

Type: CustomTranslationControllerBase
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form.OriginalText Property

CustomTranslationControllerBaseFormOriginalText Property

原文

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OriginalText { get; set; }
Public Property OriginalText As String
    Get
    Set
public:
property String^ OriginalText {
    String^ get ();
    void set (String^ value);
}
member OriginalText : string with get, set

Property Value

Type: String
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form.TranslatedText Property

CustomTranslationControllerBaseFormTranslatedText Property

译文

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TranslatedText { get; set; }
Public Property TranslatedText As String
    Get
    Set
public:
property String^ TranslatedText {
    String^ get ();
    void set (String^ value);
}
member TranslatedText : string with get, set

Property Value

Type: String
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


Form Methods

The CustomTranslationControllerBaseForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form.OnBind Method

CustomTranslationControllerBaseFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


CustomTranslationControllerBase.Form.OnSubmit Method

CustomTranslationControllerBaseFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases.CustomTranslationControllerBase.Form.OnSubmit"]

See Also

Reference

CustomTranslationControllerBaseForm Class
ZKWeb.Plugins.Common.CustomTranslate.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities"]

Classes
 | Class | Description
Public class | CustomTranslation | 自定义翻译 这个实体会保存到文件而不是数据库中


CustomTranslation Class
自定义翻译 这个实体会保存到文件而不是数据库中
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.EntitiesCustomTranslation

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CustomTranslation : IEntity<string>,
    IEntity
Public Class CustomTranslation
    Implements IEntity(Of String), IEntity
public ref class CustomTranslation : IEntity<String^>,
    IEntity
type CustomTranslation =
    class
        interface IEntity<string>
        interface IEntity
    end

The CustomTranslation type exposes the following members.

Constructors
 | Name | Description
Public method | CustomTranslation | Initializes a new instance of the CustomTranslation class
Top
Properties
 | Name | Description
Public property | Id | 原文
Public property | Translated | 译文
Top
Methods
 | Name | Description
Public method | ToString | 显示原文 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


CustomTranslation Constructor

Initializes a new instance of the CustomTranslation class

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CustomTranslation()
Public Sub New
public:
CustomTranslation()
new : unit -> CustomTranslation
See Also

Reference

CustomTranslation Class
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


CustomTranslation Properties

The CustomTranslation type exposes the following members.

Properties
 | Name | Description
Public property | Id | 原文
Public property | Translated | 译文
Top
See Also

Reference

CustomTranslation Class
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


CustomTranslation.Id Property

CustomTranslationId Property

原文

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
virtual property String^ Id {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract Id : string with get, set
override Id : string with get, set

Property Value

Type: String

Implements

IEntity.Id
See Also

Reference

CustomTranslation Class
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


CustomTranslation.Translated Property

CustomTranslationTranslated Property

译文

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translated { get; set; }
Public Property Translated As String
    Get
    Set
public:
property String^ Translated {
    String^ get ();
    void set (String^ value);
}
member Translated : string with get, set

Property Value

Type: String
See Also

Reference

CustomTranslation Class
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


CustomTranslation Methods

The CustomTranslation type exposes the following members.

Methods
 | Name | Description
Public method | ToString | 显示原文 (Overrides ObjectToString.)
Top
See Also

Reference

CustomTranslation Class
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


CustomTranslation.ToString Method

CustomTranslationToString Method

显示原文

Namespace: ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities.CustomTranslation.ToString"]

See Also

Reference

CustomTranslation Class
ZKWeb.Plugins.Common.CustomTranslate.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.Datepicker.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Datepicker.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker |
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates |


ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker"]

Classes
 | Class | Description
Public class | DateRange | 时间范围


DateRange Class
时间范围
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.Components.DatepickerDateRange

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateRange
Public Class DateRange
public ref class DateRange
type DateRange =  class end

The DateRange type exposes the following members.

Constructors
 | Name | Description
Public method | DateRange | 初始化
Public method | DateRange(NullableDateTime, NullableDateTime) | 初始化
Top
Properties
 | Name | Description
Public property | Begin | 开始时间
Public property | Finish | 结束时间
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


DateRange Constructor

Overload List
 | Name | Description
Public method | DateRange | 初始化
Public method | DateRange(NullableDateTime, NullableDateTime) | 初始化
Top
See Also

Reference

DateRange Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


DateRange Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateRange()
Public Sub New
public:
DateRange()
new : unit -> DateRange
See Also

Reference

DateRange Class
DateRange Overload
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


DateRange Constructor (Nullable(DateTime), Nullable(DateTime))

DateRange Constructor (NullableDateTime, NullableDateTime)
初始化

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateRange(
    Nullable<DateTime> begin,
    Nullable<DateTime> finish
)
Public Sub New (
    begin As Nullable(Of DateTime),
    finish As Nullable(Of DateTime)
)
public:
DateRange(
    Nullable<DateTime> begin,
    Nullable<DateTime> finish
)
new :
        begin : Nullable<DateTime> *
        finish : Nullable<DateTime> -> DateRange

Parameters

begin
Type: SystemNullable DateTime
开始时间
finish
Type: SystemNullable DateTime
结束时间
See Also

Reference

DateRange Class
DateRange Overload
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


DateRange Properties

The DateRange type exposes the following members.

Properties
 | Name | Description
Public property | Begin | 开始时间
Public property | Finish | 结束时间
Top
See Also

Reference

DateRange Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


DateRange.Begin Property

DateRangeBegin Property

开始时间

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<DateTime> Begin { get; set; }
Public Property Begin As Nullable(Of DateTime)
    Get
    Set
public:
property Nullable<DateTime> Begin {
    Nullable<DateTime> get ();
    void set (Nullable<DateTime> value);
}
member Begin : Nullable<DateTime> with get, set

Property Value

Type: Nullable DateTime
See Also

Reference

DateRange Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


DateRange.Finish Property

DateRangeFinish Property

结束时间

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<DateTime> Finish { get; set; }
Public Property Finish As Nullable(Of DateTime)
    Get
    Set
public:
property Nullable<DateTime> Finish {
    Nullable<DateTime> get ();
    void set (Nullable<DateTime> value);
}
member Finish : Nullable<DateTime> with get, set

Property Value

Type: Nullable DateTime
See Also

Reference

DateRange Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Datepicker Namespace


ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Datepicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Datepicker.src.Components.Translates Namespace


ZKWeb.Plugins.Common.Datepicker.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Datepicker.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes |
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers |


ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes"]

Classes
 | Class | Description
Public class | DateFieldAttribute | 选择日期的字段 字段类型应该是DateTime或DateTime?
Public class | DateRangeFieldAttribute | 选择日期范围的字段 字段类型应该是DateRange


DateFieldAttribute Class
选择日期的字段 字段类型应该是DateTime或DateTime?
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributesDateFieldAttribute

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateFieldAttribute : FormFieldAttribute
Public Class DateFieldAttribute
    Inherits FormFieldAttribute
public ref class DateFieldAttribute : public FormFieldAttribute
type DateFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The DateFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | DateFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | DateFormat | 时间格式，默认是"yyyy/MM/dd"
Public property | PlaceHolder | 预置文本
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateFieldAttribute(
    string name,
    string placeHolder = null,
    string dateFormat = null
)
Public Sub New (
    name As String,
    Optional placeHolder As String = Nothing,
    Optional dateFormat As String = Nothing
)
public:
DateFieldAttribute(
    String^ name,
    String^ placeHolder = nullptr,
    String^ dateFormat = nullptr
)
new :
        name : string *
        ?placeHolder : string *
        ?dateFormat : string
(* Defaults:
        let _placeHolder = defaultArg placeHolder null
        let _dateFormat = defaultArg dateFormat null
*)
-> DateFieldAttribute

Parameters

name
Type: SystemString
字段名称
placeHolder (Optional)
Type: SystemString
预置文本
dateFormat (Optional)
Type: SystemString
时间格式，默认是"yyyy/MM/dd"
See Also

Reference

DateFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateFieldAttribute Properties

The DateFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | DateFormat | 时间格式，默认是"yyyy/MM/dd"
Public property | PlaceHolder | 预置文本
Top
See Also

Reference

DateFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateFieldAttribute.DateFormat Property

DateFieldAttributeDateFormat Property

时间格式，默认是"yyyy/MM/dd"

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DateFormat { get; set; }
Public Property DateFormat As String
    Get
    Set
public:
property String^ DateFormat {
    String^ get ();
    void set (String^ value);
}
member DateFormat : string with get, set

Property Value

Type: String
See Also

Reference

DateFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateFieldAttribute.PlaceHolder Property

DateFieldAttributePlaceHolder Property

预置文本

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PlaceHolder { get; set; }
Public Property PlaceHolder As String
    Get
    Set
public:
property String^ PlaceHolder {
    String^ get ();
    void set (String^ value);
}
member PlaceHolder : string with get, set

Property Value

Type: String
See Also

Reference

DateFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateRangeFieldAttribute Class
选择日期范围的字段 字段类型应该是DateRange
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributesDateRangeFieldAttribute

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateRangeFieldAttribute : FormFieldAttribute
Public Class DateRangeFieldAttribute
    Inherits FormFieldAttribute
public ref class DateRangeFieldAttribute : public FormFieldAttribute
type DateRangeFieldAttribute =
    class
        inherit FormFieldAttribute
    end

The DateRangeFieldAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | DateRangeFieldAttribute | 初始化
Top
Properties
 | Name | Description
Public property | BeginPlaceHolder | 开始时间的预置文本
Public property | DateFormat | 时间格式，默认是"yyyy/MM/dd"
Public property | FinishPlaceHolder | 结束时间的预置文本
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateRangeFieldAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateRangeFieldAttribute(
    string name,
    string beginPlaceHolder = null,
    string finishPlaceHolder = null,
    string dateFormat = null
)
Public Sub New (
    name As String,
    Optional beginPlaceHolder As String = Nothing,
    Optional finishPlaceHolder As String = Nothing,
    Optional dateFormat As String = Nothing
)
public:
DateRangeFieldAttribute(
    String^ name,
    String^ beginPlaceHolder = nullptr,
    String^ finishPlaceHolder = nullptr,
    String^ dateFormat = nullptr
)
new :
        name : string *
        ?beginPlaceHolder : string *
        ?finishPlaceHolder : string *
        ?dateFormat : string
(* Defaults:
        let _beginPlaceHolder = defaultArg beginPlaceHolder null
        let _finishPlaceHolder = defaultArg finishPlaceHolder null
        let _dateFormat = defaultArg dateFormat null
*)
-> DateRangeFieldAttribute

Parameters

name
Type: SystemString
字段名称
beginPlaceHolder (Optional)
Type: SystemString
开始时间的预置文本
finishPlaceHolder (Optional)
Type: SystemString
结束时间的预置文本
dateFormat (Optional)
Type: SystemString
时间格式，默认是"yyyy/MM/dd"
See Also

Reference

DateRangeFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateRangeFieldAttribute Properties

The DateRangeFieldAttribute type exposes the following members.

Properties
 | Name | Description
Public property | BeginPlaceHolder | 开始时间的预置文本
Public property | DateFormat | 时间格式，默认是"yyyy/MM/dd"
Public property | FinishPlaceHolder | 结束时间的预置文本
Top
See Also

Reference

DateRangeFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateRangeFieldAttribute.BeginPlaceHolder Property

DateRangeFieldAttributeBeginPlaceHolder Property

开始时间的预置文本

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string BeginPlaceHolder { get; set; }
Public Property BeginPlaceHolder As String
    Get
    Set
public:
property String^ BeginPlaceHolder {
    String^ get ();
    void set (String^ value);
}
member BeginPlaceHolder : string with get, set

Property Value

Type: String
See Also

Reference

DateRangeFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateRangeFieldAttribute.DateFormat Property

DateRangeFieldAttributeDateFormat Property

时间格式，默认是"yyyy/MM/dd"

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DateFormat { get; set; }
Public Property DateFormat As String
    Get
    Set
public:
property String^ DateFormat {
    String^ get ();
    void set (String^ value);
}
member DateFormat : string with get, set

Property Value

Type: String
See Also

Reference

DateRangeFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


DateRangeFieldAttribute.FinishPlaceHolder Property

DateRangeFieldAttributeFinishPlaceHolder Property

结束时间的预置文本

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FinishPlaceHolder { get; set; }
Public Property FinishPlaceHolder As String
    Get
    Set
public:
property String^ FinishPlaceHolder {
    String^ get ();
    void set (String^ value);
}
member FinishPlaceHolder : string with get, set

Property Value

Type: String
See Also

Reference

DateRangeFieldAttribute Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldAttributes Namespace


ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers"]

Classes
 | Class | Description
Public class | DateFieldHandler | 选择日期的字段处理器
Public class | DateRangeFieldHandler | 选择日期范围的字段处理器


DateFieldHandler Class
选择日期的字段处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlersDateFieldHandler

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateFieldHandler : IFormFieldHandler
Public Class DateFieldHandler
    Implements IFormFieldHandler
public ref class DateFieldHandler : IFormFieldHandler
type DateFieldHandler =
    class
        interface IFormFieldHandler
    end

The DateFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | DateFieldHandler | Initializes a new instance of the DateFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateFieldHandler Constructor

Initializes a new instance of the DateFieldHandler class

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateFieldHandler()
Public Sub New
public:
DateFieldHandler()
new : unit -> DateFieldHandler
See Also

Reference

DateFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateFieldHandler Methods

The DateFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

DateFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateFieldHandler.Build Method

DateFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

DateFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateFieldHandler.Parse Method

DateFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

DateFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateRangeFieldHandler Class
选择日期范围的字段处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlersDateRangeFieldHandler

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateRangeFieldHandler : IFormFieldHandler
Public Class DateRangeFieldHandler
    Implements IFormFieldHandler
public ref class DateRangeFieldHandler : IFormFieldHandler
type DateRangeFieldHandler =
    class
        interface IFormFieldHandler
    end

The DateRangeFieldHandler type exposes the following members.

Constructors
 | Name | Description
Public method | DateRangeFieldHandler | Initializes a new instance of the DateRangeFieldHandler class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateRangeFieldHandler Constructor

Initializes a new instance of the DateRangeFieldHandler class

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateRangeFieldHandler()
Public Sub New
public:
DateRangeFieldHandler()
new : unit -> DateRangeFieldHandler
See Also

Reference

DateRangeFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateRangeFieldHandler Methods

The DateRangeFieldHandler type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

DateRangeFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateRangeFieldHandler.Build Method

DateRangeFieldHandlerBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateRangeFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateRangeFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateRangeFieldHandler.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

DateRangeFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


DateRangeFieldHandler.Parse Method

DateRangeFieldHandlerParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateRangeFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateRangeFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers.DateRangeFieldHandler.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

DateRangeFieldHandler Class
ZKWeb.Plugins.Common.Datepicker.src.UIComponents.FormFieldHandlers Namespace


ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates |
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories |


ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.Translates Namespace


ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories"]

Classes
 | Class | Description
Public class | CodeEditorFactory | 代码编辑器生成器


CodeEditorFactory Class
代码编辑器生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactoriesCodeEditorFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CodeEditorFactory : IDynamicFormFieldFactory
Public Class CodeEditorFactory
    Implements IDynamicFormFieldFactory
public ref class CodeEditorFactory : IDynamicFormFieldFactory
type CodeEditorFactory =
    class
        interface IDynamicFormFieldFactory
    end

The CodeEditorFactory type exposes the following members.

Constructors
 | Name | Description
Public method | CodeEditorFactory | Initializes a new instance of the CodeEditorFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories Namespace


CodeEditorFactory Constructor

Initializes a new instance of the CodeEditorFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CodeEditorFactory()
Public Sub New
public:
CodeEditorFactory()
new : unit -> CodeEditorFactory
See Also

Reference

CodeEditorFactory Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories Namespace


CodeEditorFactory Methods

The CodeEditorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

CodeEditorFactory Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories Namespace


CodeEditorFactory.Create Method

CodeEditorFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories.CodeEditorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories.CodeEditorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

CodeEditorFactory Class
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components.UIComponents.DynamicFormFieldFactories Namespace


ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates |
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories |


ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.Translates Namespace


ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories"]

Classes
 | Class | Description
Public class | DateFieldFactory | 日期范围选择器生成器
Public class | DateRangeFieldFactory | 日期选择器生成器


DateFieldFactory Class
日期范围选择器生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactoriesDateFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateFieldFactory : IDynamicFormFieldFactory
Public Class DateFieldFactory
    Implements IDynamicFormFieldFactory
public ref class DateFieldFactory : IDynamicFormFieldFactory
type DateFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The DateFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | DateFieldFactory | Initializes a new instance of the DateFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateFieldFactory Constructor

Initializes a new instance of the DateFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateFieldFactory()
Public Sub New
public:
DateFieldFactory()
new : unit -> DateFieldFactory
See Also

Reference

DateFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateFieldFactory Methods

The DateFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

DateFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateFieldFactory.Create Method

DateFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories.DateFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories.DateFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

DateFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateRangeFieldFactory Class
日期选择器生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactoriesDateRangeFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DateRangeFieldFactory : IDynamicFormFieldFactory
Public Class DateRangeFieldFactory
    Implements IDynamicFormFieldFactory
public ref class DateRangeFieldFactory : IDynamicFormFieldFactory
type DateRangeFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The DateRangeFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | DateRangeFieldFactory | Initializes a new instance of the DateRangeFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateRangeFieldFactory Constructor

Initializes a new instance of the DateRangeFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DateRangeFieldFactory()
Public Sub New
public:
DateRangeFieldFactory()
new : unit -> DateRangeFieldFactory
See Also

Reference

DateRangeFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateRangeFieldFactory Methods

The DateRangeFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

DateRangeFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


DateRangeFieldFactory.Create Method

DateRangeFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories.DateRangeFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories.DateRangeFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

DateRangeFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components.UIComponents.DynamicFormFieldFactories Namespace


ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates Namespace


ZKWeb.Plugins.Common.DynamicForm.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm |
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories |
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories |
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces |


ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm"]

Classes
Class | Description
DynamicFormBuilder | 动态表单构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取 构建后的表单不带值，需要手动绑定


DynamicFormBuilder Class
动态表单构建器 这个类可以通过Ioc替换，使用时注意要通过Ioc获取 构建后的表单不带值，需要手动绑定
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicFormDynamicFormBuilder

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DynamicFormBuilder
Public Class DynamicFormBuilder
public ref class DynamicFormBuilder
type DynamicFormBuilder =  class end

The DynamicFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | DynamicFormBuilder | 初始化
Top
Properties
 | Name | Description
Protected property | FieldDatas | 字段数据列表
Top
Methods
 | Name | Description
Public method | AddField | 根据数据添加字段
Public method | AddFields | 根据数据列表添加字段列表
Public method | ToForm | 构建表单对象 默认使用FormBuilder类型
Public method | ToFormT | 构建表单对象
Top
Examples
字段数据示例 { "Type": "TextBox", "Name": "ExampleField", "Validators": [ { "Type": "Required" } ] }
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder Constructor

初始化

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DynamicFormBuilder()
Public Sub New
public:
DynamicFormBuilder()
new : unit -> DynamicFormBuilder
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder Properties

The DynamicFormBuilder type exposes the following members.

Properties
 | Name | Description
Protected property | FieldDatas | 字段数据列表
Top
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder.FieldDatas Property

DynamicFormBuilderFieldDatas Property

字段数据列表

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IList<IDictionary<string, Object>> FieldDatas { get; set; }
Protected Property FieldDatas As IList(Of IDictionary(Of String, Object))
    Get
    Set
protected:
property IList<IDictionary<String^, Object^>^>^ FieldDatas {
    IList<IDictionary<String^, Object^>^>^ get ();
    void set (IList<IDictionary<String^, Object^>^>^ value);
}
member FieldDatas : IList<IDictionary<string, Object>> with get, set

Property Value

Type: IList IDictionary String, Object
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder Methods

The DynamicFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | AddField | 根据数据添加字段
Public method | AddFields | 根据数据列表添加字段列表
Public method | ToForm | 构建表单对象 默认使用FormBuilder类型
Public method | ToFormT | 构建表单对象
Top
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder.AddField Method

DynamicFormBuilderAddField Method

根据数据添加字段

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddField(
    IDictionary<string, Object> fieldData
)
Public Overridable Sub AddField (
    fieldData As IDictionary(Of String, Object)
)
public:
virtual void AddField(
    IDictionary<String^, Object^>^ fieldData
)
abstract AddField :
        fieldData : IDictionary<string, Object> -> unit
override AddField :
        fieldData : IDictionary<string, Object> -> unit

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object
字段数据
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder.AddFields Method

DynamicFormBuilderAddFields Method

根据数据列表添加字段列表

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddFields(
    IEnumerable<IDictionary<string, Object>> fieldDatas
)
Public Overridable Sub AddFields (
    fieldDatas As IEnumerable(Of IDictionary(Of String, Object))
)
public:
virtual void AddFields(
    IEnumerable<IDictionary<String^, Object^>^>^ fieldDatas
)
abstract AddFields :
        fieldDatas : IEnumerable<IDictionary<string, Object>> -> unit
override AddFields :
        fieldDatas : IEnumerable<IDictionary<string, Object>> -> unit

Parameters

fieldDatas
Type: System.Collections.GenericIEnumerable IDictionary String, Object
字段数据列表
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder.ToForm Method

DynamicFormBuilderToForm Method

Overload List
 | Name | Description
Public method | ToFormT | 构建表单对象
Public method | ToForm | 构建表单对象 默认使用FormBuilder类型
Top
See Also

Reference

DynamicFormBuilder Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder.ToForm(T) Method

DynamicFormBuilderToFormT Method

构建表单对象

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual T ToForm<T>()
where T : new(), FormBuilder

Public Overridable Function ToForm(Of T As {New, FormBuilder}) As T
public:
generic<typename T>
where T : gcnew(), FormBuilder
virtual T ToForm()
abstract ToForm : unit -> 'T  when 'T : new() and FormBuilder
override ToForm : unit -> 'T  when 'T : new() and FormBuilder

Type Parameters

T
表单对象类型

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.DynamicFormBuilder.ToForm``1"]

See Also

Reference

DynamicFormBuilder Class
ToForm Overload
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


DynamicFormBuilder.ToForm Method

DynamicFormBuilderToForm Method

构建表单对象 默认使用FormBuilder类型

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual FormBuilder ToForm()
Public Overridable Function ToForm As FormBuilder
public:
virtual FormBuilder^ ToForm()
abstract ToForm : unit -> FormBuilder
override ToForm : unit -> FormBuilder

Return Value

Type: FormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.DynamicFormBuilder.ToForm"]

See Also

Reference

DynamicFormBuilder Class
ToForm Overload
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm Namespace


ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories"]

Classes
 | Class | Description
Public class | AlertHtmlFieldFactory | 提示Html生成器
Public class | CheckBoxFieldFactory | 勾选框生成器
 | CheckBoxGroupFieldFactory | 勾选框组生成器
Public class | CheckBoxGroupsFieldFactory | 勾选框组列表生成器
Public class | CheckBoxTreeFieldFactory | 勾选框树生成器
Public class | DropdownListFieldFactory | 下拉框生成器
Public class | FileUploaderAsUrlFieldFactory | 文件上传生成器，以url的形式自动保存
Public class | FileUploaderFieldFactory | 文件上传生成器
Public class | HiddenFieldFactory | 隐藏字段生成器
Public class | HtmlFieldFactory | Html内容生成器
Public class | JsonFieldFactory | Json字段生成器
Public class | PasswordFieldFactory | 密码框生成器
Public class | RadioButtonsFieldFactory | 单选按钮组生成器
Public class | RichTextEditorFactory | 富文本编辑器生成器
Public class | SearchableDropdownListFieldFactory | 可搜索的下拉框生成器
Public class | TemplateHtmlFieldFactory | 模板Html生成器
Public class | TextAreaFieldFactory | 文本区域生成器
Public class | TextBoxFieldFactory | 文本框生成器


AlertHtmlFieldFactory Class
提示Html生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesAlertHtmlFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlertHtmlFieldFactory : IDynamicFormFieldFactory
Public Class AlertHtmlFieldFactory
    Implements IDynamicFormFieldFactory
public ref class AlertHtmlFieldFactory : IDynamicFormFieldFactory
type AlertHtmlFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The AlertHtmlFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | AlertHtmlFieldFactory | Initializes a new instance of the AlertHtmlFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


AlertHtmlFieldFactory Constructor

Initializes a new instance of the AlertHtmlFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlertHtmlFieldFactory()
Public Sub New
public:
AlertHtmlFieldFactory()
new : unit -> AlertHtmlFieldFactory
See Also

Reference

AlertHtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


AlertHtmlFieldFactory Methods

The AlertHtmlFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

AlertHtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


AlertHtmlFieldFactory.Create Method

AlertHtmlFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.AlertHtmlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.AlertHtmlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

AlertHtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxFieldFactory Class
勾选框生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesCheckBoxFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxFieldFactory : IDynamicFormFieldFactory
Public Class CheckBoxFieldFactory
    Implements IDynamicFormFieldFactory
public ref class CheckBoxFieldFactory : IDynamicFormFieldFactory
type CheckBoxFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The CheckBoxFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxFieldFactory | Initializes a new instance of the CheckBoxFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxFieldFactory Constructor

Initializes a new instance of the CheckBoxFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxFieldFactory()
Public Sub New
public:
CheckBoxFieldFactory()
new : unit -> CheckBoxFieldFactory
See Also

Reference

CheckBoxFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxFieldFactory Methods

The CheckBoxFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

CheckBoxFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxFieldFactory.Create Method

CheckBoxFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

CheckBoxFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupFieldFactory Class
勾选框组生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesCheckBoxGroupFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxGroupFieldFactory : IDynamicFormFieldFactory
Public Class CheckBoxGroupFieldFactory
    Implements IDynamicFormFieldFactory
public ref class CheckBoxGroupFieldFactory : IDynamicFormFieldFactory
type CheckBoxGroupFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The CheckBoxGroupFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxGroupFieldFactory | Initializes a new instance of the CheckBoxGroupFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
Examples
Type需要使用"全名, 程序集名称"
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupFieldFactory Constructor

Initializes a new instance of the CheckBoxGroupFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupFieldFactory()
Public Sub New
public:
CheckBoxGroupFieldFactory()
new : unit -> CheckBoxGroupFieldFactory
See Also

Reference

CheckBoxGroupFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupFieldFactory Methods

The CheckBoxGroupFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

CheckBoxGroupFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupFieldFactory.Create Method

CheckBoxGroupFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxGroupFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxGroupFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

CheckBoxGroupFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupsFieldFactory Class
勾选框组列表生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesCheckBoxGroupsFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxGroupsFieldFactory : IDynamicFormFieldFactory
Public Class CheckBoxGroupsFieldFactory
    Implements IDynamicFormFieldFactory
public ref class CheckBoxGroupsFieldFactory : IDynamicFormFieldFactory
type CheckBoxGroupsFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The CheckBoxGroupsFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxGroupsFieldFactory | Initializes a new instance of the CheckBoxGroupsFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupsFieldFactory Constructor

Initializes a new instance of the CheckBoxGroupsFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxGroupsFieldFactory()
Public Sub New
public:
CheckBoxGroupsFieldFactory()
new : unit -> CheckBoxGroupsFieldFactory
See Also

Reference

CheckBoxGroupsFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupsFieldFactory Methods

The CheckBoxGroupsFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

CheckBoxGroupsFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxGroupsFieldFactory.Create Method

CheckBoxGroupsFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxGroupsFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxGroupsFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

CheckBoxGroupsFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxTreeFieldFactory Class
勾选框树生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesCheckBoxTreeFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CheckBoxTreeFieldFactory : IDynamicFormFieldFactory
Public Class CheckBoxTreeFieldFactory
    Implements IDynamicFormFieldFactory
public ref class CheckBoxTreeFieldFactory : IDynamicFormFieldFactory
type CheckBoxTreeFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The CheckBoxTreeFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | CheckBoxTreeFieldFactory | Initializes a new instance of the CheckBoxTreeFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxTreeFieldFactory Constructor

Initializes a new instance of the CheckBoxTreeFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CheckBoxTreeFieldFactory()
Public Sub New
public:
CheckBoxTreeFieldFactory()
new : unit -> CheckBoxTreeFieldFactory
See Also

Reference

CheckBoxTreeFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxTreeFieldFactory Methods

The CheckBoxTreeFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

CheckBoxTreeFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


CheckBoxTreeFieldFactory.Create Method

CheckBoxTreeFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxTreeFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.CheckBoxTreeFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

CheckBoxTreeFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


DropdownListFieldFactory Class
下拉框生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesDropdownListFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DropdownListFieldFactory : IDynamicFormFieldFactory
Public Class DropdownListFieldFactory
    Implements IDynamicFormFieldFactory
public ref class DropdownListFieldFactory : IDynamicFormFieldFactory
type DropdownListFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The DropdownListFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | DropdownListFieldFactory | Initializes a new instance of the DropdownListFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


DropdownListFieldFactory Constructor

Initializes a new instance of the DropdownListFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DropdownListFieldFactory()
Public Sub New
public:
DropdownListFieldFactory()
new : unit -> DropdownListFieldFactory
See Also

Reference

DropdownListFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


DropdownListFieldFactory Methods

The DropdownListFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

DropdownListFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


DropdownListFieldFactory.Create Method

DropdownListFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.DropdownListFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.DropdownListFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

DropdownListFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderAsUrlFieldFactory Class
文件上传生成器，以url的形式自动保存
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesFileUploaderAsUrlFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FileUploaderAsUrlFieldFactory : IDynamicFormFieldFactory
Public Class FileUploaderAsUrlFieldFactory
    Implements IDynamicFormFieldFactory
public ref class FileUploaderAsUrlFieldFactory : IDynamicFormFieldFactory
type FileUploaderAsUrlFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The FileUploaderAsUrlFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | FileUploaderAsUrlFieldFactory | Initializes a new instance of the FileUploaderAsUrlFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderAsUrlFieldFactory Constructor

Initializes a new instance of the FileUploaderAsUrlFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FileUploaderAsUrlFieldFactory()
Public Sub New
public:
FileUploaderAsUrlFieldFactory()
new : unit -> FileUploaderAsUrlFieldFactory
See Also

Reference

FileUploaderAsUrlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderAsUrlFieldFactory Methods

The FileUploaderAsUrlFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

FileUploaderAsUrlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderAsUrlFieldFactory.Create Method

FileUploaderAsUrlFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.FileUploaderAsUrlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.FileUploaderAsUrlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

FileUploaderAsUrlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderFieldFactory Class
文件上传生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesFileUploaderFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FileUploaderFieldFactory : IDynamicFormFieldFactory
Public Class FileUploaderFieldFactory
    Implements IDynamicFormFieldFactory
public ref class FileUploaderFieldFactory : IDynamicFormFieldFactory
type FileUploaderFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The FileUploaderFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | FileUploaderFieldFactory | Initializes a new instance of the FileUploaderFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderFieldFactory Constructor

Initializes a new instance of the FileUploaderFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FileUploaderFieldFactory()
Public Sub New
public:
FileUploaderFieldFactory()
new : unit -> FileUploaderFieldFactory
See Also

Reference

FileUploaderFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderFieldFactory Methods

The FileUploaderFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

FileUploaderFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


FileUploaderFieldFactory.Create Method

FileUploaderFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.FileUploaderFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.FileUploaderFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

FileUploaderFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HiddenFieldFactory Class
隐藏字段生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesHiddenFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HiddenFieldFactory : IDynamicFormFieldFactory
Public Class HiddenFieldFactory
    Implements IDynamicFormFieldFactory
public ref class HiddenFieldFactory : IDynamicFormFieldFactory
type HiddenFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The HiddenFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | HiddenFieldFactory | Initializes a new instance of the HiddenFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HiddenFieldFactory Constructor

Initializes a new instance of the HiddenFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HiddenFieldFactory()
Public Sub New
public:
HiddenFieldFactory()
new : unit -> HiddenFieldFactory
See Also

Reference

HiddenFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HiddenFieldFactory Methods

The HiddenFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

HiddenFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HiddenFieldFactory.Create Method

HiddenFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.HiddenFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.HiddenFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

HiddenFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HtmlFieldFactory Class
Html内容生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesHtmlFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HtmlFieldFactory : IDynamicFormFieldFactory
Public Class HtmlFieldFactory
    Implements IDynamicFormFieldFactory
public ref class HtmlFieldFactory : IDynamicFormFieldFactory
type HtmlFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The HtmlFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlFieldFactory | Initializes a new instance of the HtmlFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HtmlFieldFactory Constructor

Initializes a new instance of the HtmlFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlFieldFactory()
Public Sub New
public:
HtmlFieldFactory()
new : unit -> HtmlFieldFactory
See Also

Reference

HtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HtmlFieldFactory Methods

The HtmlFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

HtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


HtmlFieldFactory.Create Method

HtmlFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.HtmlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.HtmlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

HtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


JsonFieldFactory Class
Json字段生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesJsonFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class JsonFieldFactory : IDynamicFormFieldFactory
Public Class JsonFieldFactory
    Implements IDynamicFormFieldFactory
public ref class JsonFieldFactory : IDynamicFormFieldFactory
type JsonFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The JsonFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | JsonFieldFactory | Initializes a new instance of the JsonFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


JsonFieldFactory Constructor

Initializes a new instance of the JsonFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public JsonFieldFactory()
Public Sub New
public:
JsonFieldFactory()
new : unit -> JsonFieldFactory
See Also

Reference

JsonFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


JsonFieldFactory Methods

The JsonFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

JsonFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


JsonFieldFactory.Create Method

JsonFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.JsonFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.JsonFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

JsonFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


PasswordFieldFactory Class
密码框生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesPasswordFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PasswordFieldFactory : IDynamicFormFieldFactory
Public Class PasswordFieldFactory
    Implements IDynamicFormFieldFactory
public ref class PasswordFieldFactory : IDynamicFormFieldFactory
type PasswordFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The PasswordFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | PasswordFieldFactory | Initializes a new instance of the PasswordFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


PasswordFieldFactory Constructor

Initializes a new instance of the PasswordFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PasswordFieldFactory()
Public Sub New
public:
PasswordFieldFactory()
new : unit -> PasswordFieldFactory
See Also

Reference

PasswordFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


PasswordFieldFactory Methods

The PasswordFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

PasswordFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


PasswordFieldFactory.Create Method

PasswordFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.PasswordFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.PasswordFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

PasswordFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RadioButtonsFieldFactory Class
单选按钮组生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesRadioButtonsFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RadioButtonsFieldFactory : IDynamicFormFieldFactory
Public Class RadioButtonsFieldFactory
    Implements IDynamicFormFieldFactory
public ref class RadioButtonsFieldFactory : IDynamicFormFieldFactory
type RadioButtonsFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The RadioButtonsFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | RadioButtonsFieldFactory | Initializes a new instance of the RadioButtonsFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RadioButtonsFieldFactory Constructor

Initializes a new instance of the RadioButtonsFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RadioButtonsFieldFactory()
Public Sub New
public:
RadioButtonsFieldFactory()
new : unit -> RadioButtonsFieldFactory
See Also

Reference

RadioButtonsFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RadioButtonsFieldFactory Methods

The RadioButtonsFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

RadioButtonsFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RadioButtonsFieldFactory.Create Method

RadioButtonsFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.RadioButtonsFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.RadioButtonsFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

RadioButtonsFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RichTextEditorFactory Class
富文本编辑器生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesRichTextEditorFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RichTextEditorFactory : IDynamicFormFieldFactory
Public Class RichTextEditorFactory
    Implements IDynamicFormFieldFactory
public ref class RichTextEditorFactory : IDynamicFormFieldFactory
type RichTextEditorFactory =
    class
        interface IDynamicFormFieldFactory
    end

The RichTextEditorFactory type exposes the following members.

Constructors
 | Name | Description
Public method | RichTextEditorFactory | Initializes a new instance of the RichTextEditorFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RichTextEditorFactory Constructor

Initializes a new instance of the RichTextEditorFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RichTextEditorFactory()
Public Sub New
public:
RichTextEditorFactory()
new : unit -> RichTextEditorFactory
See Also

Reference

RichTextEditorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RichTextEditorFactory Methods

The RichTextEditorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

RichTextEditorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


RichTextEditorFactory.Create Method

RichTextEditorFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.RichTextEditorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.RichTextEditorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

RichTextEditorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


SearchableDropdownListFieldFactory Class
可搜索的下拉框生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesSearchableDropdownListFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SearchableDropdownListFieldFactory : IDynamicFormFieldFactory
Public Class SearchableDropdownListFieldFactory
    Implements IDynamicFormFieldFactory
public ref class SearchableDropdownListFieldFactory : IDynamicFormFieldFactory
type SearchableDropdownListFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The SearchableDropdownListFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | SearchableDropdownListFieldFactory | Initializes a new instance of the SearchableDropdownListFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


SearchableDropdownListFieldFactory Constructor

Initializes a new instance of the SearchableDropdownListFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SearchableDropdownListFieldFactory()
Public Sub New
public:
SearchableDropdownListFieldFactory()
new : unit -> SearchableDropdownListFieldFactory
See Also

Reference

SearchableDropdownListFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


SearchableDropdownListFieldFactory Methods

The SearchableDropdownListFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

SearchableDropdownListFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


SearchableDropdownListFieldFactory.Create Method

SearchableDropdownListFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.SearchableDropdownListFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.SearchableDropdownListFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

SearchableDropdownListFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TemplateHtmlFieldFactory Class
模板Html生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesTemplateHtmlFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateHtmlFieldFactory : IDynamicFormFieldFactory
Public Class TemplateHtmlFieldFactory
    Implements IDynamicFormFieldFactory
public ref class TemplateHtmlFieldFactory : IDynamicFormFieldFactory
type TemplateHtmlFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The TemplateHtmlFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateHtmlFieldFactory | Initializes a new instance of the TemplateHtmlFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TemplateHtmlFieldFactory Constructor

Initializes a new instance of the TemplateHtmlFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TemplateHtmlFieldFactory()
Public Sub New
public:
TemplateHtmlFieldFactory()
new : unit -> TemplateHtmlFieldFactory
See Also

Reference

TemplateHtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TemplateHtmlFieldFactory Methods

The TemplateHtmlFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

TemplateHtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TemplateHtmlFieldFactory.Create Method

TemplateHtmlFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.TemplateHtmlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.TemplateHtmlFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

TemplateHtmlFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextAreaFieldFactory Class
文本区域生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesTextAreaFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TextAreaFieldFactory : IDynamicFormFieldFactory
Public Class TextAreaFieldFactory
    Implements IDynamicFormFieldFactory
public ref class TextAreaFieldFactory : IDynamicFormFieldFactory
type TextAreaFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The TextAreaFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | TextAreaFieldFactory | Initializes a new instance of the TextAreaFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextAreaFieldFactory Constructor

Initializes a new instance of the TextAreaFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TextAreaFieldFactory()
Public Sub New
public:
TextAreaFieldFactory()
new : unit -> TextAreaFieldFactory
See Also

Reference

TextAreaFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextAreaFieldFactory Methods

The TextAreaFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

TextAreaFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextAreaFieldFactory.Create Method

TextAreaFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.TextAreaFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.TextAreaFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

TextAreaFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextBoxFieldFactory Class
文本框生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactoriesTextBoxFieldFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TextBoxFieldFactory : IDynamicFormFieldFactory
Public Class TextBoxFieldFactory
    Implements IDynamicFormFieldFactory
public ref class TextBoxFieldFactory : IDynamicFormFieldFactory
type TextBoxFieldFactory =
    class
        interface IDynamicFormFieldFactory
    end

The TextBoxFieldFactory type exposes the following members.

Constructors
 | Name | Description
Public method | TextBoxFieldFactory | Initializes a new instance of the TextBoxFieldFactory class
Top
Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextBoxFieldFactory Constructor

Initializes a new instance of the TextBoxFieldFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TextBoxFieldFactory()
Public Sub New
public:
TextBoxFieldFactory()
new : unit -> TextBoxFieldFactory
See Also

Reference

TextBoxFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextBoxFieldFactory Methods

The TextBoxFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

TextBoxFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


TextBoxFieldFactory.Create Method

TextBoxFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Public Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
public:
virtual FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
) sealed
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute
override Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="fieldData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.TextBoxFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories.TextBoxFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldFactoryCreate(IDictionaryString, Object)
See Also

Reference

TextBoxFieldFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldFactories Namespace


ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories"]

Classes
 | Class | Description
Public class | RegularExpressionValidatorFactory | 生成表达式验证属性
Public class | RequiredValidatorFactory | 生成必填项属性
Public class | StringLengthValidatorFactory | 生成长度验证属性


RegularExpressionValidatorFactory Class
生成表达式验证属性
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactoriesRegularExpressionValidatorFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegularExpressionValidatorFactory : IDynamicFormFieldValidatorFactory
Public Class RegularExpressionValidatorFactory
    Implements IDynamicFormFieldValidatorFactory
public ref class RegularExpressionValidatorFactory : IDynamicFormFieldValidatorFactory
type RegularExpressionValidatorFactory =
    class
        interface IDynamicFormFieldValidatorFactory
    end

The RegularExpressionValidatorFactory type exposes the following members.

Constructors
 | Name | Description
Public method | RegularExpressionValidatorFactory | Initializes a new instance of the RegularExpressionValidatorFactory class
Top
Methods
 | Name | Description
Public method | Create | 生成表达式验证属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RegularExpressionValidatorFactory Constructor

Initializes a new instance of the RegularExpressionValidatorFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegularExpressionValidatorFactory()
Public Sub New
public:
RegularExpressionValidatorFactory()
new : unit -> RegularExpressionValidatorFactory
See Also

Reference

RegularExpressionValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RegularExpressionValidatorFactory Methods

The RegularExpressionValidatorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 生成表达式验证属性
Top
See Also

Reference

RegularExpressionValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RegularExpressionValidatorFactory.Create Method

RegularExpressionValidatorFactoryCreate Method

生成表达式验证属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Attribute Create(
    IDictionary<string, Object> validatorData
)
Public Function Create (
    validatorData As IDictionary(Of String, Object)
) As Attribute
public:
virtual Attribute^ Create(
    IDictionary<String^, Object^>^ validatorData
) sealed
abstract Create :
        validatorData : IDictionary<string, Object> -> Attribute
override Create :
        validatorData : IDictionary<string, Object> -> Attribute

Parameters

validatorData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="validatorData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories.RegularExpressionValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: Attribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories.RegularExpressionValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldValidatorFactoryCreate(IDictionaryString, Object)
See Also

Reference

RegularExpressionValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RequiredValidatorFactory Class
生成必填项属性
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactoriesRequiredValidatorFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RequiredValidatorFactory : IDynamicFormFieldValidatorFactory
Public Class RequiredValidatorFactory
    Implements IDynamicFormFieldValidatorFactory
public ref class RequiredValidatorFactory : IDynamicFormFieldValidatorFactory
type RequiredValidatorFactory =
    class
        interface IDynamicFormFieldValidatorFactory
    end

The RequiredValidatorFactory type exposes the following members.

Constructors
 | Name | Description
Public method | RequiredValidatorFactory | Initializes a new instance of the RequiredValidatorFactory class
Top
Methods
 | Name | Description
Public method | Create | 生成必填项属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RequiredValidatorFactory Constructor

Initializes a new instance of the RequiredValidatorFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RequiredValidatorFactory()
Public Sub New
public:
RequiredValidatorFactory()
new : unit -> RequiredValidatorFactory
See Also

Reference

RequiredValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RequiredValidatorFactory Methods

The RequiredValidatorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 生成必填项属性
Top
See Also

Reference

RequiredValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


RequiredValidatorFactory.Create Method

RequiredValidatorFactoryCreate Method

生成必填项属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Attribute Create(
    IDictionary<string, Object> validatorData
)
Public Function Create (
    validatorData As IDictionary(Of String, Object)
) As Attribute
public:
virtual Attribute^ Create(
    IDictionary<String^, Object^>^ validatorData
) sealed
abstract Create :
        validatorData : IDictionary<string, Object> -> Attribute
override Create :
        validatorData : IDictionary<string, Object> -> Attribute

Parameters

validatorData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="validatorData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories.RequiredValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: Attribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories.RequiredValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldValidatorFactoryCreate(IDictionaryString, Object)
See Also

Reference

RequiredValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


StringLengthValidatorFactory Class
生成长度验证属性
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactoriesStringLengthValidatorFactory

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StringLengthValidatorFactory : IDynamicFormFieldValidatorFactory
Public Class StringLengthValidatorFactory
    Implements IDynamicFormFieldValidatorFactory
public ref class StringLengthValidatorFactory : IDynamicFormFieldValidatorFactory
type StringLengthValidatorFactory =
    class
        interface IDynamicFormFieldValidatorFactory
    end

The StringLengthValidatorFactory type exposes the following members.

Constructors
 | Name | Description
Public method | StringLengthValidatorFactory | Initializes a new instance of the StringLengthValidatorFactory class
Top
Methods
 | Name | Description
Public method | Create | 生成长度验证属性
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


StringLengthValidatorFactory Constructor

Initializes a new instance of the StringLengthValidatorFactory class

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StringLengthValidatorFactory()
Public Sub New
public:
StringLengthValidatorFactory()
new : unit -> StringLengthValidatorFactory
See Also

Reference

StringLengthValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


StringLengthValidatorFactory Methods

The StringLengthValidatorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 生成长度验证属性
Top
See Also

Reference

StringLengthValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


StringLengthValidatorFactory.Create Method

StringLengthValidatorFactoryCreate Method

生成长度验证属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Attribute Create(
    IDictionary<string, Object> validatorData
)
Public Function Create (
    validatorData As IDictionary(Of String, Object)
) As Attribute
public:
virtual Attribute^ Create(
    IDictionary<String^, Object^>^ validatorData
) sealed
abstract Create :
        validatorData : IDictionary<string, Object> -> Attribute
override Create :
        validatorData : IDictionary<string, Object> -> Attribute

Parameters

validatorData
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="validatorData"/> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories.StringLengthValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: Attribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories.StringLengthValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IDynamicFormFieldValidatorFactoryCreate(IDictionaryString, Object)
See Also

Reference

StringLengthValidatorFactory Class
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.FieldValidatorFactories Namespace


ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces"]

Interfaces
 | Interface | Description
 | IDynamicFormFieldFactory | 动态表单字段的生成器 注册时需要设置键为字段类型
 | IDynamicFormFieldValidatorFactory | 动态表单字段验证器的生成器 注册时需要设置键为验证器类型
Public interface | IDynamicFormModifier | 修改构建后的动态表单


IDynamicFormFieldFactory Interface
动态表单字段的生成器 注册时需要设置键为字段类型

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IDynamicFormFieldFactory
Public Interface IDynamicFormFieldFactory
public interface class IDynamicFormFieldFactory
type IDynamicFormFieldFactory =  interface end

The IDynamicFormFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
Examples
注册到容器的例子 [ExportMany(ContractKey = "TextBox")]
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormFieldFactory Methods

The IDynamicFormFieldFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段属性
Top
See Also

Reference

IDynamicFormFieldFactory Interface
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormFieldFactory.Create Method

IDynamicFormFieldFactoryCreate Method

创建表单字段属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
FormFieldAttribute Create(
    IDictionary<string, Object> fieldData
)
Function Create (
    fieldData As IDictionary(Of String, Object)
) As FormFieldAttribute
FormFieldAttribute^ Create(
    IDictionary<String^, Object^>^ fieldData
)
abstract Create :
        fieldData : IDictionary<string, Object> -> FormFieldAttribute

Parameters

fieldData
Type: System.Collections.GenericIDictionary String, Object
字段数据

Return Value

Type: FormFieldAttribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces.IDynamicFormFieldFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

See Also

Reference

IDynamicFormFieldFactory Interface
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormFieldValidatorFactory Interface
动态表单字段验证器的生成器 注册时需要设置键为验证器类型

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IDynamicFormFieldValidatorFactory
Public Interface IDynamicFormFieldValidatorFactory
public interface class IDynamicFormFieldValidatorFactory
type IDynamicFormFieldValidatorFactory =  interface end

The IDynamicFormFieldValidatorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段验证器属性
Top
Examples
注册到容器的例子 [ExportMany(ContractKey = "Required")]
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormFieldValidatorFactory Methods

The IDynamicFormFieldValidatorFactory type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建表单字段验证器属性
Top
See Also

Reference

IDynamicFormFieldValidatorFactory Interface
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormFieldValidatorFactory.Create Method

IDynamicFormFieldValidatorFactoryCreate Method

创建表单字段验证器属性

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Attribute Create(
    IDictionary<string, Object> validatorData
)
Function Create (
    validatorData As IDictionary(Of String, Object)
) As Attribute
Attribute^ Create(
    IDictionary<String^, Object^>^ validatorData
)
abstract Create :
        validatorData : IDictionary<string, Object> -> Attribute

Parameters

validatorData
Type: System.Collections.GenericIDictionary String, Object
验证器数据

Return Value

Type: Attribute

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces.IDynamicFormFieldValidatorFactory.Create(System.Collections.Generic.IDictionary{System.String,System.Object})"]

See Also

Reference

IDynamicFormFieldValidatorFactory Interface
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormModifier Interface
修改构建后的动态表单

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IDynamicFormModifier
Public Interface IDynamicFormModifier
public interface class IDynamicFormModifier
type IDynamicFormModifier =  interface end

The IDynamicFormModifier type exposes the following members.

Methods
 | Name | Description
Public method | Modify | 修改表单
Top
See Also

Reference

ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormModifier Methods

The IDynamicFormModifier type exposes the following members.

Methods
 | Name | Description
Public method | Modify | 修改表单
Top
See Also

Reference

IDynamicFormModifier Interface
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


IDynamicFormModifier.Modify Method

IDynamicFormModifierModify Method

修改表单

Namespace: ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Modify(
    FormBuilder form,
    IList<IDictionary<string, Object>> fieldDatas
)
Sub Modify (
    form As FormBuilder,
    fieldDatas As IList(Of IDictionary(Of String, Object))
)
void Modify(
    FormBuilder^ form,
    IList<IDictionary<String^, Object^>^>^ fieldDatas
)
abstract Modify :
        form : FormBuilder *
        fieldDatas : IList<IDictionary<string, Object>> -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
表单
fieldDatas
Type: System.Collections.GenericIList IDictionary String, Object
字段数据列表
See Also

Reference

IDynamicFormModifier Interface
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents.DynamicForm.Interfaces Namespace


ZKWeb.Plugins.Common.GenericClass.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericClass.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericClass.src.Components |
ZKWeb.Plugins.Common.GenericClass.src.Controllers |
ZKWeb.Plugins.Common.GenericClass.src.Domain |
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders |


ZKWeb.Plugins.Common.GenericClass.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericClass.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates |


ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | GenericConfigExtraConfigKeys | 网站附加配置中使用的键


GenericConfigExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeysGenericConfigExtraConfigKeys

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericConfigExtraConfigKeys
Public Class GenericConfigExtraConfigKeys
public ref class GenericConfigExtraConfigKeys
type GenericConfigExtraConfigKeys =  class end

The GenericConfigExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | GenericConfigExtraConfigKeys | Initializes a new instance of the GenericConfigExtraConfigKeys class
Top
Fields
Name | Description
ClassCacheTime | 通用分类列表的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys Namespace


GenericConfigExtraConfigKeys Constructor

Initializes a new instance of the GenericConfigExtraConfigKeys class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericConfigExtraConfigKeys()
Public Sub New
public:
GenericConfigExtraConfigKeys()
new : unit -> GenericConfigExtraConfigKeys
See Also

Reference

GenericConfigExtraConfigKeys Class
ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys Namespace


GenericConfigExtraConfigKeys Fields

The GenericConfigExtraConfigKeys type exposes the following members.

Fields
Name | Description
ClassCacheTime | 通用分类列表的缓存时间，单位是秒
Top
See Also

Reference

GenericConfigExtraConfigKeys Class
ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys Namespace


GenericConfigExtraConfigKeys.ClassCacheTime Field

GenericConfigExtraConfigKeysClassCacheTime Field
通用分类列表的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ClassCacheTime = "Common.GenericClass.ClassCacheTime"
Public Const ClassCacheTime As String = "Common.GenericClass.ClassCacheTime"
public:
literal String^ ClassCacheTime = "Common.GenericClass.ClassCacheTime"
static val mutable ClassCacheTime: string

Field Value

Type: String
See Also

Reference

GenericConfigExtraConfigKeys Class
ZKWeb.Plugins.Common.GenericClass.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericClass.src.Components.Translates Namespace


ZKWeb.Plugins.Common.GenericClass.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericClass.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericClass.src.Controllers |
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases |


ZKWeb.Plugins.Common.GenericClass.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Controllers"]

Classes
 | Class | Description
Public class | DefaultClassController | 默认分类的控制器


DefaultClassController Class
默认分类的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBase DefaultClassController
ZKWeb.Plugins.Common.GenericClass.src.ControllersDefaultClassController

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultClassController : GenericClassControllerBase<DefaultClassController>
Public Class DefaultClassController
    Inherits GenericClassControllerBase(Of DefaultClassController)
public ref class DefaultClassController : public GenericClassControllerBase<DefaultClassController^>
type DefaultClassController =
    class
        inherit GenericClassControllerBase<DefaultClassController>
    end

The DefaultClassController type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultClassController | Initializes a new instance of the DefaultClassController class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Controllers Namespace


DefaultClassController Constructor

Initializes a new instance of the DefaultClassController class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultClassController()
Public Sub New
public:
DefaultClassController()
new : unit -> DefaultClassController
See Also

Reference

DefaultClassController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers Namespace


DefaultClassController Properties

The DefaultClassController type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

DefaultClassController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers Namespace


DefaultClassController.Name Property

DefaultClassControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.DefaultClassController.Name"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

DefaultClassController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers Namespace


ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | GenericClassControllerBaseTController | 通用分类的增删查改控制器的基础类
Public class | GenericClassControllerBaseTControllerForm | 添加和编辑使用的表单
Public class | GenericClassControllerBaseTControllerTableHandler | 表格处理器


GenericClassControllerBase(TController) Class

GenericClassControllerBaseTController Class
通用分类的增删查改控制器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBaseTController
ZKWeb.Plugins.CMS.Article.src.ControllersArticleClassController
ZKWeb.Plugins.Common.GenericClass.src.ControllersDefaultClassController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductClassController

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class GenericClassControllerBase<TController> : CrudAdminSettingsControllerBase<GenericClass, Guid>
where TController : new(), GenericClassControllerBase<TController>

Public MustInherit Class GenericClassControllerBase(Of TController As {New, GenericClassControllerBase(Of TController)})
    Inherits CrudAdminSettingsControllerBase(Of GenericClass, Guid)
generic<typename TController>
where TController : gcnew(), GenericClassControllerBase<TController>
public ref class GenericClassControllerBase abstract : public CrudAdminSettingsControllerBase<GenericClass^, Guid>
[<AbstractClassAttribute>]
type GenericClassControllerBase<'TController when 'TController : new() and GenericClassControllerBase<'TController>> =
    class
        inherit CrudAdminSettingsControllerBase<GenericClass, Guid>
    end

Type Parameters

TController

[Missing <typeparam name="TController"/> documentation for "T:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1"]

The GenericClassControllerBaseTController type exposes the following members.

Constructors
 | Name | Description
Protected method | GenericClassControllerBaseTController | Initializes a new instance of the GenericClassControllerBaseTController class
Top
Properties
 | Name | Description
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | ListTemplatePath | (Overrides CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | Type |
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetBatchActionIds | 获取批量操作的数据Id列表 (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetBatchActionIds.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController) Constructor

GenericClassControllerBaseTController Constructor

Initializes a new instance of the GenericClassControllerBaseTController class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected GenericClassControllerBase()
Protected Sub New
protected:
GenericClassControllerBase()
new : unit -> GenericClassControllerBase
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController) Properties

GenericClassControllerBaseTController Properties

The GenericClassControllerBaseTController generic type exposes the following members.

Properties
 | Name | Description
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | ListTemplatePath | (Overrides CrudAdminSettingsControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | Type |
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).DeleteForeverPrivileges Property

GenericClassControllerBaseTControllerDeleteForeverPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.DeleteForeverPrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeleteForeverPrivileges { get; }
Public Overrides ReadOnly Property DeleteForeverPrivileges As String()
    Get
public:
virtual property array<String^>^ DeleteForeverPrivileges {
    array<String^>^ get () override;
}
abstract DeleteForeverPrivileges : string[] with get
override DeleteForeverPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeleteForeverPrivileges
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).DeletePrivileges Property

GenericClassControllerBaseTControllerDeletePrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.DeletePrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeletePrivileges { get; }
Public Overrides ReadOnly Property DeletePrivileges As String()
    Get
public:
virtual property array<String^>^ DeletePrivileges {
    array<String^>^ get () override;
}
abstract DeletePrivileges : string[] with get
override DeletePrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeletePrivileges
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).EditPrivileges Property

GenericClassControllerBaseTControllerEditPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.EditPrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] EditPrivileges { get; }
Public Overrides ReadOnly Property EditPrivileges As String()
    Get
public:
virtual property array<String^>^ EditPrivileges {
    array<String^>^ get () override;
}
abstract EditPrivileges : string[] with get
override EditPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerEditPrivileges
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).EntityTypeName Property

GenericClassControllerBaseTControllerEntityTypeName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.EntityTypeName"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EntityTypeName { get; }
Public Overrides ReadOnly Property EntityTypeName As String
    Get
public:
virtual property String^ EntityTypeName {
    String^ get () override;
}
abstract EntityTypeName : string with get
override EntityTypeName : string with get

Property Value

Type: String

Implements

ICrudControllerEntityTypeName
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Group Property

GenericClassControllerBaseTControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Group"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).GroupIconClass Property

GenericClassControllerBaseTControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).IconClass Property

GenericClassControllerBaseTControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.IconClass"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).ListTemplatePath Property

GenericClassControllerBaseTControllerListTemplatePath Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.ListTemplatePath"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ListTemplatePath { get; }
Public Overrides ReadOnly Property ListTemplatePath As String
    Get
public:
virtual property String^ ListTemplatePath {
    String^ get () override;
}
abstract ListTemplatePath : string with get
override ListTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerListTemplatePath
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Type Property

GenericClassControllerBaseTControllerType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Type"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; }
Public Overridable ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get ();
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Url Property

GenericClassControllerBaseTControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Url"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).ViewPrivileges Property

GenericClassControllerBaseTControllerViewPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.ViewPrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] ViewPrivileges { get; }
Public Overrides ReadOnly Property ViewPrivileges As String()
    Get
public:
virtual property array<String^>^ ViewPrivileges {
    array<String^>^ get () override;
}
abstract ViewPrivileges : string[] with get
override ViewPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerViewPrivileges
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController) Methods

GenericClassControllerBaseTController Methods

The GenericClassControllerBaseTController generic type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetBatchActionIds | 获取批量操作的数据Id列表 (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetBatchActionIds.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).GetAddForm Method

GenericClassControllerBaseTControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetAddForm"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetAddForm"]

See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).GetBatchActionIds Method

GenericClassControllerBaseTControllerGetBatchActionIds Method

获取批量操作的数据Id列表

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IList<Guid> GetBatchActionIds()
Protected Overrides Function GetBatchActionIds As IList(Of Guid)
protected:
virtual IList<Guid>^ GetBatchActionIds() override
abstract GetBatchActionIds : unit -> IList<Guid>
override GetBatchActionIds : unit -> IList<Guid>

Return Value

Type: IList Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetBatchActionIds"]

See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).GetEditForm Method

GenericClassControllerBaseTControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetEditForm"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetEditForm"]

See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).GetTableHandler Method

GenericClassControllerBaseTControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetTableHandler"]

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<GenericClass, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of GenericClass, Guid)
protected:
virtual IAjaxTableHandler<GenericClass^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<GenericClass, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<GenericClass, Guid>

Return Value

Type: IAjaxTableHandler GenericClass, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.GetTableHandler"]

See Also

Reference

GenericClassControllerBaseTController Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form Class

GenericClassControllerBaseTControllerForm Class
添加和编辑使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder GenericClass, Guid, GenericClassControllerBaseTControllerForm
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBaseTControllerForm

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : EntityFormBuilder<GenericClass, Guid, GenericClassControllerBaseTControllerForm>
Public Class Form
    Inherits EntityFormBuilder(Of GenericClass, Guid, GenericClassControllerBaseTControllerForm)
public ref class Form : public EntityFormBuilder<GenericClass^, Guid, GenericClassControllerBaseTControllerForm^>
type Form =
    class
        inherit EntityFormBuilder<GenericClass, Guid, GenericClassControllerBaseTControllerForm>
    end

The GenericClassControllerBaseTControllerForm generic type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClassControllerBaseTControllerForm | 初始化
Top
Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Name | 名称
Public property | ParentClass | 上级分类名称
Public property | Remark | 备注
Public property | Type | 分类类型
Top
Methods
 | Name | Description
Protected method | GetParentClass | 根据当前请求传入的parentId参数获取上级分类，不存在时返回null 这个函数只在添加时使用
Protected method | OnBind | 从数据绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form Constructor

GenericClassControllerBaseTControllerForm Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form(
    string type
)
Public Sub New (
    type As String
)
public:
Form(
    String^ type
)
new :
        type : string -> Form

Parameters

type
Type: SystemString
分类类型
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


Form Properties

The GenericClassControllerBaseTControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Name | 名称
Public property | ParentClass | 上级分类名称
Public property | Remark | 备注
Public property | Type | 分类类型
Top
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.DisplayOrder Property

GenericClassControllerBaseTControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.Name Property

GenericClassControllerBaseTControllerFormName Property

名称

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.ParentClass Property

GenericClassControllerBaseTControllerFormParentClass Property

上级分类名称

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ParentClass { get; set; }
Public Property ParentClass As String
    Get
    Set
public:
property String^ ParentClass {
    String^ get ();
    void set (String^ value);
}
member ParentClass : string with get, set

Property Value

Type: String
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.Remark Property

GenericClassControllerBaseTControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.Type Property

GenericClassControllerBaseTControllerFormType Property

分类类型

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


Form Methods

The GenericClassControllerBaseTControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetParentClass | 根据当前请求传入的parentId参数获取上级分类，不存在时返回null 这个函数只在添加时使用
Protected method | OnBind | 从数据绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.GetParentClass Method

GenericClassControllerBaseTControllerFormGetParentClass Method

根据当前请求传入的parentId参数获取上级分类，不存在时返回null 这个函数只在添加时使用

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected GenericClass GetParentClass()
Protected Function GetParentClass As GenericClass
protected:
GenericClass^ GetParentClass()
member GetParentClass : unit -> GenericClass

Return Value

Type: GenericClass

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Form.GetParentClass"]

See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.OnBind Method

GenericClassControllerBaseTControllerFormOnBind Method

从数据绑定表单

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    GenericClass bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As GenericClass
)
protected:
virtual void OnBind(
    GenericClass^ bindFrom
) override
abstract OnBind :
        bindFrom : GenericClass -> unit
override OnBind :
        bindFrom : GenericClass -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.GenericClass.src.Domain.EntitiesGenericClass

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Form.OnBind(ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass)"]

See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).Form.OnSubmit Method

GenericClassControllerBaseTControllerFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    GenericClass saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As GenericClass
) As Object
protected:
virtual Object^ OnSubmit(
    GenericClass^ saveTo
) override
abstract OnSubmit :
        saveTo : GenericClass -> Object
override OnSubmit :
        saveTo : GenericClass -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.GenericClass.src.Domain.EntitiesGenericClass

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Form.OnSubmit(ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.Form.OnSubmit(ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass)"]

See Also

Reference

GenericClassControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler Class

GenericClassControllerBaseTControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBaseTControllerTableHandler

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<GenericClass, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of GenericClass, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<GenericClass^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<GenericClass, Guid>
    end

The GenericClassControllerBaseTControllerTableHandler generic type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClassControllerBaseTControllerTableHandler | Initializes a new instance of the GenericClassControllerBaseTControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler Constructor

GenericClassControllerBaseTControllerTableHandler Constructor

Initializes a new instance of the GenericClassControllerBaseTControllerTableHandler class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


TableHandler Methods

The GenericClassControllerBaseTControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler.BuildTable Method

GenericClassControllerBaseTControllerTableHandlerBuildTable Method

构建表格时的处理

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler.OnQuery Method

GenericClassControllerBaseTControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<GenericClass> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of GenericClass)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<GenericClass^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericClass> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericClass> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass}@)"]

query
Type: System.LinqIQueryable GenericClass

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler.OnResponse Method

GenericClassControllerBaseTControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler.OnSelect Method

GenericClassControllerBaseTControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<GenericClass>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of GenericClass))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<GenericClass^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<GenericClass>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<GenericClass>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow GenericClass

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


GenericClassControllerBase(TController).TableHandler.OnSort Method

GenericClassControllerBaseTControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<GenericClass> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of GenericClass)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<GenericClass^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericClass> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericClass> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass}@)"]

query
Type: System.LinqIQueryable GenericClass

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases.GenericClassControllerBase`1.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

GenericClassControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericClass.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.GenericClass.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericClass.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities |
ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories |
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services |


ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities"]

Classes
 | Class | Description
Public class | GenericClass | 通用分类


GenericClass Class
通用分类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.Domain.EntitiesGenericClass

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericClass : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<GenericClass>, IEntityMappingProvider
Public Class GenericClass
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IEntity(Of Guid), IEntityMappingProvider(Of GenericClass), IEntityMappingProvider
public ref class GenericClass : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<GenericClass^>, IEntityMappingProvider
type GenericClass =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntity<Guid>
        interface IEntityMappingProvider<GenericClass>
        interface IEntityMappingProvider
    end

The GenericClass type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClass | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 分类Id
Public property | Name | 名称
Public property | Parent | 上级分类，根节点时等于null
Public property | Remark | 备注
Public property | Type | 分类类型
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericClass()
Public Sub New
public:
GenericClass()
new : unit -> GenericClass
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass Properties

The GenericClass type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 分类Id
Public property | Name | 名称
Public property | Parent | 上级分类，根节点时等于null
Public property | Remark | 备注
Public property | Type | 分类类型
Public property | UpdateTime | 更新时间
Top
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.CreateTime Property

GenericClassCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Deleted Property

GenericClassDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.DisplayOrder Property

GenericClassDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Id Property

GenericClassId Property

分类Id

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Name Property

GenericClassName Property

名称

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Parent Property

GenericClassParent Property

上级分类，根节点时等于null

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual GenericClass Parent { get; set; }
Public Overridable Property Parent As GenericClass
    Get
    Set
public:
virtual property GenericClass^ Parent {
    GenericClass^ get ();
    void set (GenericClass^ value);
}
abstract Parent : GenericClass with get, set
override Parent : GenericClass with get, set

Property Value

Type: GenericClass
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Remark Property

GenericClassRemark Property

备注

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Type Property

GenericClassType Property

分类类型

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.UpdateTime Property

GenericClassUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass Methods

The GenericClass type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.Configure Method

GenericClassConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<GenericClass> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of GenericClass)
)
public:
virtual void Configure(
    IEntityMappingBuilder<GenericClass^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<GenericClass> -> unit
override Configure :
        builder : IEntityMappingBuilder<GenericClass> -> unit

Parameters

builder
Type: IEntityMappingBuilderGenericClass

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


GenericClass.ToString Method

GenericClassToString Method

显示名称

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities.GenericClass.ToString"]

See Also

Reference

GenericClass Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | GenericClassRepository | 通用分类的仓储


GenericClassRepository Class
通用分类的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Domain.RepositoriesGenericClassRepository

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericClassRepository : RepositoryBase<GenericClass, Guid>
Public Class GenericClassRepository
    Inherits RepositoryBase(Of GenericClass, Guid)
public ref class GenericClassRepository : public RepositoryBase<GenericClass^, Guid>
type GenericClassRepository =
    class
        inherit RepositoryBase<GenericClass, Guid>
    end

The GenericClassRepository type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClassRepository | Initializes a new instance of the GenericClassRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories Namespace


GenericClassRepository Constructor

Initializes a new instance of the GenericClassRepository class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericClassRepository()
Public Sub New
public:
GenericClassRepository()
new : unit -> GenericClassRepository
See Also

Reference

GenericClassRepository Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Repositories Namespace


ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.Domain.Services"]

Classes
 | Class | Description
Public class | GenericClassManager | 通用分类管理器


GenericClassManager Class
通用分类管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Domain.ServicesGenericClassManager

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericClassManager : DomainServiceBase<GenericClass, Guid>,
    ICacheCleaner
Public Class GenericClassManager
    Inherits DomainServiceBase(Of GenericClass, Guid)
    Implements ICacheCleaner
public ref class GenericClassManager : public DomainServiceBase<GenericClass^, Guid>,
    ICacheCleaner
type GenericClassManager =
    class
        inherit DomainServiceBase<GenericClass, Guid>
        interface ICacheCleaner
    end

The GenericClassManager type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClassManager | 初始化
Top
Properties
 | Name | Description
Protected property | ClassCache | 通用分类的缓存，{ Id: 分类 }
Public property | ClassCacheTime | 通用分类列表的缓存时间 默认是15秒，可通过网站配置指定
Protected property | ClassListCache | 通用分类列表的缓存，{ 类型: 分类列表 }
Protected property | ClassTreeCache | 通用分类树的缓存，{ 类型: 分类树 }
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取指定类型的分类列表，按显示顺序返回
Public method | GetTreeWithCache | 获取指定类型的分类树
Public method | GetWithCache | 获取分类，不存在或已删除时返回null
Public method | IsAllClassesTypeEqualTo | 检查指定的分类列表是否都属于指定的类型 如果分类不存在会被跳过 常用于防止越权操作
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericClassManager()
Public Sub New
public:
GenericClassManager()
new : unit -> GenericClassManager
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager Properties

The GenericClassManager type exposes the following members.

Properties
 | Name | Description
Protected property | ClassCache | 通用分类的缓存，{ Id: 分类 }
Public property | ClassCacheTime | 通用分类列表的缓存时间 默认是15秒，可通过网站配置指定
Protected property | ClassListCache | 通用分类列表的缓存，{ 类型: 分类列表 }
Protected property | ClassTreeCache | 通用分类树的缓存，{ 类型: 分类树 }
Top
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.ClassCache Property

GenericClassManagerClassCache Property

通用分类的缓存，{ Id: 分类 }

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, GenericClass> ClassCache { get; set; }
Protected Property ClassCache As IKeyValueCache(Of Guid, GenericClass)
    Get
    Set
protected:
property IKeyValueCache<Guid, GenericClass^>^ ClassCache {
    IKeyValueCache<Guid, GenericClass^>^ get ();
    void set (IKeyValueCache<Guid, GenericClass^>^ value);
}
member ClassCache : IKeyValueCache<Guid, GenericClass> with get, set

Property Value

Type: IKeyValueCacheGuid, GenericClass
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.ClassCacheTime Property

GenericClassManagerClassCacheTime Property

通用分类列表的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ClassCacheTime { get; set; }
Public Property ClassCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ClassCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ClassCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.ClassListCache Property

GenericClassManagerClassListCache Property

通用分类列表的缓存，{ 类型: 分类列表 }

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, IList<GenericClass>> ClassListCache { get; set; }
Protected Property ClassListCache As IKeyValueCache(Of String, IList(Of GenericClass))
    Get
    Set
protected:
property IKeyValueCache<String^, IList<GenericClass^>^>^ ClassListCache {
    IKeyValueCache<String^, IList<GenericClass^>^>^ get ();
    void set (IKeyValueCache<String^, IList<GenericClass^>^>^ value);
}
member ClassListCache : IKeyValueCache<string, IList<GenericClass>> with get, set

Property Value

Type: IKeyValueCacheString, IList GenericClass
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.ClassTreeCache Property

GenericClassManagerClassTreeCache Property

通用分类树的缓存，{ 类型: 分类树 }

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, ITreeNode<GenericClass>> ClassTreeCache { get; set; }
Protected Property ClassTreeCache As IKeyValueCache(Of String, ITreeNode(Of GenericClass))
    Get
    Set
protected:
property IKeyValueCache<String^, ITreeNode<GenericClass^>^>^ ClassTreeCache {
    IKeyValueCache<String^, ITreeNode<GenericClass^>^>^ get ();
    void set (IKeyValueCache<String^, ITreeNode<GenericClass^>^>^ value);
}
member ClassTreeCache : IKeyValueCache<string, ITreeNode<GenericClass>> with get, set

Property Value

Type: IKeyValueCacheString, ITreeNodeGenericClass
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager Methods

The GenericClassManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取指定类型的分类列表，按显示顺序返回
Public method | GetTreeWithCache | 获取指定类型的分类树
Public method | GetWithCache | 获取分类，不存在或已删除时返回null
Public method | IsAllClassesTypeEqualTo | 检查指定的分类列表是否都属于指定的类型 如果分类不存在会被跳过 常用于防止越权操作
Top
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.ClearCache Method

GenericClassManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.GetManyWithCache Method

GenericClassManagerGetManyWithCache Method

获取指定类型的分类列表，按显示顺序返回

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<GenericClass> GetManyWithCache(
    string type
)
Public Overridable Function GetManyWithCache (
    type As String
) As IList(Of GenericClass)
public:
virtual IList<GenericClass^>^ GetManyWithCache(
    String^ type
)
abstract GetManyWithCache :
        type : string -> IList<GenericClass>
override GetManyWithCache :
        type : string -> IList<GenericClass>

Parameters

type
Type: SystemString
分类类型

Return Value

Type: IList GenericClass

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Domain.Services.GenericClassManager.GetManyWithCache(System.String)"]

See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.GetTreeWithCache Method

GenericClassManagerGetTreeWithCache Method

获取指定类型的分类树

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ITreeNode<GenericClass> GetTreeWithCache(
    string type
)
Public Overridable Function GetTreeWithCache (
    type As String
) As ITreeNode(Of GenericClass)
public:
virtual ITreeNode<GenericClass^>^ GetTreeWithCache(
    String^ type
)
abstract GetTreeWithCache :
        type : string -> ITreeNode<GenericClass>
override GetTreeWithCache :
        type : string -> ITreeNode<GenericClass>

Parameters

type
Type: SystemString
分类类型

Return Value

Type: ITreeNodeGenericClass

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Domain.Services.GenericClassManager.GetTreeWithCache(System.String)"]

See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.GetWithCache Method

GenericClassManagerGetWithCache Method

获取分类，不存在或已删除时返回null

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual GenericClass GetWithCache(
    Guid classId
)
Public Overridable Function GetWithCache (
    classId As Guid
) As GenericClass
public:
virtual GenericClass^ GetWithCache(
    Guid classId
)
abstract GetWithCache :
        classId : Guid -> GenericClass
override GetWithCache :
        classId : Guid -> GenericClass

Parameters

classId
Type: SystemGuid
分类Id

Return Value

Type: GenericClass

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Domain.Services.GenericClassManager.GetWithCache(System.Guid)"]

See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


GenericClassManager.IsAllClassesTypeEqualTo Method

GenericClassManagerIsAllClassesTypeEqualTo Method

检查指定的分类列表是否都属于指定的类型 如果分类不存在会被跳过 常用于防止越权操作

Namespace: ZKWeb.Plugins.Common.GenericClass.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool IsAllClassesTypeEqualTo(
    IList<Guid> ids,
    string type
)
Public Overridable Function IsAllClassesTypeEqualTo (
    ids As IList(Of Guid),
    type As String
) As Boolean
public:
virtual bool IsAllClassesTypeEqualTo(
    IList<Guid>^ ids,
    String^ type
)
abstract IsAllClassesTypeEqualTo :
        ids : IList<Guid> *
        type : string -> bool
override IsAllClassesTypeEqualTo :
        ids : IList<Guid> *
        type : string -> bool

Parameters

ids
Type: System.Collections.GenericIList Guid
分类的Id列表
type
Type: SystemString
分类类型

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.Domain.Services.GenericClassManager.IsAllClassesTypeEqualTo(System.Collections.Generic.IList{System.Guid},System.String)"]

See Also

Reference

GenericClassManager Class
ZKWeb.Plugins.Common.GenericClass.src.Domain.Services Namespace


ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | GenericClassListItemProviderTController | 通用分类列表项的提供器
Public class | GenericClassListItemTreeProviderTController | 通用分类列表树的提供器


GenericClassListItemProvider(TController) Class

GenericClassListItemProviderTController Class
通用分类列表项的提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProvidersGenericClassListItemProviderTController

Namespace: ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericClassListItemProvider<TController> : IListItemProvider
where TController : new(), GenericClassControllerBase<TController>

Public Class GenericClassListItemProvider(Of TController As {New, GenericClassControllerBase(Of TController)})
    Implements IListItemProvider
generic<typename TController>
where TController : gcnew(), GenericClassControllerBase<TController>
public ref class GenericClassListItemProvider : IListItemProvider
type GenericClassListItemProvider<'TController when 'TController : new() and GenericClassControllerBase<'TController>> =
    class
        interface IListItemProvider
    end

Type Parameters

TController
定义通用分类的控制器类型

The GenericClassListItemProviderTController type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClassListItemProviderTController | Initializes a new instance of the GenericClassListItemProviderTController class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemProvider(TController) Constructor

GenericClassListItemProviderTController Constructor

Initializes a new instance of the GenericClassListItemProviderTController class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericClassListItemProvider()
Public Sub New
public:
GenericClassListItemProvider()
new : unit -> GenericClassListItemProvider
See Also

Reference

GenericClassListItemProviderTController Class
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemProvider(TController) Methods

GenericClassListItemProviderTController Methods

The GenericClassListItemProviderTController generic type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

GenericClassListItemProviderTController Class
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemProvider(TController).GetItems Method

GenericClassListItemProviderTControllerGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders.GenericClassListItemProvider`1.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

GenericClassListItemProviderTController Class
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemTreeProvider(TController) Class

GenericClassListItemTreeProviderTController Class
通用分类列表树的提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProvidersGenericClassListItemTreeProviderTController
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductClassListItemTreeProvider

Namespace: ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericClassListItemTreeProvider<TController> : IListItemTreeProvider
where TController : new(), GenericClassControllerBase<TController>

Public Class GenericClassListItemTreeProvider(Of TController As {New, GenericClassControllerBase(Of TController)})
    Implements IListItemTreeProvider
generic<typename TController>
where TController : gcnew(), GenericClassControllerBase<TController>
public ref class GenericClassListItemTreeProvider : IListItemTreeProvider
type GenericClassListItemTreeProvider<'TController when 'TController : new() and GenericClassControllerBase<'TController>> =
    class
        interface IListItemTreeProvider
    end

Type Parameters

TController
定义通用分类的控制器类型

The GenericClassListItemTreeProviderTController type exposes the following members.

Constructors
 | Name | Description
Public method | GenericClassListItemTreeProviderTController | Initializes a new instance of the GenericClassListItemTreeProviderTController class
Top
Methods
 | Name | Description
Public method | GetTree | 获取选项列表树
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemTreeProvider(TController) Constructor

GenericClassListItemTreeProviderTController Constructor

Initializes a new instance of the GenericClassListItemTreeProviderTController class

Namespace: ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericClassListItemTreeProvider()
Public Sub New
public:
GenericClassListItemTreeProvider()
new : unit -> GenericClassListItemTreeProvider
See Also

Reference

GenericClassListItemTreeProviderTController Class
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemTreeProvider(TController) Methods

GenericClassListItemTreeProviderTController Methods

The GenericClassListItemTreeProviderTController generic type exposes the following members.

Methods
 | Name | Description
Public method | GetTree | 获取选项列表树
Top
See Also

Reference

GenericClassListItemTreeProviderTController Class
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


GenericClassListItemTreeProvider(TController).GetTree Method

GenericClassListItemTreeProviderTControllerGetTree Method

获取选项列表树

Namespace: ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ITreeNode<ListItem> GetTree()
Public Function GetTree As ITreeNode(Of ListItem)
public:
virtual ITreeNode<ListItem^>^ GetTree() sealed
abstract GetTree : unit -> ITreeNode<ListItem>
override GetTree : unit -> ITreeNode<ListItem>

Return Value

Type: ITreeNodeListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders.GenericClassListItemTreeProvider`1.GetTree"]

Implements

IListItemTreeProviderGetTree
See Also

Reference

GenericClassListItemTreeProviderTController Class
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Common.GenericRecord.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericRecord.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks |
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates |


ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks"]

Classes
 | Class | Description
Public class | GenericRecordCleaner | 清理过期的通用记录


GenericRecordCleaner Class
清理过期的通用记录
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasksGenericRecordCleaner

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericRecordCleaner : IScheduledTaskExecutor
Public Class GenericRecordCleaner
    Implements IScheduledTaskExecutor
public ref class GenericRecordCleaner : IScheduledTaskExecutor
type GenericRecordCleaner =
    class
        interface IScheduledTaskExecutor
    end

The GenericRecordCleaner type exposes the following members.

Constructors
 | Name | Description
Public method | GenericRecordCleaner | Initializes a new instance of the GenericRecordCleaner class
Top
Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 清理过期的通用记录
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


GenericRecordCleaner Constructor

Initializes a new instance of the GenericRecordCleaner class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericRecordCleaner()
Public Sub New
public:
GenericRecordCleaner()
new : unit -> GenericRecordCleaner
See Also

Reference

GenericRecordCleaner Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


GenericRecordCleaner Properties

The GenericRecordCleaner type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

GenericRecordCleaner Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


GenericRecordCleaner.Key Property

GenericRecordCleanerKey Property

任务键名

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; }
Public ReadOnly Property Key As String
    Get
public:
virtual property String^ Key {
    String^ get () sealed;
}
abstract Key : string with get
override Key : string with get

Property Value

Type: String

Implements

IScheduledTaskExecutorKey
See Also

Reference

GenericRecordCleaner Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


GenericRecordCleaner Methods

The GenericRecordCleaner type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 清理过期的通用记录
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

GenericRecordCleaner Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


GenericRecordCleaner.Execute Method

GenericRecordCleanerExecute Method

清理过期的通用记录

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Execute()
Public Sub Execute
public:
virtual void Execute() sealed
abstract Execute : unit -> unit
override Execute : unit -> unit

Implements

IScheduledTaskExecutorExecute
See Also

Reference

GenericRecordCleaner Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


GenericRecordCleaner.ShouldExecuteNow Method

GenericRecordCleanerShouldExecuteNow Method

每小时执行一次

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ShouldExecuteNow(
    DateTime lastExecuted
)
Public Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
public:
virtual bool ShouldExecuteNow(
    DateTime lastExecuted
) sealed
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool
override ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime

[Missing <param name="lastExecuted"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks.GenericRecordCleaner.ShouldExecuteNow(System.DateTime)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks.GenericRecordCleaner.ShouldExecuteNow(System.DateTime)"]

Implements

IScheduledTaskExecutorShouldExecuteNow(DateTime)
See Also

Reference

GenericRecordCleaner Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.ScheduledTasks Namespace


ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericRecord.src.Components.Translates Namespace


ZKWeb.Plugins.Common.GenericRecord.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericRecord.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities |
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories |
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services |
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs |


ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities"]

Classes
 | Class | Description
Public class | GenericRecord | 通用记录 删除时将直接从数据库中删除 这个类型只应该用于记录性的数据，不应该储存有业务关联的数据


GenericRecord Class
通用记录 删除时将直接从数据库中删除 这个类型只应该用于记录性的数据，不应该储存有业务关联的数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericRecord.src.Domain.EntitiesGenericRecord

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericRecord : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IEntity<Guid>, IEntityMappingProvider<GenericRecord>,
    IEntityMappingProvider
Public Class GenericRecord
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IEntity(Of Guid),
    IEntityMappingProvider(Of GenericRecord), IEntityMappingProvider
public ref class GenericRecord : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IEntity<Guid>, IEntityMappingProvider<GenericRecord^>,
    IEntityMappingProvider
type GenericRecord =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IEntity<Guid>
        interface IEntityMappingProvider<GenericRecord>
        interface IEntityMappingProvider
    end

The GenericRecord type exposes the following members.

Constructors
 | Name | Description
Public method | GenericRecord | 初始化
Top
Properties
 | Name | Description
Public property | Content | 记录内容
Public property | CreateTime | 创建时间
Public property | Creator | 创建记录的用户，系统记录时等于null
Public property | ExtraData | 附加数据
Public property | Id | 记录Id
Public property | KeepUntil | 过期时间，等于null时永久保留
Public property | ReleatedId | 关联的数据Id
Public property | Type | 记录类型
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericRecord()
Public Sub New
public:
GenericRecord()
new : unit -> GenericRecord
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord Properties

The GenericRecord type exposes the following members.

Properties
 | Name | Description
Public property | Content | 记录内容
Public property | CreateTime | 创建时间
Public property | Creator | 创建记录的用户，系统记录时等于null
Public property | ExtraData | 附加数据
Public property | Id | 记录Id
Public property | KeepUntil | 过期时间，等于null时永久保留
Public property | ReleatedId | 关联的数据Id
Public property | Type | 记录类型
Public property | UpdateTime | 更新时间
Top
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.Content Property

GenericRecordContent Property

记录内容

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Content { get; set; }
Public Overridable Property Content As String
    Get
    Set
public:
virtual property String^ Content {
    String^ get ();
    void set (String^ value);
}
abstract Content : string with get, set
override Content : string with get, set

Property Value

Type: String
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.CreateTime Property

GenericRecordCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.Creator Property

GenericRecordCreator Property

创建记录的用户，系统记录时等于null

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Creator { get; set; }
Public Overridable Property Creator As User
    Get
    Set
public:
virtual property User^ Creator {
    User^ get ();
    void set (User^ value);
}
abstract Creator : User with get, set
override Creator : User with get, set

Property Value

Type: User
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.ExtraData Property

GenericRecordExtraData Property

附加数据

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual GenericRecordExtraData ExtraData { get; set; }
Public Overridable Property ExtraData As GenericRecordExtraData
    Get
    Set
public:
virtual property GenericRecordExtraData^ ExtraData {
    GenericRecordExtraData^ get ();
    void set (GenericRecordExtraData^ value);
}
abstract ExtraData : GenericRecordExtraData with get, set
override ExtraData : GenericRecordExtraData with get, set

Property Value

Type: GenericRecordExtraData
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.Id Property

GenericRecordId Property

记录Id

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.KeepUntil Property

GenericRecordKeepUntil Property

过期时间，等于null时永久保留

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<DateTime> KeepUntil { get; set; }
Public Overridable Property KeepUntil As Nullable(Of DateTime)
    Get
    Set
public:
virtual property Nullable<DateTime> KeepUntil {
    Nullable<DateTime> get ();
    void set (Nullable<DateTime> value);
}
abstract KeepUntil : Nullable<DateTime> with get, set
override KeepUntil : Nullable<DateTime> with get, set

Property Value

Type: Nullable DateTime
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.ReleatedId Property

GenericRecordReleatedId Property

关联的数据Id

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<Guid> ReleatedId { get; set; }
Public Overridable Property ReleatedId As Nullable(Of Guid)
    Get
    Set
public:
virtual property Nullable<Guid> ReleatedId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
abstract ReleatedId : Nullable<Guid> with get, set
override ReleatedId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.Type Property

GenericRecordType Property

记录类型

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.UpdateTime Property

GenericRecordUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord Methods

The GenericRecord type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


GenericRecord.Configure Method

GenericRecordConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<GenericRecord> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of GenericRecord)
)
public:
virtual void Configure(
    IEntityMappingBuilder<GenericRecord^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<GenericRecord> -> unit
override Configure :
        builder : IEntityMappingBuilder<GenericRecord> -> unit

Parameters

builder
Type: IEntityMappingBuilderGenericRecord

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities.GenericRecord.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities.GenericRecord})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

GenericRecord Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | GenericRecordRepository | 通用记录的仓储


GenericRecordRepository Class
通用记录的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase GenericRecord, Guid
ZKWeb.Plugins.Common.GenericRecord.src.Domain.RepositoriesGenericRecordRepository

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericRecordRepository : RepositoryBase<GenericRecord, Guid>
Public Class GenericRecordRepository
    Inherits RepositoryBase(Of GenericRecord, Guid)
public ref class GenericRecordRepository : public RepositoryBase<GenericRecord^, Guid>
type GenericRecordRepository =
    class
        inherit RepositoryBase<GenericRecord, Guid>
    end

The GenericRecordRepository type exposes the following members.

Constructors
 | Name | Description
Public method | GenericRecordRepository | Initializes a new instance of the GenericRecordRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories Namespace


GenericRecordRepository Constructor

Initializes a new instance of the GenericRecordRepository class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericRecordRepository()
Public Sub New
public:
GenericRecordRepository()
new : unit -> GenericRecordRepository
See Also

Reference

GenericRecordRepository Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Repositories Namespace


ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services"]

Classes
 | Class | Description
Public class | GenericRecordManager | 通用记录管理器


GenericRecordManager Class
通用记录管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase GenericRecord, Guid
ZKWeb.Plugins.Common.GenericRecord.src.Domain.ServicesGenericRecordManager

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericRecordManager : DomainServiceBase<GenericRecord, Guid>
Public Class GenericRecordManager
    Inherits DomainServiceBase(Of GenericRecord, Guid)
public ref class GenericRecordManager : public DomainServiceBase<GenericRecord^, Guid>
type GenericRecordManager =
    class
        inherit DomainServiceBase<GenericRecord, Guid>
    end

The GenericRecordManager type exposes the following members.

Constructors
 | Name | Description
Public method | GenericRecordManager | Initializes a new instance of the GenericRecordManager class
Top
Methods
 | Name | Description
Public method | AddRecord | 添加纪录
Public method | ClearExpiredRecords | 清理过期的记录
Public method | FindRecords(String) | 根据类型查找记录 默认按Id倒序排列
Public method | FindRecords(String, NullableGuid) | 根据类型和关联数据Id查找记录 默认按Id倒序排列
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager Constructor

Initializes a new instance of the GenericRecordManager class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericRecordManager()
Public Sub New
public:
GenericRecordManager()
new : unit -> GenericRecordManager
See Also

Reference

GenericRecordManager Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager Methods

The GenericRecordManager type exposes the following members.

Methods
 | Name | Description
Public method | AddRecord | 添加纪录
Public method | ClearExpiredRecords | 清理过期的记录
Public method | FindRecords(String) | 根据类型查找记录 默认按Id倒序排列
Public method | FindRecords(String, NullableGuid) | 根据类型和关联数据Id查找记录 默认按Id倒序排列
Top
See Also

Reference

GenericRecordManager Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager.AddRecord Method

GenericRecordManagerAddRecord Method

添加纪录

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddRecord(
    string type,
    Nullable<Guid> releatedId,
    Nullable<Guid> creatorId,
    string content,
    Nullable<TimeSpan> keepTime = null,
    Object extraData = null
)
Public Overridable Sub AddRecord (
    type As String,
    releatedId As Nullable(Of Guid),
    creatorId As Nullable(Of Guid),
    content As String,
    Optional keepTime As Nullable(Of TimeSpan) = Nothing,
    Optional extraData As Object = Nothing
)
public:
virtual void AddRecord(
    String^ type,
    Nullable<Guid> releatedId,
    Nullable<Guid> creatorId,
    String^ content,
    Nullable<TimeSpan> keepTime = nullptr,
    Object^ extraData = nullptr
)
abstract AddRecord :
        type : string *
        releatedId : Nullable<Guid> *
        creatorId : Nullable<Guid> *
        content : string *
        ?keepTime : Nullable<TimeSpan> *
        ?extraData : Object
(* Defaults:
        let _keepTime = defaultArg keepTime null
        let _extraData = defaultArg extraData null
*)
-> unit
override AddRecord :
        type : string *
        releatedId : Nullable<Guid> *
        creatorId : Nullable<Guid> *
        content : string *
        ?keepTime : Nullable<TimeSpan> *
        ?extraData : Object
(* Defaults:
        let _keepTime = defaultArg keepTime null
        let _extraData = defaultArg extraData null
*)
-> unit

Parameters

type
Type: SystemString
记录类型
releatedId
Type: SystemNullable Guid
关联数据Id，可以等于null
creatorId
Type: SystemNullable Guid
创建人用户Id，可以等于null
content
Type: SystemString
记录内容
keepTime (Optional)
Type: SystemNullable TimeSpan
保留时间，等于null时永久保留
extraData (Optional)
Type: SystemObject
附加数据
See Also

Reference

GenericRecordManager Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager.ClearExpiredRecords Method

GenericRecordManagerClearExpiredRecords Method

清理过期的记录

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long ClearExpiredRecords()
Public Overridable Function ClearExpiredRecords As Long
public:
virtual long long ClearExpiredRecords()
abstract ClearExpiredRecords : unit -> int64
override ClearExpiredRecords : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services.GenericRecordManager.ClearExpiredRecords"]

See Also

Reference

GenericRecordManager Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager.FindRecords Method

GenericRecordManagerFindRecords Method

Overload List
 | Name | Description
Public method | FindRecords(String) | 根据类型查找记录 默认按Id倒序排列
Public method | FindRecords(String, NullableGuid) | 根据类型和关联数据Id查找记录 默认按Id倒序排列
Top
See Also

Reference

GenericRecordManager Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager.FindRecords Method (String)

GenericRecordManagerFindRecords Method (String)
根据类型查找记录 默认按Id倒序排列

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<GenericRecord> FindRecords(
    string type
)
Public Overridable Function FindRecords (
    type As String
) As IList(Of GenericRecord)
public:
virtual IList<GenericRecord^>^ FindRecords(
    String^ type
)
abstract FindRecords :
        type : string -> IList<GenericRecord>
override FindRecords :
        type : string -> IList<GenericRecord>

Parameters

type
Type: SystemString
记录类型

Return Value

Type: IList GenericRecord

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services.GenericRecordManager.FindRecords(System.String)"]

See Also

Reference

GenericRecordManager Class
FindRecords Overload
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


GenericRecordManager.FindRecords Method (String, Nullable(Guid))

GenericRecordManagerFindRecords Method (String, NullableGuid)
根据类型和关联数据Id查找记录 默认按Id倒序排列

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<GenericRecord> FindRecords(
    string type,
    Nullable<Guid> releatedId
)
Public Overridable Function FindRecords (
    type As String,
    releatedId As Nullable(Of Guid)
) As IList(Of GenericRecord)
public:
virtual IList<GenericRecord^>^ FindRecords(
    String^ type,
    Nullable<Guid> releatedId
)
abstract FindRecords :
        type : string *
        releatedId : Nullable<Guid> -> IList<GenericRecord>
override FindRecords :
        type : string *
        releatedId : Nullable<Guid> -> IList<GenericRecord>

Parameters

type
Type: SystemString
记录类型
releatedId
Type: SystemNullable Guid
关联数据Id

Return Value

Type: IList GenericRecord

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services.GenericRecordManager.FindRecords(System.String,System.Nullable{System.Guid})"]

See Also

Reference

GenericRecordManager Class
FindRecords Overload
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Services Namespace


ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs"]

Classes
 | Class | Description
Public class | GenericRecordExtraData | 通用记录的附加数据


GenericRecordExtraData Class
通用记录的附加数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Common.GenericRecord.src.Domain.StructsGenericRecordExtraData

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericRecordExtraData : Dictionary<string, Object>
Public Class GenericRecordExtraData
    Inherits Dictionary(Of String, Object)
public ref class GenericRecordExtraData : public Dictionary<String^, Object^>
type GenericRecordExtraData =
    class
        inherit Dictionary<string, Object>
    end

The GenericRecordExtraData type exposes the following members.

Constructors
 | Name | Description
Public method | GenericRecordExtraData | Initializes a new instance of the GenericRecordExtraData class
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs Namespace


GenericRecordExtraData Constructor

Initializes a new instance of the GenericRecordExtraData class

Namespace: ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericRecordExtraData()
Public Sub New
public:
GenericRecordExtraData()
new : unit -> GenericRecordExtraData
See Also

Reference

GenericRecordExtraData Class
ZKWeb.Plugins.Common.GenericRecord.src.Domain.Structs Namespace


ZKWeb.Plugins.Common.GenericTag.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericTag.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericTag.src.Components |
ZKWeb.Plugins.Common.GenericTag.src.Controllers |
ZKWeb.Plugins.Common.GenericTag.src.Domain |
ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders |


ZKWeb.Plugins.Common.GenericTag.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericTag.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates |


ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | GenericTagExtraConfigKeys | 网站附加配置中使用的键


GenericTagExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeysGenericTagExtraConfigKeys

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericTagExtraConfigKeys
Public Class GenericTagExtraConfigKeys
public ref class GenericTagExtraConfigKeys
type GenericTagExtraConfigKeys =  class end

The GenericTagExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTagExtraConfigKeys | Initializes a new instance of the GenericTagExtraConfigKeys class
Top
Fields
Name | Description
TagCacheTime | 通用标签列表的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys Namespace


GenericTagExtraConfigKeys Constructor

Initializes a new instance of the GenericTagExtraConfigKeys class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericTagExtraConfigKeys()
Public Sub New
public:
GenericTagExtraConfigKeys()
new : unit -> GenericTagExtraConfigKeys
See Also

Reference

GenericTagExtraConfigKeys Class
ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys Namespace


GenericTagExtraConfigKeys Fields

The GenericTagExtraConfigKeys type exposes the following members.

Fields
Name | Description
TagCacheTime | 通用标签列表的缓存时间，单位是秒
Top
See Also

Reference

GenericTagExtraConfigKeys Class
ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys Namespace


GenericTagExtraConfigKeys.TagCacheTime Field

GenericTagExtraConfigKeysTagCacheTime Field
通用标签列表的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string TagCacheTime = "Common.GenericTag.TagCacheTime"
Public Const TagCacheTime As String = "Common.GenericTag.TagCacheTime"
public:
literal String^ TagCacheTime = "Common.GenericTag.TagCacheTime"
static val mutable TagCacheTime: string

Field Value

Type: String
See Also

Reference

GenericTagExtraConfigKeys Class
ZKWeb.Plugins.Common.GenericTag.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.GenericTag.src.Components.Translates Namespace


ZKWeb.Plugins.Common.GenericTag.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericTag.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericTag.src.Controllers |
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases |


ZKWeb.Plugins.Common.GenericTag.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Controllers"]

Classes
 | Class | Description
Public class | DefaultTag | 默认标签


DefaultTag Class
默认标签
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBase DefaultTag
ZKWeb.Plugins.Common.GenericTag.src.ControllersDefaultTag

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultTag : GenericTagControllerBase<DefaultTag>
Public Class DefaultTag
    Inherits GenericTagControllerBase(Of DefaultTag)
public ref class DefaultTag : public GenericTagControllerBase<DefaultTag^>
type DefaultTag =
    class
        inherit GenericTagControllerBase<DefaultTag>
    end

The DefaultTag type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultTag | Initializes a new instance of the DefaultTag class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Controllers Namespace


DefaultTag Constructor

Initializes a new instance of the DefaultTag class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultTag()
Public Sub New
public:
DefaultTag()
new : unit -> DefaultTag
See Also

Reference

DefaultTag Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers Namespace


DefaultTag Properties

The DefaultTag type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

DefaultTag Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers Namespace


DefaultTag.Name Property

DefaultTagName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.DefaultTag.Name"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

DefaultTag Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers Namespace


ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | GenericTagControllerBaseTController | 通用标签控制器的基础类
Public class | GenericTagControllerBaseTControllerForm | 添加和编辑使用的表单
Public class | GenericTagControllerBaseTControllerTableHandler | 表格处理器


GenericTagControllerBase(TController) Class

GenericTagControllerBaseTController Class
通用标签控制器的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBaseTController
ZKWeb.Plugins.CMS.Article.src.ControllersArticleTagController
ZKWeb.Plugins.Common.GenericTag.src.ControllersDefaultTag
ZKWeb.Plugins.Shopping.Product.src.ControllersProductTagController

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class GenericTagControllerBase<TController> : CrudAdminSettingsControllerBase<GenericTag, Guid>
where TController : new(), GenericTagControllerBase<TController>

Public MustInherit Class GenericTagControllerBase(Of TController As {New, GenericTagControllerBase(Of TController)})
    Inherits CrudAdminSettingsControllerBase(Of GenericTag, Guid)
generic<typename TController>
where TController : gcnew(), GenericTagControllerBase<TController>
public ref class GenericTagControllerBase abstract : public CrudAdminSettingsControllerBase<GenericTag^, Guid>
[<AbstractClassAttribute>]
type GenericTagControllerBase<'TController when 'TController : new() and GenericTagControllerBase<'TController>> =
    class
        inherit CrudAdminSettingsControllerBase<GenericTag, Guid>
    end

Type Parameters

TController
继承这个类的类型

The GenericTagControllerBaseTController type exposes the following members.

Constructors
 | Name | Description
Protected method | GenericTagControllerBaseTController | Initializes a new instance of the GenericTagControllerBaseTController class
Top
Properties
 | Name | Description
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Type |
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetBatchActionIds | 获取批量操作的数据Id列表 (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetBatchActionIds.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController) Constructor

GenericTagControllerBaseTController Constructor

Initializes a new instance of the GenericTagControllerBaseTController class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected GenericTagControllerBase()
Protected Sub New
protected:
GenericTagControllerBase()
new : unit -> GenericTagControllerBase
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController) Properties

GenericTagControllerBaseTController Properties

The GenericTagControllerBaseTController generic type exposes the following members.

Properties
 | Name | Description
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Type |
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).DeleteForeverPrivileges Property

GenericTagControllerBaseTControllerDeleteForeverPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.DeleteForeverPrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeleteForeverPrivileges { get; }
Public Overrides ReadOnly Property DeleteForeverPrivileges As String()
    Get
public:
virtual property array<String^>^ DeleteForeverPrivileges {
    array<String^>^ get () override;
}
abstract DeleteForeverPrivileges : string[] with get
override DeleteForeverPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeleteForeverPrivileges
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).DeletePrivileges Property

GenericTagControllerBaseTControllerDeletePrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.DeletePrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeletePrivileges { get; }
Public Overrides ReadOnly Property DeletePrivileges As String()
    Get
public:
virtual property array<String^>^ DeletePrivileges {
    array<String^>^ get () override;
}
abstract DeletePrivileges : string[] with get
override DeletePrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeletePrivileges
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).EditPrivileges Property

GenericTagControllerBaseTControllerEditPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.EditPrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] EditPrivileges { get; }
Public Overrides ReadOnly Property EditPrivileges As String()
    Get
public:
virtual property array<String^>^ EditPrivileges {
    array<String^>^ get () override;
}
abstract EditPrivileges : string[] with get
override EditPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerEditPrivileges
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).EntityTypeName Property

GenericTagControllerBaseTControllerEntityTypeName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.EntityTypeName"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EntityTypeName { get; }
Public Overrides ReadOnly Property EntityTypeName As String
    Get
public:
virtual property String^ EntityTypeName {
    String^ get () override;
}
abstract EntityTypeName : string with get
override EntityTypeName : string with get

Property Value

Type: String

Implements

ICrudControllerEntityTypeName
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Group Property

GenericTagControllerBaseTControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.Group"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).GroupIconClass Property

GenericTagControllerBaseTControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).IconClass Property

GenericTagControllerBaseTControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.IconClass"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Type Property

GenericTagControllerBaseTControllerType Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.Type"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; }
Public Overridable ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get ();
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Url Property

GenericTagControllerBaseTControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.Url"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).ViewPrivileges Property

GenericTagControllerBaseTControllerViewPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.ViewPrivileges"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] ViewPrivileges { get; }
Public Overrides ReadOnly Property ViewPrivileges As String()
    Get
public:
virtual property array<String^>^ ViewPrivileges {
    array<String^>^ get () override;
}
abstract ViewPrivileges : string[] with get
override ViewPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerViewPrivileges
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController) Methods

GenericTagControllerBaseTController Methods

The GenericTagControllerBaseTController generic type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetBatchActionIds | 获取批量操作的数据Id列表 (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetBatchActionIds.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).GetAddForm Method

GenericTagControllerBaseTControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetAddForm"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetAddForm"]

See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).GetBatchActionIds Method

GenericTagControllerBaseTControllerGetBatchActionIds Method

获取批量操作的数据Id列表

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IList<Guid> GetBatchActionIds()
Protected Overrides Function GetBatchActionIds As IList(Of Guid)
protected:
virtual IList<Guid>^ GetBatchActionIds() override
abstract GetBatchActionIds : unit -> IList<Guid>
override GetBatchActionIds : unit -> IList<Guid>

Return Value

Type: IList Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetBatchActionIds"]

See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).GetEditForm Method

GenericTagControllerBaseTControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetEditForm"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetEditForm"]

See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).GetTableHandler Method

GenericTagControllerBaseTControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetTableHandler"]

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<GenericTag, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of GenericTag, Guid)
protected:
virtual IAjaxTableHandler<GenericTag^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<GenericTag, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<GenericTag, Guid>

Return Value

Type: IAjaxTableHandler GenericTag, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.GetTableHandler"]

See Also

Reference

GenericTagControllerBaseTController Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form Class

GenericTagControllerBaseTControllerForm Class
添加和编辑使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder GenericTag, Guid, GenericTagControllerBaseTControllerForm
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBaseTControllerForm

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : EntityFormBuilder<GenericTag, Guid, GenericTagControllerBaseTControllerForm>
Public Class Form
    Inherits EntityFormBuilder(Of GenericTag, Guid, GenericTagControllerBaseTControllerForm)
public ref class Form : public EntityFormBuilder<GenericTag^, Guid, GenericTagControllerBaseTControllerForm^>
type Form =
    class
        inherit EntityFormBuilder<GenericTag, Guid, GenericTagControllerBaseTControllerForm>
    end

The GenericTagControllerBaseTControllerForm generic type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTagControllerBaseTControllerForm | 初始化
Top
Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Name | 名称
Public property | Remark | 备注
Public property | Type | 标签类型
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form Constructor

GenericTagControllerBaseTControllerForm Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form(
    string type
)
Public Sub New (
    type As String
)
public:
Form(
    String^ type
)
new :
        type : string -> Form

Parameters

type
Type: SystemString
标签类型
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


Form Properties

The GenericTagControllerBaseTControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Name | 名称
Public property | Remark | 备注
Public property | Type | 标签类型
Top
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form.DisplayOrder Property

GenericTagControllerBaseTControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form.Name Property

GenericTagControllerBaseTControllerFormName Property

名称

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form.Remark Property

GenericTagControllerBaseTControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form.Type Property

GenericTagControllerBaseTControllerFormType Property

标签类型

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


Form Methods

The GenericTagControllerBaseTControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form.OnBind Method

GenericTagControllerBaseTControllerFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    GenericTag bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As GenericTag
)
protected:
virtual void OnBind(
    GenericTag^ bindFrom
) override
abstract OnBind :
        bindFrom : GenericTag -> unit
override OnBind :
        bindFrom : GenericTag -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Common.GenericTag.src.Domain.EntitiesGenericTag

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.Form.OnBind(ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag)"]

See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).Form.OnSubmit Method

GenericTagControllerBaseTControllerFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    GenericTag saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As GenericTag
) As Object
protected:
virtual Object^ OnSubmit(
    GenericTag^ saveTo
) override
abstract OnSubmit :
        saveTo : GenericTag -> Object
override OnSubmit :
        saveTo : GenericTag -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Common.GenericTag.src.Domain.EntitiesGenericTag

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.Form.OnSubmit(ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.Form.OnSubmit(ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag)"]

See Also

Reference

GenericTagControllerBaseTControllerForm Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler Class

GenericTagControllerBaseTControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBaseTControllerTableHandler

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<GenericTag, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of GenericTag, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<GenericTag^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<GenericTag, Guid>
    end

The GenericTagControllerBaseTControllerTableHandler generic type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTagControllerBaseTControllerTableHandler | Initializes a new instance of the GenericTagControllerBaseTControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择字段 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler Constructor

GenericTagControllerBaseTControllerTableHandler Constructor

Initializes a new instance of the GenericTagControllerBaseTControllerTableHandler class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


TableHandler Methods

The GenericTagControllerBaseTControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格时的处理 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择字段 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler.BuildTable Method

GenericTagControllerBaseTControllerTableHandlerBuildTable Method

构建表格时的处理

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler.OnQuery Method

GenericTagControllerBaseTControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<GenericTag> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of GenericTag)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<GenericTag^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericTag> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericTag> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag}@)"]

query
Type: System.LinqIQueryable GenericTag

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler.OnResponse Method

GenericTagControllerBaseTControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler.OnSelect Method

GenericTagControllerBaseTControllerTableHandlerOnSelect Method

选择字段

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<GenericTag>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of GenericTag))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<GenericTag^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<GenericTag>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<GenericTag>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow GenericTag

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


GenericTagControllerBase(TController).TableHandler.OnSort Method

GenericTagControllerBaseTControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<GenericTag> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of GenericTag)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<GenericTag^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericTag> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<GenericTag> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag}@)"]

query
Type: System.LinqIQueryable GenericTag

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases.GenericTagControllerBase`1.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

GenericTagControllerBaseTControllerTableHandler Class
ZKWeb.Plugins.Common.GenericTag.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.GenericTag.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.GenericTag.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities |
ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories |
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services |


ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities"]

Classes
 | Class | Description
Public class | GenericTag | 通用标签


GenericTag Class
通用标签
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.Domain.EntitiesGenericTag

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericTag : IHaveCreateTime, IEntity,
    IHaveUpdateTime, IHaveDeleted, IEntity<Guid>, IEntityMappingProvider<GenericTag>,
    IEntityMappingProvider
Public Class GenericTag
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IEntity(Of Guid), IEntityMappingProvider(Of GenericTag), IEntityMappingProvider
public ref class GenericTag : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<GenericTag^>, IEntityMappingProvider
type GenericTag =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntity<Guid>
        interface IEntityMappingProvider<GenericTag>
        interface IEntityMappingProvider
    end

The GenericTag type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTag | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 标签Id
Public property | Name | 标签名称
Public property | Remark | 备注
Public property | Type | 标签类型
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericTag()
Public Sub New
public:
GenericTag()
new : unit -> GenericTag
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag Properties

The GenericTag type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 标签Id
Public property | Name | 标签名称
Public property | Remark | 备注
Public property | Type | 标签类型
Public property | UpdateTime | 更新时间
Top
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.CreateTime Property

GenericTagCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.Deleted Property

GenericTagDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.DisplayOrder Property

GenericTagDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.Id Property

GenericTagId Property

标签Id

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.Name Property

GenericTagName Property

标签名称

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.Remark Property

GenericTagRemark Property

备注

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.Type Property

GenericTagType Property

标签类型

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.UpdateTime Property

GenericTagUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag Methods

The GenericTag type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.Configure Method

GenericTagConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<GenericTag> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of GenericTag)
)
public:
virtual void Configure(
    IEntityMappingBuilder<GenericTag^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<GenericTag> -> unit
override Configure :
        builder : IEntityMappingBuilder<GenericTag> -> unit

Parameters

builder
Type: IEntityMappingBuilderGenericTag

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


GenericTag.ToString Method

GenericTagToString Method

显示名称

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities.GenericTag.ToString"]

See Also

Reference

GenericTag Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | GenericTagRepository | 通用标签的仓储


GenericTagRepository Class
通用标签的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Domain.RepositoriesGenericTagRepository

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericTagRepository : RepositoryBase<GenericTag, Guid>
Public Class GenericTagRepository
    Inherits RepositoryBase(Of GenericTag, Guid)
public ref class GenericTagRepository : public RepositoryBase<GenericTag^, Guid>
type GenericTagRepository =
    class
        inherit RepositoryBase<GenericTag, Guid>
    end

The GenericTagRepository type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTagRepository | Initializes a new instance of the GenericTagRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories Namespace


GenericTagRepository Constructor

Initializes a new instance of the GenericTagRepository class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericTagRepository()
Public Sub New
public:
GenericTagRepository()
new : unit -> GenericTagRepository
See Also

Reference

GenericTagRepository Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Repositories Namespace


ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.Domain.Services"]

Classes
 | Class | Description
Public class | GenericTagManager | 通用标签管理器


GenericTagManager Class
通用标签管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Domain.ServicesGenericTagManager

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericTagManager : DomainServiceBase<GenericTag, Guid>,
    ICacheCleaner
Public Class GenericTagManager
    Inherits DomainServiceBase(Of GenericTag, Guid)
    Implements ICacheCleaner
public ref class GenericTagManager : public DomainServiceBase<GenericTag^, Guid>,
    ICacheCleaner
type GenericTagManager =
    class
        inherit DomainServiceBase<GenericTag, Guid>
        interface ICacheCleaner
    end

The GenericTagManager type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTagManager | 初始化
Top
Properties
 | Name | Description
Protected property | TagCache | 通用标签的缓存，{ Id: 标签 }
Public property | TagCacheTime | 通用标签列表的缓存时间 默认是15秒，可通过网站配置指定
Protected property | TagListCache | 通用标签列表的缓存，{ 类型: 标签列表 }
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取指定类型的标签列表 按显示顺序返回，不包括已删除的标签
Public method | GetWithCache | 获取指定标签，不存在或已删除时返回null
Public method | IsAllTagsTypeEqualTo | 检查指定的标签列表是否都属于指定的类型 如果标签不存在会被跳过 常用于防止越权操作
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager Constructor

初始化

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericTagManager()
Public Sub New
public:
GenericTagManager()
new : unit -> GenericTagManager
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager Properties

The GenericTagManager type exposes the following members.

Properties
 | Name | Description
Protected property | TagCache | 通用标签的缓存，{ Id: 标签 }
Public property | TagCacheTime | 通用标签列表的缓存时间 默认是15秒，可通过网站配置指定
Protected property | TagListCache | 通用标签列表的缓存，{ 类型: 标签列表 }
Top
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.TagCache Property

GenericTagManagerTagCache Property

通用标签的缓存，{ Id: 标签 }

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, GenericTag> TagCache { get; set; }
Protected Property TagCache As IKeyValueCache(Of Guid, GenericTag)
    Get
    Set
protected:
property IKeyValueCache<Guid, GenericTag^>^ TagCache {
    IKeyValueCache<Guid, GenericTag^>^ get ();
    void set (IKeyValueCache<Guid, GenericTag^>^ value);
}
member TagCache : IKeyValueCache<Guid, GenericTag> with get, set

Property Value

Type: IKeyValueCacheGuid, GenericTag
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.TagCacheTime Property

GenericTagManagerTagCacheTime Property

通用标签列表的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan TagCacheTime { get; set; }
Public Property TagCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan TagCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member TagCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.TagListCache Property

GenericTagManagerTagListCache Property

通用标签列表的缓存，{ 类型: 标签列表 }

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, IList<GenericTag>> TagListCache { get; set; }
Protected Property TagListCache As IKeyValueCache(Of String, IList(Of GenericTag))
    Get
    Set
protected:
property IKeyValueCache<String^, IList<GenericTag^>^>^ TagListCache {
    IKeyValueCache<String^, IList<GenericTag^>^>^ get ();
    void set (IKeyValueCache<String^, IList<GenericTag^>^>^ value);
}
member TagListCache : IKeyValueCache<string, IList<GenericTag>> with get, set

Property Value

Type: IKeyValueCacheString, IList GenericTag
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager Methods

The GenericTagManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取指定类型的标签列表 按显示顺序返回，不包括已删除的标签
Public method | GetWithCache | 获取指定标签，不存在或已删除时返回null
Public method | IsAllTagsTypeEqualTo | 检查指定的标签列表是否都属于指定的类型 如果标签不存在会被跳过 常用于防止越权操作
Top
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.ClearCache Method

GenericTagManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.GetManyWithCache Method

GenericTagManagerGetManyWithCache Method

获取指定类型的标签列表 按显示顺序返回，不包括已删除的标签

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<GenericTag> GetManyWithCache(
    string type
)
Public Overridable Function GetManyWithCache (
    type As String
) As IList(Of GenericTag)
public:
virtual IList<GenericTag^>^ GetManyWithCache(
    String^ type
)
abstract GetManyWithCache :
        type : string -> IList<GenericTag>
override GetManyWithCache :
        type : string -> IList<GenericTag>

Parameters

type
Type: SystemString
标签类型

Return Value

Type: IList GenericTag

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Domain.Services.GenericTagManager.GetManyWithCache(System.String)"]

See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.GetWithCache Method

GenericTagManagerGetWithCache Method

获取指定标签，不存在或已删除时返回null

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual GenericTag GetWithCache(
    Guid tagId
)
Public Overridable Function GetWithCache (
    tagId As Guid
) As GenericTag
public:
virtual GenericTag^ GetWithCache(
    Guid tagId
)
abstract GetWithCache :
        tagId : Guid -> GenericTag
override GetWithCache :
        tagId : Guid -> GenericTag

Parameters

tagId
Type: SystemGuid
标签Id

Return Value

Type: GenericTag

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Domain.Services.GenericTagManager.GetWithCache(System.Guid)"]

See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


GenericTagManager.IsAllTagsTypeEqualTo Method

GenericTagManagerIsAllTagsTypeEqualTo Method

检查指定的标签列表是否都属于指定的类型 如果标签不存在会被跳过 常用于防止越权操作

Namespace: ZKWeb.Plugins.Common.GenericTag.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool IsAllTagsTypeEqualTo(
    IList<Guid> ids,
    string type
)
Public Overridable Function IsAllTagsTypeEqualTo (
    ids As IList(Of Guid),
    type As String
) As Boolean
public:
virtual bool IsAllTagsTypeEqualTo(
    IList<Guid>^ ids,
    String^ type
)
abstract IsAllTagsTypeEqualTo :
        ids : IList<Guid> *
        type : string -> bool
override IsAllTagsTypeEqualTo :
        ids : IList<Guid> *
        type : string -> bool

Parameters

ids
Type: System.Collections.GenericIList Guid
标签的Id列表
type
Type: SystemString
标签类型

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.Domain.Services.GenericTagManager.IsAllTagsTypeEqualTo(System.Collections.Generic.IList{System.Guid},System.String)"]

See Also

Reference

GenericTagManager Class
ZKWeb.Plugins.Common.GenericTag.src.Domain.Services Namespace


ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | GenericTagListItemProviderTController | 通用标签列表的提供器


GenericTagListItemProvider(TController) Class

GenericTagListItemProviderTController Class
通用标签列表的提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProvidersGenericTagListItemProviderTController
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductTagListItemProvider

Namespace: ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GenericTagListItemProvider<TController> : IListItemProvider
where TController : new(), GenericTagControllerBase<TController>

Public Class GenericTagListItemProvider(Of TController As {New, GenericTagControllerBase(Of TController)})
    Implements IListItemProvider
generic<typename TController>
where TController : gcnew(), GenericTagControllerBase<TController>
public ref class GenericTagListItemProvider : IListItemProvider
type GenericTagListItemProvider<'TController when 'TController : new() and GenericTagControllerBase<'TController>> =
    class
        interface IListItemProvider
    end

Type Parameters

TController
定义通用标签的控制器类型

The GenericTagListItemProviderTController type exposes the following members.

Constructors
 | Name | Description
Public method | GenericTagListItemProviderTController | Initializes a new instance of the GenericTagListItemProviderTController class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders Namespace


GenericTagListItemProvider(TController) Constructor

GenericTagListItemProviderTController Constructor

Initializes a new instance of the GenericTagListItemProviderTController class

Namespace: ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GenericTagListItemProvider()
Public Sub New
public:
GenericTagListItemProvider()
new : unit -> GenericTagListItemProvider
See Also

Reference

GenericTagListItemProviderTController Class
ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders Namespace


GenericTagListItemProvider(TController) Methods

GenericTagListItemProviderTController Methods

The GenericTagListItemProviderTController generic type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

GenericTagListItemProviderTController Class
ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders Namespace


GenericTagListItemProvider(TController).GetItems Method

GenericTagListItemProviderTControllerGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders.GenericTagListItemProvider`1.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

GenericTagListItemProviderTController Class
ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Common.LanguageSwitcher Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.LanguageSwitcher"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.LanguageSwitcher.src |
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages |
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components |
ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers |


ZKWeb.Plugins.Common.LanguageSwitcher.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.LanguageSwitcher.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.LanguageSwitcher.srcPlugin

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Common.LanguageSwitcher.src Namespace


ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages"]

Classes
 | Class | Description
Public class | LanguageSwitcherSettingsForm | 语言切换设置的编辑页
Public class | LanguageSwitcherSettingsFormForm | 表单


LanguageSwitcherSettingsForm Class
语言切换设置的编辑页
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPagesLanguageSwitcherSettingsForm

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LanguageSwitcherSettingsForm : FormAdminSettingsControllerBase
Public Class LanguageSwitcherSettingsForm
    Inherits FormAdminSettingsControllerBase
public ref class LanguageSwitcherSettingsForm : public FormAdminSettingsControllerBase
type LanguageSwitcherSettingsForm =
    class
        inherit FormAdminSettingsControllerBase
    end

The LanguageSwitcherSettingsForm type exposes the following members.

Constructors
 | Name | Description
Public method | LanguageSwitcherSettingsForm | Initializes a new instance of the LanguageSwitcherSettingsForm class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm Constructor

Initializes a new instance of the LanguageSwitcherSettingsForm class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LanguageSwitcherSettingsForm()
Public Sub New
public:
LanguageSwitcherSettingsForm()
new : unit -> LanguageSwitcherSettingsForm
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm Properties

The LanguageSwitcherSettingsForm type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Group Property

LanguageSwitcherSettingsFormGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.Group"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.GroupIconClass Property

LanguageSwitcherSettingsFormGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.IconClass Property

LanguageSwitcherSettingsFormIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.IconClass"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Name Property

LanguageSwitcherSettingsFormName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.Name"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Privilege Property

LanguageSwitcherSettingsFormPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.Privilege"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Url Property

LanguageSwitcherSettingsFormUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.Url"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm Methods

The LanguageSwitcherSettingsForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.GetForm Method

LanguageSwitcherSettingsFormGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.GetForm"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.GetForm"]

See Also

Reference

LanguageSwitcherSettingsForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form Class

LanguageSwitcherSettingsFormForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPagesLanguageSwitcherSettingsFormForm

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The LanguageSwitcherSettingsFormForm type exposes the following members.

Constructors
 | Name | Description
Public method | LanguageSwitcherSettingsFormForm | Initializes a new instance of the LanguageSwitcherSettingsFormForm class
Top
Properties
 | Name | Description
Public property | DisplaySwitcherOnAdminPanel | 在后台页面显示语言切换器
Public property | DisplaySwitcherOnFrontPages | 在前台页面显示语言切换器
Public property | SwitchableLanguages | 可以提供切换的语言列表
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form Constructor

LanguageSwitcherSettingsFormForm Constructor

Initializes a new instance of the LanguageSwitcherSettingsFormForm class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


Form Properties

The LanguageSwitcherSettingsFormForm type exposes the following members.

Properties
 | Name | Description
Public property | DisplaySwitcherOnAdminPanel | 在后台页面显示语言切换器
Public property | DisplaySwitcherOnFrontPages | 在前台页面显示语言切换器
Public property | SwitchableLanguages | 可以提供切换的语言列表
Top
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form.DisplaySwitcherOnAdminPanel Property

LanguageSwitcherSettingsFormFormDisplaySwitcherOnAdminPanel Property

在后台页面显示语言切换器

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DisplaySwitcherOnAdminPanel { get; set; }
Public Property DisplaySwitcherOnAdminPanel As Boolean
    Get
    Set
public:
property bool DisplaySwitcherOnAdminPanel {
    bool get ();
    void set (bool value);
}
member DisplaySwitcherOnAdminPanel : bool with get, set

Property Value

Type: Boolean
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form.DisplaySwitcherOnFrontPages Property

LanguageSwitcherSettingsFormFormDisplaySwitcherOnFrontPages Property

在前台页面显示语言切换器

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DisplaySwitcherOnFrontPages { get; set; }
Public Property DisplaySwitcherOnFrontPages As Boolean
    Get
    Set
public:
property bool DisplaySwitcherOnFrontPages {
    bool get ();
    void set (bool value);
}
member DisplaySwitcherOnFrontPages : bool with get, set

Property Value

Type: Boolean
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form.SwitchableLanguages Property

LanguageSwitcherSettingsFormFormSwitchableLanguages Property

可以提供切换的语言列表

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<string> SwitchableLanguages { get; set; }
Public Property SwitchableLanguages As List(Of String)
    Get
    Set
public:
property List<String^>^ SwitchableLanguages {
    List<String^>^ get ();
    void set (List<String^>^ value);
}
member SwitchableLanguages : List<string> with get, set

Property Value

Type: List String
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


Form Methods

The LanguageSwitcherSettingsFormForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form.OnBind Method

LanguageSwitcherSettingsFormFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


LanguageSwitcherSettingsForm.Form.OnSubmit Method

LanguageSwitcherSettingsFormFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages.LanguageSwitcherSettingsForm.Form.OnSubmit"]

See Also

Reference

LanguageSwitcherSettingsFormForm Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.AdminSettingsPages Namespace


ZKWeb.Plugins.Common.LanguageSwitcher.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs |
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates |


ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | LanguageSwitcherSettings | 语言切换设置


LanguageSwitcherSettings Class
语言切换设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigsLanguageSwitcherSettings

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LanguageSwitcherSettings : ILiquidizable
Public Class LanguageSwitcherSettings
    Implements ILiquidizable
public ref class LanguageSwitcherSettings : ILiquidizable
type LanguageSwitcherSettings =
    class
        interface ILiquidizable
    end

The LanguageSwitcherSettings type exposes the following members.

Constructors
 | Name | Description
Public method | LanguageSwitcherSettings | 初始化
Top
Properties
 | Name | Description
Public property | DisplaySwitcherOnAdminPanel | 在后台页面显示语言切换器
Public property | DisplaySwitcherOnFrontPages | 在前台页面显示语言切换器
Public property | SwitchableLanguages | 可以提供切换的语言列表
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace


LanguageSwitcherSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LanguageSwitcherSettings()
Public Sub New
public:
LanguageSwitcherSettings()
new : unit -> LanguageSwitcherSettings
See Also

Reference

LanguageSwitcherSettings Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace


LanguageSwitcherSettings Properties

The LanguageSwitcherSettings type exposes the following members.

Properties
 | Name | Description
Public property | DisplaySwitcherOnAdminPanel | 在后台页面显示语言切换器
Public property | DisplaySwitcherOnFrontPages | 在前台页面显示语言切换器
Public property | SwitchableLanguages | 可以提供切换的语言列表
Top
See Also

Reference

LanguageSwitcherSettings Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace


LanguageSwitcherSettings.DisplaySwitcherOnAdminPanel Property

LanguageSwitcherSettingsDisplaySwitcherOnAdminPanel Property

在后台页面显示语言切换器

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DisplaySwitcherOnAdminPanel { get; set; }
Public Property DisplaySwitcherOnAdminPanel As Boolean
    Get
    Set
public:
property bool DisplaySwitcherOnAdminPanel {
    bool get ();
    void set (bool value);
}
member DisplaySwitcherOnAdminPanel : bool with get, set

Property Value

Type: Boolean
See Also

Reference

LanguageSwitcherSettings Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace


LanguageSwitcherSettings.DisplaySwitcherOnFrontPages Property

LanguageSwitcherSettingsDisplaySwitcherOnFrontPages Property

在前台页面显示语言切换器

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DisplaySwitcherOnFrontPages { get; set; }
Public Property DisplaySwitcherOnFrontPages As Boolean
    Get
    Set
public:
property bool DisplaySwitcherOnFrontPages {
    bool get ();
    void set (bool value);
}
member DisplaySwitcherOnFrontPages : bool with get, set

Property Value

Type: Boolean
See Also

Reference

LanguageSwitcherSettings Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace


LanguageSwitcherSettings.SwitchableLanguages Property

LanguageSwitcherSettingsSwitchableLanguages Property

可以提供切换的语言列表

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<string> SwitchableLanguages { get; set; }
Public Property SwitchableLanguages As List(Of String)
    Get
    Set
public:
property List<String^>^ SwitchableLanguages {
    List<String^>^ get ();
    void set (List<String^>^ value);
}
member SwitchableLanguages : List<string> with get, set

Property Value

Type: List String
See Also

Reference

LanguageSwitcherSettings Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Components.Translates Namespace


ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers"]

Classes
 | Class | Description
Public class | LanguageSwitcherApiController | Api控制器


LanguageSwitcherApiController Class
Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.LanguageSwitcher.src.ControllersLanguageSwitcherApiController

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LanguageSwitcherApiController : ControllerBase
Public Class LanguageSwitcherApiController
    Inherits ControllerBase
public ref class LanguageSwitcherApiController : public ControllerBase
type LanguageSwitcherApiController =
    class
        inherit ControllerBase
    end

The LanguageSwitcherApiController type exposes the following members.

Constructors
 | Name | Description
Public method | LanguageSwitcherApiController | Initializes a new instance of the LanguageSwitcherApiController class
Top
Methods
 | Name | Description
Public method | GetSwitchableLanguages | 获取可切换的语言列表
Public method | SwitchToLanguage | 切换到指定语言
Top
See Also

Reference

ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers Namespace


LanguageSwitcherApiController Constructor

Initializes a new instance of the LanguageSwitcherApiController class

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LanguageSwitcherApiController()
Public Sub New
public:
LanguageSwitcherApiController()
new : unit -> LanguageSwitcherApiController
See Also

Reference

LanguageSwitcherApiController Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers Namespace


LanguageSwitcherApiController Methods

The LanguageSwitcherApiController type exposes the following members.

Methods
 | Name | Description
Public method | GetSwitchableLanguages | 获取可切换的语言列表
Public method | SwitchToLanguage | 切换到指定语言
Top
See Also

Reference

LanguageSwitcherApiController Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers Namespace


LanguageSwitcherApiController.GetSwitchableLanguages Method

LanguageSwitcherApiControllerGetSwitchableLanguages Method

获取可切换的语言列表

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult GetSwitchableLanguages()
Public Function GetSwitchableLanguages As IActionResult
public:
IActionResult^ GetSwitchableLanguages()
member GetSwitchableLanguages : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers.LanguageSwitcherApiController.GetSwitchableLanguages"]

See Also

Reference

LanguageSwitcherApiController Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers Namespace


LanguageSwitcherApiController.SwitchToLanguage Method

LanguageSwitcherApiControllerSwitchToLanguage Method

切换到指定语言

Namespace: ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult SwitchToLanguage(
    string language
)
Public Function SwitchToLanguage (
    language As String
) As IActionResult
public:
IActionResult^ SwitchToLanguage(
    String^ language
)
member SwitchToLanguage :
        language : string -> IActionResult

Parameters

language
Type: SystemString

[Missing <param name="language"/> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers.LanguageSwitcherApiController.SwitchToLanguage(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers.LanguageSwitcherApiController.SwitchToLanguage(System.String)"]

See Also

Reference

LanguageSwitcherApiController Class
ZKWeb.Plugins.Common.LanguageSwitcher.src.Controllers Namespace


ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.MenuPage.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.MenuPage.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.MenuPage.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.MenuPage.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates Namespace


ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | CrudMenuPageControllerBaseTEntity, TPrimaryKey | 支持增删查改数据的菜单页面构建器 需要再次经过包装，请勿直接使用
Public class | FormMenuPageControllerBase | 带单个表单的菜单页面控制器的基础类 需要再次经过包装，请勿直接使用
Public class | SimpleMenuPageControllerBase | 简单的菜单页面控制器的基础类 需要再次经过包装，请勿直接使用


CrudMenuPageControllerBase(TEntity, TPrimaryKey) Class

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
支持增删查改数据的菜单页面构建器 需要再次经过包装，请勿直接使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesCrudUserPanelControllerBaseTEntity, TPrimaryKey

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class CrudMenuPageControllerBase<TEntity, TPrimaryKey> : CrudControllerBase<TEntity, TPrimaryKey>,
    IMenuPage, IMenuProvider
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class CrudMenuPageControllerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits CrudControllerBase(Of TEntity, TPrimaryKey)
    Implements IMenuPage, IMenuProvider
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class CrudMenuPageControllerBase abstract : public CrudControllerBase<TEntity, TPrimaryKey>,
    IMenuPage, IMenuProvider
[<AbstractClassAttribute>]
type CrudMenuPageControllerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        inherit CrudControllerBase<'TEntity, 'TPrimaryKey>
        interface IMenuPage
        interface IMenuProvider
    end

Type Parameters

TEntity
实体类型
TPrimaryKey
主键类型

The CrudMenuPageControllerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Public method | CrudMenuPageControllerBaseTEntity, TPrimaryKey | 初始化
Top
Properties
 | Name | Description
Public property | Group | 所属的菜单分组
Public property | GroupIconClass | 菜单分组图标
Public property | IconClass | 菜单项图标
Public property | RequiredPrivileges | 显示此页面要求的权限列表
Top
Methods
 | Name | Description
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey) Constructor

CrudMenuPageControllerBaseTEntity, TPrimaryKey Constructor

初始化

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CrudMenuPageControllerBase()
Public Sub New
public:
CrudMenuPageControllerBase()
new : unit -> CrudMenuPageControllerBase
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey) Properties

CrudMenuPageControllerBaseTEntity, TPrimaryKey Properties

The CrudMenuPageControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Public property | Group | 所属的菜单分组
Public property | GroupIconClass | 菜单分组图标
Public property | IconClass | 菜单项图标
Public property | RequiredPrivileges | 显示此页面要求的权限列表
Top
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey).Group Property

CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup Property

所属的菜单分组

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Group { get; }
Public MustOverride ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () abstract;
}
abstract Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey).GroupIconClass Property

CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass Property

菜单分组图标

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string GroupIconClass { get; }
Public MustOverride ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () abstract;
}
abstract GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey).IconClass Property

CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass Property

菜单项图标

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string IconClass { get; }
Public MustOverride ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () abstract;
}
abstract IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey).RequiredPrivileges Property

CrudMenuPageControllerBaseTEntity, TPrimaryKeyRequiredPrivileges Property

显示此页面要求的权限列表

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string[] RequiredPrivileges { get; }
Public Overridable ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get ();
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey) Methods

CrudMenuPageControllerBaseTEntity, TPrimaryKey Methods

The CrudMenuPageControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Methods
 | Name | Description
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


CrudMenuPageControllerBase(TEntity, TPrimaryKey).Setup Method

CrudMenuPageControllerBaseTEntity, TPrimaryKeySetup Method

设置显示的菜单项

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Setup(
    IList<MenuItemGroup> groups
)
Public Overridable Sub Setup (
    groups As IList(Of MenuItemGroup)
)
public:
virtual void Setup(
    IList<MenuItemGroup^>^ groups
)
abstract Setup :
        groups : IList<MenuItemGroup> -> unit
override Setup :
        groups : IList<MenuItemGroup> -> unit

Parameters

groups
Type: System.Collections.GenericIList MenuItemGroup
菜单项分组列表

Implements

IMenuProviderSetup(IListMenuItemGroup)
See Also

Reference

CrudMenuPageControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase Class
带单个表单的菜单页面控制器的基础类 需要再次经过包装，请勿直接使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesFormUserPanelControllerBase

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class FormMenuPageControllerBase : SimpleMenuPageControllerBase
Public MustInherit Class FormMenuPageControllerBase
    Inherits SimpleMenuPageControllerBase
public ref class FormMenuPageControllerBase abstract : public SimpleMenuPageControllerBase
[<AbstractClassAttribute>]
type FormMenuPageControllerBase =
    class
        inherit SimpleMenuPageControllerBase
    end

The FormMenuPageControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | FormMenuPageControllerBase | Initializes a new instance of the FormMenuPageControllerBase class
Top
Properties
 | Name | Description
Public property | TemplatePath | 模板路径
Top
Methods
 | Name | Description
Protected method | Action | 请求的处理函数 (Overrides SimpleMenuPageControllerBaseAction.)
Protected method | GetForm | 获取表单构建器
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase Constructor

Initializes a new instance of the FormMenuPageControllerBase class

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected FormMenuPageControllerBase()
Protected Sub New
protected:
FormMenuPageControllerBase()
new : unit -> FormMenuPageControllerBase
See Also

Reference

FormMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase Properties

The FormMenuPageControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | TemplatePath | 模板路径
Top
See Also

Reference

FormMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase.TemplatePath Property

FormMenuPageControllerBaseTemplatePath Property

模板路径

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string TemplatePath { get; }
Public MustOverride ReadOnly Property TemplatePath As String
    Get
public:
virtual property String^ TemplatePath {
    String^ get () abstract;
}
abstract TemplatePath : string with get

Property Value

Type: String
See Also

Reference

FormMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase Methods

The FormMenuPageControllerBase type exposes the following members.

Methods
 | Name | Description
Protected method | Action | 请求的处理函数 (Overrides SimpleMenuPageControllerBaseAction.)
Protected method | GetForm | 获取表单构建器
Top
See Also

Reference

FormMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase.Action Method

FormMenuPageControllerBaseAction Method

请求的处理函数

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IActionResult Action()
Protected Overrides Function Action As IActionResult
protected:
virtual IActionResult^ Action() override
abstract Action : unit -> IActionResult
override Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases.FormMenuPageControllerBase.Action"]

See Also

Reference

FormMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


FormMenuPageControllerBase.GetForm Method

FormMenuPageControllerBaseGetForm Method

获取表单构建器

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract IModelFormBuilder GetForm()
Protected MustOverride Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() abstract
abstract GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases.FormMenuPageControllerBase.GetForm"]

See Also

Reference

FormMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase Class
简单的菜单页面控制器的基础类 需要再次经过包装，请勿直接使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesSimpleAdminSettingsControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesSimpleUserPanelControllerBase

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class SimpleMenuPageControllerBase : ScaffoldControllerBase,
    IMenuPage, IMenuProvider, IPrivilegesProvider
Public MustInherit Class SimpleMenuPageControllerBase
    Inherits ScaffoldControllerBase
    Implements IMenuPage, IMenuProvider, IPrivilegesProvider
public ref class SimpleMenuPageControllerBase abstract : public ScaffoldControllerBase,
    IMenuPage, IMenuProvider, IPrivilegesProvider
[<AbstractClassAttribute>]
type SimpleMenuPageControllerBase =
    class
        inherit ScaffoldControllerBase
        interface IMenuPage
        interface IMenuProvider
        interface IPrivilegesProvider
    end

The SimpleMenuPageControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | SimpleMenuPageControllerBase | Initializes a new instance of the SimpleMenuPageControllerBase class
Top
Properties
 | Name | Description
Public property | Group | 所属的菜单分组
Public property | GroupIconClass | 菜单分组图标
Public property | IconClass | 菜单项图标
Public property | Name | 菜单项名称
Public property | RequiredPrivileges | 显示此页面要求的权限列表
Public property | RequiredUserType | 允许显示此页面的用户类型
Public property | Url | Url地址
Top
Methods
 | Name | Description
Protected method | Action | 对应的处理函数，会自动进行权限检查
Public method | GetPrivileges | 获取权限列表
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase Constructor

Initializes a new instance of the SimpleMenuPageControllerBase class

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected SimpleMenuPageControllerBase()
Protected Sub New
protected:
SimpleMenuPageControllerBase()
new : unit -> SimpleMenuPageControllerBase
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase Properties

The SimpleMenuPageControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | Group | 所属的菜单分组
Public property | GroupIconClass | 菜单分组图标
Public property | IconClass | 菜单项图标
Public property | Name | 菜单项名称
Public property | RequiredPrivileges | 显示此页面要求的权限列表
Public property | RequiredUserType | 允许显示此页面的用户类型
Public property | Url | Url地址
Top
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.Group Property

SimpleMenuPageControllerBaseGroup Property

所属的菜单分组

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Group { get; }
Public MustOverride ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () abstract;
}
abstract Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.GroupIconClass Property

SimpleMenuPageControllerBaseGroupIconClass Property

菜单分组图标

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string GroupIconClass { get; }
Public MustOverride ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () abstract;
}
abstract GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.IconClass Property

SimpleMenuPageControllerBaseIconClass Property

菜单项图标

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string IconClass { get; }
Public MustOverride ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () abstract;
}
abstract IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.Name Property

SimpleMenuPageControllerBaseName Property

菜单项名称

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Name { get; }
Public MustOverride ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () abstract;
}
abstract Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.RequiredPrivileges Property

SimpleMenuPageControllerBaseRequiredPrivileges Property

显示此页面要求的权限列表

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string[] RequiredPrivileges { get; }
Public MustOverride ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () abstract;
}
abstract RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.RequiredUserType Property

SimpleMenuPageControllerBaseRequiredUserType Property

允许显示此页面的用户类型

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract Type RequiredUserType { get; }
Public MustOverride ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () abstract;
}
abstract RequiredUserType : Type with get

Property Value

Type: Type

Implements

IMenuPageRequiredUserType
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.Url Property

SimpleMenuPageControllerBaseUrl Property

Url地址

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Url { get; }
Public MustOverride ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () abstract;
}
abstract Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase Methods

The SimpleMenuPageControllerBase type exposes the following members.

Methods
 | Name | Description
Protected method | Action | 对应的处理函数，会自动进行权限检查
Public method | GetPrivileges | 获取权限列表
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.Action Method

SimpleMenuPageControllerBaseAction Method

对应的处理函数，会自动进行权限检查

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected abstract IActionResult Action()
Protected MustOverride Function Action As IActionResult
protected:
virtual IActionResult^ Action() abstract
abstract Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases.SimpleMenuPageControllerBase.Action"]

See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.GetPrivileges Method

SimpleMenuPageControllerBaseGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetPrivileges()
Public Overridable Function GetPrivileges As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetPrivileges()
abstract GetPrivileges : unit -> IEnumerable<string>
override GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases.SimpleMenuPageControllerBase.GetPrivileges"]

Implements

IPrivilegesProviderGetPrivileges
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


SimpleMenuPageControllerBase.Setup Method

SimpleMenuPageControllerBaseSetup Method

设置显示的菜单项

Namespace: ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Setup(
    IList<MenuItemGroup> groups
)
Public Overridable Sub Setup (
    groups As IList(Of MenuItemGroup)
)
public:
virtual void Setup(
    IList<MenuItemGroup^>^ groups
)
abstract Setup :
        groups : IList<MenuItemGroup> -> unit
override Setup :
        groups : IList<MenuItemGroup> -> unit

Parameters

groups
Type: System.Collections.GenericIList MenuItemGroup
菜单项分组列表

Implements

IMenuProviderSetup(IListMenuItemGroup)
See Also

Reference

SimpleMenuPageControllerBase Class
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions"]

Classes
 | Class | Description
Public class | MenuItemGroupExtensions | 菜单页的接口的扩展函数


MenuItemGroupExtensions Class
菜单页的接口的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.ExtensionsMenuItemGroupExtensions

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class MenuItemGroupExtensions
<ExtensionAttribute>
Public NotInheritable Class MenuItemGroupExtensions
[ExtensionAttribute]
public ref class MenuItemGroupExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type MenuItemGroupExtensions =  class end

The MenuItemGroupExtensions type exposes the following members.

Methods
Name | Description
SetupFrom | 设置显示的菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions Namespace


MenuItemGroupExtensions Methods

The MenuItemGroupExtensions type exposes the following members.

Methods
Name | Description
SetupFrom | 设置显示的菜单项
Top
See Also

Reference

MenuItemGroupExtensions Class
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions Namespace


MenuItemGroupExtensions.SetupFrom Method

MenuItemGroupExtensionsSetupFrom Method

设置显示的菜单项

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetupFrom(
    this IList<MenuItemGroup> groups,
    IMenuPage page
)
<ExtensionAttribute>
Public Shared Sub SetupFrom (
    groups As IList(Of MenuItemGroup),
    page As IMenuPage
)
public:
[ExtensionAttribute]
static void SetupFrom(
    IList<MenuItemGroup^>^ groups,
    IMenuPage^ page
)
[<ExtensionAttribute>]
static member SetupFrom :
        groups : IList<MenuItemGroup> *
        page : IMenuPage -> unit

Parameters

groups
Type: System.Collections.GenericIList MenuItemGroup
菜单项分组列表
page
Type: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.InterfacesIMenuPage
菜单页

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList MenuItemGroup . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

MenuItemGroupExtensions Class
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions Namespace


ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IMenuPage | 菜单页的接口
Public interface | IMenuProvider | 菜单分组和菜单项的提供器接口 这个接口需要再次继承，请勿直接使用


IMenuPage Interface
菜单页的接口

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IMenuPage : IMenuProvider
Public Interface IMenuPage
    Inherits IMenuProvider
public interface class IMenuPage : IMenuProvider
type IMenuPage =
    interface
        interface IMenuProvider
    end

The IMenuPage type exposes the following members.

Properties
 | Name | Description
Public property | Group | 所属的菜单分组
Public property | GroupIconClass | 菜单分组图标
Public property | IconClass | 菜单项图标
Public property | Name | 菜单项名称
Public property | RequiredPrivileges | 显示此页面要求的权限列表
Public property | RequiredUserType | 允许显示此页面的用户类型 例如typeof(IAmAdmin)
Public property | Url | Url地址
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage Properties

The IMenuPage type exposes the following members.

Properties
 | Name | Description
Public property | Group | 所属的菜单分组
Public property | GroupIconClass | 菜单分组图标
Public property | IconClass | 菜单项图标
Public property | Name | 菜单项名称
Public property | RequiredPrivileges | 显示此页面要求的权限列表
Public property | RequiredUserType | 允许显示此页面的用户类型 例如typeof(IAmAdmin)
Public property | Url | Url地址
Top
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.Group Property

IMenuPageGroup Property

所属的菜单分组

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Group { get; }
ReadOnly Property Group As String
    Get
property String^ Group {
    String^ get ();
}
abstract Group : string with get

Property Value

Type: String
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.GroupIconClass Property

IMenuPageGroupIconClass Property

菜单分组图标

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string GroupIconClass { get; }
ReadOnly Property GroupIconClass As String
    Get
property String^ GroupIconClass {
    String^ get ();
}
abstract GroupIconClass : string with get

Property Value

Type: String
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.IconClass Property

IMenuPageIconClass Property

菜单项图标

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string IconClass { get; }
ReadOnly Property IconClass As String
    Get
property String^ IconClass {
    String^ get ();
}
abstract IconClass : string with get

Property Value

Type: String
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.Name Property

IMenuPageName Property

菜单项名称

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.RequiredPrivileges Property

IMenuPageRequiredPrivileges Property

显示此页面要求的权限列表

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string[] RequiredPrivileges { get; }
ReadOnly Property RequiredPrivileges As String()
    Get
property array<String^>^ RequiredPrivileges {
    array<String^>^ get ();
}
abstract RequiredPrivileges : string[] with get

Property Value

Type: String
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.RequiredUserType Property

IMenuPageRequiredUserType Property

允许显示此页面的用户类型 例如typeof(IAmAdmin)

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
Type RequiredUserType { get; }
ReadOnly Property RequiredUserType As Type
    Get
property Type^ RequiredUserType {
    Type^ get ();
}
abstract RequiredUserType : Type with get

Property Value

Type: Type
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuPage.Url Property

IMenuPageUrl Property

Url地址

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Url { get; }
ReadOnly Property Url As String
    Get
property String^ Url {
    String^ get ();
}
abstract Url : string with get

Property Value

Type: String
See Also

Reference

IMenuPage Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuProvider Interface
菜单分组和菜单项的提供器接口 这个接口需要再次继承，请勿直接使用

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IMenuProvider
Public Interface IMenuProvider
public interface class IMenuProvider
type IMenuProvider =  interface end

The IMenuProvider type exposes the following members.

Methods
 | Name | Description
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuProvider Methods

The IMenuProvider type exposes the following members.

Methods
 | Name | Description
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

IMenuProvider Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


IMenuProvider.Setup Method

IMenuProviderSetup Method

设置显示的菜单项

Namespace: ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Setup(
    IList<MenuItemGroup> groups
)
Sub Setup (
    groups As IList(Of MenuItemGroup)
)
void Setup(
    IList<MenuItemGroup^>^ groups
)
abstract Setup :
        groups : IList<MenuItemGroup> -> unit

Parameters

groups
Type: System.Collections.GenericIList MenuItemGroup
菜单项分组列表
See Also

Reference

IMenuProvider Interface
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces Namespace


ZKWeb.Plugins.Common.PesudoStatic.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.PesudoStatic.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.PesudoStatic.src.Components |
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers |


ZKWeb.Plugins.Common.PesudoStatic.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.PesudoStatic.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs |
ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers |
ZKWeb.Plugins.Common.PesudoStatic.src.Components.PesudoStatic.Enums |
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates |
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters |


ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | PesudoStaticSettings | 伪静态设置


PesudoStaticSettings Class
伪静态设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigsPesudoStaticSettings

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PesudoStaticSettings
Public Class PesudoStaticSettings
public ref class PesudoStaticSettings
type PesudoStaticSettings =  class end

The PesudoStaticSettings type exposes the following members.

Constructors
 | Name | Description
Public method | PesudoStaticSettings | 初始化
Top
Properties
 | Name | Description
Public property | EnablePesudoStatic | 启用伪静态 默认启用
Public property | ExcludeUrlPaths | 排除的Url路径 在黑名单策略下生效
Public property | IncludeUrlPaths | 包含的Url路径 在白名单策略下生效
Public property | PesudoStaticExtension | 伪静态扩展名 默认".html"
Public property | PesudoStaticParamDelimiter | 伪静态参数分隔符 默认"."
Public property | PesudoStaticPolicy | 伪静态策略 默认黑名单策略
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PesudoStaticSettings()
Public Sub New
public:
PesudoStaticSettings()
new : unit -> PesudoStaticSettings
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings Properties

The PesudoStaticSettings type exposes the following members.

Properties
 | Name | Description
Public property | EnablePesudoStatic | 启用伪静态 默认启用
Public property | ExcludeUrlPaths | 排除的Url路径 在黑名单策略下生效
Public property | IncludeUrlPaths | 包含的Url路径 在白名单策略下生效
Public property | PesudoStaticExtension | 伪静态扩展名 默认".html"
Public property | PesudoStaticParamDelimiter | 伪静态参数分隔符 默认"."
Public property | PesudoStaticPolicy | 伪静态策略 默认黑名单策略
Top
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings.EnablePesudoStatic Property

PesudoStaticSettingsEnablePesudoStatic Property

启用伪静态 默认启用

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool EnablePesudoStatic { get; set; }
Public Property EnablePesudoStatic As Boolean
    Get
    Set
public:
property bool EnablePesudoStatic {
    bool get ();
    void set (bool value);
}
member EnablePesudoStatic : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings.ExcludeUrlPaths Property

PesudoStaticSettingsExcludeUrlPaths Property

排除的Url路径 在黑名单策略下生效

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SortedSet<string> ExcludeUrlPaths { get; set; }
Public Property ExcludeUrlPaths As SortedSet(Of String)
    Get
    Set
public:
property SortedSet<String^>^ ExcludeUrlPaths {
    SortedSet<String^>^ get ();
    void set (SortedSet<String^>^ value);
}
member ExcludeUrlPaths : SortedSet<string> with get, set

Property Value

Type: SortedSet String
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings.IncludeUrlPaths Property

PesudoStaticSettingsIncludeUrlPaths Property

包含的Url路径 在白名单策略下生效

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SortedSet<string> IncludeUrlPaths { get; set; }
Public Property IncludeUrlPaths As SortedSet(Of String)
    Get
    Set
public:
property SortedSet<String^>^ IncludeUrlPaths {
    SortedSet<String^>^ get ();
    void set (SortedSet<String^>^ value);
}
member IncludeUrlPaths : SortedSet<string> with get, set

Property Value

Type: SortedSet String
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings.PesudoStaticExtension Property

PesudoStaticSettingsPesudoStaticExtension Property

伪静态扩展名 默认".html"

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PesudoStaticExtension { get; set; }
Public Property PesudoStaticExtension As String
    Get
    Set
public:
property String^ PesudoStaticExtension {
    String^ get ();
    void set (String^ value);
}
member PesudoStaticExtension : string with get, set

Property Value

Type: String
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings.PesudoStaticParamDelimiter Property

PesudoStaticSettingsPesudoStaticParamDelimiter Property

伪静态参数分隔符 默认"."

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public char PesudoStaticParamDelimiter { get; set; }
Public Property PesudoStaticParamDelimiter As Char
    Get
    Set
public:
property wchar_t PesudoStaticParamDelimiter {
    wchar_t get ();
    void set (wchar_t value);
}
member PesudoStaticParamDelimiter : char with get, set

Property Value

Type: Char
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


PesudoStaticSettings.PesudoStaticPolicy Property

PesudoStaticSettingsPesudoStaticPolicy Property

伪静态策略 默认黑名单策略

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PesudoStaticPolicies PesudoStaticPolicy { get; set; }
Public Property PesudoStaticPolicy As PesudoStaticPolicies
    Get
    Set
public:
property PesudoStaticPolicies PesudoStaticPolicy {
    PesudoStaticPolicies get ();
    void set (PesudoStaticPolicies value);
}
member PesudoStaticPolicy : PesudoStaticPolicies with get, set

Property Value

Type: PesudoStaticPolicies
See Also

Reference

PesudoStaticSettings Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers"]

Classes
 | Class | Description
Public class | PesudoStaticHandlerWrapper | 伪静态使用的Http请求处理器 完整规则请查看"PesudoStaticUrlFilter"的说明


PesudoStaticHandlerWrapper Class
伪静态使用的Http请求处理器 完整规则请查看"PesudoStaticUrlFilter"的说明
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlersPesudoStaticHandlerWrapper

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PesudoStaticHandlerWrapper : IHttpRequestHandlerWrapper
Public Class PesudoStaticHandlerWrapper
    Implements IHttpRequestHandlerWrapper
public ref class PesudoStaticHandlerWrapper : IHttpRequestHandlerWrapper
type PesudoStaticHandlerWrapper =
    class
        interface IHttpRequestHandlerWrapper
    end

The PesudoStaticHandlerWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | PesudoStaticHandlerWrapper | Initializes a new instance of the PesudoStaticHandlerWrapper class
Top
Methods
 | Name | Description
Public method | WrapHandlerAction | 包装请求
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers Namespace


PesudoStaticHandlerWrapper Constructor

Initializes a new instance of the PesudoStaticHandlerWrapper class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PesudoStaticHandlerWrapper()
Public Sub New
public:
PesudoStaticHandlerWrapper()
new : unit -> PesudoStaticHandlerWrapper
See Also

Reference

PesudoStaticHandlerWrapper Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers Namespace


PesudoStaticHandlerWrapper Methods

The PesudoStaticHandlerWrapper type exposes the following members.

Methods
 | Name | Description
Public method | WrapHandlerAction | 包装请求
Top
See Also

Reference

PesudoStaticHandlerWrapper Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers Namespace


PesudoStaticHandlerWrapper.WrapHandlerAction Method

PesudoStaticHandlerWrapperWrapHandlerAction Method

包装请求

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Action WrapHandlerAction(
    Action action
)
Public Function WrapHandlerAction (
    action As Action
) As Action
public:
virtual Action^ WrapHandlerAction(
    Action^ action
) sealed
abstract WrapHandlerAction :
        action : Action -> Action
override WrapHandlerAction :
        action : Action -> Action

Parameters

action
Type: SystemAction
请求函数

Return Value

Type: Action

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers.PesudoStaticHandlerWrapper.WrapHandlerAction(System.Action)"]

Implements

IHttpRequestHandlerWrapper.WrapHandlerAction(Action)
See Also

Reference

PesudoStaticHandlerWrapper Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.HttpRequestHandlers Namespace


ZKWeb.Plugins.Common.PesudoStatic.src.Components.PesudoStatic.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.PesudoStatic.src.Components.PesudoStatic.Enums"]

Enumerations
 | Enumeration | Description
Public enumeration | PesudoStaticPolicies | 伪静态策略


PesudoStaticPolicies Enumeration
伪静态策略

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.PesudoStatic.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum PesudoStaticPolicies
Public Enumeration PesudoStaticPolicies
public enum class PesudoStaticPolicies
type PesudoStaticPolicies
Members
Member name | Value | Description
BlackListPolicy | 0 | 黑名单策略 除了排除的地址以外都启用伪静态
WhiteListPolicy | 1 | 白名单策略 只有包含的地址启用伪静态
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.PesudoStatic.Enums Namespace


ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.Translates Namespace


ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters"]

Classes
Class | Description
PesudoStaticUrlFilter | 伪静态使用的Url过滤器


PesudoStaticUrlFilter Class
伪静态使用的Url过滤器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFiltersPesudoStaticUrlFilter

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PesudoStaticUrlFilter : IUrlFilter
Public Class PesudoStaticUrlFilter
    Implements IUrlFilter
public ref class PesudoStaticUrlFilter : IUrlFilter
type PesudoStaticUrlFilter =
    class
        interface IUrlFilter
    end

The PesudoStaticUrlFilter type exposes the following members.

Constructors
 | Name | Description
Public method | PesudoStaticUrlFilter | Initializes a new instance of the PesudoStaticUrlFilter class
Top
Methods
 | Name | Description
Public method | Filter | 过滤Url
Top
Fields
Name | Description
IdParameterName | Id参数的名称 只支持小写的"id"
Top
Examples
规则 - 如果路径是空，跳过 - 如果路径是"/"，跳过 - 如果路径以"#"开始，跳过 - 如果路径包含"://"，跳过 - 如果路径已经有后缀名，跳过 - 如果路径的最后一段是空，跳过（以"/"结束时） - 如果伪静态未启用，跳过 - 如果路径的最后一段包含分隔符，跳过 - 判断伪静态策略 - 黑名单策略: 如果路径在排除路径中，跳过 - 白名单策略: 如果路径不在包括路径中，跳过 - 路径规则 - 无参数时: {原始路径}{后缀名} - 只有id参数时: {原始路径}{分隔符}{id}{后缀名} - 包含其他参数时: {原始路径}{分隔符}({参数名称}{分隔符}{参数值}...){后缀名} - 如果路径中的参数或它的值包含分隔符，该参数不参与到伪静态路径中 - 如果路径中的参数或它的值经过url编码后和原值不一致，该参数不参与到伪静态路径中 - 这样做的原因是服务器会允许参数中有经过编码后的特殊字符 - 但不允许路径中有经过编码后的特殊字符，或双重编码 示例 / => / /user/login => /user/login.html /example/view?id=1 => /example/view.1.html /example/list?tag=123＆class=158 => /example/list.tag.123.class.158.html /example/list?key=1-1＆class=123 => /example/list.class.123.html?key=1-1
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace


PesudoStaticUrlFilter Constructor

Initializes a new instance of the PesudoStaticUrlFilter class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PesudoStaticUrlFilter()
Public Sub New
public:
PesudoStaticUrlFilter()
new : unit -> PesudoStaticUrlFilter
See Also

Reference

PesudoStaticUrlFilter Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace


PesudoStaticUrlFilter Methods

The PesudoStaticUrlFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | 过滤Url
Top
See Also

Reference

PesudoStaticUrlFilter Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace


PesudoStaticUrlFilter.Filter Method

PesudoStaticUrlFilterFilter Method

过滤Url

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Filter(
    ref string url
)
Public Sub Filter (
    ByRef url As String
)
public:
virtual void Filter(
    String^% url
) sealed
abstract Filter :
        url : string byref -> unit
override Filter :
        url : string byref -> unit

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters.PesudoStaticUrlFilter.Filter(System.String@)"]

Implements

IUrlFilterFilter(String)
See Also

Reference

PesudoStaticUrlFilter Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace


PesudoStaticUrlFilter Fields

The PesudoStaticUrlFilter type exposes the following members.

Fields
Name | Description
IdParameterName | Id参数的名称 只支持小写的"id"
Top
See Also

Reference

PesudoStaticUrlFilter Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace


PesudoStaticUrlFilter.IdParameterName Field

PesudoStaticUrlFilterIdParameterName Field
Id参数的名称 只支持小写的"id"

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string IdParameterName = "id"
Public Const IdParameterName As String = "id"
public:
literal String^ IdParameterName = "id"
static val mutable IdParameterName: string

Field Value

Type: String
See Also

Reference

PesudoStaticUrlFilter Class
ZKWeb.Plugins.Common.PesudoStatic.src.Components.UrlFilters Namespace


ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers"]

Classes
 | Class | Description
Public class | PesudoStaticSettingsController | 伪静态设置
Public class | PesudoStaticSettingsControllerForm | 表单


PesudoStaticSettingsController Class
伪静态设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.PesudoStatic.src.ControllersPesudoStaticSettingsController

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PesudoStaticSettingsController : FormAdminSettingsControllerBase
Public Class PesudoStaticSettingsController
    Inherits FormAdminSettingsControllerBase
public ref class PesudoStaticSettingsController : public FormAdminSettingsControllerBase
type PesudoStaticSettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The PesudoStaticSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | PesudoStaticSettingsController | Initializes a new instance of the PesudoStaticSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController Constructor

Initializes a new instance of the PesudoStaticSettingsController class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PesudoStaticSettingsController()
Public Sub New
public:
PesudoStaticSettingsController()
new : unit -> PesudoStaticSettingsController
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController Properties

The PesudoStaticSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Group Property

PesudoStaticSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.Group"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.GroupIconClass Property

PesudoStaticSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.IconClass Property

PesudoStaticSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Name Property

PesudoStaticSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.Name"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Privilege Property

PesudoStaticSettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Url Property

PesudoStaticSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.Url"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController Methods

The PesudoStaticSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.GetForm Method

PesudoStaticSettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.GetForm"]

See Also

Reference

PesudoStaticSettingsController Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form Class

PesudoStaticSettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.PesudoStatic.src.ControllersPesudoStaticSettingsControllerForm

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The PesudoStaticSettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | PesudoStaticSettingsControllerForm | Initializes a new instance of the PesudoStaticSettingsControllerForm class
Top
Properties
 | Name | Description
Public property | EnablePesudoStatic | 启用伪静态
Public property | ExcludeUrlPaths | 排除的Url路径 一行一个，仅在黑名单策略下生效
Public property | IncludeUrlPaths | 包含的Url路径 一行一个，仅在白名单策略下生效
Public property | PesudoStaticExtension | 伪静态扩展名
Public property | PesudoStaticParamDelimiter | 伪静态参数分隔符
Public property | PesudoStaticPolicy | 伪静态策略
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form Constructor

PesudoStaticSettingsControllerForm Constructor

Initializes a new instance of the PesudoStaticSettingsControllerForm class

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


Form Properties

The PesudoStaticSettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | EnablePesudoStatic | 启用伪静态
Public property | ExcludeUrlPaths | 排除的Url路径 一行一个，仅在黑名单策略下生效
Public property | IncludeUrlPaths | 包含的Url路径 一行一个，仅在白名单策略下生效
Public property | PesudoStaticExtension | 伪静态扩展名
Public property | PesudoStaticParamDelimiter | 伪静态参数分隔符
Public property | PesudoStaticPolicy | 伪静态策略
Top
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.EnablePesudoStatic Property

PesudoStaticSettingsControllerFormEnablePesudoStatic Property

启用伪静态

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool EnablePesudoStatic { get; set; }
Public Property EnablePesudoStatic As Boolean
    Get
    Set
public:
property bool EnablePesudoStatic {
    bool get ();
    void set (bool value);
}
member EnablePesudoStatic : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.ExcludeUrlPaths Property

PesudoStaticSettingsControllerFormExcludeUrlPaths Property

排除的Url路径 一行一个，仅在黑名单策略下生效

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ExcludeUrlPaths { get; set; }
Public Property ExcludeUrlPaths As String
    Get
    Set
public:
property String^ ExcludeUrlPaths {
    String^ get ();
    void set (String^ value);
}
member ExcludeUrlPaths : string with get, set

Property Value

Type: String
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.IncludeUrlPaths Property

PesudoStaticSettingsControllerFormIncludeUrlPaths Property

包含的Url路径 一行一个，仅在白名单策略下生效

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string IncludeUrlPaths { get; set; }
Public Property IncludeUrlPaths As String
    Get
    Set
public:
property String^ IncludeUrlPaths {
    String^ get ();
    void set (String^ value);
}
member IncludeUrlPaths : string with get, set

Property Value

Type: String
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.PesudoStaticExtension Property

PesudoStaticSettingsControllerFormPesudoStaticExtension Property

伪静态扩展名

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PesudoStaticExtension { get; set; }
Public Property PesudoStaticExtension As String
    Get
    Set
public:
property String^ PesudoStaticExtension {
    String^ get ();
    void set (String^ value);
}
member PesudoStaticExtension : string with get, set

Property Value

Type: String
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.PesudoStaticParamDelimiter Property

PesudoStaticSettingsControllerFormPesudoStaticParamDelimiter Property

伪静态参数分隔符

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PesudoStaticParamDelimiter { get; set; }
Public Property PesudoStaticParamDelimiter As String
    Get
    Set
public:
property String^ PesudoStaticParamDelimiter {
    String^ get ();
    void set (String^ value);
}
member PesudoStaticParamDelimiter : string with get, set

Property Value

Type: String
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.PesudoStaticPolicy Property

PesudoStaticSettingsControllerFormPesudoStaticPolicy Property

伪静态策略

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PesudoStaticPolicies PesudoStaticPolicy { get; set; }
Public Property PesudoStaticPolicy As PesudoStaticPolicies
    Get
    Set
public:
property PesudoStaticPolicies PesudoStaticPolicy {
    PesudoStaticPolicies get ();
    void set (PesudoStaticPolicies value);
}
member PesudoStaticPolicy : PesudoStaticPolicies with get, set

Property Value

Type: PesudoStaticPolicies
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


Form Methods

The PesudoStaticSettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.OnBind Method

PesudoStaticSettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


PesudoStaticSettingsController.Form.OnSubmit Method

PesudoStaticSettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.PesudoStatic.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.PesudoStatic.src.Controllers.PesudoStaticSettingsController.Form.OnSubmit"]

See Also

Reference

PesudoStaticSettingsControllerForm Class
ZKWeb.Plugins.Common.PesudoStatic.src.Controllers Namespace


ZKWeb.Plugins.Common.QRCoder Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.QRCoder"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.QRCoder.src |
ZKWeb.Plugins.Common.QRCoder.src.Components.Translates |
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags |


ZKWeb.Plugins.Common.QRCoder.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.QRCoder.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.QRCoder.srcPlugin

Namespace: ZKWeb.Plugins.Common.QRCoder.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.QRCoder.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Common.QRCoder.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Common.QRCoder.src Namespace


ZKWeb.Plugins.Common.QRCoder.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.QRCoder.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.QRCoder.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.QRCoder.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.QRCoder.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.QRCoder.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.QRCoder.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.QRCoder.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.QRCoder.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.QRCoder.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.QRCoder.src.Components.Translates Namespace


ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags"]

Classes
Class | Description
QRCode | 二维码


QRCode Class
二维码
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTagsQRCode

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class QRCode : Tag
Public Class QRCode
    Inherits Tag
public ref class QRCode : public Tag
type QRCode =
    class
        inherit Tag
    end

The QRCode type exposes the following members.

Constructors
 | Name | Description
Public method | QRCode | Initializes a new instance of the QRCode class
Top
Properties
 | Name | Description
Public property | ECCLevel | ECC等级
Public property | PixelsPerModule | 二维码密度
Public property | Url | Url地址
Top
Methods
 | Name | Description
Public method | Initialize | 初始化 (Overrides Tag.Initialize(String, String, ListString).)
Public method | Render | 描画二维码图片 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
DefaultPixelsPerModule | 默认的二维码密度
ImgHtmlFormat | 图片的Html格式
Top
Examples
{% qrcode "/login" %}
{% qrcode "/login", "Q" %}
{% qrcode "/login", "Q", 20 %}
See Also

Reference

ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode Constructor

Initializes a new instance of the QRCode class

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public QRCode()
Public Sub New
public:
QRCode()
new : unit -> QRCode
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode Properties

The QRCode type exposes the following members.

Properties
 | Name | Description
Public property | ECCLevel | ECC等级
Public property | PixelsPerModule | 二维码密度
Public property | Url | Url地址
Top
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.ECCLevel Property

QRCodeECCLevel Property

ECC等级

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ECCLevel { get; set; }
Public Property ECCLevel As String
    Get
    Set
public:
property String^ ECCLevel {
    String^ get ();
    void set (String^ value);
}
member ECCLevel : string with get, set

Property Value

Type: String
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.PixelsPerModule Property

QRCodePixelsPerModule Property

二维码密度

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PixelsPerModule { get; set; }
Public Property PixelsPerModule As String
    Get
    Set
public:
property String^ PixelsPerModule {
    String^ get ();
    void set (String^ value);
}
member PixelsPerModule : string with get, set

Property Value

Type: String
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.Url Property

QRCodeUrl Property

Url地址

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode Methods

The QRCode type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | 初始化 (Overrides Tag.Initialize(String, String, ListString).)
Public method | Render | 描画二维码图片 (Overrides Tag.Render(Context, TextWriter).)
Top
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.Initialize Method

QRCodeInitialize Method

初始化

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Initialize(
    string tagName,
    string markup,
    List<string> tokens
)
Public Overrides Sub Initialize (
    tagName As String,
    markup As String,
    tokens As List(Of String)
)
public:
virtual void Initialize(
    String^ tagName,
    String^ markup,
    List<String^>^ tokens
) override
abstract Initialize :
        tagName : string *
        markup : string *
        tokens : List<string> -> unit
override Initialize :
        tagName : string *
        markup : string *
        tokens : List<string> -> unit

Parameters

tagName
Type: SystemString

[Missing <param name="tagName"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags.QRCode.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

markup
Type: SystemString

[Missing <param name="markup"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags.QRCode.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

tokens
Type: System.Collections.GenericList String

[Missing <param name="tokens"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags.QRCode.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.Render Method

QRCodeRender Method

描画二维码图片

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags.QRCode.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags.QRCode.Render(DotLiquid.Context,System.IO.TextWriter)"]

See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode Fields

The QRCode type exposes the following members.

Fields
Name | Description
DefaultPixelsPerModule | 默认的二维码密度
ImgHtmlFormat | 图片的Html格式
Top
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.DefaultPixelsPerModule Field

QRCodeDefaultPixelsPerModule Field
默认的二维码密度

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int DefaultPixelsPerModule = 20
Public Const DefaultPixelsPerModule As Integer = 20
public:
literal int DefaultPixelsPerModule = 20
static val mutable DefaultPixelsPerModule: int

Field Value

Type: Int32
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


QRCode.ImgHtmlFormat Field

QRCodeImgHtmlFormat Field
图片的Html格式

Namespace: ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ImgHtmlFormat = "<img src='data:image/png;base64,{0}' alt='' style='width: 100%; height: 100%;' />"
Public Const ImgHtmlFormat As String = "<img src='data:image/png;base64,{0}' alt='' style='width: 100%; height: 100%;' />"
public:
literal String^ ImgHtmlFormat = "<img src='data:image/png;base64,{0}' alt='' style='width: 100%; height: 100%;' />"
static val mutable ImgHtmlFormat: string

Field Value

Type: String
See Also

Reference

QRCode Class
ZKWeb.Plugins.Common.QRCoder.src.UIComponents.TemplateTags Namespace


ZKWeb.Plugins.Common.Region.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Region.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Region.src.Components |
ZKWeb.Plugins.Common.Region.src.Controllers |
ZKWeb.Plugins.Common.Region.src.Domain.Services |
ZKWeb.Plugins.Common.Region.src.Extensions |
ZKWeb.Plugins.Common.Region.src.UIComponents |


ZKWeb.Plugins.Common.Region.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Region.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Region.src.Components.Countries |
ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs |
ZKWeb.Plugins.Common.Region.src.Components.Regions |
ZKWeb.Plugins.Common.Region.src.Components.Translates |


ZKWeb.Plugins.Common.Region.src.Components.Countries Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Region.src.Components.Countries"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Region.src.Components.Countries |
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases |


ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Components.Countries"]

Classes
 | Class | Description
Public class | AE | 阿联酋
Public class | CN | 中国
Public class | CZ | 捷克
Public class | DE | 德国
Public class | ES | 西班牙
Public class | FR | 法国
Public class | GB | 英国
Public class | GR | 希腊
Public class | HK | 香港特别行政区
Public class | IT | 意大利
Public class | JP | 日本
Public class | KR | 韩国
Public class | PL | 波兰
Public class | RU | 俄罗斯
Public class | TH | 泰国
Public class | TW | 台湾
Public class | US | 美国


AE Class
阿联酋
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesAE

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AE : Country
Public Class AE
    Inherits Country
public ref class AE : public Country
type AE =
    class
        inherit Country
    end

The AE type exposes the following members.

Constructors
 | Name | Description
Public method | AE | Initializes a new instance of the AE class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


AE Constructor

Initializes a new instance of the AE class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AE()
Public Sub New
public:
AE()
new : unit -> AE
See Also

Reference

AE Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


AE Properties

The AE type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

AE Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


AE.Name Property

AEName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.AE.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

AE Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CN Class
中国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesCN

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CN : Country
Public Class CN
    Inherits Country
public ref class CN : public Country
type CN =
    class
        inherit Country
    end

The CN type exposes the following members.

Constructors
 | Name | Description
Public method | CN | Initializes a new instance of the CN class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CN Constructor

Initializes a new instance of the CN class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CN()
Public Sub New
public:
CN()
new : unit -> CN
See Also

Reference

CN Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CN Properties

The CN type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

CN Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CN.Name Property

CNName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.CN.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

CN Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CZ Class
捷克
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesCZ

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CZ : Country
Public Class CZ
    Inherits Country
public ref class CZ : public Country
type CZ =
    class
        inherit Country
    end

The CZ type exposes the following members.

Constructors
 | Name | Description
Public method | CZ | Initializes a new instance of the CZ class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CZ Constructor

Initializes a new instance of the CZ class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CZ()
Public Sub New
public:
CZ()
new : unit -> CZ
See Also

Reference

CZ Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CZ Properties

The CZ type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

CZ Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


CZ.Name Property

CZName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.CZ.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

CZ Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


DE Class
德国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesDE

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DE : Country
Public Class DE
    Inherits Country
public ref class DE : public Country
type DE =
    class
        inherit Country
    end

The DE type exposes the following members.

Constructors
 | Name | Description
Public method | DE | Initializes a new instance of the DE class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


DE Constructor

Initializes a new instance of the DE class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DE()
Public Sub New
public:
DE()
new : unit -> DE
See Also

Reference

DE Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


DE Properties

The DE type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

DE Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


DE.Name Property

DEName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.DE.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

DE Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


ES Class
西班牙
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesES

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ES : Country
Public Class ES
    Inherits Country
public ref class ES : public Country
type ES =
    class
        inherit Country
    end

The ES type exposes the following members.

Constructors
 | Name | Description
Public method | ES | Initializes a new instance of the ES class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


ES Constructor

Initializes a new instance of the ES class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ES()
Public Sub New
public:
ES()
new : unit -> ES
See Also

Reference

ES Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


ES Properties

The ES type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ES Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


ES.Name Property

ESName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.ES.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

ES Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


FR Class
法国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesFR

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class FR : Country
Public Class FR
    Inherits Country
public ref class FR : public Country
type FR =
    class
        inherit Country
    end

The FR type exposes the following members.

Constructors
 | Name | Description
Public method | FR | Initializes a new instance of the FR class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


FR Constructor

Initializes a new instance of the FR class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public FR()
Public Sub New
public:
FR()
new : unit -> FR
See Also

Reference

FR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


FR Properties

The FR type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

FR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


FR.Name Property

FRName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.FR.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

FR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GB Class
英国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesGB

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GB : Country
Public Class GB
    Inherits Country
public ref class GB : public Country
type GB =
    class
        inherit Country
    end

The GB type exposes the following members.

Constructors
 | Name | Description
Public method | GB | Initializes a new instance of the GB class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GB Constructor

Initializes a new instance of the GB class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GB()
Public Sub New
public:
GB()
new : unit -> GB
See Also

Reference

GB Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GB Properties

The GB type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

GB Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GB.Name Property

GBName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.GB.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

GB Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GR Class
希腊
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesGR

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class GR : Country
Public Class GR
    Inherits Country
public ref class GR : public Country
type GR =
    class
        inherit Country
    end

The GR type exposes the following members.

Constructors
 | Name | Description
Public method | GR | Initializes a new instance of the GR class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GR Constructor

Initializes a new instance of the GR class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public GR()
Public Sub New
public:
GR()
new : unit -> GR
See Also

Reference

GR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GR Properties

The GR type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

GR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


GR.Name Property

GRName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.GR.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

GR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


HK Class
香港特别行政区
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesHK

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class HK : Country
Public Class HK
    Inherits Country
public ref class HK : public Country
type HK =
    class
        inherit Country
    end

The HK type exposes the following members.

Constructors
 | Name | Description
Public method | HK | Initializes a new instance of the HK class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


HK Constructor

Initializes a new instance of the HK class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HK()
Public Sub New
public:
HK()
new : unit -> HK
See Also

Reference

HK Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


HK Properties

The HK type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

HK Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


HK.Name Property

HKName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.HK.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

HK Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


IT Class
意大利
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesIT

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class IT : Country
Public Class IT
    Inherits Country
public ref class IT : public Country
type IT =
    class
        inherit Country
    end

The IT type exposes the following members.

Constructors
 | Name | Description
Public method | IT | Initializes a new instance of the IT class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


IT Constructor

Initializes a new instance of the IT class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IT()
Public Sub New
public:
IT()
new : unit -> IT
See Also

Reference

IT Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


IT Properties

The IT type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

IT Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


IT.Name Property

ITName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.IT.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

IT Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


JP Class
日本
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesJP

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class JP : Country
Public Class JP
    Inherits Country
public ref class JP : public Country
type JP =
    class
        inherit Country
    end

The JP type exposes the following members.

Constructors
 | Name | Description
Public method | JP | Initializes a new instance of the JP class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


JP Constructor

Initializes a new instance of the JP class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public JP()
Public Sub New
public:
JP()
new : unit -> JP
See Also

Reference

JP Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


JP Properties

The JP type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

JP Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


JP.Name Property

JPName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.JP.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

JP Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


KR Class
韩国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesKR

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class KR : Country
Public Class KR
    Inherits Country
public ref class KR : public Country
type KR =
    class
        inherit Country
    end

The KR type exposes the following members.

Constructors
 | Name | Description
Public method | KR | Initializes a new instance of the KR class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


KR Constructor

Initializes a new instance of the KR class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public KR()
Public Sub New
public:
KR()
new : unit -> KR
See Also

Reference

KR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


KR Properties

The KR type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

KR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


KR.Name Property

KRName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.KR.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

KR Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


PL Class
波兰
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesPL

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PL : Country
Public Class PL
    Inherits Country
public ref class PL : public Country
type PL =
    class
        inherit Country
    end

The PL type exposes the following members.

Constructors
 | Name | Description
Public method | PL | Initializes a new instance of the PL class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


PL Constructor

Initializes a new instance of the PL class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PL()
Public Sub New
public:
PL()
new : unit -> PL
See Also

Reference

PL Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


PL Properties

The PL type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

PL Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


PL.Name Property

PLName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.PL.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

PL Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


RU Class
俄罗斯
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesRU

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RU : Country
Public Class RU
    Inherits Country
public ref class RU : public Country
type RU =
    class
        inherit Country
    end

The RU type exposes the following members.

Constructors
 | Name | Description
Public method | RU | Initializes a new instance of the RU class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


RU Constructor

Initializes a new instance of the RU class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RU()
Public Sub New
public:
RU()
new : unit -> RU
See Also

Reference

RU Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


RU Properties

The RU type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

RU Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


RU.Name Property

RUName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.RU.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

RU Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TH Class
泰国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesTH

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TH : Country
Public Class TH
    Inherits Country
public ref class TH : public Country
type TH =
    class
        inherit Country
    end

The TH type exposes the following members.

Constructors
 | Name | Description
Public method | TH | Initializes a new instance of the TH class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TH Constructor

Initializes a new instance of the TH class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TH()
Public Sub New
public:
TH()
new : unit -> TH
See Also

Reference

TH Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TH Properties

The TH type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

TH Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TH.Name Property

THName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.TH.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

TH Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TW Class
台湾
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesTW

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TW : Country
Public Class TW
    Inherits Country
public ref class TW : public Country
type TW =
    class
        inherit Country
    end

The TW type exposes the following members.

Constructors
 | Name | Description
Public method | TW | Initializes a new instance of the TW class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TW Constructor

Initializes a new instance of the TW class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TW()
Public Sub New
public:
TW()
new : unit -> TW
See Also

Reference

TW Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TW Properties

The TW type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

TW Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


TW.Name Property

TWName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.TW.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

TW Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


US Class
美国
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesUS

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class US : Country
Public Class US
    Inherits Country
public ref class US : public Country
type US =
    class
        inherit Country
    end

The US type exposes the following members.

Constructors
 | Name | Description
Public method | US | Initializes a new instance of the US class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


US Constructor

Initializes a new instance of the US class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public US()
Public Sub New
public:
US()
new : unit -> US
See Also

Reference

US Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


US Properties

The US type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CountryName.)
Top
See Also

Reference

US Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


US.Name Property

USName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Components.Countries.US.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String
See Also

Reference

US Class
ZKWeb.Plugins.Common.Region.src.Components.Countries Namespace


ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases"]

Classes
Class | Description
Country | 国家/行政区 注册时请使用使用SingletonReuse，以支持在其他插件添加地区


Country Class
国家/行政区 注册时请使用使用SingletonReuse，以支持在其他插件添加地区
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
More...

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class Country : ICacheCleaner
Public MustInherit Class Country
    Implements ICacheCleaner
public ref class Country abstract : ICacheCleaner
[<AbstractClassAttribute>]
type Country =
    class
        interface ICacheCleaner
    end

The Country type exposes the following members.

Constructors
 | Name | Description
Public method | Country | 初始化
Top
Properties
 | Name | Description
Public property | Name | 国家名称 格式是两位大写英文（ISO 3166） 储存时请以这个成员为准
Protected property | RegionsCache | 地区列表的缓存
Protected property | RegionsTreeCache | 地区树的缓存
Protected property | RegionsTreeNodeCache | 地区Id到地区树节点的缓存
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetRegions | 获取地区列表
Public method | GetRegionsTree | 获取地区树
Public method | GetRegionsTreeNode | 根据地区Id获取地区的树节点，找不到时返回null
Top
Examples
[ExportMany, SingletonReuse] public class China : Country { }
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Countries.BasesCountry
ZKWeb.Plugins.Common.Region.src.Components.CountriesAE
ZKWeb.Plugins.Common.Region.src.Components.CountriesCN
ZKWeb.Plugins.Common.Region.src.Components.CountriesCZ
ZKWeb.Plugins.Common.Region.src.Components.CountriesDE
ZKWeb.Plugins.Common.Region.src.Components.CountriesES
ZKWeb.Plugins.Common.Region.src.Components.CountriesFR
ZKWeb.Plugins.Common.Region.src.Components.CountriesGB
ZKWeb.Plugins.Common.Region.src.Components.CountriesGR
ZKWeb.Plugins.Common.Region.src.Components.CountriesHK
ZKWeb.Plugins.Common.Region.src.Components.CountriesIT
ZKWeb.Plugins.Common.Region.src.Components.CountriesJP
ZKWeb.Plugins.Common.Region.src.Components.CountriesKR
ZKWeb.Plugins.Common.Region.src.Components.CountriesPL
ZKWeb.Plugins.Common.Region.src.Components.CountriesRU
ZKWeb.Plugins.Common.Region.src.Components.CountriesTH
ZKWeb.Plugins.Common.Region.src.Components.CountriesTW
ZKWeb.Plugins.Common.Region.src.Components.CountriesUS


Country Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Country()
Public Sub New
public:
Country()
new : unit -> Country
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country Properties

The Country type exposes the following members.

Properties
 | Name | Description
Public property | Name | 国家名称 格式是两位大写英文（ISO 3166） 储存时请以这个成员为准
Protected property | RegionsCache | 地区列表的缓存
Protected property | RegionsTreeCache | 地区树的缓存
Protected property | RegionsTreeNodeCache | 地区Id到地区树节点的缓存
Top
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.Name Property

CountryName Property

国家名称 格式是两位大写英文（ISO 3166） 储存时请以这个成员为准

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Name { get; }
Public MustOverride ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () abstract;
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.RegionsCache Property

CountryRegionsCache Property

地区列表的缓存

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected LazyCache<List<Region>> RegionsCache { get; set; }
Protected Property RegionsCache As LazyCache(Of List(Of Region))
    Get
    Set
protected:
property LazyCache<List<Region^>^>^ RegionsCache {
    LazyCache<List<Region^>^>^ get ();
    void set (LazyCache<List<Region^>^>^ value);
}
member RegionsCache : LazyCache<List<Region>> with get, set

Property Value

Type: LazyCacheList Region
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.RegionsTreeCache Property

CountryRegionsTreeCache Property

地区树的缓存

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected LazyCache<ITreeNode<Region>> RegionsTreeCache { get; set; }
Protected Property RegionsTreeCache As LazyCache(Of ITreeNode(Of Region))
    Get
    Set
protected:
property LazyCache<ITreeNode<Region^>^>^ RegionsTreeCache {
    LazyCache<ITreeNode<Region^>^>^ get ();
    void set (LazyCache<ITreeNode<Region^>^>^ value);
}
member RegionsTreeCache : LazyCache<ITreeNode<Region>> with get, set

Property Value

Type: LazyCacheITreeNodeRegion
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.RegionsTreeNodeCache Property

CountryRegionsTreeNodeCache Property

地区Id到地区树节点的缓存

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected LazyCache<Dictionary<long, ITreeNode<Region>>> RegionsTreeNodeCache { get; set; }
Protected Property RegionsTreeNodeCache As LazyCache(Of Dictionary(Of Long, ITreeNode(Of Region)))
    Get
    Set
protected:
property LazyCache<Dictionary<long long, ITreeNode<Region^>^>^>^ RegionsTreeNodeCache {
    LazyCache<Dictionary<long long, ITreeNode<Region^>^>^>^ get ();
    void set (LazyCache<Dictionary<long long, ITreeNode<Region^>^>^>^ value);
}
member RegionsTreeNodeCache : LazyCache<Dictionary<int64, ITreeNode<Region>>> with get, set

Property Value

Type: LazyCacheDictionary Int64, ITreeNodeRegion
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country Methods

The Country type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetRegions | 获取地区列表
Public method | GetRegionsTree | 获取地区树
Public method | GetRegionsTreeNode | 根据地区Id获取地区的树节点，找不到时返回null
Top
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.ClearCache Method

CountryClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.GetRegions Method

CountryGetRegions Method

获取地区列表

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Region> GetRegions()
Public Overridable Function GetRegions As IList(Of Region)
public:
virtual IList<Region^>^ GetRegions()
abstract GetRegions : unit -> IList<Region>
override GetRegions : unit -> IList<Region>

Return Value

Type: IList Region

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases.Country.GetRegions"]

See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.GetRegionsTree Method

CountryGetRegionsTree Method

获取地区树

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ITreeNode<Region> GetRegionsTree()
Public Overridable Function GetRegionsTree As ITreeNode(Of Region)
public:
virtual ITreeNode<Region^>^ GetRegionsTree()
abstract GetRegionsTree : unit -> ITreeNode<Region>
override GetRegionsTree : unit -> ITreeNode<Region>

Return Value

Type: ITreeNodeRegion

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases.Country.GetRegionsTree"]

See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


Country.GetRegionsTreeNode Method

CountryGetRegionsTreeNode Method

根据地区Id获取地区的树节点，找不到时返回null

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ITreeNode<Region> GetRegionsTreeNode(
    long regionId
)
Public Overridable Function GetRegionsTreeNode (
    regionId As Long
) As ITreeNode(Of Region)
public:
virtual ITreeNode<Region^>^ GetRegionsTreeNode(
    long long regionId
)
abstract GetRegionsTreeNode :
        regionId : int64 -> ITreeNode<Region>
override GetRegionsTreeNode :
        regionId : int64 -> ITreeNode<Region>

Parameters

regionId
Type: SystemInt64
地区Id

Return Value

Type: ITreeNodeRegion

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases.Country.GetRegionsTreeNode(System.Int64)"]

See Also

Reference

Country Class
ZKWeb.Plugins.Common.Region.src.Components.Countries.Bases Namespace


ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | RegionSettings | 地区设置


RegionSettings Class
地区设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.GenericConfigsRegionSettings

Namespace: ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegionSettings
Public Class RegionSettings
public ref class RegionSettings
type RegionSettings =  class end

The RegionSettings type exposes the following members.

Constructors
 | Name | Description
Public method | RegionSettings | 初始化
Top
Properties
 | Name | Description
Public property | DefaultCountry | 默认国家/行政区
Public property | DisplayCountryDropdown | 是否显示国家下拉框
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs Namespace


RegionSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegionSettings()
Public Sub New
public:
RegionSettings()
new : unit -> RegionSettings
See Also

Reference

RegionSettings Class
ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs Namespace


RegionSettings Properties

The RegionSettings type exposes the following members.

Properties
 | Name | Description
Public property | DefaultCountry | 默认国家/行政区
Public property | DisplayCountryDropdown | 是否显示国家下拉框
Top
See Also

Reference

RegionSettings Class
ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs Namespace


RegionSettings.DefaultCountry Property

RegionSettingsDefaultCountry Property

默认国家/行政区

Namespace: ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultCountry { get; set; }
Public Property DefaultCountry As String
    Get
    Set
public:
property String^ DefaultCountry {
    String^ get ();
    void set (String^ value);
}
member DefaultCountry : string with get, set

Property Value

Type: String
See Also

Reference

RegionSettings Class
ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs Namespace


RegionSettings.DisplayCountryDropdown Property

RegionSettingsDisplayCountryDropdown Property

是否显示国家下拉框

Namespace: ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DisplayCountryDropdown { get; set; }
Public Property DisplayCountryDropdown As Boolean
    Get
    Set
public:
property bool DisplayCountryDropdown {
    bool get ();
    void set (bool value);
}
member DisplayCountryDropdown : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RegionSettings Class
ZKWeb.Plugins.Common.Region.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Components.Regions"]

Classes
 | Class | Description
Public class | CountryAndRegion | 国家和地区 地区联动下拉框使用
Public class | Region | 地区 这个对象中的值生成后不应该修改


CountryAndRegion Class
国家和地区 地区联动下拉框使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.RegionsCountryAndRegion

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CountryAndRegion
Public Class CountryAndRegion
public ref class CountryAndRegion
type CountryAndRegion =  class end

The CountryAndRegion type exposes the following members.

Constructors
 | Name | Description
Public method | CountryAndRegion | 初始化
Public method | CountryAndRegion(String, NullableInt64) | 初始化
Top
Properties
 | Name | Description
Public property | Country | 国家
Public property | RegionId | 地区Id
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


CountryAndRegion Constructor

Overload List
 | Name | Description
Public method | CountryAndRegion | 初始化
Public method | CountryAndRegion(String, NullableInt64) | 初始化
Top
See Also

Reference

CountryAndRegion Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


CountryAndRegion Constructor

初始化

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountryAndRegion()
Public Sub New
public:
CountryAndRegion()
new : unit -> CountryAndRegion
See Also

Reference

CountryAndRegion Class
CountryAndRegion Overload
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


CountryAndRegion Constructor (String, Nullable(Int64))

CountryAndRegion Constructor (String, NullableInt64)
初始化

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountryAndRegion(
    string country,
    Nullable<long> regionId
)
Public Sub New (
    country As String,
    regionId As Nullable(Of Long)
)
public:
CountryAndRegion(
    String^ country,
    Nullable<long long> regionId
)
new :
        country : string *
        regionId : Nullable<int64> -> CountryAndRegion

Parameters

country
Type: SystemString
国家Id
regionId
Type: SystemNullable Int64
地区Id
See Also

Reference

CountryAndRegion Class
CountryAndRegion Overload
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


CountryAndRegion Properties

The CountryAndRegion type exposes the following members.

Properties
 | Name | Description
Public property | Country | 国家
Public property | RegionId | 地区Id
Top
See Also

Reference

CountryAndRegion Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


CountryAndRegion.Country Property

CountryAndRegionCountry Property

国家

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Country { get; set; }
Public Property Country As String
    Get
    Set
public:
property String^ Country {
    String^ get ();
    void set (String^ value);
}
member Country : string with get, set

Property Value

Type: String
See Also

Reference

CountryAndRegion Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


CountryAndRegion.RegionId Property

CountryAndRegionRegionId Property

地区Id

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> RegionId { get; set; }
Public Property RegionId As Nullable(Of Long)
    Get
    Set
public:
property Nullable<long long> RegionId {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
member RegionId : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

CountryAndRegion Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


Region Class
地区 这个对象中的值生成后不应该修改
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.RegionsRegion

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Region
Public Class Region
public ref class Region
type Region =  class end

The Region type exposes the following members.

Constructors
 | Name | Description
Public method | Region | Initializes a new instance of the Region class
Top
Properties
 | Name | Description
Public property | Id | 地区Id
Public property | Name | 地区名称
Public property | ParentId | 上级地区的Id，没有时等于0
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


Region Constructor

Initializes a new instance of the Region class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Region()
Public Sub New
public:
Region()
new : unit -> Region
See Also

Reference

Region Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


Region Properties

The Region type exposes the following members.

Properties
 | Name | Description
Public property | Id | 地区Id
Public property | Name | 地区名称
Public property | ParentId | 上级地区的Id，没有时等于0
Top
See Also

Reference

Region Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


Region.Id Property

RegionId Property

地区Id

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long Id { get; set; }
Public Property Id As Long
    Get
    Set
public:
property long long Id {
    long long get ();
    void set (long long value);
}
member Id : int64 with get, set

Property Value

Type: Int64
See Also

Reference

Region Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


Region.Name Property

RegionName Property

地区名称

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

Region Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


Region.ParentId Property

RegionParentId Property

上级地区的Id，没有时等于0

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Regions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ParentId { get; set; }
Public Property ParentId As Long
    Get
    Set
public:
property long long ParentId {
    long long get ();
    void set (long long value);
}
member ParentId : int64 with get, set

Property Value

Type: Int64
See Also

Reference

Region Class
ZKWeb.Plugins.Common.Region.src.Components.Regions Namespace


ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Components.Translates"]

Classes
 | Class | Description
Public class | en_US | 英文翻译
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


en_US Class
英文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Translatesen_US

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class en_US : ITranslateProvider
Public Class en_US
    Implements ITranslateProvider
public ref class en_US : ITranslateProvider
type en_US =
    class
        interface ITranslateProvider
    end

The en_US type exposes the following members.

Constructors
 | Name | Description
Public method | en_US | Initializes a new instance of the en_US class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


en_US Constructor

Initializes a new instance of the en_US class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public en_US()
Public Sub New
public:
en_US()
new : unit -> en_US
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


en_US Methods

The en_US type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


en_US.CanTranslate Method

en_USCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.en_US.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.en_US.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.en_US.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


en_US.Translate Method

en_USTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.en_US.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.en_US.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.en_US.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

en_US Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.Region.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.Region.src.Components.Translates Namespace


ZKWeb.Plugins.Common.Region.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Controllers"]

Classes
 | Class | Description
Public class | CountrySettingsController | 地区设置
Public class | CountrySettingsControllerForm | 表单
Public class | RegionApiController | 地区使用的Api控制器


CountrySettingsController Class
地区设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Common.Region.src.ControllersCountrySettingsController

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CountrySettingsController : FormAdminSettingsControllerBase
Public Class CountrySettingsController
    Inherits FormAdminSettingsControllerBase
public ref class CountrySettingsController : public FormAdminSettingsControllerBase
type CountrySettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The CountrySettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | CountrySettingsController | Initializes a new instance of the CountrySettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController Constructor

Initializes a new instance of the CountrySettingsController class

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountrySettingsController()
Public Sub New
public:
CountrySettingsController()
new : unit -> CountrySettingsController
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController Properties

The CountrySettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Group Property

CountrySettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.Group"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.GroupIconClass Property

CountrySettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.IconClass Property

CountrySettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Name Property

CountrySettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.Name"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Privilege Property

CountrySettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Url Property

CountrySettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.Url"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController Methods

The CountrySettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.GetForm Method

CountrySettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.GetForm"]

See Also

Reference

CountrySettingsController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Form Class

CountrySettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Region.src.ControllersCountrySettingsControllerForm

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The CountrySettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | CountrySettingsControllerForm | Initializes a new instance of the CountrySettingsControllerForm class
Top
Properties
 | Name | Description
Public property | DefaultCountry | 默认国家/行政区
Public property | DisplayCountryDropdown | 显示国家下拉框
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Form Constructor

CountrySettingsControllerForm Constructor

Initializes a new instance of the CountrySettingsControllerForm class

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


Form Properties

The CountrySettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | DefaultCountry | 默认国家/行政区
Public property | DisplayCountryDropdown | 显示国家下拉框
Top
See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Form.DefaultCountry Property

CountrySettingsControllerFormDefaultCountry Property

默认国家/行政区

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DefaultCountry { get; set; }
Public Property DefaultCountry As String
    Get
    Set
public:
property String^ DefaultCountry {
    String^ get ();
    void set (String^ value);
}
member DefaultCountry : string with get, set

Property Value

Type: String
See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Form.DisplayCountryDropdown Property

CountrySettingsControllerFormDisplayCountryDropdown Property

显示国家下拉框

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DisplayCountryDropdown { get; set; }
Public Property DisplayCountryDropdown As Boolean
    Get
    Set
public:
property bool DisplayCountryDropdown {
    bool get ();
    void set (bool value);
}
member DisplayCountryDropdown : bool with get, set

Property Value

Type: Boolean
See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


Form Methods

The CountrySettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Form.OnBind Method

CountrySettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


CountrySettingsController.Form.OnSubmit Method

CountrySettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Controllers.CountrySettingsController.Form.OnSubmit"]

See Also

Reference

CountrySettingsControllerForm Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


RegionApiController Class
地区使用的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Region.src.ControllersRegionApiController

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegionApiController : ControllerBase
Public Class RegionApiController
    Inherits ControllerBase
public ref class RegionApiController : public ControllerBase
type RegionApiController =
    class
        inherit ControllerBase
    end

The RegionApiController type exposes the following members.

Constructors
 | Name | Description
Public method | RegionApiController | Initializes a new instance of the RegionApiController class
Top
Methods
 | Name | Description
Public method | CountryInfo | 获取国家信息 返回默认国家和国家列表
Public method | RegionTreeFromCountry | 获取指定国家的地区树
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Controllers Namespace


RegionApiController Constructor

Initializes a new instance of the RegionApiController class

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegionApiController()
Public Sub New
public:
RegionApiController()
new : unit -> RegionApiController
See Also

Reference

RegionApiController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


RegionApiController Methods

The RegionApiController type exposes the following members.

Methods
 | Name | Description
Public method | CountryInfo | 获取国家信息 返回默认国家和国家列表
Public method | RegionTreeFromCountry | 获取指定国家的地区树
Top
See Also

Reference

RegionApiController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


RegionApiController.CountryInfo Method

RegionApiControllerCountryInfo Method

获取国家信息 返回默认国家和国家列表

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult CountryInfo()
Public Function CountryInfo As IActionResult
public:
IActionResult^ CountryInfo()
member CountryInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Controllers.RegionApiController.CountryInfo"]

See Also

Reference

RegionApiController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


RegionApiController.RegionTreeFromCountry Method

RegionApiControllerRegionTreeFromCountry Method

获取指定国家的地区树

Namespace: ZKWeb.Plugins.Common.Region.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult RegionTreeFromCountry()
Public Function RegionTreeFromCountry As IActionResult
public:
IActionResult^ RegionTreeFromCountry()
member RegionTreeFromCountry : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Controllers.RegionApiController.RegionTreeFromCountry"]

See Also

Reference

RegionApiController Class
ZKWeb.Plugins.Common.Region.src.Controllers Namespace


ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Domain.Services"]

Classes
 | Class | Description
Public class | RegionManager | 地区管理器


RegionManager Class
地区管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Region.src.Domain.ServicesRegionManager

Namespace: ZKWeb.Plugins.Common.Region.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegionManager : DomainServiceBase,
    ICacheCleaner
Public Class RegionManager
    Inherits DomainServiceBase
    Implements ICacheCleaner
public ref class RegionManager : public DomainServiceBase,
    ICacheCleaner
type RegionManager =
    class
        inherit DomainServiceBase
        interface ICacheCleaner
    end

The RegionManager type exposes the following members.

Constructors
 | Name | Description
Public method | RegionManager | Initializes a new instance of the RegionManager class
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetCountry | 获取国家/行政区信息，找不到时返回null
Public method | GetDefaultCountry | 获取默认的国家/行政区信息，找不到时返回null
Top
Fields
 | Name | Description
Protected field | CountryCache | 国家/行政区名称到信息的缓存
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager Constructor

Initializes a new instance of the RegionManager class

Namespace: ZKWeb.Plugins.Common.Region.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegionManager()
Public Sub New
public:
RegionManager()
new : unit -> RegionManager
See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager Methods

The RegionManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetCountry | 获取国家/行政区信息，找不到时返回null
Public method | GetDefaultCountry | 获取默认的国家/行政区信息，找不到时返回null
Top
See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager.ClearCache Method

RegionManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Common.Region.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager.GetCountry Method

RegionManagerGetCountry Method

获取国家/行政区信息，找不到时返回null

Namespace: ZKWeb.Plugins.Common.Region.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Country GetCountry(
    string name
)
Public Overridable Function GetCountry (
    name As String
) As Country
public:
virtual Country^ GetCountry(
    String^ name
)
abstract GetCountry :
        name : string -> Country
override GetCountry :
        name : string -> Country

Parameters

name
Type: SystemString
国家/行政区名称，区分大小写

Return Value

Type: Country

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Domain.Services.RegionManager.GetCountry(System.String)"]

See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager.GetDefaultCountry Method

RegionManagerGetDefaultCountry Method

获取默认的国家/行政区信息，找不到时返回null

Namespace: ZKWeb.Plugins.Common.Region.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Country GetDefaultCountry()
Public Overridable Function GetDefaultCountry As Country
public:
virtual Country^ GetDefaultCountry()
abstract GetDefaultCountry : unit -> Country
override GetDefaultCountry : unit -> Country

Return Value

Type: Country

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Domain.Services.RegionManager.GetDefaultCountry"]

See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager Fields

The RegionManager type exposes the following members.

Fields
 | Name | Description
Protected field | CountryCache | 国家/行政区名称到信息的缓存
Top
See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


RegionManager.CountryCache Field

RegionManagerCountryCache Field
国家/行政区名称到信息的缓存

Namespace: ZKWeb.Plugins.Common.Region.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected LazyCache<Dictionary<string, Country>> CountryCache
Protected CountryCache As LazyCache(Of Dictionary(Of String, Country))
protected:
LazyCache<Dictionary<String^, Country^>^>^ CountryCache
val mutable CountryCache: LazyCache<Dictionary<string, Country>>

Field Value

Type: LazyCacheDictionary String, Country
See Also

Reference

RegionManager Class
ZKWeb.Plugins.Common.Region.src.Domain.Services Namespace


ZKWeb.Plugins.Common.Region.src.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.Extensions"]

Classes
 | Class | Description
Public class | RegionNodeException | 地区节点的扩展函数


RegionNodeException Class
地区节点的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.ExtensionsRegionNodeException

Namespace: ZKWeb.Plugins.Common.Region.src.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class RegionNodeException
<ExtensionAttribute>
Public NotInheritable Class RegionNodeException
[ExtensionAttribute]
public ref class RegionNodeException abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type RegionNodeException =  class end

The RegionNodeException type exposes the following members.

Methods
Name | Description
GetFullname | 获取地区节点的完整名称
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.Extensions Namespace


RegionNodeException Methods

The RegionNodeException type exposes the following members.

Methods
Name | Description
GetFullname | 获取地区节点的完整名称
Top
See Also

Reference

RegionNodeException Class
ZKWeb.Plugins.Common.Region.src.Extensions Namespace


RegionNodeException.GetFullname Method

RegionNodeExceptionGetFullname Method

获取地区节点的完整名称

Namespace: ZKWeb.Plugins.Common.Region.src.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetFullname(
    this ITreeNode<Region> node
)
<ExtensionAttribute>
Public Shared Function GetFullname (
    node As ITreeNode(Of Region)
) As String
public:
[ExtensionAttribute]
static String^ GetFullname(
    ITreeNode<Region^>^ node
)
[<ExtensionAttribute>]
static member GetFullname :
        node : ITreeNode<Region> -> string

Parameters

node
Type: ITreeNodeRegion

[Missing <param name="node"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.Extensions.RegionNodeException.GetFullname(ZKWebStandard.Utils.ITreeNode{ZKWeb.Plugins.Common.Region.src.Components.Regions.Region})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.Extensions.RegionNodeException.GetFullname(ZKWebStandard.Utils.ITreeNode{ZKWeb.Plugins.Common.Region.src.Components.Regions.Region})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ITreeNodeRegion . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

RegionNodeException Class
ZKWeb.Plugins.Common.Region.src.Extensions Namespace


ZKWeb.Plugins.Common.Region.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.Region.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes |
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers |
ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders |


ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes"]

Classes
 | Class | Description
Public class | RegionEditorAttribute | 地区联动下拉框的属性 类型请使用 CountryAndRegion


RegionEditorAttribute Class
地区联动下拉框的属性 类型请使用 CountryAndRegion
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributesRegionEditorAttribute

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegionEditorAttribute : FormFieldAttribute
Public Class RegionEditorAttribute
    Inherits FormFieldAttribute
public ref class RegionEditorAttribute : public FormFieldAttribute
type RegionEditorAttribute =
    class
        inherit FormFieldAttribute
    end

The RegionEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | RegionEditorAttribute(String) | 初始化
Public method | RegionEditorAttribute(String, Boolean) | 初始化
Top
Properties
 | Name | Description
Public property | DisplayCountryDropdown | 是否显示国家下拉框，null时使用默认设置
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace


RegionEditorAttribute Constructor

Overload List
 | Name | Description
Public method | RegionEditorAttribute(String) | 初始化
Public method | RegionEditorAttribute(String, Boolean) | 初始化
Top
See Also

Reference

RegionEditorAttribute Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace


RegionEditorAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegionEditorAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
RegionEditorAttribute(
    String^ name
)
new :
        name : string -> RegionEditorAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

RegionEditorAttribute Class
RegionEditorAttribute Overload
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace


RegionEditorAttribute Constructor (String, Boolean)
初始化

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegionEditorAttribute(
    string name,
    bool displayCountryDropdown
)
Public Sub New (
    name As String,
    displayCountryDropdown As Boolean
)
public:
RegionEditorAttribute(
    String^ name,
    bool displayCountryDropdown
)
new :
        name : string *
        displayCountryDropdown : bool -> RegionEditorAttribute

Parameters

name
Type: SystemString
字段名称
displayCountryDropdown
Type: SystemBoolean
是否显示国家下拉框
See Also

Reference

RegionEditorAttribute Class
RegionEditorAttribute Overload
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace


RegionEditorAttribute Properties

The RegionEditorAttribute type exposes the following members.

Properties
 | Name | Description
Public property | DisplayCountryDropdown | 是否显示国家下拉框，null时使用默认设置
Top
See Also

Reference

RegionEditorAttribute Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace


RegionEditorAttribute.DisplayCountryDropdown Property

RegionEditorAttributeDisplayCountryDropdown Property

是否显示国家下拉框，null时使用默认设置

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> DisplayCountryDropdown { get; set; }
Public Property DisplayCountryDropdown As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> DisplayCountryDropdown {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member DisplayCountryDropdown : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

RegionEditorAttribute Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldAttributes Namespace


ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers"]

Classes
 | Class | Description
Public class | RegionEditor | 地区联动下拉框 成员类型请使用CountryAndRegion


RegionEditor Class
地区联动下拉框 成员类型请使用CountryAndRegion
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlersRegionEditor

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RegionEditor : IFormFieldHandler
Public Class RegionEditor
    Implements IFormFieldHandler
public ref class RegionEditor : IFormFieldHandler
type RegionEditor =
    class
        interface IFormFieldHandler
    end

The RegionEditor type exposes the following members.

Constructors
 | Name | Description
Public method | RegionEditor | Initializes a new instance of the RegionEditor class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers Namespace


RegionEditor Constructor

Initializes a new instance of the RegionEditor class

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RegionEditor()
Public Sub New
public:
RegionEditor()
new : unit -> RegionEditor
See Also

Reference

RegionEditor Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers Namespace


RegionEditor Methods

The RegionEditor type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

RegionEditor Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers Namespace


RegionEditor.Build Method

RegionEditorBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers.RegionEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers.RegionEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers.RegionEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

RegionEditor Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers Namespace


RegionEditor.Parse Method

RegionEditorParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers.RegionEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers.RegionEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers.RegionEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

RegionEditor Class
ZKWeb.Plugins.Common.Region.src.UIComponents.FormFieldHandlers Namespace


ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | CountryListItemProvider | 国家/行政区列表


CountryListItemProvider Class
国家/行政区列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProvidersCountryListItemProvider

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CountryListItemProvider : IListItemProvider
Public Class CountryListItemProvider
    Implements IListItemProvider
public ref class CountryListItemProvider : IListItemProvider
type CountryListItemProvider =
    class
        interface IListItemProvider
    end

The CountryListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | CountryListItemProvider | Initializes a new instance of the CountryListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders Namespace


CountryListItemProvider Constructor

Initializes a new instance of the CountryListItemProvider class

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountryListItemProvider()
Public Sub New
public:
CountryListItemProvider()
new : unit -> CountryListItemProvider
See Also

Reference

CountryListItemProvider Class
ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders Namespace


CountryListItemProvider Methods

The CountryListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

CountryListItemProvider Class
ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders Namespace


CountryListItemProvider.GetItems Method

CountryListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders.CountryListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

CountryListItemProvider Class
ZKWeb.Plugins.Common.Region.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Common.SerialGenerate.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.SerialGenerate.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate |
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces |
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates |


ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate"]

Classes
 | Class | Description
Public class | SerialGenerator | 序列号生成器


SerialGenerator Class
序列号生成器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateSerialGenerator

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class SerialGenerator
Public NotInheritable Class SerialGenerator
public ref class SerialGenerator abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type SerialGenerator =  class end

The SerialGenerator type exposes the following members.

Methods
Name | Description
GenerateFor | 给指定的数据生成序列号 默认序列号是 年月日+8位随机数字，共16位
Top
See Also

Reference

ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate Namespace


SerialGenerator Methods

The SerialGenerator type exposes the following members.

Methods
Name | Description
GenerateFor | 给指定的数据生成序列号 默认序列号是 年月日+8位随机数字，共16位
Top
See Also

Reference

SerialGenerator Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate Namespace


SerialGenerator.GenerateFor Method

SerialGeneratorGenerateFor Method

给指定的数据生成序列号 默认序列号是 年月日+8位随机数字，共16位

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GenerateFor(
    Object data
)
Public Shared Function GenerateFor (
    data As Object
) As String
public:
static String^ GenerateFor(
    Object^ data
)
static member GenerateFor :
        data : Object -> string

Parameters

data
Type: SystemObject
数据

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate.SerialGenerator.GenerateFor(System.Object)"]

See Also

Reference

SerialGenerator Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerate Namespace


ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | ISerialGenerateHandler | 生成序列号时的处理器 可用于修改默认生成的序列号


ISerialGenerateHandler Interface
生成序列号时的处理器 可用于修改默认生成的序列号

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ISerialGenerateHandler
Public Interface ISerialGenerateHandler
public interface class ISerialGenerateHandler
type ISerialGenerateHandler =  interface end

The ISerialGenerateHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnGenerate | 生成时的处理
Top
See Also

Reference

ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces Namespace


ISerialGenerateHandler Methods

The ISerialGenerateHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnGenerate | 生成时的处理
Top
See Also

Reference

ISerialGenerateHandler Interface
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces Namespace


ISerialGenerateHandler.OnGenerate Method

ISerialGenerateHandlerOnGenerate Method

生成时的处理

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnGenerate(
    Object data,
    ref string serial
)
Sub OnGenerate (
    data As Object,
    ByRef serial As String
)
void OnGenerate(
    Object^ data,
    String^% serial
)
abstract OnGenerate :
        data : Object *
        serial : string byref -> unit

Parameters

data
Type: SystemObject
数据
serial
Type: SystemString
原有的序列号
See Also

Reference

ISerialGenerateHandler Interface
ZKWeb.Plugins.Common.SerialGenerate.src.Components.SerialGenerateHandlers.Interfaces Namespace


ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.SerialGenerate.src.Components.Translates Namespace


ZKWeb.Plugins.Common.UserContact.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.UserContact.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.UserContact.src.Components |
ZKWeb.Plugins.Common.UserContact.src.Controllers |
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks |
ZKWeb.Plugins.Common.UserContact.src.Domain |


ZKWeb.Plugins.Common.UserContact.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.UserContact.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers |
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers |
ZKWeb.Plugins.Common.UserContact.src.Components.Translates |


ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers"]

Classes
 | Class | Description
Public class | AddColumnsToUserManageApp | 添加以下列到用户管理 - 电话 - 手机


AddColumnsToUserManageApp Class
添加以下列到用户管理 - 电话 - 手机
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlersAddColumnsToUserManageApp

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AddColumnsToUserManageApp : IAjaxTableExtraHandler<User, Guid, UserCrudControllerTableHandler>,
    IAjaxTableHandler<User, Guid>
Public Class AddColumnsToUserManageApp
    Implements IAjaxTableExtraHandler(Of User, Guid, UserCrudControllerTableHandler),
    IAjaxTableHandler(Of User, Guid)
public ref class AddColumnsToUserManageApp : IAjaxTableExtraHandler<User^, Guid, UserCrudControllerTableHandler^>,
    IAjaxTableHandler<User^, Guid>
type AddColumnsToUserManageApp =
    class
        interface IAjaxTableExtraHandler<User, Guid, UserCrudControllerTableHandler>
        interface IAjaxTableHandler<User, Guid>
    end

The AddColumnsToUserManageApp type exposes the following members.

Constructors
 | Name | Description
Public method | AddColumnsToUserManageApp | Initializes a new instance of the AddColumnsToUserManageApp class
Top
Methods
 | Name | Description
Public method | BuildTable |
Public method | OnQuery |
Public method | OnResponse |
Public method | OnSelect |
Public method | OnSort |
Public method | WrapQueryMethodTResult |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp Constructor

Initializes a new instance of the AddColumnsToUserManageApp class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AddColumnsToUserManageApp()
Public Sub New
public:
AddColumnsToUserManageApp()
new : unit -> AddColumnsToUserManageApp
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp Methods

The AddColumnsToUserManageApp type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable |
Public method | OnQuery |
Public method | OnResponse |
Public method | OnSelect |
Public method | OnSort |
Public method | WrapQueryMethodTResult |
Top
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp.BuildTable Method

AddColumnsToUserManageAppBuildTable Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) sealed
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp.OnQuery Method

AddColumnsToUserManageAppOnQuery Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<User> query
)
Public Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of User)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<User^>^% query
) sealed
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

query
Type: System.LinqIQueryable User

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp.OnResponse Method

AddColumnsToUserManageAppOnResponse Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) sealed
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp.OnSelect Method

AddColumnsToUserManageAppOnSelect Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<User>> pairs
)
Public Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of User))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<User^>^>^ pairs
) sealed
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<User>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<User>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow User

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp.OnSort Method

AddColumnsToUserManageAppOnSort Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<User> query
)
Public Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of User)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<User^>^% query
) sealed
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<User> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

query
Type: System.LinqIQueryable User

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


AddColumnsToUserManageApp.WrapQueryMethod(TResult) Method

AddColumnsToUserManageAppWrapQueryMethodTResult Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Func<TResult> WrapQueryMethod<TResult>(
    AjaxTableSearchRequest request,
    Func<TResult> queryMethod
)

Public Function WrapQueryMethod(Of TResult) (
    request As AjaxTableSearchRequest,
    queryMethod As Func(Of TResult)
) As Func(Of TResult)
public:
generic<typename TResult>
virtual Func<TResult>^ WrapQueryMethod(
    AjaxTableSearchRequest^ request,
    Func<TResult>^ queryMethod
) sealed
abstract WrapQueryMethod :
        request : AjaxTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>
override WrapQueryMethod :
        request : AjaxTableSearchRequest *
        queryMethod : Func<'TResult> -> Func<'TResult>

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

queryMethod
Type: SystemFunc TResult

[Missing <param name="queryMethod"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Type Parameters

TResult

[Missing <typeparam name="TResult"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Return Value

Type: Func TResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers.AddColumnsToUserManageApp.WrapQueryMethod``1(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Func{``0})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyWrapQueryMethodTResult(AjaxTableSearchRequest, FuncTResult)
See Also

Reference

AddColumnsToUserManageApp Class
ZKWeb.Plugins.Common.UserContact.src.Components.AjaxTableHandlers Namespace


ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers"]

Classes
 | Class | Description
Public class | RemoveContactBeforeUserDelete | 在用户删除前删除关联的联系信息


RemoveContactBeforeUserDelete Class
在用户删除前删除关联的联系信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlersRemoveContactBeforeUserDelete

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RemoveContactBeforeUserDelete : IEntityOperationHandler<User>
Public Class RemoveContactBeforeUserDelete
    Implements IEntityOperationHandler(Of User)
public ref class RemoveContactBeforeUserDelete : IEntityOperationHandler<User^>
type RemoveContactBeforeUserDelete =
    class
        interface IEntityOperationHandler<User>
    end

The RemoveContactBeforeUserDelete type exposes the following members.

Constructors
 | Name | Description
Public method | RemoveContactBeforeUserDelete | Initializes a new instance of the RemoveContactBeforeUserDelete class
Top
Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


RemoveContactBeforeUserDelete Constructor

Initializes a new instance of the RemoveContactBeforeUserDelete class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RemoveContactBeforeUserDelete()
Public Sub New
public:
RemoveContactBeforeUserDelete()
new : unit -> RemoveContactBeforeUserDelete
See Also

Reference

RemoveContactBeforeUserDelete Class
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


RemoveContactBeforeUserDelete Methods

The RemoveContactBeforeUserDelete type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

RemoveContactBeforeUserDelete Class
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


RemoveContactBeforeUserDelete.AfterDelete Method

RemoveContactBeforeUserDeleteAfterDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterDelete(
    IDatabaseContext context,
    User data
)
Public Sub AfterDelete (
    context As IDatabaseContext,
    data As User
)
public:
virtual void AfterDelete(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract AfterDelete :
        context : IDatabaseContext *
        data : User -> unit
override AfterDelete :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.AfterDelete(IDatabaseContext, UTP)
See Also

Reference

RemoveContactBeforeUserDelete Class
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


RemoveContactBeforeUserDelete.AfterSave Method

RemoveContactBeforeUserDeleteAfterSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterSave(
    IDatabaseContext context,
    User entity
)
Public Sub AfterSave (
    context As IDatabaseContext,
    entity As User
)
public:
virtual void AfterSave(
    IDatabaseContext^ context,
    User^ entity
) sealed
abstract AfterSave :
        context : IDatabaseContext *
        entity : User -> unit
override AfterSave :
        context : IDatabaseContext *
        entity : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

entity
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.AfterSave(IDatabaseContext, UTP)
See Also

Reference

RemoveContactBeforeUserDelete Class
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


RemoveContactBeforeUserDelete.BeforeDelete Method

RemoveContactBeforeUserDeleteBeforeDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeDelete(
    IDatabaseContext context,
    User data
)
Public Sub BeforeDelete (
    context As IDatabaseContext,
    data As User
)
public:
virtual void BeforeDelete(
    IDatabaseContext^ context,
    User^ data
) sealed
abstract BeforeDelete :
        context : IDatabaseContext *
        data : User -> unit
override BeforeDelete :
        context : IDatabaseContext *
        data : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

data
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.BeforeDelete(IDatabaseContext, UTP)
See Also

Reference

RemoveContactBeforeUserDelete Class
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


RemoveContactBeforeUserDelete.BeforeSave Method

RemoveContactBeforeUserDeleteBeforeSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeSave(
    IDatabaseContext context,
    User entity
)
Public Sub BeforeSave (
    context As IDatabaseContext,
    entity As User
)
public:
virtual void BeforeSave(
    IDatabaseContext^ context,
    User^ entity
) sealed
abstract BeforeSave :
        context : IDatabaseContext *
        entity : User -> unit
override BeforeSave :
        context : IDatabaseContext *
        entity : User -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

entity
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers.RemoveContactBeforeUserDelete.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityOperationHandler.BeforeSave(IDatabaseContext, UTP)
See Also

Reference

RemoveContactBeforeUserDelete Class
ZKWeb.Plugins.Common.UserContact.src.Components.EntityOperationHandlers Namespace


ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 中文翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserContact.src.Components.Translates Namespace


ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Controllers"]

Classes
 | Class | Description
Public class | ContactInfoController | 编辑自身联系信息的表单
Public class | ContactInfoControllerForm | 表单


ContactInfoController Class
编辑自身联系信息的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesFormUserPanelControllerBase
ZKWeb.Plugins.Common.UserContact.src.ControllersContactInfoController

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ContactInfoController : FormUserPanelControllerBase
Public Class ContactInfoController
    Inherits FormUserPanelControllerBase
public ref class ContactInfoController : public FormUserPanelControllerBase
type ContactInfoController =
    class
        inherit FormUserPanelControllerBase
    end

The ContactInfoController type exposes the following members.

Constructors
 | Name | Description
Public method | ContactInfoController | Initializes a new instance of the ContactInfoController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController Constructor

Initializes a new instance of the ContactInfoController class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ContactInfoController()
Public Sub New
public:
ContactInfoController()
new : unit -> ContactInfoController
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController Properties

The ContactInfoController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Group Property

ContactInfoControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.Group"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.GroupIconClass Property

ContactInfoControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.IconClass Property

ContactInfoControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.IconClass"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Name Property

ContactInfoControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.Name"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Url Property

ContactInfoControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.Url"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController Methods

The ContactInfoController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.GetForm Method

ContactInfoControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.GetForm"]

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.GetForm"]

See Also

Reference

ContactInfoController Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form Class

ContactInfoControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.UserContact.src.ControllersContactInfoControllerForm

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ContactInfoControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ContactInfoControllerForm | Initializes a new instance of the ContactInfoControllerForm class
Top
Properties
 | Name | Description
Public property | Address | 地址
Public property | Email | 邮箱
Public property | Mobile | 手机
Public property | QQ | QQ
Public property | Tel | 电话
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form Constructor

ContactInfoControllerForm Constructor

Initializes a new instance of the ContactInfoControllerForm class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


Form Properties

The ContactInfoControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | Address | 地址
Public property | Email | 邮箱
Public property | Mobile | 手机
Public property | QQ | QQ
Public property | Tel | 电话
Top
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.Address Property

ContactInfoControllerFormAddress Property

地址

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Address { get; set; }
Public Property Address As String
    Get
    Set
public:
property String^ Address {
    String^ get ();
    void set (String^ value);
}
member Address : string with get, set

Property Value

Type: String
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.Email Property

ContactInfoControllerFormEmail Property

邮箱

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Email { get; set; }
Public Property Email As String
    Get
    Set
public:
property String^ Email {
    String^ get ();
    void set (String^ value);
}
member Email : string with get, set

Property Value

Type: String
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.Mobile Property

ContactInfoControllerFormMobile Property

手机

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Mobile { get; set; }
Public Property Mobile As String
    Get
    Set
public:
property String^ Mobile {
    String^ get ();
    void set (String^ value);
}
member Mobile : string with get, set

Property Value

Type: String
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.QQ Property

ContactInfoControllerFormQQ Property

QQ

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string QQ { get; set; }
Public Property QQ As String
    Get
    Set
public:
property String^ QQ {
    String^ get ();
    void set (String^ value);
}
member QQ : string with get, set

Property Value

Type: String
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.Tel Property

ContactInfoControllerFormTel Property

电话

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Tel { get; set; }
Public Property Tel As String
    Get
    Set
public:
property String^ Tel {
    String^ get ();
    void set (String^ value);
}
member Tel : string with get, set

Property Value

Type: String
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


Form Methods

The ContactInfoControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.OnBind Method

ContactInfoControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ContactInfoController.Form.OnSubmit Method

ContactInfoControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.UserContact.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Controllers.ContactInfoController.Form.OnSubmit"]

See Also

Reference

ContactInfoControllerForm Class
ZKWeb.Plugins.Common.UserContact.src.Controllers Namespace


ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks"]

Classes
 | Class | Description
Public class | AddContactEditorToUserManager | 添加联系信息到后台的用户编辑页中


AddContactEditorToUserManager Class
添加联系信息到后台的用户编辑页中
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacksAddContactEditorToUserManager

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AddContactEditorToUserManager : IEntityFormExtraHandler<User, Guid, UserCrudControllerBaseForm>
Public Class AddContactEditorToUserManager
    Implements IEntityFormExtraHandler(Of User, Guid, UserCrudControllerBaseForm)
public ref class AddContactEditorToUserManager : IEntityFormExtraHandler<User^, Guid, UserCrudControllerBaseForm^>
type AddContactEditorToUserManager =
    class
        interface IEntityFormExtraHandler<User, Guid, UserCrudControllerBaseForm>
    end

The AddContactEditorToUserManager type exposes the following members.

Constructors
 | Name | Description
Public method | AddContactEditorToUserManager | Initializes a new instance of the AddContactEditorToUserManager class
Top
Properties
 | Name | Description
Public property | Address | 地址
Public property | Email | 邮箱
Public property | Mobile | 手机
Public property | QQ | QQ
Public property | Tel | 电话
Top
Methods
 | Name | Description
Public method | OnBind | 绑定数据到表单
Public method | OnCreated | 创建表单时的处理
Public method | OnSubmit | 保存表单到数据
Public method | OnSubmitSaved | 保存数据后的处理
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager Constructor

Initializes a new instance of the AddContactEditorToUserManager class

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AddContactEditorToUserManager()
Public Sub New
public:
AddContactEditorToUserManager()
new : unit -> AddContactEditorToUserManager
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager Properties

The AddContactEditorToUserManager type exposes the following members.

Properties
 | Name | Description
Public property | Address | 地址
Public property | Email | 邮箱
Public property | Mobile | 手机
Public property | QQ | QQ
Public property | Tel | 电话
Top
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.Address Property

AddContactEditorToUserManagerAddress Property

地址

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Address { get; set; }
Public Property Address As String
    Get
    Set
public:
property String^ Address {
    String^ get ();
    void set (String^ value);
}
member Address : string with get, set

Property Value

Type: String
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.Email Property

AddContactEditorToUserManagerEmail Property

邮箱

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Email { get; set; }
Public Property Email As String
    Get
    Set
public:
property String^ Email {
    String^ get ();
    void set (String^ value);
}
member Email : string with get, set

Property Value

Type: String
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.Mobile Property

AddContactEditorToUserManagerMobile Property

手机

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Mobile { get; set; }
Public Property Mobile As String
    Get
    Set
public:
property String^ Mobile {
    String^ get ();
    void set (String^ value);
}
member Mobile : string with get, set

Property Value

Type: String
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.QQ Property

AddContactEditorToUserManagerQQ Property

QQ

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string QQ { get; set; }
Public Property QQ As String
    Get
    Set
public:
property String^ QQ {
    String^ get ();
    void set (String^ value);
}
member QQ : string with get, set

Property Value

Type: String
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.Tel Property

AddContactEditorToUserManagerTel Property

电话

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Tel { get; set; }
Public Property Tel As String
    Get
    Set
public:
property String^ Tel {
    String^ get ();
    void set (String^ value);
}
member Tel : string with get, set

Property Value

Type: String
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager Methods

The AddContactEditorToUserManager type exposes the following members.

Methods
 | Name | Description
Public method | OnBind | 绑定数据到表单
Public method | OnCreated | 创建表单时的处理
Public method | OnSubmit | 保存表单到数据
Public method | OnSubmitSaved | 保存数据后的处理
Top
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.OnBind Method

AddContactEditorToUserManagerOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnBind(
    UserCrudControllerBaseForm form,
    User bindFrom
)
Public Sub OnBind (
    form As UserCrudControllerBaseForm,
    bindFrom As User
)
public:
virtual void OnBind(
    UserCrudControllerBaseForm^ form,
    User^ bindFrom
) sealed
abstract OnBind :
        form : UserCrudControllerBaseForm *
        bindFrom : User -> unit
override OnBind :
        form : UserCrudControllerBaseForm *
        bindFrom : User -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnBind(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

bindFrom
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnBind(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnBind(TForm, TEntity)
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.OnCreated Method

AddContactEditorToUserManagerOnCreated Method

创建表单时的处理

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnCreated(
    UserCrudControllerBaseForm form
)
Public Sub OnCreated (
    form As UserCrudControllerBaseForm
)
public:
virtual void OnCreated(
    UserCrudControllerBaseForm^ form
) sealed
abstract OnCreated :
        form : UserCrudControllerBaseForm -> unit
override OnCreated :
        form : UserCrudControllerBaseForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnCreated(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnCreated(TForm)
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.OnSubmit Method

AddContactEditorToUserManagerOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSubmit(
    UserCrudControllerBaseForm form,
    User saveTo
)
Public Sub OnSubmit (
    form As UserCrudControllerBaseForm,
    saveTo As User
)
public:
virtual void OnSubmit(
    UserCrudControllerBaseForm^ form,
    User^ saveTo
) sealed
abstract OnSubmit :
        form : UserCrudControllerBaseForm *
        saveTo : User -> unit
override OnSubmit :
        form : UserCrudControllerBaseForm *
        saveTo : User -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

saveTo
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnSubmit(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmit(TForm, TEntity)
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


AddContactEditorToUserManager.OnSubmitSaved Method

AddContactEditorToUserManagerOnSubmitSaved Method

保存数据后的处理

Namespace: ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSubmitSaved(
    UserCrudControllerBaseForm form,
    User saved
)
Public Sub OnSubmitSaved (
    form As UserCrudControllerBaseForm,
    saved As User
)
public:
virtual void OnSubmitSaved(
    UserCrudControllerBaseForm^ form,
    User^ saved
) sealed
abstract OnSubmitSaved :
        form : UserCrudControllerBaseForm *
        saved : User -> unit
override OnSubmitSaved :
        form : UserCrudControllerBaseForm *
        saved : User -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Admin.src.ControllersUserCrudControllerBaseForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnSubmitSaved(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

saved
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="saved"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks.AddContactEditorToUserManager.OnSubmitSaved(ZKWeb.Plugins.Common.Admin.src.Controllers.UserCrudController.BaseForm,ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmitSaved(TForm, TEntity)
See Also

Reference

AddContactEditorToUserManager Class
ZKWeb.Plugins.Common.UserContact.src.DataEditFormCallbacks Namespace


ZKWeb.Plugins.Common.UserContact.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.UserContact.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities |
ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories |
ZKWeb.Plugins.Common.UserContact.src.Domain.Services |


ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Domain.Entities"]

Classes
 | Class | Description
Public class | UserContact | 用户的联系信息


UserContact Class
用户的联系信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserContact.src.Domain.EntitiesUserContact

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserContact : IEntity<Guid>,
    IEntity, IEntityMappingProvider<UserContact>, IEntityMappingProvider
Public Class UserContact
    Implements IEntity(Of Guid), IEntity,
    IEntityMappingProvider(Of UserContact), IEntityMappingProvider
public ref class UserContact : IEntity<Guid>,
    IEntity, IEntityMappingProvider<UserContact^>, IEntityMappingProvider
type UserContact =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IEntityMappingProvider<UserContact>
        interface IEntityMappingProvider
    end

The UserContact type exposes the following members.

Constructors
 | Name | Description
Public method | UserContact | Initializes a new instance of the UserContact class
Top
Properties
 | Name | Description
Public property | Address | 地址
Public property | Email | 邮箱
Public property | Id | 联系信息Id
Public property | Mobile | 手机
Public property | QQ | QQ
Public property | Tel | 电话
Public property | User | 关联的用户
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact Constructor

Initializes a new instance of the UserContact class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserContact()
Public Sub New
public:
UserContact()
new : unit -> UserContact
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact Properties

The UserContact type exposes the following members.

Properties
 | Name | Description
Public property | Address | 地址
Public property | Email | 邮箱
Public property | Id | 联系信息Id
Public property | Mobile | 手机
Public property | QQ | QQ
Public property | Tel | 电话
Public property | User | 关联的用户
Top
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.Address Property

UserContactAddress Property

地址

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Address { get; set; }
Public Overridable Property Address As String
    Get
    Set
public:
virtual property String^ Address {
    String^ get ();
    void set (String^ value);
}
abstract Address : string with get, set
override Address : string with get, set

Property Value

Type: String
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.Email Property

UserContactEmail Property

邮箱

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Email { get; set; }
Public Overridable Property Email As String
    Get
    Set
public:
virtual property String^ Email {
    String^ get ();
    void set (String^ value);
}
abstract Email : string with get, set
override Email : string with get, set

Property Value

Type: String
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.Id Property

UserContactId Property

联系信息Id

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.Mobile Property

UserContactMobile Property

手机

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Mobile { get; set; }
Public Overridable Property Mobile As String
    Get
    Set
public:
virtual property String^ Mobile {
    String^ get ();
    void set (String^ value);
}
abstract Mobile : string with get, set
override Mobile : string with get, set

Property Value

Type: String
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.QQ Property

UserContactQQ Property

QQ

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string QQ { get; set; }
Public Overridable Property QQ As String
    Get
    Set
public:
virtual property String^ QQ {
    String^ get ();
    void set (String^ value);
}
abstract QQ : string with get, set
override QQ : string with get, set

Property Value

Type: String
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.Tel Property

UserContactTel Property

电话

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Tel { get; set; }
Public Overridable Property Tel As String
    Get
    Set
public:
virtual property String^ Tel {
    String^ get ();
    void set (String^ value);
}
abstract Tel : string with get, set
override Tel : string with get, set

Property Value

Type: String
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.User Property

UserContactUser Property

关联的用户

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User User { get; set; }
Public Overridable Property User As User
    Get
    Set
public:
virtual property User^ User {
    User^ get ();
    void set (User^ value);
}
abstract User : User with get, set
override User : User with get, set

Property Value

Type: User
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact Methods

The UserContact type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


UserContact.Configure Method

UserContactConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<UserContact> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of UserContact)
)
public:
virtual void Configure(
    IEntityMappingBuilder<UserContact^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<UserContact> -> unit
override Configure :
        builder : IEntityMappingBuilder<UserContact> -> unit

Parameters

builder
Type: IEntityMappingBuilderUserContact

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Domain.Entities.UserContact.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Common.UserContact.src.Domain.Entities.UserContact})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

UserContact Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Entities Namespace


ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | UserContactRepository | 用户联系信息的仓储


UserContactRepository Class
用户联系信息的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase UserContact, Guid
ZKWeb.Plugins.Common.UserContact.src.Domain.RepositoriesUserContactRepository

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserContactRepository : RepositoryBase<UserContact, Guid>
Public Class UserContactRepository
    Inherits RepositoryBase(Of UserContact, Guid)
public ref class UserContactRepository : public RepositoryBase<UserContact^, Guid>
type UserContactRepository =
    class
        inherit RepositoryBase<UserContact, Guid>
    end

The UserContactRepository type exposes the following members.

Constructors
 | Name | Description
Public method | UserContactRepository | Initializes a new instance of the UserContactRepository class
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories Namespace


UserContactRepository Constructor

Initializes a new instance of the UserContactRepository class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserContactRepository()
Public Sub New
public:
UserContactRepository()
new : unit -> UserContactRepository
See Also

Reference

UserContactRepository Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Repositories Namespace


ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserContact.src.Domain.Services"]

Classes
 | Class | Description
Public class | UserContactManager | 用户联系信息管理器


UserContactManager Class
用户联系信息管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase UserContact, Guid
ZKWeb.Plugins.Common.UserContact.src.Domain.ServicesUserContactManager

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserContactManager : DomainServiceBase<UserContact, Guid>
Public Class UserContactManager
    Inherits DomainServiceBase(Of UserContact, Guid)
public ref class UserContactManager : public DomainServiceBase<UserContact^, Guid>
type UserContactManager =
    class
        inherit DomainServiceBase<UserContact, Guid>
    end

The UserContactManager type exposes the following members.

Constructors
 | Name | Description
Public method | UserContactManager | Initializes a new instance of the UserContactManager class
Top
Methods
 | Name | Description
Public method | GetContact | 获取用户的联系信息，没有时新建返回
Public method | GetContacts | 批量获取联系信息
Public method | SetContact | 设置用户的联系信息，没有时新建
Top
See Also

Reference

ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace


UserContactManager Constructor

Initializes a new instance of the UserContactManager class

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserContactManager()
Public Sub New
public:
UserContactManager()
new : unit -> UserContactManager
See Also

Reference

UserContactManager Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace


UserContactManager Methods

The UserContactManager type exposes the following members.

Methods
 | Name | Description
Public method | GetContact | 获取用户的联系信息，没有时新建返回
Public method | GetContacts | 批量获取联系信息
Public method | SetContact | 设置用户的联系信息，没有时新建
Top
See Also

Reference

UserContactManager Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace


UserContactManager.GetContact Method

UserContactManagerGetContact Method

获取用户的联系信息，没有时新建返回

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual UserContact GetContact(
    Guid userId
)
Public Overridable Function GetContact (
    userId As Guid
) As UserContact
public:
virtual UserContact^ GetContact(
    Guid userId
)
abstract GetContact :
        userId : Guid -> UserContact
override GetContact :
        userId : Guid -> UserContact

Parameters

userId
Type: SystemGuid
用户Id

Return Value

Type: UserContact

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Domain.Services.UserContactManager.GetContact(System.Guid)"]

See Also

Reference

UserContactManager Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace


UserContactManager.GetContacts Method

UserContactManagerGetContacts Method

批量获取联系信息

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDictionary<Guid, UserContact> GetContacts(
    IList<Guid> userIds
)
Public Overridable Function GetContacts (
    userIds As IList(Of Guid)
) As IDictionary(Of Guid, UserContact)
public:
virtual IDictionary<Guid, UserContact^>^ GetContacts(
    IList<Guid>^ userIds
)
abstract GetContacts :
        userIds : IList<Guid> -> IDictionary<Guid, UserContact>
override GetContacts :
        userIds : IList<Guid> -> IDictionary<Guid, UserContact>

Parameters

userIds
Type: System.Collections.GenericIList Guid
用户Id列表

Return Value

Type: IDictionary Guid, UserContact

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserContact.src.Domain.Services.UserContactManager.GetContacts(System.Collections.Generic.IList{System.Guid})"]

See Also

Reference

UserContactManager Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace


UserContactManager.SetContact Method

UserContactManagerSetContact Method

设置用户的联系信息，没有时新建

Namespace: ZKWeb.Plugins.Common.UserContact.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SetContact(
    Guid userId,
    Action<UserContact> update
)
Public Overridable Sub SetContact (
    userId As Guid,
    update As Action(Of UserContact)
)
public:
virtual void SetContact(
    Guid userId,
    Action<UserContact^>^ update
)
abstract SetContact :
        userId : Guid *
        update : Action<UserContact> -> unit
override SetContact :
        userId : Guid *
        update : Action<UserContact> -> unit

Parameters

userId
Type: SystemGuid
用户Id
update
Type: SystemAction UserContact
更新联系信息的函数
See Also

Reference

UserContactManager Class
ZKWeb.Plugins.Common.UserContact.src.Domain.Services Namespace


ZKWeb.Plugins.Common.UserPanel Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.UserPanel"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.UserPanel.src |
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates |
ZKWeb.Plugins.Common.UserPanel.src.Controllers |
ZKWeb.Plugins.Common.UserPanel.src.MenuPages.UIComponents.Interfaces |
ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders |


ZKWeb.Plugins.Common.UserPanel.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserPanel.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.srcPlugin

Namespace: ZKWeb.Plugins.Common.UserPanel.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Common.UserPanel.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Common.UserPanel.src Namespace


ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Common.UserPanel.src.Components.Translates Namespace


ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Common.UserPanel.src.Controllers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Common.UserPanel.src.Controllers |
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases |


ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserPanel.src.Controllers"]

Classes
 | Class | Description
Public class | ChangeAvatarForm | 修改自身头像的表单
Public class | ChangeAvatarFormForm | 表单
Public class | ChangePasswordForm | 修改自身密码的表单
Public class | ChangePasswordFormForm | 表单
Public class | UserPanelApiController | Api控制器


ChangeAvatarForm Class
修改自身头像的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesFormUserPanelControllerBase
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangeAvatarForm

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ChangeAvatarForm : FormUserPanelControllerBase
Public Class ChangeAvatarForm
    Inherits FormUserPanelControllerBase
public ref class ChangeAvatarForm : public FormUserPanelControllerBase
type ChangeAvatarForm =
    class
        inherit FormUserPanelControllerBase
    end

The ChangeAvatarForm type exposes the following members.

Constructors
 | Name | Description
Public method | ChangeAvatarForm | Initializes a new instance of the ChangeAvatarForm class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm Constructor

Initializes a new instance of the ChangeAvatarForm class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ChangeAvatarForm()
Public Sub New
public:
ChangeAvatarForm()
new : unit -> ChangeAvatarForm
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm Properties

The ChangeAvatarForm type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Group Property

ChangeAvatarFormGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.Group"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.GroupIconClass Property

ChangeAvatarFormGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.IconClass Property

ChangeAvatarFormIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.IconClass"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Name Property

ChangeAvatarFormName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.Name"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Url Property

ChangeAvatarFormUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.Url"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm Methods

The ChangeAvatarForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.GetForm Method

ChangeAvatarFormGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.GetForm"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.GetForm"]

See Also

Reference

ChangeAvatarForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Form Class

ChangeAvatarFormForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangeAvatarFormForm

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ChangeAvatarFormForm type exposes the following members.

Constructors
 | Name | Description
Public method | ChangeAvatarFormForm | Initializes a new instance of the ChangeAvatarFormForm class
Top
Properties
 | Name | Description
Public property | Avatar | 头像
Public property | DeleteAvatar | 删除头像
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Form Constructor

ChangeAvatarFormForm Constructor

Initializes a new instance of the ChangeAvatarFormForm class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


Form Properties

The ChangeAvatarFormForm type exposes the following members.

Properties
 | Name | Description
Public property | Avatar | 头像
Public property | DeleteAvatar | 删除头像
Top
See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Form.Avatar Property

ChangeAvatarFormFormAvatar Property

头像

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile Avatar { get; set; }
Public Property Avatar As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ Avatar {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member Avatar : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Form.DeleteAvatar Property

ChangeAvatarFormFormDeleteAvatar Property

删除头像

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool DeleteAvatar { get; set; }
Public Property DeleteAvatar As Boolean
    Get
    Set
public:
property bool DeleteAvatar {
    bool get ();
    void set (bool value);
}
member DeleteAvatar : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


Form Methods

The ChangeAvatarFormForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Form.OnBind Method

ChangeAvatarFormFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangeAvatarForm.Form.OnSubmit Method

ChangeAvatarFormFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangeAvatarForm.Form.OnSubmit"]

See Also

Reference

ChangeAvatarFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm Class
修改自身密码的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesFormUserPanelControllerBase
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangePasswordForm

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ChangePasswordForm : FormUserPanelControllerBase
Public Class ChangePasswordForm
    Inherits FormUserPanelControllerBase
public ref class ChangePasswordForm : public FormUserPanelControllerBase
type ChangePasswordForm =
    class
        inherit FormUserPanelControllerBase
    end

The ChangePasswordForm type exposes the following members.

Constructors
 | Name | Description
Public method | ChangePasswordForm | Initializes a new instance of the ChangePasswordForm class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm Constructor

Initializes a new instance of the ChangePasswordForm class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ChangePasswordForm()
Public Sub New
public:
ChangePasswordForm()
new : unit -> ChangePasswordForm
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm Properties

The ChangePasswordForm type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Group Property

ChangePasswordFormGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.Group"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.GroupIconClass Property

ChangePasswordFormGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.GroupIconClass"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.IconClass Property

ChangePasswordFormIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.IconClass"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Name Property

ChangePasswordFormName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.Name"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Url Property

ChangePasswordFormUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.Url"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm Methods

The ChangePasswordForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.GetForm Method

ChangePasswordFormGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.GetForm"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.GetForm"]

See Also

Reference

ChangePasswordForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form Class

ChangePasswordFormForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangePasswordFormForm

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ChangePasswordFormForm type exposes the following members.

Constructors
 | Name | Description
Public method | ChangePasswordFormForm | Initializes a new instance of the ChangePasswordFormForm class
Top
Properties
 | Name | Description
Public property | ConfirmPassword | 确认密码
Public property | OldPassword | 原密码
Public property | Password | 密码
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form Constructor

ChangePasswordFormForm Constructor

Initializes a new instance of the ChangePasswordFormForm class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


Form Properties

The ChangePasswordFormForm type exposes the following members.

Properties
 | Name | Description
Public property | ConfirmPassword | 确认密码
Public property | OldPassword | 原密码
Public property | Password | 密码
Top
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form.ConfirmPassword Property

ChangePasswordFormFormConfirmPassword Property

确认密码

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ConfirmPassword { get; set; }
Public Property ConfirmPassword As String
    Get
    Set
public:
property String^ ConfirmPassword {
    String^ get ();
    void set (String^ value);
}
member ConfirmPassword : string with get, set

Property Value

Type: String
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form.OldPassword Property

ChangePasswordFormFormOldPassword Property

原密码

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OldPassword { get; set; }
Public Property OldPassword As String
    Get
    Set
public:
property String^ OldPassword {
    String^ get ();
    void set (String^ value);
}
member OldPassword : string with get, set

Property Value

Type: String
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form.Password Property

ChangePasswordFormFormPassword Property

密码

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Password { get; set; }
Public Property Password As String
    Get
    Set
public:
property String^ Password {
    String^ get ();
    void set (String^ value);
}
member Password : string with get, set

Property Value

Type: String
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


Form Methods

The ChangePasswordFormForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form.OnBind Method

ChangePasswordFormFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ChangePasswordForm.Form.OnSubmit Method

ChangePasswordFormFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.ChangePasswordForm.Form.OnSubmit"]

See Also

Reference

ChangePasswordFormForm Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


UserPanelApiController Class
Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.src.ControllersUserPanelApiController

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserPanelApiController : IController
Public Class UserPanelApiController
    Implements IController
public ref class UserPanelApiController : IController
type UserPanelApiController =
    class
        interface IController
    end

The UserPanelApiController type exposes the following members.

Constructors
 | Name | Description
Public method | UserPanelApiController | Initializes a new instance of the UserPanelApiController class
Top
Methods
 | Name | Description
Public method | UserPanelMenuGroups | 获取用户中心的菜单项分组列表
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


UserPanelApiController Constructor

Initializes a new instance of the UserPanelApiController class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserPanelApiController()
Public Sub New
public:
UserPanelApiController()
new : unit -> UserPanelApiController
See Also

Reference

UserPanelApiController Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


UserPanelApiController Methods

The UserPanelApiController type exposes the following members.

Methods
 | Name | Description
Public method | UserPanelMenuGroups | 获取用户中心的菜单项分组列表
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

UserPanelApiController Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


UserPanelApiController.UserPanelMenuGroups Method

UserPanelApiControllerUserPanelMenuGroups Method

获取用户中心的菜单项分组列表

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult UserPanelMenuGroups()
Public Function UserPanelMenuGroups As IActionResult
public:
IActionResult^ UserPanelMenuGroups()
member UserPanelMenuGroups : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.Controllers.UserPanelApiController.UserPanelMenuGroups"]

See Also

Reference

UserPanelApiController Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers Namespace


ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases"]

Classes
 | Class | Description
Public class | CrudUserPanelControllerBaseTEntity, TPrimaryKey | 支持增删查改数据的后台页面控制器
Public class | FormUserPanelControllerBase | 带单个表单的用户中心页面控制器
Public class | SimpleUserPanelControllerBase | 简单的用户中心页面控制器


CrudUserPanelControllerBase(TEntity, TPrimaryKey) Class

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
支持增删查改数据的后台页面控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase TEntity, TPrimaryKey
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesCrudUserPanelControllerBaseTEntity, TPrimaryKey
ZKWeb.Plugins.Shopping.Order.src.ControllersShippingAddressCrudController
ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudController
ZKWeb.Plugins.Shopping.ProductBookmark.src.ControllersProductBookmarkCrudController

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class CrudUserPanelControllerBase<TEntity, TPrimaryKey> : CrudMenuPageControllerBase<TEntity, TPrimaryKey>,
    IUserPanelMenuProvider, IMenuProvider
where TEntity : class, Object, IEntity<TPrimaryKey>

Public MustInherit Class CrudUserPanelControllerBase(Of TEntity As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey)
    Inherits CrudMenuPageControllerBase(Of TEntity, TPrimaryKey)
    Implements IUserPanelMenuProvider, IMenuProvider
generic<typename TEntity, typename TPrimaryKey>
where TEntity : ref class, Object, IEntity<TPrimaryKey>
public ref class CrudUserPanelControllerBase abstract : public CrudMenuPageControllerBase<TEntity, TPrimaryKey>,
    IUserPanelMenuProvider, IMenuProvider
[<AbstractClassAttribute>]
type CrudUserPanelControllerBase<'TEntity, 'TPrimaryKey when 'TEntity : not struct and Object and IEntity<'TPrimaryKey>> =
    class
        inherit CrudMenuPageControllerBase<'TEntity, 'TPrimaryKey>
        interface IUserPanelMenuProvider
        interface IMenuProvider
    end

Type Parameters

TEntity
数据类型
TPrimaryKey
主键类型

The CrudUserPanelControllerBaseTEntity, TPrimaryKey type exposes the following members.

Constructors
 | Name | Description
Protected method | CrudUserPanelControllerBaseTEntity, TPrimaryKey | Initializes a new instance of the CrudUserPanelControllerBaseTEntity, TPrimaryKey class
Top
Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath.)
Protected property | ConcernEntityOwnership | 默认需要按实体的所属用户进行隔离 (Overrides CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership.)
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | EditTemplatePath | 编辑页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | ListTemplatePath | 列表页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | RequiredPrivileges | 默认不需要其他权限，但要做好数据隔离 (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyRequiredPrivileges.)
Public property | RequiredUserType | 默认需要用户登录 (Overrides CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey) Constructor

CrudUserPanelControllerBaseTEntity, TPrimaryKey Constructor

Initializes a new instance of the CrudUserPanelControllerBaseTEntity, TPrimaryKey class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected CrudUserPanelControllerBase()
Protected Sub New
protected:
CrudUserPanelControllerBase()
new : unit -> CrudUserPanelControllerBase
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey) Properties

CrudUserPanelControllerBaseTEntity, TPrimaryKey Properties

The CrudUserPanelControllerBaseTEntity, TPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Public property | AddTemplatePath | 添加页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddTemplatePath.)
Protected property | ConcernEntityOwnership | 默认需要按实体的所属用户进行隔离 (Overrides CrudControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership.)
Public property | DeleteForeverPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges.)
Public property | DeletePrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyDeletePrivileges.)
Public property | EditPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditPrivileges.)
Public property | EditTemplatePath | 编辑页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | ListTemplatePath | 列表页的模板路径 (Overrides CrudControllerBaseTEntity, TPrimaryKeyListTemplatePath.)
Public property | RequiredPrivileges | 默认不需要其他权限，但要做好数据隔离 (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyRequiredPrivileges.)
Public property | RequiredUserType | 默认需要用户登录 (Overrides CrudControllerBaseTEntity, TPrimaryKeyRequiredUserType.)
Public property | ViewPrivileges | (Overrides CrudControllerBaseTEntity, TPrimaryKeyViewPrivileges.)
Top
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).AddTemplatePath Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyAddTemplatePath Property

添加页的模板路径

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddTemplatePath { get; }
Public Overrides ReadOnly Property AddTemplatePath As String
    Get
public:
virtual property String^ AddTemplatePath {
    String^ get () override;
}
abstract AddTemplatePath : string with get
override AddTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerAddTemplatePath
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).ConcernEntityOwnership Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyConcernEntityOwnership Property

默认需要按实体的所属用户进行隔离

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override bool ConcernEntityOwnership { get; }
Protected Overrides ReadOnly Property ConcernEntityOwnership As Boolean
    Get
protected:
virtual property bool ConcernEntityOwnership {
    bool get () override;
}
abstract ConcernEntityOwnership : bool with get
override ConcernEntityOwnership : bool with get

Property Value

Type: Boolean
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).DeleteForeverPrivileges Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyDeleteForeverPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases.CrudUserPanelControllerBase`2.DeleteForeverPrivileges"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeleteForeverPrivileges { get; }
Public Overrides ReadOnly Property DeleteForeverPrivileges As String()
    Get
public:
virtual property array<String^>^ DeleteForeverPrivileges {
    array<String^>^ get () override;
}
abstract DeleteForeverPrivileges : string[] with get
override DeleteForeverPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeleteForeverPrivileges
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).DeletePrivileges Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyDeletePrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases.CrudUserPanelControllerBase`2.DeletePrivileges"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] DeletePrivileges { get; }
Public Overrides ReadOnly Property DeletePrivileges As String()
    Get
public:
virtual property array<String^>^ DeletePrivileges {
    array<String^>^ get () override;
}
abstract DeletePrivileges : string[] with get
override DeletePrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerDeletePrivileges
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).EditPrivileges Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyEditPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases.CrudUserPanelControllerBase`2.EditPrivileges"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] EditPrivileges { get; }
Public Overrides ReadOnly Property EditPrivileges As String()
    Get
public:
virtual property array<String^>^ EditPrivileges {
    array<String^>^ get () override;
}
abstract EditPrivileges : string[] with get
override EditPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerEditPrivileges
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).EditTemplatePath Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyEditTemplatePath Property

编辑页的模板路径

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EditTemplatePath { get; }
Public Overrides ReadOnly Property EditTemplatePath As String
    Get
public:
virtual property String^ EditTemplatePath {
    String^ get () override;
}
abstract EditTemplatePath : string with get
override EditTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerEditTemplatePath
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).ListTemplatePath Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyListTemplatePath Property

列表页的模板路径

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ListTemplatePath { get; }
Public Overrides ReadOnly Property ListTemplatePath As String
    Get
public:
virtual property String^ ListTemplatePath {
    String^ get () override;
}
abstract ListTemplatePath : string with get
override ListTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerListTemplatePath
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).RequiredPrivileges Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyRequiredPrivileges Property

默认不需要其他权限，但要做好数据隔离

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] RequiredPrivileges { get; }
Public Overrides ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () override;
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).RequiredUserType Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyRequiredUserType Property

默认需要用户登录

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

ICrudControllerRequiredUserType
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


CrudUserPanelControllerBase(TEntity, TPrimaryKey).ViewPrivileges Property

CrudUserPanelControllerBaseTEntity, TPrimaryKeyViewPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases.CrudUserPanelControllerBase`2.ViewPrivileges"]

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] ViewPrivileges { get; }
Public Overrides ReadOnly Property ViewPrivileges As String()
    Get
public:
virtual property array<String^>^ ViewPrivileges {
    array<String^>^ get () override;
}
abstract ViewPrivileges : string[] with get
override ViewPrivileges : string[] with get

Property Value

Type: String

Implements

ICrudControllerViewPrivileges
See Also

Reference

CrudUserPanelControllerBaseTEntity, TPrimaryKey Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


FormUserPanelControllerBase Class
带单个表单的用户中心页面控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesFormUserPanelControllerBase
ZKWeb.Plugins.Common.UserContact.src.ControllersContactInfoController
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangeAvatarForm
ZKWeb.Plugins.Common.UserPanel.src.ControllersChangePasswordForm

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class FormUserPanelControllerBase : FormMenuPageControllerBase,
    IUserPanelMenuProvider, IMenuProvider
Public MustInherit Class FormUserPanelControllerBase
    Inherits FormMenuPageControllerBase
    Implements IUserPanelMenuProvider, IMenuProvider
public ref class FormUserPanelControllerBase abstract : public FormMenuPageControllerBase,
    IUserPanelMenuProvider, IMenuProvider
[<AbstractClassAttribute>]
type FormUserPanelControllerBase =
    class
        inherit FormMenuPageControllerBase
        interface IUserPanelMenuProvider
        interface IMenuProvider
    end

The FormUserPanelControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | FormUserPanelControllerBase | Initializes a new instance of the FormUserPanelControllerBase class
Top
Properties
 | Name | Description
Public property | RequiredPrivileges | 默认不需要其他权限，但要做好数据隔离 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要用户登录 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Public property | TemplatePath | 模板路径 (Overrides FormMenuPageControllerBaseTemplatePath.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


FormUserPanelControllerBase Constructor

Initializes a new instance of the FormUserPanelControllerBase class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected FormUserPanelControllerBase()
Protected Sub New
protected:
FormUserPanelControllerBase()
new : unit -> FormUserPanelControllerBase
See Also

Reference

FormUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


FormUserPanelControllerBase Properties

The FormUserPanelControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | RequiredPrivileges | 默认不需要其他权限，但要做好数据隔离 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要用户登录 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Public property | TemplatePath | 模板路径 (Overrides FormMenuPageControllerBaseTemplatePath.)
Top
See Also

Reference

FormUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


FormUserPanelControllerBase.RequiredPrivileges Property

FormUserPanelControllerBaseRequiredPrivileges Property

默认不需要其他权限，但要做好数据隔离

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] RequiredPrivileges { get; }
Public Overrides ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () override;
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

FormUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


FormUserPanelControllerBase.RequiredUserType Property

FormUserPanelControllerBaseRequiredUserType Property

默认需要用户登录

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IMenuPageRequiredUserType
See Also

Reference

FormUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


FormUserPanelControllerBase.TemplatePath Property

FormUserPanelControllerBaseTemplatePath Property

模板路径

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TemplatePath { get; }
Public Overrides ReadOnly Property TemplatePath As String
    Get
public:
virtual property String^ TemplatePath {
    String^ get () override;
}
abstract TemplatePath : string with get
override TemplatePath : string with get

Property Value

Type: String
See Also

Reference

FormUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


SimpleUserPanelControllerBase Class
简单的用户中心页面控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesSimpleUserPanelControllerBase

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class SimpleUserPanelControllerBase : SimpleMenuPageControllerBase,
    IUserPanelMenuProvider, IMenuProvider
Public MustInherit Class SimpleUserPanelControllerBase
    Inherits SimpleMenuPageControllerBase
    Implements IUserPanelMenuProvider, IMenuProvider
public ref class SimpleUserPanelControllerBase abstract : public SimpleMenuPageControllerBase,
    IUserPanelMenuProvider, IMenuProvider
[<AbstractClassAttribute>]
type SimpleUserPanelControllerBase =
    class
        inherit SimpleMenuPageControllerBase
        interface IUserPanelMenuProvider
        interface IMenuProvider
    end

The SimpleUserPanelControllerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | SimpleUserPanelControllerBase | Initializes a new instance of the SimpleUserPanelControllerBase class
Top
Properties
 | Name | Description
Public property | RequiredPrivileges | 默认不需要其他权限，但要做好数据隔离 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要用户登录 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


SimpleUserPanelControllerBase Constructor

Initializes a new instance of the SimpleUserPanelControllerBase class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected SimpleUserPanelControllerBase()
Protected Sub New
protected:
SimpleUserPanelControllerBase()
new : unit -> SimpleUserPanelControllerBase
See Also

Reference

SimpleUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


SimpleUserPanelControllerBase Properties

The SimpleUserPanelControllerBase type exposes the following members.

Properties
 | Name | Description
Public property | RequiredPrivileges | 默认不需要其他权限，但要做好数据隔离 (Overrides SimpleMenuPageControllerBaseRequiredPrivileges.)
Public property | RequiredUserType | 默认需要用户登录 (Overrides SimpleMenuPageControllerBaseRequiredUserType.)
Top
See Also

Reference

SimpleUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


SimpleUserPanelControllerBase.RequiredPrivileges Property

SimpleUserPanelControllerBaseRequiredPrivileges Property

默认不需要其他权限，但要做好数据隔离

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] RequiredPrivileges { get; }
Public Overrides ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () override;
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IMenuPageRequiredPrivileges
See Also

Reference

SimpleUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


SimpleUserPanelControllerBase.RequiredUserType Property

SimpleUserPanelControllerBaseRequiredUserType Property

默认需要用户登录

Namespace: ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override Type RequiredUserType { get; }
Public Overrides ReadOnly Property RequiredUserType As Type
    Get
public:
virtual property Type^ RequiredUserType {
    Type^ get () override;
}
abstract RequiredUserType : Type with get
override RequiredUserType : Type with get

Property Value

Type: Type

Implements

IMenuPageRequiredUserType
See Also

Reference

SimpleUserPanelControllerBase Class
ZKWeb.Plugins.Common.UserPanel.src.Controllers.Bases Namespace


ZKWeb.Plugins.Common.UserPanel.src.MenuPages.UIComponents.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserPanel.src.MenuPages.UIComponents.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IUserPanelMenuProvider | 用户中心菜单项的提供器接口


IUserPanelMenuProvider Interface
用户中心菜单项的提供器接口

Namespace: ZKWeb.Plugins.Common.UserPanel.src.MenuPages.UIComponents.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IUserPanelMenuProvider : IMenuProvider
Public Interface IUserPanelMenuProvider
    Inherits IMenuProvider
public interface class IUserPanelMenuProvider : IMenuProvider
type IUserPanelMenuProvider =
    interface
        interface IMenuProvider
    end
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.MenuPages.UIComponents.Interfaces Namespace


ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders"]

Classes
 | Class | Description
Public class | UserPanelIndex | 在会员中心中添加以下菜单项 会员中心 - 首页


UserPanelIndex Class
在会员中心中添加以下菜单项 会员中心 - 首页
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProvidersUserPanelIndex

Namespace: ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UserPanelIndex : IUserPanelMenuProvider,
    IMenuProvider
Public Class UserPanelIndex
    Implements IUserPanelMenuProvider, IMenuProvider
public ref class UserPanelIndex : IUserPanelMenuProvider,
    IMenuProvider
type UserPanelIndex =
    class
        interface IUserPanelMenuProvider
        interface IMenuProvider
    end

The UserPanelIndex type exposes the following members.

Constructors
 | Name | Description
Public method | UserPanelIndex | Initializes a new instance of the UserPanelIndex class
Top
Methods
 | Name | Description
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders Namespace


UserPanelIndex Constructor

Initializes a new instance of the UserPanelIndex class

Namespace: ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UserPanelIndex()
Public Sub New
public:
UserPanelIndex()
new : unit -> UserPanelIndex
See Also

Reference

UserPanelIndex Class
ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders Namespace


UserPanelIndex Methods

The UserPanelIndex type exposes the following members.

Methods
 | Name | Description
Public method | Setup | 设置显示的菜单项
Top
See Also

Reference

UserPanelIndex Class
ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders Namespace


UserPanelIndex.Setup Method

UserPanelIndexSetup Method

设置显示的菜单项

Namespace: ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Setup(
    IList<MenuItemGroup> groups
)
Public Sub Setup (
    groups As IList(Of MenuItemGroup)
)
public:
virtual void Setup(
    IList<MenuItemGroup^>^ groups
) sealed
abstract Setup :
        groups : IList<MenuItemGroup> -> unit
override Setup :
        groups : IList<MenuItemGroup> -> unit

Parameters

groups
Type: System.Collections.GenericIList MenuItemGroup

[Missing <param name="groups"/> documentation for "M:ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders.UserPanelIndex.Setup(System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.MenuItems.MenuItemGroup})"]

Implements

IMenuProviderSetup(IListMenuItemGroup)
See Also

Reference

UserPanelIndex Class
ZKWeb.Plugins.Common.UserPanel.src.UIComponents.UserPanelMenuProviders Namespace


ZKWeb.Plugins.Finance.Payment.Alipay.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Alipay.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components |
ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller |
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services |


ZKWeb.Plugins.Finance.Payment.Alipay.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates |


ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers"]

Classes
 | Class | Description
Public class | AlipayApiHandler | 支付宝接口的处理器
Public class | AlipayApiHandlerApiData | 接口数据
Enumerations
 | Enumeration | Description
Public enumeration | AlipayServiceTypes | 支付宝的服务类型


AlipayApiHandler Class
支付宝接口的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlersAlipayApiHandler

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlipayApiHandler : IPaymentApiHandler
Public Class AlipayApiHandler
    Implements IPaymentApiHandler
public ref class AlipayApiHandler : IPaymentApiHandler
type AlipayApiHandler =
    class
        interface IPaymentApiHandler
    end

The AlipayApiHandler type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayApiHandler | Initializes a new instance of the AlipayApiHandler class
Top
Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler Constructor

Initializes a new instance of the AlipayApiHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlipayApiHandler()
Public Sub New
public:
AlipayApiHandler()
new : unit -> AlipayApiHandler
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler Properties

The AlipayApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.Type Property

AlipayApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentApiHandlerType
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler Methods

The AlipayApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.CalculatePaymentFee Method

AlipayApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Public Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
public:
virtual void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
) sealed
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit
override CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="api"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

amount
Type: SystemDecimal

[Missing <param name="amount"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

paymentFee
Type: SystemDecimal

[Missing <param name="paymentFee"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

Implements

IPaymentApiHandlerCalculatePaymentFee(PaymentApi, Decimal, Decimal)
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.DeliveryGoods Method

AlipayApiHandlerDeliveryGoods Method

调用发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
) sealed
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

logisticsName
Type: SystemString

[Missing <param name="logisticsName"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

invoiceNo
Type: SystemString

[Missing <param name="invoiceNo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

Implements

IPaymentApiHandlerDeliveryGoods(PaymentTransaction, String, String)
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.GetPaymentHtml Method

AlipayApiHandlerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Public Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
public:
virtual void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
) sealed
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit
override GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

html
Type: HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

Implements

IPaymentApiHandlerGetPaymentHtml(PaymentTransaction, HtmlString)
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.OnFormBind Method

AlipayApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Public Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
public:
virtual void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
) sealed
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit
override OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormBind(PaymentApiEditForm, PaymentApi)
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.OnFormCreated Method

AlipayApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormCreated(
    PaymentApiEditForm form
)
Public Sub OnFormCreated (
    form As PaymentApiEditForm
)
public:
virtual void OnFormCreated(
    PaymentApiEditForm^ form
) sealed
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit
override OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.OnFormCreated(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm)"]

Implements

IPaymentApiHandlerOnFormCreated(PaymentApiEditForm)
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.OnFormSubmit Method

AlipayApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Public Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
public:
virtual void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
) sealed
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit
override OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers.AlipayApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormSubmit(PaymentApiEditForm, PaymentApi)
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler Fields

The AlipayApiHandler type exposes the following members.

Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiDataEditing Field

AlipayApiHandlerApiDataEditing Field
后台编辑表单使用的接口数据

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected AlipayApiHandlerApiData ApiDataEditing
Protected ApiDataEditing As AlipayApiHandlerApiData
protected:
AlipayApiHandlerApiData^ ApiDataEditing
val mutable ApiDataEditing: AlipayApiHandlerApiData

Field Value

Type: AlipayApiHandlerApiData
See Also

Reference

AlipayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData Class

AlipayApiHandlerApiData Class
接口数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlersAlipayApiHandlerApiData

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ApiData
Public Class ApiData
public ref class ApiData
type ApiData =  class end

The AlipayApiHandlerApiData type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayApiHandlerApiData | Initializes a new instance of the AlipayApiHandlerApiData class
Top
Properties
 | Name | Description
Public property | PartnerId | 商户Id
Public property | PartnerKey | 商户密钥
Public property | PayeePartnerId | 收款商户Id
Public property | ReturnDomain | 返回域名
Public property | ServiceType | 服务类型
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData Constructor

AlipayApiHandlerApiData Constructor

Initializes a new instance of the AlipayApiHandlerApiData class

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ApiData()
Public Sub New
public:
ApiData()
new : unit -> ApiData
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


ApiData Properties

The AlipayApiHandlerApiData type exposes the following members.

Properties
 | Name | Description
Public property | PartnerId | 商户Id
Public property | PartnerKey | 商户密钥
Public property | PayeePartnerId | 收款商户Id
Public property | ReturnDomain | 返回域名
Public property | ServiceType | 服务类型
Top
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData.PartnerId Property

AlipayApiHandlerApiDataPartnerId Property

商户Id

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerId { get; set; }
Public Property PartnerId As String
    Get
    Set
public:
property String^ PartnerId {
    String^ get ();
    void set (String^ value);
}
member PartnerId : string with get, set

Property Value

Type: String
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData.PartnerKey Property

AlipayApiHandlerApiDataPartnerKey Property

商户密钥

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerKey { get; set; }
Public Property PartnerKey As String
    Get
    Set
public:
property String^ PartnerKey {
    String^ get ();
    void set (String^ value);
}
member PartnerKey : string with get, set

Property Value

Type: String
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData.PayeePartnerId Property

AlipayApiHandlerApiDataPayeePartnerId Property

收款商户Id

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PayeePartnerId { get; set; }
Public Property PayeePartnerId As String
    Get
    Set
public:
property String^ PayeePartnerId {
    String^ get ();
    void set (String^ value);
}
member PayeePartnerId : string with get, set

Property Value

Type: String
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData.ReturnDomain Property

AlipayApiHandlerApiDataReturnDomain Property

返回域名

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReturnDomain { get; set; }
Public Property ReturnDomain As String
    Get
    Set
public:
property String^ ReturnDomain {
    String^ get ();
    void set (String^ value);
}
member ReturnDomain : string with get, set

Property Value

Type: String
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayApiHandler.ApiData.ServiceType Property

AlipayApiHandlerApiDataServiceType Property

服务类型

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ServiceType { get; set; }
Public Property ServiceType As Integer
    Get
    Set
public:
property int ServiceType {
    int get ();
    void set (int value);
}
member ServiceType : int with get, set

Property Value

Type: Int32
See Also

Reference

AlipayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


AlipayServiceTypes Enumeration
支付宝的服务类型

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum AlipayServiceTypes
Public Enumeration AlipayServiceTypes
public enum class AlipayServiceTypes
type AlipayServiceTypes
Members
Member name | Value | Description
ImmediateArrival | 0 | 即时到账
SecuredTransaction | 1 | 担保交易
DualInterface | 2 | 双接口
WapPay | 3 | 手机支付
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.PaymentApiHandlers Namespace


ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller"]

Classes
 | Class | Description
Public class | AlipayController | 支付宝功能使用的控制器


AlipayController Class
支付宝功能使用的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Finance.Payment.Alipay.src.ControllerAlipayController

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlipayController : ControllerBase
Public Class AlipayController
    Inherits ControllerBase
public ref class AlipayController : public ControllerBase
type AlipayController =
    class
        inherit ControllerBase
    end

The AlipayController type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayController | Initializes a new instance of the AlipayController class
Top
Methods
 | Name | Description
Public method | Notify | 支付宝的异步通知Url
Public method | Return | 支付宝的返回Url
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller Namespace


AlipayController Constructor

Initializes a new instance of the AlipayController class

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlipayController()
Public Sub New
public:
AlipayController()
new : unit -> AlipayController
See Also

Reference

AlipayController Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller Namespace


AlipayController Methods

The AlipayController type exposes the following members.

Methods
 | Name | Description
Public method | Notify | 支付宝的异步通知Url
Public method | Return | 支付宝的返回Url
Top
See Also

Reference

AlipayController Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller Namespace


AlipayController.Notify Method

AlipayControllerNotify Method

支付宝的异步通知Url

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Notify()
Public Function Notify As IActionResult
public:
IActionResult^ Notify()
member Notify : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller.AlipayController.Notify"]

See Also

Reference

AlipayController Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller Namespace


AlipayController.Return Method

AlipayControllerReturn Method

支付宝的返回Url

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Return()
Public Function Return As IActionResult
public:
IActionResult^ Return()
member Return : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller.AlipayController.Return"]

See Also

Reference

AlipayController Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Controller Namespace


ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services"]

Classes
 | Class | Description
Public class | AlipayManager | 支付宝管理器


AlipayManager Class
支付宝管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.ServicesAlipayManager

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlipayManager : DomainServiceBase
Public Class AlipayManager
    Inherits DomainServiceBase
public ref class AlipayManager : public DomainServiceBase
type AlipayManager =
    class
        inherit DomainServiceBase
    end

The AlipayManager type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayManager | Initializes a new instance of the AlipayManager class
Top
Methods
 | Name | Description
Public method | DeliveryGoods | 调用支付宝的发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | ProcessReponse | 处理支付宝的返回结果
Top
Fields
Name | Description
AlipayNotifyUrl | 支付宝的异步通知Url
AlipayReturnUrl | 支付宝的返回Url
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager Constructor

Initializes a new instance of the AlipayManager class

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlipayManager()
Public Sub New
public:
AlipayManager()
new : unit -> AlipayManager
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager Methods

The AlipayManager type exposes the following members.

Methods
 | Name | Description
Public method | DeliveryGoods | 调用支付宝的发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | ProcessReponse | 处理支付宝的返回结果
Top
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager.DeliveryGoods Method

AlipayManagerDeliveryGoods Method

调用支付宝的发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Overridable Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
)
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
logisticsName
Type: SystemString
物流名称
invoiceNo
Type: SystemString
快递单编号
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager.GetPaymentHtml Method

AlipayManagerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetPaymentHtml(
    PaymentTransaction transaction
)
Public Overridable Function GetPaymentHtml (
    transaction As PaymentTransaction
) As HtmlString
public:
virtual HtmlString^ GetPaymentHtml(
    PaymentTransaction^ transaction
)
abstract GetPaymentHtml :
        transaction : PaymentTransaction -> HtmlString
override GetPaymentHtml :
        transaction : PaymentTransaction -> HtmlString

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services.AlipayManager.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager.ProcessReponse Method

AlipayManagerProcessReponse Method

处理支付宝的返回结果

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ProcessReponse(
    SortedDictionary<string, string> parameters,
    bool isNotify,
    out Guid transactionId
)
Public Overridable Sub ProcessReponse (
    parameters As SortedDictionary(Of String, String),
    isNotify As Boolean,
    <OutAttribute> ByRef transactionId As Guid
)
public:
virtual void ProcessReponse(
    SortedDictionary<String^, String^>^ parameters,
    bool isNotify,
    [OutAttribute] Guid% transactionId
)
abstract ProcessReponse :
        parameters : SortedDictionary<string, string> *
        isNotify : bool *
        transactionId : Guid byref -> unit
override ProcessReponse :
        parameters : SortedDictionary<string, string> *
        isNotify : bool *
        transactionId : Guid byref -> unit

Parameters

parameters
Type: System.Collections.GenericSortedDictionary String, String
参数列表
isNotify
Type: SystemBoolean
是否异步返回的结果
transactionId
Type: SystemGuid
对应的交易Id
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager Fields

The AlipayManager type exposes the following members.

Fields
Name | Description
AlipayNotifyUrl | 支付宝的异步通知Url
AlipayReturnUrl | 支付宝的返回Url
Top
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager.AlipayNotifyUrl Field

AlipayManagerAlipayNotifyUrl Field
支付宝的异步通知Url

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlipayNotifyUrl = "/payment/alipay/notify"
Public Const AlipayNotifyUrl As String = "/payment/alipay/notify"
public:
literal String^ AlipayNotifyUrl = "/payment/alipay/notify"
static val mutable AlipayNotifyUrl: string

Field Value

Type: String
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


AlipayManager.AlipayReturnUrl Field

AlipayManagerAlipayReturnUrl Field
支付宝的返回Url

Namespace: ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlipayReturnUrl = "/payment/alipay/return"
Public Const AlipayReturnUrl As String = "/payment/alipay/return"
public:
literal String^ AlipayReturnUrl = "/payment/alipay/return"
static val mutable AlipayReturnUrl: string

Field Value

Type: String
See Also

Reference

AlipayManager Class
ZKWeb.Plugins.Finance.Payment.Alipay.src.Domain.Services Namespace


ZKWeb.Plugins.Finance.Payment.AlipayMobile.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components |
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller |
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services |


ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates |


ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers"]

Classes
 | Class | Description
Public class | AlipayQRCodeApiHandler | 支付宝扫码支付的处理器
Public class | AlipayQRCodeApiHandlerApiData | 接口数据


AlipayQRCodeApiHandler Class
支付宝扫码支付的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlersAlipayQRCodeApiHandler

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlipayQRCodeApiHandler : IPaymentApiHandler
Public Class AlipayQRCodeApiHandler
    Implements IPaymentApiHandler
public ref class AlipayQRCodeApiHandler : IPaymentApiHandler
type AlipayQRCodeApiHandler =
    class
        interface IPaymentApiHandler
    end

The AlipayQRCodeApiHandler type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayQRCodeApiHandler | Initializes a new instance of the AlipayQRCodeApiHandler class
Top
Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口 支付宝扫码支付不需要调发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler Constructor

Initializes a new instance of the AlipayQRCodeApiHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlipayQRCodeApiHandler()
Public Sub New
public:
AlipayQRCodeApiHandler()
new : unit -> AlipayQRCodeApiHandler
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler Properties

The AlipayQRCodeApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.Type Property

AlipayQRCodeApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentApiHandlerType
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler Methods

The AlipayQRCodeApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口 支付宝扫码支付不需要调发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.CalculatePaymentFee Method

AlipayQRCodeApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Public Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
public:
virtual void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
) sealed
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit
override CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="api"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

amount
Type: SystemDecimal

[Missing <param name="amount"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

paymentFee
Type: SystemDecimal

[Missing <param name="paymentFee"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

Implements

IPaymentApiHandlerCalculatePaymentFee(PaymentApi, Decimal, Decimal)
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.DeliveryGoods Method

AlipayQRCodeApiHandlerDeliveryGoods Method

调用发货接口 支付宝扫码支付不需要调发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
) sealed
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

logisticsName
Type: SystemString

[Missing <param name="logisticsName"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

invoiceNo
Type: SystemString

[Missing <param name="invoiceNo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

Implements

IPaymentApiHandlerDeliveryGoods(PaymentTransaction, String, String)
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.GetPaymentHtml Method

AlipayQRCodeApiHandlerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Public Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
public:
virtual void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
) sealed
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit
override GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

html
Type: HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

Implements

IPaymentApiHandlerGetPaymentHtml(PaymentTransaction, HtmlString)
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.OnFormBind Method

AlipayQRCodeApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Public Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
public:
virtual void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
) sealed
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit
override OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormBind(PaymentApiEditForm, PaymentApi)
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.OnFormCreated Method

AlipayQRCodeApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormCreated(
    PaymentApiEditForm form
)
Public Sub OnFormCreated (
    form As PaymentApiEditForm
)
public:
virtual void OnFormCreated(
    PaymentApiEditForm^ form
) sealed
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit
override OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.OnFormCreated(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm)"]

Implements

IPaymentApiHandlerOnFormCreated(PaymentApiEditForm)
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.OnFormSubmit Method

AlipayQRCodeApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Public Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
public:
virtual void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
) sealed
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit
override OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormSubmit(PaymentApiEditForm, PaymentApi)
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler Fields

The AlipayQRCodeApiHandler type exposes the following members.

Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiDataEditing Field

AlipayQRCodeApiHandlerApiDataEditing Field
后台编辑表单使用的接口数据

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected AlipayQRCodeApiHandlerApiData ApiDataEditing
Protected ApiDataEditing As AlipayQRCodeApiHandlerApiData
protected:
AlipayQRCodeApiHandlerApiData^ ApiDataEditing
val mutable ApiDataEditing: AlipayQRCodeApiHandlerApiData

Field Value

Type: AlipayQRCodeApiHandlerApiData
See Also

Reference

AlipayQRCodeApiHandler Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData Class

AlipayQRCodeApiHandlerApiData Class
接口数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlersAlipayQRCodeApiHandlerApiData

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ApiData
Public Class ApiData
public ref class ApiData
type ApiData =  class end

The AlipayQRCodeApiHandlerApiData type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayQRCodeApiHandlerApiData | Initializes a new instance of the AlipayQRCodeApiHandlerApiData class
Top
Properties
 | Name | Description
Public property | AppId | AppId
Public property | PartnerId | 商户Id
Public property | PartnerKey | 商户密钥
Public property | PayeePartnerId | 收款商户Id
Public property | ReturnDomain | 返回域名
Top
Methods
 | Name | Description
Public method | GetPartnerKeyBody | 获取商户密钥，除去头部和尾部
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData Constructor

AlipayQRCodeApiHandlerApiData Constructor

Initializes a new instance of the AlipayQRCodeApiHandlerApiData class

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ApiData()
Public Sub New
public:
ApiData()
new : unit -> ApiData
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


ApiData Properties

The AlipayQRCodeApiHandlerApiData type exposes the following members.

Properties
 | Name | Description
Public property | AppId | AppId
Public property | PartnerId | 商户Id
Public property | PartnerKey | 商户密钥
Public property | PayeePartnerId | 收款商户Id
Public property | ReturnDomain | 返回域名
Top
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData.AppId Property

AlipayQRCodeApiHandlerApiDataAppId Property

AppId

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string AppId { get; set; }
Public Property AppId As String
    Get
    Set
public:
property String^ AppId {
    String^ get ();
    void set (String^ value);
}
member AppId : string with get, set

Property Value

Type: String
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData.PartnerId Property

AlipayQRCodeApiHandlerApiDataPartnerId Property

商户Id

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerId { get; set; }
Public Property PartnerId As String
    Get
    Set
public:
property String^ PartnerId {
    String^ get ();
    void set (String^ value);
}
member PartnerId : string with get, set

Property Value

Type: String
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData.PartnerKey Property

AlipayQRCodeApiHandlerApiDataPartnerKey Property

商户密钥

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerKey { get; set; }
Public Property PartnerKey As String
    Get
    Set
public:
property String^ PartnerKey {
    String^ get ();
    void set (String^ value);
}
member PartnerKey : string with get, set

Property Value

Type: String
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData.PayeePartnerId Property

AlipayQRCodeApiHandlerApiDataPayeePartnerId Property

收款商户Id

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PayeePartnerId { get; set; }
Public Property PayeePartnerId As String
    Get
    Set
public:
property String^ PayeePartnerId {
    String^ get ();
    void set (String^ value);
}
member PayeePartnerId : string with get, set

Property Value

Type: String
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData.ReturnDomain Property

AlipayQRCodeApiHandlerApiDataReturnDomain Property

返回域名

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReturnDomain { get; set; }
Public Property ReturnDomain As String
    Get
    Set
public:
property String^ ReturnDomain {
    String^ get ();
    void set (String^ value);
}
member ReturnDomain : string with get, set

Property Value

Type: String
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


ApiData Methods

The AlipayQRCodeApiHandlerApiData type exposes the following members.

Methods
 | Name | Description
Public method | GetPartnerKeyBody | 获取商户密钥，除去头部和尾部
Top
See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


AlipayQRCodeApiHandler.ApiData.GetPartnerKeyBody Method

AlipayQRCodeApiHandlerApiDataGetPartnerKeyBody Method

获取商户密钥，除去头部和尾部

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetPartnerKeyBody()
Public Function GetPartnerKeyBody As String
public:
String^ GetPartnerKeyBody()
member GetPartnerKeyBody : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.ApiData.GetPartnerKeyBody"]

See Also

Reference

AlipayQRCodeApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers Namespace


ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller"]

Classes
 | Class | Description
Public class | AlipayMobileController | 移动端支付宝控制器


AlipayMobileController Class
移动端支付宝控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.ControllerAlipayMobileController

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlipayMobileController : ControllerBase
Public Class AlipayMobileController
    Inherits ControllerBase
public ref class AlipayMobileController : public ControllerBase
type AlipayMobileController =
    class
        inherit ControllerBase
    end

The AlipayMobileController type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayMobileController | Initializes a new instance of the AlipayMobileController class
Top
Methods
 | Name | Description
Public method | QRCodePayNotify | 支付宝扫码支付的异步通知
Public method | UpdateTransactionState | 更新扫码支付的交易状态
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller Namespace


AlipayMobileController Constructor

Initializes a new instance of the AlipayMobileController class

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlipayMobileController()
Public Sub New
public:
AlipayMobileController()
new : unit -> AlipayMobileController
See Also

Reference

AlipayMobileController Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller Namespace


AlipayMobileController Methods

The AlipayMobileController type exposes the following members.

Methods
 | Name | Description
Public method | QRCodePayNotify | 支付宝扫码支付的异步通知
Public method | UpdateTransactionState | 更新扫码支付的交易状态
Top
See Also

Reference

AlipayMobileController Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller Namespace


AlipayMobileController.QRCodePayNotify Method

AlipayMobileControllerQRCodePayNotify Method

支付宝扫码支付的异步通知

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult QRCodePayNotify()
Public Function QRCodePayNotify As IActionResult
public:
IActionResult^ QRCodePayNotify()
member QRCodePayNotify : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller.AlipayMobileController.QRCodePayNotify"]

See Also

Reference

AlipayMobileController Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller Namespace


AlipayMobileController.UpdateTransactionState Method

AlipayMobileControllerUpdateTransactionState Method

更新扫码支付的交易状态

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult UpdateTransactionState(
    Guid transactionId
)
Public Function UpdateTransactionState (
    transactionId As Guid
) As IActionResult
public:
IActionResult^ UpdateTransactionState(
    Guid transactionId
)
member UpdateTransactionState :
        transactionId : Guid -> IActionResult

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller.AlipayMobileController.UpdateTransactionState(System.Guid)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller.AlipayMobileController.UpdateTransactionState(System.Guid)"]

See Also

Reference

AlipayMobileController Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Controller Namespace


ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services"]

Classes
 | Class | Description
Public class | AlipayMobileManager | 移动端支付宝管理器


AlipayMobileManager Class
移动端支付宝管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.ServicesAlipayMobileManager

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AlipayMobileManager : DomainServiceBase
Public Class AlipayMobileManager
    Inherits DomainServiceBase
public ref class AlipayMobileManager : public DomainServiceBase
type AlipayMobileManager =
    class
        inherit DomainServiceBase
    end

The AlipayMobileManager type exposes the following members.

Constructors
 | Name | Description
Public method | AlipayMobileManager | Initializes a new instance of the AlipayMobileManager class
Top
Methods
 | Name | Description
Public method | CheckSign | 检查支付宝返回的参数签名
Public method | GetAopClient | 获取支付宝开放平台的客户端实例
Public method | GetQRCodePaymentHtml | 获取扫码支付的Html
Public method | ProcessNotify | 处理支付宝返回的异步通知
Public method | UpdateTransactionState | 调用支付宝的查询接口查询交易状态 根据返回结果更新交易
Top
Fields
Name | Description
AlipayGatewayUrl | 支付宝开放平台网关的Url
AlipayPublicKey | 支付宝的RSA公钥
AlipayQRCodePayNotifyUrl | 支付宝扫码支付的异步通知Url
SandBoxAlipayGatewayUrl | 沙箱支付宝开放平台网关的Url
SandBoxAlipayPublicKey | 沙箱支付宝的RSA公钥
SignType | 签名类型, 目前使用的是RSA + SHA1
UseSandBox | 是否使用沙箱
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager Constructor

Initializes a new instance of the AlipayMobileManager class

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AlipayMobileManager()
Public Sub New
public:
AlipayMobileManager()
new : unit -> AlipayMobileManager
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager Methods

The AlipayMobileManager type exposes the following members.

Methods
 | Name | Description
Public method | CheckSign | 检查支付宝返回的参数签名
Public method | GetAopClient | 获取支付宝开放平台的客户端实例
Public method | GetQRCodePaymentHtml | 获取扫码支付的Html
Public method | ProcessNotify | 处理支付宝返回的异步通知
Public method | UpdateTransactionState | 调用支付宝的查询接口查询交易状态 根据返回结果更新交易
Top
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.CheckSign Method

AlipayMobileManagerCheckSign Method

检查支付宝返回的参数签名

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool CheckSign(
    SortedDictionary<string, string> parameters
)
Public Overridable Function CheckSign (
    parameters As SortedDictionary(Of String, String)
) As Boolean
public:
virtual bool CheckSign(
    SortedDictionary<String^, String^>^ parameters
)
abstract CheckSign :
        parameters : SortedDictionary<string, string> -> bool
override CheckSign :
        parameters : SortedDictionary<string, string> -> bool

Parameters

parameters
Type: System.Collections.GenericSortedDictionary String, String
参数列表

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services.AlipayMobileManager.CheckSign(System.Collections.Generic.SortedDictionary{System.String,System.String})"]

See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.GetAopClient Method

AlipayMobileManagerGetAopClient Method

获取支付宝开放平台的客户端实例

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IAopClient GetAopClient(
    AlipayQRCodeApiHandlerApiData apiData
)
Public Overridable Function GetAopClient (
    apiData As AlipayQRCodeApiHandlerApiData
) As IAopClient
public:
virtual IAopClient^ GetAopClient(
    AlipayQRCodeApiHandlerApiData^ apiData
)
abstract GetAopClient :
        apiData : AlipayQRCodeApiHandlerApiData -> IAopClient
override GetAopClient :
        apiData : AlipayQRCodeApiHandlerApiData -> IAopClient

Parameters

apiData
Type: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlersAlipayQRCodeApiHandlerApiData
接口数据

Return Value

Type: IAopClient

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services.AlipayMobileManager.GetAopClient(ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Components.PaymentApiHandlers.AlipayQRCodeApiHandler.ApiData)"]

See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.GetQRCodePaymentHtml Method

AlipayMobileManagerGetQRCodePaymentHtml Method

获取扫码支付的Html

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetQRCodePaymentHtml(
    PaymentTransaction transaction
)
Public Overridable Function GetQRCodePaymentHtml (
    transaction As PaymentTransaction
) As HtmlString
public:
virtual HtmlString^ GetQRCodePaymentHtml(
    PaymentTransaction^ transaction
)
abstract GetQRCodePaymentHtml :
        transaction : PaymentTransaction -> HtmlString
override GetQRCodePaymentHtml :
        transaction : PaymentTransaction -> HtmlString

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services.AlipayMobileManager.GetQRCodePaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.ProcessNotify Method

AlipayMobileManagerProcessNotify Method

处理支付宝返回的异步通知

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ProcessNotify(
    SortedDictionary<string, string> parameters,
    out Guid transactionId
)
Public Overridable Sub ProcessNotify (
    parameters As SortedDictionary(Of String, String),
    <OutAttribute> ByRef transactionId As Guid
)
public:
virtual void ProcessNotify(
    SortedDictionary<String^, String^>^ parameters,
    [OutAttribute] Guid% transactionId
)
abstract ProcessNotify :
        parameters : SortedDictionary<string, string> *
        transactionId : Guid byref -> unit
override ProcessNotify :
        parameters : SortedDictionary<string, string> *
        transactionId : Guid byref -> unit

Parameters

parameters
Type: System.Collections.GenericSortedDictionary String, String
参数
transactionId
Type: SystemGuid
对应的交易Id
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.UpdateTransactionState Method

AlipayMobileManagerUpdateTransactionState Method

调用支付宝的查询接口查询交易状态 根据返回结果更新交易

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void UpdateTransactionState(
    Guid transactionId
)
Public Overridable Sub UpdateTransactionState (
    transactionId As Guid
)
public:
virtual void UpdateTransactionState(
    Guid transactionId
)
abstract UpdateTransactionState :
        transactionId : Guid -> unit
override UpdateTransactionState :
        transactionId : Guid -> unit

Parameters

transactionId
Type: SystemGuid
交易Id

Return Value

Type:
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager Fields

The AlipayMobileManager type exposes the following members.

Fields
Name | Description
AlipayGatewayUrl | 支付宝开放平台网关的Url
AlipayPublicKey | 支付宝的RSA公钥
AlipayQRCodePayNotifyUrl | 支付宝扫码支付的异步通知Url
SandBoxAlipayGatewayUrl | 沙箱支付宝开放平台网关的Url
SandBoxAlipayPublicKey | 沙箱支付宝的RSA公钥
SignType | 签名类型, 目前使用的是RSA + SHA1
UseSandBox | 是否使用沙箱
Top
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.AlipayGatewayUrl Field

AlipayMobileManagerAlipayGatewayUrl Field
支付宝开放平台网关的Url

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string AlipayGatewayUrl
Public Shared AlipayGatewayUrl As String
public:
static String^ AlipayGatewayUrl
static val mutable AlipayGatewayUrl: string

Field Value

Type: String
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.AlipayPublicKey Field

AlipayMobileManagerAlipayPublicKey Field
支付宝的RSA公钥

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string AlipayPublicKey
Public Shared AlipayPublicKey As String
public:
static String^ AlipayPublicKey
static val mutable AlipayPublicKey: string

Field Value

Type: String
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.AlipayQRCodePayNotifyUrl Field

AlipayMobileManagerAlipayQRCodePayNotifyUrl Field
支付宝扫码支付的异步通知Url

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlipayQRCodePayNotifyUrl = "/payment/alipay_qrcode_pay/notify"
Public Const AlipayQRCodePayNotifyUrl As String = "/payment/alipay_qrcode_pay/notify"
public:
literal String^ AlipayQRCodePayNotifyUrl = "/payment/alipay_qrcode_pay/notify"
static val mutable AlipayQRCodePayNotifyUrl: string

Field Value

Type: String
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.SandBoxAlipayGatewayUrl Field

AlipayMobileManagerSandBoxAlipayGatewayUrl Field
沙箱支付宝开放平台网关的Url

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string SandBoxAlipayGatewayUrl
Public Shared SandBoxAlipayGatewayUrl As String
public:
static String^ SandBoxAlipayGatewayUrl
static val mutable SandBoxAlipayGatewayUrl: string

Field Value

Type: String
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.SandBoxAlipayPublicKey Field

AlipayMobileManagerSandBoxAlipayPublicKey Field
沙箱支付宝的RSA公钥

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string SandBoxAlipayPublicKey
Public Shared SandBoxAlipayPublicKey As String
public:
static String^ SandBoxAlipayPublicKey
static val mutable SandBoxAlipayPublicKey: string

Field Value

Type: String
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.SignType Field

AlipayMobileManagerSignType Field
签名类型, 目前使用的是RSA + SHA1

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string SignType
Public Shared SignType As String
public:
static String^ SignType
static val mutable SignType: string

Field Value

Type: String
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


AlipayMobileManager.UseSandBox Field

AlipayMobileManagerUseSandBox Field
是否使用沙箱

Namespace: ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool UseSandBox
Public Shared UseSandBox As Boolean
public:
static bool UseSandBox
static val mutable UseSandBox: bool

Field Value

Type: Boolean
See Also

Reference

AlipayMobileManager Class
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src.Domain.Services Namespace


ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Pingpp.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components |
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers |
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain |
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents |


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates |


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers"]

Classes
 | Class | Description
Public class | PingppApiHandler | Ping++接口的处理器
Public class | PingppApiHandlerApiData | 接口数据


PingppApiHandler Class
Ping++接口的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlersPingppApiHandler

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PingppApiHandler : IPaymentApiHandler
Public Class PingppApiHandler
    Implements IPaymentApiHandler
public ref class PingppApiHandler : IPaymentApiHandler
type PingppApiHandler =
    class
        interface IPaymentApiHandler
    end

The PingppApiHandler type exposes the following members.

Constructors
 | Name | Description
Public method | PingppApiHandler | Initializes a new instance of the PingppApiHandler class
Top
Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler Constructor

Initializes a new instance of the PingppApiHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PingppApiHandler()
Public Sub New
public:
PingppApiHandler()
new : unit -> PingppApiHandler
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler Properties

The PingppApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.Type Property

PingppApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentApiHandlerType
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler Methods

The PingppApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.CalculatePaymentFee Method

PingppApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Public Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
public:
virtual void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
) sealed
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit
override CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="api"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

amount
Type: SystemDecimal

[Missing <param name="amount"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

paymentFee
Type: SystemDecimal

[Missing <param name="paymentFee"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

Implements

IPaymentApiHandlerCalculatePaymentFee(PaymentApi, Decimal, Decimal)
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.DeliveryGoods Method

PingppApiHandlerDeliveryGoods Method

调用发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
) sealed
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

logisticsName
Type: SystemString

[Missing <param name="logisticsName"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

invoiceNo
Type: SystemString

[Missing <param name="invoiceNo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

Implements

IPaymentApiHandlerDeliveryGoods(PaymentTransaction, String, String)
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.GetPaymentHtml Method

PingppApiHandlerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Public Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
public:
virtual void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
) sealed
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit
override GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

html
Type: HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

Implements

IPaymentApiHandlerGetPaymentHtml(PaymentTransaction, HtmlString)
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.OnFormBind Method

PingppApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Public Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
public:
virtual void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
) sealed
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit
override OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormBind(PaymentApiEditForm, PaymentApi)
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.OnFormCreated Method

PingppApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormCreated(
    PaymentApiEditForm form
)
Public Sub OnFormCreated (
    form As PaymentApiEditForm
)
public:
virtual void OnFormCreated(
    PaymentApiEditForm^ form
) sealed
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit
override OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.OnFormCreated(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm)"]

Implements

IPaymentApiHandlerOnFormCreated(PaymentApiEditForm)
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.OnFormSubmit Method

PingppApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Public Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
public:
virtual void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
) sealed
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit
override OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers.PingppApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormSubmit(PaymentApiEditForm, PaymentApi)
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler Fields

The PingppApiHandler type exposes the following members.

Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiDataEditing Field

PingppApiHandlerApiDataEditing Field
后台编辑表单使用的接口数据

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected PingppApiHandlerApiData ApiDataEditing
Protected ApiDataEditing As PingppApiHandlerApiData
protected:
PingppApiHandlerApiData^ ApiDataEditing
val mutable ApiDataEditing: PingppApiHandlerApiData

Field Value

Type: PingppApiHandlerApiData
See Also

Reference

PingppApiHandler Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData Class

PingppApiHandlerApiData Class
接口数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlersPingppApiHandlerApiData

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ApiData
Public Class ApiData
public ref class ApiData
type ApiData =  class end

The PingppApiHandlerApiData type exposes the following members.

Constructors
 | Name | Description
Public method | PingppApiHandlerApiData | 初始化
Top
Properties
 | Name | Description
Public property | BfbRequireLogin | 百度钱包需要登陆
Public property | FqlChildMerchantId | 分期乐子商户编号
Public property | PartnerRsaPrivateKey | 商户RSA私钥
Public property | PaymentChannels | 支付渠道
Public property | PingppAppId | App Id
Public property | PingppRsaPublicKey | Ping++RSA公钥
Public property | ReturnDomain | 返回域名
Public property | TradeSecretKey | 交易密钥
Public property | WeChatNoCredit | 微信限制使用信用卡
Public property | WeChatOpenId | 微信Open Id
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData Constructor

PingppApiHandlerApiData Constructor

初始化

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ApiData()
Public Sub New
public:
ApiData()
new : unit -> ApiData
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


ApiData Properties

The PingppApiHandlerApiData type exposes the following members.

Properties
 | Name | Description
Public property | BfbRequireLogin | 百度钱包需要登陆
Public property | FqlChildMerchantId | 分期乐子商户编号
Public property | PartnerRsaPrivateKey | 商户RSA私钥
Public property | PaymentChannels | 支付渠道
Public property | PingppAppId | App Id
Public property | PingppRsaPublicKey | Ping++RSA公钥
Public property | ReturnDomain | 返回域名
Public property | TradeSecretKey | 交易密钥
Public property | WeChatNoCredit | 微信限制使用信用卡
Public property | WeChatOpenId | 微信Open Id
Top
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.BfbRequireLogin Property

PingppApiHandlerApiDataBfbRequireLogin Property

百度钱包需要登陆

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool BfbRequireLogin { get; set; }
Public Property BfbRequireLogin As Boolean
    Get
    Set
public:
property bool BfbRequireLogin {
    bool get ();
    void set (bool value);
}
member BfbRequireLogin : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.FqlChildMerchantId Property

PingppApiHandlerApiDataFqlChildMerchantId Property

分期乐子商户编号

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FqlChildMerchantId { get; set; }
Public Property FqlChildMerchantId As String
    Get
    Set
public:
property String^ FqlChildMerchantId {
    String^ get ();
    void set (String^ value);
}
member FqlChildMerchantId : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.PartnerRsaPrivateKey Property

PingppApiHandlerApiDataPartnerRsaPrivateKey Property

商户RSA私钥

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerRsaPrivateKey { get; set; }
Public Property PartnerRsaPrivateKey As String
    Get
    Set
public:
property String^ PartnerRsaPrivateKey {
    String^ get ();
    void set (String^ value);
}
member PartnerRsaPrivateKey : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.PaymentChannels Property

PingppApiHandlerApiDataPaymentChannels Property

支付渠道

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> PaymentChannels { get; set; }
Public Property PaymentChannels As IList(Of String)
    Get
    Set
public:
property IList<String^>^ PaymentChannels {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
member PaymentChannels : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.PingppAppId Property

PingppApiHandlerApiDataPingppAppId Property

App Id

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PingppAppId { get; set; }
Public Property PingppAppId As String
    Get
    Set
public:
property String^ PingppAppId {
    String^ get ();
    void set (String^ value);
}
member PingppAppId : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.PingppRsaPublicKey Property

PingppApiHandlerApiDataPingppRsaPublicKey Property

Ping++RSA公钥

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PingppRsaPublicKey { get; set; }
Public Property PingppRsaPublicKey As String
    Get
    Set
public:
property String^ PingppRsaPublicKey {
    String^ get ();
    void set (String^ value);
}
member PingppRsaPublicKey : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.ReturnDomain Property

PingppApiHandlerApiDataReturnDomain Property

返回域名

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReturnDomain { get; set; }
Public Property ReturnDomain As String
    Get
    Set
public:
property String^ ReturnDomain {
    String^ get ();
    void set (String^ value);
}
member ReturnDomain : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.TradeSecretKey Property

PingppApiHandlerApiDataTradeSecretKey Property

交易密钥

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TradeSecretKey { get; set; }
Public Property TradeSecretKey As String
    Get
    Set
public:
property String^ TradeSecretKey {
    String^ get ();
    void set (String^ value);
}
member TradeSecretKey : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.WeChatNoCredit Property

PingppApiHandlerApiDataWeChatNoCredit Property

微信限制使用信用卡

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool WeChatNoCredit { get; set; }
Public Property WeChatNoCredit As Boolean
    Get
    Set
public:
property bool WeChatNoCredit {
    bool get ();
    void set (bool value);
}
member WeChatNoCredit : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


PingppApiHandler.ApiData.WeChatOpenId Property

PingppApiHandlerApiDataWeChatOpenId Property

微信Open Id

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string WeChatOpenId { get; set; }
Public Property WeChatOpenId As String
    Get
    Set
public:
property String^ WeChatOpenId {
    String^ get ();
    void set (String^ value);
}
member WeChatOpenId : string with get, set

Property Value

Type: String
See Also

Reference

PingppApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.PaymentApiHandlers Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers"]

Classes
 | Class | Description
Public class | PingppController | Ping++支付的控制器


PingppController Class
Ping++支付的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Finance.Payment.Pingpp.src.ControllersPingppController

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PingppController : ControllerBase
Public Class PingppController
    Inherits ControllerBase
public ref class PingppController : public ControllerBase
type PingppController =
    class
        inherit ControllerBase
    end

The PingppController type exposes the following members.

Constructors
 | Name | Description
Public method | PingppController | Initializes a new instance of the PingppController class
Top
Methods
 | Name | Description
Public method | Pay | 获取Ping++支付凭据并返回给客户端
Public method | WaitResult | 等待支付结果
Public method | WebHook | Ping++的后台通知
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace


PingppController Constructor

Initializes a new instance of the PingppController class

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PingppController()
Public Sub New
public:
PingppController()
new : unit -> PingppController
See Also

Reference

PingppController Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace


PingppController Methods

The PingppController type exposes the following members.

Methods
 | Name | Description
Public method | Pay | 获取Ping++支付凭据并返回给客户端
Public method | WaitResult | 等待支付结果
Public method | WebHook | Ping++的后台通知
Top
See Also

Reference

PingppController Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace


PingppController.Pay Method

PingppControllerPay Method

获取Ping++支付凭据并返回给客户端

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Pay()
Public Function Pay As IActionResult
public:
IActionResult^ Pay()
member Pay : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers.PingppController.Pay"]

See Also

Reference

PingppController Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace


PingppController.WaitResult Method

PingppControllerWaitResult Method

等待支付结果

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult WaitResult()
Public Function WaitResult As IActionResult
public:
IActionResult^ WaitResult()
member WaitResult : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers.PingppController.WaitResult"]

See Also

Reference

PingppController Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace


PingppController.WebHook Method

PingppControllerWebHook Method

Ping++的后台通知

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult WebHook()
Public Function WebHook As IActionResult
public:
IActionResult^ WebHook()
member WebHook : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers.PingppController.WebHook"]

See Also

Reference

PingppController Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Controllers Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions |
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services |


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions"]

Classes
 | Class | Description
Public class | RSACryptoServiceProviderExtension | 来源地址 https://github.com/PingPlusPlus/pingpp-csharp/blob/master/Demo/RSACryptoServiceProviderExtension.cs


RSACryptoServiceProviderExtension Class
来源地址 https://github.com/PingPlusPlus/pingpp-csharp/blob/master/Demo/RSACryptoServiceProviderExtension.cs
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.ExtensionsRSACryptoServiceProviderExtension

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class RSACryptoServiceProviderExtension
<ExtensionAttribute>
Public NotInheritable Class RSACryptoServiceProviderExtension
[ExtensionAttribute]
public ref class RSACryptoServiceProviderExtension abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type RSACryptoServiceProviderExtension =  class end

The RSACryptoServiceProviderExtension type exposes the following members.

Methods
Name | Description
LoadPrivateKeyDER | Extension method which initializes an RSACryptoServiceProvider from a DER private key blob.
LoadPrivateKeyPEM | Extension method which initializes an RSACryptoServiceProvider from a PEM private key string.
LoadPublicKeyDER | Extension method which initializes an RSACryptoServiceProvider from a DER public key blob.
LoadPublicKeyPEM | Extension method which initializes an RSACryptoServiceProvider from a PEM public key string.
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace


RSACryptoServiceProviderExtension Methods

The RSACryptoServiceProviderExtension type exposes the following members.

Methods
Name | Description
LoadPrivateKeyDER | Extension method which initializes an RSACryptoServiceProvider from a DER private key blob.
LoadPrivateKeyPEM | Extension method which initializes an RSACryptoServiceProvider from a PEM private key string.
LoadPublicKeyDER | Extension method which initializes an RSACryptoServiceProvider from a DER public key blob.
LoadPublicKeyPEM | Extension method which initializes an RSACryptoServiceProvider from a PEM public key string.
Top
See Also

Reference

RSACryptoServiceProviderExtension Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace


RSACryptoServiceProviderExtension.LoadPrivateKeyDER Method

RSACryptoServiceProviderExtensionLoadPrivateKeyDER Method

Extension method which initializes an RSACryptoServiceProvider from a DER private key blob.

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void LoadPrivateKeyDER(
    this RSACryptoServiceProvider provider,
    byte[] DERData
)
<ExtensionAttribute>
Public Shared Sub LoadPrivateKeyDER (
    provider As RSACryptoServiceProvider,
    DERData As Byte()
)
public:
[ExtensionAttribute]
static void LoadPrivateKeyDER(
    RSACryptoServiceProvider^ provider,
    array<unsigned char>^ DERData
)
[<ExtensionAttribute>]
static member LoadPrivateKeyDER :
        provider : RSACryptoServiceProvider *
        DERData : byte[] -> unit

Parameters

provider
Type: System.Security.CryptographyRSACryptoServiceProvider

[Missing <param name="provider"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPrivateKeyDER(System.Security.Cryptography.RSACryptoServiceProvider,System.Byte[])"]

DERData
Type: SystemByte

[Missing <param name="DERData"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPrivateKeyDER(System.Security.Cryptography.RSACryptoServiceProvider,System.Byte[])"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type RSACryptoServiceProvider. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

RSACryptoServiceProviderExtension Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace


RSACryptoServiceProviderExtension.LoadPrivateKeyPEM Method

RSACryptoServiceProviderExtensionLoadPrivateKeyPEM Method

Extension method which initializes an RSACryptoServiceProvider from a PEM private key string.

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void LoadPrivateKeyPEM(
    this RSACryptoServiceProvider provider,
    string sPEM
)
<ExtensionAttribute>
Public Shared Sub LoadPrivateKeyPEM (
    provider As RSACryptoServiceProvider,
    sPEM As String
)
public:
[ExtensionAttribute]
static void LoadPrivateKeyPEM(
    RSACryptoServiceProvider^ provider,
    String^ sPEM
)
[<ExtensionAttribute>]
static member LoadPrivateKeyPEM :
        provider : RSACryptoServiceProvider *
        sPEM : string -> unit

Parameters

provider
Type: System.Security.CryptographyRSACryptoServiceProvider

[Missing <param name="provider"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPrivateKeyPEM(System.Security.Cryptography.RSACryptoServiceProvider,System.String)"]

sPEM
Type: SystemString

[Missing <param name="sPEM"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPrivateKeyPEM(System.Security.Cryptography.RSACryptoServiceProvider,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type RSACryptoServiceProvider. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

RSACryptoServiceProviderExtension Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace


RSACryptoServiceProviderExtension.LoadPublicKeyDER Method

RSACryptoServiceProviderExtensionLoadPublicKeyDER Method

Extension method which initializes an RSACryptoServiceProvider from a DER public key blob.

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void LoadPublicKeyDER(
    this RSACryptoServiceProvider provider,
    byte[] DERData
)
<ExtensionAttribute>
Public Shared Sub LoadPublicKeyDER (
    provider As RSACryptoServiceProvider,
    DERData As Byte()
)
public:
[ExtensionAttribute]
static void LoadPublicKeyDER(
    RSACryptoServiceProvider^ provider,
    array<unsigned char>^ DERData
)
[<ExtensionAttribute>]
static member LoadPublicKeyDER :
        provider : RSACryptoServiceProvider *
        DERData : byte[] -> unit

Parameters

provider
Type: System.Security.CryptographyRSACryptoServiceProvider

[Missing <param name="provider"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPublicKeyDER(System.Security.Cryptography.RSACryptoServiceProvider,System.Byte[])"]

DERData
Type: SystemByte

[Missing <param name="DERData"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPublicKeyDER(System.Security.Cryptography.RSACryptoServiceProvider,System.Byte[])"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type RSACryptoServiceProvider. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

RSACryptoServiceProviderExtension Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace


RSACryptoServiceProviderExtension.LoadPublicKeyPEM Method

RSACryptoServiceProviderExtensionLoadPublicKeyPEM Method

Extension method which initializes an RSACryptoServiceProvider from a PEM public key string.

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void LoadPublicKeyPEM(
    this RSACryptoServiceProvider provider,
    string sPEM
)
<ExtensionAttribute>
Public Shared Sub LoadPublicKeyPEM (
    provider As RSACryptoServiceProvider,
    sPEM As String
)
public:
[ExtensionAttribute]
static void LoadPublicKeyPEM(
    RSACryptoServiceProvider^ provider,
    String^ sPEM
)
[<ExtensionAttribute>]
static member LoadPublicKeyPEM :
        provider : RSACryptoServiceProvider *
        sPEM : string -> unit

Parameters

provider
Type: System.Security.CryptographyRSACryptoServiceProvider

[Missing <param name="provider"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPublicKeyPEM(System.Security.Cryptography.RSACryptoServiceProvider,System.String)"]

sPEM
Type: SystemString

[Missing <param name="sPEM"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions.RSACryptoServiceProviderExtension.LoadPublicKeyPEM(System.Security.Cryptography.RSACryptoServiceProvider,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type RSACryptoServiceProvider. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

RSACryptoServiceProviderExtension Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Extensions Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services"]

Classes
 | Class | Description
Public class | PingppManager | Ping++管理器


PingppManager Class
Ping++管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.ServicesPingppManager

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PingppManager : DomainServiceBase
Public Class PingppManager
    Inherits DomainServiceBase
public ref class PingppManager : public DomainServiceBase
type PingppManager =
    class
        inherit DomainServiceBase
    end

The PingppManager type exposes the following members.

Constructors
 | Name | Description
Public method | PingppManager | Initializes a new instance of the PingppManager class
Top
Methods
 | Name | Description
Public method | GetCharge | 获取支付凭据
Public method | GetWaitResultUrl | 获取等待支付结果的Url
Protected method | ProcessChargeSuccessed | 处理支付成功
Public method | ProcessWebHook | 处理webhook传入的消息
Public method | ShouldWaitResult | 是否应该继续等待交易结果
Protected method | VerifySignedHash | 检查参数的签名
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager Constructor

Initializes a new instance of the PingppManager class

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PingppManager()
Public Sub New
public:
PingppManager()
new : unit -> PingppManager
See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager Methods

The PingppManager type exposes the following members.

Methods
 | Name | Description
Public method | GetCharge | 获取支付凭据
Public method | GetWaitResultUrl | 获取等待支付结果的Url
Protected method | ProcessChargeSuccessed | 处理支付成功
Public method | ProcessWebHook | 处理webhook传入的消息
Public method | ShouldWaitResult | 是否应该继续等待交易结果
Protected method | VerifySignedHash | 检查参数的签名
Top
See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager.GetCharge Method

PingppManagerGetCharge Method

获取支付凭据

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void GetCharge(
    Guid transactionId,
    string paymentChannel,
    string userAgent,
    string ipAddress,
    out Charge charge,
    out string realResultUrl,
    out string waitResultUrl
)
Public Overridable Sub GetCharge (
    transactionId As Guid,
    paymentChannel As String,
    userAgent As String,
    ipAddress As String,
    <OutAttribute> ByRef charge As Charge,
    <OutAttribute> ByRef realResultUrl As String,
    <OutAttribute> ByRef waitResultUrl As String
)
public:
virtual void GetCharge(
    Guid transactionId,
    String^ paymentChannel,
    String^ userAgent,
    String^ ipAddress,
    [OutAttribute] Charge^% charge,
    [OutAttribute] String^% realResultUrl,
    [OutAttribute] String^% waitResultUrl
)
abstract GetCharge :
        transactionId : Guid *
        paymentChannel : string *
        userAgent : string *
        ipAddress : string *
        charge : Charge byref *
        realResultUrl : string byref *
        waitResultUrl : string byref -> unit
override GetCharge :
        transactionId : Guid *
        paymentChannel : string *
        userAgent : string *
        ipAddress : string *
        charge : Charge byref *
        realResultUrl : string byref *
        waitResultUrl : string byref -> unit

Parameters

transactionId
Type: SystemGuid
交易Id
paymentChannel
Type: SystemString
支付渠道
userAgent
Type: SystemString
客户端的UserAgent
ipAddress
Type: SystemString
客户端的Ip地址
charge
Type: Pingpp.ModelsCharge
返回的支付凭据
realResultUrl
Type: SystemString
返回的结果Url
waitResultUrl
Type: SystemString
等待返回的结果Url
See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager.GetWaitResultUrl Method

PingppManagerGetWaitResultUrl Method

获取等待支付结果的Url

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetWaitResultUrl(
    Guid transactionId
)
Public Overridable Function GetWaitResultUrl (
    transactionId As Guid
) As String
public:
virtual String^ GetWaitResultUrl(
    Guid transactionId
)
abstract GetWaitResultUrl :
        transactionId : Guid -> string
override GetWaitResultUrl :
        transactionId : Guid -> string

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services.PingppManager.GetWaitResultUrl(System.Guid)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services.PingppManager.GetWaitResultUrl(System.Guid)"]

See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager.ProcessChargeSuccessed Method

PingppManagerProcessChargeSuccessed Method

处理支付成功

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void ProcessChargeSuccessed(
    string eventJson,
    Event eventObj,
    string signature
)
Protected Overridable Sub ProcessChargeSuccessed (
    eventJson As String,
    eventObj As Event,
    signature As String
)
protected:
virtual void ProcessChargeSuccessed(
    String^ eventJson,
    Event^ eventObj,
    String^ signature
)
abstract ProcessChargeSuccessed :
        eventJson : string *
        eventObj : Event *
        signature : string -> unit
override ProcessChargeSuccessed :
        eventJson : string *
        eventObj : Event *
        signature : string -> unit

Parameters

eventJson
Type: SystemString

[Missing <param name="eventJson"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services.PingppManager.ProcessChargeSuccessed(System.String,Pingpp.Models.Event,System.String)"]

eventObj
Type: Pingpp.ModelsEvent

[Missing <param name="eventObj"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services.PingppManager.ProcessChargeSuccessed(System.String,Pingpp.Models.Event,System.String)"]

signature
Type: SystemString

[Missing <param name="signature"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services.PingppManager.ProcessChargeSuccessed(System.String,Pingpp.Models.Event,System.String)"]

See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager.ProcessWebHook Method

PingppManagerProcessWebHook Method

处理webhook传入的消息

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ProcessWebHook(
    string eventJson,
    string signature
)
Public Overridable Sub ProcessWebHook (
    eventJson As String,
    signature As String
)
public:
virtual void ProcessWebHook(
    String^ eventJson,
    String^ signature
)
abstract ProcessWebHook :
        eventJson : string *
        signature : string -> unit
override ProcessWebHook :
        eventJson : string *
        signature : string -> unit

Parameters

eventJson
Type: SystemString
消息的Json
signature
Type: SystemString
消息的签名
See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager.ShouldWaitResult Method

PingppManagerShouldWaitResult Method

是否应该继续等待交易结果

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ShouldWaitResult(
    Guid transactionId
)
Public Overridable Function ShouldWaitResult (
    transactionId As Guid
) As Boolean
public:
virtual bool ShouldWaitResult(
    Guid transactionId
)
abstract ShouldWaitResult :
        transactionId : Guid -> bool
override ShouldWaitResult :
        transactionId : Guid -> bool

Parameters

transactionId
Type: SystemGuid
交易Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services.PingppManager.ShouldWaitResult(System.Guid)"]

See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


PingppManager.VerifySignedHash Method

PingppManagerVerifySignedHash Method

检查参数的签名

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void VerifySignedHash(
    string strDataToVerify,
    string strSignedData,
    string strPublicKey
)
Protected Overridable Sub VerifySignedHash (
    strDataToVerify As String,
    strSignedData As String,
    strPublicKey As String
)
protected:
virtual void VerifySignedHash(
    String^ strDataToVerify,
    String^ strSignedData,
    String^ strPublicKey
)
abstract VerifySignedHash :
        strDataToVerify : string *
        strSignedData : string *
        strPublicKey : string -> unit
override VerifySignedHash :
        strDataToVerify : string *
        strSignedData : string *
        strPublicKey : string -> unit

Parameters

strDataToVerify
Type: SystemString
要验证的json数据
strSignedData
Type: SystemString
签名
strPublicKey
Type: SystemString
公钥
See Also

Reference

PingppManager Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.Domain.Services Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms |
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders |


ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms"]

Classes
 | Class | Description
Public class | PingppPayForm | Ping++支付的表单


PingppPayForm Class
Ping++支付的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.FormsPingppPayForm

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PingppPayForm : ModelFormBuilder
Public Class PingppPayForm
    Inherits ModelFormBuilder
public ref class PingppPayForm : public ModelFormBuilder
type PingppPayForm =
    class
        inherit ModelFormBuilder
    end

The PingppPayForm type exposes the following members.

Constructors
 | Name | Description
Public method | PingppPayForm | Initializes a new instance of the PingppPayForm class
Top
Properties
 | Name | Description
Public property | PaymentChannel | 支付途径
Public property | TransactionId | 交易Id
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm Constructor

Initializes a new instance of the PingppPayForm class

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PingppPayForm()
Public Sub New
public:
PingppPayForm()
new : unit -> PingppPayForm
See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm Properties

The PingppPayForm type exposes the following members.

Properties
 | Name | Description
Public property | PaymentChannel | 支付途径
Public property | TransactionId | 交易Id
Top
See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm.PaymentChannel Property

PingppPayFormPaymentChannel Property

支付途径

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PaymentChannel { get; set; }
Public Property PaymentChannel As String
    Get
    Set
public:
property String^ PaymentChannel {
    String^ get ();
    void set (String^ value);
}
member PaymentChannel : string with get, set

Property Value

Type: String
See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm.TransactionId Property

PingppPayFormTransactionId Property

交易Id

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid TransactionId { get; set; }
Public Property TransactionId As Guid
    Get
    Set
public:
property Guid TransactionId {
    Guid get ();
    void set (Guid value);
}
member TransactionId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm Methods

The PingppPayForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm.OnBind Method

PingppPayFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


PingppPayForm.OnSubmit Method

PingppPayFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms.PingppPayForm.OnSubmit"]

See Also

Reference

PingppPayForm Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.Forms Namespace


ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | PaymentChannelListItemProvider | Ping++的支付渠道提供器


PaymentChannelListItemProvider Class
Ping++的支付渠道提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProvidersPaymentChannelListItemProvider

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentChannelListItemProvider : IListItemProvider
Public Class PaymentChannelListItemProvider
    Implements IListItemProvider
public ref class PaymentChannelListItemProvider : IListItemProvider
type PaymentChannelListItemProvider =
    class
        interface IListItemProvider
    end

The PaymentChannelListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentChannelListItemProvider | Initializes a new instance of the PaymentChannelListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取支付渠道列表
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders Namespace


PaymentChannelListItemProvider Constructor

Initializes a new instance of the PaymentChannelListItemProvider class

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentChannelListItemProvider()
Public Sub New
public:
PaymentChannelListItemProvider()
new : unit -> PaymentChannelListItemProvider
See Also

Reference

PaymentChannelListItemProvider Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders Namespace


PaymentChannelListItemProvider Methods

The PaymentChannelListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取支付渠道列表
Top
See Also

Reference

PaymentChannelListItemProvider Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders Namespace


PaymentChannelListItemProvider.GetItems Method

PaymentChannelListItemProviderGetItems Method

获取支付渠道列表

Namespace: ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders.PaymentChannelListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

PaymentChannelListItemProvider Class
ZKWeb.Plugins.Finance.Payment.Pingpp.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Finance.Payment.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.Components |
ZKWeb.Plugins.Finance.Payment.src.Controllers |
ZKWeb.Plugins.Finance.Payment.src.Domain |
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers |
ZKWeb.Plugins.Finance.Payment.src.UIComponents |


ZKWeb.Plugins.Finance.Payment.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers |
ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers |
ZKWeb.Plugins.Finance.Payment.src.Components.Translates |
ZKWeb.Plugins.Finance.Payment.src.Components.Utils |


ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers"]

Classes
 | Class | Description
Public class | CannotChangeTypeOrOwnerAfterPaymentApiCreated | 支付接口创建后不能修改类型和所属人
Public class | DeleteReleatedDetailRecords | 删除交易时同时删除关联的详细记录


CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
支付接口创建后不能修改类型和所属人
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlersCannotChangeTypeOrOwnerAfterPaymentApiCreated

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CannotChangeTypeOrOwnerAfterPaymentApiCreated : IEntityOperationHandler<PaymentApi>
Public Class CannotChangeTypeOrOwnerAfterPaymentApiCreated
    Implements IEntityOperationHandler(Of PaymentApi)
public ref class CannotChangeTypeOrOwnerAfterPaymentApiCreated : IEntityOperationHandler<PaymentApi^>
type CannotChangeTypeOrOwnerAfterPaymentApiCreated =
    class
        interface IEntityOperationHandler<PaymentApi>
    end

The CannotChangeTypeOrOwnerAfterPaymentApiCreated type exposes the following members.

Constructors
 | Name | Description
Public method | CannotChangeTypeOrOwnerAfterPaymentApiCreated | Initializes a new instance of the CannotChangeTypeOrOwnerAfterPaymentApiCreated class
Top
Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


CannotChangeTypeOrOwnerAfterPaymentApiCreated Constructor

Initializes a new instance of the CannotChangeTypeOrOwnerAfterPaymentApiCreated class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CannotChangeTypeOrOwnerAfterPaymentApiCreated()
Public Sub New
public:
CannotChangeTypeOrOwnerAfterPaymentApiCreated()
new : unit -> CannotChangeTypeOrOwnerAfterPaymentApiCreated
See Also

Reference

CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


CannotChangeTypeOrOwnerAfterPaymentApiCreated Methods

The CannotChangeTypeOrOwnerAfterPaymentApiCreated type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterDelete Method

CannotChangeTypeOrOwnerAfterPaymentApiCreatedAfterDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterDelete(
    IDatabaseContext context,
    PaymentApi entity
)
Public Sub AfterDelete (
    context As IDatabaseContext,
    entity As PaymentApi
)
public:
virtual void AfterDelete(
    IDatabaseContext^ context,
    PaymentApi^ entity
) sealed
abstract AfterDelete :
        context : IDatabaseContext *
        entity : PaymentApi -> unit
override AfterDelete :
        context : IDatabaseContext *
        entity : PaymentApi -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

entity
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IEntityOperationHandler.AfterDelete(IDatabaseContext, UTP)
See Also

Reference

CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterSave Method

CannotChangeTypeOrOwnerAfterPaymentApiCreatedAfterSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterSave(
    IDatabaseContext context,
    PaymentApi data
)
Public Sub AfterSave (
    context As IDatabaseContext,
    data As PaymentApi
)
public:
virtual void AfterSave(
    IDatabaseContext^ context,
    PaymentApi^ data
) sealed
abstract AfterSave :
        context : IDatabaseContext *
        data : PaymentApi -> unit
override AfterSave :
        context : IDatabaseContext *
        data : PaymentApi -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

data
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IEntityOperationHandler.AfterSave(IDatabaseContext, UTP)
See Also

Reference

CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeDelete Method

CannotChangeTypeOrOwnerAfterPaymentApiCreatedBeforeDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeDelete(
    IDatabaseContext context,
    PaymentApi entity
)
Public Sub BeforeDelete (
    context As IDatabaseContext,
    entity As PaymentApi
)
public:
virtual void BeforeDelete(
    IDatabaseContext^ context,
    PaymentApi^ entity
) sealed
abstract BeforeDelete :
        context : IDatabaseContext *
        entity : PaymentApi -> unit
override BeforeDelete :
        context : IDatabaseContext *
        entity : PaymentApi -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

entity
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IEntityOperationHandler.BeforeDelete(IDatabaseContext, UTP)
See Also

Reference

CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeSave Method

CannotChangeTypeOrOwnerAfterPaymentApiCreatedBeforeSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeSave(
    IDatabaseContext context,
    PaymentApi data
)
Public Sub BeforeSave (
    context As IDatabaseContext,
    data As PaymentApi
)
public:
virtual void BeforeSave(
    IDatabaseContext^ context,
    PaymentApi^ data
) sealed
abstract BeforeSave :
        context : IDatabaseContext *
        data : PaymentApi -> unit
override BeforeSave :
        context : IDatabaseContext *
        data : PaymentApi -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

data
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.CannotChangeTypeOrOwnerAfterPaymentApiCreated.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IEntityOperationHandler.BeforeSave(IDatabaseContext, UTP)
See Also

Reference

CannotChangeTypeOrOwnerAfterPaymentApiCreated Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords Class
删除交易时同时删除关联的详细记录
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlersDeleteReleatedDetailRecords

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DeleteReleatedDetailRecords : IEntityOperationHandler<PaymentTransaction>
Public Class DeleteReleatedDetailRecords
    Implements IEntityOperationHandler(Of PaymentTransaction)
public ref class DeleteReleatedDetailRecords : IEntityOperationHandler<PaymentTransaction^>
type DeleteReleatedDetailRecords =
    class
        interface IEntityOperationHandler<PaymentTransaction>
    end

The DeleteReleatedDetailRecords type exposes the following members.

Constructors
 | Name | Description
Public method | DeleteReleatedDetailRecords | Initializes a new instance of the DeleteReleatedDetailRecords class
Top
Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords Constructor

Initializes a new instance of the DeleteReleatedDetailRecords class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DeleteReleatedDetailRecords()
Public Sub New
public:
DeleteReleatedDetailRecords()
new : unit -> DeleteReleatedDetailRecords
See Also

Reference

DeleteReleatedDetailRecords Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords Methods

The DeleteReleatedDetailRecords type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete |
Public method | AfterSave |
Public method | BeforeDelete |
Public method | BeforeSave |
Top
See Also

Reference

DeleteReleatedDetailRecords Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords.AfterDelete Method

DeleteReleatedDetailRecordsAfterDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterDelete(
    IDatabaseContext context,
    PaymentTransaction data
)
Public Sub AfterDelete (
    context As IDatabaseContext,
    data As PaymentTransaction
)
public:
virtual void AfterDelete(
    IDatabaseContext^ context,
    PaymentTransaction^ data
) sealed
abstract AfterDelete :
        context : IDatabaseContext *
        data : PaymentTransaction -> unit
override AfterDelete :
        context : IDatabaseContext *
        data : PaymentTransaction -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

data
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.AfterDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IEntityOperationHandler.AfterDelete(IDatabaseContext, UTP)
See Also

Reference

DeleteReleatedDetailRecords Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords.AfterSave Method

DeleteReleatedDetailRecordsAfterSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterSave(
    IDatabaseContext context,
    PaymentTransaction entity
)
Public Sub AfterSave (
    context As IDatabaseContext,
    entity As PaymentTransaction
)
public:
virtual void AfterSave(
    IDatabaseContext^ context,
    PaymentTransaction^ entity
) sealed
abstract AfterSave :
        context : IDatabaseContext *
        entity : PaymentTransaction -> unit
override AfterSave :
        context : IDatabaseContext *
        entity : PaymentTransaction -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

entity
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.AfterSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IEntityOperationHandler.AfterSave(IDatabaseContext, UTP)
See Also

Reference

DeleteReleatedDetailRecords Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords.BeforeDelete Method

DeleteReleatedDetailRecordsBeforeDelete Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeDelete(
    IDatabaseContext context,
    PaymentTransaction data
)
Public Sub BeforeDelete (
    context As IDatabaseContext,
    data As PaymentTransaction
)
public:
virtual void BeforeDelete(
    IDatabaseContext^ context,
    PaymentTransaction^ data
) sealed
abstract BeforeDelete :
        context : IDatabaseContext *
        data : PaymentTransaction -> unit
override BeforeDelete :
        context : IDatabaseContext *
        data : PaymentTransaction -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

data
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.BeforeDelete(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IEntityOperationHandler.BeforeDelete(IDatabaseContext, UTP)
See Also

Reference

DeleteReleatedDetailRecords Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


DeleteReleatedDetailRecords.BeforeSave Method

DeleteReleatedDetailRecordsBeforeSave Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeSave(
    IDatabaseContext context,
    PaymentTransaction entity
)
Public Sub BeforeSave (
    context As IDatabaseContext,
    entity As PaymentTransaction
)
public:
virtual void BeforeSave(
    IDatabaseContext^ context,
    PaymentTransaction^ entity
) sealed
abstract BeforeSave :
        context : IDatabaseContext *
        entity : PaymentTransaction -> unit
override BeforeSave :
        context : IDatabaseContext *
        entity : PaymentTransaction -> unit

Parameters

context
Type: IDatabaseContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

entity
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="entity"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers.DeleteReleatedDetailRecords.BeforeSave(ZKWeb.Database.IDatabaseContext,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IEntityOperationHandler.BeforeSave(IDatabaseContext, UTP)
See Also

Reference

DeleteReleatedDetailRecords Class
ZKWeb.Plugins.Finance.Payment.src.Components.EntityOperationHandlers Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | PaymentExtraConfigKeys | 网站附加配置中使用的键


PaymentExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeysPaymentExtraConfigKeys

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentExtraConfigKeys
Public Class PaymentExtraConfigKeys
public ref class PaymentExtraConfigKeys
type PaymentExtraConfigKeys =  class end

The PaymentExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentExtraConfigKeys | Initializes a new instance of the PaymentExtraConfigKeys class
Top
Fields
Name | Description
PaymentApiCacheTime | 支付接口的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys Namespace


PaymentExtraConfigKeys Constructor

Initializes a new instance of the PaymentExtraConfigKeys class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentExtraConfigKeys()
Public Sub New
public:
PaymentExtraConfigKeys()
new : unit -> PaymentExtraConfigKeys
See Also

Reference

PaymentExtraConfigKeys Class
ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys Namespace


PaymentExtraConfigKeys Fields

The PaymentExtraConfigKeys type exposes the following members.

Fields
Name | Description
PaymentApiCacheTime | 支付接口的缓存时间，单位是秒
Top
See Also

Reference

PaymentExtraConfigKeys Class
ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys Namespace


PaymentExtraConfigKeys.PaymentApiCacheTime Field

PaymentExtraConfigKeysPaymentApiCacheTime Field
支付接口的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string PaymentApiCacheTime = "Finance.Payment.PaymentApiCacheTime"
Public Const PaymentApiCacheTime As String = "Finance.Payment.PaymentApiCacheTime"
public:
literal String^ PaymentApiCacheTime = "Finance.Payment.PaymentApiCacheTime"
static val mutable PaymentApiCacheTime: string

Field Value

Type: String
See Also

Reference

PaymentExtraConfigKeys Class
ZKWeb.Plugins.Finance.Payment.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders"]

Classes
 | Class | Description
Public class | PaymentApiTypeListItemProvider | 支付接口类型列表
Public class | PaymentTransactionTypeListItemProvider | 支付交易类型列表


PaymentApiTypeListItemProvider Class
支付接口类型列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProvidersPaymentApiTypeListItemProvider

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApiTypeListItemProvider : IListItemProvider
Public Class PaymentApiTypeListItemProvider
    Implements IListItemProvider
public ref class PaymentApiTypeListItemProvider : IListItemProvider
type PaymentApiTypeListItemProvider =
    class
        interface IListItemProvider
    end

The PaymentApiTypeListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiTypeListItemProvider | Initializes a new instance of the PaymentApiTypeListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentApiTypeListItemProvider Constructor

Initializes a new instance of the PaymentApiTypeListItemProvider class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApiTypeListItemProvider()
Public Sub New
public:
PaymentApiTypeListItemProvider()
new : unit -> PaymentApiTypeListItemProvider
See Also

Reference

PaymentApiTypeListItemProvider Class
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentApiTypeListItemProvider Methods

The PaymentApiTypeListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

PaymentApiTypeListItemProvider Class
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentApiTypeListItemProvider.GetItems Method

PaymentApiTypeListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders.PaymentApiTypeListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

PaymentApiTypeListItemProvider Class
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentTransactionTypeListItemProvider Class
支付交易类型列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProvidersPaymentTransactionTypeListItemProvider

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransactionTypeListItemProvider : IListItemProvider
Public Class PaymentTransactionTypeListItemProvider
    Implements IListItemProvider
public ref class PaymentTransactionTypeListItemProvider : IListItemProvider
type PaymentTransactionTypeListItemProvider =
    class
        interface IListItemProvider
    end

The PaymentTransactionTypeListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionTypeListItemProvider | Initializes a new instance of the PaymentTransactionTypeListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentTransactionTypeListItemProvider Constructor

Initializes a new instance of the PaymentTransactionTypeListItemProvider class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransactionTypeListItemProvider()
Public Sub New
public:
PaymentTransactionTypeListItemProvider()
new : unit -> PaymentTransactionTypeListItemProvider
See Also

Reference

PaymentTransactionTypeListItemProvider Class
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentTransactionTypeListItemProvider Methods

The PaymentTransactionTypeListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

PaymentTransactionTypeListItemProvider Class
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


PaymentTransactionTypeListItemProvider.GetItems Method

PaymentTransactionTypeListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders.PaymentTransactionTypeListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

PaymentTransactionTypeListItemProvider Class
ZKWeb.Plugins.Finance.Payment.src.Components.ListItemProviders Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces |


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers"]

Classes
 | Class | Description
Public class | TestApiHandler | 测试接口的处理器
Public class | TestApiHandlerApiData | 接口数据
Public class | TestApiHandlerTestApiPayForm | 测试接口支付时使用的表单
Enumerations
 | Enumeration | Description
Public enumeration | TestApiHandlerPayTypes | 支付类型


TestApiHandler Class
测试接口的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlersTestApiHandler

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TestApiHandler : IPaymentApiHandler
Public Class TestApiHandler
    Implements IPaymentApiHandler
public ref class TestApiHandler : IPaymentApiHandler
type TestApiHandler =
    class
        interface IPaymentApiHandler
    end

The TestApiHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TestApiHandler | Initializes a new instance of the TestApiHandler class
Top
Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口 发货后自动确认收货
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
Fields
 | Name | Description
Protected field | ApiDataEditing | 编辑中的接口数据
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler Constructor

Initializes a new instance of the TestApiHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestApiHandler()
Public Sub New
public:
TestApiHandler()
new : unit -> TestApiHandler
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler Properties

The TestApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.Type Property

TestApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentApiHandlerType
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler Methods

The TestApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口 发货后自动确认收货
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.CalculatePaymentFee Method

TestApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Public Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
public:
virtual void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
) sealed
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit
override CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="api"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

amount
Type: SystemDecimal

[Missing <param name="amount"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

paymentFee
Type: SystemDecimal

[Missing <param name="paymentFee"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

Implements

IPaymentApiHandlerCalculatePaymentFee(PaymentApi, Decimal, Decimal)
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.DeliveryGoods Method

TestApiHandlerDeliveryGoods Method

调用发货接口 发货后自动确认收货

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
) sealed
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

logisticsName
Type: SystemString

[Missing <param name="logisticsName"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

invoiceNo
Type: SystemString

[Missing <param name="invoiceNo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

Implements

IPaymentApiHandlerDeliveryGoods(PaymentTransaction, String, String)
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.GetPaymentHtml Method

TestApiHandlerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Public Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
public:
virtual void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
) sealed
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit
override GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

html
Type: HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

Implements

IPaymentApiHandlerGetPaymentHtml(PaymentTransaction, HtmlString)
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.OnFormBind Method

TestApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Public Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
public:
virtual void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
) sealed
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit
override OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormBind(PaymentApiEditForm, PaymentApi)
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.OnFormCreated Method

TestApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormCreated(
    PaymentApiEditForm form
)
Public Sub OnFormCreated (
    form As PaymentApiEditForm
)
public:
virtual void OnFormCreated(
    PaymentApiEditForm^ form
) sealed
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit
override OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.OnFormCreated(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm)"]

Implements

IPaymentApiHandlerOnFormCreated(PaymentApiEditForm)
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.OnFormSubmit Method

TestApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Public Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
public:
virtual void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
) sealed
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit
override OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormSubmit(PaymentApiEditForm, PaymentApi)
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler Fields

The TestApiHandler type exposes the following members.

Fields
 | Name | Description
Protected field | ApiDataEditing | 编辑中的接口数据
Top
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.ApiDataEditing Field

TestApiHandlerApiDataEditing Field
编辑中的接口数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected TestApiHandlerApiData ApiDataEditing
Protected ApiDataEditing As TestApiHandlerApiData
protected:
TestApiHandlerApiData^ ApiDataEditing
val mutable ApiDataEditing: TestApiHandlerApiData

Field Value

Type: TestApiHandlerApiData
See Also

Reference

TestApiHandler Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.ApiData Class

TestApiHandlerApiData Class
接口数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlersTestApiHandlerApiData

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ApiData
Public Class ApiData
public ref class ApiData
type ApiData =  class end

The TestApiHandlerApiData type exposes the following members.

Constructors
 | Name | Description
Public method | TestApiHandlerApiData | Initializes a new instance of the TestApiHandlerApiData class
Top
Properties
 | Name | Description
Public property | PaymentPassword | 支付密码
Top
Methods
 | Name | Description
Public method | CheckPaymentPassword | 检查支付密码是否和设置的密码一致
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.ApiData Constructor

TestApiHandlerApiData Constructor

Initializes a new instance of the TestApiHandlerApiData class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ApiData()
Public Sub New
public:
ApiData()
new : unit -> ApiData
See Also

Reference

TestApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


ApiData Properties

The TestApiHandlerApiData type exposes the following members.

Properties
 | Name | Description
Public property | PaymentPassword | 支付密码
Top
See Also

Reference

TestApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.ApiData.PaymentPassword Property

TestApiHandlerApiDataPaymentPassword Property

支付密码

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PaymentPassword { get; set; }
Public Property PaymentPassword As String
    Get
    Set
public:
property String^ PaymentPassword {
    String^ get ();
    void set (String^ value);
}
member PaymentPassword : string with get, set

Property Value

Type: String
See Also

Reference

TestApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


ApiData Methods

The TestApiHandlerApiData type exposes the following members.

Methods
 | Name | Description
Public method | CheckPaymentPassword | 检查支付密码是否和设置的密码一致
Top
See Also

Reference

TestApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.ApiData.CheckPaymentPassword Method

TestApiHandlerApiDataCheckPaymentPassword Method

检查支付密码是否和设置的密码一致

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CheckPaymentPassword(
    string paymentPassword
)
Public Sub CheckPaymentPassword (
    paymentPassword As String
)
public:
void CheckPaymentPassword(
    String^ paymentPassword
)
member CheckPaymentPassword :
        paymentPassword : string -> unit

Parameters

paymentPassword
Type: SystemString

[Missing <param name="paymentPassword"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.ApiData.CheckPaymentPassword(System.String)"]

See Also

Reference

TestApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.PayTypes Enumeration

TestApiHandlerPayTypes Enumeration
支付类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum PayTypes
Public Enumeration PayTypes
public enum class PayTypes
type PayTypes
Members
Member name | Value | Description
ImmediateArrival | 0 | 即时到账
SecuredTransaction | 1 | 担保交易
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm Class

TestApiHandlerTestApiPayForm Class
测试接口支付时使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlersTestApiHandlerTestApiPayForm

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TestApiPayForm : ModelFormBuilder
Public Class TestApiPayForm
    Inherits ModelFormBuilder
public ref class TestApiPayForm : public ModelFormBuilder
type TestApiPayForm =
    class
        inherit ModelFormBuilder
    end

The TestApiHandlerTestApiPayForm type exposes the following members.

Constructors
 | Name | Description
Public method | TestApiHandlerTestApiPayForm(Guid) | 初始化 提交时使用
Public method | TestApiHandlerTestApiPayForm(PaymentTransaction) | 初始化 绑定时使用
Top
Properties
 | Name | Description
Public property | Amount | 金额
Public property | Currency | 货币
Public property | Description | 交易描述
Public property | Id | 交易Id
Public property | PaymentPassword | 支付密码
Public property | PayType | 支付类型 即时到账或担保交易
Public property | Serial | 流水号
Public property | Transaction | 需要支付的交易
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiPayForm Constructor

Overload List
 | Name | Description
Public method | TestApiHandlerTestApiPayForm(Guid) | 初始化 提交时使用
Public method | TestApiHandlerTestApiPayForm(PaymentTransaction) | 初始化 绑定时使用
Top
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm Constructor (Guid)

TestApiHandlerTestApiPayForm Constructor (Guid)
初始化 提交时使用

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestApiPayForm(
    Guid transactionId
)
Public Sub New (
    transactionId As Guid
)
public:
TestApiPayForm(
    Guid transactionId
)
new :
        transactionId : Guid -> TestApiPayForm

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.TestApiPayForm.#ctor(System.Guid)"]

See Also

Reference

TestApiHandlerTestApiPayForm Class
TestApiHandlerTestApiPayForm Overload
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm Constructor (PaymentTransaction)

TestApiHandlerTestApiPayForm Constructor (PaymentTransaction)
初始化 绑定时使用

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestApiPayForm(
    PaymentTransaction transaction
)
Public Sub New (
    transaction As PaymentTransaction
)
public:
TestApiPayForm(
    PaymentTransaction^ transaction
)
new :
        transaction : PaymentTransaction -> TestApiPayForm

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.TestApiPayForm.#ctor(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

See Also

Reference

TestApiHandlerTestApiPayForm Class
TestApiHandlerTestApiPayForm Overload
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiPayForm Properties

The TestApiHandlerTestApiPayForm type exposes the following members.

Properties
 | Name | Description
Public property | Amount | 金额
Public property | Currency | 货币
Public property | Description | 交易描述
Public property | Id | 交易Id
Public property | PaymentPassword | 支付密码
Public property | PayType | 支付类型 即时到账或担保交易
Public property | Serial | 流水号
Public property | Transaction | 需要支付的交易
Top
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.Amount Property

TestApiHandlerTestApiPayFormAmount Property

金额

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Amount { get; set; }
Public Property Amount As String
    Get
    Set
public:
property String^ Amount {
    String^ get ();
    void set (String^ value);
}
member Amount : string with get, set

Property Value

Type: String
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.Currency Property

TestApiHandlerTestApiPayFormCurrency Property

货币

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.Description Property

TestApiHandlerTestApiPayFormDescription Property

交易描述

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.Id Property

TestApiHandlerTestApiPayFormId Property

交易Id

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid Id { get; set; }
Public Property Id As Guid
    Get
    Set
public:
property Guid Id {
    Guid get ();
    void set (Guid value);
}
member Id : Guid with get, set

Property Value

Type: Guid
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.PaymentPassword Property

TestApiHandlerTestApiPayFormPaymentPassword Property

支付密码

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PaymentPassword { get; set; }
Public Property PaymentPassword As String
    Get
    Set
public:
property String^ PaymentPassword {
    String^ get ();
    void set (String^ value);
}
member PaymentPassword : string with get, set

Property Value

Type: String
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.PayType Property

TestApiHandlerTestApiPayFormPayType Property

支付类型 即时到账或担保交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int PayType { get; set; }
Public Property PayType As Integer
    Get
    Set
public:
property int PayType {
    int get ();
    void set (int value);
}
member PayType : int with get, set

Property Value

Type: Int32
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.Serial Property

TestApiHandlerTestApiPayFormSerial Property

流水号

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Serial { get; set; }
Public Property Serial As String
    Get
    Set
public:
property String^ Serial {
    String^ get ();
    void set (String^ value);
}
member Serial : string with get, set

Property Value

Type: String
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.Transaction Property

TestApiHandlerTestApiPayFormTransaction Property

需要支付的交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransaction Transaction { get; set; }
Public Property Transaction As PaymentTransaction
    Get
    Set
public:
property PaymentTransaction^ Transaction {
    PaymentTransaction^ get ();
    void set (PaymentTransaction^ value);
}
member Transaction : PaymentTransaction with get, set

Property Value

Type: PaymentTransaction
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiPayForm Methods

The TestApiHandlerTestApiPayForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.OnBind Method

TestApiHandlerTestApiPayFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


TestApiHandler.TestApiPayForm.OnSubmit Method

TestApiHandlerTestApiPayFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.TestApiHandler.TestApiPayForm.OnSubmit"]

See Also

Reference

TestApiHandlerTestApiPayForm Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IPaymentApiHandler | 支付接口处理器的接口 同一接口类型可以注册多个处理器，按注册顺序调用


IPaymentApiHandler Interface
支付接口处理器的接口 同一接口类型可以注册多个处理器，按注册顺序调用

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IPaymentApiHandler
Public Interface IPaymentApiHandler
public interface class IPaymentApiHandler
type IPaymentApiHandler =  interface end

The IPaymentApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 担保交易时对交易进行发货操作 发货失败时可以抛出例外阻止事务提交 同一交易有可能会调用多次，是否可以发货已在外部判断，这个函数不需要判断
Public method | GetPaymentHtml | 获取支付使用的Html 是否可以支付已在外部判断，这个函数不需要判断
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler Properties

The IPaymentApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.Type Property

IPaymentApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Type { get; }
ReadOnly Property Type As String
    Get
property String^ Type {
    String^ get ();
}
abstract Type : string with get

Property Value

Type: String
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler Methods

The IPaymentApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 担保交易时对交易进行发货操作 发货失败时可以抛出例外阻止事务提交 同一交易有可能会调用多次，是否可以发货已在外部判断，这个函数不需要判断
Public method | GetPaymentHtml | 获取支付使用的Html 是否可以支付已在外部判断，这个函数不需要判断
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.CalculatePaymentFee Method

IPaymentApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
)
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi
支付接口
amount
Type: SystemDecimal
支付金额
paymentFee
Type: SystemDecimal
支付手续费
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.DeliveryGoods Method

IPaymentApiHandlerDeliveryGoods Method

担保交易时对交易进行发货操作 发货失败时可以抛出例外阻止事务提交 同一交易有可能会调用多次，是否可以发货已在外部判断，这个函数不需要判断

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
)
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
logisticsName
Type: SystemString
快递或物流名称
invoiceNo
Type: SystemString
发货单号
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.GetPaymentHtml Method

IPaymentApiHandlerGetPaymentHtml Method

获取支付使用的Html 是否可以支付已在外部判断，这个函数不需要判断

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
)
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
html
Type: HtmlString
支付使用的Html

Return Value

Type:
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.OnFormBind Method

IPaymentApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
)
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm
表单
bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi
支付接口
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.OnFormCreated Method

IPaymentApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnFormCreated(
    PaymentApiEditForm form
)
Sub OnFormCreated (
    form As PaymentApiEditForm
)
void OnFormCreated(
    PaymentApiEditForm^ form
)
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm
表单
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


IPaymentApiHandler.OnFormSubmit Method

IPaymentApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
)
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm
表单
saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi
支付接口
See Also

Reference

IPaymentApiHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentApiHandlers.Interfaces Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces |


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IPaymentTransactionChecker | 交易检查器的接口 可以修改检查结果，也可以不修改


IPaymentTransactionChecker Interface
交易检查器的接口 可以修改检查结果，也可以不修改

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IPaymentTransactionChecker
Public Interface IPaymentTransactionChecker
public interface class IPaymentTransactionChecker
type IPaymentTransactionChecker =  interface end

The IPaymentTransactionChecker type exposes the following members.

Methods
 | Name | Description
Public method | CanDeliveryGoods | 判断交易是否可以调用发货接口
Public method | CanProcessAborted | 判断交易是否可以处理交易中止 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSecuredPaid | 判断交易是否可以处理担保交易已付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSuccess | 判断交易是否可以处理交易成功 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessWaitingPaying | 判断交易是否可以处理等待付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | IsPayable | 判断交易是否可以付款
Public method | IsPayerLoggedIn | 判断付款人是否已登陆 这个函数用于判断当前用户是否有权限查看和支付指定的交易
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker Methods

The IPaymentTransactionChecker type exposes the following members.

Methods
 | Name | Description
Public method | CanDeliveryGoods | 判断交易是否可以调用发货接口
Public method | CanProcessAborted | 判断交易是否可以处理交易中止 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSecuredPaid | 判断交易是否可以处理担保交易已付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSuccess | 判断交易是否可以处理交易成功 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessWaitingPaying | 判断交易是否可以处理等待付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | IsPayable | 判断交易是否可以付款
Public method | IsPayerLoggedIn | 判断付款人是否已登陆 这个函数用于判断当前用户是否有权限查看和支付指定的交易
Top
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.CanDeliveryGoods Method

IPaymentTransactionCheckerCanDeliveryGoods Method

判断交易是否可以调用发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanDeliveryGoods(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub CanDeliveryGoods (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void CanDeliveryGoods(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract CanDeliveryGoods :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.CanProcessAborted Method

IPaymentTransactionCheckerCanProcessAborted Method

判断交易是否可以处理交易中止 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessAborted(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub CanProcessAborted (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessAborted(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract CanProcessAborted :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.CanProcessSecuredPaid Method

IPaymentTransactionCheckerCanProcessSecuredPaid Method

判断交易是否可以处理担保交易已付款 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessSecuredPaid(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub CanProcessSecuredPaid (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessSecuredPaid(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract CanProcessSecuredPaid :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.CanProcessSuccess Method

IPaymentTransactionCheckerCanProcessSuccess Method

判断交易是否可以处理交易成功 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessSuccess(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub CanProcessSuccess (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessSuccess(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract CanProcessSuccess :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.CanProcessWaitingPaying Method

IPaymentTransactionCheckerCanProcessWaitingPaying Method

判断交易是否可以处理等待付款 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessWaitingPaying(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub CanProcessWaitingPaying (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessWaitingPaying(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract CanProcessWaitingPaying :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.IsPayable Method

IPaymentTransactionCheckerIsPayable Method

判断交易是否可以付款

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void IsPayable(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub IsPayable (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void IsPayable(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract IsPayable :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


IPaymentTransactionChecker.IsPayerLoggedIn Method

IPaymentTransactionCheckerIsPayerLoggedIn Method

判断付款人是否已登陆 这个函数用于判断当前用户是否有权限查看和支付指定的交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void IsPayerLoggedIn(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Sub IsPayerLoggedIn (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
void IsPayerLoggedIn(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
abstract IsPayerLoggedIn :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

IPaymentTransactionChecker Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers"]

Classes
 | Class | Description
Public class | DefaultTransactionChecker | 默认的交易检查器


DefaultTransactionChecker Class
默认的交易检查器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckersDefaultTransactionChecker

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultTransactionChecker : IPaymentTransactionChecker
Public Class DefaultTransactionChecker
    Implements IPaymentTransactionChecker
public ref class DefaultTransactionChecker : IPaymentTransactionChecker
type DefaultTransactionChecker =
    class
        interface IPaymentTransactionChecker
    end

The DefaultTransactionChecker type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultTransactionChecker | Initializes a new instance of the DefaultTransactionChecker class
Top
Methods
 | Name | Description
Public method | CanDeliveryGoods | 判断交易是否可以调用发货接口
Public method | CanProcessAborted | 判断交易是否可以处理交易中止 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSecuredPaid | 判断交易是否可以处理担保交易已付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSuccess | 判断交易是否可以处理交易成功 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessWaitingPaying | 判断交易是否可以处理等待付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | IsPayable | 判断交易是否可以付款
Public method | IsPayerLoggedIn | 判断当前登录的用户是否可以付款
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker Constructor

Initializes a new instance of the DefaultTransactionChecker class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultTransactionChecker()
Public Sub New
public:
DefaultTransactionChecker()
new : unit -> DefaultTransactionChecker
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker Methods

The DefaultTransactionChecker type exposes the following members.

Methods
 | Name | Description
Public method | CanDeliveryGoods | 判断交易是否可以调用发货接口
Public method | CanProcessAborted | 判断交易是否可以处理交易中止 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSecuredPaid | 判断交易是否可以处理担保交易已付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessSuccess | 判断交易是否可以处理交易成功 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | CanProcessWaitingPaying | 判断交易是否可以处理等待付款 交易已经是相同状态时应该跳过处理而不是调用这个函数
Public method | IsPayable | 判断交易是否可以付款
Public method | IsPayerLoggedIn | 判断当前登录的用户是否可以付款
Top
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.CanDeliveryGoods Method

DefaultTransactionCheckerCanDeliveryGoods Method

判断交易是否可以调用发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanDeliveryGoods(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub CanDeliveryGoods (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanDeliveryGoods(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract CanDeliveryGoods :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override CanDeliveryGoods :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanDeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanDeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerCanDeliveryGoods(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.CanProcessAborted Method

DefaultTransactionCheckerCanProcessAborted Method

判断交易是否可以处理交易中止 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessAborted(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub CanProcessAborted (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessAborted(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract CanProcessAborted :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override CanProcessAborted :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessAborted(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessAborted(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerCanProcessAborted(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.CanProcessSecuredPaid Method

DefaultTransactionCheckerCanProcessSecuredPaid Method

判断交易是否可以处理担保交易已付款 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessSecuredPaid(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub CanProcessSecuredPaid (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessSecuredPaid(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract CanProcessSecuredPaid :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override CanProcessSecuredPaid :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerCanProcessSecuredPaid(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.CanProcessSuccess Method

DefaultTransactionCheckerCanProcessSuccess Method

判断交易是否可以处理交易成功 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessSuccess(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub CanProcessSuccess (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessSuccess(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract CanProcessSuccess :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override CanProcessSuccess :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerCanProcessSuccess(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.CanProcessWaitingPaying Method

DefaultTransactionCheckerCanProcessWaitingPaying Method

判断交易是否可以处理等待付款 交易已经是相同状态时应该跳过处理而不是调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessWaitingPaying(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub CanProcessWaitingPaying (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessWaitingPaying(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract CanProcessWaitingPaying :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override CanProcessWaitingPaying :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.CanProcessWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerCanProcessWaitingPaying(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.IsPayable Method

DefaultTransactionCheckerIsPayable Method

判断交易是否可以付款

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void IsPayable(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub IsPayable (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void IsPayable(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract IsPayable :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override IsPayable :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.IsPayable(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.IsPayable(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerIsPayable(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


DefaultTransactionChecker.IsPayerLoggedIn Method

DefaultTransactionCheckerIsPayerLoggedIn Method

判断当前登录的用户是否可以付款

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void IsPayerLoggedIn(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Sub IsPayerLoggedIn (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void IsPayerLoggedIn(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
) sealed
abstract IsPayerLoggedIn :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit
override IsPayerLoggedIn :
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.IsPayerLoggedIn(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers.DefaultTransactionChecker.IsPayerLoggedIn(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IPaymentTransactionCheckerIsPayerLoggedIn(PaymentTransaction, PairBoolean, String)
See Also

Reference

DefaultTransactionChecker Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionCheckers Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases |
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces |


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers"]

Classes
 | Class | Description
Public class | AutoDeliveryGoodsParameters | 担保交易付款后，自动发货使用的参数


AutoDeliveryGoodsParameters Class
担保交易付款后，自动发货使用的参数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlersAutoDeliveryGoodsParameters

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AutoDeliveryGoodsParameters
Public Class AutoDeliveryGoodsParameters
public ref class AutoDeliveryGoodsParameters
type AutoDeliveryGoodsParameters =  class end

The AutoDeliveryGoodsParameters type exposes the following members.

Constructors
 | Name | Description
Public method | AutoDeliveryGoodsParameters | Initializes a new instance of the AutoDeliveryGoodsParameters class
Top
Properties
 | Name | Description
Public property | InvoiceNo | 发货单号
Public property | LogisticsName | 快递或物流名称
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespace


AutoDeliveryGoodsParameters Constructor

Initializes a new instance of the AutoDeliveryGoodsParameters class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AutoDeliveryGoodsParameters()
Public Sub New
public:
AutoDeliveryGoodsParameters()
new : unit -> AutoDeliveryGoodsParameters
See Also

Reference

AutoDeliveryGoodsParameters Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespace


AutoDeliveryGoodsParameters Properties

The AutoDeliveryGoodsParameters type exposes the following members.

Properties
 | Name | Description
Public property | InvoiceNo | 发货单号
Public property | LogisticsName | 快递或物流名称
Top
See Also

Reference

AutoDeliveryGoodsParameters Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespace


AutoDeliveryGoodsParameters.InvoiceNo Property

AutoDeliveryGoodsParametersInvoiceNo Property

发货单号

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string InvoiceNo { get; set; }
Public Property InvoiceNo As String
    Get
    Set
public:
property String^ InvoiceNo {
    String^ get ();
    void set (String^ value);
}
member InvoiceNo : string with get, set

Property Value

Type: String
See Also

Reference

AutoDeliveryGoodsParameters Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespace


AutoDeliveryGoodsParameters.LogisticsName Property

AutoDeliveryGoodsParametersLogisticsName Property

快递或物流名称

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string LogisticsName { get; set; }
Public Property LogisticsName As String
    Get
    Set
public:
property String^ LogisticsName {
    String^ get ();
    void set (String^ value);
}
member LogisticsName : string with get, set

Property Value

Type: String
See Also

Reference

AutoDeliveryGoodsParameters Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases"]

Classes
 | Class | Description
Public class | MergedTransactionHandlerBase | 合并交易处理器的基类 因为合并交易需要安全检查和区分类别 这个处理器不注册到容器中，需要继承使用


MergedTransactionHandlerBase Class
合并交易处理器的基类 因为合并交易需要安全检查和区分类别 这个处理器不注册到容器中，需要继承使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.BasesMergedTransactionHandlerBase
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlersMergedOrderTransactionHandler

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class MergedTransactionHandlerBase : IPaymentTransactionHandler
Public MustInherit Class MergedTransactionHandlerBase
    Implements IPaymentTransactionHandler
public ref class MergedTransactionHandlerBase abstract : IPaymentTransactionHandler
[<AbstractClassAttribute>]
type MergedTransactionHandlerBase =
    class
        interface IPaymentTransactionHandler
    end

The MergedTransactionHandlerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | MergedTransactionHandlerBase | Initializes a new instance of the MergedTransactionHandlerBase class
Top
Properties
 | Name | Description
Public property | Type | 交易类型
Top
Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html
Public method | OnAbort | 交易终止时 不会终止关联交易，只会清除所有关联交易
Public method | OnCreated | 交易创建后
Public method | OnSecuredPaid | 担保交易付款后
Public method | OnSuccess | 交易成功时
Public method | OnWaitingPaying | 等待付款时
Top
Fields
Name | Description
ExternalSerialPrefix | 设置关联交易的外部流水号时使用的前缀
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase Constructor

Initializes a new instance of the MergedTransactionHandlerBase class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected MergedTransactionHandlerBase()
Protected Sub New
protected:
MergedTransactionHandlerBase()
new : unit -> MergedTransactionHandlerBase
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase Properties

The MergedTransactionHandlerBase type exposes the following members.

Properties
 | Name | Description
Public property | Type | 交易类型
Top
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.Type Property

MergedTransactionHandlerBaseType Property

交易类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract string Type { get; }
Public MustOverride ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () abstract;
}
abstract Type : string with get

Property Value

Type: String

Implements

IPaymentTransactionHandlerType
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase Methods

The MergedTransactionHandlerBase type exposes the following members.

Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html
Public method | OnAbort | 交易终止时 不会终止关联交易，只会清除所有关联交易
Public method | OnCreated | 交易创建后
Public method | OnSecuredPaid | 担保交易付款后
Public method | OnSuccess | 交易成功时
Public method | OnWaitingPaying | 等待付款时
Top
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.GetResultHtml Method

MergedTransactionHandlerBaseGetResultHtml Method

获取显示交易结果的Html

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract void GetResultHtml(
    PaymentTransaction transaction,
    IList<HtmlString> html
)
Public MustOverride Sub GetResultHtml (
    transaction As PaymentTransaction,
    html As IList(Of HtmlString)
)
public:
virtual void GetResultHtml(
    PaymentTransaction^ transaction,
    IList<HtmlString^>^ html
) abstract
abstract GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

html
Type: System.Collections.GenericIList HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

Implements

IPaymentTransactionHandlerGetResultHtml(PaymentTransaction, IListHtmlString)
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.OnAbort Method

MergedTransactionHandlerBaseOnAbort Method

交易终止时 不会终止关联交易，只会清除所有关联交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnAbort(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Overridable Sub OnAbort (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnAbort(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
)
abstract OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnAbort(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnAbort(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnAbort(PaymentTransaction, PaymentTransactionState)
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.OnCreated Method

MergedTransactionHandlerBaseOnCreated Method

交易创建后

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnCreated(
    PaymentTransaction transaction
)
Public Overridable Sub OnCreated (
    transaction As PaymentTransaction
)
public:
virtual void OnCreated(
    PaymentTransaction^ transaction
)
abstract OnCreated :
        transaction : PaymentTransaction -> unit
override OnCreated :
        transaction : PaymentTransaction -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnCreated(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IPaymentTransactionHandlerOnCreated(PaymentTransaction)
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.OnSecuredPaid Method

MergedTransactionHandlerBaseOnSecuredPaid Method

担保交易付款后

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnSecuredPaid(
    PaymentTransaction transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters> parameters
)
Public Overridable Sub OnSecuredPaid (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState,
    parameters As IList(Of AutoDeliveryGoodsParameters)
)
public:
virtual void OnSecuredPaid(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters^>^ parameters
)
abstract OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit
override OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

parameters
Type: System.Collections.GenericIList AutoDeliveryGoodsParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

Implements

IPaymentTransactionHandlerOnSecuredPaid(PaymentTransaction, PaymentTransactionState, IListAutoDeliveryGoodsParameters)
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.OnSuccess Method

MergedTransactionHandlerBaseOnSuccess Method

交易成功时

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnSuccess(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Overridable Sub OnSuccess (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnSuccess(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
)
abstract OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnSuccess(PaymentTransaction, PaymentTransactionState)
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.OnWaitingPaying Method

MergedTransactionHandlerBaseOnWaitingPaying Method

等待付款时

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnWaitingPaying(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Overridable Sub OnWaitingPaying (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnWaitingPaying(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
)
abstract OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases.MergedTransactionHandlerBase.OnWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnWaitingPaying(PaymentTransaction, PaymentTransactionState)
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase Fields

The MergedTransactionHandlerBase type exposes the following members.

Fields
Name | Description
ExternalSerialPrefix | 设置关联交易的外部流水号时使用的前缀
Top
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


MergedTransactionHandlerBase.ExternalSerialPrefix Field

MergedTransactionHandlerBaseExternalSerialPrefix Field
设置关联交易的外部流水号时使用的前缀

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ExternalSerialPrefix = "MERGED_"
Public Const ExternalSerialPrefix As String = "MERGED_"
public:
literal String^ ExternalSerialPrefix = "MERGED_"
static val mutable ExternalSerialPrefix: string

Field Value

Type: String
See Also

Reference

MergedTransactionHandlerBase Class
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Bases Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IPaymentTransactionHandler | 支付交易处理器的接口 同一交易类型可以注册多个处理器，按注册顺序调用


IPaymentTransactionHandler Interface
支付交易处理器的接口 同一交易类型可以注册多个处理器，按注册顺序调用

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IPaymentTransactionHandler
Public Interface IPaymentTransactionHandler
public interface class IPaymentTransactionHandler
type IPaymentTransactionHandler =  interface end

The IPaymentTransactionHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 交易类型
Top
Methods
 | Name | Description
Public method | GetResultHtml | 获取支付成功或失败后，显示在结果页面的Html内容 是否可以查看结果已在外部判断，这个函数不需要判断 例 - 支付成功 - 即将返回订单页面
Public method | OnAbort | 交易中止时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次
Public method | OnCreated | 交易创建后的处理
Public method | OnSecuredPaid | 担保交易已付款时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次
Public method | OnSuccess | 交易成功时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次 可以看原有的状态判断是即时到账还是担保交易
Public method | OnWaitingPaying | 等待付款时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次 部分接口不会调用这个函数
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler Properties

The IPaymentTransactionHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 交易类型
Top
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.Type Property

IPaymentTransactionHandlerType Property

交易类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Type { get; }
ReadOnly Property Type As String
    Get
property String^ Type {
    String^ get ();
}
abstract Type : string with get

Property Value

Type: String
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler Methods

The IPaymentTransactionHandler type exposes the following members.

Methods
 | Name | Description
Public method | GetResultHtml | 获取支付成功或失败后，显示在结果页面的Html内容 是否可以查看结果已在外部判断，这个函数不需要判断 例 - 支付成功 - 即将返回订单页面
Public method | OnAbort | 交易中止时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次
Public method | OnCreated | 交易创建后的处理
Public method | OnSecuredPaid | 担保交易已付款时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次
Public method | OnSuccess | 交易成功时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次 可以看原有的状态判断是即时到账还是担保交易
Public method | OnWaitingPaying | 等待付款时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次 部分接口不会调用这个函数
Top
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.GetResultHtml Method

IPaymentTransactionHandlerGetResultHtml Method

获取支付成功或失败后，显示在结果页面的Html内容 是否可以查看结果已在外部判断，这个函数不需要判断 例 - 支付成功 - 即将返回订单页面

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void GetResultHtml(
    PaymentTransaction transaction,
    IList<HtmlString> html
)
Sub GetResultHtml (
    transaction As PaymentTransaction,
    html As IList(Of HtmlString)
)
void GetResultHtml(
    PaymentTransaction^ transaction,
    IList<HtmlString^>^ html
)
abstract GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
html
Type: System.Collections.GenericIList HtmlString
显示的Html内容
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.OnAbort Method

IPaymentTransactionHandlerOnAbort Method

交易中止时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnAbort(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Sub OnAbort (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
void OnAbort(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
)
abstract OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState
原有的状态
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.OnCreated Method

IPaymentTransactionHandlerOnCreated Method

交易创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnCreated(
    PaymentTransaction transaction
)
Sub OnCreated (
    transaction As PaymentTransaction
)
void OnCreated(
    PaymentTransaction^ transaction
)
abstract OnCreated :
        transaction : PaymentTransaction -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.OnSecuredPaid Method

IPaymentTransactionHandlerOnSecuredPaid Method

担保交易已付款时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSecuredPaid(
    PaymentTransaction transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters> parameters
)
Sub OnSecuredPaid (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState,
    parameters As IList(Of AutoDeliveryGoodsParameters)
)
void OnSecuredPaid(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters^>^ parameters
)
abstract OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState
原有的状态
parameters
Type: System.Collections.GenericIList AutoDeliveryGoodsParameters
自动发货参数，需要自动发货时请添加这个参数
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.OnSuccess Method

IPaymentTransactionHandlerOnSuccess Method

交易成功时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次 可以看原有的状态判断是即时到账还是担保交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnSuccess(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Sub OnSuccess (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
void OnSuccess(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
)
abstract OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState
原有的状态
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


IPaymentTransactionHandler.OnWaitingPaying Method

IPaymentTransactionHandlerOnWaitingPaying Method

等待付款时的处理 抛出例外可以阻止事务提交 多线程下同一交易最多只会调用一次 部分接口不会调用这个函数

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnWaitingPaying(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Sub OnWaitingPaying (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
void OnWaitingPaying(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
)
abstract OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState
原有的状态
See Also

Reference

IPaymentTransactionHandler Interface
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.Interfaces Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Finance.Payment.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.src.Components.Utils Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Components.Utils"]

Classes
 | Class | Description
Public class | PaymentUtils | 支付相关的帮助函数


PaymentUtils Class
支付相关的帮助函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.UtilsPaymentUtils

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class PaymentUtils
Public NotInheritable Class PaymentUtils
public ref class PaymentUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type PaymentUtils =  class end

The PaymentUtils type exposes the following members.

Methods
Name | Description
GetReturnOrNotifyUrl | 获取返回或异步通知Url，如果自定义了域名则使用自定义的域名
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Components.Utils Namespace


PaymentUtils Methods

The PaymentUtils type exposes the following members.

Methods
Name | Description
GetReturnOrNotifyUrl | 获取返回或异步通知Url，如果自定义了域名则使用自定义的域名
Top
See Also

Reference

PaymentUtils Class
ZKWeb.Plugins.Finance.Payment.src.Components.Utils Namespace


PaymentUtils.GetReturnOrNotifyUrl Method

PaymentUtilsGetReturnOrNotifyUrl Method

获取返回或异步通知Url，如果自定义了域名则使用自定义的域名

Namespace: ZKWeb.Plugins.Finance.Payment.src.Components.Utils
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetReturnOrNotifyUrl(
    string returnDomain,
    string url
)
Public Shared Function GetReturnOrNotifyUrl (
    returnDomain As String,
    url As String
) As String
public:
static String^ GetReturnOrNotifyUrl(
    String^ returnDomain,
    String^ url
)
static member GetReturnOrNotifyUrl :
        returnDomain : string *
        url : string -> string

Parameters

returnDomain
Type: SystemString
返回域名
url
Type: SystemString
Url

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Components.Utils.PaymentUtils.GetReturnOrNotifyUrl(System.String,System.String)"]

See Also

Reference

PaymentUtils Class
ZKWeb.Plugins.Finance.Payment.src.Components.Utils Namespace


ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Controllers"]

Classes
 | Class | Description
Public class | PaymentApiCrudController | 支付接口管理
Public class | PaymentApiCrudControllerSelectTypeForAddForm | 用于选择添加时使用的支付接口类型的表单
Public class | PaymentApiCrudControllerTableHandler | 表格处理器
Public class | PaymentController | 支付相关的控制器
Public class | PaymentTransactionCrudController | 支付交易记录
Public class | PaymentTransactionCrudControllerForm | 查看支付交易的表单
Public class | PaymentTransactionCrudControllerTableHandler | 表格处理器


PaymentApiCrudController Class
支付接口管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase PaymentApi, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase PaymentApi, Guid
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentApiCrudController

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApiCrudController : CrudAdminAppControllerBase<PaymentApi, Guid>
Public Class PaymentApiCrudController
    Inherits CrudAdminAppControllerBase(Of PaymentApi, Guid)
public ref class PaymentApiCrudController : public CrudAdminAppControllerBase<PaymentApi^, Guid>
type PaymentApiCrudController =
    class
        inherit CrudAdminAppControllerBase<PaymentApi, Guid>
    end

The PaymentApiCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiCrudController | Initializes a new instance of the PaymentApiCrudController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Protected property | UseTransaction | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUseTransaction.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Public method | GetPrivileges | 获取权限列表 (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetPrivileges.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController Constructor

Initializes a new instance of the PaymentApiCrudController class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApiCrudController()
Public Sub New
public:
PaymentApiCrudController()
new : unit -> PaymentApiCrudController
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController Properties

The PaymentApiCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Protected property | UseTransaction | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUseTransaction.)
Top
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.Group Property

PaymentApiCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.Group"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.GroupIconClass Property

PaymentApiCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.IconClass Property

PaymentApiCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.Name Property

PaymentApiCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.Name"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TileClass Property

PaymentApiCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.Url Property

PaymentApiCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.Url"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.UseTransaction Property

PaymentApiCrudControllerUseTransaction Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.UseTransaction"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override bool UseTransaction { get; }
Protected Overrides ReadOnly Property UseTransaction As Boolean
    Get
protected:
virtual property bool UseTransaction {
    bool get () override;
}
abstract UseTransaction : bool with get
override UseTransaction : bool with get

Property Value

Type: Boolean
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController Methods

The PaymentApiCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Public method | GetPrivileges | 获取权限列表 (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetPrivileges.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.GetAddForm Method

PaymentApiCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetAddForm"]

See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.GetEditForm Method

PaymentApiCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetEditForm"]

See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.GetPrivileges Method

PaymentApiCrudControllerGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override IEnumerable<string> GetPrivileges()
Public Overrides Function GetPrivileges As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetPrivileges() override
abstract GetPrivileges : unit -> IEnumerable<string>
override GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetPrivileges"]

Implements

IPrivilegesProviderGetPrivileges
See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.GetTableHandler Method

PaymentApiCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<PaymentApi, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of PaymentApi, Guid)
protected:
virtual IAjaxTableHandler<PaymentApi^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<PaymentApi, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<PaymentApi, Guid>

Return Value

Type: IAjaxTableHandler PaymentApi, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.GetTableHandler"]

See Also

Reference

PaymentApiCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.SelectTypeForAddForm Class

PaymentApiCrudControllerSelectTypeForAddForm Class
用于选择添加时使用的支付接口类型的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentApiCrudControllerSelectTypeForAddForm

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SelectTypeForAddForm : ModelFormBuilder
Public Class SelectTypeForAddForm
    Inherits ModelFormBuilder
public ref class SelectTypeForAddForm : public ModelFormBuilder
type SelectTypeForAddForm =
    class
        inherit ModelFormBuilder
    end

The PaymentApiCrudControllerSelectTypeForAddForm type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiCrudControllerSelectTypeForAddForm | Initializes a new instance of the PaymentApiCrudControllerSelectTypeForAddForm class
Top
Properties
 | Name | Description
Public property | Type | 类型
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.SelectTypeForAddForm Constructor

PaymentApiCrudControllerSelectTypeForAddForm Constructor

Initializes a new instance of the PaymentApiCrudControllerSelectTypeForAddForm class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SelectTypeForAddForm()
Public Sub New
public:
SelectTypeForAddForm()
new : unit -> SelectTypeForAddForm
See Also

Reference

PaymentApiCrudControllerSelectTypeForAddForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


SelectTypeForAddForm Properties

The PaymentApiCrudControllerSelectTypeForAddForm type exposes the following members.

Properties
 | Name | Description
Public property | Type | 类型
Top
See Also

Reference

PaymentApiCrudControllerSelectTypeForAddForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.SelectTypeForAddForm.Type Property

PaymentApiCrudControllerSelectTypeForAddFormType Property

类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApiCrudControllerSelectTypeForAddForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


SelectTypeForAddForm Methods

The PaymentApiCrudControllerSelectTypeForAddForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

PaymentApiCrudControllerSelectTypeForAddForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.SelectTypeForAddForm.OnBind Method

PaymentApiCrudControllerSelectTypeForAddFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

PaymentApiCrudControllerSelectTypeForAddForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.SelectTypeForAddForm.OnSubmit Method

PaymentApiCrudControllerSelectTypeForAddFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.SelectTypeForAddForm.OnSubmit"]

See Also

Reference

PaymentApiCrudControllerSelectTypeForAddForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler Class

PaymentApiCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase PaymentApi, Guid
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentApiCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<PaymentApi, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of PaymentApi, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<PaymentApi^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<PaymentApi, Guid>
    end

The PaymentApiCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiCrudControllerTableHandler | Initializes a new instance of the PaymentApiCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler Constructor

PaymentApiCrudControllerTableHandler Constructor

Initializes a new instance of the PaymentApiCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


TableHandler Methods

The PaymentApiCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler.BuildTable Method

PaymentApiCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler.OnQuery Method

PaymentApiCrudControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<PaymentApi> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of PaymentApi)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<PaymentApi^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<PaymentApi> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<PaymentApi> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi}@)"]

query
Type: System.LinqIQueryable PaymentApi

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler.OnResponse Method

PaymentApiCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler.OnSelect Method

PaymentApiCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<PaymentApi>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of PaymentApi))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<PaymentApi^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<PaymentApi>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<PaymentApi>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow PaymentApi

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentApiCrudController.TableHandler.OnSort Method

PaymentApiCrudControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<PaymentApi> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of PaymentApi)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<PaymentApi^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<PaymentApi> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<PaymentApi> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi}@)"]

query
Type: System.LinqIQueryable PaymentApi

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentApiCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

PaymentApiCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController Class
支付相关的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentController

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentController : ControllerBase
Public Class PaymentController
    Inherits ControllerBase
public ref class PaymentController : public ControllerBase
type PaymentController =
    class
        inherit ControllerBase
    end

The PaymentController type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentController | Initializes a new instance of the PaymentController class
Top
Methods
 | Name | Description
Public method | Pay | 交易的支付页面 这里不检查用户登录，在交易管理器中检查
Public method | PayResult | 交易的支付结果页面 这里不检查用户登录，在交易管理器中检查
Public method | TestApiPay | 使用测试接口支付指定交易
Public method | TestPayment | 创建测试交易的页面
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController Constructor

Initializes a new instance of the PaymentController class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentController()
Public Sub New
public:
PaymentController()
new : unit -> PaymentController
See Also

Reference

PaymentController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController Methods

The PaymentController type exposes the following members.

Methods
 | Name | Description
Public method | Pay | 交易的支付页面 这里不检查用户登录，在交易管理器中检查
Public method | PayResult | 交易的支付结果页面 这里不检查用户登录，在交易管理器中检查
Public method | TestApiPay | 使用测试接口支付指定交易
Public method | TestPayment | 创建测试交易的页面
Top
See Also

Reference

PaymentController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController.Pay Method

PaymentControllerPay Method

交易的支付页面 这里不检查用户登录，在交易管理器中检查

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Pay()
Public Function Pay As IActionResult
public:
IActionResult^ Pay()
member Pay : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentController.Pay"]

See Also

Reference

PaymentController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController.PayResult Method

PaymentControllerPayResult Method

交易的支付结果页面 这里不检查用户登录，在交易管理器中检查

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult PayResult()
Public Function PayResult As IActionResult
public:
IActionResult^ PayResult()
member PayResult : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentController.PayResult"]

See Also

Reference

PaymentController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController.TestApiPay Method

PaymentControllerTestApiPay Method

使用测试接口支付指定交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult TestApiPay()
Public Function TestApiPay As IActionResult
public:
IActionResult^ TestApiPay()
member TestApiPay : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentController.TestApiPay"]

See Also

Reference

PaymentController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentController.TestPayment Method

PaymentControllerTestPayment Method

创建测试交易的页面

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult TestPayment()
Public Function TestPayment As IActionResult
public:
IActionResult^ TestPayment()
member TestPayment : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentController.TestPayment"]

See Also

Reference

PaymentController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController Class
支付交易记录
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase PaymentTransaction, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase PaymentTransaction, Guid
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentTransactionCrudController

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransactionCrudController : CrudAdminAppControllerBase<PaymentTransaction, Guid>
Public Class PaymentTransactionCrudController
    Inherits CrudAdminAppControllerBase(Of PaymentTransaction, Guid)
public ref class PaymentTransactionCrudController : public CrudAdminAppControllerBase<PaymentTransaction^, Guid>
type PaymentTransactionCrudController =
    class
        inherit CrudAdminAppControllerBase<PaymentTransaction, Guid>
    end

The PaymentTransactionCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionCrudController | Initializes a new instance of the PaymentTransactionCrudController class
Top
Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | AllowDeleteForever | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever.)
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Protected property | UseTransaction | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUseTransaction.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController Constructor

Initializes a new instance of the PaymentTransactionCrudController class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransactionCrudController()
Public Sub New
public:
PaymentTransactionCrudController()
new : unit -> PaymentTransactionCrudController
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController Properties

The PaymentTransactionCrudController type exposes the following members.

Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | AllowDeleteForever | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever.)
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Protected property | UseTransaction | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUseTransaction.)
Top
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.AddUrl Property

PaymentTransactionCrudControllerAddUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.AddUrl"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddUrl { get; }
Public Overrides ReadOnly Property AddUrl As String
    Get
public:
virtual property String^ AddUrl {
    String^ get () override;
}
abstract AddUrl : string with get
override AddUrl : string with get

Property Value

Type: String

Implements

ICrudControllerAddUrl
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.AllowDeleteForever Property

PaymentTransactionCrudControllerAllowDeleteForever Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.AllowDeleteForever"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool AllowDeleteForever { get; }
Public Overrides ReadOnly Property AllowDeleteForever As Boolean
    Get
public:
virtual property bool AllowDeleteForever {
    bool get () override;
}
abstract AllowDeleteForever : bool with get
override AllowDeleteForever : bool with get

Property Value

Type: Boolean

Implements

ICrudControllerAllowDeleteForever
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Group Property

PaymentTransactionCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.Group"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.GroupIconClass Property

PaymentTransactionCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.IconClass Property

PaymentTransactionCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Name Property

PaymentTransactionCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.Name"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TileClass Property

PaymentTransactionCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Url Property

PaymentTransactionCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.Url"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.UseTransaction Property

PaymentTransactionCrudControllerUseTransaction Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.UseTransaction"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override bool UseTransaction { get; }
Protected Overrides ReadOnly Property UseTransaction As Boolean
    Get
protected:
virtual property bool UseTransaction {
    bool get () override;
}
abstract UseTransaction : bool with get
override UseTransaction : bool with get

Property Value

Type: Boolean
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController Methods

The PaymentTransactionCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.GetAddForm Method

PaymentTransactionCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GetAddForm"]

See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.GetEditForm Method

PaymentTransactionCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GetEditForm"]

See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.GetTableHandler Method

PaymentTransactionCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<PaymentTransaction, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of PaymentTransaction, Guid)
protected:
virtual IAjaxTableHandler<PaymentTransaction^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<PaymentTransaction, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<PaymentTransaction, Guid>

Return Value

Type: IAjaxTableHandler PaymentTransaction, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.GetTableHandler"]

See Also

Reference

PaymentTransactionCrudController Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form Class

PaymentTransactionCrudControllerForm Class
查看支付交易的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder PaymentTransaction, Guid, PaymentTransactionCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder PaymentTransaction, Guid, PaymentTransactionCrudControllerForm
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentTransactionCrudControllerForm

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<PaymentTransaction, Guid, PaymentTransactionCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of PaymentTransaction, Guid, PaymentTransactionCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<PaymentTransaction^, Guid, PaymentTransactionCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<PaymentTransaction, Guid, PaymentTransactionCrudControllerForm>
    end

The PaymentTransactionCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionCrudControllerForm | Initializes a new instance of the PaymentTransactionCrudControllerForm class
Top
Properties
 | Name | Description
Public property | Amount | 金额
Public property | Currency | 货币
Public property | Description | 描述
Public property | DetailRecords | 详细记录
Public property | ExternalSerial | 外部流水号
Public property | LastError | 最后发生的错误
Public property | Payee | 收款人
Public property | Payer | 付款人
Public property | PaymentApi | 支付接口
Public property | PaymentFee | 支付手续费
Public property | ReleatedTransactions | 关联交易
Public property | Remark | 备注
Public property | Serial | 流水号
Public property | State | 交易状态
Public property | Type | 交易类型
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form Constructor

PaymentTransactionCrudControllerForm Constructor

Initializes a new instance of the PaymentTransactionCrudControllerForm class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


Form Properties

The PaymentTransactionCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | Amount | 金额
Public property | Currency | 货币
Public property | Description | 描述
Public property | DetailRecords | 详细记录
Public property | ExternalSerial | 外部流水号
Public property | LastError | 最后发生的错误
Public property | Payee | 收款人
Public property | Payer | 付款人
Public property | PaymentApi | 支付接口
Public property | PaymentFee | 支付手续费
Public property | ReleatedTransactions | 关联交易
Public property | Remark | 备注
Public property | Serial | 流水号
Public property | State | 交易状态
Public property | Type | 交易类型
Top
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Amount Property

PaymentTransactionCrudControllerFormAmount Property

金额

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Amount { get; set; }
Public Property Amount As String
    Get
    Set
public:
property String^ Amount {
    String^ get ();
    void set (String^ value);
}
member Amount : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Currency Property

PaymentTransactionCrudControllerFormCurrency Property

货币

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Description Property

PaymentTransactionCrudControllerFormDescription Property

描述

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.DetailRecords Property

PaymentTransactionCrudControllerFormDetailRecords Property

详细记录

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString DetailRecords { get; set; }
Public Property DetailRecords As HtmlString
    Get
    Set
public:
property HtmlString^ DetailRecords {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member DetailRecords : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.ExternalSerial Property

PaymentTransactionCrudControllerFormExternalSerial Property

外部流水号

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ExternalSerial { get; set; }
Public Property ExternalSerial As String
    Get
    Set
public:
property String^ ExternalSerial {
    String^ get ();
    void set (String^ value);
}
member ExternalSerial : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.LastError Property

PaymentTransactionCrudControllerFormLastError Property

最后发生的错误

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string LastError { get; set; }
Public Property LastError As String
    Get
    Set
public:
property String^ LastError {
    String^ get ();
    void set (String^ value);
}
member LastError : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Payee Property

PaymentTransactionCrudControllerFormPayee Property

收款人

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Payee { get; set; }
Public Property Payee As String
    Get
    Set
public:
property String^ Payee {
    String^ get ();
    void set (String^ value);
}
member Payee : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Payer Property

PaymentTransactionCrudControllerFormPayer Property

付款人

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Payer { get; set; }
Public Property Payer As String
    Get
    Set
public:
property String^ Payer {
    String^ get ();
    void set (String^ value);
}
member Payer : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.PaymentApi Property

PaymentTransactionCrudControllerFormPaymentApi Property

支付接口

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PaymentApi { get; set; }
Public Property PaymentApi As String
    Get
    Set
public:
property String^ PaymentApi {
    String^ get ();
    void set (String^ value);
}
member PaymentApi : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.PaymentFee Property

PaymentTransactionCrudControllerFormPaymentFee Property

支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PaymentFee { get; set; }
Public Property PaymentFee As String
    Get
    Set
public:
property String^ PaymentFee {
    String^ get ();
    void set (String^ value);
}
member PaymentFee : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.ReleatedTransactions Property

PaymentTransactionCrudControllerFormReleatedTransactions Property

关联交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReleatedTransactions { get; set; }
Public Property ReleatedTransactions As String
    Get
    Set
public:
property String^ ReleatedTransactions {
    String^ get ();
    void set (String^ value);
}
member ReleatedTransactions : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Remark Property

PaymentTransactionCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Serial Property

PaymentTransactionCrudControllerFormSerial Property

流水号

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Serial { get; set; }
Public Property Serial As String
    Get
    Set
public:
property String^ Serial {
    String^ get ();
    void set (String^ value);
}
member Serial : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.State Property

PaymentTransactionCrudControllerFormState Property

交易状态

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; set; }
Public Property State As String
    Get
    Set
public:
property String^ State {
    String^ get ();
    void set (String^ value);
}
member State : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.Type Property

PaymentTransactionCrudControllerFormType Property

交易类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


Form Methods

The PaymentTransactionCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.OnBind Method

PaymentTransactionCrudControllerFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    PaymentTransaction bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As PaymentTransaction
)
protected:
virtual void OnBind(
    PaymentTransaction^ bindFrom
) override
abstract OnBind :
        bindFrom : PaymentTransaction -> unit
override OnBind :
        bindFrom : PaymentTransaction -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.Form.OnBind(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.Form.OnSubmit Method

PaymentTransactionCrudControllerFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    PaymentTransaction saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As PaymentTransaction
) As Object
protected:
virtual Object^ OnSubmit(
    PaymentTransaction^ saveTo
) override
abstract OnSubmit :
        saveTo : PaymentTransaction -> Object
override OnSubmit :
        saveTo : PaymentTransaction -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.Form.OnSubmit(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.Form.OnSubmit(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

See Also

Reference

PaymentTransactionCrudControllerForm Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TableHandler Class

PaymentTransactionCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase PaymentTransaction, Guid
ZKWeb.Plugins.Finance.Payment.src.ControllersPaymentTransactionCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<PaymentTransaction, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of PaymentTransaction, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<PaymentTransaction^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<PaymentTransaction, Guid>
    end

The PaymentTransactionCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionCrudControllerTableHandler | Initializes a new instance of the PaymentTransactionCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择字段 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TableHandler Constructor

PaymentTransactionCrudControllerTableHandler Constructor

Initializes a new instance of the PaymentTransactionCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

PaymentTransactionCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


TableHandler Methods

The PaymentTransactionCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择字段 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

PaymentTransactionCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TableHandler.BuildTable Method

PaymentTransactionCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

PaymentTransactionCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TableHandler.OnQuery Method

PaymentTransactionCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<PaymentTransaction> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of PaymentTransaction)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<PaymentTransaction^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<PaymentTransaction> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<PaymentTransaction> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction}@)"]

query
Type: System.LinqIQueryable PaymentTransaction

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

PaymentTransactionCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TableHandler.OnResponse Method

PaymentTransactionCrudControllerTableHandlerOnResponse Method

添加列

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

PaymentTransactionCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


PaymentTransactionCrudController.TableHandler.OnSelect Method

PaymentTransactionCrudControllerTableHandlerOnSelect Method

选择字段

Namespace: ZKWeb.Plugins.Finance.Payment.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<PaymentTransaction>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of PaymentTransaction))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<PaymentTransaction^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<PaymentTransaction>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<PaymentTransaction>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow PaymentTransaction

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Controllers.PaymentTransactionCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

PaymentTransactionCrudControllerTableHandler Class
ZKWeb.Plugins.Finance.Payment.src.Controllers Namespace


ZKWeb.Plugins.Finance.Payment.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities |
ZKWeb.Plugins.Finance.Payment.src.Domain.Enums |
ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions |
ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories |
ZKWeb.Plugins.Finance.Payment.src.Domain.Services |
ZKWeb.Plugins.Finance.Payment.src.Domain.Structs |


ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Domain.Entities"]

Classes
 | Class | Description
Public class | PaymentApi | 支付接口 用于用户支付金钱给网站或其他用户
Public class | PaymentTransaction | 支付交易 用于储存单笔交易的信息


PaymentApi Class
支付接口 用于用户支付金钱给网站或其他用户
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApi : IHaveCreateTime, IEntity,
    IHaveUpdateTime, IHaveDeleted, IEntity<Guid>, IEntityMappingProvider<PaymentApi>,
    IEntityMappingProvider, ILiquidizable
Public Class PaymentApi
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IEntity(Of Guid), IEntityMappingProvider(Of PaymentApi), IEntityMappingProvider,
    ILiquidizable
public ref class PaymentApi : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<PaymentApi^>, IEntityMappingProvider, ILiquidizable
type PaymentApi =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntity<Guid>
        interface IEntityMappingProvider<PaymentApi>
        interface IEntityMappingProvider
        interface ILiquidizable
    end

The PaymentApi type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApi | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | ExtraData | 附加数据
Public property | Id | 接口Id
Public property | Name | 名称
Public property | Owner | 接口的所属用户，null时属于网站 创建后不能修改
Public property | Remark | 备注
Public property | SupportTransactionTypes | 支持的交易类型列表
Public property | Type | 接口类型 创建后不能修改
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToLiquid | 允许描画到模板
Public method | ToString | 返回支付接口名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | GetHandlers | 获取支付接口的处理器列表 没有时抛出未知类型的例外 (Defined by PaymentApiExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi Constructor

初始化

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApi()
Public Sub New
public:
PaymentApi()
new : unit -> PaymentApi
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi Properties

The PaymentApi type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | ExtraData | 附加数据
Public property | Id | 接口Id
Public property | Name | 名称
Public property | Owner | 接口的所属用户，null时属于网站 创建后不能修改
Public property | Remark | 备注
Public property | SupportTransactionTypes | 支持的交易类型列表
Public property | Type | 接口类型 创建后不能修改
Public property | UpdateTime | 更新时间
Top
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.CreateTime Property

PaymentApiCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Deleted Property

PaymentApiDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.DisplayOrder Property

PaymentApiDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.ExtraData Property

PaymentApiExtraData Property

附加数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentApiExtraData ExtraData { get; set; }
Public Overridable Property ExtraData As PaymentApiExtraData
    Get
    Set
public:
virtual property PaymentApiExtraData^ ExtraData {
    PaymentApiExtraData^ get ();
    void set (PaymentApiExtraData^ value);
}
abstract ExtraData : PaymentApiExtraData with get, set
override ExtraData : PaymentApiExtraData with get, set

Property Value

Type: PaymentApiExtraData
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Id Property

PaymentApiId Property

接口Id

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Name Property

PaymentApiName Property

名称

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Owner Property

PaymentApiOwner Property

接口的所属用户，null时属于网站 创建后不能修改

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Remark Property

PaymentApiRemark Property

备注

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.SupportTransactionTypes Property

PaymentApiSupportTransactionTypes Property

支持的交易类型列表

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<string> SupportTransactionTypes { get; set; }
Public Overridable Property SupportTransactionTypes As List(Of String)
    Get
    Set
public:
virtual property List<String^>^ SupportTransactionTypes {
    List<String^>^ get ();
    void set (List<String^>^ value);
}
abstract SupportTransactionTypes : List<string> with get, set
override SupportTransactionTypes : List<string> with get, set

Property Value

Type: List String
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Type Property

PaymentApiType Property

接口类型 创建后不能修改

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.UpdateTime Property

PaymentApiUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi Methods

The PaymentApi type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToLiquid | 允许描画到模板
Public method | ToString | 返回支付接口名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | GetHandlers | 获取支付接口的处理器列表 没有时抛出未知类型的例外 (Defined by PaymentApiExtensions.)
Top
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.Configure Method

PaymentApiConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<PaymentApi> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of PaymentApi)
)
public:
virtual void Configure(
    IEntityMappingBuilder<PaymentApi^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<PaymentApi> -> unit
override Configure :
        builder : IEntityMappingBuilder<PaymentApi> -> unit

Parameters

builder
Type: IEntityMappingBuilderPaymentApi

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.ToLiquid Method

PaymentApiToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object ToLiquid()
Public Overridable Function ToLiquid As Object
public:
virtual Object^ ToLiquid()
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentApi.ToString Method

PaymentApiToString Method

返回支付接口名称

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi.ToString"]

See Also

Reference

PaymentApi Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction Class
支付交易 用于储存单笔交易的信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransaction : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<PaymentTransaction>, IEntityMappingProvider
Public Class PaymentTransaction
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IEntity(Of Guid), IEntityMappingProvider(Of PaymentTransaction), IEntityMappingProvider
public ref class PaymentTransaction : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<PaymentTransaction^>, IEntityMappingProvider
type PaymentTransaction =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntity<Guid>
        interface IEntityMappingProvider<PaymentTransaction>
        interface IEntityMappingProvider
    end

The PaymentTransaction type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransaction | 初始化
Top
Properties
 | Name | Description
Public property | Amount | 金额
Public property | Api | 使用的支付接口
Public property | CreateTime | 创建时间
Public property | CurrencyType | 货币类型
Public property | Deleted | 是否已删除
Public property | Description | 交易描述
Public property | ExternalSerial | 外部提供的交易流水号 例如支付宝上的交易号
Public property | ExtraData | 附加数据
Public property | Id | 交易Id
Public property | LastError | 最后发生的错误 没有发生错误时等于空
Public property | Payee | 收款人，可以等于null 如果支付接口有所属人，这里应该等于该所属人
Public property | Payer | 付款人，可以等于null
Public property | PaymentFee | 支付手续费 手续费有可能在网站上收取，也可能在支付接口上收取
Public property | ReleatedId | 关联数据Id 根据交易类型不同关联的数据类型也不同
Public property | ReleatedTransactions | 关联的交易列表 可以用于合并交易等有关联的交易类型
Public property | Remark | 备注
Public property | Serial | 交易流水号，唯一键
Public property | State | 交易状态
Public property | Type | 交易类型 创建后不能修改
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 返回流水号 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查交易是否满足指定条件 返回是否满足和文本信息 (Defined by WebReceiveFundsTransactionExtensions.)
Public Extension Method | GetAmountEditor | 获取交易金额的编辑器 (Defined by PaymentTransactionExtensions.)
Public Extension Method | GetHandlers | 根据支付交易的处理器列表 没有时抛出未知类型的例外 (Defined by WebReceiveFundsTransactionExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction Constructor

初始化

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransaction()
Public Sub New
public:
PaymentTransaction()
new : unit -> PaymentTransaction
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction Properties

The PaymentTransaction type exposes the following members.

Properties
 | Name | Description
Public property | Amount | 金额
Public property | Api | 使用的支付接口
Public property | CreateTime | 创建时间
Public property | CurrencyType | 货币类型
Public property | Deleted | 是否已删除
Public property | Description | 交易描述
Public property | ExternalSerial | 外部提供的交易流水号 例如支付宝上的交易号
Public property | ExtraData | 附加数据
Public property | Id | 交易Id
Public property | LastError | 最后发生的错误 没有发生错误时等于空
Public property | Payee | 收款人，可以等于null 如果支付接口有所属人，这里应该等于该所属人
Public property | Payer | 付款人，可以等于null
Public property | PaymentFee | 支付手续费 手续费有可能在网站上收取，也可能在支付接口上收取
Public property | ReleatedId | 关联数据Id 根据交易类型不同关联的数据类型也不同
Public property | ReleatedTransactions | 关联的交易列表 可以用于合并交易等有关联的交易类型
Public property | Remark | 备注
Public property | Serial | 交易流水号，唯一键
Public property | State | 交易状态
Public property | Type | 交易类型 创建后不能修改
Public property | UpdateTime | 更新时间
Top
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Amount Property

PaymentTransactionAmount Property

金额

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual decimal Amount { get; set; }
Public Overridable Property Amount As Decimal
    Get
    Set
public:
virtual property Decimal Amount {
    Decimal get ();
    void set (Decimal value);
}
abstract Amount : decimal with get, set
override Amount : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Api Property

PaymentTransactionApi Property

使用的支付接口

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentApi Api { get; set; }
Public Overridable Property Api As PaymentApi
    Get
    Set
public:
virtual property PaymentApi^ Api {
    PaymentApi^ get ();
    void set (PaymentApi^ value);
}
abstract Api : PaymentApi with get, set
override Api : PaymentApi with get, set

Property Value

Type: PaymentApi
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.CreateTime Property

PaymentTransactionCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.CurrencyType Property

PaymentTransactionCurrencyType Property

货币类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string CurrencyType { get; set; }
Public Overridable Property CurrencyType As String
    Get
    Set
public:
virtual property String^ CurrencyType {
    String^ get ();
    void set (String^ value);
}
abstract CurrencyType : string with get, set
override CurrencyType : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Deleted Property

PaymentTransactionDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Description Property

PaymentTransactionDescription Property

交易描述

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Description { get; set; }
Public Overridable Property Description As String
    Get
    Set
public:
virtual property String^ Description {
    String^ get ();
    void set (String^ value);
}
abstract Description : string with get, set
override Description : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.ExternalSerial Property

PaymentTransactionExternalSerial Property

外部提供的交易流水号 例如支付宝上的交易号

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ExternalSerial { get; set; }
Public Overridable Property ExternalSerial As String
    Get
    Set
public:
virtual property String^ ExternalSerial {
    String^ get ();
    void set (String^ value);
}
abstract ExternalSerial : string with get, set
override ExternalSerial : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.ExtraData Property

PaymentTransactionExtraData Property

附加数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentTransactionExtraData ExtraData { get; set; }
Public Overridable Property ExtraData As PaymentTransactionExtraData
    Get
    Set
public:
virtual property PaymentTransactionExtraData^ ExtraData {
    PaymentTransactionExtraData^ get ();
    void set (PaymentTransactionExtraData^ value);
}
abstract ExtraData : PaymentTransactionExtraData with get, set
override ExtraData : PaymentTransactionExtraData with get, set

Property Value

Type: PaymentTransactionExtraData
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Id Property

PaymentTransactionId Property

交易Id

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.LastError Property

PaymentTransactionLastError Property

最后发生的错误 没有发生错误时等于空

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string LastError { get; set; }
Public Overridable Property LastError As String
    Get
    Set
public:
virtual property String^ LastError {
    String^ get ();
    void set (String^ value);
}
abstract LastError : string with get, set
override LastError : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Payee Property

PaymentTransactionPayee Property

收款人，可以等于null 如果支付接口有所属人，这里应该等于该所属人

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Payee { get; set; }
Public Overridable Property Payee As User
    Get
    Set
public:
virtual property User^ Payee {
    User^ get ();
    void set (User^ value);
}
abstract Payee : User with get, set
override Payee : User with get, set

Property Value

Type: User
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Payer Property

PaymentTransactionPayer Property

付款人，可以等于null

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Payer { get; set; }
Public Overridable Property Payer As User
    Get
    Set
public:
virtual property User^ Payer {
    User^ get ();
    void set (User^ value);
}
abstract Payer : User with get, set
override Payer : User with get, set

Property Value

Type: User
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.PaymentFee Property

PaymentTransactionPaymentFee Property

支付手续费 手续费有可能在网站上收取，也可能在支付接口上收取

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual decimal PaymentFee { get; set; }
Public Overridable Property PaymentFee As Decimal
    Get
    Set
public:
virtual property Decimal PaymentFee {
    Decimal get ();
    void set (Decimal value);
}
abstract PaymentFee : decimal with get, set
override PaymentFee : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.ReleatedId Property

PaymentTransactionReleatedId Property

关联数据Id 根据交易类型不同关联的数据类型也不同

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<Guid> ReleatedId { get; set; }
Public Overridable Property ReleatedId As Nullable(Of Guid)
    Get
    Set
public:
virtual property Nullable<Guid> ReleatedId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
abstract ReleatedId : Nullable<Guid> with get, set
override ReleatedId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.ReleatedTransactions Property

PaymentTransactionReleatedTransactions Property

关联的交易列表 可以用于合并交易等有关联的交易类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<PaymentTransaction> ReleatedTransactions { get; set; }
Public Overridable Property ReleatedTransactions As ISet(Of PaymentTransaction)
    Get
    Set
public:
virtual property ISet<PaymentTransaction^>^ ReleatedTransactions {
    ISet<PaymentTransaction^>^ get ();
    void set (ISet<PaymentTransaction^>^ value);
}
abstract ReleatedTransactions : ISet<PaymentTransaction> with get, set
override ReleatedTransactions : ISet<PaymentTransaction> with get, set

Property Value

Type: ISet PaymentTransaction
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Remark Property

PaymentTransactionRemark Property

备注

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Serial Property

PaymentTransactionSerial Property

交易流水号，唯一键

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Serial { get; set; }
Public Overridable Property Serial As String
    Get
    Set
public:
virtual property String^ Serial {
    String^ get ();
    void set (String^ value);
}
abstract Serial : string with get, set
override Serial : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.State Property

PaymentTransactionState Property

交易状态

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentTransactionState State { get; set; }
Public Overridable Property State As PaymentTransactionState
    Get
    Set
public:
virtual property PaymentTransactionState State {
    PaymentTransactionState get ();
    void set (PaymentTransactionState value);
}
abstract State : PaymentTransactionState with get, set
override State : PaymentTransactionState with get, set

Property Value

Type: PaymentTransactionState
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Type Property

PaymentTransactionType Property

交易类型 创建后不能修改

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.UpdateTime Property

PaymentTransactionUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction Methods

The PaymentTransaction type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 返回流水号 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查交易是否满足指定条件 返回是否满足和文本信息 (Defined by WebReceiveFundsTransactionExtensions.)
Public Extension Method | GetAmountEditor | 获取交易金额的编辑器 (Defined by PaymentTransactionExtensions.)
Public Extension Method | GetHandlers | 根据支付交易的处理器列表 没有时抛出未知类型的例外 (Defined by WebReceiveFundsTransactionExtensions.)
Top
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.Configure Method

PaymentTransactionConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<PaymentTransaction> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of PaymentTransaction)
)
public:
virtual void Configure(
    IEntityMappingBuilder<PaymentTransaction^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<PaymentTransaction> -> unit
override Configure :
        builder : IEntityMappingBuilder<PaymentTransaction> -> unit

Parameters

builder
Type: IEntityMappingBuilderPaymentTransaction

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


PaymentTransaction.ToString Method

PaymentTransactionToString Method

返回流水号

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction.ToString"]

See Also

Reference

PaymentTransaction Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Entities Namespace


ZKWeb.Plugins.Finance.Payment.src.Domain.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Domain.Enums"]

Enumerations
 | Enumeration | Description
Public enumeration | PaymentTransactionState | 支付交易的状态


PaymentTransactionState Enumeration
支付交易的状态

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum PaymentTransactionState
Public Enumeration PaymentTransactionState
public enum class PaymentTransactionState
type PaymentTransactionState
Members
Member name | Value | Description
Initial | 0 | 初始状态，这时可以修改金额和货币
WaitingPaying | 1 | 等待付款，这时金额和货币不能修改 部分接口不会使用这个状态
SecuredPaid | 2 | 担保交易已付款
Success | 3 | 交易成功
Aborted | 4 | 交易中止
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Enums Namespace


ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions"]

Classes
 | Class | Description
Public class | PaymentApiExtensions | 支付接口的扩展函数
Public class | WebReceiveFundsTransactionExtensions | 支付交易的扩展函数
Delegates
 | Delegate | Description
Public delegate | WebReceiveFundsTransactionExtensionsCheckFunc | 检查函数的类型


PaymentApiExtensions Class
支付接口的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Domain.ExtensionsPaymentApiExtensions

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class PaymentApiExtensions
<ExtensionAttribute>
Public NotInheritable Class PaymentApiExtensions
[ExtensionAttribute]
public ref class PaymentApiExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type PaymentApiExtensions =  class end

The PaymentApiExtensions type exposes the following members.

Methods
Name | Description
GetHandlers | 获取支付接口的处理器列表 没有时抛出未知类型的例外
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


PaymentApiExtensions Methods

The PaymentApiExtensions type exposes the following members.

Methods
Name | Description
GetHandlers | 获取支付接口的处理器列表 没有时抛出未知类型的例外
Top
See Also

Reference

PaymentApiExtensions Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


PaymentApiExtensions.GetHandlers Method

PaymentApiExtensionsGetHandlers Method

获取支付接口的处理器列表 没有时抛出未知类型的例外

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<IPaymentApiHandler> GetHandlers(
    this PaymentApi api
)
<ExtensionAttribute>
Public Shared Function GetHandlers (
    api As PaymentApi
) As IList(Of IPaymentApiHandler)
public:
[ExtensionAttribute]
static IList<IPaymentApiHandler^>^ GetHandlers(
    PaymentApi^ api
)
[<ExtensionAttribute>]
static member GetHandlers :
        api : PaymentApi -> IList<IPaymentApiHandler>

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi
支付接口

Return Value

Type: IList IPaymentApiHandler

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions.PaymentApiExtensions.GetHandlers(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PaymentApi. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PaymentApiExtensions Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


WebReceiveFundsTransactionExtensions Class
支付交易的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Domain.ExtensionsWebReceiveFundsTransactionExtensions

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class WebReceiveFundsTransactionExtensions
<ExtensionAttribute>
Public NotInheritable Class WebReceiveFundsTransactionExtensions
[ExtensionAttribute]
public ref class WebReceiveFundsTransactionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type WebReceiveFundsTransactionExtensions =  class end

The WebReceiveFundsTransactionExtensions type exposes the following members.

Methods
Name | Description
Check | 检查交易是否满足指定条件 返回是否满足和文本信息
GetHandlers | 根据支付交易的处理器列表 没有时抛出未知类型的例外
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


WebReceiveFundsTransactionExtensions Methods

The WebReceiveFundsTransactionExtensions type exposes the following members.

Methods
Name | Description
Check | 检查交易是否满足指定条件 返回是否满足和文本信息
GetHandlers | 根据支付交易的处理器列表 没有时抛出未知类型的例外
Top
See Also

Reference

WebReceiveFundsTransactionExtensions Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


WebReceiveFundsTransactionExtensions.Check Method

WebReceiveFundsTransactionExtensionsCheck Method

检查交易是否满足指定条件 返回是否满足和文本信息

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Pair<bool, string> Check(
    this PaymentTransaction transaction,
    Func<IPaymentTransactionChecker, WebReceiveFundsTransactionExtensionsCheckFunc> getCheckFunc
)
<ExtensionAttribute>
Public Shared Function Check (
    transaction As PaymentTransaction,
    getCheckFunc As Func(Of IPaymentTransactionChecker, WebReceiveFundsTransactionExtensionsCheckFunc)
) As Pair(Of Boolean, String)
public:
[ExtensionAttribute]
static Pair<bool, String^> Check(
    PaymentTransaction^ transaction,
    Func<IPaymentTransactionChecker^, WebReceiveFundsTransactionExtensionsCheckFunc^>^ getCheckFunc
)
[<ExtensionAttribute>]
static member Check :
        transaction : PaymentTransaction *
        getCheckFunc : Func<IPaymentTransactionChecker, WebReceiveFundsTransactionExtensionsCheckFunc> -> Pair<bool, string>

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
getCheckFunc
Type: SystemFunc IPaymentTransactionChecker, WebReceiveFundsTransactionExtensionsCheckFunc
获取检查函数的函数

Return Value

Type: PairBoolean, String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions.WebReceiveFundsTransactionExtensions.Check(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Func{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionChecker.Interfaces.IPaymentTransactionChecker,ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions.WebReceiveFundsTransactionExtensions.CheckFunc})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PaymentTransaction. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

WebReceiveFundsTransactionExtensions Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


WebReceiveFundsTransactionExtensions.GetHandlers Method

WebReceiveFundsTransactionExtensionsGetHandlers Method

根据支付交易的处理器列表 没有时抛出未知类型的例外

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<IPaymentTransactionHandler> GetHandlers(
    this PaymentTransaction transaction
)
<ExtensionAttribute>
Public Shared Function GetHandlers (
    transaction As PaymentTransaction
) As IList(Of IPaymentTransactionHandler)
public:
[ExtensionAttribute]
static IList<IPaymentTransactionHandler^>^ GetHandlers(
    PaymentTransaction^ transaction
)
[<ExtensionAttribute>]
static member GetHandlers :
        transaction : PaymentTransaction -> IList<IPaymentTransactionHandler>

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易

Return Value

Type: IList IPaymentTransactionHandler

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions.WebReceiveFundsTransactionExtensions.GetHandlers(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PaymentTransaction. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

WebReceiveFundsTransactionExtensions Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


WebReceiveFundsTransactionExtensions.CheckFunc Delegate

WebReceiveFundsTransactionExtensionsCheckFunc Delegate
检查函数的类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public delegate void CheckFunc(
    PaymentTransaction transaction,
    ref Pair<bool, string> result
)
Public Delegate Sub CheckFunc (
    transaction As PaymentTransaction,
    ByRef result As Pair(Of Boolean, String)
)
public delegate void CheckFunc(
    PaymentTransaction^ transaction,
    Pair<bool, String^>% result
)
type CheckFunc =
    delegate of
        transaction : PaymentTransaction *
        result : Pair<bool, string> byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易
result
Type: PairBoolean, String
判断结果
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Extensions Namespace


ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | PaymentApiRepository | 支付接口的仓储
Public class | PaymentTransactionRepository | 支付交易的仓储


PaymentApiRepository Class
支付接口的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase PaymentApi, Guid
ZKWeb.Plugins.Finance.Payment.src.Domain.RepositoriesPaymentApiRepository

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApiRepository : RepositoryBase<PaymentApi, Guid>
Public Class PaymentApiRepository
    Inherits RepositoryBase(Of PaymentApi, Guid)
public ref class PaymentApiRepository : public RepositoryBase<PaymentApi^, Guid>
type PaymentApiRepository =
    class
        inherit RepositoryBase<PaymentApi, Guid>
    end

The PaymentApiRepository type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiRepository | Initializes a new instance of the PaymentApiRepository class
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories Namespace


PaymentApiRepository Constructor

Initializes a new instance of the PaymentApiRepository class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApiRepository()
Public Sub New
public:
PaymentApiRepository()
new : unit -> PaymentApiRepository
See Also

Reference

PaymentApiRepository Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories Namespace


PaymentTransactionRepository Class
支付交易的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase PaymentTransaction, Guid
ZKWeb.Plugins.Finance.Payment.src.Domain.RepositoriesPaymentTransactionRepository

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransactionRepository : RepositoryBase<PaymentTransaction, Guid>
Public Class PaymentTransactionRepository
    Inherits RepositoryBase(Of PaymentTransaction, Guid)
public ref class PaymentTransactionRepository : public RepositoryBase<PaymentTransaction^, Guid>
type PaymentTransactionRepository =
    class
        inherit RepositoryBase<PaymentTransaction, Guid>
    end

The PaymentTransactionRepository type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionRepository | Initializes a new instance of the PaymentTransactionRepository class
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories Namespace


PaymentTransactionRepository Constructor

Initializes a new instance of the PaymentTransactionRepository class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransactionRepository()
Public Sub New
public:
PaymentTransactionRepository()
new : unit -> PaymentTransactionRepository
See Also

Reference

PaymentTransactionRepository Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Repositories Namespace


ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Domain.Services"]

Classes
 | Class | Description
Public class | PaymentApiManager | 支付接口管理器
Public class | PaymentTransactionManager | 支付交易管理器


PaymentApiManager Class
支付接口管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase PaymentApi, Guid
ZKWeb.Plugins.Finance.Payment.src.Domain.ServicesPaymentApiManager

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApiManager : DomainServiceBase<PaymentApi, Guid>
Public Class PaymentApiManager
    Inherits DomainServiceBase(Of PaymentApi, Guid)
public ref class PaymentApiManager : public DomainServiceBase<PaymentApi^, Guid>
type PaymentApiManager =
    class
        inherit DomainServiceBase<PaymentApi, Guid>
    end

The PaymentApiManager type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiManager | 初始化
Top
Properties
 | Name | Description
Protected property | PaymentApiCache | 支付接口的缓存 { 接口Id: 接口, ... }
Protected property | PaymentApiCacheTime | 支付接口的缓存时间 默认是3秒，可通过网站配置指定
Protected property | PaymentApisCache | 支付接口列表的缓存 { (所有人Id, 交易类型): 接口, ... }
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取支付接口列表 结果会按所有人Id和交易类型缓存一定时间
Public method | GetWithCache | 获取支付接口 不存在或已删除时返回null 结果会按接口Id缓存一定时间
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager Constructor

初始化

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApiManager()
Public Sub New
public:
PaymentApiManager()
new : unit -> PaymentApiManager
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager Properties

The PaymentApiManager type exposes the following members.

Properties
 | Name | Description
Protected property | PaymentApiCache | 支付接口的缓存 { 接口Id: 接口, ... }
Protected property | PaymentApiCacheTime | 支付接口的缓存时间 默认是3秒，可通过网站配置指定
Protected property | PaymentApisCache | 支付接口列表的缓存 { (所有人Id, 交易类型): 接口, ... }
Top
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.PaymentApiCache Property

PaymentApiManagerPaymentApiCache Property

支付接口的缓存 { 接口Id: 接口, ... }

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, PaymentApi> PaymentApiCache { get; set; }
Protected Property PaymentApiCache As IKeyValueCache(Of Guid, PaymentApi)
    Get
    Set
protected:
property IKeyValueCache<Guid, PaymentApi^>^ PaymentApiCache {
    IKeyValueCache<Guid, PaymentApi^>^ get ();
    void set (IKeyValueCache<Guid, PaymentApi^>^ value);
}
member PaymentApiCache : IKeyValueCache<Guid, PaymentApi> with get, set

Property Value

Type: IKeyValueCacheGuid, PaymentApi
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.PaymentApiCacheTime Property

PaymentApiManagerPaymentApiCacheTime Property

支付接口的缓存时间 默认是3秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected TimeSpan PaymentApiCacheTime { get; set; }
Protected Property PaymentApiCacheTime As TimeSpan
    Get
    Set
protected:
property TimeSpan PaymentApiCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member PaymentApiCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.PaymentApisCache Property

PaymentApiManagerPaymentApisCache Property

支付接口列表的缓存 { (所有人Id, 交易类型): 接口, ... }

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Pair<Guid, string>, IList<PaymentApi>> PaymentApisCache { get; set; }
Protected Property PaymentApisCache As IKeyValueCache(Of Pair(Of Guid, String), IList(Of PaymentApi))
    Get
    Set
protected:
property IKeyValueCache<Pair<Guid, String^>, IList<PaymentApi^>^>^ PaymentApisCache {
    IKeyValueCache<Pair<Guid, String^>, IList<PaymentApi^>^>^ get ();
    void set (IKeyValueCache<Pair<Guid, String^>, IList<PaymentApi^>^>^ value);
}
member PaymentApisCache : IKeyValueCache<Pair<Guid, string>, IList<PaymentApi>> with get, set

Property Value

Type: IKeyValueCachePairGuid, String , IList PaymentApi
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager Methods

The PaymentApiManager type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取支付接口列表 结果会按所有人Id和交易类型缓存一定时间
Public method | GetWithCache | 获取支付接口 不存在或已删除时返回null 结果会按接口Id缓存一定时间
Top
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.CalculatePaymentFee Method

PaymentApiManagerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual decimal CalculatePaymentFee(
    Guid apiId,
    decimal amount
)
Public Overridable Function CalculatePaymentFee (
    apiId As Guid,
    amount As Decimal
) As Decimal
public:
virtual Decimal CalculatePaymentFee(
    Guid apiId,
    Decimal amount
)
abstract CalculatePaymentFee :
        apiId : Guid *
        amount : decimal -> decimal
override CalculatePaymentFee :
        apiId : Guid *
        amount : decimal -> decimal

Parameters

apiId
Type: SystemGuid
支付接口Id
amount
Type: SystemDecimal
支付金额

Return Value

Type: Decimal

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentApiManager.CalculatePaymentFee(System.Guid,System.Decimal)"]

See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.ClearCache Method

PaymentApiManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
void ClearCache()
member ClearCache : unit -> unit
See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.GetManyWithCache Method

PaymentApiManagerGetManyWithCache Method

获取支付接口列表 结果会按所有人Id和交易类型缓存一定时间

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<PaymentApi> GetManyWithCache(
    Nullable<Guid> ownerId,
    string transactionType
)
Public Overridable Function GetManyWithCache (
    ownerId As Nullable(Of Guid),
    transactionType As String
) As IList(Of PaymentApi)
public:
virtual IList<PaymentApi^>^ GetManyWithCache(
    Nullable<Guid> ownerId,
    String^ transactionType
)
abstract GetManyWithCache :
        ownerId : Nullable<Guid> *
        transactionType : string -> IList<PaymentApi>
override GetManyWithCache :
        ownerId : Nullable<Guid> *
        transactionType : string -> IList<PaymentApi>

Parameters

ownerId
Type: SystemNullable Guid
所有人Id，传入null时获取后台添加的支付接口列表
transactionType
Type: SystemString
交易类型

Return Value

Type: IList PaymentApi

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentApiManager.GetManyWithCache(System.Nullable{System.Guid},System.String)"]

See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentApiManager.GetWithCache Method

PaymentApiManagerGetWithCache Method

获取支付接口 不存在或已删除时返回null 结果会按接口Id缓存一定时间

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentApi GetWithCache(
    Guid apiId
)
Public Overridable Function GetWithCache (
    apiId As Guid
) As PaymentApi
public:
virtual PaymentApi^ GetWithCache(
    Guid apiId
)
abstract GetWithCache :
        apiId : Guid -> PaymentApi
override GetWithCache :
        apiId : Guid -> PaymentApi

Parameters

apiId
Type: SystemGuid
支付接口的Id

Return Value

Type: PaymentApi

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentApiManager.GetWithCache(System.Guid)"]

See Also

Reference

PaymentApiManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager Class
支付交易管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase PaymentTransaction, Guid
ZKWeb.Plugins.Finance.Payment.src.Domain.ServicesPaymentTransactionManager

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransactionManager : DomainServiceBase<PaymentTransaction, Guid>
Public Class PaymentTransactionManager
    Inherits DomainServiceBase(Of PaymentTransaction, Guid)
public ref class PaymentTransactionManager : public DomainServiceBase<PaymentTransaction^, Guid>
type PaymentTransactionManager =
    class
        inherit DomainServiceBase<PaymentTransaction, Guid>
    end

The PaymentTransactionManager type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionManager | Initializes a new instance of the PaymentTransactionManager class
Top
Methods
 | Name | Description
Public method | AddDetailRecord | 添加交易明细记录
Public method | CreateMergedTransaction | 创建合并交易，合并金额和重新计算手续费 要求所有交易可支付，并且所有交易的货币，支付接口，收款人，付款人等一致
Public method | CreateTransaction | 创建交易
Public method | EnsureParentTransactionAborted | 确保终止关联了指定交易的交易 一般用于子交易有变化时终止合并交易 如果合并交易不存在或已终止，这个函数什么都不做
Public method | EnsureParentTransactionAbortedIfProcessNotFromParent | 如果处理交易的来源不是合并交易，则确保合并交易中止 一般用于子交易单独支付后自动终止合并交易 如果处理交易的来源是合并交易，或合并交易不存在或已终止，这个函数什么都不做
Public method | GetDetailRecords | 获取指定交易的所有明细记录
Public method | GetMany | 根据交易类型和关联Id获取交易列表
Public method | GetPaymentUrl | 获取支付Url，创建交易后可以跳转到这个Url进行支付
Public method | GetResultUrl | 获取查看结果的Url，支付成功或失败后可以跳转到这个Url显示结果
Public method | NotifyAllGoodsShippedBackground | 通知支付平台已发货 仅在状态是担保交易已付款时通知，否则不做处理 通知会在后台进行，出错时会记录到日志
Public method | Process | 尝试把交易切换到指定的交易状态 失败时记录错误并抛出例外
Protected method | ProcessInternal | 尝试把交易切换到指定的交易状态
Public method | SelectOneVisibleTransactionId | 获取一个指定用户可见的交易Id 返回的Id不固定，也可能返回Guid.Empty
Public method | SetLastError | 设置交易最后发生的错误
Top
Fields
Name | Description
RecordType | 交易明细记录类型
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager Constructor

Initializes a new instance of the PaymentTransactionManager class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransactionManager()
Public Sub New
public:
PaymentTransactionManager()
new : unit -> PaymentTransactionManager
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager Methods

The PaymentTransactionManager type exposes the following members.

Methods
 | Name | Description
Public method | AddDetailRecord | 添加交易明细记录
Public method | CreateMergedTransaction | 创建合并交易，合并金额和重新计算手续费 要求所有交易可支付，并且所有交易的货币，支付接口，收款人，付款人等一致
Public method | CreateTransaction | 创建交易
Public method | EnsureParentTransactionAborted | 确保终止关联了指定交易的交易 一般用于子交易有变化时终止合并交易 如果合并交易不存在或已终止，这个函数什么都不做
Public method | EnsureParentTransactionAbortedIfProcessNotFromParent | 如果处理交易的来源不是合并交易，则确保合并交易中止 一般用于子交易单独支付后自动终止合并交易 如果处理交易的来源是合并交易，或合并交易不存在或已终止，这个函数什么都不做
Public method | GetDetailRecords | 获取指定交易的所有明细记录
Public method | GetMany | 根据交易类型和关联Id获取交易列表
Public method | GetPaymentUrl | 获取支付Url，创建交易后可以跳转到这个Url进行支付
Public method | GetResultUrl | 获取查看结果的Url，支付成功或失败后可以跳转到这个Url显示结果
Public method | NotifyAllGoodsShippedBackground | 通知支付平台已发货 仅在状态是担保交易已付款时通知，否则不做处理 通知会在后台进行，出错时会记录到日志
Public method | Process | 尝试把交易切换到指定的交易状态 失败时记录错误并抛出例外
Protected method | ProcessInternal | 尝试把交易切换到指定的交易状态
Public method | SelectOneVisibleTransactionId | 获取一个指定用户可见的交易Id 返回的Id不固定，也可能返回Guid.Empty
Public method | SetLastError | 设置交易最后发生的错误
Top
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.AddDetailRecord Method

PaymentTransactionManagerAddDetailRecord Method

添加交易明细记录

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddDetailRecord(
    Guid transactionId,
    Nullable<Guid> creatorId,
    string content,
    Object extraData = null
)
Public Overridable Sub AddDetailRecord (
    transactionId As Guid,
    creatorId As Nullable(Of Guid),
    content As String,
    Optional extraData As Object = Nothing
)
public:
virtual void AddDetailRecord(
    Guid transactionId,
    Nullable<Guid> creatorId,
    String^ content,
    Object^ extraData = nullptr
)
abstract AddDetailRecord :
        transactionId : Guid *
        creatorId : Nullable<Guid> *
        content : string *
        ?extraData : Object
(* Defaults:
        let _extraData = defaultArg extraData null
*)
-> unit
override AddDetailRecord :
        transactionId : Guid *
        creatorId : Nullable<Guid> *
        content : string *
        ?extraData : Object
(* Defaults:
        let _extraData = defaultArg extraData null
*)
-> unit

Parameters

transactionId
Type: SystemGuid
交易Id
creatorId
Type: SystemNullable Guid
创建人Id
content
Type: SystemString
内容
extraData (Optional)
Type: SystemObject
附加数据
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.CreateMergedTransaction Method

PaymentTransactionManagerCreateMergedTransaction Method

创建合并交易，合并金额和重新计算手续费 要求所有交易可支付，并且所有交易的货币，支付接口，收款人，付款人等一致

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentTransaction CreateMergedTransaction(
    string transactionType,
    IList<PaymentTransaction> childTransactions
)
Public Overridable Function CreateMergedTransaction (
    transactionType As String,
    childTransactions As IList(Of PaymentTransaction)
) As PaymentTransaction
public:
virtual PaymentTransaction^ CreateMergedTransaction(
    String^ transactionType,
    IList<PaymentTransaction^>^ childTransactions
)
abstract CreateMergedTransaction :
        transactionType : string *
        childTransactions : IList<PaymentTransaction> -> PaymentTransaction
override CreateMergedTransaction :
        transactionType : string *
        childTransactions : IList<PaymentTransaction> -> PaymentTransaction

Parameters

transactionType
Type: SystemString
交易类型
childTransactions
Type: System.Collections.GenericIList PaymentTransaction
子交易列表

Return Value

Type: PaymentTransaction

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.CreateMergedTransaction(System.String,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction})"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.CreateTransaction Method

PaymentTransactionManagerCreateTransaction Method

创建交易

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual PaymentTransaction CreateTransaction(
    string transactionType,
    Guid paymentApiId,
    decimal amount,
    decimal paymentFee,
    string currencyType,
    Nullable<Guid> payerId,
    Nullable<Guid> payeeId,
    Nullable<Guid> releatedId,
    string description,
    Object extraData = null,
    IList<PaymentTransaction> releatedTransactions = null
)
Public Overridable Function CreateTransaction (
    transactionType As String,
    paymentApiId As Guid,
    amount As Decimal,
    paymentFee As Decimal,
    currencyType As String,
    payerId As Nullable(Of Guid),
    payeeId As Nullable(Of Guid),
    releatedId As Nullable(Of Guid),
    description As String,
    Optional extraData As Object = Nothing,
    Optional releatedTransactions As IList(Of PaymentTransaction) = Nothing
) As PaymentTransaction
public:
virtual PaymentTransaction^ CreateTransaction(
    String^ transactionType,
    Guid paymentApiId,
    Decimal amount,
    Decimal paymentFee,
    String^ currencyType,
    Nullable<Guid> payerId,
    Nullable<Guid> payeeId,
    Nullable<Guid> releatedId,
    String^ description,
    Object^ extraData = nullptr,
    IList<PaymentTransaction^>^ releatedTransactions = nullptr
)
abstract CreateTransaction :
        transactionType : string *
        paymentApiId : Guid *
        amount : decimal *
        paymentFee : decimal *
        currencyType : string *
        payerId : Nullable<Guid> *
        payeeId : Nullable<Guid> *
        releatedId : Nullable<Guid> *
        description : string *
        ?extraData : Object *
        ?releatedTransactions : IList<PaymentTransaction>
(* Defaults:
        let _extraData = defaultArg extraData null
        let _releatedTransactions = defaultArg releatedTransactions null
*)
-> PaymentTransaction
override CreateTransaction :
        transactionType : string *
        paymentApiId : Guid *
        amount : decimal *
        paymentFee : decimal *
        currencyType : string *
        payerId : Nullable<Guid> *
        payeeId : Nullable<Guid> *
        releatedId : Nullable<Guid> *
        description : string *
        ?extraData : Object *
        ?releatedTransactions : IList<PaymentTransaction>
(* Defaults:
        let _extraData = defaultArg extraData null
        let _releatedTransactions = defaultArg releatedTransactions null
*)
-> PaymentTransaction

Parameters

transactionType
Type: SystemString
交易类型
paymentApiId
Type: SystemGuid
支付接口Id
amount
Type: SystemDecimal
交易金额
paymentFee
Type: SystemDecimal
手续费
currencyType
Type: SystemString
货币类型
payerId
Type: SystemNullable Guid
付款人Id
payeeId
Type: SystemNullable Guid
收款人Id
releatedId
Type: SystemNullable Guid
关联对象Id
description
Type: SystemString
描述
extraData (Optional)
Type: SystemObject
附加数据
releatedTransactions (Optional)
Type: System.Collections.GenericIList PaymentTransaction
关联的交易列表

Return Value

Type: PaymentTransaction

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.CreateTransaction(System.String,System.Guid,System.Decimal,System.Decimal,System.String,System.Nullable{System.Guid},System.Nullable{System.Guid},System.Nullable{System.Guid},System.String,System.Object,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction})"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.EnsureParentTransactionAborted Method

PaymentTransactionManagerEnsureParentTransactionAborted Method

确保终止关联了指定交易的交易 一般用于子交易有变化时终止合并交易 如果合并交易不存在或已终止，这个函数什么都不做

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void EnsureParentTransactionAborted(
    IList<Guid> transactionIds,
    Nullable<Guid> operatorId,
    string reason
)
Public Overridable Sub EnsureParentTransactionAborted (
    transactionIds As IList(Of Guid),
    operatorId As Nullable(Of Guid),
    reason As String
)
public:
virtual void EnsureParentTransactionAborted(
    IList<Guid>^ transactionIds,
    Nullable<Guid> operatorId,
    String^ reason
)
abstract EnsureParentTransactionAborted :
        transactionIds : IList<Guid> *
        operatorId : Nullable<Guid> *
        reason : string -> unit
override EnsureParentTransactionAborted :
        transactionIds : IList<Guid> *
        operatorId : Nullable<Guid> *
        reason : string -> unit

Parameters

transactionIds
Type: System.Collections.GenericIList Guid
子交易的Id列表
operatorId
Type: SystemNullable Guid
操作人Id
reason
Type: SystemString
作废原因
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.EnsureParentTransactionAbortedIfProcessNotFromParent Method

PaymentTransactionManagerEnsureParentTransactionAbortedIfProcessNotFromParent Method

如果处理交易的来源不是合并交易，则确保合并交易中止 一般用于子交易单独支付后自动终止合并交易 如果处理交易的来源是合并交易，或合并交易不存在或已终止，这个函数什么都不做

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void EnsureParentTransactionAbortedIfProcessNotFromParent(
    PaymentTransaction transaction,
    Nullable<Guid> operatorId,
    string reason
)
Public Overridable Sub EnsureParentTransactionAbortedIfProcessNotFromParent (
    transaction As PaymentTransaction,
    operatorId As Nullable(Of Guid),
    reason As String
)
public:
virtual void EnsureParentTransactionAbortedIfProcessNotFromParent(
    PaymentTransaction^ transaction,
    Nullable<Guid> operatorId,
    String^ reason
)
abstract EnsureParentTransactionAbortedIfProcessNotFromParent :
        transaction : PaymentTransaction *
        operatorId : Nullable<Guid> *
        reason : string -> unit
override EnsureParentTransactionAbortedIfProcessNotFromParent :
        transaction : PaymentTransaction *
        operatorId : Nullable<Guid> *
        reason : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
子交易
operatorId
Type: SystemNullable Guid
操作人Id
reason
Type: SystemString
作废原因
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.GetDetailRecords Method

PaymentTransactionManagerGetDetailRecords Method

获取指定交易的所有明细记录

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<GenericRecord> GetDetailRecords(
    Guid transactionId
)
Public Overridable Function GetDetailRecords (
    transactionId As Guid
) As IList(Of GenericRecord)
public:
virtual IList<GenericRecord^>^ GetDetailRecords(
    Guid transactionId
)
abstract GetDetailRecords :
        transactionId : Guid -> IList<GenericRecord>
override GetDetailRecords :
        transactionId : Guid -> IList<GenericRecord>

Parameters

transactionId
Type: SystemGuid
交易Id

Return Value

Type: IList GenericRecord

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.GetDetailRecords(System.Guid)"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.GetMany Method

PaymentTransactionManagerGetMany Method

根据交易类型和关联Id获取交易列表

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<PaymentTransaction> GetMany(
    string type,
    Nullable<Guid> releatedId
)
Public Overridable Function GetMany (
    type As String,
    releatedId As Nullable(Of Guid)
) As IList(Of PaymentTransaction)
public:
virtual IList<PaymentTransaction^>^ GetMany(
    String^ type,
    Nullable<Guid> releatedId
)
abstract GetMany :
        type : string *
        releatedId : Nullable<Guid> -> IList<PaymentTransaction>
override GetMany :
        type : string *
        releatedId : Nullable<Guid> -> IList<PaymentTransaction>

Parameters

type
Type: SystemString
交易类型
releatedId
Type: SystemNullable Guid
关联Id

Return Value

Type: IList PaymentTransaction

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.GetMany(System.String,System.Nullable{System.Guid})"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.GetPaymentUrl Method

PaymentTransactionManagerGetPaymentUrl Method

获取支付Url，创建交易后可以跳转到这个Url进行支付

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetPaymentUrl(
    Guid transactionId
)
Public Overridable Function GetPaymentUrl (
    transactionId As Guid
) As String
public:
virtual String^ GetPaymentUrl(
    Guid transactionId
)
abstract GetPaymentUrl :
        transactionId : Guid -> string
override GetPaymentUrl :
        transactionId : Guid -> string

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.GetPaymentUrl(System.Guid)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.GetPaymentUrl(System.Guid)"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.GetResultUrl Method

PaymentTransactionManagerGetResultUrl Method

获取查看结果的Url，支付成功或失败后可以跳转到这个Url显示结果

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetResultUrl(
    Guid transactionId
)
Public Overridable Function GetResultUrl (
    transactionId As Guid
) As String
public:
virtual String^ GetResultUrl(
    Guid transactionId
)
abstract GetResultUrl :
        transactionId : Guid -> string
override GetResultUrl :
        transactionId : Guid -> string

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.GetResultUrl(System.Guid)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.GetResultUrl(System.Guid)"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.NotifyAllGoodsShippedBackground Method

PaymentTransactionManagerNotifyAllGoodsShippedBackground Method

通知支付平台已发货 仅在状态是担保交易已付款时通知，否则不做处理 通知会在后台进行，出错时会记录到日志

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void NotifyAllGoodsShippedBackground(
    Guid transactionId,
    string logisticsName,
    string invoiceNo
)
Public Overridable Sub NotifyAllGoodsShippedBackground (
    transactionId As Guid,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void NotifyAllGoodsShippedBackground(
    Guid transactionId,
    String^ logisticsName,
    String^ invoiceNo
)
abstract NotifyAllGoodsShippedBackground :
        transactionId : Guid *
        logisticsName : string *
        invoiceNo : string -> unit
override NotifyAllGoodsShippedBackground :
        transactionId : Guid *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transactionId
Type: SystemGuid
交易Id
logisticsName
Type: SystemString
快递或物流名称
invoiceNo
Type: SystemString
快递单号
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.Process Method

PaymentTransactionManagerProcess Method

尝试把交易切换到指定的交易状态 失败时记录错误并抛出例外

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Process(
    Guid transactionId,
    string externalSerial,
    PaymentTransactionState state
)
Public Overridable Sub Process (
    transactionId As Guid,
    externalSerial As String,
    state As PaymentTransactionState
)
public:
virtual void Process(
    Guid transactionId,
    String^ externalSerial,
    PaymentTransactionState state
)
abstract Process :
        transactionId : Guid *
        externalSerial : string *
        state : PaymentTransactionState -> unit
override Process :
        transactionId : Guid *
        externalSerial : string *
        state : PaymentTransactionState -> unit

Parameters

transactionId
Type: SystemGuid
交易Id
externalSerial
Type: SystemString
外部交易流水号，等于空时不更新
state
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState
交易状态
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.ProcessInternal Method

PaymentTransactionManagerProcessInternal Method

尝试把交易切换到指定的交易状态

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void ProcessInternal(
    Guid transactionId,
    string externalSerial,
    PaymentTransactionState state
)
Protected Overridable Sub ProcessInternal (
    transactionId As Guid,
    externalSerial As String,
    state As PaymentTransactionState
)
protected:
virtual void ProcessInternal(
    Guid transactionId,
    String^ externalSerial,
    PaymentTransactionState state
)
abstract ProcessInternal :
        transactionId : Guid *
        externalSerial : string *
        state : PaymentTransactionState -> unit
override ProcessInternal :
        transactionId : Guid *
        externalSerial : string *
        state : PaymentTransactionState -> unit

Parameters

transactionId
Type: SystemGuid
交易Id
externalSerial
Type: SystemString
外部交易流水号，等于空时不更新
state
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState
交易状态
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.SelectOneVisibleTransactionId Method

PaymentTransactionManagerSelectOneVisibleTransactionId Method

获取一个指定用户可见的交易Id 返回的Id不固定，也可能返回Guid.Empty

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid SelectOneVisibleTransactionId(
    Guid userId
)
Public Overridable Function SelectOneVisibleTransactionId (
    userId As Guid
) As Guid
public:
virtual Guid SelectOneVisibleTransactionId(
    Guid userId
)
abstract SelectOneVisibleTransactionId :
        userId : Guid -> Guid
override SelectOneVisibleTransactionId :
        userId : Guid -> Guid

Parameters

userId
Type: SystemGuid
用户Id

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.Domain.Services.PaymentTransactionManager.SelectOneVisibleTransactionId(System.Guid)"]

See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.SetLastError Method

PaymentTransactionManagerSetLastError Method

设置交易最后发生的错误

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SetLastError(
    Guid transactionId,
    string lastError
)
Public Overridable Sub SetLastError (
    transactionId As Guid,
    lastError As String
)
public:
virtual void SetLastError(
    Guid transactionId,
    String^ lastError
)
abstract SetLastError :
        transactionId : Guid *
        lastError : string -> unit
override SetLastError :
        transactionId : Guid *
        lastError : string -> unit

Parameters

transactionId
Type: SystemGuid
交易Id
lastError
Type: SystemString
最后发生的错误
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager Fields

The PaymentTransactionManager type exposes the following members.

Fields
Name | Description
RecordType | 交易明细记录类型
Top
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


PaymentTransactionManager.RecordType Field

PaymentTransactionManagerRecordType Field
交易明细记录类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string RecordType = "PaymentTransactionDetail"
Public Const RecordType As String = "PaymentTransactionDetail"
public:
literal String^ RecordType = "PaymentTransactionDetail"
static val mutable RecordType: string

Field Value

Type: String
See Also

Reference

PaymentTransactionManager Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Services Namespace


ZKWeb.Plugins.Finance.Payment.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.Domain.Structs"]

Classes
 | Class | Description
Public class | PaymentApiExtraData | 支付接口的附加数据
Public class | PaymentTransactionExtraData | 支付交易的附加数据


PaymentApiExtraData Class
支付接口的附加数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Finance.Payment.src.Domain.StructsPaymentApiExtraData

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApiExtraData : Dictionary<string, Object>
Public Class PaymentApiExtraData
    Inherits Dictionary(Of String, Object)
public ref class PaymentApiExtraData : public Dictionary<String^, Object^>
type PaymentApiExtraData =
    class
        inherit Dictionary<string, Object>
    end

The PaymentApiExtraData type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiExtraData | Initializes a new instance of the PaymentApiExtraData class
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Structs Namespace


PaymentApiExtraData Constructor

Initializes a new instance of the PaymentApiExtraData class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApiExtraData()
Public Sub New
public:
PaymentApiExtraData()
new : unit -> PaymentApiExtraData
See Also

Reference

PaymentApiExtraData Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Structs Namespace


PaymentTransactionExtraData Class
支付交易的附加数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Finance.Payment.src.Domain.StructsPaymentTransactionExtraData

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransactionExtraData : Dictionary<string, Object>
Public Class PaymentTransactionExtraData
    Inherits Dictionary(Of String, Object)
public ref class PaymentTransactionExtraData : public Dictionary<String^, Object^>
type PaymentTransactionExtraData =
    class
        inherit Dictionary<string, Object>
    end

The PaymentTransactionExtraData type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionExtraData | Initializes a new instance of the PaymentTransactionExtraData class
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.Domain.Structs Namespace


PaymentTransactionExtraData Constructor

Initializes a new instance of the PaymentTransactionExtraData class

Namespace: ZKWeb.Plugins.Finance.Payment.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransactionExtraData()
Public Sub New
public:
PaymentTransactionExtraData()
new : unit -> PaymentTransactionExtraData
See Also

Reference

PaymentTransactionExtraData Class
ZKWeb.Plugins.Finance.Payment.src.Domain.Structs Namespace


ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers"]

Classes
 | Class | Description
Public class | TestTransactionHandler | 测试交易的处理器


TestTransactionHandler Class
测试交易的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlersTestTransactionHandler

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TestTransactionHandler : IPaymentTransactionHandler
Public Class TestTransactionHandler
    Implements IPaymentTransactionHandler
public ref class TestTransactionHandler : IPaymentTransactionHandler
type TestTransactionHandler =
    class
        interface IPaymentTransactionHandler
    end

The TestTransactionHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TestTransactionHandler | Initializes a new instance of the TestTransactionHandler class
Top
Properties
 | Name | Description
Public property | Type | 交易类型
Top
Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html
Public method | OnAbort | 交易终止时
Public method | OnCreated | 交易创建后
Public method | OnSecuredPaid | 担保交易付款后 付款后自动发货
Public method | OnSuccess | 交易成功时
Public method | OnWaitingPaying | 等待付款时
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler Constructor

Initializes a new instance of the TestTransactionHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestTransactionHandler()
Public Sub New
public:
TestTransactionHandler()
new : unit -> TestTransactionHandler
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler Properties

The TestTransactionHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 交易类型
Top
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.Type Property

TestTransactionHandlerType Property

交易类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentTransactionHandlerType
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler Methods

The TestTransactionHandler type exposes the following members.

Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html
Public method | OnAbort | 交易终止时
Public method | OnCreated | 交易创建后
Public method | OnSecuredPaid | 担保交易付款后 付款后自动发货
Public method | OnSuccess | 交易成功时
Public method | OnWaitingPaying | 等待付款时
Top
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.GetResultHtml Method

TestTransactionHandlerGetResultHtml Method

获取显示交易结果的Html

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetResultHtml(
    PaymentTransaction transaction,
    IList<HtmlString> html
)
Public Sub GetResultHtml (
    transaction As PaymentTransaction,
    html As IList(Of HtmlString)
)
public:
virtual void GetResultHtml(
    PaymentTransaction^ transaction,
    IList<HtmlString^>^ html
) sealed
abstract GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit
override GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

html
Type: System.Collections.GenericIList HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

Implements

IPaymentTransactionHandlerGetResultHtml(PaymentTransaction, IListHtmlString)
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.OnAbort Method

TestTransactionHandlerOnAbort Method

交易终止时

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnAbort(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Sub OnAbort (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnAbort(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
) sealed
abstract OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnAbort(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnAbort(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnAbort(PaymentTransaction, PaymentTransactionState)
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.OnCreated Method

TestTransactionHandlerOnCreated Method

交易创建后

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnCreated(
    PaymentTransaction transaction
)
Public Sub OnCreated (
    transaction As PaymentTransaction
)
public:
virtual void OnCreated(
    PaymentTransaction^ transaction
) sealed
abstract OnCreated :
        transaction : PaymentTransaction -> unit
override OnCreated :
        transaction : PaymentTransaction -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnCreated(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IPaymentTransactionHandlerOnCreated(PaymentTransaction)
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.OnSecuredPaid Method

TestTransactionHandlerOnSecuredPaid Method

担保交易付款后 付款后自动发货

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSecuredPaid(
    PaymentTransaction transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters> parameters
)
Public Sub OnSecuredPaid (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState,
    parameters As IList(Of AutoDeliveryGoodsParameters)
)
public:
virtual void OnSecuredPaid(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters^>^ parameters
) sealed
abstract OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit
override OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

parameters
Type: System.Collections.GenericIList AutoDeliveryGoodsParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

Implements

IPaymentTransactionHandlerOnSecuredPaid(PaymentTransaction, PaymentTransactionState, IListAutoDeliveryGoodsParameters)
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.OnSuccess Method

TestTransactionHandlerOnSuccess Method

交易成功时

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSuccess(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Sub OnSuccess (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnSuccess(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
) sealed
abstract OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnSuccess(PaymentTransaction, PaymentTransactionState)
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


TestTransactionHandler.OnWaitingPaying Method

TestTransactionHandlerOnWaitingPaying Method

等待付款时

Namespace: ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnWaitingPaying(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Sub OnWaitingPaying (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnWaitingPaying(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
) sealed
abstract OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers.TestTransactionHandler.OnWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnWaitingPaying(PaymentTransaction, PaymentTransactionState)
See Also

Reference

TestTransactionHandler Class
ZKWeb.Plugins.Finance.Payment.src.PaymentTransactionHandlers Namespace


ZKWeb.Plugins.Finance.Payment.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms |
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders |


ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms"]

Classes
 | Class | Description
Public class | PaymentApiEditForm | 编辑支付接口使用的表单
Public class | TestPaymentForm | 用于测试支付接口是否可以正常使用的表单


PaymentApiEditForm Class
编辑支付接口使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder PaymentApi, Guid, PaymentApiEditForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder PaymentApi, Guid, PaymentApiEditForm
ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentApiEditForm : TabEntityFormBuilder<PaymentApi, Guid, PaymentApiEditForm>
Public Class PaymentApiEditForm
    Inherits TabEntityFormBuilder(Of PaymentApi, Guid, PaymentApiEditForm)
public ref class PaymentApiEditForm : public TabEntityFormBuilder<PaymentApi^, Guid, PaymentApiEditForm^>
type PaymentApiEditForm =
    class
        inherit TabEntityFormBuilder<PaymentApi, Guid, PaymentApiEditForm>
    end

The PaymentApiEditForm type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentApiEditForm | 初始化
Top
Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Handlers | 使用的支付接口处理器列表
Public property | Name | 名称
Public property | Owner | 所属人
Public property | Remark | 备注
Public property | SupportTransactionTypes | 支持的交易类型
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm Constructor

初始化

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentApiEditForm()
Public Sub New
public:
PaymentApiEditForm()
new : unit -> PaymentApiEditForm
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm Properties

The PaymentApiEditForm type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Handlers | 使用的支付接口处理器列表
Public property | Name | 名称
Public property | Owner | 所属人
Public property | Remark | 备注
Public property | SupportTransactionTypes | 支持的交易类型
Top
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.DisplayOrder Property

PaymentApiEditFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.Handlers Property

PaymentApiEditFormHandlers Property

使用的支付接口处理器列表

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<IPaymentApiHandler> Handlers { get; set; }
Public Property Handlers As IList(Of IPaymentApiHandler)
    Get
    Set
public:
property IList<IPaymentApiHandler^>^ Handlers {
    IList<IPaymentApiHandler^>^ get ();
    void set (IList<IPaymentApiHandler^>^ value);
}
member Handlers : IList<IPaymentApiHandler> with get, set

Property Value

Type: IList IPaymentApiHandler
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.Name Property

PaymentApiEditFormName Property

名称

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.Owner Property

PaymentApiEditFormOwner Property

所属人

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Owner { get; set; }
Public Property Owner As String
    Get
    Set
public:
property String^ Owner {
    String^ get ();
    void set (String^ value);
}
member Owner : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.Remark Property

PaymentApiEditFormRemark Property

备注

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.SupportTransactionTypes Property

PaymentApiEditFormSupportTransactionTypes Property

支持的交易类型

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<string> SupportTransactionTypes { get; set; }
Public Property SupportTransactionTypes As List(Of String)
    Get
    Set
public:
property List<String^>^ SupportTransactionTypes {
    List<String^>^ get ();
    void set (List<String^>^ value);
}
member SupportTransactionTypes : List<string> with get, set

Property Value

Type: List String
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm Methods

The PaymentApiEditForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定数据到表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 保存表单到数据 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.OnBind Method

PaymentApiEditFormOnBind Method

绑定数据到表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    PaymentApi bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As PaymentApi
)
protected:
virtual void OnBind(
    PaymentApi^ bindFrom
) override
abstract OnBind :
        bindFrom : PaymentApi -> unit
override OnBind :
        bindFrom : PaymentApi -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm.OnBind(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


PaymentApiEditForm.OnSubmit Method

PaymentApiEditFormOnSubmit Method

保存表单到数据

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    PaymentApi saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As PaymentApi
) As Object
protected:
virtual Object^ OnSubmit(
    PaymentApi^ saveTo
) override
abstract OnSubmit :
        saveTo : PaymentApi -> Object
override OnSubmit :
        saveTo : PaymentApi -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm.OnSubmit(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm.OnSubmit(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

See Also

Reference

PaymentApiEditForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm Class
用于测试支付接口是否可以正常使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsTestPaymentForm

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TestPaymentForm : ModelFormBuilder
Public Class TestPaymentForm
    Inherits ModelFormBuilder
public ref class TestPaymentForm : public ModelFormBuilder
type TestPaymentForm =
    class
        inherit ModelFormBuilder
    end

The TestPaymentForm type exposes the following members.

Constructors
 | Name | Description
Public method | TestPaymentForm | Initializes a new instance of the TestPaymentForm class
Top
Properties
 | Name | Description
Public property | Amount | 金额
Public property | ApiName | 接口名称
Public property | Currency | 货币
Public property | Description | 描述
Top
Methods
 | Name | Description
Protected method | GetApiFromRequest | 从请求中获取支付接口，不存在时抛出错误
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm Constructor

Initializes a new instance of the TestPaymentForm class

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestPaymentForm()
Public Sub New
public:
TestPaymentForm()
new : unit -> TestPaymentForm
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm Properties

The TestPaymentForm type exposes the following members.

Properties
 | Name | Description
Public property | Amount | 金额
Public property | ApiName | 接口名称
Public property | Currency | 货币
Public property | Description | 描述
Top
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.Amount Property

TestPaymentFormAmount Property

金额

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal Amount { get; set; }
Public Property Amount As Decimal
    Get
    Set
public:
property Decimal Amount {
    Decimal get ();
    void set (Decimal value);
}
member Amount : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.ApiName Property

TestPaymentFormApiName Property

接口名称

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ApiName { get; set; }
Public Property ApiName As String
    Get
    Set
public:
property String^ ApiName {
    String^ get ();
    void set (String^ value);
}
member ApiName : string with get, set

Property Value

Type: String
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.Currency Property

TestPaymentFormCurrency Property

货币

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.Description Property

TestPaymentFormDescription Property

描述

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm Methods

The TestPaymentForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetApiFromRequest | 从请求中获取支付接口，不存在时抛出错误
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.GetApiFromRequest Method

TestPaymentFormGetApiFromRequest Method

从请求中获取支付接口，不存在时抛出错误

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected PaymentApi GetApiFromRequest()
Protected Function GetApiFromRequest As PaymentApi
protected:
PaymentApi^ GetApiFromRequest()
member GetApiFromRequest : unit -> PaymentApi

Return Value

Type: PaymentApi

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.TestPaymentForm.GetApiFromRequest"]

See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.OnBind Method

TestPaymentFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


TestPaymentForm.OnSubmit Method

TestPaymentFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.TestPaymentForm.OnSubmit"]

See Also

Reference

TestPaymentForm Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms Namespace


ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders"]

Classes
 | Class | Description
Public class | PaymentTransactionHtmlProvider | 支付交易的Html提供器


PaymentTransactionHtmlProvider Class
支付交易的Html提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProvidersPaymentTransactionHtmlProvider

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PaymentTransactionHtmlProvider
Public Class PaymentTransactionHtmlProvider
public ref class PaymentTransactionHtmlProvider
type PaymentTransactionHtmlProvider =  class end

The PaymentTransactionHtmlProvider type exposes the following members.

Constructors
 | Name | Description
Public method | PaymentTransactionHtmlProvider | Initializes a new instance of the PaymentTransactionHtmlProvider class
Top
Methods
 | Name | Description
Protected method | BuildErrorHtml | 构建显示错误信息的Html
Public method | GetDetailRecordsHtml | 获取交易详细记录的html
Public method | GetPaymentHtml | 获取支付时使用的Html 交易不存在等错误发生时返回错误信息
Public method | GetResultHtml | 获取支付结果的html 交易不存在等错误发生时返回错误信息
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


PaymentTransactionHtmlProvider Constructor

Initializes a new instance of the PaymentTransactionHtmlProvider class

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PaymentTransactionHtmlProvider()
Public Sub New
public:
PaymentTransactionHtmlProvider()
new : unit -> PaymentTransactionHtmlProvider
See Also

Reference

PaymentTransactionHtmlProvider Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


PaymentTransactionHtmlProvider Methods

The PaymentTransactionHtmlProvider type exposes the following members.

Methods
 | Name | Description
Protected method | BuildErrorHtml | 构建显示错误信息的Html
Public method | GetDetailRecordsHtml | 获取交易详细记录的html
Public method | GetPaymentHtml | 获取支付时使用的Html 交易不存在等错误发生时返回错误信息
Public method | GetResultHtml | 获取支付结果的html 交易不存在等错误发生时返回错误信息
Top
See Also

Reference

PaymentTransactionHtmlProvider Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


PaymentTransactionHtmlProvider.BuildErrorHtml Method

PaymentTransactionHtmlProviderBuildErrorHtml Method

构建显示错误信息的Html

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual HtmlString BuildErrorHtml(
    string error
)
Protected Overridable Function BuildErrorHtml (
    error As String
) As HtmlString
protected:
virtual HtmlString^ BuildErrorHtml(
    String^ error
)
abstract BuildErrorHtml :
        error : string -> HtmlString
override BuildErrorHtml :
        error : string -> HtmlString

Parameters

error
Type: SystemString

[Missing <param name="error"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.BuildErrorHtml(System.String)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.BuildErrorHtml(System.String)"]

See Also

Reference

PaymentTransactionHtmlProvider Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


PaymentTransactionHtmlProvider.GetDetailRecordsHtml Method

PaymentTransactionHtmlProviderGetDetailRecordsHtml Method

获取交易详细记录的html

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetDetailRecordsHtml(
    Guid transactionId
)
Public Overridable Function GetDetailRecordsHtml (
    transactionId As Guid
) As HtmlString
public:
virtual HtmlString^ GetDetailRecordsHtml(
    Guid transactionId
)
abstract GetDetailRecordsHtml :
        transactionId : Guid -> HtmlString
override GetDetailRecordsHtml :
        transactionId : Guid -> HtmlString

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.GetDetailRecordsHtml(System.Guid)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.GetDetailRecordsHtml(System.Guid)"]

See Also

Reference

PaymentTransactionHtmlProvider Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


PaymentTransactionHtmlProvider.GetPaymentHtml Method

PaymentTransactionHtmlProviderGetPaymentHtml Method

获取支付时使用的Html 交易不存在等错误发生时返回错误信息

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetPaymentHtml(
    Guid transactionId
)
Public Overridable Function GetPaymentHtml (
    transactionId As Guid
) As HtmlString
public:
virtual HtmlString^ GetPaymentHtml(
    Guid transactionId
)
abstract GetPaymentHtml :
        transactionId : Guid -> HtmlString
override GetPaymentHtml :
        transactionId : Guid -> HtmlString

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.GetPaymentHtml(System.Guid)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.GetPaymentHtml(System.Guid)"]

See Also

Reference

PaymentTransactionHtmlProvider Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


PaymentTransactionHtmlProvider.GetResultHtml Method

PaymentTransactionHtmlProviderGetResultHtml Method

获取支付结果的html 交易不存在等错误发生时返回错误信息

Namespace: ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetResultHtml(
    Guid transactionId
)
Public Overridable Function GetResultHtml (
    transactionId As Guid
) As HtmlString
public:
virtual HtmlString^ GetResultHtml(
    Guid transactionId
)
abstract GetResultHtml :
        transactionId : Guid -> HtmlString
override GetResultHtml :
        transactionId : Guid -> HtmlString

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.GetResultHtml(System.Guid)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders.PaymentTransactionHtmlProvider.GetResultHtml(System.Guid)"]

See Also

Reference

PaymentTransactionHtmlProvider Class
ZKWeb.Plugins.Finance.Payment.src.UIComponents.HtmlProviders Namespace


ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates |


ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers"]

Classes
 | Class | Description
Public class | TenpayApiHandler | 财付通接口的处理器
Public class | TenpayApiHandlerApiData | 接口数据


TenpayApiHandler Class
财付通接口的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlersTenpayApiHandler

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TenpayApiHandler : IPaymentApiHandler
Public Class TenpayApiHandler
    Implements IPaymentApiHandler
public ref class TenpayApiHandler : IPaymentApiHandler
type TenpayApiHandler =
    class
        interface IPaymentApiHandler
    end

The TenpayApiHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TenpayApiHandler | Initializes a new instance of the TenpayApiHandler class
Top
Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler Constructor

Initializes a new instance of the TenpayApiHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TenpayApiHandler()
Public Sub New
public:
TenpayApiHandler()
new : unit -> TenpayApiHandler
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler Properties

The TenpayApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.Type Property

TenpayApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentApiHandlerType
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler Methods

The TenpayApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.CalculatePaymentFee Method

TenpayApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Public Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
public:
virtual void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
) sealed
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit
override CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="api"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

amount
Type: SystemDecimal

[Missing <param name="amount"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

paymentFee
Type: SystemDecimal

[Missing <param name="paymentFee"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

Implements

IPaymentApiHandlerCalculatePaymentFee(PaymentApi, Decimal, Decimal)
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.DeliveryGoods Method

TenpayApiHandlerDeliveryGoods Method

调用发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
) sealed
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

logisticsName
Type: SystemString

[Missing <param name="logisticsName"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

invoiceNo
Type: SystemString

[Missing <param name="invoiceNo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

Implements

IPaymentApiHandlerDeliveryGoods(PaymentTransaction, String, String)
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.GetPaymentHtml Method

TenpayApiHandlerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Public Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
public:
virtual void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
) sealed
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit
override GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

html
Type: HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

Implements

IPaymentApiHandlerGetPaymentHtml(PaymentTransaction, HtmlString)
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.OnFormBind Method

TenpayApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Public Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
public:
virtual void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
) sealed
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit
override OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormBind(PaymentApiEditForm, PaymentApi)
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.OnFormCreated Method

TenpayApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormCreated(
    PaymentApiEditForm form
)
Public Sub OnFormCreated (
    form As PaymentApiEditForm
)
public:
virtual void OnFormCreated(
    PaymentApiEditForm^ form
) sealed
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit
override OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.OnFormCreated(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm)"]

Implements

IPaymentApiHandlerOnFormCreated(PaymentApiEditForm)
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.OnFormSubmit Method

TenpayApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Public Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
public:
virtual void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
) sealed
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit
override OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers.TenpayApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormSubmit(PaymentApiEditForm, PaymentApi)
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler Fields

The TenpayApiHandler type exposes the following members.

Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.ApiDataEditing Field

TenpayApiHandlerApiDataEditing Field
后台编辑表单使用的接口数据

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected TenpayApiHandlerApiData ApiDataEditing
Protected ApiDataEditing As TenpayApiHandlerApiData
protected:
TenpayApiHandlerApiData^ ApiDataEditing
val mutable ApiDataEditing: TenpayApiHandlerApiData

Field Value

Type: TenpayApiHandlerApiData
See Also

Reference

TenpayApiHandler Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.ApiData Class

TenpayApiHandlerApiData Class
接口数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlersTenpayApiHandlerApiData

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ApiData
Public Class ApiData
public ref class ApiData
type ApiData =  class end

The TenpayApiHandlerApiData type exposes the following members.

Constructors
 | Name | Description
Public method | TenpayApiHandlerApiData | Initializes a new instance of the TenpayApiHandlerApiData class
Top
Properties
 | Name | Description
Public property | PartnerId | 商户Id
Public property | PartnerKey | 商户密钥
Public property | ReturnDomain | 返回域名
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.ApiData Constructor

TenpayApiHandlerApiData Constructor

Initializes a new instance of the TenpayApiHandlerApiData class

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ApiData()
Public Sub New
public:
ApiData()
new : unit -> ApiData
See Also

Reference

TenpayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


ApiData Properties

The TenpayApiHandlerApiData type exposes the following members.

Properties
 | Name | Description
Public property | PartnerId | 商户Id
Public property | PartnerKey | 商户密钥
Public property | ReturnDomain | 返回域名
Top
See Also

Reference

TenpayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.ApiData.PartnerId Property

TenpayApiHandlerApiDataPartnerId Property

商户Id

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerId { get; set; }
Public Property PartnerId As String
    Get
    Set
public:
property String^ PartnerId {
    String^ get ();
    void set (String^ value);
}
member PartnerId : string with get, set

Property Value

Type: String
See Also

Reference

TenpayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.ApiData.PartnerKey Property

TenpayApiHandlerApiDataPartnerKey Property

商户密钥

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerKey { get; set; }
Public Property PartnerKey As String
    Get
    Set
public:
property String^ PartnerKey {
    String^ get ();
    void set (String^ value);
}
member PartnerKey : string with get, set

Property Value

Type: String
See Also

Reference

TenpayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


TenpayApiHandler.ApiData.ReturnDomain Property

TenpayApiHandlerApiDataReturnDomain Property

返回域名

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReturnDomain { get; set; }
Public Property ReturnDomain As String
    Get
    Set
public:
property String^ ReturnDomain {
    String^ get ();
    void set (String^ value);
}
member ReturnDomain : string with get, set

Property Value

Type: String
See Also

Reference

TenpayApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.PaymentApiHandlers Namespace


ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.WeChat.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Finance.Payment.WeChat.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates |
ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers |
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services |


ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Components.Translates Namespace


ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers"]

Classes
 | Class | Description
Public class | WxPayController | 微信控制器


WxPayController Class
微信控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Finance.Payment.WeChat.src.ControllersWxPayController

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayController : ControllerBase
Public Class WxPayController
    Inherits ControllerBase
public ref class WxPayController : public ControllerBase
type WxPayController =
    class
        inherit ControllerBase
    end

The WxPayController type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayController | Initializes a new instance of the WxPayController class
Top
Methods
 | Name | Description
Public method | QRCodePayNotify | 微信扫码支付的异步通知
Public method | UpdateTransactionState | 更新扫码支付的交易状态
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers Namespace


WxPayController Constructor

Initializes a new instance of the WxPayController class

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayController()
Public Sub New
public:
WxPayController()
new : unit -> WxPayController
See Also

Reference

WxPayController Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers Namespace


WxPayController Methods

The WxPayController type exposes the following members.

Methods
 | Name | Description
Public method | QRCodePayNotify | 微信扫码支付的异步通知
Public method | UpdateTransactionState | 更新扫码支付的交易状态
Top
See Also

Reference

WxPayController Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers Namespace


WxPayController.QRCodePayNotify Method

WxPayControllerQRCodePayNotify Method

微信扫码支付的异步通知

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult QRCodePayNotify()
Public Function QRCodePayNotify As IActionResult
public:
IActionResult^ QRCodePayNotify()
member QRCodePayNotify : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers.WxPayController.QRCodePayNotify"]

See Also

Reference

WxPayController Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers Namespace


WxPayController.UpdateTransactionState Method

WxPayControllerUpdateTransactionState Method

更新扫码支付的交易状态

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult UpdateTransactionState(
    Guid transactionId
)
Public Function UpdateTransactionState (
    transactionId As Guid
) As IActionResult
public:
IActionResult^ UpdateTransactionState(
    Guid transactionId
)
member UpdateTransactionState :
        transactionId : Guid -> IActionResult

Parameters

transactionId
Type: SystemGuid

[Missing <param name="transactionId"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers.WxPayController.UpdateTransactionState(System.Guid)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers.WxPayController.UpdateTransactionState(System.Guid)"]

See Also

Reference

WxPayController Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Controllers Namespace


ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services"]

Classes
 | Class | Description
Public class | WxPayManager | 微信支付管理器


WxPayManager Class
微信支付管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.ServicesWxPayManager

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WxPayManager : DomainServiceBase
Public Class WxPayManager
    Inherits DomainServiceBase
public ref class WxPayManager : public DomainServiceBase
type WxPayManager =
    class
        inherit DomainServiceBase
    end

The WxPayManager type exposes the following members.

Constructors
 | Name | Description
Public method | WxPayManager | Initializes a new instance of the WxPayManager class
Top
Methods
 | Name | Description
Public method | GetQRCodePaymentHtml | 获取扫码支付的Html
Public method | ProcessNotify | 处理微信返回的异步通知
Public method | UpdateTransactionState | 调用微信的查询接口查询交易状态 根据返回结果更新交易
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace


WxPayManager Constructor

Initializes a new instance of the WxPayManager class

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WxPayManager()
Public Sub New
public:
WxPayManager()
new : unit -> WxPayManager
See Also

Reference

WxPayManager Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace


WxPayManager Methods

The WxPayManager type exposes the following members.

Methods
 | Name | Description
Public method | GetQRCodePaymentHtml | 获取扫码支付的Html
Public method | ProcessNotify | 处理微信返回的异步通知
Public method | UpdateTransactionState | 调用微信的查询接口查询交易状态 根据返回结果更新交易
Top
See Also

Reference

WxPayManager Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace


WxPayManager.GetQRCodePaymentHtml Method

WxPayManagerGetQRCodePaymentHtml Method

获取扫码支付的Html

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetQRCodePaymentHtml(
    PaymentTransaction transaction
)
Public Overridable Function GetQRCodePaymentHtml (
    transaction As PaymentTransaction
) As HtmlString
public:
virtual HtmlString^ GetQRCodePaymentHtml(
    PaymentTransaction^ transaction
)
abstract GetQRCodePaymentHtml :
        transaction : PaymentTransaction -> HtmlString
override GetQRCodePaymentHtml :
        transaction : PaymentTransaction -> HtmlString

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction
支付交易

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services.WxPayManager.GetQRCodePaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

See Also

Reference

WxPayManager Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace


WxPayManager.ProcessNotify Method

WxPayManagerProcessNotify Method

处理微信返回的异步通知

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ProcessNotify(
    string xml,
    out Guid transactionId
)
Public Overridable Sub ProcessNotify (
    xml As String,
    <OutAttribute> ByRef transactionId As Guid
)
public:
virtual void ProcessNotify(
    String^ xml,
    [OutAttribute] Guid% transactionId
)
abstract ProcessNotify :
        xml : string *
        transactionId : Guid byref -> unit
override ProcessNotify :
        xml : string *
        transactionId : Guid byref -> unit

Parameters

xml
Type: SystemString
微信发来的xml内容
transactionId
Type: SystemGuid
对应的交易Id
See Also

Reference

WxPayManager Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace


WxPayManager.UpdateTransactionState Method

WxPayManagerUpdateTransactionState Method

调用微信的查询接口查询交易状态 根据返回结果更新交易

Namespace: ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void UpdateTransactionState(
    Guid transactionId
)
Public Overridable Sub UpdateTransactionState (
    transactionId As Guid
)
public:
virtual void UpdateTransactionState(
    Guid transactionId
)
abstract UpdateTransactionState :
        transactionId : Guid -> unit
override UpdateTransactionState :
        transactionId : Guid -> unit

Parameters

transactionId
Type: SystemGuid
交易Id

Return Value

Type:
See Also

Reference

WxPayManager Class
ZKWeb.Plugins.Finance.Payment.WeChat.src.Domain.Services Namespace


ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers"]

Classes
 | Class | Description
Public class | WechatApiHandler | 微信接口的处理器
Public class | WechatApiHandlerApiData | 接口数据


WechatApiHandler Class
微信接口的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlersWechatApiHandler

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WechatApiHandler : IPaymentApiHandler
Public Class WechatApiHandler
    Implements IPaymentApiHandler
public ref class WechatApiHandler : IPaymentApiHandler
type WechatApiHandler =
    class
        interface IPaymentApiHandler
    end

The WechatApiHandler type exposes the following members.

Constructors
 | Name | Description
Public method | WechatApiHandler | Initializes a new instance of the WechatApiHandler class
Top
Properties
 | Name | Description
Public property | Type | 接口类型
Top
Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler Constructor

Initializes a new instance of the WechatApiHandler class

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WechatApiHandler()
Public Sub New
public:
WechatApiHandler()
new : unit -> WechatApiHandler
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler Properties

The WechatApiHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 接口类型
Top
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.Type Property

WechatApiHandlerType Property

接口类型

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentApiHandlerType
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler Methods

The WechatApiHandler type exposes the following members.

Methods
 | Name | Description
Public method | CalculatePaymentFee | 计算支付手续费
Public method | DeliveryGoods | 调用发货接口
Public method | GetPaymentHtml | 获取支付Html
Public method | OnFormBind | 后台编辑表单绑定时的处理
Public method | OnFormCreated | 后台编辑表单创建后的处理
Public method | OnFormSubmit | 后台编辑表单保存时的处理
Top
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.CalculatePaymentFee Method

WechatApiHandlerCalculatePaymentFee Method

计算支付手续费

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CalculatePaymentFee(
    PaymentApi api,
    decimal amount,
    ref decimal paymentFee
)
Public Sub CalculatePaymentFee (
    api As PaymentApi,
    amount As Decimal,
    ByRef paymentFee As Decimal
)
public:
virtual void CalculatePaymentFee(
    PaymentApi^ api,
    Decimal amount,
    Decimal% paymentFee
) sealed
abstract CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit
override CalculatePaymentFee :
        api : PaymentApi *
        amount : decimal *
        paymentFee : decimal byref -> unit

Parameters

api
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="api"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

amount
Type: SystemDecimal

[Missing <param name="amount"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

paymentFee
Type: SystemDecimal

[Missing <param name="paymentFee"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.CalculatePaymentFee(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi,System.Decimal,System.Decimal@)"]

Implements

IPaymentApiHandlerCalculatePaymentFee(PaymentApi, Decimal, Decimal)
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.DeliveryGoods Method

WechatApiHandlerDeliveryGoods Method

调用发货接口

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void DeliveryGoods(
    PaymentTransaction transaction,
    string logisticsName,
    string invoiceNo
)
Public Sub DeliveryGoods (
    transaction As PaymentTransaction,
    logisticsName As String,
    invoiceNo As String
)
public:
virtual void DeliveryGoods(
    PaymentTransaction^ transaction,
    String^ logisticsName,
    String^ invoiceNo
) sealed
abstract DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit
override DeliveryGoods :
        transaction : PaymentTransaction *
        logisticsName : string *
        invoiceNo : string -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

logisticsName
Type: SystemString

[Missing <param name="logisticsName"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

invoiceNo
Type: SystemString

[Missing <param name="invoiceNo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.DeliveryGoods(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.String,System.String)"]

Implements

IPaymentApiHandlerDeliveryGoods(PaymentTransaction, String, String)
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.GetPaymentHtml Method

WechatApiHandlerGetPaymentHtml Method

获取支付Html

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentHtml(
    PaymentTransaction transaction,
    ref HtmlString html
)
Public Sub GetPaymentHtml (
    transaction As PaymentTransaction,
    ByRef html As HtmlString
)
public:
virtual void GetPaymentHtml(
    PaymentTransaction^ transaction,
    HtmlString^% html
) sealed
abstract GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit
override GetPaymentHtml :
        transaction : PaymentTransaction *
        html : HtmlString byref -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

html
Type: HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.GetPaymentHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWebStandard.Collection.HtmlString@)"]

Implements

IPaymentApiHandlerGetPaymentHtml(PaymentTransaction, HtmlString)
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.OnFormBind Method

WechatApiHandlerOnFormBind Method

后台编辑表单绑定时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormBind(
    PaymentApiEditForm form,
    PaymentApi bindFrom
)
Public Sub OnFormBind (
    form As PaymentApiEditForm,
    bindFrom As PaymentApi
)
public:
virtual void OnFormBind(
    PaymentApiEditForm^ form,
    PaymentApi^ bindFrom
) sealed
abstract OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit
override OnFormBind :
        form : PaymentApiEditForm *
        bindFrom : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

bindFrom
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.OnFormBind(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormBind(PaymentApiEditForm, PaymentApi)
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.OnFormCreated Method

WechatApiHandlerOnFormCreated Method

后台编辑表单创建后的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormCreated(
    PaymentApiEditForm form
)
Public Sub OnFormCreated (
    form As PaymentApiEditForm
)
public:
virtual void OnFormCreated(
    PaymentApiEditForm^ form
) sealed
abstract OnFormCreated :
        form : PaymentApiEditForm -> unit
override OnFormCreated :
        form : PaymentApiEditForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.OnFormCreated(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm)"]

Implements

IPaymentApiHandlerOnFormCreated(PaymentApiEditForm)
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.OnFormSubmit Method

WechatApiHandlerOnFormSubmit Method

后台编辑表单保存时的处理

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnFormSubmit(
    PaymentApiEditForm form,
    PaymentApi saveTo
)
Public Sub OnFormSubmit (
    form As PaymentApiEditForm,
    saveTo As PaymentApi
)
public:
virtual void OnFormSubmit(
    PaymentApiEditForm^ form,
    PaymentApi^ saveTo
) sealed
abstract OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit
override OnFormSubmit :
        form : PaymentApiEditForm *
        saveTo : PaymentApi -> unit

Parameters

form
Type: ZKWeb.Plugins.Finance.Payment.src.UIComponents.FormsPaymentApiEditForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

saveTo
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentApi

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers.WechatApiHandler.OnFormSubmit(ZKWeb.Plugins.Finance.Payment.src.UIComponents.Forms.PaymentApiEditForm,ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi)"]

Implements

IPaymentApiHandlerOnFormSubmit(PaymentApiEditForm, PaymentApi)
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler Fields

The WechatApiHandler type exposes the following members.

Fields
 | Name | Description
Protected field | ApiDataEditing | 后台编辑表单使用的接口数据
Top
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiDataEditing Field

WechatApiHandlerApiDataEditing Field
后台编辑表单使用的接口数据

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected WechatApiHandlerApiData ApiDataEditing
Protected ApiDataEditing As WechatApiHandlerApiData
protected:
WechatApiHandlerApiData^ ApiDataEditing
val mutable ApiDataEditing: WechatApiHandlerApiData

Field Value

Type: WechatApiHandlerApiData
See Also

Reference

WechatApiHandler Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiData Class

WechatApiHandlerApiData Class
接口数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlersWechatApiHandlerApiData

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ApiData
Public Class ApiData
public ref class ApiData
type ApiData =  class end

The WechatApiHandlerApiData type exposes the following members.

Constructors
 | Name | Description
Public method | WechatApiHandlerApiData | Initializes a new instance of the WechatApiHandlerApiData class
Top
Properties
 | Name | Description
Public property | AppId | 绑定支付的APPID
Public property | PartnerId | 商户号
Public property | PartnerKey | 商户支付密钥
Public property | ReturnDomain | 返回域名
Top
See Also

Reference

ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiData Constructor

WechatApiHandlerApiData Constructor

Initializes a new instance of the WechatApiHandlerApiData class

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ApiData()
Public Sub New
public:
ApiData()
new : unit -> ApiData
See Also

Reference

WechatApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


ApiData Properties

The WechatApiHandlerApiData type exposes the following members.

Properties
 | Name | Description
Public property | AppId | 绑定支付的APPID
Public property | PartnerId | 商户号
Public property | PartnerKey | 商户支付密钥
Public property | ReturnDomain | 返回域名
Top
See Also

Reference

WechatApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiData.AppId Property

WechatApiHandlerApiDataAppId Property

绑定支付的APPID

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string AppId { get; set; }
Public Property AppId As String
    Get
    Set
public:
property String^ AppId {
    String^ get ();
    void set (String^ value);
}
member AppId : string with get, set

Property Value

Type: String
See Also

Reference

WechatApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiData.PartnerId Property

WechatApiHandlerApiDataPartnerId Property

商户号

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerId { get; set; }
Public Property PartnerId As String
    Get
    Set
public:
property String^ PartnerId {
    String^ get ();
    void set (String^ value);
}
member PartnerId : string with get, set

Property Value

Type: String
See Also

Reference

WechatApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiData.PartnerKey Property

WechatApiHandlerApiDataPartnerKey Property

商户支付密钥

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PartnerKey { get; set; }
Public Property PartnerKey As String
    Get
    Set
public:
property String^ PartnerKey {
    String^ get ();
    void set (String^ value);
}
member PartnerKey : string with get, set

Property Value

Type: String
See Also

Reference

WechatApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


WechatApiHandler.ApiData.ReturnDomain Property

WechatApiHandlerApiDataReturnDomain Property

返回域名

Namespace: ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReturnDomain { get; set; }
Public Property ReturnDomain As String
    Get
    Set
public:
property String^ ReturnDomain {
    String^ get ();
    void set (String^ value);
}
member ReturnDomain : string with get, set

Property Value

Type: String
See Also

Reference

WechatApiHandlerApiData Class
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers Namespace


ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates Namespace


ZKWeb.Plugins.Shopping.Logistics.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Logistics.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Logistics.src.Components |
ZKWeb.Plugins.Shopping.Logistics.src.Controllers |
ZKWeb.Plugins.Shopping.Logistics.src.Domain |
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents |


ZKWeb.Plugins.Shopping.Logistics.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Logistics.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes |
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates |


ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | LogisticsExtraConfigKeys | 网站附加配置中使用的键


LogisticsExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeysLogisticsExtraConfigKeys

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsExtraConfigKeys
Public Class LogisticsExtraConfigKeys
public ref class LogisticsExtraConfigKeys
type LogisticsExtraConfigKeys =  class end

The LogisticsExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsExtraConfigKeys | Initializes a new instance of the LogisticsExtraConfigKeys class
Top
Fields
Name | Description
LogisticsCacheTime | 物流的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys Namespace


LogisticsExtraConfigKeys Constructor

Initializes a new instance of the LogisticsExtraConfigKeys class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsExtraConfigKeys()
Public Sub New
public:
LogisticsExtraConfigKeys()
new : unit -> LogisticsExtraConfigKeys
See Also

Reference

LogisticsExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys Namespace


LogisticsExtraConfigKeys Fields

The LogisticsExtraConfigKeys type exposes the following members.

Fields
Name | Description
LogisticsCacheTime | 物流的缓存时间，单位是秒
Top
See Also

Reference

LogisticsExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys Namespace


LogisticsExtraConfigKeys.LogisticsCacheTime Field

LogisticsExtraConfigKeysLogisticsCacheTime Field
物流的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string LogisticsCacheTime = "Shopping.Logistics.LogisticsCacheTime"
Public Const LogisticsCacheTime As String = "Shopping.Logistics.LogisticsCacheTime"
public:
literal String^ LogisticsCacheTime = "Shopping.Logistics.LogisticsCacheTime"
static val mutable LogisticsCacheTime: string

Field Value

Type: String
See Also

Reference

LogisticsExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes |
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces |


ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes"]

Classes
 | Class | Description
Public class | Express | 快递
Public class | SurfaceMail | 平邮


Express Class
快递
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypesExpress

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Express : ILogisticsType
Public Class Express
    Implements ILogisticsType
public ref class Express : ILogisticsType
type Express =
    class
        interface ILogisticsType
    end

The Express type exposes the following members.

Constructors
 | Name | Description
Public method | Express | Initializes a new instance of the Express class
Top
Properties
 | Name | Description
Public property | Type | 物流类型
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


Express Constructor

Initializes a new instance of the Express class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Express()
Public Sub New
public:
Express()
new : unit -> Express
See Also

Reference

Express Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


Express Properties

The Express type exposes the following members.

Properties
 | Name | Description
Public property | Type | 物流类型
Top
See Also

Reference

Express Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


Express.Type Property

ExpressType Property

物流类型

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ILogisticsTypeType
See Also

Reference

Express Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


SurfaceMail Class
平邮
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypesSurfaceMail

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SurfaceMail : ILogisticsType
Public Class SurfaceMail
    Implements ILogisticsType
public ref class SurfaceMail : ILogisticsType
type SurfaceMail =
    class
        interface ILogisticsType
    end

The SurfaceMail type exposes the following members.

Constructors
 | Name | Description
Public method | SurfaceMail | Initializes a new instance of the SurfaceMail class
Top
Properties
 | Name | Description
Public property | Type | 平邮
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


SurfaceMail Constructor

Initializes a new instance of the SurfaceMail class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SurfaceMail()
Public Sub New
public:
SurfaceMail()
new : unit -> SurfaceMail
See Also

Reference

SurfaceMail Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


SurfaceMail Properties

The SurfaceMail type exposes the following members.

Properties
 | Name | Description
Public property | Type | 平邮
Top
See Also

Reference

SurfaceMail Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


SurfaceMail.Type Property

SurfaceMailType Property

平邮

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

ILogisticsTypeType
See Also

Reference

SurfaceMail Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces"]

Interfaces
 | Interface | Description
Public interface | ILogisticsType | 物流类型的接口


ILogisticsType Interface
物流类型的接口

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface ILogisticsType
Public Interface ILogisticsType
public interface class ILogisticsType
type ILogisticsType =  interface end

The ILogisticsType type exposes the following members.

Properties
 | Name | Description
Public property | Type | 物流类型
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces Namespace


ILogisticsType Properties

The ILogisticsType type exposes the following members.

Properties
 | Name | Description
Public property | Type | 物流类型
Top
See Also

Reference

ILogisticsType Interface
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces Namespace


ILogisticsType.Type Property

ILogisticsTypeType Property

物流类型

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Type { get; }
ReadOnly Property Type As String
    Get
property String^ Type {
    String^ get ();
}
abstract Type : string with get

Property Value

Type: String
See Also

Reference

ILogisticsType Interface
ZKWeb.Plugins.Shopping.Logistics.src.Components.LogisticsTypes.Interfaces Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Logistics.src.Components.Translates Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Controllers"]

Classes
 | Class | Description
Public class | LogisticsCrudController | 物流管理
Public class | LogisticsCrudControllerForm | 添加和编辑物流使用的表单
Public class | LogisticsCrudControllerTableHandler | 表格回调


LogisticsCrudController Class
物流管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase Logistics, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase Logistics, Guid
ZKWeb.Plugins.Shopping.Logistics.src.ControllersLogisticsCrudController

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsCrudController : CrudAdminAppControllerBase<Logistics, Guid>
Public Class LogisticsCrudController
    Inherits CrudAdminAppControllerBase(Of Logistics, Guid)
public ref class LogisticsCrudController : public CrudAdminAppControllerBase<Logistics^, Guid>
type LogisticsCrudController =
    class
        inherit CrudAdminAppControllerBase<Logistics, Guid>
    end

The LogisticsCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsCrudController | 初始化
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsCrudController()
Public Sub New
public:
LogisticsCrudController()
new : unit -> LogisticsCrudController
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController Properties

The LogisticsCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Group Property

LogisticsCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.GroupIconClass Property

LogisticsCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.IconClass Property

LogisticsCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Name Property

LogisticsCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TileClass Property

LogisticsCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Url Property

LogisticsCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController Methods

The LogisticsCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.GetAddForm Method

LogisticsCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GetAddForm"]

See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.GetEditForm Method

LogisticsCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GetEditForm"]

See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.GetTableHandler Method

LogisticsCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<Logistics, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of Logistics, Guid)
protected:
virtual IAjaxTableHandler<Logistics^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<Logistics, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<Logistics, Guid>

Return Value

Type: IAjaxTableHandler Logistics, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.GetTableHandler"]

See Also

Reference

LogisticsCrudController Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form Class

LogisticsCrudControllerForm Class
添加和编辑物流使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder Logistics, Guid, LogisticsCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder Logistics, Guid, LogisticsCrudControllerForm
ZKWeb.Plugins.Shopping.Logistics.src.ControllersLogisticsCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<Logistics, Guid, LogisticsCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of Logistics, Guid, LogisticsCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<Logistics^, Guid, LogisticsCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<Logistics, Guid, LogisticsCrudControllerForm>
    end

The LogisticsCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsCrudControllerForm | Initializes a new instance of the LogisticsCrudControllerForm class
Top
Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Name | 名称
Public property | Owner | 所属人
Public property | PriceRules | 运费规则
Public property | PriceRulesAlert | 运费规则的提示信息
Public property | Remark | 备注
Public property | Type | 类型
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form Constructor

LogisticsCrudControllerForm Constructor

Initializes a new instance of the LogisticsCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


Form Properties

The LogisticsCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Public property | Name | 名称
Public property | Owner | 所属人
Public property | PriceRules | 运费规则
Public property | PriceRulesAlert | 运费规则的提示信息
Public property | Remark | 备注
Public property | Type | 类型
Top
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.DisplayOrder Property

LogisticsCrudControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.Name Property

LogisticsCrudControllerFormName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.Owner Property

LogisticsCrudControllerFormOwner Property

所属人

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Owner { get; set; }
Public Property Owner As String
    Get
    Set
public:
property String^ Owner {
    String^ get ();
    void set (String^ value);
}
member Owner : string with get, set

Property Value

Type: String
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.PriceRules Property

LogisticsCrudControllerFormPriceRules Property

运费规则

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<PriceRule> PriceRules { get; set; }
Public Property PriceRules As List(Of PriceRule)
    Get
    Set
public:
property List<PriceRule^>^ PriceRules {
    List<PriceRule^>^ get ();
    void set (List<PriceRule^>^ value);
}
member PriceRules : List<PriceRule> with get, set

Property Value

Type: List PriceRule
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.PriceRulesAlert Property

LogisticsCrudControllerFormPriceRulesAlert Property

运费规则的提示信息

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PriceRulesAlert { get; set; }
Public Property PriceRulesAlert As String
    Get
    Set
public:
property String^ PriceRulesAlert {
    String^ get ();
    void set (String^ value);
}
member PriceRulesAlert : string with get, set

Property Value

Type: String
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.Remark Property

LogisticsCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.Type Property

LogisticsCrudControllerFormType Property

类型

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


Form Methods

The LogisticsCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.OnBind Method

LogisticsCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    Logistics bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As Logistics
)
protected:
virtual void OnBind(
    Logistics^ bindFrom
) override
abstract OnBind :
        bindFrom : Logistics -> unit
override OnBind :
        bindFrom : Logistics -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Logistics.src.Domain.EntitiesLogistics

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics)"]

See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.Form.OnSubmit Method

LogisticsCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    Logistics saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As Logistics
) As Object
protected:
virtual Object^ OnSubmit(
    Logistics^ saveTo
) override
abstract OnSubmit :
        saveTo : Logistics -> Object
override OnSubmit :
        saveTo : Logistics -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Logistics.src.Domain.EntitiesLogistics

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics)"]

See Also

Reference

LogisticsCrudControllerForm Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TableHandler Class

LogisticsCrudControllerTableHandler Class
表格回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase Logistics, Guid
ZKWeb.Plugins.Shopping.Logistics.src.ControllersLogisticsCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<Logistics, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of Logistics, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<Logistics^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<Logistics, Guid>
    end

The LogisticsCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsCrudControllerTableHandler | Initializes a new instance of the LogisticsCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TableHandler Constructor

LogisticsCrudControllerTableHandler Constructor

Initializes a new instance of the LogisticsCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

LogisticsCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


TableHandler Methods

The LogisticsCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

LogisticsCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TableHandler.BuildTable Method

LogisticsCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

LogisticsCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TableHandler.OnQuery Method

LogisticsCrudControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<Logistics> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of Logistics)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<Logistics^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<Logistics> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<Logistics> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics}@)"]

query
Type: System.LinqIQueryable Logistics

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

LogisticsCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TableHandler.OnResponse Method

LogisticsCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

LogisticsCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


LogisticsCrudController.TableHandler.OnSelect Method

LogisticsCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<Logistics>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of Logistics))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<Logistics^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<Logistics>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<Logistics>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow Logistics

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Controllers.LogisticsCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

LogisticsCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Logistics.src.Controllers Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Logistics.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities |
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories |
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services |
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs |


ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities"]

Classes
 | Class | Description
Public class | Logistics | 物流


Logistics Class
物流
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Domain.EntitiesLogistics

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Logistics : IHaveCreateTime, IEntity,
    IHaveUpdateTime, IHaveDeleted, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<Logistics>, IEntityMappingProvider
Public Class Logistics
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    ILiquidizable, IEntity(Of Guid), IEntityMappingProvider(Of Logistics),
    IEntityMappingProvider
public ref class Logistics : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<Logistics^>, IEntityMappingProvider
type Logistics =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface ILiquidizable
        interface IEntity<Guid>
        interface IEntityMappingProvider<Logistics>
        interface IEntityMappingProvider
    end

The Logistics type exposes the following members.

Constructors
 | Name | Description
Public method | Logistics | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 物流Id
Public property | Name | 物流名称
Public property | Owner | 所有人，没有时等于null
Public property | PriceRules | 物流费用计算规则
Public property | Remark | 备注
Public property | Type | 物流类型
Public property | UpdateTime | 最后更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToLiquid | 允许描画到模板
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Logistics()
Public Sub New
public:
Logistics()
new : unit -> Logistics
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics Properties

The Logistics type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 物流Id
Public property | Name | 物流名称
Public property | Owner | 所有人，没有时等于null
Public property | PriceRules | 物流费用计算规则
Public property | Remark | 备注
Public property | Type | 物流类型
Public property | UpdateTime | 最后更新时间
Top
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.CreateTime Property

LogisticsCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Deleted Property

LogisticsDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.DisplayOrder Property

LogisticsDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Id Property

LogisticsId Property

物流Id

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Name Property

LogisticsName Property

物流名称

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Owner Property

LogisticsOwner Property

所有人，没有时等于null

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.PriceRules Property

LogisticsPriceRules Property

物流费用计算规则

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<PriceRule> PriceRules { get; set; }
Public Overridable Property PriceRules As List(Of PriceRule)
    Get
    Set
public:
virtual property List<PriceRule^>^ PriceRules {
    List<PriceRule^>^ get ();
    void set (List<PriceRule^>^ value);
}
abstract PriceRules : List<PriceRule> with get, set
override PriceRules : List<PriceRule> with get, set

Property Value

Type: List PriceRule
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Remark Property

LogisticsRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Type Property

LogisticsType Property

物流类型

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.UpdateTime Property

LogisticsUpdateTime Property

最后更新时间

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics Methods

The Logistics type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToLiquid | 允许描画到模板
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.Configure Method

LogisticsConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<Logistics> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of Logistics)
)
public:
virtual void Configure(
    IEntityMappingBuilder<Logistics^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<Logistics> -> unit
override Configure :
        builder : IEntityMappingBuilder<Logistics> -> unit

Parameters

builder
Type: IEntityMappingBuilderLogistics

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.ToLiquid Method

LogisticsToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object ToLiquid()
Public Overridable Function ToLiquid As Object
public:
virtual Object^ ToLiquid()
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


Logistics.ToString Method

LogisticsToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics.ToString"]

See Also

Reference

Logistics Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | LogisticsRepository | 物流的仓储


LogisticsRepository Class
物流的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase Logistics, Guid
ZKWeb.Plugins.Shopping.Logistics.src.Domain.RepositoriesLogisticsRepository

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsRepository : RepositoryBase<Logistics, Guid>
Public Class LogisticsRepository
    Inherits RepositoryBase(Of Logistics, Guid)
public ref class LogisticsRepository : public RepositoryBase<Logistics^, Guid>
type LogisticsRepository =
    class
        inherit RepositoryBase<Logistics, Guid>
    end

The LogisticsRepository type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsRepository | Initializes a new instance of the LogisticsRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories Namespace


LogisticsRepository Constructor

Initializes a new instance of the LogisticsRepository class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsRepository()
Public Sub New
public:
LogisticsRepository()
new : unit -> LogisticsRepository
See Also

Reference

LogisticsRepository Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Repositories Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services"]

Classes
 | Class | Description
Public class | LogisticsManager | 物流管理器


LogisticsManager Class
物流管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase Logistics, Guid
ZKWeb.Plugins.Shopping.Logistics.src.Domain.ServicesLogisticsManager

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsManager : DomainServiceBase<Logistics, Guid>,
    ICacheCleaner
Public Class LogisticsManager
    Inherits DomainServiceBase(Of Logistics, Guid)
    Implements ICacheCleaner
public ref class LogisticsManager : public DomainServiceBase<Logistics^, Guid>,
    ICacheCleaner
type LogisticsManager =
    class
        inherit DomainServiceBase<Logistics, Guid>
        interface ICacheCleaner
    end

The LogisticsManager type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsManager | 初始化
Top
Properties
 | Name | Description
Protected property | LogisticsCache | 物流的缓存 { 物流Id: 物流, ... }
Protected property | LogisticsCacheTime | 物流的缓存时间 默认是3秒，可通过网站配置指定
Protected property | LogisticsListCache | 物流列表的缓存 { 所属Id: 物流列表, ... }
Top
Methods
 | Name | Description
Public method | CalculateCost | 计算运费 返回 ((运费, 货币), 错误信息)
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取物流列表 结果会按所有人Id缓存一定时间
Public method | GetWithCache | 获取物流 不存在或已删除时返回null 结果会按物流Id缓存一定时间
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsManager()
Public Sub New
public:
LogisticsManager()
new : unit -> LogisticsManager
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager Properties

The LogisticsManager type exposes the following members.

Properties
 | Name | Description
Protected property | LogisticsCache | 物流的缓存 { 物流Id: 物流, ... }
Protected property | LogisticsCacheTime | 物流的缓存时间 默认是3秒，可通过网站配置指定
Protected property | LogisticsListCache | 物流列表的缓存 { 所属Id: 物流列表, ... }
Top
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.LogisticsCache Property

LogisticsManagerLogisticsCache Property

物流的缓存 { 物流Id: 物流, ... }

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, Logistics> LogisticsCache { get; set; }
Protected Property LogisticsCache As IKeyValueCache(Of Guid, Logistics)
    Get
    Set
protected:
property IKeyValueCache<Guid, Logistics^>^ LogisticsCache {
    IKeyValueCache<Guid, Logistics^>^ get ();
    void set (IKeyValueCache<Guid, Logistics^>^ value);
}
member LogisticsCache : IKeyValueCache<Guid, Logistics> with get, set

Property Value

Type: IKeyValueCacheGuid, Logistics
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.LogisticsCacheTime Property

LogisticsManagerLogisticsCacheTime Property

物流的缓存时间 默认是3秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected TimeSpan LogisticsCacheTime { get; set; }
Protected Property LogisticsCacheTime As TimeSpan
    Get
    Set
protected:
property TimeSpan LogisticsCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member LogisticsCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.LogisticsListCache Property

LogisticsManagerLogisticsListCache Property

物流列表的缓存 { 所属Id: 物流列表, ... }

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, IList<Logistics>> LogisticsListCache { get; set; }
Protected Property LogisticsListCache As IKeyValueCache(Of Guid, IList(Of Logistics))
    Get
    Set
protected:
property IKeyValueCache<Guid, IList<Logistics^>^>^ LogisticsListCache {
    IKeyValueCache<Guid, IList<Logistics^>^>^ get ();
    void set (IKeyValueCache<Guid, IList<Logistics^>^>^ value);
}
member LogisticsListCache : IKeyValueCache<Guid, IList<Logistics>> with get, set

Property Value

Type: IKeyValueCacheGuid, IList Logistics
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager Methods

The LogisticsManager type exposes the following members.

Methods
 | Name | Description
Public method | CalculateCost | 计算运费 返回 ((运费, 货币), 错误信息)
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取物流列表 结果会按所有人Id缓存一定时间
Public method | GetWithCache | 获取物流 不存在或已删除时返回null 结果会按物流Id缓存一定时间
Top
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.CalculateCost Method

LogisticsManagerCalculateCost Method

计算运费 返回 ((运费, 货币), 错误信息)

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Pair<Pair<decimal, string>, string> CalculateCost(
    Guid logisticsId,
    string country,
    Nullable<long> regionId,
    decimal weight
)
Public Overridable Function CalculateCost (
    logisticsId As Guid,
    country As String,
    regionId As Nullable(Of Long),
    weight As Decimal
) As Pair(Of Pair(Of Decimal, String), String)
public:
virtual Pair<Pair<Decimal, String^>, String^> CalculateCost(
    Guid logisticsId,
    String^ country,
    Nullable<long long> regionId,
    Decimal weight
)
abstract CalculateCost :
        logisticsId : Guid *
        country : string *
        regionId : Nullable<int64> *
        weight : decimal -> Pair<Pair<decimal, string>, string>
override CalculateCost :
        logisticsId : Guid *
        country : string *
        regionId : Nullable<int64> *
        weight : decimal -> Pair<Pair<decimal, string>, string>

Parameters

logisticsId
Type: SystemGuid
物流Id
country
Type: SystemString
国家，等于null时使用默认国家
regionId
Type: SystemNullable Int64
地区Id
weight
Type: SystemDecimal
重量，单位是克

Return Value

Type: PairPairDecimal, String , String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services.LogisticsManager.CalculateCost(System.Guid,System.String,System.Nullable{System.Int64},System.Decimal)"]

See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.ClearCache Method

LogisticsManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.GetManyWithCache Method

LogisticsManagerGetManyWithCache Method

获取物流列表 结果会按所有人Id缓存一定时间

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Logistics> GetManyWithCache(
    Nullable<Guid> ownerId
)
Public Overridable Function GetManyWithCache (
    ownerId As Nullable(Of Guid)
) As IList(Of Logistics)
public:
virtual IList<Logistics^>^ GetManyWithCache(
    Nullable<Guid> ownerId
)
abstract GetManyWithCache :
        ownerId : Nullable<Guid> -> IList<Logistics>
override GetManyWithCache :
        ownerId : Nullable<Guid> -> IList<Logistics>

Parameters

ownerId
Type: SystemNullable Guid
所有人Id，传入null时获取后台添加的物流列表

Return Value

Type: IList Logistics

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services.LogisticsManager.GetManyWithCache(System.Nullable{System.Guid})"]

See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


LogisticsManager.GetWithCache Method

LogisticsManagerGetWithCache Method

获取物流 不存在或已删除时返回null 结果会按物流Id缓存一定时间

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Logistics GetWithCache(
    Guid logisticsId
)
Public Overridable Function GetWithCache (
    logisticsId As Guid
) As Logistics
public:
virtual Logistics^ GetWithCache(
    Guid logisticsId
)
abstract GetWithCache :
        logisticsId : Guid -> Logistics
override GetWithCache :
        logisticsId : Guid -> Logistics

Parameters

logisticsId
Type: SystemGuid
物流Id

Return Value

Type: Logistics

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services.LogisticsManager.GetWithCache(System.Guid)"]

See Also

Reference

LogisticsManager Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Services Namespace


ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs"]

Classes
 | Class | Description
Public class | PriceRule | 物流费用计算规则


PriceRule Class
物流费用计算规则
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.Domain.StructsPriceRule

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PriceRule
Public Class PriceRule
public ref class PriceRule
type PriceRule =  class end

The PriceRule type exposes the following members.

Constructors
 | Name | Description
Public method | PriceRule | Initializes a new instance of the PriceRule class
Top
Properties
 | Name | Description
Public property | ContinuedHeavyCost | 续重费用
Public property | ContinuedHeavyUnit | 续重单位，默认是1000G
Public property | Country | 国家，匹配所有时等于null
Public property | Currency | 货币单位
Public property | Disabled | 是否不允许在该地区使用
Public property | FirstHeavyCost | 首重费用
Public property | FirstHeavyUnit | 首重单位，默认是1000G
Public property | RegionId | 地区Id，匹配所有时等于null
Top
Methods
Name | Description
GetDefault | 获取默认的运费规则
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule Constructor

Initializes a new instance of the PriceRule class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PriceRule()
Public Sub New
public:
PriceRule()
new : unit -> PriceRule
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule Properties

The PriceRule type exposes the following members.

Properties
 | Name | Description
Public property | ContinuedHeavyCost | 续重费用
Public property | ContinuedHeavyUnit | 续重单位，默认是1000G
Public property | Country | 国家，匹配所有时等于null
Public property | Currency | 货币单位
Public property | Disabled | 是否不允许在该地区使用
Public property | FirstHeavyCost | 首重费用
Public property | FirstHeavyUnit | 首重单位，默认是1000G
Public property | RegionId | 地区Id，匹配所有时等于null
Top
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.ContinuedHeavyCost Property

PriceRuleContinuedHeavyCost Property

续重费用

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal ContinuedHeavyCost { get; set; }
Public Property ContinuedHeavyCost As Decimal
    Get
    Set
public:
property Decimal ContinuedHeavyCost {
    Decimal get ();
    void set (Decimal value);
}
member ContinuedHeavyCost : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.ContinuedHeavyUnit Property

PriceRuleContinuedHeavyUnit Property

续重单位，默认是1000G

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ContinuedHeavyUnit { get; set; }
Public Property ContinuedHeavyUnit As Long
    Get
    Set
public:
property long long ContinuedHeavyUnit {
    long long get ();
    void set (long long value);
}
member ContinuedHeavyUnit : int64 with get, set

Property Value

Type: Int64
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.Country Property

PriceRuleCountry Property

国家，匹配所有时等于null

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Country { get; set; }
Public Property Country As String
    Get
    Set
public:
property String^ Country {
    String^ get ();
    void set (String^ value);
}
member Country : string with get, set

Property Value

Type: String
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.Currency Property

PriceRuleCurrency Property

货币单位

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.Disabled Property

PriceRuleDisabled Property

是否不允许在该地区使用

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Disabled { get; set; }
Public Property Disabled As Boolean
    Get
    Set
public:
property bool Disabled {
    bool get ();
    void set (bool value);
}
member Disabled : bool with get, set

Property Value

Type: Boolean
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.FirstHeavyCost Property

PriceRuleFirstHeavyCost Property

首重费用

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal FirstHeavyCost { get; set; }
Public Property FirstHeavyCost As Decimal
    Get
    Set
public:
property Decimal FirstHeavyCost {
    Decimal get ();
    void set (Decimal value);
}
member FirstHeavyCost : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.FirstHeavyUnit Property

PriceRuleFirstHeavyUnit Property

首重单位，默认是1000G

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long FirstHeavyUnit { get; set; }
Public Property FirstHeavyUnit As Long
    Get
    Set
public:
property long long FirstHeavyUnit {
    long long get ();
    void set (long long value);
}
member FirstHeavyUnit : int64 with get, set

Property Value

Type: Int64
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.RegionId Property

PriceRuleRegionId Property

地区Id，匹配所有时等于null

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> RegionId { get; set; }
Public Property RegionId As Nullable(Of Long)
    Get
    Set
public:
property Nullable<long long> RegionId {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
member RegionId : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule Methods

The PriceRule type exposes the following members.

Methods
Name | Description
GetDefault | 获取默认的运费规则
Top
See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


PriceRule.GetDefault Method

PriceRuleGetDefault Method

获取默认的运费规则

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static PriceRule GetDefault()
Public Shared Function GetDefault As PriceRule
public:
static PriceRule^ GetDefault()
static member GetDefault : unit -> PriceRule

Return Value

Type: PriceRule

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs.PriceRule.GetDefault"]

See Also

Reference

PriceRule Class
ZKWeb.Plugins.Shopping.Logistics.src.Domain.Structs Namespace


ZKWeb.Plugins.Shopping.Logistics.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes |
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers |
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders |


ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes"]

Classes
 | Class | Description
Public class | LogisticsPriceRulesEditorAttribute | 运费规则编辑器的属性


LogisticsPriceRulesEditorAttribute Class
运费规则编辑器的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributesLogisticsPriceRulesEditorAttribute

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsPriceRulesEditorAttribute : FormFieldAttribute
Public Class LogisticsPriceRulesEditorAttribute
    Inherits FormFieldAttribute
public ref class LogisticsPriceRulesEditorAttribute : public FormFieldAttribute
type LogisticsPriceRulesEditorAttribute =
    class
        inherit FormFieldAttribute
    end

The LogisticsPriceRulesEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsPriceRulesEditorAttribute(String) | 初始化
Public method | LogisticsPriceRulesEditorAttribute(String, Boolean) | 初始化
Top
Properties
 | Name | Description
Public property | DisplayCountryDropdown | 是否显示国家下拉框，null时使用默认设置
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace


LogisticsPriceRulesEditorAttribute Constructor

Overload List
 | Name | Description
Public method | LogisticsPriceRulesEditorAttribute(String) | 初始化
Public method | LogisticsPriceRulesEditorAttribute(String, Boolean) | 初始化
Top
See Also

Reference

LogisticsPriceRulesEditorAttribute Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace


LogisticsPriceRulesEditorAttribute Constructor (String)
初始化

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsPriceRulesEditorAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
LogisticsPriceRulesEditorAttribute(
    String^ name
)
new :
        name : string -> LogisticsPriceRulesEditorAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

LogisticsPriceRulesEditorAttribute Class
LogisticsPriceRulesEditorAttribute Overload
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace


LogisticsPriceRulesEditorAttribute Constructor (String, Boolean)
初始化

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsPriceRulesEditorAttribute(
    string name,
    bool displayCountryDropdown
)
Public Sub New (
    name As String,
    displayCountryDropdown As Boolean
)
public:
LogisticsPriceRulesEditorAttribute(
    String^ name,
    bool displayCountryDropdown
)
new :
        name : string *
        displayCountryDropdown : bool -> LogisticsPriceRulesEditorAttribute

Parameters

name
Type: SystemString
字段名称
displayCountryDropdown
Type: SystemBoolean
是否显示国家下拉框
See Also

Reference

LogisticsPriceRulesEditorAttribute Class
LogisticsPriceRulesEditorAttribute Overload
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace


LogisticsPriceRulesEditorAttribute Properties

The LogisticsPriceRulesEditorAttribute type exposes the following members.

Properties
 | Name | Description
Public property | DisplayCountryDropdown | 是否显示国家下拉框，null时使用默认设置
Top
See Also

Reference

LogisticsPriceRulesEditorAttribute Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace


LogisticsPriceRulesEditorAttribute.DisplayCountryDropdown Property

LogisticsPriceRulesEditorAttributeDisplayCountryDropdown Property

是否显示国家下拉框，null时使用默认设置

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> DisplayCountryDropdown { get; set; }
Public Property DisplayCountryDropdown As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> DisplayCountryDropdown {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member DisplayCountryDropdown : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

LogisticsPriceRulesEditorAttribute Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldAttributes Namespace


ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers"]

Classes
 | Class | Description
Public class | LogisticsPriceRulesEditor | 运费规则编辑器


LogisticsPriceRulesEditor Class
运费规则编辑器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlersLogisticsPriceRulesEditor

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsPriceRulesEditor : IFormFieldHandler
Public Class LogisticsPriceRulesEditor
    Implements IFormFieldHandler
public ref class LogisticsPriceRulesEditor : IFormFieldHandler
type LogisticsPriceRulesEditor =
    class
        interface IFormFieldHandler
    end

The LogisticsPriceRulesEditor type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsPriceRulesEditor | Initializes a new instance of the LogisticsPriceRulesEditor class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers Namespace


LogisticsPriceRulesEditor Constructor

Initializes a new instance of the LogisticsPriceRulesEditor class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsPriceRulesEditor()
Public Sub New
public:
LogisticsPriceRulesEditor()
new : unit -> LogisticsPriceRulesEditor
See Also

Reference

LogisticsPriceRulesEditor Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers Namespace


LogisticsPriceRulesEditor Methods

The LogisticsPriceRulesEditor type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

LogisticsPriceRulesEditor Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers Namespace


LogisticsPriceRulesEditor.Build Method

LogisticsPriceRulesEditorBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers.LogisticsPriceRulesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers.LogisticsPriceRulesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers.LogisticsPriceRulesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

LogisticsPriceRulesEditor Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers Namespace


LogisticsPriceRulesEditor.Parse Method

LogisticsPriceRulesEditorParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers.LogisticsPriceRulesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers.LogisticsPriceRulesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers.LogisticsPriceRulesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

LogisticsPriceRulesEditor Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.FormFieldHandlers Namespace


ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | LogisticsTypeListItemProvider | 物流类型的选项列表


LogisticsTypeListItemProvider Class
物流类型的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProvidersLogisticsTypeListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class LogisticsTypeListItemProvider : IListItemProvider
Public Class LogisticsTypeListItemProvider
    Implements IListItemProvider
public ref class LogisticsTypeListItemProvider : IListItemProvider
type LogisticsTypeListItemProvider =
    class
        interface IListItemProvider
    end

The LogisticsTypeListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | LogisticsTypeListItemProvider | Initializes a new instance of the LogisticsTypeListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders Namespace


LogisticsTypeListItemProvider Constructor

Initializes a new instance of the LogisticsTypeListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public LogisticsTypeListItemProvider()
Public Sub New
public:
LogisticsTypeListItemProvider()
new : unit -> LogisticsTypeListItemProvider
See Also

Reference

LogisticsTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders Namespace


LogisticsTypeListItemProvider Methods

The LogisticsTypeListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

LogisticsTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders Namespace


LogisticsTypeListItemProvider.GetItems Method

LogisticsTypeListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders.LogisticsTypeListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

LogisticsTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Logistics.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Shopping.Order Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src |
ZKWeb.Plugins.Shopping.Order.src.Components |
ZKWeb.Plugins.Shopping.Order.src.Controllers |
ZKWeb.Plugins.Shopping.Order.src.Domain |
ZKWeb.Plugins.Shopping.Order.src.UIComponents |
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages |


ZKWeb.Plugins.Shopping.Order.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.srcPlugin

Namespace: ZKWeb.Plugins.Shopping.Order.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Shopping.Order.src Namespace


ZKWeb.Plugins.Shopping.Order.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders |
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers |
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks |
ZKWeb.Plugins.Shopping.Order.src.Components.Translates |
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers |


ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | OrderExtraConfigKeys | 网站附加配置中使用的键


OrderExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeysOrderExtraConfigKeys

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderExtraConfigKeys
Public Class OrderExtraConfigKeys
public ref class OrderExtraConfigKeys
type OrderExtraConfigKeys =  class end

The OrderExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | OrderExtraConfigKeys | Initializes a new instance of the OrderExtraConfigKeys class
Top
Fields
Name | Description
CartProductTotalCountCacheTime | 购物车商品的总数量的缓存时间，单位是秒
SessionExpireDaysForNonUserPurcharse | 非会员添加购物车商品时，保留会话的天数，单位是天
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys Namespace


OrderExtraConfigKeys Constructor

Initializes a new instance of the OrderExtraConfigKeys class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderExtraConfigKeys()
Public Sub New
public:
OrderExtraConfigKeys()
new : unit -> OrderExtraConfigKeys
See Also

Reference

OrderExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys Namespace


OrderExtraConfigKeys Fields

The OrderExtraConfigKeys type exposes the following members.

Fields
Name | Description
CartProductTotalCountCacheTime | 购物车商品的总数量的缓存时间，单位是秒
SessionExpireDaysForNonUserPurcharse | 非会员添加购物车商品时，保留会话的天数，单位是天
Top
See Also

Reference

OrderExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys Namespace


OrderExtraConfigKeys.CartProductTotalCountCacheTime Field

OrderExtraConfigKeysCartProductTotalCountCacheTime Field
购物车商品的总数量的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CartProductTotalCountCacheTime = "Shopping.Order.CartProductTotalCountCacheTime"
Public Const CartProductTotalCountCacheTime As String = "Shopping.Order.CartProductTotalCountCacheTime"
public:
literal String^ CartProductTotalCountCacheTime = "Shopping.Order.CartProductTotalCountCacheTime"
static val mutable CartProductTotalCountCacheTime: string

Field Value

Type: String
See Also

Reference

OrderExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys Namespace


OrderExtraConfigKeys.SessionExpireDaysForNonUserPurcharse Field

OrderExtraConfigKeysSessionExpireDaysForNonUserPurcharse Field
非会员添加购物车商品时，保留会话的天数，单位是天

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string SessionExpireDaysForNonUserPurcharse = "Shopping.Order.SessionExpireDaysForNonUserPurcharse"
Public Const SessionExpireDaysForNonUserPurcharse As String = "Shopping.Order.SessionExpireDaysForNonUserPurcharse"
public:
literal String^ SessionExpireDaysForNonUserPurcharse = "Shopping.Order.SessionExpireDaysForNonUserPurcharse"
static val mutable SessionExpireDaysForNonUserPurcharse: string

Field Value

Type: String
See Also

Reference

OrderExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Order.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | OrderSettings | 订单设置


OrderSettings Class
订单设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigsOrderSettings

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderSettings
Public Class OrderSettings
public ref class OrderSettings
type OrderSettings =  class end

The OrderSettings type exposes the following members.

Constructors
 | Name | Description
Public method | OrderSettings | 初始化
Top
Properties
 | Name | Description
Public property | AllowAnonymousVisitorCreateOrder | 允许非会员下单，默认允许
Public property | AutoCancelOrderAfterDays | 自动取消未付款订单天数，默认3天
Public property | AutoConfirmOrderAfterDays | 自动确认收货天数，默认14天
Public property | BuynowCartProductExpiresDays | 立刻购买的购物车商品的过期天数，默认1天
Public property | NormalCartProductExpiresDays | 一般的购物车商品的过期天数，默认90天
Public property | StockReductionMode | 库存减少模式，默认不减少
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderSettings()
Public Sub New
public:
OrderSettings()
new : unit -> OrderSettings
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings Properties

The OrderSettings type exposes the following members.

Properties
 | Name | Description
Public property | AllowAnonymousVisitorCreateOrder | 允许非会员下单，默认允许
Public property | AutoCancelOrderAfterDays | 自动取消未付款订单天数，默认3天
Public property | AutoConfirmOrderAfterDays | 自动确认收货天数，默认14天
Public property | BuynowCartProductExpiresDays | 立刻购买的购物车商品的过期天数，默认1天
Public property | NormalCartProductExpiresDays | 一般的购物车商品的过期天数，默认90天
Public property | StockReductionMode | 库存减少模式，默认不减少
Top
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings.AllowAnonymousVisitorCreateOrder Property

OrderSettingsAllowAnonymousVisitorCreateOrder Property

允许非会员下单，默认允许

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool AllowAnonymousVisitorCreateOrder { get; set; }
Public Property AllowAnonymousVisitorCreateOrder As Boolean
    Get
    Set
public:
property bool AllowAnonymousVisitorCreateOrder {
    bool get ();
    void set (bool value);
}
member AllowAnonymousVisitorCreateOrder : bool with get, set

Property Value

Type: Boolean
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings.AutoCancelOrderAfterDays Property

OrderSettingsAutoCancelOrderAfterDays Property

自动取消未付款订单天数，默认3天

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AutoCancelOrderAfterDays { get; set; }
Public Property AutoCancelOrderAfterDays As Integer
    Get
    Set
public:
property int AutoCancelOrderAfterDays {
    int get ();
    void set (int value);
}
member AutoCancelOrderAfterDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings.AutoConfirmOrderAfterDays Property

OrderSettingsAutoConfirmOrderAfterDays Property

自动确认收货天数，默认14天

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AutoConfirmOrderAfterDays { get; set; }
Public Property AutoConfirmOrderAfterDays As Integer
    Get
    Set
public:
property int AutoConfirmOrderAfterDays {
    int get ();
    void set (int value);
}
member AutoConfirmOrderAfterDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings.BuynowCartProductExpiresDays Property

OrderSettingsBuynowCartProductExpiresDays Property

立刻购买的购物车商品的过期天数，默认1天

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int BuynowCartProductExpiresDays { get; set; }
Public Property BuynowCartProductExpiresDays As Integer
    Get
    Set
public:
property int BuynowCartProductExpiresDays {
    int get ();
    void set (int value);
}
member BuynowCartProductExpiresDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings.NormalCartProductExpiresDays Property

OrderSettingsNormalCartProductExpiresDays Property

一般的购物车商品的过期天数，默认90天

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int NormalCartProductExpiresDays { get; set; }
Public Property NormalCartProductExpiresDays As Integer
    Get
    Set
public:
property int NormalCartProductExpiresDays {
    int get ();
    void set (int value);
}
member NormalCartProductExpiresDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


OrderSettings.StockReductionMode Property

OrderSettingsStockReductionMode Property

库存减少模式，默认不减少

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StockReductionMode StockReductionMode { get; set; }
Public Property StockReductionMode As StockReductionMode
    Get
    Set
public:
property StockReductionMode StockReductionMode {
    StockReductionMode get ();
    void set (StockReductionMode value);
}
member StockReductionMode : StockReductionMode with get, set

Property Value

Type: StockReductionMode
See Also

Reference

OrderSettings Class
ZKWeb.Plugins.Shopping.Order.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers"]

Classes
 | Class | Description
Public class | DefaultOrderChecker | 默认的订单检查器


DefaultOrderChecker Class
默认的订单检查器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckersDefaultOrderChecker

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultOrderChecker : IOrderChecker
Public Class DefaultOrderChecker
    Implements IOrderChecker
public ref class DefaultOrderChecker : IOrderChecker
type DefaultOrderChecker =
    class
        interface IOrderChecker
    end

The DefaultOrderChecker type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultOrderChecker | Initializes a new instance of the DefaultOrderChecker class
Top
Methods
 | Name | Description
Public method | CanConfirm | 判断订单是否可以确认收货 前台使用 允许条件: 订单状态是已发货
Public method | CanDeliveryGoods | 判断订单是否可以发货 后台使用 允许条件: 订单状态是等待发货
Public method | CanEditCost | 判断订单是否可以修改价格 后台使用 允许条件: 订单状态是等待付款，且关联的收款交易的状态是初始状态
Public method | CanEditShippingAddress | 判断订单是否可以编辑收货地址 后台使用 允许条件: 订单状态是等待付款，或等待发货
Public method | CanPay | 判断订单是否可以付款 前台使用 允许条件: 订单状态是等待付款，且有可支付的关联交易
Public method | CanProcessAllGoodsShipped | 是否可处理订单所有商品已发货 修改订单状态时使用 允许条件: 订单状态是等待发货，且所有商品都已经发货
Public method | CanProcessOrderPaid | 是否可处理订单已付款 修改订单状态时使用 允许条件: 订单状态是等待付款，且关联的所有交易状态是交易成功或担保交易已付款
Public method | CanProcessSuccess | 是否可处理交易成功 修改订单状态时使用 允许条件: 订单状态是已发货
Public method | CanSetCancelled | 判断订单是否可以取消 前台使用 允许条件: 订单状态是等待付款，且关联的收款交易的状态是初始状态或等待付款
Public method | CanSetInvalid | 判断订单是否可以作废 后台使用 允许条件: 订单状态不是已作废或已取消
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker Constructor

Initializes a new instance of the DefaultOrderChecker class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultOrderChecker()
Public Sub New
public:
DefaultOrderChecker()
new : unit -> DefaultOrderChecker
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker Methods

The DefaultOrderChecker type exposes the following members.

Methods
 | Name | Description
Public method | CanConfirm | 判断订单是否可以确认收货 前台使用 允许条件: 订单状态是已发货
Public method | CanDeliveryGoods | 判断订单是否可以发货 后台使用 允许条件: 订单状态是等待发货
Public method | CanEditCost | 判断订单是否可以修改价格 后台使用 允许条件: 订单状态是等待付款，且关联的收款交易的状态是初始状态
Public method | CanEditShippingAddress | 判断订单是否可以编辑收货地址 后台使用 允许条件: 订单状态是等待付款，或等待发货
Public method | CanPay | 判断订单是否可以付款 前台使用 允许条件: 订单状态是等待付款，且有可支付的关联交易
Public method | CanProcessAllGoodsShipped | 是否可处理订单所有商品已发货 修改订单状态时使用 允许条件: 订单状态是等待发货，且所有商品都已经发货
Public method | CanProcessOrderPaid | 是否可处理订单已付款 修改订单状态时使用 允许条件: 订单状态是等待付款，且关联的所有交易状态是交易成功或担保交易已付款
Public method | CanProcessSuccess | 是否可处理交易成功 修改订单状态时使用 允许条件: 订单状态是已发货
Public method | CanSetCancelled | 判断订单是否可以取消 前台使用 允许条件: 订单状态是等待付款，且关联的收款交易的状态是初始状态或等待付款
Public method | CanSetInvalid | 判断订单是否可以作废 后台使用 允许条件: 订单状态不是已作废或已取消
Top
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanConfirm Method

DefaultOrderCheckerCanConfirm Method

判断订单是否可以确认收货 前台使用 允许条件: 订单状态是已发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanConfirm(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanConfirm (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanConfirm(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanConfirm :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanConfirm :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanConfirm(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanConfirm(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanConfirm(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanDeliveryGoods Method

DefaultOrderCheckerCanDeliveryGoods Method

判断订单是否可以发货 后台使用 允许条件: 订单状态是等待发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanDeliveryGoods(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanDeliveryGoods (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanDeliveryGoods(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanDeliveryGoods :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanDeliveryGoods :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanDeliveryGoods(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanDeliveryGoods(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanDeliveryGoods(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanEditCost Method

DefaultOrderCheckerCanEditCost Method

判断订单是否可以修改价格 后台使用 允许条件: 订单状态是等待付款，且关联的收款交易的状态是初始状态

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanEditCost(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanEditCost (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanEditCost(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanEditCost :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanEditCost :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanEditCost(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanEditCost(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanEditCost(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanEditShippingAddress Method

DefaultOrderCheckerCanEditShippingAddress Method

判断订单是否可以编辑收货地址 后台使用 允许条件: 订单状态是等待付款，或等待发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanEditShippingAddress(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanEditShippingAddress (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanEditShippingAddress(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanEditShippingAddress :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanEditShippingAddress :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanEditShippingAddress(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanEditShippingAddress(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanEditShippingAddress(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanPay Method

DefaultOrderCheckerCanPay Method

判断订单是否可以付款 前台使用 允许条件: 订单状态是等待付款，且有可支付的关联交易

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanPay(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanPay (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanPay(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanPay :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanPay :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanPay(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanPay(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanPay(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanProcessAllGoodsShipped Method

DefaultOrderCheckerCanProcessAllGoodsShipped Method

是否可处理订单所有商品已发货 修改订单状态时使用 允许条件: 订单状态是等待发货，且所有商品都已经发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessAllGoodsShipped(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanProcessAllGoodsShipped (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessAllGoodsShipped(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanProcessAllGoodsShipped :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanProcessAllGoodsShipped :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanProcessAllGoodsShipped(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanProcessAllGoodsShipped(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanProcessAllGoodsShipped(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanProcessOrderPaid Method

DefaultOrderCheckerCanProcessOrderPaid Method

是否可处理订单已付款 修改订单状态时使用 允许条件: 订单状态是等待付款，且关联的所有交易状态是交易成功或担保交易已付款

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessOrderPaid(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanProcessOrderPaid (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessOrderPaid(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanProcessOrderPaid :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanProcessOrderPaid :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanProcessOrderPaid(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanProcessOrderPaid(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanProcessOrderPaid(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanProcessSuccess Method

DefaultOrderCheckerCanProcessSuccess Method

是否可处理交易成功 修改订单状态时使用 允许条件: 订单状态是已发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanProcessSuccess(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanProcessSuccess (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanProcessSuccess(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanProcessSuccess :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanProcessSuccess :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanProcessSuccess(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanProcessSuccess(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanProcessSuccess(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanSetCancelled Method

DefaultOrderCheckerCanSetCancelled Method

判断订单是否可以取消 前台使用 允许条件: 订单状态是等待付款，且关联的收款交易的状态是初始状态或等待付款

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanSetCancelled(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanSetCancelled (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanSetCancelled(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanSetCancelled :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanSetCancelled :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanSetCancelled(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanSetCancelled(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanSetCancelled(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


DefaultOrderChecker.CanSetInvalid Method

DefaultOrderCheckerCanSetInvalid Method

判断订单是否可以作废 后台使用 允许条件: 订单状态不是已作废或已取消

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void CanSetInvalid(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Sub CanSetInvalid (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public:
virtual void CanSetInvalid(
    SellerOrder^ order,
    Pair<bool, String^>% result
) sealed
abstract CanSetInvalid :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit
override CanSetInvalid :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanSetInvalid(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

result
Type: PairBoolean, String

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.DefaultOrderChecker.CanSetInvalid(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWebStandard.Collections.Pair{System.Boolean,System.String}@)"]

Implements

IOrderCheckerCanSetInvalid(SellerOrder, PairBoolean, String)
See Also

Reference

DefaultOrderChecker Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderChecker | 订单检查器，用于检查订单是否可以进行各操作


IOrderChecker Interface
订单检查器，用于检查订单是否可以进行各操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderChecker
Public Interface IOrderChecker
public interface class IOrderChecker
type IOrderChecker =  interface end

The IOrderChecker type exposes the following members.

Methods
 | Name | Description
Public method | CanConfirm | 判断订单是否可以确认收货 前台使用
Public method | CanDeliveryGoods | 判断订单是否可以发货 后台使用
Public method | CanEditCost | 判断订单是否可以修改价格 后台使用
Public method | CanEditShippingAddress | 判断订单是否可以编辑收货地址 后台使用
Public method | CanPay | 判断订单是否可以付款 前台使用
Public method | CanProcessAllGoodsShipped | 是否可处理订单所有商品已发货 修改订单状态时使用
Public method | CanProcessOrderPaid | 是否可处理订单已付款 修改订单状态时使用
Public method | CanProcessSuccess | 是否可处理交易成功 修改订单状态时使用
Public method | CanSetCancelled | 判断订单是否可以取消 前台使用
Public method | CanSetInvalid | 判断订单是否可以作废 后台使用
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker Methods

The IOrderChecker type exposes the following members.

Methods
 | Name | Description
Public method | CanConfirm | 判断订单是否可以确认收货 前台使用
Public method | CanDeliveryGoods | 判断订单是否可以发货 后台使用
Public method | CanEditCost | 判断订单是否可以修改价格 后台使用
Public method | CanEditShippingAddress | 判断订单是否可以编辑收货地址 后台使用
Public method | CanPay | 判断订单是否可以付款 前台使用
Public method | CanProcessAllGoodsShipped | 是否可处理订单所有商品已发货 修改订单状态时使用
Public method | CanProcessOrderPaid | 是否可处理订单已付款 修改订单状态时使用
Public method | CanProcessSuccess | 是否可处理交易成功 修改订单状态时使用
Public method | CanSetCancelled | 判断订单是否可以取消 前台使用
Public method | CanSetInvalid | 判断订单是否可以作废 后台使用
Top
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanConfirm Method

IOrderCheckerCanConfirm Method

判断订单是否可以确认收货 前台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanConfirm(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanConfirm (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanConfirm(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanConfirm :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanDeliveryGoods Method

IOrderCheckerCanDeliveryGoods Method

判断订单是否可以发货 后台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanDeliveryGoods(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanDeliveryGoods (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanDeliveryGoods(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanDeliveryGoods :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanEditCost Method

IOrderCheckerCanEditCost Method

判断订单是否可以修改价格 后台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanEditCost(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanEditCost (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanEditCost(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanEditCost :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanEditShippingAddress Method

IOrderCheckerCanEditShippingAddress Method

判断订单是否可以编辑收货地址 后台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanEditShippingAddress(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanEditShippingAddress (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanEditShippingAddress(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanEditShippingAddress :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanPay Method

IOrderCheckerCanPay Method

判断订单是否可以付款 前台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanPay(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanPay (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanPay(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanPay :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanProcessAllGoodsShipped Method

IOrderCheckerCanProcessAllGoodsShipped Method

是否可处理订单所有商品已发货 修改订单状态时使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessAllGoodsShipped(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanProcessAllGoodsShipped (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessAllGoodsShipped(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanProcessAllGoodsShipped :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanProcessOrderPaid Method

IOrderCheckerCanProcessOrderPaid Method

是否可处理订单已付款 修改订单状态时使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessOrderPaid(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanProcessOrderPaid (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessOrderPaid(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanProcessOrderPaid :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanProcessSuccess Method

IOrderCheckerCanProcessSuccess Method

是否可处理交易成功 修改订单状态时使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanProcessSuccess(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanProcessSuccess (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanProcessSuccess(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanProcessSuccess :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanSetCancelled Method

IOrderCheckerCanSetCancelled Method

判断订单是否可以取消 前台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanSetCancelled(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanSetCancelled (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanSetCancelled(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanSetCancelled :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


IOrderChecker.CanSetInvalid Method

IOrderCheckerCanSetInvalid Method

判断订单是否可以作废 后台使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void CanSetInvalid(
    SellerOrder order,
    ref Pair<bool, string> result
)
Sub CanSetInvalid (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
void CanSetInvalid(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
abstract CanSetInvalid :
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

IOrderChecker Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators"]

Classes
 | Class | Description
Public class | DefaultOrderCreator | 默认的订单创建器 实现功能 - 检查订单参数 (CheckOrderParameters) - 按卖家分别创建订单 (CreateOrdersBySellers) - 计算订单的价格 - 添加关联的订单商品 - 添加关联的订单留言 - 生成订单编号 - 创建订单交易 - 删除相应的购物车商品 (RemoveCartProducts) - 保存收货地址的修改 (SaveShippingAddress) - 有一个以上的订单时创建合并订单交易 (CreateMergedTransaction)


DefaultOrderCreator Class
默认的订单创建器 实现功能 - 检查订单参数 (CheckOrderParameters) - 按卖家分别创建订单 (CreateOrdersBySellers) - 计算订单的价格 - 添加关联的订单商品 - 添加关联的订单留言 - 生成订单编号 - 创建订单交易 - 删除相应的购物车商品 (RemoveCartProducts) - 保存收货地址的修改 (SaveShippingAddress) - 有一个以上的订单时创建合并订单交易 (CreateMergedTransaction)
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreatorsDefaultOrderCreator

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultOrderCreator : IOrderCreator
Public Class DefaultOrderCreator
    Implements IOrderCreator
public ref class DefaultOrderCreator : IOrderCreator
type DefaultOrderCreator =
    class
        interface IOrderCreator
    end

The DefaultOrderCreator type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultOrderCreator | Initializes a new instance of the DefaultOrderCreator class
Top
Properties
 | Name | Description
Protected property | Parameters | 当前的创建订单的参数
Protected property | Result | 创建订单的结果
Top
Methods
 | Name | Description
Protected method | CheckOrderParameters | 检查订单参数 - 商品是否存在 - 库存是否足够 - 是否有数量等于或小于0的商品 - 如果有实体商品，必须选择物流 - 如果有实体商品，必须填写收货地址 - 检查是否支持非会员下单 - 检查选择的物流是否允许使用 - 检查选择的支付接口是否允许使用
Protected method | CreateMergedTransaction | 有一个以上的订单时创建合并订单交易
Public method | CreateOrder | 创建订单
Protected method | CreateOrdersBySellers | 按卖家分别创建订单
Protected method | RemoveCartProducts | 删除相应的购物车商品
Protected method | SaveShippingAddress | 保存收货地址的修改
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator Constructor

Initializes a new instance of the DefaultOrderCreator class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultOrderCreator()
Public Sub New
public:
DefaultOrderCreator()
new : unit -> DefaultOrderCreator
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator Properties

The DefaultOrderCreator type exposes the following members.

Properties
 | Name | Description
Protected property | Parameters | 当前的创建订单的参数
Protected property | Result | 创建订单的结果
Top
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.Parameters Property

DefaultOrderCreatorParameters Property

当前的创建订单的参数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected CreateOrderParameters Parameters { get; set; }
Protected Property Parameters As CreateOrderParameters
    Get
    Set
protected:
property CreateOrderParameters^ Parameters {
    CreateOrderParameters^ get ();
    void set (CreateOrderParameters^ value);
}
member Parameters : CreateOrderParameters with get, set

Property Value

Type: CreateOrderParameters
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.Result Property

DefaultOrderCreatorResult Property

创建订单的结果

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected CreateOrderResult Result { get; set; }
Protected Property Result As CreateOrderResult
    Get
    Set
protected:
property CreateOrderResult^ Result {
    CreateOrderResult^ get ();
    void set (CreateOrderResult^ value);
}
member Result : CreateOrderResult with get, set

Property Value

Type: CreateOrderResult
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator Methods

The DefaultOrderCreator type exposes the following members.

Methods
 | Name | Description
Protected method | CheckOrderParameters | 检查订单参数 - 商品是否存在 - 库存是否足够 - 是否有数量等于或小于0的商品 - 如果有实体商品，必须选择物流 - 如果有实体商品，必须填写收货地址 - 检查是否支持非会员下单 - 检查选择的物流是否允许使用 - 检查选择的支付接口是否允许使用
Protected method | CreateMergedTransaction | 有一个以上的订单时创建合并订单交易
Public method | CreateOrder | 创建订单
Protected method | CreateOrdersBySellers | 按卖家分别创建订单
Protected method | RemoveCartProducts | 删除相应的购物车商品
Protected method | SaveShippingAddress | 保存收货地址的修改
Top
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.CheckOrderParameters Method

DefaultOrderCreatorCheckOrderParameters Method

检查订单参数 - 商品是否存在 - 库存是否足够 - 是否有数量等于或小于0的商品 - 如果有实体商品，必须选择物流 - 如果有实体商品，必须填写收货地址 - 检查是否支持非会员下单 - 检查选择的物流是否允许使用 - 检查选择的支付接口是否允许使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void CheckOrderParameters()
Protected Overridable Sub CheckOrderParameters
protected:
virtual void CheckOrderParameters()
abstract CheckOrderParameters : unit -> unit
override CheckOrderParameters : unit -> unit
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.CreateMergedTransaction Method

DefaultOrderCreatorCreateMergedTransaction Method

有一个以上的订单时创建合并订单交易

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void CreateMergedTransaction()
Protected Overridable Sub CreateMergedTransaction
protected:
virtual void CreateMergedTransaction()
abstract CreateMergedTransaction : unit -> unit
override CreateMergedTransaction : unit -> unit
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.CreateOrder Method

DefaultOrderCreatorCreateOrder Method

创建订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual CreateOrderResult CreateOrder(
    CreateOrderParameters parameters
)
Public Overridable Function CreateOrder (
    parameters As CreateOrderParameters
) As CreateOrderResult
public:
virtual CreateOrderResult^ CreateOrder(
    CreateOrderParameters^ parameters
)
abstract CreateOrder :
        parameters : CreateOrderParameters -> CreateOrderResult
override CreateOrder :
        parameters : CreateOrderParameters -> CreateOrderResult

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.DefaultOrderCreator.CreateOrder(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

Return Value

Type: CreateOrderResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.DefaultOrderCreator.CreateOrder(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

Implements

IOrderCreatorCreateOrder(CreateOrderParameters)
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.CreateOrdersBySellers Method

DefaultOrderCreatorCreateOrdersBySellers Method

按卖家分别创建订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void CreateOrdersBySellers()
Protected Overridable Sub CreateOrdersBySellers
protected:
virtual void CreateOrdersBySellers()
abstract CreateOrdersBySellers : unit -> unit
override CreateOrdersBySellers : unit -> unit
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.RemoveCartProducts Method

DefaultOrderCreatorRemoveCartProducts Method

删除相应的购物车商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RemoveCartProducts()
Protected Overridable Sub RemoveCartProducts
protected:
virtual void RemoveCartProducts()
abstract RemoveCartProducts : unit -> unit
override RemoveCartProducts : unit -> unit
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


DefaultOrderCreator.SaveShippingAddress Method

DefaultOrderCreatorSaveShippingAddress Method

保存收货地址的修改

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void SaveShippingAddress()
Protected Overridable Sub SaveShippingAddress
protected:
virtual void SaveShippingAddress()
abstract SaveShippingAddress : unit -> unit
override SaveShippingAddress : unit -> unit
See Also

Reference

DefaultOrderCreator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderCreator | 订单创建器的接口 这个接口只应该注册一个实现的类，需要替换默认的订单创建器时请先注销原来的注册


IOrderCreator Interface
订单创建器的接口 这个接口只应该注册一个实现的类，需要替换默认的订单创建器时请先注销原来的注册

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderCreator
Public Interface IOrderCreator
public interface class IOrderCreator
type IOrderCreator =  interface end

The IOrderCreator type exposes the following members.

Methods
 | Name | Description
Public method | CreateOrder | 创建订单
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces Namespace


IOrderCreator Methods

The IOrderCreator type exposes the following members.

Methods
 | Name | Description
Public method | CreateOrder | 创建订单
Top
See Also

Reference

IOrderCreator Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces Namespace


IOrderCreator.CreateOrder Method

IOrderCreatorCreateOrder Method

创建订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
CreateOrderResult CreateOrder(
    CreateOrderParameters parameters
)
Function CreateOrder (
    parameters As CreateOrderParameters
) As CreateOrderResult
CreateOrderResult^ CreateOrder(
    CreateOrderParameters^ parameters
)
abstract CreateOrder :
        parameters : CreateOrderParameters -> CreateOrderResult

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
创建参数

Return Value

Type: CreateOrderResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces.IOrderCreator.CreateOrder(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

See Also

Reference

IOrderCreator Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderCreators.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers"]

Classes
 | Class | Description
Public class | OrderNotifyGoodsShippedHandler | 后台通知支付平台已发货的处理器
Public class | OrderStockReduceHandler | 库存处理器


OrderNotifyGoodsShippedHandler Class
后台通知支付平台已发货的处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlersOrderNotifyGoodsShippedHandler

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderNotifyGoodsShippedHandler : IOrderHandler
Public Class OrderNotifyGoodsShippedHandler
    Implements IOrderHandler
public ref class OrderNotifyGoodsShippedHandler : IOrderHandler
type OrderNotifyGoodsShippedHandler =
    class
        interface IOrderHandler
    end

The OrderNotifyGoodsShippedHandler type exposes the following members.

Constructors
 | Name | Description
Public method | OrderNotifyGoodsShippedHandler | Initializes a new instance of the OrderNotifyGoodsShippedHandler class
Top
Methods
 | Name | Description
Public method | OnStateChanged | 在订单变为已发货时后台通知支付平台已发货
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderNotifyGoodsShippedHandler Constructor

Initializes a new instance of the OrderNotifyGoodsShippedHandler class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderNotifyGoodsShippedHandler()
Public Sub New
public:
OrderNotifyGoodsShippedHandler()
new : unit -> OrderNotifyGoodsShippedHandler
See Also

Reference

OrderNotifyGoodsShippedHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderNotifyGoodsShippedHandler Methods

The OrderNotifyGoodsShippedHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnStateChanged | 在订单变为已发货时后台通知支付平台已发货
Top
See Also

Reference

OrderNotifyGoodsShippedHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderNotifyGoodsShippedHandler.OnStateChanged Method

OrderNotifyGoodsShippedHandlerOnStateChanged Method

在订单变为已发货时后台通知支付平台已发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnStateChanged(
    SellerOrder order,
    OrderState state
)
Public Sub OnStateChanged (
    order As SellerOrder,
    state As OrderState
)
public:
virtual void OnStateChanged(
    SellerOrder^ order,
    OrderState state
) sealed
abstract OnStateChanged :
        order : SellerOrder *
        state : OrderState -> unit
override OnStateChanged :
        order : SellerOrder *
        state : OrderState -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.OrderNotifyGoodsShippedHandler.OnStateChanged(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.OrderState)"]

state
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsOrderState

[Missing <param name="state"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.OrderNotifyGoodsShippedHandler.OnStateChanged(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.OrderState)"]

Implements

IOrderHandlerOnStateChanged(SellerOrder, OrderState)
See Also

Reference

OrderNotifyGoodsShippedHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderStockReduceHandler Class
库存处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlersOrderStockReduceHandler

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderStockReduceHandler : IOrderHandler
Public Class OrderStockReduceHandler
    Implements IOrderHandler
public ref class OrderStockReduceHandler : IOrderHandler
type OrderStockReduceHandler =
    class
        interface IOrderHandler
    end

The OrderStockReduceHandler type exposes the following members.

Constructors
 | Name | Description
Public method | OrderStockReduceHandler | Initializes a new instance of the OrderStockReduceHandler class
Top
Methods
 | Name | Description
Public method | OnStateChanged | 根据订单状态的改变扣减库存
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderStockReduceHandler Constructor

Initializes a new instance of the OrderStockReduceHandler class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderStockReduceHandler()
Public Sub New
public:
OrderStockReduceHandler()
new : unit -> OrderStockReduceHandler
See Also

Reference

OrderStockReduceHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderStockReduceHandler Methods

The OrderStockReduceHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnStateChanged | 根据订单状态的改变扣减库存
Top
See Also

Reference

OrderStockReduceHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


OrderStockReduceHandler.OnStateChanged Method

OrderStockReduceHandlerOnStateChanged Method

根据订单状态的改变扣减库存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnStateChanged(
    SellerOrder order,
    OrderState state
)
Public Sub OnStateChanged (
    order As SellerOrder,
    state As OrderState
)
public:
virtual void OnStateChanged(
    SellerOrder^ order,
    OrderState state
) sealed
abstract OnStateChanged :
        order : SellerOrder *
        state : OrderState -> unit
override OnStateChanged :
        order : SellerOrder *
        state : OrderState -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.OrderStockReduceHandler.OnStateChanged(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.OrderState)"]

state
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsOrderState

[Missing <param name="state"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.OrderStockReduceHandler.OnStateChanged(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.OrderState)"]

Implements

IOrderHandlerOnStateChanged(SellerOrder, OrderState)
See Also

Reference

OrderStockReduceHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderHandler | 订单处理器


IOrderHandler Interface
订单处理器

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderHandler
Public Interface IOrderHandler
public interface class IOrderHandler
type IOrderHandler =  interface end

The IOrderHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnStateChanged | 订单状态改变时的处理
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces Namespace


IOrderHandler Methods

The IOrderHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnStateChanged | 订单状态改变时的处理
Top
See Also

Reference

IOrderHandler Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces Namespace


IOrderHandler.OnStateChanged Method

IOrderHandlerOnStateChanged Method

订单状态改变时的处理

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void OnStateChanged(
    SellerOrder order,
    OrderState state
)
Sub OnStateChanged (
    order As SellerOrder,
    state As OrderState
)
void OnStateChanged(
    SellerOrder^ order,
    OrderState state
)
abstract OnStateChanged :
        order : SellerOrder *
        state : OrderState -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
state
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsOrderState
订单状态
See Also

Reference

IOrderHandler Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderHandlers.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders"]

Classes
 | Class | Description
Public class | DefaultOrderLogisticsProvider | 默认的创建订单可使用的物流提供器


DefaultOrderLogisticsProvider Class
默认的创建订单可使用的物流提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProvidersDefaultOrderLogisticsProvider

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultOrderLogisticsProvider : IOrderLogisticsProvider
Public Class DefaultOrderLogisticsProvider
    Implements IOrderLogisticsProvider
public ref class DefaultOrderLogisticsProvider : IOrderLogisticsProvider
type DefaultOrderLogisticsProvider =
    class
        interface IOrderLogisticsProvider
    end

The DefaultOrderLogisticsProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultOrderLogisticsProvider | Initializes a new instance of the DefaultOrderLogisticsProvider class
Top
Methods
 | Name | Description
Public method | GetLogisticsList | 获取可使用的物流 后台添加的物流 + 卖家添加的物流
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders Namespace


DefaultOrderLogisticsProvider Constructor

Initializes a new instance of the DefaultOrderLogisticsProvider class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultOrderLogisticsProvider()
Public Sub New
public:
DefaultOrderLogisticsProvider()
new : unit -> DefaultOrderLogisticsProvider
See Also

Reference

DefaultOrderLogisticsProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders Namespace


DefaultOrderLogisticsProvider Methods

The DefaultOrderLogisticsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetLogisticsList | 获取可使用的物流 后台添加的物流 + 卖家添加的物流
Top
See Also

Reference

DefaultOrderLogisticsProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders Namespace


DefaultOrderLogisticsProvider.GetLogisticsList Method

DefaultOrderLogisticsProviderGetLogisticsList Method

获取可使用的物流 后台添加的物流 + 卖家添加的物流

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetLogisticsList(
    Nullable<Guid> userId,
    Nullable<Guid> sellerId,
    IList<Logistics> logisticsList
)
Public Sub GetLogisticsList (
    userId As Nullable(Of Guid),
    sellerId As Nullable(Of Guid),
    logisticsList As IList(Of Logistics)
)
public:
virtual void GetLogisticsList(
    Nullable<Guid> userId,
    Nullable<Guid> sellerId,
    IList<Logistics^>^ logisticsList
) sealed
abstract GetLogisticsList :
        userId : Nullable<Guid> *
        sellerId : Nullable<Guid> *
        logisticsList : IList<Logistics> -> unit
override GetLogisticsList :
        userId : Nullable<Guid> *
        sellerId : Nullable<Guid> *
        logisticsList : IList<Logistics> -> unit

Parameters

userId
Type: SystemNullable Guid

[Missing <param name="userId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.DefaultOrderLogisticsProvider.GetLogisticsList(System.Nullable{System.Guid},System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics})"]

sellerId
Type: SystemNullable Guid

[Missing <param name="sellerId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.DefaultOrderLogisticsProvider.GetLogisticsList(System.Nullable{System.Guid},System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics})"]

logisticsList
Type: System.Collections.GenericIList Logistics

[Missing <param name="logisticsList"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.DefaultOrderLogisticsProvider.GetLogisticsList(System.Nullable{System.Guid},System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Logistics.src.Domain.Entities.Logistics})"]

Implements

IOrderLogisticsProviderGetLogisticsList(NullableGuid, NullableGuid, IListLogistics)
See Also

Reference

DefaultOrderLogisticsProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderLogisticsProvider | 创建订单可使用的物流的提供器


IOrderLogisticsProvider Interface
创建订单可使用的物流的提供器

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderLogisticsProvider
Public Interface IOrderLogisticsProvider
public interface class IOrderLogisticsProvider
type IOrderLogisticsProvider =  interface end

The IOrderLogisticsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetLogisticsList | 获取默认可使用的物流
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces Namespace


IOrderLogisticsProvider Methods

The IOrderLogisticsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetLogisticsList | 获取默认可使用的物流
Top
See Also

Reference

IOrderLogisticsProvider Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces Namespace


IOrderLogisticsProvider.GetLogisticsList Method

IOrderLogisticsProviderGetLogisticsList Method

获取默认可使用的物流

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void GetLogisticsList(
    Nullable<Guid> userId,
    Nullable<Guid> sellerId,
    IList<Logistics> logisticsList
)
Sub GetLogisticsList (
    userId As Nullable(Of Guid),
    sellerId As Nullable(Of Guid),
    logisticsList As IList(Of Logistics)
)
void GetLogisticsList(
    Nullable<Guid> userId,
    Nullable<Guid> sellerId,
    IList<Logistics^>^ logisticsList
)
abstract GetLogisticsList :
        userId : Nullable<Guid> *
        sellerId : Nullable<Guid> *
        logisticsList : IList<Logistics> -> unit

Parameters

userId
Type: SystemNullable Guid
用户Id
sellerId
Type: SystemNullable Guid
卖家Id
logisticsList
Type: System.Collections.GenericIList Logistics
物流列表
See Also

Reference

IOrderLogisticsProvider Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderLogisticsProviders.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders"]

Classes
 | Class | Description
Public class | DefaultOrderPaymentApiProvider | 默认的创建订单可使用的支付接口提供器


DefaultOrderPaymentApiProvider Class
默认的创建订单可使用的支付接口提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProvidersDefaultOrderPaymentApiProvider

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultOrderPaymentApiProvider : IOrderPaymentApiProvider
Public Class DefaultOrderPaymentApiProvider
    Implements IOrderPaymentApiProvider
public ref class DefaultOrderPaymentApiProvider : IOrderPaymentApiProvider
type DefaultOrderPaymentApiProvider =
    class
        interface IOrderPaymentApiProvider
    end

The DefaultOrderPaymentApiProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultOrderPaymentApiProvider | Initializes a new instance of the DefaultOrderPaymentApiProvider class
Top
Methods
 | Name | Description
Public method | GetPaymentApis | 获取可使用的支付接口 只返回后台添加的接口
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders Namespace


DefaultOrderPaymentApiProvider Constructor

Initializes a new instance of the DefaultOrderPaymentApiProvider class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultOrderPaymentApiProvider()
Public Sub New
public:
DefaultOrderPaymentApiProvider()
new : unit -> DefaultOrderPaymentApiProvider
See Also

Reference

DefaultOrderPaymentApiProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders Namespace


DefaultOrderPaymentApiProvider Methods

The DefaultOrderPaymentApiProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetPaymentApis | 获取可使用的支付接口 只返回后台添加的接口
Top
See Also

Reference

DefaultOrderPaymentApiProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders Namespace


DefaultOrderPaymentApiProvider.GetPaymentApis Method

DefaultOrderPaymentApiProviderGetPaymentApis Method

获取可使用的支付接口 只返回后台添加的接口

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetPaymentApis(
    Nullable<Guid> userId,
    IList<PaymentApi> apis
)
Public Sub GetPaymentApis (
    userId As Nullable(Of Guid),
    apis As IList(Of PaymentApi)
)
public:
virtual void GetPaymentApis(
    Nullable<Guid> userId,
    IList<PaymentApi^>^ apis
) sealed
abstract GetPaymentApis :
        userId : Nullable<Guid> *
        apis : IList<PaymentApi> -> unit
override GetPaymentApis :
        userId : Nullable<Guid> *
        apis : IList<PaymentApi> -> unit

Parameters

userId
Type: SystemNullable Guid

[Missing <param name="userId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.DefaultOrderPaymentApiProvider.GetPaymentApis(System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi})"]

apis
Type: System.Collections.GenericIList PaymentApi

[Missing <param name="apis"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.DefaultOrderPaymentApiProvider.GetPaymentApis(System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentApi})"]

Implements

IOrderPaymentApiProviderGetPaymentApis(NullableGuid, IListPaymentApi)
See Also

Reference

DefaultOrderPaymentApiProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderPaymentApiProvider | 创建订单可使用的支付接口的提供器


IOrderPaymentApiProvider Interface
创建订单可使用的支付接口的提供器

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderPaymentApiProvider
Public Interface IOrderPaymentApiProvider
public interface class IOrderPaymentApiProvider
type IOrderPaymentApiProvider =  interface end

The IOrderPaymentApiProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetPaymentApis | 获取默认可使用的支付接口
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces Namespace


IOrderPaymentApiProvider Methods

The IOrderPaymentApiProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetPaymentApis | 获取默认可使用的支付接口
Top
See Also

Reference

IOrderPaymentApiProvider Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces Namespace


IOrderPaymentApiProvider.GetPaymentApis Method

IOrderPaymentApiProviderGetPaymentApis Method

获取默认可使用的支付接口

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void GetPaymentApis(
    Nullable<Guid> userId,
    IList<PaymentApi> apis
)
Sub GetPaymentApis (
    userId As Nullable(Of Guid),
    apis As IList(Of PaymentApi)
)
void GetPaymentApis(
    Nullable<Guid> userId,
    IList<PaymentApi^>^ apis
)
abstract GetPaymentApis :
        userId : Nullable<Guid> *
        apis : IList<PaymentApi> -> unit

Parameters

userId
Type: SystemNullable Guid
用户Id
apis
Type: System.Collections.GenericIList PaymentApi
可使用的支付接口列表
See Also

Reference

IOrderPaymentApiProvider Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPaymentApiProviders.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators"]

Classes
 | Class | Description
Public class | DefaultCalculator | 默认的订单价格计算器


DefaultCalculator Class
默认的订单价格计算器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculatorsDefaultCalculator

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultCalculator : IOrderPriceCalculator
Public Class DefaultCalculator
    Implements IOrderPriceCalculator
public ref class DefaultCalculator : IOrderPriceCalculator
type DefaultCalculator =
    class
        interface IOrderPriceCalculator
    end

The DefaultCalculator type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultCalculator | Initializes a new instance of the DefaultCalculator class
Top
Methods
 | Name | Description
Public method | Calculate | 设置订单价格等于以下的合计 - 商品总价 - 运费 - 支付手续费 注意 - 传入的参数中可能会包含多个卖家
 | ReCalculatePaymentFee | 重新计算支付手续费 删除原有的手续费并按当前的总价重新计算 手续费不会按各个卖家分别计算 - 如果使用合并交易可以在合并交易中设置整体的手续费 - 例: (交易A: 手续费0.5, 交易B: 手续费0.3, 合并交易: 手续费0.6)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespace


DefaultCalculator Constructor

Initializes a new instance of the DefaultCalculator class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultCalculator()
Public Sub New
public:
DefaultCalculator()
new : unit -> DefaultCalculator
See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespace


DefaultCalculator Methods

The DefaultCalculator type exposes the following members.

Methods
 | Name | Description
Public method | Calculate | 设置订单价格等于以下的合计 - 商品总价 - 运费 - 支付手续费 注意 - 传入的参数中可能会包含多个卖家
 | ReCalculatePaymentFee | 重新计算支付手续费 删除原有的手续费并按当前的总价重新计算 手续费不会按各个卖家分别计算 - 如果使用合并交易可以在合并交易中设置整体的手续费 - 例: (交易A: 手续费0.5, 交易B: 手续费0.3, 合并交易: 手续费0.6)
Top
See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespace


DefaultCalculator.Calculate Method

DefaultCalculatorCalculate Method

设置订单价格等于以下的合计 - 商品总价 - 运费 - 支付手续费 注意 - 传入的参数中可能会包含多个卖家

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Calculate(
    CreateOrderParameters parameters,
    OrderPriceCalcResult result
)
Public Sub Calculate (
    parameters As CreateOrderParameters,
    result As OrderPriceCalcResult
)
public:
virtual void Calculate(
    CreateOrderParameters^ parameters,
    OrderPriceCalcResult^ result
) sealed
abstract Calculate :
        parameters : CreateOrderParameters *
        result : OrderPriceCalcResult -> unit
override Calculate :
        parameters : CreateOrderParameters *
        result : OrderPriceCalcResult -> unit

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.DefaultCalculator.Calculate(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

result
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResult

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.DefaultCalculator.Calculate(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

Implements

IOrderPriceCalculatorCalculate(CreateOrderParameters, OrderPriceCalcResult)
See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespace


DefaultCalculator.ReCalculatePaymentFee Method

DefaultCalculatorReCalculatePaymentFee Method

重新计算支付手续费 删除原有的手续费并按当前的总价重新计算 手续费不会按各个卖家分别计算 - 如果使用合并交易可以在合并交易中设置整体的手续费 - 例: (交易A: 手续费0.5, 交易B: 手续费0.3, 合并交易: 手续费0.6)

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void ReCalculatePaymentFee(
    CreateOrderParameters parameters,
    OrderPriceCalcResult result
)
Public Shared Sub ReCalculatePaymentFee (
    parameters As CreateOrderParameters,
    result As OrderPriceCalcResult
)
public:
static void ReCalculatePaymentFee(
    CreateOrderParameters^ parameters,
    OrderPriceCalcResult^ result
)
static member ReCalculatePaymentFee :
        parameters : CreateOrderParameters *
        result : OrderPriceCalcResult -> unit

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.DefaultCalculator.ReCalculatePaymentFee(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

result
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResult

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.DefaultCalculator.ReCalculatePaymentFee(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderPriceCalculator | 订单价格计算器


IOrderPriceCalculator Interface
订单价格计算器

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderPriceCalculator
Public Interface IOrderPriceCalculator
public interface class IOrderPriceCalculator
type IOrderPriceCalculator =  interface end

The IOrderPriceCalculator type exposes the following members.

Methods
 | Name | Description
Public method | Calculate | 计算订单价格 计算结果请保存到result中
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces Namespace


IOrderPriceCalculator Methods

The IOrderPriceCalculator type exposes the following members.

Methods
 | Name | Description
Public method | Calculate | 计算订单价格 计算结果请保存到result中
Top
See Also

Reference

IOrderPriceCalculator Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces Namespace


IOrderPriceCalculator.Calculate Method

IOrderPriceCalculatorCalculate Method

计算订单价格 计算结果请保存到result中

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Calculate(
    CreateOrderParameters parameters,
    OrderPriceCalcResult result
)
Sub Calculate (
    parameters As CreateOrderParameters,
    result As OrderPriceCalcResult
)
void Calculate(
    CreateOrderParameters^ parameters,
    OrderPriceCalcResult^ result
)
abstract Calculate :
        parameters : CreateOrderParameters *
        result : OrderPriceCalcResult -> unit

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
订单创建参数
result
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResult
计算结果
See Also

Reference

IOrderPriceCalculator Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderPriceCalculators.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators"]

Classes
 | Class | Description
Public class | DefaultCalculator | 默认的订单商品单价计算器


DefaultCalculator Class
默认的订单商品单价计算器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculatorsDefaultCalculator

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultCalculator : IOrderProductUnitPriceCalculator
Public Class DefaultCalculator
    Implements IOrderProductUnitPriceCalculator
public ref class DefaultCalculator : IOrderProductUnitPriceCalculator
type DefaultCalculator =
    class
        interface IOrderProductUnitPriceCalculator
    end

The DefaultCalculator type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultCalculator | Initializes a new instance of the DefaultCalculator class
Top
Methods
 | Name | Description
Public method | Calculate | 从商品匹配数据获取匹配的价格和货币单位
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators Namespace


DefaultCalculator Constructor

Initializes a new instance of the DefaultCalculator class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultCalculator()
Public Sub New
public:
DefaultCalculator()
new : unit -> DefaultCalculator
See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators Namespace


DefaultCalculator Methods

The DefaultCalculator type exposes the following members.

Methods
 | Name | Description
Public method | Calculate | 从商品匹配数据获取匹配的价格和货币单位
Top
See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators Namespace


DefaultCalculator.Calculate Method

DefaultCalculatorCalculate Method

从商品匹配数据获取匹配的价格和货币单位

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Calculate(
    Nullable<Guid> userId,
    CreateOrderProductParameters parameters,
    OrderPriceCalcResult result
)
Public Sub Calculate (
    userId As Nullable(Of Guid),
    parameters As CreateOrderProductParameters,
    result As OrderPriceCalcResult
)
public:
virtual void Calculate(
    Nullable<Guid> userId,
    CreateOrderProductParameters^ parameters,
    OrderPriceCalcResult^ result
) sealed
abstract Calculate :
        userId : Nullable<Guid> *
        parameters : CreateOrderProductParameters *
        result : OrderPriceCalcResult -> unit
override Calculate :
        userId : Nullable<Guid> *
        parameters : CreateOrderProductParameters *
        result : OrderPriceCalcResult -> unit

Parameters

userId
Type: SystemNullable Guid

[Missing <param name="userId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.DefaultCalculator.Calculate(System.Nullable{System.Guid},ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderProductParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.DefaultCalculator.Calculate(System.Nullable{System.Guid},ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

result
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResult

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.DefaultCalculator.Calculate(System.Nullable{System.Guid},ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters,ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult)"]

Implements

IOrderProductUnitPriceCalculatorCalculate(NullableGuid, CreateOrderProductParameters, OrderPriceCalcResult)
See Also

Reference

DefaultCalculator Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderProductUnitPriceCalculator | 订单商品单价的计算器


IOrderProductUnitPriceCalculator Interface
订单商品单价的计算器

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderProductUnitPriceCalculator
Public Interface IOrderProductUnitPriceCalculator
public interface class IOrderProductUnitPriceCalculator
type IOrderProductUnitPriceCalculator =  interface end

The IOrderProductUnitPriceCalculator type exposes the following members.

Methods
 | Name | Description
Public method | Calculate | 计算订单商品的单价 计算结果请保存到result中
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces Namespace


IOrderProductUnitPriceCalculator Methods

The IOrderProductUnitPriceCalculator type exposes the following members.

Methods
 | Name | Description
Public method | Calculate | 计算订单商品的单价 计算结果请保存到result中
Top
See Also

Reference

IOrderProductUnitPriceCalculator Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces Namespace


IOrderProductUnitPriceCalculator.Calculate Method

IOrderProductUnitPriceCalculatorCalculate Method

计算订单商品的单价 计算结果请保存到result中

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void Calculate(
    Nullable<Guid> userId,
    CreateOrderProductParameters parameters,
    OrderPriceCalcResult result
)
Sub Calculate (
    userId As Nullable(Of Guid),
    parameters As CreateOrderProductParameters,
    result As OrderPriceCalcResult
)
void Calculate(
    Nullable<Guid> userId,
    CreateOrderProductParameters^ parameters,
    OrderPriceCalcResult^ result
)
abstract Calculate :
        userId : Nullable<Guid> *
        parameters : CreateOrderProductParameters *
        result : OrderPriceCalcResult -> unit

Parameters

userId
Type: SystemNullable Guid
用户Id，未登录时等于null
parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderProductParameters
订单商品的创建参数
result
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResult
计算结果
See Also

Reference

IOrderProductUnitPriceCalculator Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderProductUnitPriceCalaculators.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders |
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders"]

Classes
 | Class | Description
Public class | DefaultOrderShippingAddressProvider | 默认的创建订单时可用的收货地址提供器


DefaultOrderShippingAddressProvider Class
默认的创建订单时可用的收货地址提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProvidersDefaultOrderShippingAddressProvider

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultOrderShippingAddressProvider : IOrderShippingAddressProvider
Public Class DefaultOrderShippingAddressProvider
    Implements IOrderShippingAddressProvider
public ref class DefaultOrderShippingAddressProvider : IOrderShippingAddressProvider
type DefaultOrderShippingAddressProvider =
    class
        interface IOrderShippingAddressProvider
    end

The DefaultOrderShippingAddressProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultOrderShippingAddressProvider | Initializes a new instance of the DefaultOrderShippingAddressProvider class
Top
Methods
 | Name | Description
Public method | GetShippingAddresses | 获取可用的收货地址 获取用户添加的收货地址
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders Namespace


DefaultOrderShippingAddressProvider Constructor

Initializes a new instance of the DefaultOrderShippingAddressProvider class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultOrderShippingAddressProvider()
Public Sub New
public:
DefaultOrderShippingAddressProvider()
new : unit -> DefaultOrderShippingAddressProvider
See Also

Reference

DefaultOrderShippingAddressProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders Namespace


DefaultOrderShippingAddressProvider Methods

The DefaultOrderShippingAddressProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetShippingAddresses | 获取可用的收货地址 获取用户添加的收货地址
Top
See Also

Reference

DefaultOrderShippingAddressProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders Namespace


DefaultOrderShippingAddressProvider.GetShippingAddresses Method

DefaultOrderShippingAddressProviderGetShippingAddresses Method

获取可用的收货地址 获取用户添加的收货地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetShippingAddresses(
    Nullable<Guid> userId,
    IList<ShippingAddress> addresses
)
Public Sub GetShippingAddresses (
    userId As Nullable(Of Guid),
    addresses As IList(Of ShippingAddress)
)
public:
virtual void GetShippingAddresses(
    Nullable<Guid> userId,
    IList<ShippingAddress^>^ addresses
) sealed
abstract GetShippingAddresses :
        userId : Nullable<Guid> *
        addresses : IList<ShippingAddress> -> unit
override GetShippingAddresses :
        userId : Nullable<Guid> *
        addresses : IList<ShippingAddress> -> unit

Parameters

userId
Type: SystemNullable Guid

[Missing <param name="userId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.DefaultOrderShippingAddressProvider.GetShippingAddresses(System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress})"]

addresses
Type: System.Collections.GenericIList ShippingAddress

[Missing <param name="addresses"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.DefaultOrderShippingAddressProvider.GetShippingAddresses(System.Nullable{System.Guid},System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress})"]

Implements

IOrderShippingAddressProviderGetShippingAddresses(NullableGuid, IListShippingAddress)
See Also

Reference

DefaultOrderShippingAddressProvider Class
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderShippingAddressProvider | 创建订单可使用的收货地址的提供器


IOrderShippingAddressProvider Interface
创建订单可使用的收货地址的提供器

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderShippingAddressProvider
Public Interface IOrderShippingAddressProvider
public interface class IOrderShippingAddressProvider
type IOrderShippingAddressProvider =  interface end

The IOrderShippingAddressProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetShippingAddresses | 获取可使用的收货地址
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces Namespace


IOrderShippingAddressProvider Methods

The IOrderShippingAddressProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetShippingAddresses | 获取可使用的收货地址
Top
See Also

Reference

IOrderShippingAddressProvider Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces Namespace


IOrderShippingAddressProvider.GetShippingAddresses Method

IOrderShippingAddressProviderGetShippingAddresses Method

获取可使用的收货地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void GetShippingAddresses(
    Nullable<Guid> userId,
    IList<ShippingAddress> addresses
)
Sub GetShippingAddresses (
    userId As Nullable(Of Guid),
    addresses As IList(Of ShippingAddress)
)
void GetShippingAddresses(
    Nullable<Guid> userId,
    IList<ShippingAddress^>^ addresses
)
abstract GetShippingAddresses :
        userId : Nullable<Guid> *
        addresses : IList<ShippingAddress> -> unit

Parameters

userId
Type: SystemNullable Guid
用户Id
addresses
Type: System.Collections.GenericIList ShippingAddress
收货地址列表
See Also

Reference

IOrderShippingAddressProvider Interface
ZKWeb.Plugins.Shopping.Order.src.Components.OrderShippingAddressProviders.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers"]

Classes
 | Class | Description
Public class | MergedOrderTransactionHandler | 订单合并交易处理器 重复支付 情况a - 创建订单A和订单B - 打开合并交易支付页面 - 打开订单A交易支付页面 - 支付合并交易 (处理成功) - 支付订单A交易 (重复处理，这时外部序列号会改变但交易状态不会被改变，可以人工确认) 重复支付 情况b - 创建订单A和订单B - 打开合并交易支付页面 - 打开订单A交易支付页面 - 支付订单A交易 (处理成功, 合并交易被终止) - 支付合并交易 (处理支付失败，可以看到记录，可以人工确认) 对于重复支付合并交易和普通交易的处理 - 修改价格时自动终止合并交易, 使用EnsureParentTransactionAborted - 普通交易支付后终止合并交易，使用EnsureParentTransactionAbortedIfProcessNotFromParent 对于非同时支付的冲突，不需要人工处理可以事先防止，但同时支付的冲突仍需要人工确认
Public class | OrderTransactionHandler | 订单交易处理器


MergedOrderTransactionHandler Class
订单合并交易处理器 重复支付 情况a - 创建订单A和订单B - 打开合并交易支付页面 - 打开订单A交易支付页面 - 支付合并交易 (处理成功) - 支付订单A交易 (重复处理，这时外部序列号会改变但交易状态不会被改变，可以人工确认) 重复支付 情况b - 创建订单A和订单B - 打开合并交易支付页面 - 打开订单A交易支付页面 - 支付订单A交易 (处理成功, 合并交易被终止) - 支付合并交易 (处理支付失败，可以看到记录，可以人工确认) 对于重复支付合并交易和普通交易的处理 - 修改价格时自动终止合并交易, 使用EnsureParentTransactionAborted - 普通交易支付后终止合并交易，使用EnsureParentTransactionAbortedIfProcessNotFromParent 对于非同时支付的冲突，不需要人工处理可以事先防止，但同时支付的冲突仍需要人工确认
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.BasesMergedTransactionHandlerBase
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlersMergedOrderTransactionHandler

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class MergedOrderTransactionHandler : MergedTransactionHandlerBase
Public Class MergedOrderTransactionHandler
    Inherits MergedTransactionHandlerBase
public ref class MergedOrderTransactionHandler : public MergedTransactionHandlerBase
type MergedOrderTransactionHandler =
    class
        inherit MergedTransactionHandlerBase
    end

The MergedOrderTransactionHandler type exposes the following members.

Constructors
 | Name | Description
Public method | MergedOrderTransactionHandler | Initializes a new instance of the MergedOrderTransactionHandler class
Top
Properties
 | Name | Description
Public property | Type | 交易类型 (Overrides MergedTransactionHandlerBaseType.)
Top
Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html (Overrides MergedTransactionHandlerBaseGetResultHtml(PaymentTransaction, IListHtmlString).)
Top
Fields
Name | Description
ConstType |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler Constructor

Initializes a new instance of the MergedOrderTransactionHandler class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public MergedOrderTransactionHandler()
Public Sub New
public:
MergedOrderTransactionHandler()
new : unit -> MergedOrderTransactionHandler
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler Properties

The MergedOrderTransactionHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 交易类型 (Overrides MergedTransactionHandlerBaseType.)
Top
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler.Type Property

MergedOrderTransactionHandlerType Property

交易类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Type { get; }
Public Overrides ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () override;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentTransactionHandlerType
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler Methods

The MergedOrderTransactionHandler type exposes the following members.

Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html (Overrides MergedTransactionHandlerBaseGetResultHtml(PaymentTransaction, IListHtmlString).)
Top
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler.GetResultHtml Method

MergedOrderTransactionHandlerGetResultHtml Method

获取显示交易结果的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void GetResultHtml(
    PaymentTransaction transaction,
    IList<HtmlString> html
)
Public Overrides Sub GetResultHtml (
    transaction As PaymentTransaction,
    html As IList(Of HtmlString)
)
public:
virtual void GetResultHtml(
    PaymentTransaction^ transaction,
    IList<HtmlString^>^ html
) override
abstract GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit
override GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.MergedOrderTransactionHandler.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

html
Type: System.Collections.GenericIList HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.MergedOrderTransactionHandler.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

Implements

IPaymentTransactionHandlerGetResultHtml(PaymentTransaction, IListHtmlString)
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler Fields

The MergedOrderTransactionHandler type exposes the following members.

Fields
Name | Description
ConstType |
Top
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


MergedOrderTransactionHandler.ConstType Field

MergedOrderTransactionHandlerConstType Field

[Missing <summary> documentation for "F:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.MergedOrderTransactionHandler.ConstType"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstType = "MergedOrderTransaction"
Public Const ConstType As String = "MergedOrderTransaction"
public:
literal String^ ConstType = "MergedOrderTransaction"
static val mutable ConstType: string

Field Value

Type: String
See Also

Reference

MergedOrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler Class
订单交易处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlersOrderTransactionHandler

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderTransactionHandler : IPaymentTransactionHandler
Public Class OrderTransactionHandler
    Implements IPaymentTransactionHandler
public ref class OrderTransactionHandler : IPaymentTransactionHandler
type OrderTransactionHandler =
    class
        interface IPaymentTransactionHandler
    end

The OrderTransactionHandler type exposes the following members.

Constructors
 | Name | Description
Public method | OrderTransactionHandler | Initializes a new instance of the OrderTransactionHandler class
Top
Properties
 | Name | Description
Public property | Type | 交易类型
Top
Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html
Public method | OnAbort | 交易终止时
Public method | OnCreated | 交易创建后
Public method | OnSecuredPaid | 担保交易付款后
Public method | OnSuccess | 交易成功时
Public method | OnWaitingPaying | 等待付款时
Top
Fields
Name | Description
ConstType |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler Constructor

Initializes a new instance of the OrderTransactionHandler class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderTransactionHandler()
Public Sub New
public:
OrderTransactionHandler()
new : unit -> OrderTransactionHandler
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler Properties

The OrderTransactionHandler type exposes the following members.

Properties
 | Name | Description
Public property | Type | 交易类型
Top
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.Type Property

OrderTransactionHandlerType Property

交易类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IPaymentTransactionHandlerType
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler Methods

The OrderTransactionHandler type exposes the following members.

Methods
 | Name | Description
Public method | GetResultHtml | 获取显示交易结果的Html
Public method | OnAbort | 交易终止时
Public method | OnCreated | 交易创建后
Public method | OnSecuredPaid | 担保交易付款后
Public method | OnSuccess | 交易成功时
Public method | OnWaitingPaying | 等待付款时
Top
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.GetResultHtml Method

OrderTransactionHandlerGetResultHtml Method

获取显示交易结果的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void GetResultHtml(
    PaymentTransaction transaction,
    IList<HtmlString> html
)
Public Sub GetResultHtml (
    transaction As PaymentTransaction,
    html As IList(Of HtmlString)
)
public:
virtual void GetResultHtml(
    PaymentTransaction^ transaction,
    IList<HtmlString^>^ html
) sealed
abstract GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit
override GetResultHtml :
        transaction : PaymentTransaction *
        html : IList<HtmlString> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

html
Type: System.Collections.GenericIList HtmlString

[Missing <param name="html"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.GetResultHtml(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString})"]

Implements

IPaymentTransactionHandlerGetResultHtml(PaymentTransaction, IListHtmlString)
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.OnAbort Method

OrderTransactionHandlerOnAbort Method

交易终止时

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnAbort(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Sub OnAbort (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnAbort(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
) sealed
abstract OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnAbort :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnAbort(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnAbort(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnAbort(PaymentTransaction, PaymentTransactionState)
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.OnCreated Method

OrderTransactionHandlerOnCreated Method

交易创建后

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnCreated(
    PaymentTransaction transaction
)
Public Sub OnCreated (
    transaction As PaymentTransaction
)
public:
virtual void OnCreated(
    PaymentTransaction^ transaction
) sealed
abstract OnCreated :
        transaction : PaymentTransaction -> unit
override OnCreated :
        transaction : PaymentTransaction -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnCreated(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Implements

IPaymentTransactionHandlerOnCreated(PaymentTransaction)
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.OnSecuredPaid Method

OrderTransactionHandlerOnSecuredPaid Method

担保交易付款后

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSecuredPaid(
    PaymentTransaction transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters> parameters
)
Public Sub OnSecuredPaid (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState,
    parameters As IList(Of AutoDeliveryGoodsParameters)
)
public:
virtual void OnSecuredPaid(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState,
    IList<AutoDeliveryGoodsParameters^>^ parameters
) sealed
abstract OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit
override OnSecuredPaid :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState *
        parameters : IList<AutoDeliveryGoodsParameters> -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

parameters
Type: System.Collections.GenericIList AutoDeliveryGoodsParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnSecuredPaid(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState,System.Collections.Generic.IList{ZKWeb.Plugins.Finance.Payment.src.Components.PaymentTransactionHandlers.AutoDeliveryGoodsParameters})"]

Implements

IPaymentTransactionHandlerOnSecuredPaid(PaymentTransaction, PaymentTransactionState, IListAutoDeliveryGoodsParameters)
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.OnSuccess Method

OrderTransactionHandlerOnSuccess Method

交易成功时

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSuccess(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Sub OnSuccess (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnSuccess(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
) sealed
abstract OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnSuccess :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnSuccess(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnSuccess(PaymentTransaction, PaymentTransactionState)
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.OnWaitingPaying Method

OrderTransactionHandlerOnWaitingPaying Method

等待付款时

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnWaitingPaying(
    PaymentTransaction transaction,
    PaymentTransactionState previousState
)
Public Sub OnWaitingPaying (
    transaction As PaymentTransaction,
    previousState As PaymentTransactionState
)
public:
virtual void OnWaitingPaying(
    PaymentTransaction^ transaction,
    PaymentTransactionState previousState
) sealed
abstract OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit
override OnWaitingPaying :
        transaction : PaymentTransaction *
        previousState : PaymentTransactionState -> unit

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

previousState
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EnumsPaymentTransactionState

[Missing <param name="previousState"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.OnWaitingPaying(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction,ZKWeb.Plugins.Finance.Payment.src.Domain.Enums.PaymentTransactionState)"]

Implements

IPaymentTransactionHandlerOnWaitingPaying(PaymentTransaction, PaymentTransactionState)
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler Fields

The OrderTransactionHandler type exposes the following members.

Fields
Name | Description
ConstType |
Top
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


OrderTransactionHandler.ConstType Field

OrderTransactionHandlerConstType Field

[Missing <summary> documentation for "F:ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers.OrderTransactionHandler.ConstType"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstType = "OrderTransaction"
Public Const ConstType As String = "OrderTransaction"
public:
literal String^ ConstType = "OrderTransaction"
static val mutable ConstType: string

Field Value

Type: String
See Also

Reference

OrderTransactionHandler Class
ZKWeb.Plugins.Shopping.Order.src.Components.PaymentTransactionHandlers Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks"]

Classes
 | Class | Description
Public class | CartProductCleaner | 清理过期的购物车商品
Public class | OrderAutoCanceller | 自动取消未付款的订单
Public class | OrderAutoConfirmer | 订单自动确认收货


CartProductCleaner Class
清理过期的购物车商品
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasksCartProductCleaner

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CartProductCleaner : IScheduledTaskExecutor
Public Class CartProductCleaner
    Implements IScheduledTaskExecutor
public ref class CartProductCleaner : IScheduledTaskExecutor
type CartProductCleaner =
    class
        interface IScheduledTaskExecutor
    end

The CartProductCleaner type exposes the following members.

Constructors
 | Name | Description
Public method | CartProductCleaner | Initializes a new instance of the CartProductCleaner class
Top
Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 清理过期的购物车商品
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


CartProductCleaner Constructor

Initializes a new instance of the CartProductCleaner class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CartProductCleaner()
Public Sub New
public:
CartProductCleaner()
new : unit -> CartProductCleaner
See Also

Reference

CartProductCleaner Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


CartProductCleaner Properties

The CartProductCleaner type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

CartProductCleaner Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


CartProductCleaner.Key Property

CartProductCleanerKey Property

任务键名

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; }
Public ReadOnly Property Key As String
    Get
public:
virtual property String^ Key {
    String^ get () sealed;
}
abstract Key : string with get
override Key : string with get

Property Value

Type: String

Implements

IScheduledTaskExecutorKey
See Also

Reference

CartProductCleaner Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


CartProductCleaner Methods

The CartProductCleaner type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 清理过期的购物车商品
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

CartProductCleaner Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


CartProductCleaner.Execute Method

CartProductCleanerExecute Method

清理过期的购物车商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Execute()
Public Sub Execute
public:
virtual void Execute() sealed
abstract Execute : unit -> unit
override Execute : unit -> unit

Implements

IScheduledTaskExecutorExecute
See Also

Reference

CartProductCleaner Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


CartProductCleaner.ShouldExecuteNow Method

CartProductCleanerShouldExecuteNow Method

每小时执行一次

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ShouldExecuteNow(
    DateTime lastExecuted
)
Public Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
public:
virtual bool ShouldExecuteNow(
    DateTime lastExecuted
) sealed
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool
override ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime

[Missing <param name="lastExecuted"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks.CartProductCleaner.ShouldExecuteNow(System.DateTime)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks.CartProductCleaner.ShouldExecuteNow(System.DateTime)"]

Implements

IScheduledTaskExecutorShouldExecuteNow(DateTime)
See Also

Reference

CartProductCleaner Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller Class
自动取消未付款的订单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasksOrderAutoCanceller

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderAutoCanceller : IScheduledTaskExecutor
Public Class OrderAutoCanceller
    Implements IScheduledTaskExecutor
public ref class OrderAutoCanceller : IScheduledTaskExecutor
type OrderAutoCanceller =
    class
        interface IScheduledTaskExecutor
    end

The OrderAutoCanceller type exposes the following members.

Constructors
 | Name | Description
Public method | OrderAutoCanceller | Initializes a new instance of the OrderAutoCanceller class
Top
Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 自动取消未付款的订单
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller Constructor

Initializes a new instance of the OrderAutoCanceller class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderAutoCanceller()
Public Sub New
public:
OrderAutoCanceller()
new : unit -> OrderAutoCanceller
See Also

Reference

OrderAutoCanceller Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller Properties

The OrderAutoCanceller type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

OrderAutoCanceller Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller.Key Property

OrderAutoCancellerKey Property

任务键名

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; }
Public ReadOnly Property Key As String
    Get
public:
virtual property String^ Key {
    String^ get () sealed;
}
abstract Key : string with get
override Key : string with get

Property Value

Type: String

Implements

IScheduledTaskExecutorKey
See Also

Reference

OrderAutoCanceller Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller Methods

The OrderAutoCanceller type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 自动取消未付款的订单
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

OrderAutoCanceller Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller.Execute Method

OrderAutoCancellerExecute Method

自动取消未付款的订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Execute()
Public Sub Execute
public:
virtual void Execute() sealed
abstract Execute : unit -> unit
override Execute : unit -> unit

Implements

IScheduledTaskExecutorExecute
See Also

Reference

OrderAutoCanceller Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoCanceller.ShouldExecuteNow Method

OrderAutoCancellerShouldExecuteNow Method

每小时执行一次

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ShouldExecuteNow(
    DateTime lastExecuted
)
Public Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
public:
virtual bool ShouldExecuteNow(
    DateTime lastExecuted
) sealed
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool
override ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime

[Missing <param name="lastExecuted"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks.OrderAutoCanceller.ShouldExecuteNow(System.DateTime)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks.OrderAutoCanceller.ShouldExecuteNow(System.DateTime)"]

Implements

IScheduledTaskExecutorShouldExecuteNow(DateTime)
See Also

Reference

OrderAutoCanceller Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer Class
订单自动确认收货
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasksOrderAutoConfirmer

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderAutoConfirmer : IScheduledTaskExecutor
Public Class OrderAutoConfirmer
    Implements IScheduledTaskExecutor
public ref class OrderAutoConfirmer : IScheduledTaskExecutor
type OrderAutoConfirmer =
    class
        interface IScheduledTaskExecutor
    end

The OrderAutoConfirmer type exposes the following members.

Constructors
 | Name | Description
Public method | OrderAutoConfirmer | Initializes a new instance of the OrderAutoConfirmer class
Top
Properties
 | Name | Description
Public property | Key | 任务键名
Top
Methods
 | Name | Description
Public method | Execute | 订单自动确认收货
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer Constructor

Initializes a new instance of the OrderAutoConfirmer class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderAutoConfirmer()
Public Sub New
public:
OrderAutoConfirmer()
new : unit -> OrderAutoConfirmer
See Also

Reference

OrderAutoConfirmer Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer Properties

The OrderAutoConfirmer type exposes the following members.

Properties
 | Name | Description
Public property | Key | 任务键名
Top
See Also

Reference

OrderAutoConfirmer Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer.Key Property

OrderAutoConfirmerKey Property

任务键名

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Key { get; }
Public ReadOnly Property Key As String
    Get
public:
virtual property String^ Key {
    String^ get () sealed;
}
abstract Key : string with get
override Key : string with get

Property Value

Type: String

Implements

IScheduledTaskExecutorKey
See Also

Reference

OrderAutoConfirmer Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer Methods

The OrderAutoConfirmer type exposes the following members.

Methods
 | Name | Description
Public method | Execute | 订单自动确认收货
Public method | ShouldExecuteNow | 每小时执行一次
Top
See Also

Reference

OrderAutoConfirmer Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer.Execute Method

OrderAutoConfirmerExecute Method

订单自动确认收货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Execute()
Public Sub Execute
public:
virtual void Execute() sealed
abstract Execute : unit -> unit
override Execute : unit -> unit

Implements

IScheduledTaskExecutorExecute
See Also

Reference

OrderAutoConfirmer Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


OrderAutoConfirmer.ShouldExecuteNow Method

OrderAutoConfirmerShouldExecuteNow Method

每小时执行一次

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool ShouldExecuteNow(
    DateTime lastExecuted
)
Public Function ShouldExecuteNow (
    lastExecuted As DateTime
) As Boolean
public:
virtual bool ShouldExecuteNow(
    DateTime lastExecuted
) sealed
abstract ShouldExecuteNow :
        lastExecuted : DateTime -> bool
override ShouldExecuteNow :
        lastExecuted : DateTime -> bool

Parameters

lastExecuted
Type: SystemDateTime

[Missing <param name="lastExecuted"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks.OrderAutoConfirmer.ShouldExecuteNow(System.DateTime)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks.OrderAutoConfirmer.ShouldExecuteNow(System.DateTime)"]

Implements

IScheduledTaskExecutorShouldExecuteNow(DateTime)
See Also

Reference

OrderAutoConfirmer Class
ZKWeb.Plugins.Shopping.Order.src.Components.ScheduledTasks Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Order.src.Components.Translates Namespace


ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers"]

Classes
 | Class | Description
Public class | MergeCartProductsAfterLogin | 在用户登录后整合购物车商品


MergeCartProductsAfterLogin Class
在用户登录后整合购物车商品
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlersMergeCartProductsAfterLogin

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class MergeCartProductsAfterLogin : IUserLoginHandler
Public Class MergeCartProductsAfterLogin
    Implements IUserLoginHandler
public ref class MergeCartProductsAfterLogin : IUserLoginHandler
type MergeCartProductsAfterLogin =
    class
        interface IUserLoginHandler
    end

The MergeCartProductsAfterLogin type exposes the following members.

Constructors
 | Name | Description
Public method | MergeCartProductsAfterLogin | Initializes a new instance of the MergeCartProductsAfterLogin class
Top
Properties
 | Name | Description
Public property | SessionId | 登陆前记录下的会话Id
Top
Methods
 | Name | Description
Public method | AfterLogin | 整合登陆前添加的购物车商品
Public method | BeforeLogin | 登陆前记录下会话Id
Public method | FindUser | 查找用户，这里不负责查找
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin Constructor

Initializes a new instance of the MergeCartProductsAfterLogin class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public MergeCartProductsAfterLogin()
Public Sub New
public:
MergeCartProductsAfterLogin()
new : unit -> MergeCartProductsAfterLogin
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin Properties

The MergeCartProductsAfterLogin type exposes the following members.

Properties
 | Name | Description
Public property | SessionId | 登陆前记录下的会话Id
Top
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin.SessionId Property

MergeCartProductsAfterLoginSessionId Property

登陆前记录下的会话Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid SessionId { get; set; }
Public Property SessionId As Guid
    Get
    Set
public:
property Guid SessionId {
    Guid get ();
    void set (Guid value);
}
member SessionId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin Methods

The MergeCartProductsAfterLogin type exposes the following members.

Methods
 | Name | Description
Public method | AfterLogin | 整合登陆前添加的购物车商品
Public method | BeforeLogin | 登陆前记录下会话Id
Public method | FindUser | 查找用户，这里不负责查找
Top
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin.AfterLogin Method

MergeCartProductsAfterLoginAfterLogin Method

整合登陆前添加的购物车商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AfterLogin(
    User user
)
Public Sub AfterLogin (
    user As User
)
public:
virtual void AfterLogin(
    User^ user
) sealed
abstract AfterLogin :
        user : User -> unit
override AfterLogin :
        user : User -> unit

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="user"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers.MergeCartProductsAfterLogin.AfterLogin(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IUserLoginHandlerAfterLogin(User)
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin.BeforeLogin Method

MergeCartProductsAfterLoginBeforeLogin Method

登陆前记录下会话Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void BeforeLogin(
    User user
)
Public Sub BeforeLogin (
    user As User
)
public:
virtual void BeforeLogin(
    User^ user
) sealed
abstract BeforeLogin :
        user : User -> unit
override BeforeLogin :
        user : User -> unit

Parameters

user
Type: ZKWeb.Plugins.Common.Admin.src.Domain.EntitiesUser

[Missing <param name="user"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers.MergeCartProductsAfterLogin.BeforeLogin(ZKWeb.Plugins.Common.Admin.src.Domain.Entities.User)"]

Implements

IUserLoginHandlerBeforeLogin(User)
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


MergeCartProductsAfterLogin.FindUser Method

MergeCartProductsAfterLoginFindUser Method

查找用户，这里不负责查找

Namespace: ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public User FindUser(
    string username
)
Public Function FindUser (
    username As String
) As User
public:
virtual User^ FindUser(
    String^ username
) sealed
abstract FindUser :
        username : string -> User
override FindUser :
        username : string -> User

Parameters

username
Type: SystemString

[Missing <param name="username"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers.MergeCartProductsAfterLogin.FindUser(System.String)"]

Return Value

Type: User

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers.MergeCartProductsAfterLogin.FindUser(System.String)"]

Implements

IUserLoginHandlerFindUser(String)
See Also

Reference

MergeCartProductsAfterLogin Class
ZKWeb.Plugins.Shopping.Order.src.Components.UserLoginHandlers Namespace


ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Controllers"]

Classes
 | Class | Description
Public class | CartApiController | 购物车Api控制器
Public class | CartController | 购物车控制器
Public class | OrderApiController | 订单Api控制器
Public class | OrderSettingsController | 订单设置
Public class | OrderSettingsControllerForm | 表单
Public class | SellerOrderCrudController | 后台的订单管理的控制器 只在后台使用，需要卖家使用的订单管理请安装多商城插件
Public class | SellerOrderCrudControllerForm | 订单表单
Public class | SellerOrderCrudControllerTableHandler | 表格处理器
Public class | ShippingAddressCrudController | 前台的收货地址管理的控制器
Public class | ShippingAddressCrudControllerForm | 添加和编辑收货地址使用的表单
Public class | ShippingAddressCrudControllerTableCallback | 表单回调


CartApiController Class
购物车Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.Order.src.ControllersCartApiController

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CartApiController : ControllerBase
Public Class CartApiController
    Inherits ControllerBase
public ref class CartApiController : public ControllerBase
type CartApiController =
    class
        inherit ControllerBase
    end

The CartApiController type exposes the following members.

Constructors
 | Name | Description
Public method | CartApiController | Initializes a new instance of the CartApiController class
Top
Methods
 | Name | Description
Public method | Add | 添加商品到购物车
Public method | CalculatePrice | 计算购物车中的商品价格
Public method | CartInfo | 获取购物车信息
Public method | CartProductTotalCount | 获取购物车商品的总数量
Public method | Delete | 删除购物车中的商品
Public method | MiniCartInfo | 获取迷你购物车的信息
Public method | UpdateCounts | 更新购物车中的商品数量
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController Constructor

Initializes a new instance of the CartApiController class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CartApiController()
Public Sub New
public:
CartApiController()
new : unit -> CartApiController
See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController Methods

The CartApiController type exposes the following members.

Methods
 | Name | Description
Public method | Add | 添加商品到购物车
Public method | CalculatePrice | 计算购物车中的商品价格
Public method | CartInfo | 获取购物车信息
Public method | CartProductTotalCount | 获取购物车商品的总数量
Public method | Delete | 删除购物车中的商品
Public method | MiniCartInfo | 获取迷你购物车的信息
Public method | UpdateCounts | 更新购物车中的商品数量
Top
See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.Add Method

CartApiControllerAdd Method

添加商品到购物车

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Add()
Public Function Add As IActionResult
public:
IActionResult^ Add()
member Add : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.Add"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.CalculatePrice Method

CartApiControllerCalculatePrice Method

计算购物车中的商品价格

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult CalculatePrice()
Public Function CalculatePrice As IActionResult
public:
IActionResult^ CalculatePrice()
member CalculatePrice : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.CalculatePrice"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.CartInfo Method

CartApiControllerCartInfo Method

获取购物车信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult CartInfo()
Public Function CartInfo As IActionResult
public:
IActionResult^ CartInfo()
member CartInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.CartInfo"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.CartProductTotalCount Method

CartApiControllerCartProductTotalCount Method

获取购物车商品的总数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult CartProductTotalCount()
Public Function CartProductTotalCount As IActionResult
public:
IActionResult^ CartProductTotalCount()
member CartProductTotalCount : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.CartProductTotalCount"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.Delete Method

CartApiControllerDelete Method

删除购物车中的商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Delete()
Public Function Delete As IActionResult
public:
IActionResult^ Delete()
member Delete : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.Delete"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.MiniCartInfo Method

CartApiControllerMiniCartInfo Method

获取迷你购物车的信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult MiniCartInfo()
Public Function MiniCartInfo As IActionResult
public:
IActionResult^ MiniCartInfo()
member MiniCartInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.MiniCartInfo"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartApiController.UpdateCounts Method

CartApiControllerUpdateCounts Method

更新购物车中的商品数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult UpdateCounts()
Public Function UpdateCounts As IActionResult
public:
IActionResult^ UpdateCounts()
member UpdateCounts : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartApiController.UpdateCounts"]

See Also

Reference

CartApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartController Class
购物车控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.Order.src.ControllersCartController

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CartController : ControllerBase
Public Class CartController
    Inherits ControllerBase
public ref class CartController : public ControllerBase
type CartController =
    class
        inherit ControllerBase
    end

The CartController type exposes the following members.

Constructors
 | Name | Description
Public method | CartController | Initializes a new instance of the CartController class
Top
Methods
 | Name | Description
Public method | Index | 购物车页
Public method | MiniCartContents | 获取迷你购物车的内容
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartController Constructor

Initializes a new instance of the CartController class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CartController()
Public Sub New
public:
CartController()
new : unit -> CartController
See Also

Reference

CartController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartController Methods

The CartController type exposes the following members.

Methods
 | Name | Description
Public method | Index | 购物车页
Public method | MiniCartContents | 获取迷你购物车的内容
Top
See Also

Reference

CartController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartController.Index Method

CartControllerIndex Method

购物车页

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Index()
Public Function Index As IActionResult
public:
IActionResult^ Index()
member Index : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartController.Index"]

See Also

Reference

CartController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


CartController.MiniCartContents Method

CartControllerMiniCartContents Method

获取迷你购物车的内容

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult MiniCartContents()
Public Function MiniCartContents As IActionResult
public:
IActionResult^ MiniCartContents()
member MiniCartContents : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.CartController.MiniCartContents"]

See Also

Reference

CartController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderApiController Class
订单Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.Order.src.ControllersOrderApiController

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderApiController : ControllerBase
Public Class OrderApiController
    Inherits ControllerBase
public ref class OrderApiController : public ControllerBase
type OrderApiController =
    class
        inherit ControllerBase
    end

The OrderApiController type exposes the following members.

Constructors
 | Name | Description
Public method | OrderApiController | Initializes a new instance of the OrderApiController class
Top
Methods
 | Name | Description
Public method | Create | 创建订单 创建后跳到支付页面 如果创建了多个订单应该跳到合并交易的支付页面
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderApiController Constructor

Initializes a new instance of the OrderApiController class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderApiController()
Public Sub New
public:
OrderApiController()
new : unit -> OrderApiController
See Also

Reference

OrderApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderApiController Methods

The OrderApiController type exposes the following members.

Methods
 | Name | Description
Public method | Create | 创建订单 创建后跳到支付页面 如果创建了多个订单应该跳到合并交易的支付页面
Top
See Also

Reference

OrderApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderApiController.Create Method

OrderApiControllerCreate Method

创建订单 创建后跳到支付页面 如果创建了多个订单应该跳到合并交易的支付页面

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Create()
Public Function Create As IActionResult
public:
IActionResult^ Create()
member Create : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderApiController.Create"]

See Also

Reference

OrderApiController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController Class
订单设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Shopping.Order.src.ControllersOrderSettingsController

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderSettingsController : FormAdminSettingsControllerBase
Public Class OrderSettingsController
    Inherits FormAdminSettingsControllerBase
public ref class OrderSettingsController : public FormAdminSettingsControllerBase
type OrderSettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The OrderSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | OrderSettingsController | Initializes a new instance of the OrderSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController Constructor

Initializes a new instance of the OrderSettingsController class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderSettingsController()
Public Sub New
public:
OrderSettingsController()
new : unit -> OrderSettingsController
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController Properties

The OrderSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Group Property

OrderSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.GroupIconClass Property

OrderSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.IconClass Property

OrderSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Name Property

OrderSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Privilege Property

OrderSettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Url Property

OrderSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController Methods

The OrderSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.GetForm Method

OrderSettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.GetForm"]

See Also

Reference

OrderSettingsController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form Class

OrderSettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.ControllersOrderSettingsControllerForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The OrderSettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderSettingsControllerForm | Initializes a new instance of the OrderSettingsControllerForm class
Top
Properties
 | Name | Description
Public property | AllowAnonymousVisitorCreateOrder | 允许非会员下单
Public property | AutoCancelOrderAfterDays | 自动取消未付款订单天数
Public property | AutoConfirmOrderAfterDays | 自动确认收货天数
Public property | BuynowCartProductExpiresDays | 立刻购买的购物车商品的过期天数
Public property | NormalCartProductExpiresDays | 一般的购物车商品的过期天数
Public property | StockReductionMode | 库存减少模式
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form Constructor

OrderSettingsControllerForm Constructor

Initializes a new instance of the OrderSettingsControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


Form Properties

The OrderSettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | AllowAnonymousVisitorCreateOrder | 允许非会员下单
Public property | AutoCancelOrderAfterDays | 自动取消未付款订单天数
Public property | AutoConfirmOrderAfterDays | 自动确认收货天数
Public property | BuynowCartProductExpiresDays | 立刻购买的购物车商品的过期天数
Public property | NormalCartProductExpiresDays | 一般的购物车商品的过期天数
Public property | StockReductionMode | 库存减少模式
Top
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.AllowAnonymousVisitorCreateOrder Property

OrderSettingsControllerFormAllowAnonymousVisitorCreateOrder Property

允许非会员下单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool AllowAnonymousVisitorCreateOrder { get; set; }
Public Property AllowAnonymousVisitorCreateOrder As Boolean
    Get
    Set
public:
property bool AllowAnonymousVisitorCreateOrder {
    bool get ();
    void set (bool value);
}
member AllowAnonymousVisitorCreateOrder : bool with get, set

Property Value

Type: Boolean
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.AutoCancelOrderAfterDays Property

OrderSettingsControllerFormAutoCancelOrderAfterDays Property

自动取消未付款订单天数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AutoCancelOrderAfterDays { get; set; }
Public Property AutoCancelOrderAfterDays As Integer
    Get
    Set
public:
property int AutoCancelOrderAfterDays {
    int get ();
    void set (int value);
}
member AutoCancelOrderAfterDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.AutoConfirmOrderAfterDays Property

OrderSettingsControllerFormAutoConfirmOrderAfterDays Property

自动确认收货天数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int AutoConfirmOrderAfterDays { get; set; }
Public Property AutoConfirmOrderAfterDays As Integer
    Get
    Set
public:
property int AutoConfirmOrderAfterDays {
    int get ();
    void set (int value);
}
member AutoConfirmOrderAfterDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.BuynowCartProductExpiresDays Property

OrderSettingsControllerFormBuynowCartProductExpiresDays Property

立刻购买的购物车商品的过期天数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int BuynowCartProductExpiresDays { get; set; }
Public Property BuynowCartProductExpiresDays As Integer
    Get
    Set
public:
property int BuynowCartProductExpiresDays {
    int get ();
    void set (int value);
}
member BuynowCartProductExpiresDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.NormalCartProductExpiresDays Property

OrderSettingsControllerFormNormalCartProductExpiresDays Property

一般的购物车商品的过期天数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int NormalCartProductExpiresDays { get; set; }
Public Property NormalCartProductExpiresDays As Integer
    Get
    Set
public:
property int NormalCartProductExpiresDays {
    int get ();
    void set (int value);
}
member NormalCartProductExpiresDays : int with get, set

Property Value

Type: Int32
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.StockReductionMode Property

OrderSettingsControllerFormStockReductionMode Property

库存减少模式

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StockReductionMode StockReductionMode { get; set; }
Public Property StockReductionMode As StockReductionMode
    Get
    Set
public:
property StockReductionMode StockReductionMode {
    StockReductionMode get ();
    void set (StockReductionMode value);
}
member StockReductionMode : StockReductionMode with get, set

Property Value

Type: StockReductionMode
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


Form Methods

The OrderSettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.OnBind Method

OrderSettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


OrderSettingsController.Form.OnSubmit Method

OrderSettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.OrderSettingsController.Form.OnSubmit"]

See Also

Reference

OrderSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController Class
后台的订单管理的控制器 只在后台使用，需要卖家使用的订单管理请安装多商城插件
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase SellerOrder, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase SellerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudController

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SellerOrderCrudController : CrudAdminAppControllerBase<SellerOrder, Guid>
Public Class SellerOrderCrudController
    Inherits CrudAdminAppControllerBase(Of SellerOrder, Guid)
public ref class SellerOrderCrudController : public CrudAdminAppControllerBase<SellerOrder^, Guid>
type SellerOrderCrudController =
    class
        inherit CrudAdminAppControllerBase<SellerOrder, Guid>
    end

The SellerOrderCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | SellerOrderCrudController | 初始化
Top
Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | AllowDeleteForever | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever.)
Public property | ConfirmInsteadOfBuyerUrl |
Public property | DeliveryGoodsUrl |
Public property | DeliveryViewUrl |
Public property | EditCostUrl |
Public property | EditShippingAddressUrl |
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | SetInvalidUrl |
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Protected property | UseTransaction | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUseTransaction.)
Top
Methods
 | Name | Description
Protected method | ConfirmOrderInsteadOfBuyer | 代确认收货
Protected method | DeliveryGoods | 发货
Protected method | DeliveryView | 查看发货单
Protected method | EditCost | 编辑价格
Protected method | EditShippingAddress | 编辑地址
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Protected method | SetInvalid | 作废订单
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SellerOrderCrudController()
Public Sub New
public:
SellerOrderCrudController()
new : unit -> SellerOrderCrudController
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController Properties

The SellerOrderCrudController type exposes the following members.

Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | AllowDeleteForever | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever.)
Public property | ConfirmInsteadOfBuyerUrl |
Public property | DeliveryGoodsUrl |
Public property | DeliveryViewUrl |
Public property | EditCostUrl |
Public property | EditShippingAddressUrl |
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | SetInvalidUrl |
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Protected property | UseTransaction | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUseTransaction.)
Top
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.AddUrl Property

SellerOrderCrudControllerAddUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.AddUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddUrl { get; }
Public Overrides ReadOnly Property AddUrl As String
    Get
public:
virtual property String^ AddUrl {
    String^ get () override;
}
abstract AddUrl : string with get
override AddUrl : string with get

Property Value

Type: String

Implements

ICrudControllerAddUrl
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.AllowDeleteForever Property

SellerOrderCrudControllerAllowDeleteForever Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.AllowDeleteForever"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool AllowDeleteForever { get; }
Public Overrides ReadOnly Property AllowDeleteForever As Boolean
    Get
public:
virtual property bool AllowDeleteForever {
    bool get () override;
}
abstract AllowDeleteForever : bool with get
override AllowDeleteForever : bool with get

Property Value

Type: Boolean

Implements

ICrudControllerAllowDeleteForever
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.ConfirmInsteadOfBuyerUrl Property

SellerOrderCrudControllerConfirmInsteadOfBuyerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.ConfirmInsteadOfBuyerUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ConfirmInsteadOfBuyerUrl { get; }
Public Overridable ReadOnly Property ConfirmInsteadOfBuyerUrl As String
    Get
public:
virtual property String^ ConfirmInsteadOfBuyerUrl {
    String^ get ();
}
abstract ConfirmInsteadOfBuyerUrl : string with get
override ConfirmInsteadOfBuyerUrl : string with get

Property Value

Type: String
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.DeliveryGoodsUrl Property

SellerOrderCrudControllerDeliveryGoodsUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.DeliveryGoodsUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DeliveryGoodsUrl { get; }
Public Overridable ReadOnly Property DeliveryGoodsUrl As String
    Get
public:
virtual property String^ DeliveryGoodsUrl {
    String^ get ();
}
abstract DeliveryGoodsUrl : string with get
override DeliveryGoodsUrl : string with get

Property Value

Type: String
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.DeliveryViewUrl Property

SellerOrderCrudControllerDeliveryViewUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.DeliveryViewUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DeliveryViewUrl { get; }
Public Overridable ReadOnly Property DeliveryViewUrl As String
    Get
public:
virtual property String^ DeliveryViewUrl {
    String^ get ();
}
abstract DeliveryViewUrl : string with get
override DeliveryViewUrl : string with get

Property Value

Type: String
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.EditCostUrl Property

SellerOrderCrudControllerEditCostUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.EditCostUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string EditCostUrl { get; }
Public Overridable ReadOnly Property EditCostUrl As String
    Get
public:
virtual property String^ EditCostUrl {
    String^ get ();
}
abstract EditCostUrl : string with get
override EditCostUrl : string with get

Property Value

Type: String
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.EditShippingAddressUrl Property

SellerOrderCrudControllerEditShippingAddressUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.EditShippingAddressUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string EditShippingAddressUrl { get; }
Public Overridable ReadOnly Property EditShippingAddressUrl As String
    Get
public:
virtual property String^ EditShippingAddressUrl {
    String^ get ();
}
abstract EditShippingAddressUrl : string with get
override EditShippingAddressUrl : string with get

Property Value

Type: String
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Group Property

SellerOrderCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.GroupIconClass Property

SellerOrderCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.IconClass Property

SellerOrderCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Name Property

SellerOrderCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.SetInvalidUrl Property

SellerOrderCrudControllerSetInvalidUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.SetInvalidUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string SetInvalidUrl { get; }
Public Overridable ReadOnly Property SetInvalidUrl As String
    Get
public:
virtual property String^ SetInvalidUrl {
    String^ get ();
}
abstract SetInvalidUrl : string with get
override SetInvalidUrl : string with get

Property Value

Type: String
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TileClass Property

SellerOrderCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Url Property

SellerOrderCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.UseTransaction Property

SellerOrderCrudControllerUseTransaction Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.UseTransaction"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override bool UseTransaction { get; }
Protected Overrides ReadOnly Property UseTransaction As Boolean
    Get
protected:
virtual property bool UseTransaction {
    bool get () override;
}
abstract UseTransaction : bool with get
override UseTransaction : bool with get

Property Value

Type: Boolean
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController Methods

The SellerOrderCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | ConfirmOrderInsteadOfBuyer | 代确认收货
Protected method | DeliveryGoods | 发货
Protected method | DeliveryView | 查看发货单
Protected method | EditCost | 编辑价格
Protected method | EditShippingAddress | 编辑地址
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Protected method | SetInvalid | 作废订单
Top
See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.ConfirmOrderInsteadOfBuyer Method

SellerOrderCrudControllerConfirmOrderInsteadOfBuyer Method

代确认收货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult ConfirmOrderInsteadOfBuyer()
Protected Function ConfirmOrderInsteadOfBuyer As IActionResult
protected:
IActionResult^ ConfirmOrderInsteadOfBuyer()
member ConfirmOrderInsteadOfBuyer : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.ConfirmOrderInsteadOfBuyer"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.DeliveryGoods Method

SellerOrderCrudControllerDeliveryGoods Method

发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult DeliveryGoods()
Protected Function DeliveryGoods As IActionResult
protected:
IActionResult^ DeliveryGoods()
member DeliveryGoods : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.DeliveryGoods"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.DeliveryView Method

SellerOrderCrudControllerDeliveryView Method

查看发货单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult DeliveryView()
Protected Function DeliveryView As IActionResult
protected:
IActionResult^ DeliveryView()
member DeliveryView : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.DeliveryView"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.EditCost Method

SellerOrderCrudControllerEditCost Method

编辑价格

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult EditCost()
Protected Function EditCost As IActionResult
protected:
IActionResult^ EditCost()
member EditCost : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.EditCost"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.EditShippingAddress Method

SellerOrderCrudControllerEditShippingAddress Method

编辑地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult EditShippingAddress()
Protected Function EditShippingAddress As IActionResult
protected:
IActionResult^ EditShippingAddress()
member EditShippingAddress : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.EditShippingAddress"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.GetAddForm Method

SellerOrderCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GetAddForm"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.GetEditForm Method

SellerOrderCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GetEditForm"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.GetTableHandler Method

SellerOrderCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<SellerOrder, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of SellerOrder, Guid)
protected:
virtual IAjaxTableHandler<SellerOrder^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<SellerOrder, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<SellerOrder, Guid>

Return Value

Type: IAjaxTableHandler SellerOrder, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.GetTableHandler"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.SetInvalid Method

SellerOrderCrudControllerSetInvalid Method

作废订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult SetInvalid()
Protected Function SetInvalid As IActionResult
protected:
IActionResult^ SetInvalid()
member SetInvalid : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.SetInvalid"]

See Also

Reference

SellerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form Class

SellerOrderCrudControllerForm Class
订单表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder SellerOrder, Guid, SellerOrderCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder SellerOrder, Guid, SellerOrderCrudControllerForm
ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<SellerOrder, Guid, SellerOrderCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of SellerOrder, Guid, SellerOrderCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<SellerOrder^, Guid, SellerOrderCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<SellerOrder, Guid, SellerOrderCrudControllerForm>
    end

The SellerOrderCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | SellerOrderCrudControllerForm | Initializes a new instance of the SellerOrderCrudControllerForm class
Top
Properties
 | Name | Description
Public property | BaseInformationHtml | 基本信息的Html
Public property | DeliveryRecordsHtml | 发货记录的Html
Public property | OrderComment | 添加订单留言
Public property | OrderCommentsHtml | 订单留言的Html
Public property | OrderRecordsHtml | 订单记录的Html
Public property | ReleatedTransactionsHtml | 关联交易的Html
Public property | Remark | 备注
Public property | RemarkFlags | 备注旗帜
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form Constructor

SellerOrderCrudControllerForm Constructor

Initializes a new instance of the SellerOrderCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


Form Properties

The SellerOrderCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | BaseInformationHtml | 基本信息的Html
Public property | DeliveryRecordsHtml | 发货记录的Html
Public property | OrderComment | 添加订单留言
Public property | OrderCommentsHtml | 订单留言的Html
Public property | OrderRecordsHtml | 订单记录的Html
Public property | ReleatedTransactionsHtml | 关联交易的Html
Public property | Remark | 备注
Public property | RemarkFlags | 备注旗帜
Top
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.BaseInformationHtml Property

SellerOrderCrudControllerFormBaseInformationHtml Property

基本信息的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString BaseInformationHtml { get; set; }
Public Property BaseInformationHtml As HtmlString
    Get
    Set
public:
property HtmlString^ BaseInformationHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member BaseInformationHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.DeliveryRecordsHtml Property

SellerOrderCrudControllerFormDeliveryRecordsHtml Property

发货记录的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString DeliveryRecordsHtml { get; set; }
Public Property DeliveryRecordsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ DeliveryRecordsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member DeliveryRecordsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.OrderComment Property

SellerOrderCrudControllerFormOrderComment Property

添加订单留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderComment { get; set; }
Public Property OrderComment As String
    Get
    Set
public:
property String^ OrderComment {
    String^ get ();
    void set (String^ value);
}
member OrderComment : string with get, set

Property Value

Type: String
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.OrderCommentsHtml Property

SellerOrderCrudControllerFormOrderCommentsHtml Property

订单留言的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderCommentsHtml { get; set; }
Public Property OrderCommentsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ OrderCommentsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderCommentsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.OrderRecordsHtml Property

SellerOrderCrudControllerFormOrderRecordsHtml Property

订单记录的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderRecordsHtml { get; set; }
Public Property OrderRecordsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ OrderRecordsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderRecordsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.ReleatedTransactionsHtml Property

SellerOrderCrudControllerFormReleatedTransactionsHtml Property

关联交易的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString ReleatedTransactionsHtml { get; set; }
Public Property ReleatedTransactionsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ ReleatedTransactionsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member ReleatedTransactionsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.Remark Property

SellerOrderCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.RemarkFlags Property

SellerOrderCrudControllerFormRemarkFlags Property

备注旗帜

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderRemarkFlags RemarkFlags { get; set; }
Public Property RemarkFlags As OrderRemarkFlags
    Get
    Set
public:
property OrderRemarkFlags RemarkFlags {
    OrderRemarkFlags get ();
    void set (OrderRemarkFlags value);
}
member RemarkFlags : OrderRemarkFlags with get, set

Property Value

Type: OrderRemarkFlags
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


Form Methods

The SellerOrderCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.OnBind Method

SellerOrderCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    SellerOrder bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As SellerOrder
)
protected:
virtual void OnBind(
    SellerOrder^ bindFrom
) override
abstract OnBind :
        bindFrom : SellerOrder -> unit
override OnBind :
        bindFrom : SellerOrder -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.Form.OnSubmit Method

SellerOrderCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    SellerOrder saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As SellerOrder
) As Object
protected:
virtual Object^ OnSubmit(
    SellerOrder^ saveTo
) override
abstract OnSubmit :
        saveTo : SellerOrder -> Object
override OnSubmit :
        saveTo : SellerOrder -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

SellerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TableHandler Class

SellerOrderCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase SellerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<SellerOrder, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of SellerOrder, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<SellerOrder^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<SellerOrder, Guid>
    end

The SellerOrderCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | SellerOrderCrudControllerTableHandler | Initializes a new instance of the SellerOrderCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TableHandler Constructor

SellerOrderCrudControllerTableHandler Constructor

Initializes a new instance of the SellerOrderCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

SellerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


TableHandler Methods

The SellerOrderCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

SellerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TableHandler.BuildTable Method

SellerOrderCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

SellerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TableHandler.OnQuery Method

SellerOrderCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<SellerOrder> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of SellerOrder)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<SellerOrder^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<SellerOrder> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<SellerOrder> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder}@)"]

query
Type: System.LinqIQueryable SellerOrder

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

SellerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TableHandler.OnResponse Method

SellerOrderCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

SellerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


SellerOrderCrudController.TableHandler.OnSelect Method

SellerOrderCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<SellerOrder>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of SellerOrder))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<SellerOrder^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<SellerOrder>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<SellerOrder>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow SellerOrder

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

SellerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController Class
前台的收货地址管理的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase ShippingAddress, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase ShippingAddress, Guid
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesCrudUserPanelControllerBase ShippingAddress, Guid
ZKWeb.Plugins.Shopping.Order.src.ControllersShippingAddressCrudController

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ShippingAddressCrudController : CrudUserPanelControllerBase<ShippingAddress, Guid>
Public Class ShippingAddressCrudController
    Inherits CrudUserPanelControllerBase(Of ShippingAddress, Guid)
public ref class ShippingAddressCrudController : public CrudUserPanelControllerBase<ShippingAddress^, Guid>
type ShippingAddressCrudController =
    class
        inherit CrudUserPanelControllerBase<ShippingAddress, Guid>
    end

The ShippingAddressCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressCrudController | Initializes a new instance of the ShippingAddressCrudController class
Top
Properties
 | Name | Description
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController Constructor

Initializes a new instance of the ShippingAddressCrudController class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ShippingAddressCrudController()
Public Sub New
public:
ShippingAddressCrudController()
new : unit -> ShippingAddressCrudController
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController Properties

The ShippingAddressCrudController type exposes the following members.

Properties
 | Name | Description
Public property | EntityTypeName | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEntityTypeName.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.EntityTypeName Property

ShippingAddressCrudControllerEntityTypeName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.EntityTypeName"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EntityTypeName { get; }
Public Overrides ReadOnly Property EntityTypeName As String
    Get
public:
virtual property String^ EntityTypeName {
    String^ get () override;
}
abstract EntityTypeName : string with get
override EntityTypeName : string with get

Property Value

Type: String

Implements

ICrudControllerEntityTypeName
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Group Property

ShippingAddressCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.GroupIconClass Property

ShippingAddressCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.IconClass Property

ShippingAddressCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Name Property

ShippingAddressCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Url Property

ShippingAddressCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController Methods

The ShippingAddressCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.GetAddForm Method

ShippingAddressCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GetAddForm"]

See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.GetEditForm Method

ShippingAddressCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GetEditForm"]

See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.GetTableHandler Method

ShippingAddressCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<ShippingAddress, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of ShippingAddress, Guid)
protected:
virtual IAjaxTableHandler<ShippingAddress^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<ShippingAddress, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<ShippingAddress, Guid>

Return Value

Type: IAjaxTableHandler ShippingAddress, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.GetTableHandler"]

See Also

Reference

ShippingAddressCrudController Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form Class

ShippingAddressCrudControllerForm Class
添加和编辑收货地址使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder ShippingAddress, Guid, ShippingAddressCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder ShippingAddress, Guid, ShippingAddressCrudControllerForm
ZKWeb.Plugins.Shopping.Order.src.ControllersShippingAddressCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<ShippingAddress, Guid, ShippingAddressCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of ShippingAddress, Guid, ShippingAddressCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<ShippingAddress^, Guid, ShippingAddressCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<ShippingAddress, Guid, ShippingAddressCrudControllerForm>
    end

The ShippingAddressCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressCrudControllerForm | Initializes a new instance of the ShippingAddressCrudControllerForm class
Top
Properties
 | Name | Description
Public property | DetailedAddress | 详细地址
Public property | DisplayOrder | 显示顺序
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话/手机
Public property | Region | 地区
Public property | Remark | 备注
Public property | ZipCode | 邮政编码
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form Constructor

ShippingAddressCrudControllerForm Constructor

Initializes a new instance of the ShippingAddressCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


Form Properties

The ShippingAddressCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | DetailedAddress | 详细地址
Public property | DisplayOrder | 显示顺序
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话/手机
Public property | Region | 地区
Public property | Remark | 备注
Public property | ZipCode | 邮政编码
Top
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.DetailedAddress Property

ShippingAddressCrudControllerFormDetailedAddress Property

详细地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DetailedAddress { get; set; }
Public Property DetailedAddress As String
    Get
    Set
public:
property String^ DetailedAddress {
    String^ get ();
    void set (String^ value);
}
member DetailedAddress : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.DisplayOrder Property

ShippingAddressCrudControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.ReceiverName Property

ShippingAddressCrudControllerFormReceiverName Property

收货人姓名

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReceiverName { get; set; }
Public Property ReceiverName As String
    Get
    Set
public:
property String^ ReceiverName {
    String^ get ();
    void set (String^ value);
}
member ReceiverName : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.ReceiverTel Property

ShippingAddressCrudControllerFormReceiverTel Property

收货人电话/手机

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReceiverTel { get; set; }
Public Property ReceiverTel As String
    Get
    Set
public:
property String^ ReceiverTel {
    String^ get ();
    void set (String^ value);
}
member ReceiverTel : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.Region Property

ShippingAddressCrudControllerFormRegion Property

地区

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountryAndRegion Region { get; set; }
Public Property Region As CountryAndRegion
    Get
    Set
public:
property CountryAndRegion^ Region {
    CountryAndRegion^ get ();
    void set (CountryAndRegion^ value);
}
member Region : CountryAndRegion with get, set

Property Value

Type: CountryAndRegion
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.Remark Property

ShippingAddressCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.ZipCode Property

ShippingAddressCrudControllerFormZipCode Property

邮政编码

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ZipCode { get; set; }
Public Property ZipCode As String
    Get
    Set
public:
property String^ ZipCode {
    String^ get ();
    void set (String^ value);
}
member ZipCode : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


Form Methods

The ShippingAddressCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.OnBind Method

ShippingAddressCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    ShippingAddress bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As ShippingAddress
)
protected:
virtual void OnBind(
    ShippingAddress^ bindFrom
) override
abstract OnBind :
        bindFrom : ShippingAddress -> unit
override OnBind :
        bindFrom : ShippingAddress -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesShippingAddress

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress)"]

See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.Form.OnSubmit Method

ShippingAddressCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    ShippingAddress saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As ShippingAddress
) As Object
protected:
virtual Object^ OnSubmit(
    ShippingAddress^ saveTo
) override
abstract OnSubmit :
        saveTo : ShippingAddress -> Object
override OnSubmit :
        saveTo : ShippingAddress -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesShippingAddress

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress)"]

See Also

Reference

ShippingAddressCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.TableCallback Class

ShippingAddressCrudControllerTableCallback Class
表单回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase ShippingAddress, Guid
ZKWeb.Plugins.Shopping.Order.src.ControllersShippingAddressCrudControllerTableCallback

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableCallback : AjaxTableHandlerBase<ShippingAddress, Guid>
Public Class TableCallback
    Inherits AjaxTableHandlerBase(Of ShippingAddress, Guid)
public ref class TableCallback : public AjaxTableHandlerBase<ShippingAddress^, Guid>
type TableCallback =
    class
        inherit AjaxTableHandlerBase<ShippingAddress, Guid>
    end

The ShippingAddressCrudControllerTableCallback type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressCrudControllerTableCallback | Initializes a new instance of the ShippingAddressCrudControllerTableCallback class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.TableCallback Constructor

ShippingAddressCrudControllerTableCallback Constructor

Initializes a new instance of the ShippingAddressCrudControllerTableCallback class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableCallback()
Public Sub New
public:
TableCallback()
new : unit -> TableCallback
See Also

Reference

ShippingAddressCrudControllerTableCallback Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


TableCallback Methods

The ShippingAddressCrudControllerTableCallback type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ShippingAddressCrudControllerTableCallback Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.TableCallback.BuildTable Method

ShippingAddressCrudControllerTableCallbackBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

ShippingAddressCrudControllerTableCallback Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.TableCallback.OnQuery Method

ShippingAddressCrudControllerTableCallbackOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<ShippingAddress> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ShippingAddress)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<ShippingAddress^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ShippingAddress> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ShippingAddress> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress}@)"]

query
Type: System.LinqIQueryable ShippingAddress

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ShippingAddressCrudControllerTableCallback Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.TableCallback.OnResponse Method

ShippingAddressCrudControllerTableCallbackOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ShippingAddressCrudControllerTableCallback Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ShippingAddressCrudController.TableCallback.OnSelect Method

ShippingAddressCrudControllerTableCallbackOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<ShippingAddress>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of ShippingAddress))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<ShippingAddress^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ShippingAddress>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ShippingAddress>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow ShippingAddress

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Controllers.ShippingAddressCrudController.TableCallback.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ShippingAddressCrudControllerTableCallback Class
ZKWeb.Plugins.Shopping.Order.src.Controllers Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities |
ZKWeb.Plugins.Shopping.Order.src.Domain.Enums |
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions |
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories |
ZKWeb.Plugins.Shopping.Order.src.Domain.Services |
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs |


ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities |
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases |


ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities"]

Classes
 | Class | Description
Public class | BuyerOrder | 买家订单 需要获取参数和状态时应该查看关联的卖家订单 需要修改参数和状态时应该修改关联的卖家订单
Public class | CartProduct | 购物车商品 可以属于用户也可以属于会话，属于会话时需要指定比较短的过期时间 类型可以是默认也可以是立刻购买，立刻购买时需要指定比较短的过期时间
Public class | OrderComment | 订单留言
Public class | OrderDelivery | 订单发货单
Public class | OrderDeliveryToOrderProduct | 订单发货单包含的商品 多对多表，包含了发货件数
Public class | OrderProduct | 订单商品
Public class | OrderProductToPropertyValue | 订单商品关联的属性值 一般用于统计销量
Public class | SellerOrder | 卖家订单 保存订单的参数和状态 不和买家订单关联避免循环依赖
Public class | ShippingAddress | 收货地址


BuyerOrder Class
买家订单 需要获取参数和状态时应该查看关联的卖家订单 需要修改参数和状态时应该修改关联的卖家订单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BasesOrderBase BuyerOrder
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BuyerOrder : OrderBase<BuyerOrder>
Public Class BuyerOrder
    Inherits OrderBase(Of BuyerOrder)
public ref class BuyerOrder : public OrderBase<BuyerOrder^>
type BuyerOrder =
    class
        inherit OrderBase<BuyerOrder>
    end

The BuyerOrder type exposes the following members.

Constructors
 | Name | Description
Public method | BuyerOrder | Initializes a new instance of the BuyerOrder class
Top
Properties
 | Name | Description
Public property | BuyerSessionId | 买家的会话Id 仅用于非会员下单
Public property | SellerOrder | 卖家订单
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构 (Overrides OrderBaseTOrderConfigure(IEntityMappingBuilderTOrder).)
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ToDisplayInfo | 转换订单到显示信息 (Defined by BuyerOrderExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder Constructor

Initializes a new instance of the BuyerOrder class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BuyerOrder()
Public Sub New
public:
BuyerOrder()
new : unit -> BuyerOrder
See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder Properties

The BuyerOrder type exposes the following members.

Properties
 | Name | Description
Public property | BuyerSessionId | 买家的会话Id 仅用于非会员下单
Public property | SellerOrder | 卖家订单
Top
See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder.BuyerSessionId Property

BuyerOrderBuyerSessionId Property

买家的会话Id 仅用于非会员下单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<Guid> BuyerSessionId { get; set; }
Public Overridable Property BuyerSessionId As Nullable(Of Guid)
    Get
    Set
public:
virtual property Nullable<Guid> BuyerSessionId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
abstract BuyerSessionId : Nullable<Guid> with get, set
override BuyerSessionId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder.SellerOrder Property

BuyerOrderSellerOrder Property

卖家订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual SellerOrder SellerOrder { get; set; }
Public Overridable Property SellerOrder As SellerOrder
    Get
    Set
public:
virtual property SellerOrder^ SellerOrder {
    SellerOrder^ get ();
    void set (SellerOrder^ value);
}
abstract SellerOrder : SellerOrder with get, set
override SellerOrder : SellerOrder with get, set

Property Value

Type: SellerOrder
See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder Methods

The BuyerOrder type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构 (Overrides OrderBaseTOrderConfigure(IEntityMappingBuilderTOrder).)
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ToDisplayInfo | 转换订单到显示信息 (Defined by BuyerOrderExtensions.)
Top
See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder.Configure Method

BuyerOrderConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Configure(
    IEntityMappingBuilder<BuyerOrder> builder
)
Public Overrides Sub Configure (
    builder As IEntityMappingBuilder(Of BuyerOrder)
)
public:
virtual void Configure(
    IEntityMappingBuilder<BuyerOrder^>^ builder
) override
abstract Configure :
        builder : IEntityMappingBuilder<BuyerOrder> -> unit
override Configure :
        builder : IEntityMappingBuilder<BuyerOrder> -> unit

Parameters

builder
Type: IEntityMappingBuilderBuyerOrder

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


BuyerOrder.ToString Method

BuyerOrderToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder.ToString"]

See Also

Reference

BuyerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct Class
购物车商品 可以属于用户也可以属于会话，属于会话时需要指定比较短的过期时间 类型可以是默认也可以是立刻购买，立刻购买时需要指定比较短的过期时间
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesCartProduct

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CartProduct : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<CartProduct>, IEntityMappingProvider
Public Class CartProduct
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveOwner,
    IEntity(Of Guid), IEntityMappingProvider(Of CartProduct), IEntityMappingProvider
public ref class CartProduct : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<CartProduct^>, IEntityMappingProvider
type CartProduct =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveOwner
        interface IEntity<Guid>
        interface IEntityMappingProvider<CartProduct>
        interface IEntityMappingProvider
    end

The CartProduct type exposes the following members.

Constructors
 | Name | Description
Public method | CartProduct | 初始化
Top
Properties
 | Name | Description
Public property | Count | 购买数量
Public property | CreateTime | 创建时间
Public property | ExpireTime | 过期时间
Public property | Id | 数据Id
Public property | MatchParameters | 商品匹配参数 包含规格等信息 这里会包含购买数量但不应该使用这里的数量
Public property | Owner | 所属人用户 没有时等于null
Public property | OwnerSessionId | 所属人会话Id 已有用户时等于null
Public property | Product | 商品
Public property | Type | 类型 默认或立刻购买
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | ToCreateOrderProductParameters | 从购物车商品构建订单商品创建参数 (Defined by CartProductExtensions.)
Public Extension Method | ToOrderProductDisplayInfo | 从购物车商品生成显示信息 生成后会设置购物车商品Id到附加数据 (Defined by CartProductExtensions.)
Public Extension Method | UpdateOrderCount | 更新购物车商品的订购数量 (Defined by CartProductExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CartProduct()
Public Sub New
public:
CartProduct()
new : unit -> CartProduct
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct Properties

The CartProduct type exposes the following members.

Properties
 | Name | Description
Public property | Count | 购买数量
Public property | CreateTime | 创建时间
Public property | ExpireTime | 过期时间
Public property | Id | 数据Id
Public property | MatchParameters | 商品匹配参数 包含规格等信息 这里会包含购买数量但不应该使用这里的数量
Public property | Owner | 所属人用户 没有时等于null
Public property | OwnerSessionId | 所属人会话Id 已有用户时等于null
Public property | Product | 商品
Public property | Type | 类型 默认或立刻购买
Public property | UpdateTime | 更新时间
Top
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.Count Property

CartProductCount Property

购买数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long Count { get; set; }
Public Overridable Property Count As Long
    Get
    Set
public:
virtual property long long Count {
    long long get ();
    void set (long long value);
}
abstract Count : int64 with get, set
override Count : int64 with get, set

Property Value

Type: Int64
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.CreateTime Property

CartProductCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.ExpireTime Property

CartProductExpireTime Property

过期时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime ExpireTime { get; set; }
Public Overridable Property ExpireTime As DateTime
    Get
    Set
public:
virtual property DateTime ExpireTime {
    DateTime get ();
    void set (DateTime value);
}
abstract ExpireTime : DateTime with get, set
override ExpireTime : DateTime with get, set

Property Value

Type: DateTime
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.Id Property

CartProductId Property

数据Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.MatchParameters Property

CartProductMatchParameters Property

商品匹配参数 包含规格等信息 这里会包含购买数量但不应该使用这里的数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductMatchParameters MatchParameters { get; set; }
Public Overridable Property MatchParameters As ProductMatchParameters
    Get
    Set
public:
virtual property ProductMatchParameters^ MatchParameters {
    ProductMatchParameters^ get ();
    void set (ProductMatchParameters^ value);
}
abstract MatchParameters : ProductMatchParameters with get, set
override MatchParameters : ProductMatchParameters with get, set

Property Value

Type: ProductMatchParameters
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.Owner Property

CartProductOwner Property

所属人用户 没有时等于null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User

Implements

IHaveOwnerOwner
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.OwnerSessionId Property

CartProductOwnerSessionId Property

所属人会话Id 已有用户时等于null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<Guid> OwnerSessionId { get; set; }
Public Overridable Property OwnerSessionId As Nullable(Of Guid)
    Get
    Set
public:
virtual property Nullable<Guid> OwnerSessionId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
abstract OwnerSessionId : Nullable<Guid> with get, set
override OwnerSessionId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.Product Property

CartProductProduct Property

商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product Product { get; set; }
Public Overridable Property Product As Product
    Get
    Set
public:
virtual property Product^ Product {
    Product^ get ();
    void set (Product^ value);
}
abstract Product : Product with get, set
override Product : Product with get, set

Property Value

Type: Product
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.Type Property

CartProductType Property

类型 默认或立刻购买

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual CartProductType Type { get; set; }
Public Overridable Property Type As CartProductType
    Get
    Set
public:
virtual property CartProductType Type {
    CartProductType get ();
    void set (CartProductType value);
}
abstract Type : CartProductType with get, set
override Type : CartProductType with get, set

Property Value

Type: CartProductType
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.UpdateTime Property

CartProductUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct Methods

The CartProduct type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | ToCreateOrderProductParameters | 从购物车商品构建订单商品创建参数 (Defined by CartProductExtensions.)
Public Extension Method | ToOrderProductDisplayInfo | 从购物车商品生成显示信息 生成后会设置购物车商品Id到附加数据 (Defined by CartProductExtensions.)
Public Extension Method | UpdateOrderCount | 更新购物车商品的订购数量 (Defined by CartProductExtensions.)
Top
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


CartProduct.Configure Method

CartProductConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<CartProduct> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of CartProduct)
)
public:
virtual void Configure(
    IEntityMappingBuilder<CartProduct^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<CartProduct> -> unit
override Configure :
        builder : IEntityMappingBuilder<CartProduct> -> unit

Parameters

builder
Type: IEntityMappingBuilderCartProduct

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.CartProduct.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.CartProduct})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

CartProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment Class
订单留言
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderComment

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderComment : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<OrderComment>, IEntityMappingProvider
Public Class OrderComment
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveOwner,
    IEntity(Of Guid), IEntityMappingProvider(Of OrderComment), IEntityMappingProvider
public ref class OrderComment : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<OrderComment^>, IEntityMappingProvider
type OrderComment =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveOwner
        interface IEntity<Guid>
        interface IEntityMappingProvider<OrderComment>
        interface IEntityMappingProvider
    end

The OrderComment type exposes the following members.

Constructors
 | Name | Description
Public method | OrderComment | Initializes a new instance of the OrderComment class
Top
Properties
 | Name | Description
Public property | Contents | 留言内容
Public property | CreateTime | 创建时间
Public property | Id | 留言Id
Public property | Order | 所属订单
Public property | Owner | 所属人(留言人) 非会员下单留言时等于null
Public property | Side | 买家或卖家留言
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment Constructor

Initializes a new instance of the OrderComment class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderComment()
Public Sub New
public:
OrderComment()
new : unit -> OrderComment
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment Properties

The OrderComment type exposes the following members.

Properties
 | Name | Description
Public property | Contents | 留言内容
Public property | CreateTime | 创建时间
Public property | Id | 留言Id
Public property | Order | 所属订单
Public property | Owner | 所属人(留言人) 非会员下单留言时等于null
Public property | Side | 买家或卖家留言
Public property | UpdateTime | 更新时间
Top
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.Contents Property

OrderCommentContents Property

留言内容

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Contents { get; set; }
Public Overridable Property Contents As String
    Get
    Set
public:
virtual property String^ Contents {
    String^ get ();
    void set (String^ value);
}
abstract Contents : string with get, set
override Contents : string with get, set

Property Value

Type: String
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.CreateTime Property

OrderCommentCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.Id Property

OrderCommentId Property

留言Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.Order Property

OrderCommentOrder Property

所属订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual SellerOrder Order { get; set; }
Public Overridable Property Order As SellerOrder
    Get
    Set
public:
virtual property SellerOrder^ Order {
    SellerOrder^ get ();
    void set (SellerOrder^ value);
}
abstract Order : SellerOrder with get, set
override Order : SellerOrder with get, set

Property Value

Type: SellerOrder
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.Owner Property

OrderCommentOwner Property

所属人(留言人) 非会员下单留言时等于null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User

Implements

IHaveOwnerOwner
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.Side Property

OrderCommentSide Property

买家或卖家留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderCommentSide Side { get; set; }
Public Overridable Property Side As OrderCommentSide
    Get
    Set
public:
virtual property OrderCommentSide Side {
    OrderCommentSide get ();
    void set (OrderCommentSide value);
}
abstract Side : OrderCommentSide with get, set
override Side : OrderCommentSide with get, set

Property Value

Type: OrderCommentSide
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.UpdateTime Property

OrderCommentUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment Methods

The OrderComment type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderComment.Configure Method

OrderCommentConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<OrderComment> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of OrderComment)
)
public:
virtual void Configure(
    IEntityMappingBuilder<OrderComment^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<OrderComment> -> unit
override Configure :
        builder : IEntityMappingBuilder<OrderComment> -> unit

Parameters

builder
Type: IEntityMappingBuilderOrderComment

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderComment.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderComment})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

OrderComment Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery Class
订单发货单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderDelivery

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDelivery : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IEntity<Guid>, IEntityMappingProvider<OrderDelivery>,
    IEntityMappingProvider
Public Class OrderDelivery
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IEntity(Of Guid),
    IEntityMappingProvider(Of OrderDelivery), IEntityMappingProvider
public ref class OrderDelivery : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IEntity<Guid>, IEntityMappingProvider<OrderDelivery^>,
    IEntityMappingProvider
type OrderDelivery =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IEntity<Guid>
        interface IEntityMappingProvider<OrderDelivery>
        interface IEntityMappingProvider
    end

The OrderDelivery type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDelivery | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Id | 发货单Id
Public property | Logistics | 使用的物流
Public property | LogisticsSerial | 物流给出的发货编号（快递单编号） 虚拟发货时不需要
Public property | Operator | 发货人 允许但一般不等于null
Public property | Order | 所属订单
Public property | OrderProducts | 包含的商品集合
Public property | Remark | 备注
Public property | Serial | 发货单编号，唯一键
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDelivery()
Public Sub New
public:
OrderDelivery()
new : unit -> OrderDelivery
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery Properties

The OrderDelivery type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Id | 发货单Id
Public property | Logistics | 使用的物流
Public property | LogisticsSerial | 物流给出的发货编号（快递单编号） 虚拟发货时不需要
Public property | Operator | 发货人 允许但一般不等于null
Public property | Order | 所属订单
Public property | OrderProducts | 包含的商品集合
Public property | Remark | 备注
Public property | Serial | 发货单编号，唯一键
Public property | UpdateTime | 更新时间
Top
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.CreateTime Property

OrderDeliveryCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Id Property

OrderDeliveryId Property

发货单Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Logistics Property

OrderDeliveryLogistics Property

使用的物流

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Logistics Logistics { get; set; }
Public Overridable Property Logistics As Logistics
    Get
    Set
public:
virtual property Logistics^ Logistics {
    Logistics^ get ();
    void set (Logistics^ value);
}
abstract Logistics : Logistics with get, set
override Logistics : Logistics with get, set

Property Value

Type: Logistics
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.LogisticsSerial Property

OrderDeliveryLogisticsSerial Property

物流给出的发货编号（快递单编号） 虚拟发货时不需要

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string LogisticsSerial { get; set; }
Public Overridable Property LogisticsSerial As String
    Get
    Set
public:
virtual property String^ LogisticsSerial {
    String^ get ();
    void set (String^ value);
}
abstract LogisticsSerial : string with get, set
override LogisticsSerial : string with get, set

Property Value

Type: String
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Operator Property

OrderDeliveryOperator Property

发货人 允许但一般不等于null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Operator { get; set; }
Public Overridable Property Operator As User
    Get
    Set
public:
virtual property User^ Operator {
    User^ get ();
    void set (User^ value);
}
abstract Operator : User with get, set
override Operator : User with get, set

Property Value

Type: User
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Order Property

OrderDeliveryOrder Property

所属订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual SellerOrder Order { get; set; }
Public Overridable Property Order As SellerOrder
    Get
    Set
public:
virtual property SellerOrder^ Order {
    SellerOrder^ get ();
    void set (SellerOrder^ value);
}
abstract Order : SellerOrder with get, set
override Order : SellerOrder with get, set

Property Value

Type: SellerOrder
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.OrderProducts Property

OrderDeliveryOrderProducts Property

包含的商品集合

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<OrderDeliveryToOrderProduct> OrderProducts { get; set; }
Public Overridable Property OrderProducts As ISet(Of OrderDeliveryToOrderProduct)
    Get
    Set
public:
virtual property ISet<OrderDeliveryToOrderProduct^>^ OrderProducts {
    ISet<OrderDeliveryToOrderProduct^>^ get ();
    void set (ISet<OrderDeliveryToOrderProduct^>^ value);
}
abstract OrderProducts : ISet<OrderDeliveryToOrderProduct> with get, set
override OrderProducts : ISet<OrderDeliveryToOrderProduct> with get, set

Property Value

Type: ISet OrderDeliveryToOrderProduct
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Remark Property

OrderDeliveryRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Serial Property

OrderDeliverySerial Property

发货单编号，唯一键

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Serial { get; set; }
Public Overridable Property Serial As String
    Get
    Set
public:
virtual property String^ Serial {
    String^ get ();
    void set (String^ value);
}
abstract Serial : string with get, set
override Serial : string with get, set

Property Value

Type: String
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.UpdateTime Property

OrderDeliveryUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery Methods

The OrderDelivery type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDelivery.Configure Method

OrderDeliveryConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<OrderDelivery> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of OrderDelivery)
)
public:
virtual void Configure(
    IEntityMappingBuilder<OrderDelivery^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<OrderDelivery> -> unit
override Configure :
        builder : IEntityMappingBuilder<OrderDelivery> -> unit

Parameters

builder
Type: IEntityMappingBuilderOrderDelivery

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

OrderDelivery Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct Class
订单发货单包含的商品 多对多表，包含了发货件数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderDeliveryToOrderProduct

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDeliveryToOrderProduct : IEntity<Guid>,
    IEntity, IEntityMappingProvider<OrderDeliveryToOrderProduct>, IEntityMappingProvider
Public Class OrderDeliveryToOrderProduct
    Implements IEntity(Of Guid), IEntity,
    IEntityMappingProvider(Of OrderDeliveryToOrderProduct), IEntityMappingProvider
public ref class OrderDeliveryToOrderProduct : IEntity<Guid>,
    IEntity, IEntityMappingProvider<OrderDeliveryToOrderProduct^>, IEntityMappingProvider
type OrderDeliveryToOrderProduct =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IEntityMappingProvider<OrderDeliveryToOrderProduct>
        interface IEntityMappingProvider
    end

The OrderDeliveryToOrderProduct type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDeliveryToOrderProduct | Initializes a new instance of the OrderDeliveryToOrderProduct class
Top
Properties
 | Name | Description
Public property | Count | 发货件数
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | OrderDelivery | 发货单
Public property | OrderProduct | 订单商品
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct Constructor

Initializes a new instance of the OrderDeliveryToOrderProduct class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDeliveryToOrderProduct()
Public Sub New
public:
OrderDeliveryToOrderProduct()
new : unit -> OrderDeliveryToOrderProduct
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct Properties

The OrderDeliveryToOrderProduct type exposes the following members.

Properties
 | Name | Description
Public property | Count | 发货件数
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | OrderDelivery | 发货单
Public property | OrderProduct | 订单商品
Top
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct.Count Property

OrderDeliveryToOrderProductCount Property

发货件数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long Count { get; set; }
Public Overridable Property Count As Long
    Get
    Set
public:
virtual property long long Count {
    long long get ();
    void set (long long value);
}
abstract Count : int64 with get, set
override Count : int64 with get, set

Property Value

Type: Int64
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct.Id Property

OrderDeliveryToOrderProductId Property

数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct.OrderDelivery Property

OrderDeliveryToOrderProductOrderDelivery Property

发货单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderDelivery OrderDelivery { get; set; }
Public Overridable Property OrderDelivery As OrderDelivery
    Get
    Set
public:
virtual property OrderDelivery^ OrderDelivery {
    OrderDelivery^ get ();
    void set (OrderDelivery^ value);
}
abstract OrderDelivery : OrderDelivery with get, set
override OrderDelivery : OrderDelivery with get, set

Property Value

Type: OrderDelivery
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct.OrderProduct Property

OrderDeliveryToOrderProductOrderProduct Property

订单商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderProduct OrderProduct { get; set; }
Public Overridable Property OrderProduct As OrderProduct
    Get
    Set
public:
virtual property OrderProduct^ OrderProduct {
    OrderProduct^ get ();
    void set (OrderProduct^ value);
}
abstract OrderProduct : OrderProduct with get, set
override OrderProduct : OrderProduct with get, set

Property Value

Type: OrderProduct
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct Methods

The OrderDeliveryToOrderProduct type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderDeliveryToOrderProduct.Configure Method

OrderDeliveryToOrderProductConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<OrderDeliveryToOrderProduct> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of OrderDeliveryToOrderProduct)
)
public:
virtual void Configure(
    IEntityMappingBuilder<OrderDeliveryToOrderProduct^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<OrderDeliveryToOrderProduct> -> unit
override Configure :
        builder : IEntityMappingBuilder<OrderDeliveryToOrderProduct> -> unit

Parameters

builder
Type: IEntityMappingBuilderOrderDeliveryToOrderProduct

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDeliveryToOrderProduct.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDeliveryToOrderProduct})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

OrderDeliveryToOrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct Class
订单商品
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderProduct

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderProduct : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IEntity<Guid>, IEntityMappingProvider<OrderProduct>,
    IEntityMappingProvider
Public Class OrderProduct
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IEntity(Of Guid),
    IEntityMappingProvider(Of OrderProduct), IEntityMappingProvider
public ref class OrderProduct : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IEntity<Guid>, IEntityMappingProvider<OrderProduct^>,
    IEntityMappingProvider
type OrderProduct =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IEntity<Guid>
        interface IEntityMappingProvider<OrderProduct>
        interface IEntityMappingProvider
    end

The OrderProduct type exposes the following members.

Constructors
 | Name | Description
Public method | OrderProduct | 初始化
Top
Properties
 | Name | Description
Public property | Count | 购买数量
Public property | CreateTime | 创建时间
Public property | Currency | 单价的货币
Public property | Deliveries | 发货记录
Public property | Id | 订单商品Id
Public property | Items | 附加数据
Public property | MatchParameters | 商品匹配参数 包含规格等信息，这里会包含购买数量但不应该使用这里的数量
Public property | Order | 所属的订单
Public property | OriginalUnitPriceCalcResult | 原始单价的计算结果 下单时生成且之后不会改变
Public property | Product | 对应的商品
Public property | PropertyValues | 关联的属性值集合
Public property | UnitPrice | 单价
Public property | UnitPriceCalcResult | 单价的计算结果
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | ToDisplayInfo | 转换订单商品到显示信息 (Defined by OrderProductExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderProduct()
Public Sub New
public:
OrderProduct()
new : unit -> OrderProduct
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct Properties

The OrderProduct type exposes the following members.

Properties
 | Name | Description
Public property | Count | 购买数量
Public property | CreateTime | 创建时间
Public property | Currency | 单价的货币
Public property | Deliveries | 发货记录
Public property | Id | 订单商品Id
Public property | Items | 附加数据
Public property | MatchParameters | 商品匹配参数 包含规格等信息，这里会包含购买数量但不应该使用这里的数量
Public property | Order | 所属的订单
Public property | OriginalUnitPriceCalcResult | 原始单价的计算结果 下单时生成且之后不会改变
Public property | Product | 对应的商品
Public property | PropertyValues | 关联的属性值集合
Public property | UnitPrice | 单价
Public property | UnitPriceCalcResult | 单价的计算结果
Public property | UpdateTime | 更新时间
Top
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Count Property

OrderProductCount Property

购买数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long Count { get; set; }
Public Overridable Property Count As Long
    Get
    Set
public:
virtual property long long Count {
    long long get ();
    void set (long long value);
}
abstract Count : int64 with get, set
override Count : int64 with get, set

Property Value

Type: Int64
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.CreateTime Property

OrderProductCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Currency Property

OrderProductCurrency Property

单价的货币

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Currency { get; set; }
Public Overridable Property Currency As String
    Get
    Set
public:
virtual property String^ Currency {
    String^ get ();
    void set (String^ value);
}
abstract Currency : string with get, set
override Currency : string with get, set

Property Value

Type: String
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Deliveries Property

OrderProductDeliveries Property

发货记录

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<OrderDeliveryToOrderProduct> Deliveries { get; set; }
Public Overridable Property Deliveries As ISet(Of OrderDeliveryToOrderProduct)
    Get
    Set
public:
virtual property ISet<OrderDeliveryToOrderProduct^>^ Deliveries {
    ISet<OrderDeliveryToOrderProduct^>^ get ();
    void set (ISet<OrderDeliveryToOrderProduct^>^ value);
}
abstract Deliveries : ISet<OrderDeliveryToOrderProduct> with get, set
override Deliveries : ISet<OrderDeliveryToOrderProduct> with get, set

Property Value

Type: ISet OrderDeliveryToOrderProduct
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Id Property

OrderProductId Property

订单商品Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Items Property

OrderProductItems Property

附加数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderProductItems Items { get; set; }
Public Overridable Property Items As OrderProductItems
    Get
    Set
public:
virtual property OrderProductItems^ Items {
    OrderProductItems^ get ();
    void set (OrderProductItems^ value);
}
abstract Items : OrderProductItems with get, set
override Items : OrderProductItems with get, set

Property Value

Type: OrderProductItems
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.MatchParameters Property

OrderProductMatchParameters Property

商品匹配参数 包含规格等信息，这里会包含购买数量但不应该使用这里的数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductMatchParameters MatchParameters { get; set; }
Public Overridable Property MatchParameters As ProductMatchParameters
    Get
    Set
public:
virtual property ProductMatchParameters^ MatchParameters {
    ProductMatchParameters^ get ();
    void set (ProductMatchParameters^ value);
}
abstract MatchParameters : ProductMatchParameters with get, set
override MatchParameters : ProductMatchParameters with get, set

Property Value

Type: ProductMatchParameters
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Order Property

OrderProductOrder Property

所属的订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual SellerOrder Order { get; set; }
Public Overridable Property Order As SellerOrder
    Get
    Set
public:
virtual property SellerOrder^ Order {
    SellerOrder^ get ();
    void set (SellerOrder^ value);
}
abstract Order : SellerOrder with get, set
override Order : SellerOrder with get, set

Property Value

Type: SellerOrder
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.OriginalUnitPriceCalcResult Property

OrderProductOriginalUnitPriceCalcResult Property

原始单价的计算结果 下单时生成且之后不会改变

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderPriceCalcResult OriginalUnitPriceCalcResult { get; set; }
Public Overridable Property OriginalUnitPriceCalcResult As OrderPriceCalcResult
    Get
    Set
public:
virtual property OrderPriceCalcResult^ OriginalUnitPriceCalcResult {
    OrderPriceCalcResult^ get ();
    void set (OrderPriceCalcResult^ value);
}
abstract OriginalUnitPriceCalcResult : OrderPriceCalcResult with get, set
override OriginalUnitPriceCalcResult : OrderPriceCalcResult with get, set

Property Value

Type: OrderPriceCalcResult
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Product Property

OrderProductProduct Property

对应的商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product Product { get; set; }
Public Overridable Property Product As Product
    Get
    Set
public:
virtual property Product^ Product {
    Product^ get ();
    void set (Product^ value);
}
abstract Product : Product with get, set
override Product : Product with get, set

Property Value

Type: Product
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.PropertyValues Property

OrderProductPropertyValues Property

关联的属性值集合

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<OrderProductToPropertyValue> PropertyValues { get; set; }
Public Overridable Property PropertyValues As ISet(Of OrderProductToPropertyValue)
    Get
    Set
public:
virtual property ISet<OrderProductToPropertyValue^>^ PropertyValues {
    ISet<OrderProductToPropertyValue^>^ get ();
    void set (ISet<OrderProductToPropertyValue^>^ value);
}
abstract PropertyValues : ISet<OrderProductToPropertyValue> with get, set
override PropertyValues : ISet<OrderProductToPropertyValue> with get, set

Property Value

Type: ISet OrderProductToPropertyValue
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.UnitPrice Property

OrderProductUnitPrice Property

单价

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual decimal UnitPrice { get; set; }
Public Overridable Property UnitPrice As Decimal
    Get
    Set
public:
virtual property Decimal UnitPrice {
    Decimal get ();
    void set (Decimal value);
}
abstract UnitPrice : decimal with get, set
override UnitPrice : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.UnitPriceCalcResult Property

OrderProductUnitPriceCalcResult Property

单价的计算结果

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderPriceCalcResult UnitPriceCalcResult { get; set; }
Public Overridable Property UnitPriceCalcResult As OrderPriceCalcResult
    Get
    Set
public:
virtual property OrderPriceCalcResult^ UnitPriceCalcResult {
    OrderPriceCalcResult^ get ();
    void set (OrderPriceCalcResult^ value);
}
abstract UnitPriceCalcResult : OrderPriceCalcResult with get, set
override UnitPriceCalcResult : OrderPriceCalcResult with get, set

Property Value

Type: OrderPriceCalcResult
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.UpdateTime Property

OrderProductUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct Methods

The OrderProduct type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | ToDisplayInfo | 转换订单商品到显示信息 (Defined by OrderProductExtensions.)
Top
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProduct.Configure Method

OrderProductConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<OrderProduct> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of OrderProduct)
)
public:
virtual void Configure(
    IEntityMappingBuilder<OrderProduct^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<OrderProduct> -> unit
override Configure :
        builder : IEntityMappingBuilder<OrderProduct> -> unit

Parameters

builder
Type: IEntityMappingBuilderOrderProduct

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderProduct.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderProduct})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

OrderProduct Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue Class
订单商品关联的属性值 一般用于统计销量
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderProductToPropertyValue

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderProductToPropertyValue : IEntity<Guid>,
    IEntity, IEntityMappingProvider<OrderProductToPropertyValue>, IEntityMappingProvider
Public Class OrderProductToPropertyValue
    Implements IEntity(Of Guid), IEntity,
    IEntityMappingProvider(Of OrderProductToPropertyValue), IEntityMappingProvider
public ref class OrderProductToPropertyValue : IEntity<Guid>,
    IEntity, IEntityMappingProvider<OrderProductToPropertyValue^>, IEntityMappingProvider
type OrderProductToPropertyValue =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IEntityMappingProvider<OrderProductToPropertyValue>
        interface IEntityMappingProvider
    end

The OrderProductToPropertyValue type exposes the following members.

Constructors
 | Name | Description
Public method | OrderProductToPropertyValue | Initializes a new instance of the OrderProductToPropertyValue class
Top
Properties
 | Name | Description
Public property | Category | 商品类目 从ProductToPropertyValue复制
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | OrderProduct | 订单商品
Public property | Property | 商品属性 从ProductToPropertyValue复制
Public property | PropertyValue | 商品属性值 从ProductToPropertyValue复制
Public property | PropertyValueName | 属性值名称 从ProductToPropertyValue复制
Top
Methods
 | Name | Description
Public method | Configure | 配置的数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue Constructor

Initializes a new instance of the OrderProductToPropertyValue class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderProductToPropertyValue()
Public Sub New
public:
OrderProductToPropertyValue()
new : unit -> OrderProductToPropertyValue
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue Properties

The OrderProductToPropertyValue type exposes the following members.

Properties
 | Name | Description
Public property | Category | 商品类目 从ProductToPropertyValue复制
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | OrderProduct | 订单商品
Public property | Property | 商品属性 从ProductToPropertyValue复制
Public property | PropertyValue | 商品属性值 从ProductToPropertyValue复制
Public property | PropertyValueName | 属性值名称 从ProductToPropertyValue复制
Top
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.Category Property

OrderProductToPropertyValueCategory Property

商品类目 从ProductToPropertyValue复制

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductCategory Category { get; set; }
Public Overridable Property Category As ProductCategory
    Get
    Set
public:
virtual property ProductCategory^ Category {
    ProductCategory^ get ();
    void set (ProductCategory^ value);
}
abstract Category : ProductCategory with get, set
override Category : ProductCategory with get, set

Property Value

Type: ProductCategory
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.Id Property

OrderProductToPropertyValueId Property

数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.OrderProduct Property

OrderProductToPropertyValueOrderProduct Property

订单商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderProduct OrderProduct { get; set; }
Public Overridable Property OrderProduct As OrderProduct
    Get
    Set
public:
virtual property OrderProduct^ OrderProduct {
    OrderProduct^ get ();
    void set (OrderProduct^ value);
}
abstract OrderProduct : OrderProduct with get, set
override OrderProduct : OrderProduct with get, set

Property Value

Type: OrderProduct
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.Property Property

OrderProductToPropertyValueProperty Property

商品属性 从ProductToPropertyValue复制

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductProperty Property { get; set; }
Public Overridable Property Property As ProductProperty
    Get
    Set
public:
virtual property ProductProperty^ Property {
    ProductProperty^ get ();
    void set (ProductProperty^ value);
}
abstract Property : ProductProperty with get, set
override Property : ProductProperty with get, set

Property Value

Type: ProductProperty
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.PropertyValue Property

OrderProductToPropertyValuePropertyValue Property

商品属性值 从ProductToPropertyValue复制

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductPropertyValue PropertyValue { get; set; }
Public Overridable Property PropertyValue As ProductPropertyValue
    Get
    Set
public:
virtual property ProductPropertyValue^ PropertyValue {
    ProductPropertyValue^ get ();
    void set (ProductPropertyValue^ value);
}
abstract PropertyValue : ProductPropertyValue with get, set
override PropertyValue : ProductPropertyValue with get, set

Property Value

Type: ProductPropertyValue
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.PropertyValueName Property

OrderProductToPropertyValuePropertyValueName Property

属性值名称 从ProductToPropertyValue复制

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string PropertyValueName { get; set; }
Public Overridable Property PropertyValueName As String
    Get
    Set
public:
virtual property String^ PropertyValueName {
    String^ get ();
    void set (String^ value);
}
abstract PropertyValueName : string with get, set
override PropertyValueName : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue Methods

The OrderProductToPropertyValue type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置的数据库结构
Top
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


OrderProductToPropertyValue.Configure Method

OrderProductToPropertyValueConfigure Method

配置的数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<OrderProductToPropertyValue> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of OrderProductToPropertyValue)
)
public:
virtual void Configure(
    IEntityMappingBuilder<OrderProductToPropertyValue^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<OrderProductToPropertyValue> -> unit
override Configure :
        builder : IEntityMappingBuilder<OrderProductToPropertyValue> -> unit

Parameters

builder
Type: IEntityMappingBuilderOrderProductToPropertyValue

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderProductToPropertyValue.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderProductToPropertyValue})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

OrderProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder Class
卖家订单 保存订单的参数和状态 不和买家订单关联避免循环依赖
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BasesOrderBase SellerOrder
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SellerOrder : OrderBase<SellerOrder>
Public Class SellerOrder
    Inherits OrderBase(Of SellerOrder)
public ref class SellerOrder : public OrderBase<SellerOrder^>
type SellerOrder =
    class
        inherit OrderBase<SellerOrder>
    end

The SellerOrder type exposes the following members.

Constructors
 | Name | Description
Public method | SellerOrder | 初始化
Top
Properties
 | Name | Description
Public property | Buyer | 买家用户
Public property | Currency | 货币单位
Public property | OrderComments | 订单留言的集合
Public property | OrderDeliveries | 订单发货单的集合
Public property | OrderParameters | 订单参数 包含收货地址，选择的物流Id和收款接口Id等
Public property | OrderProducts | 订单商品的集合
Public property | OriginalTotalCostCalcResult | 原始的订单总金额的计算结果 下单时生成且之后不会改变
Public property | Serial | 订单编号，唯一键
Public property | State | 订单状态
Public property | StateTimes | 各个状态的切换时间
Public property | TotalCost | 当前的订单总金额
Public property | TotalCostCalcResult | 当前的订单总金额的计算结果
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构 (Overrides OrderBaseTOrderConfigure(IEntityMappingBuilderTOrder).)
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查订单是否满足指定条件 返回是否满足和文本信息 (Defined by SellerOrderExtensions.)
Public Extension Method | ContainsRealProduct | 判断订单是否包含实体商品 (Defined by SellerOrderExtensions.)
Public Extension Method | SetState | 设置订单的状态和状态时间 (Defined by SellerOrderExtensions.)
Public Extension Method | ToDisplayInfo | 转换订单到显示信息 (Defined by SellerOrderExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SellerOrder()
Public Sub New
public:
SellerOrder()
new : unit -> SellerOrder
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder Properties

The SellerOrder type exposes the following members.

Properties
 | Name | Description
Public property | Buyer | 买家用户
Public property | Currency | 货币单位
Public property | OrderComments | 订单留言的集合
Public property | OrderDeliveries | 订单发货单的集合
Public property | OrderParameters | 订单参数 包含收货地址，选择的物流Id和收款接口Id等
Public property | OrderProducts | 订单商品的集合
Public property | OriginalTotalCostCalcResult | 原始的订单总金额的计算结果 下单时生成且之后不会改变
Public property | Serial | 订单编号，唯一键
Public property | State | 订单状态
Public property | StateTimes | 各个状态的切换时间
Public property | TotalCost | 当前的订单总金额
Public property | TotalCostCalcResult | 当前的订单总金额的计算结果
Top
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.Buyer Property

SellerOrderBuyer Property

买家用户

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Buyer { get; set; }
Public Overridable Property Buyer As User
    Get
    Set
public:
virtual property User^ Buyer {
    User^ get ();
    void set (User^ value);
}
abstract Buyer : User with get, set
override Buyer : User with get, set

Property Value

Type: User
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.Currency Property

SellerOrderCurrency Property

货币单位

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Currency { get; set; }
Public Overridable Property Currency As String
    Get
    Set
public:
virtual property String^ Currency {
    String^ get ();
    void set (String^ value);
}
abstract Currency : string with get, set
override Currency : string with get, set

Property Value

Type: String
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.OrderComments Property

SellerOrderOrderComments Property

订单留言的集合

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<OrderComment> OrderComments { get; set; }
Public Overridable Property OrderComments As ISet(Of OrderComment)
    Get
    Set
public:
virtual property ISet<OrderComment^>^ OrderComments {
    ISet<OrderComment^>^ get ();
    void set (ISet<OrderComment^>^ value);
}
abstract OrderComments : ISet<OrderComment> with get, set
override OrderComments : ISet<OrderComment> with get, set

Property Value

Type: ISet OrderComment
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.OrderDeliveries Property

SellerOrderOrderDeliveries Property

订单发货单的集合

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<OrderDelivery> OrderDeliveries { get; set; }
Public Overridable Property OrderDeliveries As ISet(Of OrderDelivery)
    Get
    Set
public:
virtual property ISet<OrderDelivery^>^ OrderDeliveries {
    ISet<OrderDelivery^>^ get ();
    void set (ISet<OrderDelivery^>^ value);
}
abstract OrderDeliveries : ISet<OrderDelivery> with get, set
override OrderDeliveries : ISet<OrderDelivery> with get, set

Property Value

Type: ISet OrderDelivery
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.OrderParameters Property

SellerOrderOrderParameters Property

订单参数 包含收货地址，选择的物流Id和收款接口Id等

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderParameters OrderParameters { get; set; }
Public Overridable Property OrderParameters As OrderParameters
    Get
    Set
public:
virtual property OrderParameters^ OrderParameters {
    OrderParameters^ get ();
    void set (OrderParameters^ value);
}
abstract OrderParameters : OrderParameters with get, set
override OrderParameters : OrderParameters with get, set

Property Value

Type: OrderParameters
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.OrderProducts Property

SellerOrderOrderProducts Property

订单商品的集合

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<OrderProduct> OrderProducts { get; set; }
Public Overridable Property OrderProducts As ISet(Of OrderProduct)
    Get
    Set
public:
virtual property ISet<OrderProduct^>^ OrderProducts {
    ISet<OrderProduct^>^ get ();
    void set (ISet<OrderProduct^>^ value);
}
abstract OrderProducts : ISet<OrderProduct> with get, set
override OrderProducts : ISet<OrderProduct> with get, set

Property Value

Type: ISet OrderProduct
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.OriginalTotalCostCalcResult Property

SellerOrderOriginalTotalCostCalcResult Property

原始的订单总金额的计算结果 下单时生成且之后不会改变

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderPriceCalcResult OriginalTotalCostCalcResult { get; set; }
Public Overridable Property OriginalTotalCostCalcResult As OrderPriceCalcResult
    Get
    Set
public:
virtual property OrderPriceCalcResult^ OriginalTotalCostCalcResult {
    OrderPriceCalcResult^ get ();
    void set (OrderPriceCalcResult^ value);
}
abstract OriginalTotalCostCalcResult : OrderPriceCalcResult with get, set
override OriginalTotalCostCalcResult : OrderPriceCalcResult with get, set

Property Value

Type: OrderPriceCalcResult
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.Serial Property

SellerOrderSerial Property

订单编号，唯一键

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Serial { get; set; }
Public Overridable Property Serial As String
    Get
    Set
public:
virtual property String^ Serial {
    String^ get ();
    void set (String^ value);
}
abstract Serial : string with get, set
override Serial : string with get, set

Property Value

Type: String
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.State Property

SellerOrderState Property

订单状态

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderState State { get; set; }
Public Overridable Property State As OrderState
    Get
    Set
public:
virtual property OrderState State {
    OrderState get ();
    void set (OrderState value);
}
abstract State : OrderState with get, set
override State : OrderState with get, set

Property Value

Type: OrderState
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.StateTimes Property

SellerOrderStateTimes Property

各个状态的切换时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderStateTimes StateTimes { get; set; }
Public Overridable Property StateTimes As OrderStateTimes
    Get
    Set
public:
virtual property OrderStateTimes^ StateTimes {
    OrderStateTimes^ get ();
    void set (OrderStateTimes^ value);
}
abstract StateTimes : OrderStateTimes with get, set
override StateTimes : OrderStateTimes with get, set

Property Value

Type: OrderStateTimes
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.TotalCost Property

SellerOrderTotalCost Property

当前的订单总金额

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual decimal TotalCost { get; set; }
Public Overridable Property TotalCost As Decimal
    Get
    Set
public:
virtual property Decimal TotalCost {
    Decimal get ();
    void set (Decimal value);
}
abstract TotalCost : decimal with get, set
override TotalCost : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.TotalCostCalcResult Property

SellerOrderTotalCostCalcResult Property

当前的订单总金额的计算结果

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderPriceCalcResult TotalCostCalcResult { get; set; }
Public Overridable Property TotalCostCalcResult As OrderPriceCalcResult
    Get
    Set
public:
virtual property OrderPriceCalcResult^ TotalCostCalcResult {
    OrderPriceCalcResult^ get ();
    void set (OrderPriceCalcResult^ value);
}
abstract TotalCostCalcResult : OrderPriceCalcResult with get, set
override TotalCostCalcResult : OrderPriceCalcResult with get, set

Property Value

Type: OrderPriceCalcResult
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder Methods

The SellerOrder type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构 (Overrides OrderBaseTOrderConfigure(IEntityMappingBuilderTOrder).)
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查订单是否满足指定条件 返回是否满足和文本信息 (Defined by SellerOrderExtensions.)
Public Extension Method | ContainsRealProduct | 判断订单是否包含实体商品 (Defined by SellerOrderExtensions.)
Public Extension Method | SetState | 设置订单的状态和状态时间 (Defined by SellerOrderExtensions.)
Public Extension Method | ToDisplayInfo | 转换订单到显示信息 (Defined by SellerOrderExtensions.)
Top
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.Configure Method

SellerOrderConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Configure(
    IEntityMappingBuilder<SellerOrder> builder
)
Public Overrides Sub Configure (
    builder As IEntityMappingBuilder(Of SellerOrder)
)
public:
virtual void Configure(
    IEntityMappingBuilder<SellerOrder^>^ builder
) override
abstract Configure :
        builder : IEntityMappingBuilder<SellerOrder> -> unit
override Configure :
        builder : IEntityMappingBuilder<SellerOrder> -> unit

Parameters

builder
Type: IEntityMappingBuilderSellerOrder

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


SellerOrder.ToString Method

SellerOrderToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder.ToString"]

See Also

Reference

SellerOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress Class
收货地址
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesShippingAddress

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ShippingAddress : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IHaveOwner, ILiquidizable,
    IEntity<Guid>, IEntityMappingProvider<ShippingAddress>, IEntityMappingProvider
Public Class ShippingAddress
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IHaveOwner, ILiquidizable, IEntity(Of Guid), IEntityMappingProvider(Of ShippingAddress),
    IEntityMappingProvider
public ref class ShippingAddress : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IHaveOwner, ILiquidizable,
    IEntity<Guid>, IEntityMappingProvider<ShippingAddress^>, IEntityMappingProvider
type ShippingAddress =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IHaveOwner
        interface ILiquidizable
        interface IEntity<Guid>
        interface IEntityMappingProvider<ShippingAddress>
        interface IEntityMappingProvider
    end

The ShippingAddress type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddress | 初始化
Top
Properties
 | Name | Description
Public property | Country | 国家
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DetailedAddress | 详细地址
Public property | DisplayOrder | 显示顺序
Public property | Id | 收货地址Id
Public property | Owner | 所属的用户
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话/手机
Public property | RegionId | 地区Id
Public property | Remark | 备注
Public property | Summary | 完整的收货地址字符串 格式 "{收货人姓名} {国家(设置显示时)}{地区}{详细地址} {收货人电话/手机}"
Public property | UpdateTime | 最后更新时间
Public property | ZipCode | 邮政编码
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToLiquid | 允许描画到模板
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | GenerateSummary | 生成完整的收货地址字符串 (Defined by ShippingAddressExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ShippingAddress()
Public Sub New
public:
ShippingAddress()
new : unit -> ShippingAddress
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress Properties

The ShippingAddress type exposes the following members.

Properties
 | Name | Description
Public property | Country | 国家
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DetailedAddress | 详细地址
Public property | DisplayOrder | 显示顺序
Public property | Id | 收货地址Id
Public property | Owner | 所属的用户
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话/手机
Public property | RegionId | 地区Id
Public property | Remark | 备注
Public property | Summary | 完整的收货地址字符串 格式 "{收货人姓名} {国家(设置显示时)}{地区}{详细地址} {收货人电话/手机}"
Public property | UpdateTime | 最后更新时间
Public property | ZipCode | 邮政编码
Top
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Country Property

ShippingAddressCountry Property

国家

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Country { get; set; }
Public Overridable Property Country As String
    Get
    Set
public:
virtual property String^ Country {
    String^ get ();
    void set (String^ value);
}
abstract Country : string with get, set
override Country : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.CreateTime Property

ShippingAddressCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Deleted Property

ShippingAddressDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.DetailedAddress Property

ShippingAddressDetailedAddress Property

详细地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DetailedAddress { get; set; }
Public Overridable Property DetailedAddress As String
    Get
    Set
public:
virtual property String^ DetailedAddress {
    String^ get ();
    void set (String^ value);
}
abstract DetailedAddress : string with get, set
override DetailedAddress : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.DisplayOrder Property

ShippingAddressDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Id Property

ShippingAddressId Property

收货地址Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Owner Property

ShippingAddressOwner Property

所属的用户

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User

Implements

IHaveOwnerOwner
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.ReceiverName Property

ShippingAddressReceiverName Property

收货人姓名

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ReceiverName { get; set; }
Public Overridable Property ReceiverName As String
    Get
    Set
public:
virtual property String^ ReceiverName {
    String^ get ();
    void set (String^ value);
}
abstract ReceiverName : string with get, set
override ReceiverName : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.ReceiverTel Property

ShippingAddressReceiverTel Property

收货人电话/手机

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ReceiverTel { get; set; }
Public Overridable Property ReceiverTel As String
    Get
    Set
public:
virtual property String^ ReceiverTel {
    String^ get ();
    void set (String^ value);
}
abstract ReceiverTel : string with get, set
override ReceiverTel : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.RegionId Property

ShippingAddressRegionId Property

地区Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<long> RegionId { get; set; }
Public Overridable Property RegionId As Nullable(Of Long)
    Get
    Set
public:
virtual property Nullable<long long> RegionId {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
abstract RegionId : Nullable<int64> with get, set
override RegionId : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Remark Property

ShippingAddressRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Summary Property

ShippingAddressSummary Property

完整的收货地址字符串 格式 "{收货人姓名} {国家(设置显示时)}{地区}{详细地址} {收货人电话/手机}"

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Summary { get; set; }
Public Overridable Property Summary As String
    Get
    Set
public:
virtual property String^ Summary {
    String^ get ();
    void set (String^ value);
}
abstract Summary : string with get, set
override Summary : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.UpdateTime Property

ShippingAddressUpdateTime Property

最后更新时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.ZipCode Property

ShippingAddressZipCode Property

邮政编码

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ZipCode { get; set; }
Public Overridable Property ZipCode As String
    Get
    Set
public:
virtual property String^ ZipCode {
    String^ get ();
    void set (String^ value);
}
abstract ZipCode : string with get, set
override ZipCode : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress Methods

The ShippingAddress type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToLiquid | 允许描画到模板
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | GenerateSummary | 生成完整的收货地址字符串 (Defined by ShippingAddressExtensions.)
Top
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.Configure Method

ShippingAddressConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ShippingAddress> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ShippingAddress)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ShippingAddress^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ShippingAddress> -> unit
override Configure :
        builder : IEntityMappingBuilder<ShippingAddress> -> unit

Parameters

builder
Type: IEntityMappingBuilderShippingAddress

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.ToLiquid Method

ShippingAddressToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object ToLiquid()
Public Overridable Function ToLiquid As Object
public:
virtual Object^ ToLiquid()
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ShippingAddress.ToString Method

ShippingAddressToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress.ToString"]

See Also

Reference

ShippingAddress Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases"]

Classes
 | Class | Description
Public class | OrderBaseTOrder | 订单的基础类


OrderBase(TOrder) Class

OrderBaseTOrder Class
订单的基础类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BasesOrderBaseTOrder
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder
ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class OrderBase<TOrder> : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<TOrder>, IEntityMappingProvider
where TOrder : OrderBase<TOrder>

Public MustInherit Class OrderBase(Of TOrder As OrderBase(Of TOrder))
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IHaveOwner, IEntity(Of Guid), IEntityMappingProvider(Of TOrder),
    IEntityMappingProvider
generic<typename TOrder>
where TOrder : OrderBase<TOrder>
public ref class OrderBase abstract : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<TOrder>, IEntityMappingProvider
[<AbstractClassAttribute>]
type OrderBase<'TOrder when 'TOrder : OrderBase<'TOrder>> =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IHaveOwner
        interface IEntity<Guid>
        interface IEntityMappingProvider<'TOrder>
        interface IEntityMappingProvider
    end

Type Parameters

TOrder

[Missing <typeparam name="TOrder"/> documentation for "T:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases.OrderBase`1"]

The OrderBaseTOrder type exposes the following members.

Constructors
 | Name | Description
Protected method | OrderBaseTOrder | Initializes a new instance of the OrderBaseTOrder class
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 订单Id
Public property | Items | 附加数据
Public property | Owner | 所属人，买家或卖家，没有时等于null
Public property | Remark | 备注
Public property | RemarkFlags | 备注旗帜
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder) Constructor

OrderBaseTOrder Constructor

Initializes a new instance of the OrderBaseTOrder class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected OrderBase()
Protected Sub New
protected:
OrderBase()
new : unit -> OrderBase
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder) Properties

OrderBaseTOrder Properties

The OrderBaseTOrder generic type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 订单Id
Public property | Items | 附加数据
Public property | Owner | 所属人，买家或卖家，没有时等于null
Public property | Remark | 备注
Public property | RemarkFlags | 备注旗帜
Public property | UpdateTime | 更新时间
Top
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).CreateTime Property

OrderBaseTOrderCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).Deleted Property

OrderBaseTOrderDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).Id Property

OrderBaseTOrderId Property

订单Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).Items Property

OrderBaseTOrderItems Property

附加数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderItems Items { get; set; }
Public Overridable Property Items As OrderItems
    Get
    Set
public:
virtual property OrderItems^ Items {
    OrderItems^ get ();
    void set (OrderItems^ value);
}
abstract Items : OrderItems with get, set
override Items : OrderItems with get, set

Property Value

Type: OrderItems
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).Owner Property

OrderBaseTOrderOwner Property

所属人，买家或卖家，没有时等于null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User

Implements

IHaveOwnerOwner
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).Remark Property

OrderBaseTOrderRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).RemarkFlags Property

OrderBaseTOrderRemarkFlags Property

备注旗帜

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderRemarkFlags RemarkFlags { get; set; }
Public Overridable Property RemarkFlags As OrderRemarkFlags
    Get
    Set
public:
virtual property OrderRemarkFlags RemarkFlags {
    OrderRemarkFlags get ();
    void set (OrderRemarkFlags value);
}
abstract RemarkFlags : OrderRemarkFlags with get, set
override RemarkFlags : OrderRemarkFlags with get, set

Property Value

Type: OrderRemarkFlags
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).UpdateTime Property

OrderBaseTOrderUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder) Methods

OrderBaseTOrder Methods

The OrderBaseTOrder generic type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


OrderBase(TOrder).Configure Method

OrderBaseTOrderConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<TOrder> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of TOrder)
)
public:
virtual void Configure(
    IEntityMappingBuilder<TOrder>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<'TOrder> -> unit
override Configure :
        builder : IEntityMappingBuilder<'TOrder> -> unit

Parameters

builder
Type: IEntityMappingBuilderTOrder

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases.OrderBase`1.Configure(ZKWeb.Database.IEntityMappingBuilder{`0})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

OrderBaseTOrder Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.Bases Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Enums"]

Enumerations
 | Enumeration | Description
Public enumeration | CartProductType | 购物车商品的类型 因为使用了固定的逻辑处理，这里不开放接口
Public enumeration | OrderCommentSide | 买家或卖家留言
Public enumeration | OrderRemarkFlags | 订单的备注旗帜
Public enumeration | OrderState | 订单状态 因为使用了固定的逻辑处理，这里不开放接口
Public enumeration | StockReductionMode | 库存减少模式


CartProductType Enumeration
购物车商品的类型 因为使用了固定的逻辑处理，这里不开放接口

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum CartProductType
Public Enumeration CartProductType
public enum class CartProductType
type CartProductType
Members
Member name | Value | Description
Default | 0 | 加入购物车
Buynow | 1 | 立即购买
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Enums Namespace


OrderCommentSide Enumeration
买家或卖家留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum OrderCommentSide
Public Enumeration OrderCommentSide
public enum class OrderCommentSide
type OrderCommentSide
Members
Member name | Value | Description
BuyerComment | 0 | 买家留言
SellerComment | 1 | 卖家留言
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Enums Namespace


OrderRemarkFlags Enumeration
订单的备注旗帜

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum OrderRemarkFlags
Public Enumeration OrderRemarkFlags
public enum class OrderRemarkFlags
type OrderRemarkFlags
Members
Member name | Value | Description
Gray | 0 | 灰色
Red | 1 | 红色
Yellow | 2 | 黄色
Green | 3 | 绿色
Blue | 4 | 蓝色
Purple | 5 | 紫色
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Enums Namespace


OrderState Enumeration
订单状态 因为使用了固定的逻辑处理，这里不开放接口

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum OrderState
Public Enumeration OrderState
public enum class OrderState
type OrderState
Members
Member name | Value | Description
WaitingBuyerPay | 0 | 等待付款
WaitingSellerDeliveryGoods | 1 | 等待发货
WaitingBuyerConfirm | 2 | 已发货
OrderSuccess | 3 | 交易成功
OrderCancelled | 4 | 已取消 指买家操作取消
OrderInvalid | 5 | 已作废 指卖家操作作废
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Enums Namespace


StockReductionMode Enumeration
库存减少模式

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum StockReductionMode
Public Enumeration StockReductionMode
public enum class StockReductionMode
type StockReductionMode
Members
Member name | Value | Description
NoReduction | 0 | 不减少
AfterCreateOrder | 1 | 创建订单后减少
AfterOrderPaid | 2 | 支付成功后减少
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Enums Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions"]

Classes
 | Class | Description
Public class | CartProductExtensions | 购物车商品的扩展函数
Public class | CreateOrderParametersExtensions | 创建订单的参数的扩展函数
Public class | CreateOrderProductParametersExtensions | 订单商品创建参数的扩展函数
Public class | OrderParametersExtensions | 订单参数的扩展函数
Public class | OrderPriceCalcResultExtensions | 订单或订单商品的价格计算结果的扩展函数
Public class | SellerOrderExtensions | 卖家订单的扩展函数
Public class | ShippingAddressExtensions | 收货地址的扩展函数
Delegates
 | Delegate | Description
Public delegate | SellerOrderExtensionsCheckFunc | 检查函数的类型


CartProductExtensions Class
购物车商品的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsCartProductExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CartProductExtensions
<ExtensionAttribute>
Public NotInheritable Class CartProductExtensions
[ExtensionAttribute]
public ref class CartProductExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type CartProductExtensions =  class end

The CartProductExtensions type exposes the following members.

Methods
Name | Description
ToCreateOrderProductParameters | 从购物车商品构建订单商品创建参数
UpdateOrderCount | 更新购物车商品的订购数量
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CartProductExtensions Methods

The CartProductExtensions type exposes the following members.

Methods
Name | Description
ToCreateOrderProductParameters | 从购物车商品构建订单商品创建参数
UpdateOrderCount | 更新购物车商品的订购数量
Top
See Also

Reference

CartProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CartProductExtensions.ToCreateOrderProductParameters Method

CartProductExtensionsToCreateOrderProductParameters Method

从购物车商品构建订单商品创建参数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static CreateOrderProductParameters ToCreateOrderProductParameters(
    this CartProduct cartProduct
)
<ExtensionAttribute>
Public Shared Function ToCreateOrderProductParameters (
    cartProduct As CartProduct
) As CreateOrderProductParameters
public:
[ExtensionAttribute]
static CreateOrderProductParameters^ ToCreateOrderProductParameters(
    CartProduct^ cartProduct
)
[<ExtensionAttribute>]
static member ToCreateOrderProductParameters :
        cartProduct : CartProduct -> CreateOrderProductParameters

Parameters

cartProduct
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesCartProduct
购物车商品

Return Value

Type: CreateOrderProductParameters

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.CartProductExtensions.ToCreateOrderProductParameters(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.CartProduct)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type CartProduct. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CartProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CartProductExtensions.UpdateOrderCount Method

CartProductExtensionsUpdateOrderCount Method

更新购物车商品的订购数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void UpdateOrderCount(
    this CartProduct cartProduct,
    long orderCount
)
<ExtensionAttribute>
Public Shared Sub UpdateOrderCount (
    cartProduct As CartProduct,
    orderCount As Long
)
public:
[ExtensionAttribute]
static void UpdateOrderCount(
    CartProduct^ cartProduct,
    long long orderCount
)
[<ExtensionAttribute>]
static member UpdateOrderCount :
        cartProduct : CartProduct *
        orderCount : int64 -> unit

Parameters

cartProduct
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesCartProduct
购物车商品
orderCount
Type: SystemInt64
订购数量

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type CartProduct. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CartProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderParametersExtensions Class
创建订单的参数的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsCreateOrderParametersExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CreateOrderParametersExtensions
<ExtensionAttribute>
Public NotInheritable Class CreateOrderParametersExtensions
[ExtensionAttribute]
public ref class CreateOrderParametersExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type CreateOrderParametersExtensions =  class end

The CreateOrderParametersExtensions type exposes the following members.

Methods
Name | Description
CloneWith | 复制订单创建参数并使用新的订单商品创建参数 一般用于把一个订单创建参数分割为多个订单创建参数时使用
SetLoginInfo | 设置登录信息（用户Id和会话Id）
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderParametersExtensions Methods

The CreateOrderParametersExtensions type exposes the following members.

Methods
Name | Description
CloneWith | 复制订单创建参数并使用新的订单商品创建参数 一般用于把一个订单创建参数分割为多个订单创建参数时使用
SetLoginInfo | 设置登录信息（用户Id和会话Id）
Top
See Also

Reference

CreateOrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderParametersExtensions.CloneWith Method

CreateOrderParametersExtensionsCloneWith Method

复制订单创建参数并使用新的订单商品创建参数 一般用于把一个订单创建参数分割为多个订单创建参数时使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static CreateOrderParameters CloneWith(
    this CreateOrderParameters parameters,
    IList<CreateOrderProductParameters> productParametersList
)
<ExtensionAttribute>
Public Shared Function CloneWith (
    parameters As CreateOrderParameters,
    productParametersList As IList(Of CreateOrderProductParameters)
) As CreateOrderParameters
public:
[ExtensionAttribute]
static CreateOrderParameters^ CloneWith(
    CreateOrderParameters^ parameters,
    IList<CreateOrderProductParameters^>^ productParametersList
)
[<ExtensionAttribute>]
static member CloneWith :
        parameters : CreateOrderParameters *
        productParametersList : IList<CreateOrderProductParameters> -> CreateOrderParameters

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
订单创建参数
productParametersList
Type: System.Collections.GenericIList CreateOrderProductParameters
订单商品创建参数的列表

Return Value

Type: CreateOrderParameters

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.CreateOrderParametersExtensions.CloneWith(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters,System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type CreateOrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CreateOrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderParametersExtensions.SetLoginInfo Method

CreateOrderParametersExtensionsSetLoginInfo Method

设置登录信息（用户Id和会话Id）

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetLoginInfo(
    this CreateOrderParameters parameters
)
<ExtensionAttribute>
Public Shared Sub SetLoginInfo (
    parameters As CreateOrderParameters
)
public:
[ExtensionAttribute]
static void SetLoginInfo(
    CreateOrderParameters^ parameters
)
[<ExtensionAttribute>]
static member SetLoginInfo :
        parameters : CreateOrderParameters -> unit

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
订单创建参数

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type CreateOrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CreateOrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderProductParametersExtensions Class
订单商品创建参数的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsCreateOrderProductParametersExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CreateOrderProductParametersExtensions
<ExtensionAttribute>
Public NotInheritable Class CreateOrderProductParametersExtensions
[ExtensionAttribute]
public ref class CreateOrderProductParametersExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type CreateOrderProductParametersExtensions =  class end

The CreateOrderProductParametersExtensions type exposes the following members.

Methods
Name | Description
GetSellerIdsHasRealProducts | 获取包含了实体商品的卖家Id列表 无卖家的Id等于Guid.Empty
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderProductParametersExtensions Methods

The CreateOrderProductParametersExtensions type exposes the following members.

Methods
Name | Description
GetSellerIdsHasRealProducts | 获取包含了实体商品的卖家Id列表 无卖家的Id等于Guid.Empty
Top
See Also

Reference

CreateOrderProductParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


CreateOrderProductParametersExtensions.GetSellerIdsHasRealProducts Method

CreateOrderProductParametersExtensionsGetSellerIdsHasRealProducts Method

获取包含了实体商品的卖家Id列表 无卖家的Id等于Guid.Empty

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<Guid> GetSellerIdsHasRealProducts(
    this IList<CreateOrderProductParameters> parametersList
)
<ExtensionAttribute>
Public Shared Function GetSellerIdsHasRealProducts (
    parametersList As IList(Of CreateOrderProductParameters)
) As IList(Of Guid)
public:
[ExtensionAttribute]
static IList<Guid>^ GetSellerIdsHasRealProducts(
    IList<CreateOrderProductParameters^>^ parametersList
)
[<ExtensionAttribute>]
static member GetSellerIdsHasRealProducts :
        parametersList : IList<CreateOrderProductParameters> -> IList<Guid>

Parameters

parametersList
Type: System.Collections.GenericIList CreateOrderProductParameters
订单商品创建参数

Return Value

Type: IList Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.CreateOrderProductParametersExtensions.GetSellerIdsHasRealProducts(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList CreateOrderProductParameters . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CreateOrderProductParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions Class
订单参数的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsOrderParametersExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderParametersExtensions
<ExtensionAttribute>
Public NotInheritable Class OrderParametersExtensions
[ExtensionAttribute]
public ref class OrderParametersExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OrderParametersExtensions =  class end

The OrderParametersExtensions type exposes the following members.

Methods
Name | Description
GetCartProducts | 获取购物车商品Id => 订购数量
GetOrderComment | 获取订单留言
GetPaymentApiId | 获取支付接口Id
GetSaveShipppingAddressId | 获取需要保存收货地址的Id 如果不保存则返回null，如果更新则返回id，如果添加则返回0
GetSellerToLogistics | 获取卖家Id => 选中的物流Id 没有卖家时卖家Id等于Guid.Empty
GetShippingAddress | 获取收货地址信息 注意返回的信息是新建的，没有绑定用户和Id
SetShippingAddress | 设置收货地址信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions Methods

The OrderParametersExtensions type exposes the following members.

Methods
Name | Description
GetCartProducts | 获取购物车商品Id => 订购数量
GetOrderComment | 获取订单留言
GetPaymentApiId | 获取支付接口Id
GetSaveShipppingAddressId | 获取需要保存收货地址的Id 如果不保存则返回null，如果更新则返回id，如果添加则返回0
GetSellerToLogistics | 获取卖家Id => 选中的物流Id 没有卖家时卖家Id等于Guid.Empty
GetShippingAddress | 获取收货地址信息 注意返回的信息是新建的，没有绑定用户和Id
SetShippingAddress | 设置收货地址信息
Top
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.GetCartProducts Method

OrderParametersExtensionsGetCartProducts Method

获取购物车商品Id => 订购数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDictionary<Guid, long> GetCartProducts(
    this OrderParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetCartProducts (
    parameters As OrderParameters
) As IDictionary(Of Guid, Long)
public:
[ExtensionAttribute]
static IDictionary<Guid, long long>^ GetCartProducts(
    OrderParameters^ parameters
)
[<ExtensionAttribute>]
static member GetCartProducts :
        parameters : OrderParameters -> IDictionary<Guid, int64>

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数

Return Value

Type: IDictionary Guid, Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderParametersExtensions.GetCartProducts(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.GetOrderComment Method

OrderParametersExtensionsGetOrderComment Method

获取订单留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetOrderComment(
    this OrderParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetOrderComment (
    parameters As OrderParameters
) As String
public:
[ExtensionAttribute]
static String^ GetOrderComment(
    OrderParameters^ parameters
)
[<ExtensionAttribute>]
static member GetOrderComment :
        parameters : OrderParameters -> string

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderParametersExtensions.GetOrderComment(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.GetPaymentApiId Method

OrderParametersExtensionsGetPaymentApiId Method

获取支付接口Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Guid GetPaymentApiId(
    this OrderParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetPaymentApiId (
    parameters As OrderParameters
) As Guid
public:
[ExtensionAttribute]
static Guid GetPaymentApiId(
    OrderParameters^ parameters
)
[<ExtensionAttribute>]
static member GetPaymentApiId :
        parameters : OrderParameters -> Guid

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderParametersExtensions.GetPaymentApiId(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.GetSaveShipppingAddressId Method

OrderParametersExtensionsGetSaveShipppingAddressId Method

获取需要保存收货地址的Id 如果不保存则返回null，如果更新则返回id，如果添加则返回0

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Nullable<Guid> GetSaveShipppingAddressId(
    this OrderParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetSaveShipppingAddressId (
    parameters As OrderParameters
) As Nullable(Of Guid)
public:
[ExtensionAttribute]
static Nullable<Guid> GetSaveShipppingAddressId(
    OrderParameters^ parameters
)
[<ExtensionAttribute>]
static member GetSaveShipppingAddressId :
        parameters : OrderParameters -> Nullable<Guid>

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数

Return Value

Type: Nullable Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderParametersExtensions.GetSaveShipppingAddressId(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.GetSellerToLogistics Method

OrderParametersExtensionsGetSellerToLogistics Method

获取卖家Id => 选中的物流Id 没有卖家时卖家Id等于Guid.Empty

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IDictionary<Guid, Guid> GetSellerToLogistics(
    this OrderParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetSellerToLogistics (
    parameters As OrderParameters
) As IDictionary(Of Guid, Guid)
public:
[ExtensionAttribute]
static IDictionary<Guid, Guid>^ GetSellerToLogistics(
    OrderParameters^ parameters
)
[<ExtensionAttribute>]
static member GetSellerToLogistics :
        parameters : OrderParameters -> IDictionary<Guid, Guid>

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数

Return Value

Type: IDictionary Guid, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderParametersExtensions.GetSellerToLogistics(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.GetShippingAddress Method

OrderParametersExtensionsGetShippingAddress Method

获取收货地址信息 注意返回的信息是新建的，没有绑定用户和Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static ShippingAddress GetShippingAddress(
    this OrderParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetShippingAddress (
    parameters As OrderParameters
) As ShippingAddress
public:
[ExtensionAttribute]
static ShippingAddress^ GetShippingAddress(
    OrderParameters^ parameters
)
[<ExtensionAttribute>]
static member GetShippingAddress :
        parameters : OrderParameters -> ShippingAddress

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数

Return Value

Type: ShippingAddress

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderParametersExtensions.GetShippingAddress(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderParametersExtensions.SetShippingAddress Method

OrderParametersExtensionsSetShippingAddress Method

设置收货地址信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetShippingAddress(
    this OrderParameters parameters,
    ShippingAddress address
)
<ExtensionAttribute>
Public Shared Sub SetShippingAddress (
    parameters As OrderParameters,
    address As ShippingAddress
)
public:
[ExtensionAttribute]
static void SetShippingAddress(
    OrderParameters^ parameters,
    ShippingAddress^ address
)
[<ExtensionAttribute>]
static member SetShippingAddress :
        parameters : OrderParameters *
        address : ShippingAddress -> unit

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters
订单参数
address
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesShippingAddress
收货地址

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderPriceCalcResultExtensions Class
订单或订单商品的价格计算结果的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsOrderPriceCalcResultExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderPriceCalcResultExtensions
<ExtensionAttribute>
Public NotInheritable Class OrderPriceCalcResultExtensions
[ExtensionAttribute]
public ref class OrderPriceCalcResultExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OrderPriceCalcResultExtensions =  class end

The OrderPriceCalcResultExtensions type exposes the following members.

Methods
Name | Description
GetDescription | 获取价格组成部分的描述 例 "商品总价100 + 运费20 - 优惠50"
Sum | 获取价格的组成部分的合计
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderPriceCalcResultExtensions Methods

The OrderPriceCalcResultExtensions type exposes the following members.

Methods
Name | Description
GetDescription | 获取价格组成部分的描述 例 "商品总价100 + 运费20 - 优惠50"
Sum | 获取价格的组成部分的合计
Top
See Also

Reference

OrderPriceCalcResultExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderPriceCalcResultExtensions.GetDescription Method

OrderPriceCalcResultExtensionsGetDescription Method

获取价格组成部分的描述 例 "商品总价100 + 运费20 - 优惠50"

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetDescription(
    this IList<OrderPriceCalcResultPart> parts
)
<ExtensionAttribute>
Public Shared Function GetDescription (
    parts As IList(Of OrderPriceCalcResultPart)
) As String
public:
[ExtensionAttribute]
static String^ GetDescription(
    IList<OrderPriceCalcResultPart^>^ parts
)
[<ExtensionAttribute>]
static member GetDescription :
        parts : IList<OrderPriceCalcResultPart> -> string

Parameters

parts
Type: System.Collections.GenericIList OrderPriceCalcResultPart
价格组成部分

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderPriceCalcResultExtensions.GetDescription(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult.Part})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList OrderPriceCalcResultPart . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderPriceCalcResultExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


OrderPriceCalcResultExtensions.Sum Method

OrderPriceCalcResultExtensionsSum Method

获取价格的组成部分的合计

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static decimal Sum(
    this IList<OrderPriceCalcResultPart> parts
)
<ExtensionAttribute>
Public Shared Function Sum (
    parts As IList(Of OrderPriceCalcResultPart)
) As Decimal
public:
[ExtensionAttribute]
static Decimal Sum(
    IList<OrderPriceCalcResultPart^>^ parts
)
[<ExtensionAttribute>]
static member Sum :
        parts : IList<OrderPriceCalcResultPart> -> decimal

Parameters

parts
Type: System.Collections.GenericIList OrderPriceCalcResultPart
价格组成部分

Return Value

Type: Decimal

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.OrderPriceCalcResultExtensions.Sum(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult.Part})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList OrderPriceCalcResultPart . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderPriceCalcResultExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


SellerOrderExtensions Class
卖家订单的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsSellerOrderExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class SellerOrderExtensions
<ExtensionAttribute>
Public NotInheritable Class SellerOrderExtensions
[ExtensionAttribute]
public ref class SellerOrderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type SellerOrderExtensions =  class end

The SellerOrderExtensions type exposes the following members.

Methods
Name | Description
Check | 检查订单是否满足指定条件 返回是否满足和文本信息
ContainsRealProduct | 判断订单是否包含实体商品
SetState | 设置订单的状态和状态时间
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


SellerOrderExtensions Methods

The SellerOrderExtensions type exposes the following members.

Methods
Name | Description
Check | 检查订单是否满足指定条件 返回是否满足和文本信息
ContainsRealProduct | 判断订单是否包含实体商品
SetState | 设置订单的状态和状态时间
Top
See Also

Reference

SellerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


SellerOrderExtensions.Check Method

SellerOrderExtensionsCheck Method

检查订单是否满足指定条件 返回是否满足和文本信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Pair<bool, string> Check(
    this SellerOrder order,
    Func<IOrderChecker, SellerOrderExtensionsCheckFunc> getCheckFunc
)
<ExtensionAttribute>
Public Shared Function Check (
    order As SellerOrder,
    getCheckFunc As Func(Of IOrderChecker, SellerOrderExtensionsCheckFunc)
) As Pair(Of Boolean, String)
public:
[ExtensionAttribute]
static Pair<bool, String^> Check(
    SellerOrder^ order,
    Func<IOrderChecker^, SellerOrderExtensionsCheckFunc^>^ getCheckFunc
)
[<ExtensionAttribute>]
static member Check :
        order : SellerOrder *
        getCheckFunc : Func<IOrderChecker, SellerOrderExtensionsCheckFunc> -> Pair<bool, string>

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
getCheckFunc
Type: SystemFunc IOrderChecker, SellerOrderExtensionsCheckFunc
获取检查函数的函数

Return Value

Type: PairBoolean, String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.SellerOrderExtensions.Check(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Func{ZKWeb.Plugins.Shopping.Order.src.Components.OrderCheckers.Interfaces.IOrderChecker,ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.SellerOrderExtensions.CheckFunc})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type SellerOrder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SellerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


SellerOrderExtensions.ContainsRealProduct Method

SellerOrderExtensionsContainsRealProduct Method

判断订单是否包含实体商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool ContainsRealProduct(
    this SellerOrder order
)
<ExtensionAttribute>
Public Shared Function ContainsRealProduct (
    order As SellerOrder
) As Boolean
public:
[ExtensionAttribute]
static bool ContainsRealProduct(
    SellerOrder^ order
)
[<ExtensionAttribute>]
static member ContainsRealProduct :
        order : SellerOrder -> bool

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.SellerOrderExtensions.ContainsRealProduct(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type SellerOrder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SellerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


SellerOrderExtensions.SetState Method

SellerOrderExtensionsSetState Method

设置订单的状态和状态时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetState(
    this SellerOrder order,
    OrderState state
)
<ExtensionAttribute>
Public Shared Sub SetState (
    order As SellerOrder,
    state As OrderState
)
public:
[ExtensionAttribute]
static void SetState(
    SellerOrder^ order,
    OrderState state
)
[<ExtensionAttribute>]
static member SetState :
        order : SellerOrder *
        state : OrderState -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
state
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsOrderState
状态

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type SellerOrder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SellerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


SellerOrderExtensions.CheckFunc Delegate

SellerOrderExtensionsCheckFunc Delegate
检查函数的类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public delegate void CheckFunc(
    SellerOrder order,
    ref Pair<bool, string> result
)
Public Delegate Sub CheckFunc (
    order As SellerOrder,
    ByRef result As Pair(Of Boolean, String)
)
public delegate void CheckFunc(
    SellerOrder^ order,
    Pair<bool, String^>% result
)
type CheckFunc =
    delegate of
        order : SellerOrder *
        result : Pair<bool, string> byref -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
result
Type: PairBoolean, String
判断结果
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


ShippingAddressExtensions Class
收货地址的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.ExtensionsShippingAddressExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ShippingAddressExtensions
<ExtensionAttribute>
Public NotInheritable Class ShippingAddressExtensions
[ExtensionAttribute]
public ref class ShippingAddressExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ShippingAddressExtensions =  class end

The ShippingAddressExtensions type exposes the following members.

Methods
Name | Description
GenerateSummary | 生成完整的收货地址字符串
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


ShippingAddressExtensions Methods

The ShippingAddressExtensions type exposes the following members.

Methods
Name | Description
GenerateSummary | 生成完整的收货地址字符串
Top
See Also

Reference

ShippingAddressExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


ShippingAddressExtensions.GenerateSummary Method

ShippingAddressExtensionsGenerateSummary Method

生成完整的收货地址字符串

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GenerateSummary(
    this ShippingAddress address
)
<ExtensionAttribute>
Public Shared Function GenerateSummary (
    address As ShippingAddress
) As String
public:
[ExtensionAttribute]
static String^ GenerateSummary(
    ShippingAddress^ address
)
[<ExtensionAttribute>]
static member GenerateSummary :
        address : ShippingAddress -> string

Parameters

address
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesShippingAddress
收货地址

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions.ShippingAddressExtensions.GenerateSummary(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.ShippingAddress)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ShippingAddress. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ShippingAddressExtensions Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Extensions Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | BuyerOrderRepository | 买家订单的仓储
Public class | CartProductRepository | 购物车商品的仓储
Public class | OrderCommentRepository | 订单留言的仓储
Public class | OrderDeliveryRepository | 订单发货的仓储
Public class | SellerOrderRepository | 卖家订单的仓储
Public class | ShippingAddressRepository | 收货地址的仓储


BuyerOrderRepository Class
买家订单的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase BuyerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesBuyerOrderRepository

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BuyerOrderRepository : RepositoryBase<BuyerOrder, Guid>
Public Class BuyerOrderRepository
    Inherits RepositoryBase(Of BuyerOrder, Guid)
public ref class BuyerOrderRepository : public RepositoryBase<BuyerOrder^, Guid>
type BuyerOrderRepository =
    class
        inherit RepositoryBase<BuyerOrder, Guid>
    end

The BuyerOrderRepository type exposes the following members.

Constructors
 | Name | Description
Public method | BuyerOrderRepository | Initializes a new instance of the BuyerOrderRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


BuyerOrderRepository Constructor

Initializes a new instance of the BuyerOrderRepository class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BuyerOrderRepository()
Public Sub New
public:
BuyerOrderRepository()
new : unit -> BuyerOrderRepository
See Also

Reference

BuyerOrderRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


CartProductRepository Class
购物车商品的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase CartProduct, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesCartProductRepository

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CartProductRepository : RepositoryBase<CartProduct, Guid>
Public Class CartProductRepository
    Inherits RepositoryBase(Of CartProduct, Guid)
public ref class CartProductRepository : public RepositoryBase<CartProduct^, Guid>
type CartProductRepository =
    class
        inherit RepositoryBase<CartProduct, Guid>
    end

The CartProductRepository type exposes the following members.

Constructors
 | Name | Description
Public method | CartProductRepository | Initializes a new instance of the CartProductRepository class
Top
Methods
 | Name | Description
Public method | AddOrIncrease | 添加购物车商品 如果商品已在购物车则增加里面的数量
Public method | GetManyBySession | 获取会话对应的购物车商品列表
Public method | MergeToUser | 把属于会话的购物车商品整合到用户中 用于允许非会员下单时，未登录前添加的商品可以在登陆后整合到登陆后的用户
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


CartProductRepository Constructor

Initializes a new instance of the CartProductRepository class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CartProductRepository()
Public Sub New
public:
CartProductRepository()
new : unit -> CartProductRepository
See Also

Reference

CartProductRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


CartProductRepository Methods

The CartProductRepository type exposes the following members.

Methods
 | Name | Description
Public method | AddOrIncrease | 添加购物车商品 如果商品已在购物车则增加里面的数量
Public method | GetManyBySession | 获取会话对应的购物车商品列表
Public method | MergeToUser | 把属于会话的购物车商品整合到用户中 用于允许非会员下单时，未登录前添加的商品可以在登陆后整合到登陆后的用户
Top
See Also

Reference

CartProductRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


CartProductRepository.AddOrIncrease Method

CartProductRepositoryAddOrIncrease Method

添加购物车商品 如果商品已在购物车则增加里面的数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddOrIncrease(
    Session session,
    Guid productId,
    CartProductType type,
    ProductMatchParameters parameters
)
Public Overridable Sub AddOrIncrease (
    session As Session,
    productId As Guid,
    type As CartProductType,
    parameters As ProductMatchParameters
)
public:
virtual void AddOrIncrease(
    Session^ session,
    Guid productId,
    CartProductType type,
    ProductMatchParameters^ parameters
)
abstract AddOrIncrease :
        session : Session *
        productId : Guid *
        type : CartProductType *
        parameters : ProductMatchParameters -> unit
override AddOrIncrease :
        session : Session *
        productId : Guid *
        type : CartProductType *
        parameters : ProductMatchParameters -> unit

Parameters

session
Type: ZKWeb.Plugins.Common.Base.src.Domain.EntitiesSession
会话
productId
Type: SystemGuid
商品Id
type
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsCartProductType
购物车商品类型
parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数
See Also

Reference

CartProductRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


CartProductRepository.GetManyBySession Method

CartProductRepositoryGetManyBySession Method

获取会话对应的购物车商品列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IQueryable<CartProduct> GetManyBySession(
    Session session,
    Nullable<CartProductType> type
)
Public Overridable Function GetManyBySession (
    session As Session,
    type As Nullable(Of CartProductType)
) As IQueryable(Of CartProduct)
public:
virtual IQueryable<CartProduct^>^ GetManyBySession(
    Session^ session,
    Nullable<CartProductType> type
)
abstract GetManyBySession :
        session : Session *
        type : Nullable<CartProductType> -> IQueryable<CartProduct>
override GetManyBySession :
        session : Session *
        type : Nullable<CartProductType> -> IQueryable<CartProduct>

Parameters

session
Type: ZKWeb.Plugins.Common.Base.src.Domain.EntitiesSession
会话
type
Type: SystemNullable CartProductType
购物车商品类型，传入null时获取所有类型

Return Value

Type: IQueryable CartProduct

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories.CartProductRepository.GetManyBySession(ZKWeb.Plugins.Common.Base.src.Domain.Entities.Session,System.Nullable{ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.CartProductType})"]

See Also

Reference

CartProductRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


CartProductRepository.MergeToUser Method

CartProductRepositoryMergeToUser Method

把属于会话的购物车商品整合到用户中 用于允许非会员下单时，未登录前添加的商品可以在登陆后整合到登陆后的用户

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void MergeToUser(
    Guid sessionId,
    Guid userId
)
Public Overridable Sub MergeToUser (
    sessionId As Guid,
    userId As Guid
)
public:
virtual void MergeToUser(
    Guid sessionId,
    Guid userId
)
abstract MergeToUser :
        sessionId : Guid *
        userId : Guid -> unit
override MergeToUser :
        sessionId : Guid *
        userId : Guid -> unit

Parameters

sessionId
Type: SystemGuid
会话Id
userId
Type: SystemGuid
用户Id

Return Value

Type:
See Also

Reference

CartProductRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


OrderCommentRepository Class
订单留言的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase OrderComment, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesOrderCommentRepository

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderCommentRepository : RepositoryBase<OrderComment, Guid>
Public Class OrderCommentRepository
    Inherits RepositoryBase(Of OrderComment, Guid)
public ref class OrderCommentRepository : public RepositoryBase<OrderComment^, Guid>
type OrderCommentRepository =
    class
        inherit RepositoryBase<OrderComment, Guid>
    end

The OrderCommentRepository type exposes the following members.

Constructors
 | Name | Description
Public method | OrderCommentRepository | Initializes a new instance of the OrderCommentRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


OrderCommentRepository Constructor

Initializes a new instance of the OrderCommentRepository class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderCommentRepository()
Public Sub New
public:
OrderCommentRepository()
new : unit -> OrderCommentRepository
See Also

Reference

OrderCommentRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


OrderDeliveryRepository Class
订单发货的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase OrderDelivery, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesOrderDeliveryRepository

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDeliveryRepository : RepositoryBase<OrderDelivery, Guid>
Public Class OrderDeliveryRepository
    Inherits RepositoryBase(Of OrderDelivery, Guid)
public ref class OrderDeliveryRepository : public RepositoryBase<OrderDelivery^, Guid>
type OrderDeliveryRepository =
    class
        inherit RepositoryBase<OrderDelivery, Guid>
    end

The OrderDeliveryRepository type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDeliveryRepository | Initializes a new instance of the OrderDeliveryRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


OrderDeliveryRepository Constructor

Initializes a new instance of the OrderDeliveryRepository class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDeliveryRepository()
Public Sub New
public:
OrderDeliveryRepository()
new : unit -> OrderDeliveryRepository
See Also

Reference

OrderDeliveryRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


SellerOrderRepository Class
卖家订单的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase SellerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesSellerOrderRepository

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SellerOrderRepository : RepositoryBase<SellerOrder, Guid>
Public Class SellerOrderRepository
    Inherits RepositoryBase(Of SellerOrder, Guid)
public ref class SellerOrderRepository : public RepositoryBase<SellerOrder^, Guid>
type SellerOrderRepository =
    class
        inherit RepositoryBase<SellerOrder, Guid>
    end

The SellerOrderRepository type exposes the following members.

Constructors
 | Name | Description
Public method | SellerOrderRepository | Initializes a new instance of the SellerOrderRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


SellerOrderRepository Constructor

Initializes a new instance of the SellerOrderRepository class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SellerOrderRepository()
Public Sub New
public:
SellerOrderRepository()
new : unit -> SellerOrderRepository
See Also

Reference

SellerOrderRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


ShippingAddressRepository Class
收货地址的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase ShippingAddress, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.RepositoriesShippingAddressRepository

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ShippingAddressRepository : RepositoryBase<ShippingAddress, Guid>
Public Class ShippingAddressRepository
    Inherits RepositoryBase(Of ShippingAddress, Guid)
public ref class ShippingAddressRepository : public RepositoryBase<ShippingAddress^, Guid>
type ShippingAddressRepository =
    class
        inherit RepositoryBase<ShippingAddress, Guid>
    end

The ShippingAddressRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressRepository | Initializes a new instance of the ShippingAddressRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


ShippingAddressRepository Constructor

Initializes a new instance of the ShippingAddressRepository class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ShippingAddressRepository()
Public Sub New
public:
ShippingAddressRepository()
new : unit -> ShippingAddressRepository
See Also

Reference

ShippingAddressRepository Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Repositories Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Services"]

Classes
 | Class | Description
Public class | BuyerOrderManager | 买家订单管理器 包含买家使用的订单操作
Public class | CartProductManager | 购物车商品管理器
Public class | OrderCommentManager | 订单留言管理器
Public class | OrderDeliveryManager | 订单发货管理器
Public class | SellerOrderManager | 卖家订单管理器 包含费用计算，订单创建和卖家使用的订单操作
Public class | ShippingAddressManager | 收货地址管理器


BuyerOrderManager Class
买家订单管理器 包含买家使用的订单操作
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase BuyerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesBuyerOrderManager

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BuyerOrderManager : DomainServiceBase<BuyerOrder, Guid>
Public Class BuyerOrderManager
    Inherits DomainServiceBase(Of BuyerOrder, Guid)
public ref class BuyerOrderManager : public DomainServiceBase<BuyerOrder^, Guid>
type BuyerOrderManager =
    class
        inherit DomainServiceBase<BuyerOrder, Guid>
    end

The BuyerOrderManager type exposes the following members.

Constructors
 | Name | Description
Public method | BuyerOrderManager | Initializes a new instance of the BuyerOrderManager class
Top
Methods
 | Name | Description
Public method | CancelOrder | 取消订单
Public method | ConfirmOrder | 确认收货
Public method | GetBuyerOrderIdFromSerial | 根据订单编号获取买家订单Id 失败时返回null
Public method | GetBuyerOrderIdsFromSerials | 根据订单编号列表获取买家订单Id列表 返回的数量不一定一致
Public method | GetSellerOrderIdFromBuyerOrderId | 根据买家订单Id获取卖家订单Id
Public method | MergePayment | 合并支付 返回合并后的支付交易Id
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager Constructor

Initializes a new instance of the BuyerOrderManager class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BuyerOrderManager()
Public Sub New
public:
BuyerOrderManager()
new : unit -> BuyerOrderManager
See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager Methods

The BuyerOrderManager type exposes the following members.

Methods
 | Name | Description
Public method | CancelOrder | 取消订单
Public method | ConfirmOrder | 确认收货
Public method | GetBuyerOrderIdFromSerial | 根据订单编号获取买家订单Id 失败时返回null
Public method | GetBuyerOrderIdsFromSerials | 根据订单编号列表获取买家订单Id列表 返回的数量不一定一致
Public method | GetSellerOrderIdFromBuyerOrderId | 根据买家订单Id获取卖家订单Id
Public method | MergePayment | 合并支付 返回合并后的支付交易Id
Top
See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager.CancelOrder Method

BuyerOrderManagerCancelOrder Method

取消订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool CancelOrder(
    Guid orderId,
    Nullable<Guid> operatorId,
    string reason
)
Public Overridable Function CancelOrder (
    orderId As Guid,
    operatorId As Nullable(Of Guid),
    reason As String
) As Boolean
public:
virtual bool CancelOrder(
    Guid orderId,
    Nullable<Guid> operatorId,
    String^ reason
)
abstract CancelOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        reason : string -> bool
override CancelOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        reason : string -> bool

Parameters

orderId
Type: SystemGuid
买家订单Id
operatorId
Type: SystemNullable Guid
操作人Id
reason
Type: SystemString
作废理由，必填

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.BuyerOrderManager.CancelOrder(System.Guid,System.Nullable{System.Guid},System.String)"]

See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager.ConfirmOrder Method

BuyerOrderManagerConfirmOrder Method

确认收货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ConfirmOrder(
    Guid orderId,
    Nullable<Guid> operatorId
)
Public Overridable Function ConfirmOrder (
    orderId As Guid,
    operatorId As Nullable(Of Guid)
) As Boolean
public:
virtual bool ConfirmOrder(
    Guid orderId,
    Nullable<Guid> operatorId
)
abstract ConfirmOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> -> bool
override ConfirmOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> -> bool

Parameters

orderId
Type: SystemGuid
买家订单Id
operatorId
Type: SystemNullable Guid
操作人Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.BuyerOrderManager.ConfirmOrder(System.Guid,System.Nullable{System.Guid})"]

See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager.GetBuyerOrderIdFromSerial Method

BuyerOrderManagerGetBuyerOrderIdFromSerial Method

根据订单编号获取买家订单Id 失败时返回null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<Guid> GetBuyerOrderIdFromSerial(
    string serial
)
Public Overridable Function GetBuyerOrderIdFromSerial (
    serial As String
) As Nullable(Of Guid)
public:
virtual Nullable<Guid> GetBuyerOrderIdFromSerial(
    String^ serial
)
abstract GetBuyerOrderIdFromSerial :
        serial : string -> Nullable<Guid>
override GetBuyerOrderIdFromSerial :
        serial : string -> Nullable<Guid>

Parameters

serial
Type: SystemString
订单编号

Return Value

Type: Nullable Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.BuyerOrderManager.GetBuyerOrderIdFromSerial(System.String)"]

See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager.GetBuyerOrderIdsFromSerials Method

BuyerOrderManagerGetBuyerOrderIdsFromSerials Method

根据订单编号列表获取买家订单Id列表 返回的数量不一定一致

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Guid> GetBuyerOrderIdsFromSerials(
    IList<string> serials
)
Public Overridable Function GetBuyerOrderIdsFromSerials (
    serials As IList(Of String)
) As IList(Of Guid)
public:
virtual IList<Guid>^ GetBuyerOrderIdsFromSerials(
    IList<String^>^ serials
)
abstract GetBuyerOrderIdsFromSerials :
        serials : IList<string> -> IList<Guid>
override GetBuyerOrderIdsFromSerials :
        serials : IList<string> -> IList<Guid>

Parameters

serials
Type: System.Collections.GenericIList String
订单编号

Return Value

Type: IList Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.BuyerOrderManager.GetBuyerOrderIdsFromSerials(System.Collections.Generic.IList{System.String})"]

See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager.GetSellerOrderIdFromBuyerOrderId Method

BuyerOrderManagerGetSellerOrderIdFromBuyerOrderId Method

根据买家订单Id获取卖家订单Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid GetSellerOrderIdFromBuyerOrderId(
    Guid orderId
)
Public Overridable Function GetSellerOrderIdFromBuyerOrderId (
    orderId As Guid
) As Guid
public:
virtual Guid GetSellerOrderIdFromBuyerOrderId(
    Guid orderId
)
abstract GetSellerOrderIdFromBuyerOrderId :
        orderId : Guid -> Guid
override GetSellerOrderIdFromBuyerOrderId :
        orderId : Guid -> Guid

Parameters

orderId
Type: SystemGuid
买家订单Id

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.BuyerOrderManager.GetSellerOrderIdFromBuyerOrderId(System.Guid)"]

See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


BuyerOrderManager.MergePayment Method

BuyerOrderManagerMergePayment Method

合并支付 返回合并后的支付交易Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid MergePayment(
    IList<Guid> orderIds
)
Public Overridable Function MergePayment (
    orderIds As IList(Of Guid)
) As Guid
public:
virtual Guid MergePayment(
    IList<Guid>^ orderIds
)
abstract MergePayment :
        orderIds : IList<Guid> -> Guid
override MergePayment :
        orderIds : IList<Guid> -> Guid

Parameters

orderIds
Type: System.Collections.GenericIList Guid
买家Id列表

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.BuyerOrderManager.MergePayment(System.Collections.Generic.IList{System.Guid})"]

See Also

Reference

BuyerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager Class
购物车商品管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase CartProduct, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesCartProductManager

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CartProductManager : DomainServiceBase<CartProduct, Guid>,
    ICacheCleaner
Public Class CartProductManager
    Inherits DomainServiceBase(Of CartProduct, Guid)
    Implements ICacheCleaner
public ref class CartProductManager : public DomainServiceBase<CartProduct^, Guid>,
    ICacheCleaner
type CartProductManager =
    class
        inherit DomainServiceBase<CartProduct, Guid>
        interface ICacheCleaner
    end

The CartProductManager type exposes the following members.

Constructors
 | Name | Description
Public method | CartProductManager | 初始化
Top
Properties
 | Name | Description
Public property | CartProductTotalCountCache | 购物车商品的总数量的缓存
Public property | CartProductTotalCountCacheTime | 购物车商品的总数量的缓存时间 默认是3秒，可通过网站配置指定
Public property | SessionExpireDaysForNonUserPurcharse | 非会员添加购物车商品时，保留会话的天数 默认是1天，可通过网站配置指定
Top
Methods
 | Name | Description
Public method | AddCartProduct | 添加购物车商品到当前会话 如果商品已在购物车则增加里面的数量
Public method | ClearCache | 清理缓存
Public method | ClearExpiredCartProducts | 删除过期的购物车商品 返回删除的数量
Public method | DeleteCartProduct | 删除当前会话下的购物车商品
Public method | GetCartApiInfo | 获取当前会话中的购物车的信息 为了保证数据的实时性，这个函数不使用缓存
Public method | GetCartCalculatePriceApiInfo | 获取购物车商品计算价格的信息 为了保证数据的实时性，这个函数不使用缓存
Public method | GetCartProducts | 获取当前会话下的购物车商品列表 为了保证数据的实时性，这个函数不使用缓存
Public method | GetCartProductTotalCount | 获取购物车商品的总数量(商品 * 订购数量) 结果会按当前用户Id和购物车商品类型缓存一定时间
Public method | GetCartProductTotalPrice | 获取购物车商品的总价 返回 { 货币: 价格 }
Public method | GetMiniCartApiInfo | 获取当前会话中的迷你购物车的信息 为了保证数据的实时性，这个函数不使用缓存
Public method | MergeToUser | 把属于会话的购物车商品整合到用户中 用于允许非会员下单时，未登录前添加的商品可以在登录后整合到自身的购物车中
Public method | UpdateCartProductCounts | 更新当前会话下的购物车商品数量
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CartProductManager()
Public Sub New
public:
CartProductManager()
new : unit -> CartProductManager
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager Properties

The CartProductManager type exposes the following members.

Properties
 | Name | Description
Public property | CartProductTotalCountCache | 购物车商品的总数量的缓存
Public property | CartProductTotalCountCacheTime | 购物车商品的总数量的缓存时间 默认是3秒，可通过网站配置指定
Public property | SessionExpireDaysForNonUserPurcharse | 非会员添加购物车商品时，保留会话的天数 默认是1天，可通过网站配置指定
Top
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.CartProductTotalCountCache Property

CartProductManagerCartProductTotalCountCache Property

购物车商品的总数量的缓存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IKeyValueCache<CartProductType, Nullable<long>> CartProductTotalCountCache { get; protected set; }
Public Property CartProductTotalCountCache As IKeyValueCache(Of CartProductType, Nullable(Of Long))
    Get
    Protected Set
public:
property IKeyValueCache<CartProductType, Nullable<long long>>^ CartProductTotalCountCache {
    IKeyValueCache<CartProductType, Nullable<long long>>^ get ();
    protected: void set (IKeyValueCache<CartProductType, Nullable<long long>>^ value);
}
member CartProductTotalCountCache : IKeyValueCache<CartProductType, Nullable<int64>> with get, set

Property Value

Type: IKeyValueCacheCartProductType, Nullable Int64
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.CartProductTotalCountCacheTime Property

CartProductManagerCartProductTotalCountCacheTime Property

购物车商品的总数量的缓存时间 默认是3秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan CartProductTotalCountCacheTime { get; protected set; }
Public Property CartProductTotalCountCacheTime As TimeSpan
    Get
    Protected Set
public:
property TimeSpan CartProductTotalCountCacheTime {
    TimeSpan get ();
    protected: void set (TimeSpan value);
}
member CartProductTotalCountCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.SessionExpireDaysForNonUserPurcharse Property

CartProductManagerSessionExpireDaysForNonUserPurcharse Property

非会员添加购物车商品时，保留会话的天数 默认是1天，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan SessionExpireDaysForNonUserPurcharse { get; protected set; }
Public Property SessionExpireDaysForNonUserPurcharse As TimeSpan
    Get
    Protected Set
public:
property TimeSpan SessionExpireDaysForNonUserPurcharse {
    TimeSpan get ();
    protected: void set (TimeSpan value);
}
member SessionExpireDaysForNonUserPurcharse : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager Methods

The CartProductManager type exposes the following members.

Methods
 | Name | Description
Public method | AddCartProduct | 添加购物车商品到当前会话 如果商品已在购物车则增加里面的数量
Public method | ClearCache | 清理缓存
Public method | ClearExpiredCartProducts | 删除过期的购物车商品 返回删除的数量
Public method | DeleteCartProduct | 删除当前会话下的购物车商品
Public method | GetCartApiInfo | 获取当前会话中的购物车的信息 为了保证数据的实时性，这个函数不使用缓存
Public method | GetCartCalculatePriceApiInfo | 获取购物车商品计算价格的信息 为了保证数据的实时性，这个函数不使用缓存
Public method | GetCartProducts | 获取当前会话下的购物车商品列表 为了保证数据的实时性，这个函数不使用缓存
Public method | GetCartProductTotalCount | 获取购物车商品的总数量(商品 * 订购数量) 结果会按当前用户Id和购物车商品类型缓存一定时间
Public method | GetCartProductTotalPrice | 获取购物车商品的总价 返回 { 货币: 价格 }
Public method | GetMiniCartApiInfo | 获取当前会话中的迷你购物车的信息 为了保证数据的实时性，这个函数不使用缓存
Public method | MergeToUser | 把属于会话的购物车商品整合到用户中 用于允许非会员下单时，未登录前添加的商品可以在登录后整合到自身的购物车中
Public method | UpdateCartProductCounts | 更新当前会话下的购物车商品数量
Top
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.AddCartProduct Method

CartProductManagerAddCartProduct Method

添加购物车商品到当前会话 如果商品已在购物车则增加里面的数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddCartProduct(
    Guid productId,
    CartProductType type,
    ProductMatchParameters parameters
)
Public Overridable Sub AddCartProduct (
    productId As Guid,
    type As CartProductType,
    parameters As ProductMatchParameters
)
public:
virtual void AddCartProduct(
    Guid productId,
    CartProductType type,
    ProductMatchParameters^ parameters
)
abstract AddCartProduct :
        productId : Guid *
        type : CartProductType *
        parameters : ProductMatchParameters -> unit
override AddCartProduct :
        productId : Guid *
        type : CartProductType *
        parameters : ProductMatchParameters -> unit

Parameters

productId
Type: SystemGuid
商品Id
type
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsCartProductType
购物车商品类型
parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
匹配参数
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.ClearCache Method

CartProductManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.ClearExpiredCartProducts Method

CartProductManagerClearExpiredCartProducts Method

删除过期的购物车商品 返回删除的数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ClearExpiredCartProducts()
Public Function ClearExpiredCartProducts As Long
public:
long long ClearExpiredCartProducts()
member ClearExpiredCartProducts : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.ClearExpiredCartProducts"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.DeleteCartProduct Method

CartProductManagerDeleteCartProduct Method

删除当前会话下的购物车商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool DeleteCartProduct(
    Guid cartProductId
)
Public Overridable Function DeleteCartProduct (
    cartProductId As Guid
) As Boolean
public:
virtual bool DeleteCartProduct(
    Guid cartProductId
)
abstract DeleteCartProduct :
        cartProductId : Guid -> bool
override DeleteCartProduct :
        cartProductId : Guid -> bool

Parameters

cartProductId
Type: SystemGuid
购物车商品Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.DeleteCartProduct(System.Guid)"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.GetCartApiInfo Method

CartProductManagerGetCartApiInfo Method

获取当前会话中的购物车的信息 为了保证数据的实时性，这个函数不使用缓存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object GetCartApiInfo(
    CartProductType type
)
Public Overridable Function GetCartApiInfo (
    type As CartProductType
) As Object
public:
virtual Object^ GetCartApiInfo(
    CartProductType type
)
abstract GetCartApiInfo :
        type : CartProductType -> Object
override GetCartApiInfo :
        type : CartProductType -> Object

Parameters

type
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsCartProductType
购物车类型

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.GetCartApiInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.CartProductType)"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.GetCartCalculatePriceApiInfo Method

CartProductManagerGetCartCalculatePriceApiInfo Method

获取购物车商品计算价格的信息 为了保证数据的实时性，这个函数不使用缓存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object GetCartCalculatePriceApiInfo(
    CreateOrderParameters parameters
)
Public Overridable Function GetCartCalculatePriceApiInfo (
    parameters As CreateOrderParameters
) As Object
public:
virtual Object^ GetCartCalculatePriceApiInfo(
    CreateOrderParameters^ parameters
)
abstract GetCartCalculatePriceApiInfo :
        parameters : CreateOrderParameters -> Object
override GetCartCalculatePriceApiInfo :
        parameters : CreateOrderParameters -> Object

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
订单创建参数

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.GetCartCalculatePriceApiInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.GetCartProducts Method

CartProductManagerGetCartProducts Method

获取当前会话下的购物车商品列表 为了保证数据的实时性，这个函数不使用缓存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<CartProduct> GetCartProducts(
    CartProductType type
)
Public Overridable Function GetCartProducts (
    type As CartProductType
) As IList(Of CartProduct)
public:
virtual IList<CartProduct^>^ GetCartProducts(
    CartProductType type
)
abstract GetCartProducts :
        type : CartProductType -> IList<CartProduct>
override GetCartProducts :
        type : CartProductType -> IList<CartProduct>

Parameters

type
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsCartProductType
购物车商品类型

Return Value

Type: IList CartProduct

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.GetCartProducts(ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.CartProductType)"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.GetCartProductTotalCount Method

CartProductManagerGetCartProductTotalCount Method

获取购物车商品的总数量(商品 * 订购数量) 结果会按当前用户Id和购物车商品类型缓存一定时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long GetCartProductTotalCount(
    CartProductType type
)
Public Overridable Function GetCartProductTotalCount (
    type As CartProductType
) As Long
public:
virtual long long GetCartProductTotalCount(
    CartProductType type
)
abstract GetCartProductTotalCount :
        type : CartProductType -> int64
override GetCartProductTotalCount :
        type : CartProductType -> int64

Parameters

type
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsCartProductType
购物车商品类型

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.GetCartProductTotalCount(ZKWeb.Plugins.Shopping.Order.src.Domain.Enums.CartProductType)"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.GetCartProductTotalPrice Method

CartProductManagerGetCartProductTotalPrice Method

获取购物车商品的总价 返回 { 货币: 价格 }

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDictionary<string, decimal> GetCartProductTotalPrice(
    IList<CartProduct> cartProducts
)
Public Overridable Function GetCartProductTotalPrice (
    cartProducts As IList(Of CartProduct)
) As IDictionary(Of String, Decimal)
public:
virtual IDictionary<String^, Decimal>^ GetCartProductTotalPrice(
    IList<CartProduct^>^ cartProducts
)
abstract GetCartProductTotalPrice :
        cartProducts : IList<CartProduct> -> IDictionary<string, decimal>
override GetCartProductTotalPrice :
        cartProducts : IList<CartProduct> -> IDictionary<string, decimal>

Parameters

cartProducts
Type: System.Collections.GenericIList CartProduct
购物车商品列表

Return Value

Type: IDictionary String, Decimal

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.GetCartProductTotalPrice(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.CartProduct})"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.GetMiniCartApiInfo Method

CartProductManagerGetMiniCartApiInfo Method

获取当前会话中的迷你购物车的信息 为了保证数据的实时性，这个函数不使用缓存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object GetMiniCartApiInfo()
Public Overridable Function GetMiniCartApiInfo As Object
public:
virtual Object^ GetMiniCartApiInfo()
abstract GetMiniCartApiInfo : unit -> Object
override GetMiniCartApiInfo : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.GetMiniCartApiInfo"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.MergeToUser Method

CartProductManagerMergeToUser Method

把属于会话的购物车商品整合到用户中 用于允许非会员下单时，未登录前添加的商品可以在登录后整合到自身的购物车中

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void MergeToUser(
    Guid sessionId,
    Guid userId
)
Public Overridable Sub MergeToUser (
    sessionId As Guid,
    userId As Guid
)
public:
virtual void MergeToUser(
    Guid sessionId,
    Guid userId
)
abstract MergeToUser :
        sessionId : Guid *
        userId : Guid -> unit
override MergeToUser :
        sessionId : Guid *
        userId : Guid -> unit

Parameters

sessionId
Type: SystemGuid

[Missing <param name="sessionId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.MergeToUser(System.Guid,System.Guid)"]

userId
Type: SystemGuid

[Missing <param name="userId"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.CartProductManager.MergeToUser(System.Guid,System.Guid)"]

See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


CartProductManager.UpdateCartProductCounts Method

CartProductManagerUpdateCartProductCounts Method

更新当前会话下的购物车商品数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void UpdateCartProductCounts(
    IDictionary<Guid, long> counts
)
Public Overridable Sub UpdateCartProductCounts (
    counts As IDictionary(Of Guid, Long)
)
public:
virtual void UpdateCartProductCounts(
    IDictionary<Guid, long long>^ counts
)
abstract UpdateCartProductCounts :
        counts : IDictionary<Guid, int64> -> unit
override UpdateCartProductCounts :
        counts : IDictionary<Guid, int64> -> unit

Parameters

counts
Type: System.Collections.GenericIDictionary Guid, Int64
{ 购物车商品Id: 数量 }
See Also

Reference

CartProductManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderCommentManager Class
订单留言管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase OrderComment, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesOrderCommentManager

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderCommentManager : DomainServiceBase<OrderComment, Guid>
Public Class OrderCommentManager
    Inherits DomainServiceBase(Of OrderComment, Guid)
public ref class OrderCommentManager : public DomainServiceBase<OrderComment^, Guid>
type OrderCommentManager =
    class
        inherit DomainServiceBase<OrderComment, Guid>
    end

The OrderCommentManager type exposes the following members.

Constructors
 | Name | Description
Public method | OrderCommentManager | Initializes a new instance of the OrderCommentManager class
Top
Methods
 | Name | Description
Public method | AddComment | 添加订单留言
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderCommentManager Constructor

Initializes a new instance of the OrderCommentManager class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderCommentManager()
Public Sub New
public:
OrderCommentManager()
new : unit -> OrderCommentManager
See Also

Reference

OrderCommentManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderCommentManager Methods

The OrderCommentManager type exposes the following members.

Methods
 | Name | Description
Public method | AddComment | 添加订单留言
Top
See Also

Reference

OrderCommentManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderCommentManager.AddComment Method

OrderCommentManagerAddComment Method

添加订单留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddComment(
    SellerOrder order,
    Nullable<Guid> userId,
    OrderCommentSide side,
    string contents
)
Public Sub AddComment (
    order As SellerOrder,
    userId As Nullable(Of Guid),
    side As OrderCommentSide,
    contents As String
)
public:
void AddComment(
    SellerOrder^ order,
    Nullable<Guid> userId,
    OrderCommentSide side,
    String^ contents
)
member AddComment :
        order : SellerOrder *
        userId : Nullable<Guid> *
        side : OrderCommentSide *
        contents : string -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
userId
Type: SystemNullable Guid
用户Id
side
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EnumsOrderCommentSide
买家或卖家留言
contents
Type: SystemString
留言内容
See Also

Reference

OrderCommentManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderDeliveryManager Class
订单发货管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase OrderDelivery, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesOrderDeliveryManager

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDeliveryManager : DomainServiceBase<OrderDelivery, Guid>
Public Class OrderDeliveryManager
    Inherits DomainServiceBase(Of OrderDelivery, Guid)
public ref class OrderDeliveryManager : public DomainServiceBase<OrderDelivery^, Guid>
type OrderDeliveryManager =
    class
        inherit DomainServiceBase<OrderDelivery, Guid>
    end

The OrderDeliveryManager type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDeliveryManager | Initializes a new instance of the OrderDeliveryManager class
Top
Methods
 | Name | Description
Public method | DeliveryGoods | 对订单进行发货 当所有商品已发货时，设置订单为已发货
Public method | GetShippedProductMapping | 获取已发货的订单商品数量索引 返回 { 订单商品Id: 已发数量 }
Public method | GetUnshippedProductMapping | 获取未发货的订单商品数量索引 返回 { 订单商品Id: 未发数量 }
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderDeliveryManager Constructor

Initializes a new instance of the OrderDeliveryManager class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDeliveryManager()
Public Sub New
public:
OrderDeliveryManager()
new : unit -> OrderDeliveryManager
See Also

Reference

OrderDeliveryManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderDeliveryManager Methods

The OrderDeliveryManager type exposes the following members.

Methods
 | Name | Description
Public method | DeliveryGoods | 对订单进行发货 当所有商品已发货时，设置订单为已发货
Public method | GetShippedProductMapping | 获取已发货的订单商品数量索引 返回 { 订单商品Id: 已发数量 }
Public method | GetUnshippedProductMapping | 获取未发货的订单商品数量索引 返回 { 订单商品Id: 未发数量 }
Top
See Also

Reference

OrderDeliveryManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderDeliveryManager.DeliveryGoods Method

OrderDeliveryManagerDeliveryGoods Method

对订单进行发货 当所有商品已发货时，设置订单为已发货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void DeliveryGoods(
    Guid orderId,
    Nullable<Guid> operatorId,
    Guid logisticsId,
    string invoiceNo,
    string remark,
    IDictionary<Guid, long> deliveryCounts
)
Public Overridable Sub DeliveryGoods (
    orderId As Guid,
    operatorId As Nullable(Of Guid),
    logisticsId As Guid,
    invoiceNo As String,
    remark As String,
    deliveryCounts As IDictionary(Of Guid, Long)
)
public:
virtual void DeliveryGoods(
    Guid orderId,
    Nullable<Guid> operatorId,
    Guid logisticsId,
    String^ invoiceNo,
    String^ remark,
    IDictionary<Guid, long long>^ deliveryCounts
)
abstract DeliveryGoods :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        logisticsId : Guid *
        invoiceNo : string *
        remark : string *
        deliveryCounts : IDictionary<Guid, int64> -> unit
override DeliveryGoods :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        logisticsId : Guid *
        invoiceNo : string *
        remark : string *
        deliveryCounts : IDictionary<Guid, int64> -> unit

Parameters

orderId
Type: SystemGuid
订单Id
operatorId
Type: SystemNullable Guid
发货人Id
logisticsId
Type: SystemGuid
物流Id
invoiceNo
Type: SystemString
快递单编号
remark
Type: SystemString
备注
deliveryCounts
Type: System.Collections.GenericIDictionary Guid, Int64
订单商品Id到发货数量的索引
See Also

Reference

OrderDeliveryManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderDeliveryManager.GetShippedProductMapping Method

OrderDeliveryManagerGetShippedProductMapping Method

获取已发货的订单商品数量索引 返回 { 订单商品Id: 已发数量 }

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDictionary<Guid, long> GetShippedProductMapping(
    SellerOrder order
)
Public Overridable Function GetShippedProductMapping (
    order As SellerOrder
) As IDictionary(Of Guid, Long)
public:
virtual IDictionary<Guid, long long>^ GetShippedProductMapping(
    SellerOrder^ order
)
abstract GetShippedProductMapping :
        order : SellerOrder -> IDictionary<Guid, int64>
override GetShippedProductMapping :
        order : SellerOrder -> IDictionary<Guid, int64>

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单

Return Value

Type: IDictionary Guid, Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.OrderDeliveryManager.GetShippedProductMapping(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

OrderDeliveryManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


OrderDeliveryManager.GetUnshippedProductMapping Method

OrderDeliveryManagerGetUnshippedProductMapping Method

获取未发货的订单商品数量索引 返回 { 订单商品Id: 未发数量 }

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDictionary<Guid, long> GetUnshippedProductMapping(
    SellerOrder order
)
Public Overridable Function GetUnshippedProductMapping (
    order As SellerOrder
) As IDictionary(Of Guid, Long)
public:
virtual IDictionary<Guid, long long>^ GetUnshippedProductMapping(
    SellerOrder^ order
)
abstract GetUnshippedProductMapping :
        order : SellerOrder -> IDictionary<Guid, int64>
override GetUnshippedProductMapping :
        order : SellerOrder -> IDictionary<Guid, int64>

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单

Return Value

Type: IDictionary Guid, Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.OrderDeliveryManager.GetUnshippedProductMapping(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

OrderDeliveryManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager Class
卖家订单管理器 包含费用计算，订单创建和卖家使用的订单操作
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase SellerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesSellerOrderManager

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SellerOrderManager : DomainServiceBase<SellerOrder, Guid>
Public Class SellerOrderManager
    Inherits DomainServiceBase(Of SellerOrder, Guid)
public ref class SellerOrderManager : public DomainServiceBase<SellerOrder^, Guid>
type SellerOrderManager =
    class
        inherit DomainServiceBase<SellerOrder, Guid>
    end

The SellerOrderManager type exposes the following members.

Constructors
 | Name | Description
Public method | SellerOrderManager | 初始化
Top
Methods
 | Name | Description
Public method | AddDetailRecord | 添加订单明细记录
Public method | AutoCancelOrder | 自动取消未付款的订单
Public method | AutoConfirmOrder | 自动确认收货
Public method | CalculateLogisticsCost | 计算订单使用指定的物流的运费 返回 ((运费, 货币), 错误信息)
Public method | CalculateOrderPrice | 计算订单的价格 返回价格保证大于0
Public method | CalculateOrderProductUnitPrice | 计算订单商品的单价 返回价格保证大于或等于0
Public method | CancelOrder | 取消订单
Public method | ConfirmOrder | 确认收货
Public method | CreateOrder | 创建订单
Public method | EditCost | 修改订单，订单商品和订单交易的金额
Public method | EditShippingAddress | 编辑订单收货地址
Public method | GetAvailableLogistics | 获取创建订单可用的物流列表
Public method | GetAvailablePaymentApis | 获取创建订单可用的支付接口列表
Public method | GetAvailableShippingAddress | 获取创建订单可用的收货地址列表
Public method | GetCheckoutUrl | 获取用于支付订单的Url
Public method | GetDetailRecords | 获取指定订单的所有明细记录
Public method | GetReleatedTransactions | 获取订单关联的交易列表
Public method | ProcessAllGoodsShipped | 处理订单全部商品已发货 处理失败时记录到订单记录
Public method | ProcessOrderPaid | 处理订单已付款 处理失败时记录到订单记录
Public method | ProcessSuccess | 处理订单交易成功 处理失败时记录到订单记录
Public method | ReduceStock | 根据订单中订购的商品减少库存
Public method | SetOrderInvalid | 作废订单
Top
Fields
Name | Description
RecordType | 订单明细记录类型
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SellerOrderManager()
Public Sub New
public:
SellerOrderManager()
new : unit -> SellerOrderManager
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager Methods

The SellerOrderManager type exposes the following members.

Methods
 | Name | Description
Public method | AddDetailRecord | 添加订单明细记录
Public method | AutoCancelOrder | 自动取消未付款的订单
Public method | AutoConfirmOrder | 自动确认收货
Public method | CalculateLogisticsCost | 计算订单使用指定的物流的运费 返回 ((运费, 货币), 错误信息)
Public method | CalculateOrderPrice | 计算订单的价格 返回价格保证大于0
Public method | CalculateOrderProductUnitPrice | 计算订单商品的单价 返回价格保证大于或等于0
Public method | CancelOrder | 取消订单
Public method | ConfirmOrder | 确认收货
Public method | CreateOrder | 创建订单
Public method | EditCost | 修改订单，订单商品和订单交易的金额
Public method | EditShippingAddress | 编辑订单收货地址
Public method | GetAvailableLogistics | 获取创建订单可用的物流列表
Public method | GetAvailablePaymentApis | 获取创建订单可用的支付接口列表
Public method | GetAvailableShippingAddress | 获取创建订单可用的收货地址列表
Public method | GetCheckoutUrl | 获取用于支付订单的Url
Public method | GetDetailRecords | 获取指定订单的所有明细记录
Public method | GetReleatedTransactions | 获取订单关联的交易列表
Public method | ProcessAllGoodsShipped | 处理订单全部商品已发货 处理失败时记录到订单记录
Public method | ProcessOrderPaid | 处理订单已付款 处理失败时记录到订单记录
Public method | ProcessSuccess | 处理订单交易成功 处理失败时记录到订单记录
Public method | ReduceStock | 根据订单中订购的商品减少库存
Public method | SetOrderInvalid | 作废订单
Top
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.AddDetailRecord Method

SellerOrderManagerAddDetailRecord Method

添加订单明细记录

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddDetailRecord(
    Guid orderId,
    Nullable<Guid> creatorId,
    string content,
    Object extraData = null
)
Public Overridable Sub AddDetailRecord (
    orderId As Guid,
    creatorId As Nullable(Of Guid),
    content As String,
    Optional extraData As Object = Nothing
)
public:
virtual void AddDetailRecord(
    Guid orderId,
    Nullable<Guid> creatorId,
    String^ content,
    Object^ extraData = nullptr
)
abstract AddDetailRecord :
        orderId : Guid *
        creatorId : Nullable<Guid> *
        content : string *
        ?extraData : Object
(* Defaults:
        let _extraData = defaultArg extraData null
*)
-> unit
override AddDetailRecord :
        orderId : Guid *
        creatorId : Nullable<Guid> *
        content : string *
        ?extraData : Object
(* Defaults:
        let _extraData = defaultArg extraData null
*)
-> unit

Parameters

orderId
Type: SystemGuid
订单Id
creatorId
Type: SystemNullable Guid
创建人Id
content
Type: SystemString
内容
extraData (Optional)
Type: SystemObject
附加数据
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.AutoCancelOrder Method

SellerOrderManagerAutoCancelOrder Method

自动取消未付款的订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long AutoCancelOrder()
Public Overridable Function AutoCancelOrder As Long
public:
virtual long long AutoCancelOrder()
abstract AutoCancelOrder : unit -> int64
override AutoCancelOrder : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.AutoCancelOrder"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.AutoConfirmOrder Method

SellerOrderManagerAutoConfirmOrder Method

自动确认收货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long AutoConfirmOrder()
Public Overridable Function AutoConfirmOrder As Long
public:
virtual long long AutoConfirmOrder()
abstract AutoConfirmOrder : unit -> int64
override AutoConfirmOrder : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.AutoConfirmOrder"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.CalculateLogisticsCost Method

SellerOrderManagerCalculateLogisticsCost Method

计算订单使用指定的物流的运费 返回 ((运费, 货币), 错误信息)

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Pair<Pair<decimal, string>, string> CalculateLogisticsCost(
    Guid logisticsId,
    Nullable<Guid> sellerId,
    CreateOrderParameters parameters
)
Public Overridable Function CalculateLogisticsCost (
    logisticsId As Guid,
    sellerId As Nullable(Of Guid),
    parameters As CreateOrderParameters
) As Pair(Of Pair(Of Decimal, String), String)
public:
virtual Pair<Pair<Decimal, String^>, String^> CalculateLogisticsCost(
    Guid logisticsId,
    Nullable<Guid> sellerId,
    CreateOrderParameters^ parameters
)
abstract CalculateLogisticsCost :
        logisticsId : Guid *
        sellerId : Nullable<Guid> *
        parameters : CreateOrderParameters -> Pair<Pair<decimal, string>, string>
override CalculateLogisticsCost :
        logisticsId : Guid *
        sellerId : Nullable<Guid> *
        parameters : CreateOrderParameters -> Pair<Pair<decimal, string>, string>

Parameters

logisticsId
Type: SystemGuid
物流Id
sellerId
Type: SystemNullable Guid
卖家Id
parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
订单创建参数

Return Value

Type: PairPairDecimal, String , String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.CalculateLogisticsCost(System.Guid,System.Nullable{System.Guid},ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.CalculateOrderPrice Method

SellerOrderManagerCalculateOrderPrice Method

计算订单的价格 返回价格保证大于0

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderPriceCalcResult CalculateOrderPrice(
    CreateOrderParameters parameters
)
Public Overridable Function CalculateOrderPrice (
    parameters As CreateOrderParameters
) As OrderPriceCalcResult
public:
virtual OrderPriceCalcResult^ CalculateOrderPrice(
    CreateOrderParameters^ parameters
)
abstract CalculateOrderPrice :
        parameters : CreateOrderParameters -> OrderPriceCalcResult
override CalculateOrderPrice :
        parameters : CreateOrderParameters -> OrderPriceCalcResult

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
创建订单的参数

Return Value

Type: OrderPriceCalcResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.CalculateOrderPrice(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.CalculateOrderProductUnitPrice Method

SellerOrderManagerCalculateOrderProductUnitPrice Method

计算订单商品的单价 返回价格保证大于或等于0

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderPriceCalcResult CalculateOrderProductUnitPrice(
    Nullable<Guid> userId,
    CreateOrderProductParameters parameters
)
Public Overridable Function CalculateOrderProductUnitPrice (
    userId As Nullable(Of Guid),
    parameters As CreateOrderProductParameters
) As OrderPriceCalcResult
public:
virtual OrderPriceCalcResult^ CalculateOrderProductUnitPrice(
    Nullable<Guid> userId,
    CreateOrderProductParameters^ parameters
)
abstract CalculateOrderProductUnitPrice :
        userId : Nullable<Guid> *
        parameters : CreateOrderProductParameters -> OrderPriceCalcResult
override CalculateOrderProductUnitPrice :
        userId : Nullable<Guid> *
        parameters : CreateOrderProductParameters -> OrderPriceCalcResult

Parameters

userId
Type: SystemNullable Guid
用户Id，未登录时等于null
parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderProductParameters
创建订单商品的参数

Return Value

Type: OrderPriceCalcResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.CalculateOrderProductUnitPrice(System.Nullable{System.Guid},ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.CancelOrder Method

SellerOrderManagerCancelOrder Method

取消订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool CancelOrder(
    Guid orderId,
    Nullable<Guid> operatorId,
    string reason
)
Public Overridable Function CancelOrder (
    orderId As Guid,
    operatorId As Nullable(Of Guid),
    reason As String
) As Boolean
public:
virtual bool CancelOrder(
    Guid orderId,
    Nullable<Guid> operatorId,
    String^ reason
)
abstract CancelOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        reason : string -> bool
override CancelOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        reason : string -> bool

Parameters

orderId
Type: SystemGuid
订单Id
operatorId
Type: SystemNullable Guid
操作人Id
reason
Type: SystemString
作废理由，必填

Return Value

Type: Boolean
是否处理成功
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.ConfirmOrder Method

SellerOrderManagerConfirmOrder Method

确认收货

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ConfirmOrder(
    Guid orderId,
    Nullable<Guid> operatorId,
    bool fromBuyer
)
Public Overridable Function ConfirmOrder (
    orderId As Guid,
    operatorId As Nullable(Of Guid),
    fromBuyer As Boolean
) As Boolean
public:
virtual bool ConfirmOrder(
    Guid orderId,
    Nullable<Guid> operatorId,
    bool fromBuyer
)
abstract ConfirmOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        fromBuyer : bool -> bool
override ConfirmOrder :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        fromBuyer : bool -> bool

Parameters

orderId
Type: SystemGuid
订单Id
operatorId
Type: SystemNullable Guid
操作人Id
fromBuyer
Type: SystemBoolean
是否从买家确认

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.ConfirmOrder(System.Guid,System.Nullable{System.Guid},System.Boolean)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.CreateOrder Method

SellerOrderManagerCreateOrder Method

创建订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual CreateOrderResult CreateOrder(
    CreateOrderParameters parameters
)
Public Overridable Function CreateOrder (
    parameters As CreateOrderParameters
) As CreateOrderResult
public:
virtual CreateOrderResult^ CreateOrder(
    CreateOrderParameters^ parameters
)
abstract CreateOrder :
        parameters : CreateOrderParameters -> CreateOrderResult
override CreateOrder :
        parameters : CreateOrderParameters -> CreateOrderResult

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters
创建订单的参数

Return Value

Type: CreateOrderResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.CreateOrder(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderParameters)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.EditCost Method

SellerOrderManagerEditCost Method

修改订单，订单商品和订单交易的金额

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void EditCost(
    SellerOrder order,
    Nullable<Guid> operatorId,
    OrderEditCostParameters parameters
)
Public Overridable Sub EditCost (
    order As SellerOrder,
    operatorId As Nullable(Of Guid),
    parameters As OrderEditCostParameters
)
public:
virtual void EditCost(
    SellerOrder^ order,
    Nullable<Guid> operatorId,
    OrderEditCostParameters^ parameters
)
abstract EditCost :
        order : SellerOrder *
        operatorId : Nullable<Guid> *
        parameters : OrderEditCostParameters -> unit
override EditCost :
        order : SellerOrder *
        operatorId : Nullable<Guid> *
        parameters : OrderEditCostParameters -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
operatorId
Type: SystemNullable Guid
操作人的Id
parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderEditCostParameters
修改参数
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.EditShippingAddress Method

SellerOrderManagerEditShippingAddress Method

编辑订单收货地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void EditShippingAddress(
    SellerOrder order,
    Nullable<Guid> operatorId,
    ShippingAddress address
)
Public Overridable Sub EditShippingAddress (
    order As SellerOrder,
    operatorId As Nullable(Of Guid),
    address As ShippingAddress
)
public:
virtual void EditShippingAddress(
    SellerOrder^ order,
    Nullable<Guid> operatorId,
    ShippingAddress^ address
)
abstract EditShippingAddress :
        order : SellerOrder *
        operatorId : Nullable<Guid> *
        address : ShippingAddress -> unit
override EditShippingAddress :
        order : SellerOrder *
        operatorId : Nullable<Guid> *
        address : ShippingAddress -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
operatorId
Type: SystemNullable Guid
操作人的Id
address
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesShippingAddress
收货地址
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.GetAvailableLogistics Method

SellerOrderManagerGetAvailableLogistics Method

获取创建订单可用的物流列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Logistics> GetAvailableLogistics(
    Nullable<Guid> userId,
    Nullable<Guid> sellerId
)
Public Overridable Function GetAvailableLogistics (
    userId As Nullable(Of Guid),
    sellerId As Nullable(Of Guid)
) As IList(Of Logistics)
public:
virtual IList<Logistics^>^ GetAvailableLogistics(
    Nullable<Guid> userId,
    Nullable<Guid> sellerId
)
abstract GetAvailableLogistics :
        userId : Nullable<Guid> *
        sellerId : Nullable<Guid> -> IList<Logistics>
override GetAvailableLogistics :
        userId : Nullable<Guid> *
        sellerId : Nullable<Guid> -> IList<Logistics>

Parameters

userId
Type: SystemNullable Guid
用户Id
sellerId
Type: SystemNullable Guid
卖家Id

Return Value

Type: IList Logistics

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.GetAvailableLogistics(System.Nullable{System.Guid},System.Nullable{System.Guid})"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.GetAvailablePaymentApis Method

SellerOrderManagerGetAvailablePaymentApis Method

获取创建订单可用的支付接口列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<PaymentApi> GetAvailablePaymentApis(
    Nullable<Guid> userId
)
Public Overridable Function GetAvailablePaymentApis (
    userId As Nullable(Of Guid)
) As IList(Of PaymentApi)
public:
virtual IList<PaymentApi^>^ GetAvailablePaymentApis(
    Nullable<Guid> userId
)
abstract GetAvailablePaymentApis :
        userId : Nullable<Guid> -> IList<PaymentApi>
override GetAvailablePaymentApis :
        userId : Nullable<Guid> -> IList<PaymentApi>

Parameters

userId
Type: SystemNullable Guid
用户Id

Return Value

Type: IList PaymentApi

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.GetAvailablePaymentApis(System.Nullable{System.Guid})"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.GetAvailableShippingAddress Method

SellerOrderManagerGetAvailableShippingAddress Method

获取创建订单可用的收货地址列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<ShippingAddress> GetAvailableShippingAddress(
    Nullable<Guid> userId
)
Public Overridable Function GetAvailableShippingAddress (
    userId As Nullable(Of Guid)
) As IList(Of ShippingAddress)
public:
virtual IList<ShippingAddress^>^ GetAvailableShippingAddress(
    Nullable<Guid> userId
)
abstract GetAvailableShippingAddress :
        userId : Nullable<Guid> -> IList<ShippingAddress>
override GetAvailableShippingAddress :
        userId : Nullable<Guid> -> IList<ShippingAddress>

Parameters

userId
Type: SystemNullable Guid
用户Id

Return Value

Type: IList ShippingAddress

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.GetAvailableShippingAddress(System.Nullable{System.Guid})"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.GetCheckoutUrl Method

SellerOrderManagerGetCheckoutUrl Method

获取用于支付订单的Url

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetCheckoutUrl(
    Guid orderId
)
Public Overridable Function GetCheckoutUrl (
    orderId As Guid
) As String
public:
virtual String^ GetCheckoutUrl(
    Guid orderId
)
abstract GetCheckoutUrl :
        orderId : Guid -> string
override GetCheckoutUrl :
        orderId : Guid -> string

Parameters

orderId
Type: SystemGuid
订单Id

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.GetCheckoutUrl(System.Guid)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.GetDetailRecords Method

SellerOrderManagerGetDetailRecords Method

获取指定订单的所有明细记录

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<GenericRecord> GetDetailRecords(
    Guid orderId
)
Public Overridable Function GetDetailRecords (
    orderId As Guid
) As IList(Of GenericRecord)
public:
virtual IList<GenericRecord^>^ GetDetailRecords(
    Guid orderId
)
abstract GetDetailRecords :
        orderId : Guid -> IList<GenericRecord>
override GetDetailRecords :
        orderId : Guid -> IList<GenericRecord>

Parameters

orderId
Type: SystemGuid
交易Id

Return Value

Type: IList GenericRecord

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.GetDetailRecords(System.Guid)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.GetReleatedTransactions Method

SellerOrderManagerGetReleatedTransactions Method

获取订单关联的交易列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<PaymentTransaction> GetReleatedTransactions(
    Guid orderId
)
Public Overridable Function GetReleatedTransactions (
    orderId As Guid
) As IList(Of PaymentTransaction)
public:
virtual IList<PaymentTransaction^>^ GetReleatedTransactions(
    Guid orderId
)
abstract GetReleatedTransactions :
        orderId : Guid -> IList<PaymentTransaction>
override GetReleatedTransactions :
        orderId : Guid -> IList<PaymentTransaction>

Parameters

orderId
Type: SystemGuid
订单Id

Return Value

Type: IList PaymentTransaction

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.SellerOrderManager.GetReleatedTransactions(System.Guid)"]

See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.ProcessAllGoodsShipped Method

SellerOrderManagerProcessAllGoodsShipped Method

处理订单全部商品已发货 处理失败时记录到订单记录

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ProcessAllGoodsShipped(
    Guid orderId
)
Public Overridable Function ProcessAllGoodsShipped (
    orderId As Guid
) As Boolean
public:
virtual bool ProcessAllGoodsShipped(
    Guid orderId
)
abstract ProcessAllGoodsShipped :
        orderId : Guid -> bool
override ProcessAllGoodsShipped :
        orderId : Guid -> bool

Parameters

orderId
Type: SystemGuid
订单Id

Return Value

Type: Boolean
是否处理成功
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.ProcessOrderPaid Method

SellerOrderManagerProcessOrderPaid Method

处理订单已付款 处理失败时记录到订单记录

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ProcessOrderPaid(
    Guid orderId
)
Public Overridable Function ProcessOrderPaid (
    orderId As Guid
) As Boolean
public:
virtual bool ProcessOrderPaid(
    Guid orderId
)
abstract ProcessOrderPaid :
        orderId : Guid -> bool
override ProcessOrderPaid :
        orderId : Guid -> bool

Parameters

orderId
Type: SystemGuid
订单Id

Return Value

Type: Boolean
是否处理成功
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.ProcessSuccess Method

SellerOrderManagerProcessSuccess Method

处理订单交易成功 处理失败时记录到订单记录

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool ProcessSuccess(
    Guid orderId
)
Public Overridable Function ProcessSuccess (
    orderId As Guid
) As Boolean
public:
virtual bool ProcessSuccess(
    Guid orderId
)
abstract ProcessSuccess :
        orderId : Guid -> bool
override ProcessSuccess :
        orderId : Guid -> bool

Parameters

orderId
Type: SystemGuid
订单Id

Return Value

Type: Boolean
是否处理成功
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.ReduceStock Method

SellerOrderManagerReduceStock Method

根据订单中订购的商品减少库存

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ReduceStock(
    SellerOrder order
)
Public Overridable Sub ReduceStock (
    order As SellerOrder
)
public:
virtual void ReduceStock(
    SellerOrder^ order
)
abstract ReduceStock :
        order : SellerOrder -> unit
override ReduceStock :
        order : SellerOrder -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
订单
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.SetOrderInvalid Method

SellerOrderManagerSetOrderInvalid Method

作废订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool SetOrderInvalid(
    Guid orderId,
    Nullable<Guid> operatorId,
    string reason
)
Public Overridable Function SetOrderInvalid (
    orderId As Guid,
    operatorId As Nullable(Of Guid),
    reason As String
) As Boolean
public:
virtual bool SetOrderInvalid(
    Guid orderId,
    Nullable<Guid> operatorId,
    String^ reason
)
abstract SetOrderInvalid :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        reason : string -> bool
override SetOrderInvalid :
        orderId : Guid *
        operatorId : Nullable<Guid> *
        reason : string -> bool

Parameters

orderId
Type: SystemGuid
订单Id
operatorId
Type: SystemNullable Guid
操作人Id
reason
Type: SystemString
作废理由，必填

Return Value

Type: Boolean
是否处理成功
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager Fields

The SellerOrderManager type exposes the following members.

Fields
Name | Description
RecordType | 订单明细记录类型
Top
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


SellerOrderManager.RecordType Field

SellerOrderManagerRecordType Field
订单明细记录类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string RecordType = "OrderDetail"
Public Const RecordType As String = "OrderDetail"
public:
literal String^ RecordType = "OrderDetail"
static val mutable RecordType: string

Field Value

Type: String
See Also

Reference

SellerOrderManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


ShippingAddressManager Class
收货地址管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase ShippingAddress, Guid
ZKWeb.Plugins.Shopping.Order.src.Domain.ServicesShippingAddressManager

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ShippingAddressManager : DomainServiceBase<ShippingAddress, Guid>
Public Class ShippingAddressManager
    Inherits DomainServiceBase(Of ShippingAddress, Guid)
public ref class ShippingAddressManager : public DomainServiceBase<ShippingAddress^, Guid>
type ShippingAddressManager =
    class
        inherit DomainServiceBase<ShippingAddress, Guid>
    end

The ShippingAddressManager type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressManager | Initializes a new instance of the ShippingAddressManager class
Top
Methods
 | Name | Description
Public method | GetShippingAddresses | 获取用户的收货地址列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


ShippingAddressManager Constructor

Initializes a new instance of the ShippingAddressManager class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ShippingAddressManager()
Public Sub New
public:
ShippingAddressManager()
new : unit -> ShippingAddressManager
See Also

Reference

ShippingAddressManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


ShippingAddressManager Methods

The ShippingAddressManager type exposes the following members.

Methods
 | Name | Description
Public method | GetShippingAddresses | 获取用户的收货地址列表
Top
See Also

Reference

ShippingAddressManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


ShippingAddressManager.GetShippingAddresses Method

ShippingAddressManagerGetShippingAddresses Method

获取用户的收货地址列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<ShippingAddress> GetShippingAddresses(
    Nullable<Guid> userId
)
Public Function GetShippingAddresses (
    userId As Nullable(Of Guid)
) As IList(Of ShippingAddress)
public:
IList<ShippingAddress^>^ GetShippingAddresses(
    Nullable<Guid> userId
)
member GetShippingAddresses :
        userId : Nullable<Guid> -> IList<ShippingAddress>

Parameters

userId
Type: SystemNullable Guid
用户Id

Return Value

Type: IList ShippingAddress

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Services.ShippingAddressManager.GetShippingAddresses(System.Nullable{System.Guid})"]

See Also

Reference

ShippingAddressManager Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Services Namespace


ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.Domain.Structs"]

Classes
 | Class | Description
Public class | CreateOrderParameters | 创建订单的参数 可用于计算订单价格和创建订单 可以从Json反序列化（除了下单的用户Id外）
Public class | CreateOrderProductParameters | 创建订单商品的参数 可用于计算订单商品价格和创建订单 可以从Json反序列化
Public class | CreateOrderResult | 创建订单的结果
Public class | OrderEditCostParameters | 修改订单价格的参数 用于修改订单，订单商品和订单交易的金额 可以从Json反序列化
Public class | OrderItems | 订单的附加数据
Public class | OrderParameters | 订单参数
Public class | OrderPriceCalcResult | 订单或订单商品的价格计算结果
Public class | OrderPriceCalcResultPart | 价格的组成部分
Public class | OrderProductItems | 订单商品的附加数据
Public class | OrderStateTimes | 订单各个状态的切换时间


CreateOrderParameters Class
创建订单的参数 可用于计算订单价格和创建订单 可以从Json反序列化（除了下单的用户Id外）
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderParameters

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateOrderParameters
Public Class CreateOrderParameters
public ref class CreateOrderParameters
type CreateOrderParameters =  class end

The CreateOrderParameters type exposes the following members.

Constructors
 | Name | Description
Public method | CreateOrderParameters | 初始化
Top
Properties
 | Name | Description
Public property | OrderParameters | 订单参数 包含收货地址，选择的物流Id和收款接口Id等 格式 { ShippingAddress: { Country: ..., RegionId: ..., ... }, SellerToLogistics: { SellerId: LogisticsId, ... }, PaymentApiId: ..., CartProducts: { Id: Count, ... }, ... }
Public property | OrderProductParametersList | 创建订单商品的参数列表
Public property | SessionId | 下单的会话Id
Public property | UserId | 下单的用户Id 未登录时等于null
Top
Extension Methods
 | Name | Description
Public Extension Method | CloneWith | 复制订单创建参数并使用新的订单商品创建参数 一般用于把一个订单创建参数分割为多个订单创建参数时使用 (Defined by CreateOrderParametersExtensions.)
Public Extension Method | SetLoginInfo | 设置登录信息（用户Id和会话Id） (Defined by CreateOrderParametersExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateOrderParameters()
Public Sub New
public:
CreateOrderParameters()
new : unit -> CreateOrderParameters
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters Properties

The CreateOrderParameters type exposes the following members.

Properties
 | Name | Description
Public property | OrderParameters | 订单参数 包含收货地址，选择的物流Id和收款接口Id等 格式 { ShippingAddress: { Country: ..., RegionId: ..., ... }, SellerToLogistics: { SellerId: LogisticsId, ... }, PaymentApiId: ..., CartProducts: { Id: Count, ... }, ... }
Public property | OrderProductParametersList | 创建订单商品的参数列表
Public property | SessionId | 下单的会话Id
Public property | UserId | 下单的用户Id 未登录时等于null
Top
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters.OrderParameters Property

CreateOrderParametersOrderParameters Property

订单参数 包含收货地址，选择的物流Id和收款接口Id等 格式 { ShippingAddress: { Country: ..., RegionId: ..., ... }, SellerToLogistics: { SellerId: LogisticsId, ... }, PaymentApiId: ..., CartProducts: { Id: Count, ... }, ... }

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderParameters OrderParameters { get; set; }
Public Property OrderParameters As OrderParameters
    Get
    Set
public:
property OrderParameters^ OrderParameters {
    OrderParameters^ get ();
    void set (OrderParameters^ value);
}
member OrderParameters : OrderParameters with get, set

Property Value

Type: OrderParameters
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters.OrderProductParametersList Property

CreateOrderParametersOrderProductParametersList Property

创建订单商品的参数列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<CreateOrderProductParameters> OrderProductParametersList { get; set; }
Public Property OrderProductParametersList As IList(Of CreateOrderProductParameters)
    Get
    Set
public:
property IList<CreateOrderProductParameters^>^ OrderProductParametersList {
    IList<CreateOrderProductParameters^>^ get ();
    void set (IList<CreateOrderProductParameters^>^ value);
}
member OrderProductParametersList : IList<CreateOrderProductParameters> with get, set

Property Value

Type: IList CreateOrderProductParameters
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters.SessionId Property

CreateOrderParametersSessionId Property

下单的会话Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid SessionId { get; set; }
Public Property SessionId As Guid
    Get
    Set
public:
property Guid SessionId {
    Guid get ();
    void set (Guid value);
}
member SessionId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters.UserId Property

CreateOrderParametersUserId Property

下单的用户Id 未登录时等于null

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> UserId { get; set; }
Public Property UserId As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> UserId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member UserId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderParameters Methods

The CreateOrderParameters type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | CloneWith | 复制订单创建参数并使用新的订单商品创建参数 一般用于把一个订单创建参数分割为多个订单创建参数时使用 (Defined by CreateOrderParametersExtensions.)
Public Extension Method | SetLoginInfo | 设置登录信息（用户Id和会话Id） (Defined by CreateOrderParametersExtensions.)
Top
See Also

Reference

CreateOrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters Class
创建订单商品的参数 可用于计算订单商品价格和创建订单 可以从Json反序列化
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderProductParameters

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateOrderProductParameters
Public Class CreateOrderProductParameters
public ref class CreateOrderProductParameters
type CreateOrderProductParameters =  class end

The CreateOrderProductParameters type exposes the following members.

Constructors
 | Name | Description
Public method | CreateOrderProductParameters | 初始化
Top
Properties
 | Name | Description
Public property | Extra | 附加数据 计算价格等时可以使用这里传递数据，但创建订单后不会保留
Public property | MatchParameters | 商品匹配参数 订购数量在OrderCount键下
Public property | ProductId | 商品Id
Top
Extension Methods
 | Name | Description
Public Extension Method | ToOrderProductDisplayInfo | 从订单商品创建参数生成显示信息 (Defined by CreateOrderProductParametersExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateOrderProductParameters()
Public Sub New
public:
CreateOrderProductParameters()
new : unit -> CreateOrderProductParameters
See Also

Reference

CreateOrderProductParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters Properties

The CreateOrderProductParameters type exposes the following members.

Properties
 | Name | Description
Public property | Extra | 附加数据 计算价格等时可以使用这里传递数据，但创建订单后不会保留
Public property | MatchParameters | 商品匹配参数 订购数量在OrderCount键下
Public property | ProductId | 商品Id
Top
See Also

Reference

CreateOrderProductParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters.Extra Property

CreateOrderProductParametersExtra Property

附加数据 计算价格等时可以使用这里传递数据，但创建订单后不会保留

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Extra { get; set; }
Public Property Extra As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Extra {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Extra : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

CreateOrderProductParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters.MatchParameters Property

CreateOrderProductParametersMatchParameters Property

商品匹配参数 订购数量在OrderCount键下

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchParameters MatchParameters { get; set; }
Public Property MatchParameters As ProductMatchParameters
    Get
    Set
public:
property ProductMatchParameters^ MatchParameters {
    ProductMatchParameters^ get ();
    void set (ProductMatchParameters^ value);
}
member MatchParameters : ProductMatchParameters with get, set

Property Value

Type: ProductMatchParameters
See Also

Reference

CreateOrderProductParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters.ProductId Property

CreateOrderProductParametersProductId Property

商品Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid ProductId { get; set; }
Public Property ProductId As Guid
    Get
    Set
public:
property Guid ProductId {
    Guid get ();
    void set (Guid value);
}
member ProductId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

CreateOrderProductParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderProductParameters Methods

The CreateOrderProductParameters type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ToOrderProductDisplayInfo | 从订单商品创建参数生成显示信息 (Defined by CreateOrderProductParametersExtensions.)
Top
See Also

Reference

CreateOrderProductParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderResult Class
创建订单的结果
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderResult

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateOrderResult
Public Class CreateOrderResult
public ref class CreateOrderResult
type CreateOrderResult =  class end

The CreateOrderResult type exposes the following members.

Constructors
 | Name | Description
Public method | CreateOrderResult | 初始化
Top
Properties
 | Name | Description
Public property | CreatedBuyerOrders | 创建的买家订单列表
Public property | CreatedSellerOrders | 创建的卖家订单列表
Public property | CreatedTransactions | 创建的支付交易列表 如果有多个，最后一个支付交易应该是合并交易
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderResult Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateOrderResult()
Public Sub New
public:
CreateOrderResult()
new : unit -> CreateOrderResult
See Also

Reference

CreateOrderResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderResult Properties

The CreateOrderResult type exposes the following members.

Properties
 | Name | Description
Public property | CreatedBuyerOrders | 创建的买家订单列表
Public property | CreatedSellerOrders | 创建的卖家订单列表
Public property | CreatedTransactions | 创建的支付交易列表 如果有多个，最后一个支付交易应该是合并交易
Top
See Also

Reference

CreateOrderResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderResult.CreatedBuyerOrders Property

CreateOrderResultCreatedBuyerOrders Property

创建的买家订单列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<BuyerOrder> CreatedBuyerOrders { get; set; }
Public Property CreatedBuyerOrders As IList(Of BuyerOrder)
    Get
    Set
public:
property IList<BuyerOrder^>^ CreatedBuyerOrders {
    IList<BuyerOrder^>^ get ();
    void set (IList<BuyerOrder^>^ value);
}
member CreatedBuyerOrders : IList<BuyerOrder> with get, set

Property Value

Type: IList BuyerOrder
See Also

Reference

CreateOrderResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderResult.CreatedSellerOrders Property

CreateOrderResultCreatedSellerOrders Property

创建的卖家订单列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<SellerOrder> CreatedSellerOrders { get; set; }
Public Property CreatedSellerOrders As IList(Of SellerOrder)
    Get
    Set
public:
property IList<SellerOrder^>^ CreatedSellerOrders {
    IList<SellerOrder^>^ get ();
    void set (IList<SellerOrder^>^ value);
}
member CreatedSellerOrders : IList<SellerOrder> with get, set

Property Value

Type: IList SellerOrder
See Also

Reference

CreateOrderResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


CreateOrderResult.CreatedTransactions Property

CreateOrderResultCreatedTransactions Property

创建的支付交易列表 如果有多个，最后一个支付交易应该是合并交易

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<PaymentTransaction> CreatedTransactions { get; set; }
Public Property CreatedTransactions As IList(Of PaymentTransaction)
    Get
    Set
public:
property IList<PaymentTransaction^>^ CreatedTransactions {
    IList<PaymentTransaction^>^ get ();
    void set (IList<PaymentTransaction^>^ value);
}
member CreatedTransactions : IList<PaymentTransaction> with get, set

Property Value

Type: IList PaymentTransaction
See Also

Reference

CreateOrderResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters Class
修改订单价格的参数 用于修改订单，订单商品和订单交易的金额 可以从Json反序列化
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderEditCostParameters

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderEditCostParameters
Public Class OrderEditCostParameters
public ref class OrderEditCostParameters
type OrderEditCostParameters =  class end

The OrderEditCostParameters type exposes the following members.

Constructors
 | Name | Description
Public method | OrderEditCostParameters | 初始化
Top
Properties
 | Name | Description
Public property | OrderProductCountMapping | 订单商品数量的修改 { 订单商品Id: 数量，删除时为0 }
Public property | OrderProductUnitPriceMapping | 订单商品单价的修改
Public property | OrderTotalCostCalcResult | 订单总金额的修改 [{ Delta: 100, Type: "ProductTotalPrice" }]
Public property | TransactionAmountMapping | 订单交易金额的修改 { 交易Id: 金额 }
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderEditCostParameters()
Public Sub New
public:
OrderEditCostParameters()
new : unit -> OrderEditCostParameters
See Also

Reference

OrderEditCostParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters Properties

The OrderEditCostParameters type exposes the following members.

Properties
 | Name | Description
Public property | OrderProductCountMapping | 订单商品数量的修改 { 订单商品Id: 数量，删除时为0 }
Public property | OrderProductUnitPriceMapping | 订单商品单价的修改
Public property | OrderTotalCostCalcResult | 订单总金额的修改 [{ Delta: 100, Type: "ProductTotalPrice" }]
Public property | TransactionAmountMapping | 订单交易金额的修改 { 交易Id: 金额 }
Top
See Also

Reference

OrderEditCostParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters.OrderProductCountMapping Property

OrderEditCostParametersOrderProductCountMapping Property

订单商品数量的修改 { 订单商品Id: 数量，删除时为0 }

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Guid, long> OrderProductCountMapping { get; set; }
Public Property OrderProductCountMapping As IDictionary(Of Guid, Long)
    Get
    Set
public:
property IDictionary<Guid, long long>^ OrderProductCountMapping {
    IDictionary<Guid, long long>^ get ();
    void set (IDictionary<Guid, long long>^ value);
}
member OrderProductCountMapping : IDictionary<Guid, int64> with get, set

Property Value

Type: IDictionary Guid, Int64
See Also

Reference

OrderEditCostParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters.OrderProductUnitPriceMapping Property

OrderEditCostParametersOrderProductUnitPriceMapping Property

订单商品单价的修改

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Guid, decimal> OrderProductUnitPriceMapping { get; set; }
Public Property OrderProductUnitPriceMapping As IDictionary(Of Guid, Decimal)
    Get
    Set
public:
property IDictionary<Guid, Decimal>^ OrderProductUnitPriceMapping {
    IDictionary<Guid, Decimal>^ get ();
    void set (IDictionary<Guid, Decimal>^ value);
}
member OrderProductUnitPriceMapping : IDictionary<Guid, decimal> with get, set

Property Value

Type: IDictionary Guid, Decimal
See Also

Reference

OrderEditCostParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters.OrderTotalCostCalcResult Property

OrderEditCostParametersOrderTotalCostCalcResult Property

订单总金额的修改 [{ Delta: 100, Type: "ProductTotalPrice" }]

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<OrderPriceCalcResultPart> OrderTotalCostCalcResult { get; set; }
Public Property OrderTotalCostCalcResult As IList(Of OrderPriceCalcResultPart)
    Get
    Set
public:
property IList<OrderPriceCalcResultPart^>^ OrderTotalCostCalcResult {
    IList<OrderPriceCalcResultPart^>^ get ();
    void set (IList<OrderPriceCalcResultPart^>^ value);
}
member OrderTotalCostCalcResult : IList<OrderPriceCalcResultPart> with get, set

Property Value

Type: IList OrderPriceCalcResultPart
See Also

Reference

OrderEditCostParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderEditCostParameters.TransactionAmountMapping Property

OrderEditCostParametersTransactionAmountMapping Property

订单交易金额的修改 { 交易Id: 金额 }

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Guid, decimal> TransactionAmountMapping { get; set; }
Public Property TransactionAmountMapping As IDictionary(Of Guid, Decimal)
    Get
    Set
public:
property IDictionary<Guid, Decimal>^ TransactionAmountMapping {
    IDictionary<Guid, Decimal>^ get ();
    void set (IDictionary<Guid, Decimal>^ value);
}
member TransactionAmountMapping : IDictionary<Guid, decimal> with get, set

Property Value

Type: IDictionary Guid, Decimal
See Also

Reference

OrderEditCostParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderItems Class
订单的附加数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderItems

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderItems : Dictionary<string, Object>
Public Class OrderItems
    Inherits Dictionary(Of String, Object)
public ref class OrderItems : public Dictionary<String^, Object^>
type OrderItems =
    class
        inherit Dictionary<string, Object>
    end

The OrderItems type exposes the following members.

Constructors
 | Name | Description
Public method | OrderItems | Initializes a new instance of the OrderItems class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderItems Constructor

Initializes a new instance of the OrderItems class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderItems()
Public Sub New
public:
OrderItems()
new : unit -> OrderItems
See Also

Reference

OrderItems Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderParameters Class
订单参数
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderParameters

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderParameters : Dictionary<string, Object>
Public Class OrderParameters
    Inherits Dictionary(Of String, Object)
public ref class OrderParameters : public Dictionary<String^, Object^>
type OrderParameters =
    class
        inherit Dictionary<string, Object>
    end

The OrderParameters type exposes the following members.

Constructors
 | Name | Description
Public method | OrderParameters | Initializes a new instance of the OrderParameters class
Top
Extension Methods
 | Name | Description
Public Extension Method | GetCartProducts | 获取购物车商品Id => 订购数量 (Defined by OrderParametersExtensions.)
Public Extension Method | GetOrderComment | 获取订单留言 (Defined by OrderParametersExtensions.)
Public Extension Method | GetPaymentApiId | 获取支付接口Id (Defined by OrderParametersExtensions.)
Public Extension Method | GetSaveShipppingAddressId | 获取需要保存收货地址的Id 如果不保存则返回null，如果更新则返回id，如果添加则返回0 (Defined by OrderParametersExtensions.)
Public Extension Method | GetSellerToLogistics | 获取卖家Id => 选中的物流Id 没有卖家时卖家Id等于Guid.Empty (Defined by OrderParametersExtensions.)
Public Extension Method | GetShippingAddress | 获取收货地址信息 注意返回的信息是新建的，没有绑定用户和Id (Defined by OrderParametersExtensions.)
Public Extension Method | SetShippingAddress | 设置收货地址信息 (Defined by OrderParametersExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderParameters Constructor

Initializes a new instance of the OrderParameters class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderParameters()
Public Sub New
public:
OrderParameters()
new : unit -> OrderParameters
See Also

Reference

OrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderParameters Methods

The OrderParameters type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | GetCartProducts | 获取购物车商品Id => 订购数量 (Defined by OrderParametersExtensions.)
Public Extension Method | GetOrderComment | 获取订单留言 (Defined by OrderParametersExtensions.)
Public Extension Method | GetPaymentApiId | 获取支付接口Id (Defined by OrderParametersExtensions.)
Public Extension Method | GetSaveShipppingAddressId | 获取需要保存收货地址的Id 如果不保存则返回null，如果更新则返回id，如果添加则返回0 (Defined by OrderParametersExtensions.)
Public Extension Method | GetSellerToLogistics | 获取卖家Id => 选中的物流Id 没有卖家时卖家Id等于Guid.Empty (Defined by OrderParametersExtensions.)
Public Extension Method | GetShippingAddress | 获取收货地址信息 注意返回的信息是新建的，没有绑定用户和Id (Defined by OrderParametersExtensions.)
Public Extension Method | SetShippingAddress | 设置收货地址信息 (Defined by OrderParametersExtensions.)
Top
See Also

Reference

OrderParameters Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult Class
订单或订单商品的价格计算结果
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResult

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderPriceCalcResult : ILiquidizable
Public Class OrderPriceCalcResult
    Implements ILiquidizable
public ref class OrderPriceCalcResult : ILiquidizable
type OrderPriceCalcResult =
    class
        interface ILiquidizable
    end

The OrderPriceCalcResult type exposes the following members.

Constructors
 | Name | Description
Public method | OrderPriceCalcResult | 初始化
Top
Properties
 | Name | Description
Public property | Currency | 货币单位
Public property | Parts | 价格的组成部分
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许在模板中描画
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderPriceCalcResult()
Public Sub New
public:
OrderPriceCalcResult()
new : unit -> OrderPriceCalcResult
See Also

Reference

OrderPriceCalcResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult Properties

The OrderPriceCalcResult type exposes the following members.

Properties
 | Name | Description
Public property | Currency | 货币单位
Public property | Parts | 价格的组成部分
Top
See Also

Reference

OrderPriceCalcResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Currency Property

OrderPriceCalcResultCurrency Property

货币单位

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Currency { get; set; }
Public Property Currency As String
    Get
    Set
public:
property String^ Currency {
    String^ get ();
    void set (String^ value);
}
member Currency : string with get, set

Property Value

Type: String
See Also

Reference

OrderPriceCalcResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Parts Property

OrderPriceCalcResultParts Property

价格的组成部分

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<OrderPriceCalcResultPart> Parts { get; set; }
Public Property Parts As IList(Of OrderPriceCalcResultPart)
    Get
    Set
public:
property IList<OrderPriceCalcResultPart^>^ Parts {
    IList<OrderPriceCalcResultPart^>^ get ();
    void set (IList<OrderPriceCalcResultPart^>^ value);
}
member Parts : IList<OrderPriceCalcResultPart> with get, set

Property Value

Type: IList OrderPriceCalcResultPart
See Also

Reference

OrderPriceCalcResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult Methods

The OrderPriceCalcResult type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许在模板中描画
Top
See Also

Reference

OrderPriceCalcResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.ToLiquid Method

OrderPriceCalcResultToLiquid Method

允许在模板中描画

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

OrderPriceCalcResult Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Part Class

OrderPriceCalcResultPart Class
价格的组成部分
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResultPart

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Part : ILiquidizable
Public Class Part
    Implements ILiquidizable
public ref class Part : ILiquidizable
type Part =
    class
        interface ILiquidizable
    end

The OrderPriceCalcResultPart type exposes the following members.

Constructors
 | Name | Description
Public method | OrderPriceCalcResultPart | 初始化
Public method | OrderPriceCalcResultPart(String, Decimal) | 初始化
Top
Properties
 | Name | Description
Public property | Delta | 影响量，可以是正数或负数
Public property | Type | 类型
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许在模板中描画
Top
Extension Methods
 | Name | Description
Public Extension Method | GetDeltaEditor | 获取组成部分的影响量的编辑器 (Defined by OrderPriceCalcResultExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


Part Constructor

Overload List
 | Name | Description
Public method | OrderPriceCalcResultPart | 初始化
Public method | OrderPriceCalcResultPart(String, Decimal) | 初始化
Top
See Also

Reference

OrderPriceCalcResultPart Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Part Constructor

OrderPriceCalcResultPart Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Part()
Public Sub New
public:
Part()
new : unit -> Part
See Also

Reference

OrderPriceCalcResultPart Class
OrderPriceCalcResultPart Overload
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Part Constructor (String, Decimal)

OrderPriceCalcResultPart Constructor (String, Decimal)
初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Part(
    string type,
    decimal delta
)
Public Sub New (
    type As String,
    delta As Decimal
)
public:
Part(
    String^ type,
    Decimal delta
)
new :
        type : string *
        delta : decimal -> Part

Parameters

type
Type: SystemString
类型
delta
Type: SystemDecimal
影响量
See Also

Reference

OrderPriceCalcResultPart Class
OrderPriceCalcResultPart Overload
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


Part Properties

The OrderPriceCalcResultPart type exposes the following members.

Properties
 | Name | Description
Public property | Delta | 影响量，可以是正数或负数
Public property | Type | 类型
Top
See Also

Reference

OrderPriceCalcResultPart Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Part.Delta Property

OrderPriceCalcResultPartDelta Property

影响量，可以是正数或负数

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal Delta { get; set; }
Public Property Delta As Decimal
    Get
    Set
public:
property Decimal Delta {
    Decimal get ();
    void set (Decimal value);
}
member Delta : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

OrderPriceCalcResultPart Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Part.Type Property

OrderPriceCalcResultPartType Property

类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

OrderPriceCalcResultPart Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


Part Methods

The OrderPriceCalcResultPart type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许在模板中描画
Top
Extension Methods
 | Name | Description
Public Extension Method | GetDeltaEditor | 获取组成部分的影响量的编辑器 (Defined by OrderPriceCalcResultExtensions.)
Top
See Also

Reference

OrderPriceCalcResultPart Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderPriceCalcResult.Part.ToLiquid Method

OrderPriceCalcResultPartToLiquid Method

允许在模板中描画

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult.Part.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

OrderPriceCalcResultPart Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderProductItems Class
订单商品的附加数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderProductItems

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderProductItems : Dictionary<string, Object>
Public Class OrderProductItems
    Inherits Dictionary(Of String, Object)
public ref class OrderProductItems : public Dictionary<String^, Object^>
type OrderProductItems =
    class
        inherit Dictionary<string, Object>
    end

The OrderProductItems type exposes the following members.

Constructors
 | Name | Description
Public method | OrderProductItems | Initializes a new instance of the OrderProductItems class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderProductItems Constructor

Initializes a new instance of the OrderProductItems class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderProductItems()
Public Sub New
public:
OrderProductItems()
new : unit -> OrderProductItems
See Also

Reference

OrderProductItems Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderStateTimes Class
订单各个状态的切换时间
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary OrderState, DateTime
ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderStateTimes

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderStateTimes : Dictionary<OrderState, DateTime>
Public Class OrderStateTimes
    Inherits Dictionary(Of OrderState, DateTime)
public ref class OrderStateTimes : public Dictionary<OrderState, DateTime>
type OrderStateTimes =
    class
        inherit Dictionary<OrderState, DateTime>
    end

The OrderStateTimes type exposes the following members.

Constructors
 | Name | Description
Public method | OrderStateTimes | Initializes a new instance of the OrderStateTimes class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


OrderStateTimes Constructor

Initializes a new instance of the OrderStateTimes class

Namespace: ZKWeb.Plugins.Shopping.Order.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderStateTimes()
Public Sub New
public:
OrderStateTimes()
new : unit -> OrderStateTimes
See Also

Reference

OrderStateTimes Class
ZKWeb.Plugins.Shopping.Order.src.Domain.Structs Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels |


ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms"]

Classes
 | Class | Description
Public class | CreateOrderCommenForm | 创建订单时的留言表单
Public class | CreateOrderForm | 用于创建订单的表单
Public class | OrderCancelForm | 取消订单的表单
Public class | OrderConfirmForm | 确认收货的表单
Public class | OrderConfirmInsteadOfBuyerForm | 后台代替买家确认收货的表单
Public class | OrderDeliveryBaseDisplayFormTForm | 发货单详情页表单的基类
Public class | OrderDeliveryBuyerDisplayForm | 买家查看的发货单详情页
Public class | OrderDeliveryForm | 订单发货表单
Public class | OrderDeliverySellerDisplayForm | 卖家查看的发货单详情页
Public class | OrderEditCostForm | 编辑订单价格的表单
Public class | OrderEditShippingAddressForm | 编辑订单收货地址使用的表单
Public class | OrderSetInvalidForm | 作废订单的表单
Public class | ShippingAddressForm | 用户收货地址表单


CreateOrderCommenForm Class
创建订单时的留言表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFieldsOnlyModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsCreateOrderCommenForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateOrderCommenForm : FieldsOnlyModelFormBuilder
Public Class CreateOrderCommenForm
    Inherits FieldsOnlyModelFormBuilder
public ref class CreateOrderCommenForm : public FieldsOnlyModelFormBuilder
type CreateOrderCommenForm =
    class
        inherit FieldsOnlyModelFormBuilder
    end

The CreateOrderCommenForm type exposes the following members.

Constructors
 | Name | Description
Public method | CreateOrderCommenForm | Initializes a new instance of the CreateOrderCommenForm class
Top
Properties
 | Name | Description
Public property | OrderComment | 订单留言
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderCommenForm Constructor

Initializes a new instance of the CreateOrderCommenForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateOrderCommenForm()
Public Sub New
public:
CreateOrderCommenForm()
new : unit -> CreateOrderCommenForm
See Also

Reference

CreateOrderCommenForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderCommenForm Properties

The CreateOrderCommenForm type exposes the following members.

Properties
 | Name | Description
Public property | OrderComment | 订单留言
Top
See Also

Reference

CreateOrderCommenForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderCommenForm.OrderComment Property

CreateOrderCommenFormOrderComment Property

订单留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderComment { get; set; }
Public Property OrderComment As String
    Get
    Set
public:
property String^ OrderComment {
    String^ get ();
    void set (String^ value);
}
member OrderComment : string with get, set

Property Value

Type: String
See Also

Reference

CreateOrderCommenForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm Class
用于创建订单的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsCreateOrderForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateOrderForm : ModelFormBuilder
Public Class CreateOrderForm
    Inherits ModelFormBuilder
public ref class CreateOrderForm : public ModelFormBuilder
type CreateOrderForm =
    class
        inherit ModelFormBuilder
    end

The CreateOrderForm type exposes the following members.

Constructors
 | Name | Description
Public method | CreateOrderForm | Initializes a new instance of the CreateOrderForm class
Top
Properties
 | Name | Description
Public property | CreateOrderParameters | 创建订单的参数，格式是Json
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm Constructor

Initializes a new instance of the CreateOrderForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateOrderForm()
Public Sub New
public:
CreateOrderForm()
new : unit -> CreateOrderForm
See Also

Reference

CreateOrderForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm Properties

The CreateOrderForm type exposes the following members.

Properties
 | Name | Description
Public property | CreateOrderParameters | 创建订单的参数，格式是Json
Top
See Also

Reference

CreateOrderForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm.CreateOrderParameters Property

CreateOrderFormCreateOrderParameters Property

创建订单的参数，格式是Json

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CreateOrderParameters { get; set; }
Public Property CreateOrderParameters As String
    Get
    Set
public:
property String^ CreateOrderParameters {
    String^ get ();
    void set (String^ value);
}
member CreateOrderParameters : string with get, set

Property Value

Type: String
See Also

Reference

CreateOrderForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm Methods

The CreateOrderForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

CreateOrderForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm.OnBind Method

CreateOrderFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

CreateOrderForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


CreateOrderForm.OnSubmit Method

CreateOrderFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.CreateOrderForm.OnSubmit"]

See Also

Reference

CreateOrderForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm Class
取消订单的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderCancelForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderCancelForm : ModelFormBuilder
Public Class OrderCancelForm
    Inherits ModelFormBuilder
public ref class OrderCancelForm : public ModelFormBuilder
type OrderCancelForm =
    class
        inherit ModelFormBuilder
    end

The OrderCancelForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderCancelForm | Initializes a new instance of the OrderCancelForm class
Top
Properties
 | Name | Description
Public property | CancelReason | 取消原因
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm Constructor

Initializes a new instance of the OrderCancelForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderCancelForm()
Public Sub New
public:
OrderCancelForm()
new : unit -> OrderCancelForm
See Also

Reference

OrderCancelForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm Properties

The OrderCancelForm type exposes the following members.

Properties
 | Name | Description
Public property | CancelReason | 取消原因
Top
See Also

Reference

OrderCancelForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm.CancelReason Property

OrderCancelFormCancelReason Property

取消原因

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CancelReason { get; set; }
Public Property CancelReason As String
    Get
    Set
public:
property String^ CancelReason {
    String^ get ();
    void set (String^ value);
}
member CancelReason : string with get, set

Property Value

Type: String
See Also

Reference

OrderCancelForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm Methods

The OrderCancelForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

OrderCancelForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm.OnBind Method

OrderCancelFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

OrderCancelForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderCancelForm.OnSubmit Method

OrderCancelFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderCancelForm.OnSubmit"]

See Also

Reference

OrderCancelForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmForm Class
确认收货的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderConfirmForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderConfirmForm : ModelFormBuilder
Public Class OrderConfirmForm
    Inherits ModelFormBuilder
public ref class OrderConfirmForm : public ModelFormBuilder
type OrderConfirmForm =
    class
        inherit ModelFormBuilder
    end

The OrderConfirmForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderConfirmForm | Initializes a new instance of the OrderConfirmForm class
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmForm Constructor

Initializes a new instance of the OrderConfirmForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderConfirmForm()
Public Sub New
public:
OrderConfirmForm()
new : unit -> OrderConfirmForm
See Also

Reference

OrderConfirmForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmForm Methods

The OrderConfirmForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

OrderConfirmForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmForm.OnBind Method

OrderConfirmFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

OrderConfirmForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmForm.OnSubmit Method

OrderConfirmFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderConfirmForm.OnSubmit"]

See Also

Reference

OrderConfirmForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmInsteadOfBuyerForm Class
后台代替买家确认收货的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderConfirmInsteadOfBuyerForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderConfirmInsteadOfBuyerForm : ModelFormBuilder
Public Class OrderConfirmInsteadOfBuyerForm
    Inherits ModelFormBuilder
public ref class OrderConfirmInsteadOfBuyerForm : public ModelFormBuilder
type OrderConfirmInsteadOfBuyerForm =
    class
        inherit ModelFormBuilder
    end

The OrderConfirmInsteadOfBuyerForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderConfirmInsteadOfBuyerForm | Initializes a new instance of the OrderConfirmInsteadOfBuyerForm class
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmInsteadOfBuyerForm Constructor

Initializes a new instance of the OrderConfirmInsteadOfBuyerForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderConfirmInsteadOfBuyerForm()
Public Sub New
public:
OrderConfirmInsteadOfBuyerForm()
new : unit -> OrderConfirmInsteadOfBuyerForm
See Also

Reference

OrderConfirmInsteadOfBuyerForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmInsteadOfBuyerForm Methods

The OrderConfirmInsteadOfBuyerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

OrderConfirmInsteadOfBuyerForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmInsteadOfBuyerForm.OnBind Method

OrderConfirmInsteadOfBuyerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

OrderConfirmInsteadOfBuyerForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderConfirmInsteadOfBuyerForm.OnSubmit Method

OrderConfirmInsteadOfBuyerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderConfirmInsteadOfBuyerForm.OnSubmit"]

See Also

Reference

OrderConfirmInsteadOfBuyerForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm) Class

OrderDeliveryBaseDisplayFormTForm Class
发货单详情页表单的基类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder OrderDelivery, Guid, TForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder OrderDelivery, Guid, TForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryBaseDisplayFormTForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryBuyerDisplayForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliverySellerDisplayForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class OrderDeliveryBaseDisplayForm<TForm> : TabEntityFormBuilder<OrderDelivery, Guid, TForm>
where TForm : OrderDeliveryBaseDisplayForm<TForm>

Public MustInherit Class OrderDeliveryBaseDisplayForm(Of TForm As OrderDeliveryBaseDisplayForm(Of TForm))
    Inherits TabEntityFormBuilder(Of OrderDelivery, Guid, TForm)
generic<typename TForm>
where TForm : OrderDeliveryBaseDisplayForm<TForm>
public ref class OrderDeliveryBaseDisplayForm abstract : public TabEntityFormBuilder<OrderDelivery^, Guid, TForm>
[<AbstractClassAttribute>]
type OrderDeliveryBaseDisplayForm<'TForm when 'TForm : OrderDeliveryBaseDisplayForm<'TForm>> =
    class
        inherit TabEntityFormBuilder<OrderDelivery, Guid, 'TForm>
    end

Type Parameters

TForm

[Missing <typeparam name="TForm"/> documentation for "T:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliveryBaseDisplayForm`1"]

The OrderDeliveryBaseDisplayFormTForm type exposes the following members.

Constructors
 | Name | Description
Protected method | OrderDeliveryBaseDisplayFormTForm | Initializes a new instance of the OrderDeliveryBaseDisplayFormTForm class
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | DeliveryOperator | 发货人
Public property | DeliveryProductTable | 本次发货的订单商品表格
Public property | DeliverySerial | 发货单编号
Public property | LogisticsSerial | 物流配送
Public property | OrderLogistics | 快递单编号
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm) Constructor

OrderDeliveryBaseDisplayFormTForm Constructor

Initializes a new instance of the OrderDeliveryBaseDisplayFormTForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected OrderDeliveryBaseDisplayForm()
Protected Sub New
protected:
OrderDeliveryBaseDisplayForm()
new : unit -> OrderDeliveryBaseDisplayForm
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm) Properties

OrderDeliveryBaseDisplayFormTForm Properties

The OrderDeliveryBaseDisplayFormTForm generic type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | DeliveryOperator | 发货人
Public property | DeliveryProductTable | 本次发货的订单商品表格
Public property | DeliverySerial | 发货单编号
Public property | LogisticsSerial | 物流配送
Public property | OrderLogistics | 快递单编号
Top
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).CreateTime Property

OrderDeliveryBaseDisplayFormTFormCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CreateTime { get; set; }
Public Property CreateTime As String
    Get
    Set
public:
property String^ CreateTime {
    String^ get ();
    void set (String^ value);
}
member CreateTime : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).DeliveryOperator Property

OrderDeliveryBaseDisplayFormTFormDeliveryOperator Property

发货人

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DeliveryOperator { get; set; }
Public Property DeliveryOperator As String
    Get
    Set
public:
property String^ DeliveryOperator {
    String^ get ();
    void set (String^ value);
}
member DeliveryOperator : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).DeliveryProductTable Property

OrderDeliveryBaseDisplayFormTFormDeliveryProductTable Property

本次发货的订单商品表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString DeliveryProductTable { get; set; }
Public Property DeliveryProductTable As HtmlString
    Get
    Set
public:
property HtmlString^ DeliveryProductTable {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member DeliveryProductTable : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).DeliverySerial Property

OrderDeliveryBaseDisplayFormTFormDeliverySerial Property

发货单编号

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DeliverySerial { get; set; }
Public Property DeliverySerial As String
    Get
    Set
public:
property String^ DeliverySerial {
    String^ get ();
    void set (String^ value);
}
member DeliverySerial : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).LogisticsSerial Property

OrderDeliveryBaseDisplayFormTFormLogisticsSerial Property

物流配送

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string LogisticsSerial { get; set; }
Public Property LogisticsSerial As String
    Get
    Set
public:
property String^ LogisticsSerial {
    String^ get ();
    void set (String^ value);
}
member LogisticsSerial : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).OrderLogistics Property

OrderDeliveryBaseDisplayFormTFormOrderLogistics Property

快递单编号

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderLogistics { get; set; }
Public Property OrderLogistics As String
    Get
    Set
public:
property String^ OrderLogistics {
    String^ get ();
    void set (String^ value);
}
member OrderLogistics : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm) Methods

OrderDeliveryBaseDisplayFormTForm Methods

The OrderDeliveryBaseDisplayFormTForm generic type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Top
See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBaseDisplayForm(TForm).OnBind Method

OrderDeliveryBaseDisplayFormTFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    OrderDelivery bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As OrderDelivery
)
protected:
virtual void OnBind(
    OrderDelivery^ bindFrom
) override
abstract OnBind :
        bindFrom : OrderDelivery -> unit
override OnBind :
        bindFrom : OrderDelivery -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderDelivery

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliveryBaseDisplayForm`1.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery)"]

See Also

Reference

OrderDeliveryBaseDisplayFormTForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBuyerDisplayForm Class
买家查看的发货单详情页
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder OrderDelivery, Guid, OrderDeliverySellerDisplayForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder OrderDelivery, Guid, OrderDeliverySellerDisplayForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryBaseDisplayForm OrderDeliverySellerDisplayForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryBuyerDisplayForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDeliveryBuyerDisplayForm : OrderDeliveryBaseDisplayForm<OrderDeliverySellerDisplayForm>
Public Class OrderDeliveryBuyerDisplayForm
    Inherits OrderDeliveryBaseDisplayForm(Of OrderDeliverySellerDisplayForm)
public ref class OrderDeliveryBuyerDisplayForm : public OrderDeliveryBaseDisplayForm<OrderDeliverySellerDisplayForm^>
type OrderDeliveryBuyerDisplayForm =
    class
        inherit OrderDeliveryBaseDisplayForm<OrderDeliverySellerDisplayForm>
    end

The OrderDeliveryBuyerDisplayForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDeliveryBuyerDisplayForm | Initializes a new instance of the OrderDeliveryBuyerDisplayForm class
Top
Methods
 | Name | Description
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBuyerDisplayForm Constructor

Initializes a new instance of the OrderDeliveryBuyerDisplayForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDeliveryBuyerDisplayForm()
Public Sub New
public:
OrderDeliveryBuyerDisplayForm()
new : unit -> OrderDeliveryBuyerDisplayForm
See Also

Reference

OrderDeliveryBuyerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBuyerDisplayForm Methods

The OrderDeliveryBuyerDisplayForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

OrderDeliveryBuyerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryBuyerDisplayForm.OnSubmit Method

OrderDeliveryBuyerDisplayFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    OrderDelivery saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As OrderDelivery
) As Object
protected:
virtual Object^ OnSubmit(
    OrderDelivery^ saveTo
) override
abstract OnSubmit :
        saveTo : OrderDelivery -> Object
override OnSubmit :
        saveTo : OrderDelivery -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderDelivery

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliveryBuyerDisplayForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliveryBuyerDisplayForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery)"]

See Also

Reference

OrderDeliveryBuyerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm Class
订单发货表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDeliveryForm : ModelFormBuilder
Public Class OrderDeliveryForm
    Inherits ModelFormBuilder
public ref class OrderDeliveryForm : public ModelFormBuilder
type OrderDeliveryForm =
    class
        inherit ModelFormBuilder
    end

The OrderDeliveryForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDeliveryForm | Initializes a new instance of the OrderDeliveryForm class
Top
Properties
 | Name | Description
Public property | AlertHtml | 提示Html
Public property | DeliveryCountsJson | 发货件数 { 订单商品Id, 发货数量 }
Public property | DeliveryProductTable | 发货商品的表格
Public property | Logistics | 物流配送，虚拟发货时不使用
Public property | LogisticsSerial | 快递单编号，虚拟发货时不使用
Public property | Remark | 备注
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm Constructor

Initializes a new instance of the OrderDeliveryForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDeliveryForm()
Public Sub New
public:
OrderDeliveryForm()
new : unit -> OrderDeliveryForm
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm Properties

The OrderDeliveryForm type exposes the following members.

Properties
 | Name | Description
Public property | AlertHtml | 提示Html
Public property | DeliveryCountsJson | 发货件数 { 订单商品Id, 发货数量 }
Public property | DeliveryProductTable | 发货商品的表格
Public property | Logistics | 物流配送，虚拟发货时不使用
Public property | LogisticsSerial | 快递单编号，虚拟发货时不使用
Public property | Remark | 备注
Top
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.AlertHtml Property

OrderDeliveryFormAlertHtml Property

提示Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string AlertHtml { get; set; }
Public Property AlertHtml As String
    Get
    Set
public:
property String^ AlertHtml {
    String^ get ();
    void set (String^ value);
}
member AlertHtml : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.DeliveryCountsJson Property

OrderDeliveryFormDeliveryCountsJson Property

发货件数 { 订单商品Id, 发货数量 }

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Guid, long> DeliveryCountsJson { get; set; }
Public Property DeliveryCountsJson As IDictionary(Of Guid, Long)
    Get
    Set
public:
property IDictionary<Guid, long long>^ DeliveryCountsJson {
    IDictionary<Guid, long long>^ get ();
    void set (IDictionary<Guid, long long>^ value);
}
member DeliveryCountsJson : IDictionary<Guid, int64> with get, set

Property Value

Type: IDictionary Guid, Int64
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.DeliveryProductTable Property

OrderDeliveryFormDeliveryProductTable Property

发货商品的表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString DeliveryProductTable { get; set; }
Public Property DeliveryProductTable As HtmlString
    Get
    Set
public:
property HtmlString^ DeliveryProductTable {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member DeliveryProductTable : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.Logistics Property

OrderDeliveryFormLogistics Property

物流配送，虚拟发货时不使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid Logistics { get; set; }
Public Property Logistics As Guid
    Get
    Set
public:
property Guid Logistics {
    Guid get ();
    void set (Guid value);
}
member Logistics : Guid with get, set

Property Value

Type: Guid
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.LogisticsSerial Property

OrderDeliveryFormLogisticsSerial Property

快递单编号，虚拟发货时不使用

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string LogisticsSerial { get; set; }
Public Property LogisticsSerial As String
    Get
    Set
public:
property String^ LogisticsSerial {
    String^ get ();
    void set (String^ value);
}
member LogisticsSerial : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.Remark Property

OrderDeliveryFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm Methods

The OrderDeliveryForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.OnBind Method

OrderDeliveryFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliveryForm.OnSubmit Method

OrderDeliveryFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliveryForm.OnSubmit"]

See Also

Reference

OrderDeliveryForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm Class
卖家查看的发货单详情页
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder OrderDelivery, Guid, OrderDeliverySellerDisplayForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder OrderDelivery, Guid, OrderDeliverySellerDisplayForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliveryBaseDisplayForm OrderDeliverySellerDisplayForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderDeliverySellerDisplayForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDeliverySellerDisplayForm : OrderDeliveryBaseDisplayForm<OrderDeliverySellerDisplayForm>
Public Class OrderDeliverySellerDisplayForm
    Inherits OrderDeliveryBaseDisplayForm(Of OrderDeliverySellerDisplayForm)
public ref class OrderDeliverySellerDisplayForm : public OrderDeliveryBaseDisplayForm<OrderDeliverySellerDisplayForm^>
type OrderDeliverySellerDisplayForm =
    class
        inherit OrderDeliveryBaseDisplayForm<OrderDeliverySellerDisplayForm>
    end

The OrderDeliverySellerDisplayForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDeliverySellerDisplayForm | Initializes a new instance of the OrderDeliverySellerDisplayForm class
Top
Properties
 | Name | Description
Public property | Remark | 备注
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides OrderDeliveryBaseDisplayFormTFormOnBind(OrderDelivery).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm Constructor

Initializes a new instance of the OrderDeliverySellerDisplayForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDeliverySellerDisplayForm()
Public Sub New
public:
OrderDeliverySellerDisplayForm()
new : unit -> OrderDeliverySellerDisplayForm
See Also

Reference

OrderDeliverySellerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm Properties

The OrderDeliverySellerDisplayForm type exposes the following members.

Properties
 | Name | Description
Public property | Remark | 备注
Top
See Also

Reference

OrderDeliverySellerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm.Remark Property

OrderDeliverySellerDisplayFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

OrderDeliverySellerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm Methods

The OrderDeliverySellerDisplayForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides OrderDeliveryBaseDisplayFormTFormOnBind(OrderDelivery).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

OrderDeliverySellerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm.OnBind Method

OrderDeliverySellerDisplayFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    OrderDelivery bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As OrderDelivery
)
protected:
virtual void OnBind(
    OrderDelivery^ bindFrom
) override
abstract OnBind :
        bindFrom : OrderDelivery -> unit
override OnBind :
        bindFrom : OrderDelivery -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderDelivery

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliverySellerDisplayForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery)"]

See Also

Reference

OrderDeliverySellerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderDeliverySellerDisplayForm.OnSubmit Method

OrderDeliverySellerDisplayFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    OrderDelivery saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As OrderDelivery
) As Object
protected:
virtual Object^ OnSubmit(
    OrderDelivery^ saveTo
) override
abstract OnSubmit :
        saveTo : OrderDelivery -> Object
override OnSubmit :
        saveTo : OrderDelivery -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderDelivery

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliverySellerDisplayForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderDeliverySellerDisplayForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery)"]

See Also

Reference

OrderDeliverySellerDisplayForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm Class
编辑订单价格的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder SellerOrder, Guid, OrderEditCostForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderEditCostForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderEditCostForm : EntityFormBuilder<SellerOrder, Guid, OrderEditCostForm>
Public Class OrderEditCostForm
    Inherits EntityFormBuilder(Of SellerOrder, Guid, OrderEditCostForm)
public ref class OrderEditCostForm : public EntityFormBuilder<SellerOrder^, Guid, OrderEditCostForm^>
type OrderEditCostForm =
    class
        inherit EntityFormBuilder<SellerOrder, Guid, OrderEditCostForm>
    end

The OrderEditCostForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderEditCostForm | 初始化
Top
Properties
 | Name | Description
Public property | OperatorType | 订单操作人的类型
Public property | OrderCostEditTable | 修改订单各项价格的表格
Public property | OrderEditParametersJson | 修改订单价格的参数
Public property | OrderProductPriceEditTable | 修改订单商品价格的表格
Public property | OrderTransactionAmountEditTable | 修改订单交易金额的表格
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderEditCostForm(
    OrderOperatorType operatorType
)
Public Sub New (
    operatorType As OrderOperatorType
)
public:
OrderEditCostForm(
    OrderOperatorType operatorType
)
new :
        operatorType : OrderOperatorType -> OrderEditCostForm

Parameters

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditCostForm.#ctor(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm Properties

The OrderEditCostForm type exposes the following members.

Properties
 | Name | Description
Public property | OperatorType | 订单操作人的类型
Public property | OrderCostEditTable | 修改订单各项价格的表格
Public property | OrderEditParametersJson | 修改订单价格的参数
Public property | OrderProductPriceEditTable | 修改订单商品价格的表格
Public property | OrderTransactionAmountEditTable | 修改订单交易金额的表格
Top
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OperatorType Property

OrderEditCostFormOperatorType Property

订单操作人的类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderOperatorType OperatorType { get; set; }
Public Property OperatorType As OrderOperatorType
    Get
    Set
public:
property OrderOperatorType OperatorType {
    OrderOperatorType get ();
    void set (OrderOperatorType value);
}
member OperatorType : OrderOperatorType with get, set

Property Value

Type: OrderOperatorType
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OrderCostEditTable Property

OrderEditCostFormOrderCostEditTable Property

修改订单各项价格的表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderCostEditTable { get; set; }
Public Property OrderCostEditTable As HtmlString
    Get
    Set
public:
property HtmlString^ OrderCostEditTable {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderCostEditTable : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OrderEditParametersJson Property

OrderEditCostFormOrderEditParametersJson Property

修改订单价格的参数

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderEditCostParameters OrderEditParametersJson { get; set; }
Public Property OrderEditParametersJson As OrderEditCostParameters
    Get
    Set
public:
property OrderEditCostParameters^ OrderEditParametersJson {
    OrderEditCostParameters^ get ();
    void set (OrderEditCostParameters^ value);
}
member OrderEditParametersJson : OrderEditCostParameters with get, set

Property Value

Type: OrderEditCostParameters
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OrderProductPriceEditTable Property

OrderEditCostFormOrderProductPriceEditTable Property

修改订单商品价格的表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderProductPriceEditTable { get; set; }
Public Property OrderProductPriceEditTable As HtmlString
    Get
    Set
public:
property HtmlString^ OrderProductPriceEditTable {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderProductPriceEditTable : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OrderTransactionAmountEditTable Property

OrderEditCostFormOrderTransactionAmountEditTable Property

修改订单交易金额的表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderTransactionAmountEditTable { get; set; }
Public Property OrderTransactionAmountEditTable As HtmlString
    Get
    Set
public:
property HtmlString^ OrderTransactionAmountEditTable {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderTransactionAmountEditTable : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm Methods

The OrderEditCostForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OnBind Method

OrderEditCostFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    SellerOrder bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As SellerOrder
)
protected:
virtual void OnBind(
    SellerOrder^ bindFrom
) override
abstract OnBind :
        bindFrom : SellerOrder -> unit
override OnBind :
        bindFrom : SellerOrder -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditCostForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditCostForm.OnSubmit Method

OrderEditCostFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    SellerOrder saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As SellerOrder
) As Object
protected:
virtual Object^ OnSubmit(
    SellerOrder^ saveTo
) override
abstract OnSubmit :
        saveTo : SellerOrder -> Object
override OnSubmit :
        saveTo : SellerOrder -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditCostForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditCostForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

OrderEditCostForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm Class
编辑订单收货地址使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder SellerOrder, Guid, OrderEditShippingAddressForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder SellerOrder, Guid, OrderEditShippingAddressForm
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderEditShippingAddressForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderEditShippingAddressForm : TabEntityFormBuilder<SellerOrder, Guid, OrderEditShippingAddressForm>
Public Class OrderEditShippingAddressForm
    Inherits TabEntityFormBuilder(Of SellerOrder, Guid, OrderEditShippingAddressForm)
public ref class OrderEditShippingAddressForm : public TabEntityFormBuilder<SellerOrder^, Guid, OrderEditShippingAddressForm^>
type OrderEditShippingAddressForm =
    class
        inherit TabEntityFormBuilder<SellerOrder, Guid, OrderEditShippingAddressForm>
    end

The OrderEditShippingAddressForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderEditShippingAddressForm | Initializes a new instance of the OrderEditShippingAddressForm class
Top
Properties
 | Name | Description
Public property | DetailedAddress | 详细地址
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话/手机
Public property | Region | 地区
Public property | ZipCode | 邮政编码
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm Constructor

Initializes a new instance of the OrderEditShippingAddressForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderEditShippingAddressForm()
Public Sub New
public:
OrderEditShippingAddressForm()
new : unit -> OrderEditShippingAddressForm
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm Properties

The OrderEditShippingAddressForm type exposes the following members.

Properties
 | Name | Description
Public property | DetailedAddress | 详细地址
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话/手机
Public property | Region | 地区
Public property | ZipCode | 邮政编码
Top
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.DetailedAddress Property

OrderEditShippingAddressFormDetailedAddress Property

详细地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DetailedAddress { get; set; }
Public Property DetailedAddress As String
    Get
    Set
public:
property String^ DetailedAddress {
    String^ get ();
    void set (String^ value);
}
member DetailedAddress : string with get, set

Property Value

Type: String
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.ReceiverName Property

OrderEditShippingAddressFormReceiverName Property

收货人姓名

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReceiverName { get; set; }
Public Property ReceiverName As String
    Get
    Set
public:
property String^ ReceiverName {
    String^ get ();
    void set (String^ value);
}
member ReceiverName : string with get, set

Property Value

Type: String
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.ReceiverTel Property

OrderEditShippingAddressFormReceiverTel Property

收货人电话/手机

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReceiverTel { get; set; }
Public Property ReceiverTel As String
    Get
    Set
public:
property String^ ReceiverTel {
    String^ get ();
    void set (String^ value);
}
member ReceiverTel : string with get, set

Property Value

Type: String
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.Region Property

OrderEditShippingAddressFormRegion Property

地区

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountryAndRegion Region { get; set; }
Public Property Region As CountryAndRegion
    Get
    Set
public:
property CountryAndRegion^ Region {
    CountryAndRegion^ get ();
    void set (CountryAndRegion^ value);
}
member Region : CountryAndRegion with get, set

Property Value

Type: CountryAndRegion
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.ZipCode Property

OrderEditShippingAddressFormZipCode Property

邮政编码

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ZipCode { get; set; }
Public Property ZipCode As String
    Get
    Set
public:
property String^ ZipCode {
    String^ get ();
    void set (String^ value);
}
member ZipCode : string with get, set

Property Value

Type: String
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm Methods

The OrderEditShippingAddressForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.OnBind Method

OrderEditShippingAddressFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    SellerOrder bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As SellerOrder
)
protected:
virtual void OnBind(
    SellerOrder^ bindFrom
) override
abstract OnBind :
        bindFrom : SellerOrder -> unit
override OnBind :
        bindFrom : SellerOrder -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditShippingAddressForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderEditShippingAddressForm.OnSubmit Method

OrderEditShippingAddressFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    SellerOrder saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As SellerOrder
) As Object
protected:
virtual Object^ OnSubmit(
    SellerOrder^ saveTo
) override
abstract OnSubmit :
        saveTo : SellerOrder -> Object
override OnSubmit :
        saveTo : SellerOrder -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditShippingAddressForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderEditShippingAddressForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

OrderEditShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm Class
作废订单的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsOrderSetInvalidForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderSetInvalidForm : ModelFormBuilder
Public Class OrderSetInvalidForm
    Inherits ModelFormBuilder
public ref class OrderSetInvalidForm : public ModelFormBuilder
type OrderSetInvalidForm =
    class
        inherit ModelFormBuilder
    end

The OrderSetInvalidForm type exposes the following members.

Constructors
 | Name | Description
Public method | OrderSetInvalidForm | Initializes a new instance of the OrderSetInvalidForm class
Top
Properties
 | Name | Description
Public property | SetInvalidReason | 作废原因
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm Constructor

Initializes a new instance of the OrderSetInvalidForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderSetInvalidForm()
Public Sub New
public:
OrderSetInvalidForm()
new : unit -> OrderSetInvalidForm
See Also

Reference

OrderSetInvalidForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm Properties

The OrderSetInvalidForm type exposes the following members.

Properties
 | Name | Description
Public property | SetInvalidReason | 作废原因
Top
See Also

Reference

OrderSetInvalidForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm.SetInvalidReason Property

OrderSetInvalidFormSetInvalidReason Property

作废原因

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SetInvalidReason { get; set; }
Public Property SetInvalidReason As String
    Get
    Set
public:
property String^ SetInvalidReason {
    String^ get ();
    void set (String^ value);
}
member SetInvalidReason : string with get, set

Property Value

Type: String
See Also

Reference

OrderSetInvalidForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm Methods

The OrderSetInvalidForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

OrderSetInvalidForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm.OnBind Method

OrderSetInvalidFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

OrderSetInvalidForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


OrderSetInvalidForm.OnSubmit Method

OrderSetInvalidFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms.OrderSetInvalidForm.OnSubmit"]

See Also

Reference

OrderSetInvalidForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm Class
用户收货地址表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFieldsOnlyModelFormBuilder
ZKWeb.Plugins.Shopping.Order.src.UIComponents.FormsShippingAddressForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ShippingAddressForm : FieldsOnlyModelFormBuilder
Public Class ShippingAddressForm
    Inherits FieldsOnlyModelFormBuilder
public ref class ShippingAddressForm : public FieldsOnlyModelFormBuilder
type ShippingAddressForm =
    class
        inherit FieldsOnlyModelFormBuilder
    end

The ShippingAddressForm type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressForm | Initializes a new instance of the ShippingAddressForm class
Top
Properties
 | Name | Description
Public property | DetailedAddress | 详细地址
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话
Public property | Region | 地区
Public property | ShippingAddress | 收货地址
Public property | ShippingAddressAddin | 管理收货地址, 保存收货地址
Public property | ShippingAddressJson | 最终填写的收货地址的Json
Public property | ZipCode | 邮政编码
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm Constructor

Initializes a new instance of the ShippingAddressForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ShippingAddressForm()
Public Sub New
public:
ShippingAddressForm()
new : unit -> ShippingAddressForm
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm Properties

The ShippingAddressForm type exposes the following members.

Properties
 | Name | Description
Public property | DetailedAddress | 详细地址
Public property | ReceiverName | 收货人姓名
Public property | ReceiverTel | 收货人电话
Public property | Region | 地区
Public property | ShippingAddress | 收货地址
Public property | ShippingAddressAddin | 管理收货地址, 保存收货地址
Public property | ShippingAddressJson | 最终填写的收货地址的Json
Public property | ZipCode | 邮政编码
Top
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.DetailedAddress Property

ShippingAddressFormDetailedAddress Property

详细地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DetailedAddress { get; set; }
Public Property DetailedAddress As String
    Get
    Set
public:
property String^ DetailedAddress {
    String^ get ();
    void set (String^ value);
}
member DetailedAddress : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.ReceiverName Property

ShippingAddressFormReceiverName Property

收货人姓名

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReceiverName { get; set; }
Public Property ReceiverName As String
    Get
    Set
public:
property String^ ReceiverName {
    String^ get ();
    void set (String^ value);
}
member ReceiverName : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.ReceiverTel Property

ShippingAddressFormReceiverTel Property

收货人电话

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ReceiverTel { get; set; }
Public Property ReceiverTel As String
    Get
    Set
public:
property String^ ReceiverTel {
    String^ get ();
    void set (String^ value);
}
member ReceiverTel : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.Region Property

ShippingAddressFormRegion Property

地区

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CountryAndRegion Region { get; set; }
Public Property Region As CountryAndRegion
    Get
    Set
public:
property CountryAndRegion^ Region {
    CountryAndRegion^ get ();
    void set (CountryAndRegion^ value);
}
member Region : CountryAndRegion with get, set

Property Value

Type: CountryAndRegion
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.ShippingAddress Property

ShippingAddressFormShippingAddress Property

收货地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ShippingAddress { get; set; }
Public Property ShippingAddress As String
    Get
    Set
public:
property String^ ShippingAddress {
    String^ get ();
    void set (String^ value);
}
member ShippingAddress : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.ShippingAddressAddin Property

ShippingAddressFormShippingAddressAddin Property

管理收货地址, 保存收货地址

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ShippingAddressAddin { get; set; }
Public Property ShippingAddressAddin As Object
    Get
    Set
public:
property Object^ ShippingAddressAddin {
    Object^ get ();
    void set (Object^ value);
}
member ShippingAddressAddin : Object with get, set

Property Value

Type: Object
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.ShippingAddressJson Property

ShippingAddressFormShippingAddressJson Property

最终填写的收货地址的Json

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ShippingAddressJson { get; set; }
Public Property ShippingAddressJson As String
    Get
    Set
public:
property String^ ShippingAddressJson {
    String^ get ();
    void set (String^ value);
}
member ShippingAddressJson : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ShippingAddressForm.ZipCode Property

ShippingAddressFormZipCode Property

邮政编码

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ZipCode { get; set; }
Public Property ZipCode As String
    Get
    Set
public:
property String^ ZipCode {
    String^ get ();
    void set (String^ value);
}
member ZipCode : string with get, set

Property Value

Type: String
See Also

Reference

ShippingAddressForm Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.Forms Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions"]

Classes
 | Class | Description
Public class | HtmlItemsExtensions | Html项列表的扩展函数


HtmlItemsExtensions Class
Html项列表的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.ExtensionsHtmlItemsExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class HtmlItemsExtensions
<ExtensionAttribute>
Public NotInheritable Class HtmlItemsExtensions
[ExtensionAttribute]
public ref class HtmlItemsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type HtmlItemsExtensions =  class end

The HtmlItemsExtensions type exposes the following members.

Methods
Name | Description
AddOrderFilterBar | 添加订单列表过滤栏 适合添加到搜索栏的旁边
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions Methods

The HtmlItemsExtensions type exposes the following members.

Methods
Name | Description
AddOrderFilterBar | 添加订单列表过滤栏 适合添加到搜索栏的旁边
Top
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions Namespace


HtmlItemsExtensions.AddOrderFilterBar Method

HtmlItemsExtensionsAddOrderFilterBar Method

添加订单列表过滤栏 适合添加到搜索栏的旁边

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void AddOrderFilterBar(
    this List<HtmlItem> items
)
<ExtensionAttribute>
Public Shared Sub AddOrderFilterBar (
    items As List(Of HtmlItem)
)
public:
[ExtensionAttribute]
static void AddOrderFilterBar(
    List<HtmlItem^>^ items
)
[<ExtensionAttribute>]
static member AddOrderFilterBar :
        items : List<HtmlItem> -> unit

Parameters

items
Type: System.Collections.GenericList HtmlItem
html项列表

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type List HtmlItem . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

HtmlItemsExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.HtmlItems.Extensions Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | ShippingAddressListItemProvider | 当前登录用户的收货地址的选项列表


ShippingAddressListItemProvider Class
当前登录用户的收货地址的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProvidersShippingAddressListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ShippingAddressListItemProvider : IListItemProvider
Public Class ShippingAddressListItemProvider
    Implements IListItemProvider
public ref class ShippingAddressListItemProvider : IListItemProvider
type ShippingAddressListItemProvider =
    class
        interface IListItemProvider
    end

The ShippingAddressListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ShippingAddressListItemProvider | Initializes a new instance of the ShippingAddressListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders Namespace


ShippingAddressListItemProvider Constructor

Initializes a new instance of the ShippingAddressListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ShippingAddressListItemProvider()
Public Sub New
public:
ShippingAddressListItemProvider()
new : unit -> ShippingAddressListItemProvider
See Also

Reference

ShippingAddressListItemProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders Namespace


ShippingAddressListItemProvider Methods

The ShippingAddressListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ShippingAddressListItemProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders Namespace


ShippingAddressListItemProvider.GetItems Method

ShippingAddressListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders.ShippingAddressListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ShippingAddressListItemProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces |


ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders"]

Classes
 | Class | Description
Public class | DefaultOrderDisplayInfoProvider | 默认的订单显示信息提供器


DefaultOrderDisplayInfoProvider Class
默认的订单显示信息提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProvidersDefaultOrderDisplayInfoProvider

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultOrderDisplayInfoProvider : IOrderDisplayInfoProvider
Public Class DefaultOrderDisplayInfoProvider
    Implements IOrderDisplayInfoProvider
public ref class DefaultOrderDisplayInfoProvider : IOrderDisplayInfoProvider
type DefaultOrderDisplayInfoProvider =
    class
        interface IOrderDisplayInfoProvider
    end

The DefaultOrderDisplayInfoProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultOrderDisplayInfoProvider | Initializes a new instance of the DefaultOrderDisplayInfoProvider class
Top
Methods
 | Name | Description
Public method | AddActions | 添加订单操作
Public method | AddSubjects | 添加详细信息
Public method | AddToolButtons | 添加工具按钮
Public method | AddWarnings | 添加警告信息
 | GetDisabledAction | 获取已禁用的订单操作
 | GetLinkAction | 获取跳转链接的订单操作
 | GetModalAction | 获取打开模态框的订单操作
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider Constructor

Initializes a new instance of the DefaultOrderDisplayInfoProvider class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultOrderDisplayInfoProvider()
Public Sub New
public:
DefaultOrderDisplayInfoProvider()
new : unit -> DefaultOrderDisplayInfoProvider
See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider Methods

The DefaultOrderDisplayInfoProvider type exposes the following members.

Methods
 | Name | Description
Public method | AddActions | 添加订单操作
Public method | AddSubjects | 添加详细信息
Public method | AddToolButtons | 添加工具按钮
Public method | AddWarnings | 添加警告信息
 | GetDisabledAction | 获取已禁用的订单操作
 | GetLinkAction | 获取跳转链接的订单操作
 | GetModalAction | 获取打开模态框的订单操作
Top
See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.AddActions Method

DefaultOrderDisplayInfoProviderAddActions Method

添加订单操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddActions(
    SellerOrder order,
    IList<HtmlString> actions,
    OrderOperatorType operatorType
)
Public Sub AddActions (
    order As SellerOrder,
    actions As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddActions(
    SellerOrder^ order,
    IList<HtmlString^>^ actions,
    OrderOperatorType operatorType
) sealed
abstract AddActions :
        order : SellerOrder *
        actions : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddActions :
        order : SellerOrder *
        actions : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddActions(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

actions
Type: System.Collections.GenericIList HtmlString

[Missing <param name="actions"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddActions(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddActions(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddActions(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.AddSubjects Method

DefaultOrderDisplayInfoProviderAddSubjects Method

添加详细信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddSubjects(
    SellerOrder order,
    IList<HtmlString> subjects,
    OrderOperatorType operatorType
)
Public Sub AddSubjects (
    order As SellerOrder,
    subjects As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddSubjects(
    SellerOrder^ order,
    IList<HtmlString^>^ subjects,
    OrderOperatorType operatorType
) sealed
abstract AddSubjects :
        order : SellerOrder *
        subjects : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddSubjects :
        order : SellerOrder *
        subjects : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddSubjects(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

subjects
Type: System.Collections.GenericIList HtmlString

[Missing <param name="subjects"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddSubjects(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddSubjects(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddSubjects(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.AddToolButtons Method

DefaultOrderDisplayInfoProviderAddToolButtons Method

添加工具按钮

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddToolButtons(
    SellerOrder order,
    IList<HtmlString> toolButtons,
    OrderOperatorType operatorType
)
Public Sub AddToolButtons (
    order As SellerOrder,
    toolButtons As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddToolButtons(
    SellerOrder^ order,
    IList<HtmlString^>^ toolButtons,
    OrderOperatorType operatorType
) sealed
abstract AddToolButtons :
        order : SellerOrder *
        toolButtons : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddToolButtons :
        order : SellerOrder *
        toolButtons : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddToolButtons(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

toolButtons
Type: System.Collections.GenericIList HtmlString

[Missing <param name="toolButtons"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddToolButtons(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddToolButtons(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddToolButtons(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.AddWarnings Method

DefaultOrderDisplayInfoProviderAddWarnings Method

添加警告信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddWarnings(
    SellerOrder order,
    IList<HtmlString> warnings,
    OrderOperatorType operatorType
)
Public Sub AddWarnings (
    order As SellerOrder,
    warnings As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddWarnings(
    SellerOrder^ order,
    IList<HtmlString^>^ warnings,
    OrderOperatorType operatorType
) sealed
abstract AddWarnings :
        order : SellerOrder *
        warnings : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddWarnings :
        order : SellerOrder *
        warnings : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddWarnings(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

warnings
Type: System.Collections.GenericIList HtmlString

[Missing <param name="warnings"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddWarnings(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.AddWarnings(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddWarnings(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.GetDisabledAction Method

DefaultOrderDisplayInfoProviderGetDisabledAction Method

获取已禁用的订单操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetDisabledAction(
    TemplateManager templateManager,
    string name,
    string message,
    string iconClass
)
Public Shared Function GetDisabledAction (
    templateManager As TemplateManager,
    name As String,
    message As String,
    iconClass As String
) As HtmlString
public:
static HtmlString^ GetDisabledAction(
    TemplateManager^ templateManager,
    String^ name,
    String^ message,
    String^ iconClass
)
static member GetDisabledAction :
        templateManager : TemplateManager *
        name : string *
        message : string *
        iconClass : string -> HtmlString

Parameters

templateManager
Type: TemplateManager

[Missing <param name="templateManager"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetDisabledAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String)"]

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetDisabledAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String)"]

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetDisabledAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String)"]

iconClass
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetDisabledAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetDisabledAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String)"]

See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.GetLinkAction Method

DefaultOrderDisplayInfoProviderGetLinkAction Method

获取跳转链接的订单操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetLinkAction(
    TemplateManager templateManager,
    string name,
    string url,
    string iconClass,
    string buttonClass = null,
    string target = null
)
Public Shared Function GetLinkAction (
    templateManager As TemplateManager,
    name As String,
    url As String,
    iconClass As String,
    Optional buttonClass As String = Nothing,
    Optional target As String = Nothing
) As HtmlString
public:
static HtmlString^ GetLinkAction(
    TemplateManager^ templateManager,
    String^ name,
    String^ url,
    String^ iconClass,
    String^ buttonClass = nullptr,
    String^ target = nullptr
)
static member GetLinkAction :
        templateManager : TemplateManager *
        name : string *
        url : string *
        iconClass : string *
        ?buttonClass : string *
        ?target : string
(* Defaults:
        let _buttonClass = defaultArg buttonClass null
        let _target = defaultArg target null
*)
-> HtmlString

Parameters

templateManager
Type: TemplateManager

[Missing <param name="templateManager"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

iconClass
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

buttonClass (Optional)
Type: SystemString

[Missing <param name="buttonClass"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

target (Optional)
Type: SystemString

[Missing <param name="target"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetLinkAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String)"]

See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


DefaultOrderDisplayInfoProvider.GetModalAction Method

DefaultOrderDisplayInfoProviderGetModalAction Method

获取打开模态框的订单操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetModalAction(
    TemplateManager templateManager,
    string name,
    string url,
    string iconClass,
    string title = null,
    string buttonClass = null,
    Object dialogParameters = null
)
Public Shared Function GetModalAction (
    templateManager As TemplateManager,
    name As String,
    url As String,
    iconClass As String,
    Optional title As String = Nothing,
    Optional buttonClass As String = Nothing,
    Optional dialogParameters As Object = Nothing
) As HtmlString
public:
static HtmlString^ GetModalAction(
    TemplateManager^ templateManager,
    String^ name,
    String^ url,
    String^ iconClass,
    String^ title = nullptr,
    String^ buttonClass = nullptr,
    Object^ dialogParameters = nullptr
)
static member GetModalAction :
        templateManager : TemplateManager *
        name : string *
        url : string *
        iconClass : string *
        ?title : string *
        ?buttonClass : string *
        ?dialogParameters : Object
(* Defaults:
        let _title = defaultArg title null
        let _buttonClass = defaultArg buttonClass null
        let _dialogParameters = defaultArg dialogParameters null
*)
-> HtmlString

Parameters

templateManager
Type: TemplateManager

[Missing <param name="templateManager"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

iconClass
Type: SystemString

[Missing <param name="iconClass"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

title (Optional)
Type: SystemString

[Missing <param name="title"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

buttonClass (Optional)
Type: SystemString

[Missing <param name="buttonClass"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

dialogParameters (Optional)
Type: SystemObject

[Missing <param name="dialogParameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.DefaultOrderDisplayInfoProvider.GetModalAction(ZKWeb.Templating.TemplateManager,System.String,System.String,System.String,System.String,System.String,System.Object)"]

See Also

Reference

DefaultOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IOrderDisplayInfoProvider | 订单显示信息提供器


IOrderDisplayInfoProvider Interface
订单显示信息提供器

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IOrderDisplayInfoProvider
Public Interface IOrderDisplayInfoProvider
public interface class IOrderDisplayInfoProvider
type IOrderDisplayInfoProvider =  interface end

The IOrderDisplayInfoProvider type exposes the following members.

Methods
 | Name | Description
Public method | AddActions | 添加订单操作的Html
Public method | AddSubjects | 添加详细信息
Public method | AddToolButtons | 添加工具按钮
Public method | AddWarnings | 添加警告信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace


IOrderDisplayInfoProvider Methods

The IOrderDisplayInfoProvider type exposes the following members.

Methods
 | Name | Description
Public method | AddActions | 添加订单操作的Html
Public method | AddSubjects | 添加详细信息
Public method | AddToolButtons | 添加工具按钮
Public method | AddWarnings | 添加警告信息
Top
See Also

Reference

IOrderDisplayInfoProvider Interface
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace


IOrderDisplayInfoProvider.AddActions Method

IOrderDisplayInfoProviderAddActions Method

添加订单操作的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AddActions(
    SellerOrder order,
    IList<HtmlString> actions,
    OrderOperatorType operatorType
)
Sub AddActions (
    order As SellerOrder,
    actions As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
void AddActions(
    SellerOrder^ order,
    IList<HtmlString^>^ actions,
    OrderOperatorType operatorType
)
abstract AddActions :
        order : SellerOrder *
        actions : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单
actions
Type: System.Collections.GenericIList HtmlString
订单操作列表
operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType
操作人类型
See Also

Reference

IOrderDisplayInfoProvider Interface
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace


IOrderDisplayInfoProvider.AddSubjects Method

IOrderDisplayInfoProviderAddSubjects Method

添加详细信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AddSubjects(
    SellerOrder order,
    IList<HtmlString> subjects,
    OrderOperatorType operatorType
)
Sub AddSubjects (
    order As SellerOrder,
    subjects As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
void AddSubjects(
    SellerOrder^ order,
    IList<HtmlString^>^ subjects,
    OrderOperatorType operatorType
)
abstract AddSubjects :
        order : SellerOrder *
        subjects : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单
subjects
Type: System.Collections.GenericIList HtmlString
信息列表
operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType
操作人类型
See Also

Reference

IOrderDisplayInfoProvider Interface
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace


IOrderDisplayInfoProvider.AddToolButtons Method

IOrderDisplayInfoProviderAddToolButtons Method

添加工具按钮

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AddToolButtons(
    SellerOrder order,
    IList<HtmlString> toolButtons,
    OrderOperatorType operatorType
)
Sub AddToolButtons (
    order As SellerOrder,
    toolButtons As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
void AddToolButtons(
    SellerOrder^ order,
    IList<HtmlString^>^ toolButtons,
    OrderOperatorType operatorType
)
abstract AddToolButtons :
        order : SellerOrder *
        toolButtons : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单
toolButtons
Type: System.Collections.GenericIList HtmlString
警告信息列表
operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType
操作人类型
See Also

Reference

IOrderDisplayInfoProvider Interface
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace


IOrderDisplayInfoProvider.AddWarnings Method

IOrderDisplayInfoProviderAddWarnings Method

添加警告信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AddWarnings(
    SellerOrder order,
    IList<HtmlString> warnings,
    OrderOperatorType operatorType
)
Sub AddWarnings (
    order As SellerOrder,
    warnings As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
void AddWarnings(
    SellerOrder^ order,
    IList<HtmlString^>^ warnings,
    OrderOperatorType operatorType
)
abstract AddWarnings :
        order : SellerOrder *
        warnings : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单
warnings
Type: System.Collections.GenericIList HtmlString
警告信息列表
operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType
操作人类型
See Also

Reference

IOrderDisplayInfoProvider Interface
ZKWeb.Plugins.Shopping.Order.src.UIComponents.OrderDisplayInfoProviders.Interfaces Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters"]

Classes
 | Class | Description
Public class | OrderFilters | 订单使用的模板过滤器


OrderFilters Class
订单使用的模板过滤器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFiltersOrderFilters

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderFilters
Public NotInheritable Class OrderFilters
public ref class OrderFilters abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type OrderFilters =  class end

The OrderFilters type exposes the following members.

Methods
Name | Description
OrderLastCommentSummary | 返回最后一条留言的摘要
OrderProductCount | 获取订单商品数量的Html
OrderProductCountEditor | 获取编辑订单商品数量的Html
OrderProductPrice | 获取订单商品价格的Html
OrderProductSeller | 获取订单商品卖家的Html
OrderProductShippedCount | 获取订单商品已发货数量的Html
OrderProductSummary | 获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述
OrderProductType | 获取订单商品类型的Html
OrderStateProgressClass | 获取指定的订单状态在进度条中的css类 如果状态和当前状态一致，返回active 如果状态已经触发过，返回completed 如果状态没有触发过，返回空值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters Methods

The OrderFilters type exposes the following members.

Methods
Name | Description
OrderLastCommentSummary | 返回最后一条留言的摘要
OrderProductCount | 获取订单商品数量的Html
OrderProductCountEditor | 获取编辑订单商品数量的Html
OrderProductPrice | 获取订单商品价格的Html
OrderProductSeller | 获取订单商品卖家的Html
OrderProductShippedCount | 获取订单商品已发货数量的Html
OrderProductSummary | 获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述
OrderProductType | 获取订单商品类型的Html
OrderStateProgressClass | 获取指定的订单状态在进度条中的css类 如果状态和当前状态一致，返回active 如果状态已经触发过，返回completed 如果状态没有触发过，返回空值
Top
See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderLastCommentSummary Method

OrderFiltersOrderLastCommentSummary Method

返回最后一条留言的摘要

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string OrderLastCommentSummary(
    Hash info
)
Public Shared Function OrderLastCommentSummary (
    info As Hash
) As String
public:
static String^ OrderLastCommentSummary(
    Hash^ info
)
static member OrderLastCommentSummary :
        info : Hash -> string

Parameters

info
Type: Hash
订单显示信息

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderLastCommentSummary(DotLiquid.Hash)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductCount Method

OrderFiltersOrderProductCount Method

获取订单商品数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductCount(
    Object info
)
Public Shared Function OrderProductCount (
    info As Object
) As HtmlString
public:
static HtmlString^ OrderProductCount(
    Object^ info
)
static member OrderProductCount :
        info : Object -> HtmlString

Parameters

info
Type: SystemObject

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductCount(System.Object)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductCount(System.Object)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductCountEditor Method

OrderFiltersOrderProductCountEditor Method

获取编辑订单商品数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductCountEditor(
    Hash info
)
Public Shared Function OrderProductCountEditor (
    info As Hash
) As HtmlString
public:
static HtmlString^ OrderProductCountEditor(
    Hash^ info
)
static member OrderProductCountEditor :
        info : Hash -> HtmlString

Parameters

info
Type: Hash
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductCountEditor(DotLiquid.Hash)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductPrice Method

OrderFiltersOrderProductPrice Method

获取订单商品价格的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductPrice(
    Object info
)
Public Shared Function OrderProductPrice (
    info As Object
) As HtmlString
public:
static HtmlString^ OrderProductPrice(
    Object^ info
)
static member OrderProductPrice :
        info : Object -> HtmlString

Parameters

info
Type: SystemObject
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductPrice(System.Object)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductSeller Method

OrderFiltersOrderProductSeller Method

获取订单商品卖家的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductSeller(
    Object info
)
Public Shared Function OrderProductSeller (
    info As Object
) As HtmlString
public:
static HtmlString^ OrderProductSeller(
    Object^ info
)
static member OrderProductSeller :
        info : Object -> HtmlString

Parameters

info
Type: SystemObject
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductSeller(System.Object)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductShippedCount Method

OrderFiltersOrderProductShippedCount Method

获取订单商品已发货数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductShippedCount(
    Object info
)
Public Shared Function OrderProductShippedCount (
    info As Object
) As HtmlString
public:
static HtmlString^ OrderProductShippedCount(
    Object^ info
)
static member OrderProductShippedCount :
        info : Object -> HtmlString

Parameters

info
Type: SystemObject

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductShippedCount(System.Object)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductShippedCount(System.Object)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductSummary Method

OrderFiltersOrderProductSummary Method

获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductSummary(
    Object info
)
Public Shared Function OrderProductSummary (
    info As Object
) As HtmlString
public:
static HtmlString^ OrderProductSummary(
    Object^ info
)
static member OrderProductSummary :
        info : Object -> HtmlString

Parameters

info
Type: SystemObject
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductSummary(System.Object)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderProductType Method

OrderFiltersOrderProductType Method

获取订单商品类型的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString OrderProductType(
    Object info
)
Public Shared Function OrderProductType (
    info As Object
) As HtmlString
public:
static HtmlString^ OrderProductType(
    Object^ info
)
static member OrderProductType :
        info : Object -> HtmlString

Parameters

info
Type: SystemObject
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderProductType(System.Object)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


OrderFilters.OrderStateProgressClass Method

OrderFiltersOrderStateProgressClass Method

获取指定的订单状态在进度条中的css类 如果状态和当前状态一致，返回active 如果状态已经触发过，返回completed 如果状态没有触发过，返回空值

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string OrderStateProgressClass(
    Hash info,
    string state
)
Public Shared Function OrderStateProgressClass (
    info As Hash,
    state As String
) As String
public:
static String^ OrderStateProgressClass(
    Hash^ info,
    String^ state
)
static member OrderStateProgressClass :
        info : Hash *
        state : string -> string

Parameters

info
Type: Hash
订单显示信息
state
Type: SystemString
指定状态的名称

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters.OrderFilters.OrderStateProgressClass(DotLiquid.Hash,System.String)"]

See Also

Reference

OrderFilters Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.TemplateFilters Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums |
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions |


ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels"]

Classes
 | Class | Description
Public class | OrderDisplayInfo | 订单的显示信息 用于显示在订单详情页和订单列表页等
Public class | OrderProductDisplayInfo | 订单商品的显示信息 用于显示在购物车页和订单列表页等


OrderDisplayInfo Class
订单的显示信息 用于显示在订单详情页和订单列表页等
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderDisplayInfo : ILiquidizable
Public Class OrderDisplayInfo
    Implements ILiquidizable
public ref class OrderDisplayInfo : ILiquidizable
type OrderDisplayInfo =
    class
        interface ILiquidizable
    end

The OrderDisplayInfo type exposes the following members.

Constructors
 | Name | Description
Public method | OrderDisplayInfo | 初始化
Top
Properties
 | Name | Description
Public property | ActionHtmls | 操作列表
Public property | Buyer | 买家用户名
Public property | BuyerId | 买家Id
Public property | CreateTime | 创建时间
Public property | Currency | 货币单位
Public property | Id | 订单Id
Public property | LastComment | 最后一条留言
Public property | OrderParameters | 订单参数
Public property | OrderProducts | 订单商品的显示信息列表
Public property | OriginalTotalCost | 原始订单总金额
Public property | OriginalTotalCostDescription | 原始订单总金额的描述
Public property | OriginalTotalCostResult | 原始订单总金额的计算结果对象
Public property | OriginalTotalCostString | 原始订单总金额的字符串，经过货币格式化
Public property | RemarkFlags | 备注旗帜
Public property | Seller | 卖家用户名
Public property | SellerId | 卖家Id
Public property | Serial | 流水号
Public property | State | 订单状态
Public property | StateDescription | 订单状态的描述
Public property | StateTimes | 订单状态到各个状态的时间
Public property | SubjectHtmls | 订单详情的内容列表
Public property | ToolButtonHtmls | 订单详情的工具栏按钮列表
Public property | TotalCost | 订单总金额
Public property | TotalCostCalcResult | 订单总金额的计算结果对象
Public property | TotalCostDescription | 订单总金额的描述
Public property | TotalCostString | 订单总金额的字符串，经过货币格式化
Public property | ViewDeliveryUrlFormat | 查看发货单的Url格式
Public property | ViewTransactionUrlFormat | 查看交易的Url格式
Public property | WarningHtmls | 警告信息列表
Top
Extension Methods
 | Name | Description
Public Extension Method | GetBaseInformationHtml | 获取订单基本信息的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetDeliveryRecordsHtml | 获取发货记录的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderActionsTableCellHtml | 获取订单操作在表格单元格(订单列表页)中的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderCommentsHtml | 获取订单留言的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderCostEditHtml | 获取订单各项价格编辑表格的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderProductPriceEditHtml | 获取订单商品编辑表格的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderRecordsHtml | 获取订单详细记录的html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderTransactionEditHtml | 获取订单交易金额编辑表格的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetReleatedTransactionsHtml | 获取相关交易的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetTableHeadingHtml | 获取订单列表页的表格头部 (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetTotalCostHtml | 获取订单总价的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetTotalCostWithPartsHtml | 获取订单总价和价格组成部分的Html 会同时显示订单总价和价格组成部分 但组成部分中的商品总价会忽略显示 (Defined by OrderDisplayInfoExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderDisplayInfo()
Public Sub New
public:
OrderDisplayInfo()
new : unit -> OrderDisplayInfo
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo Properties

The OrderDisplayInfo type exposes the following members.

Properties
 | Name | Description
Public property | ActionHtmls | 操作列表
Public property | Buyer | 买家用户名
Public property | BuyerId | 买家Id
Public property | CreateTime | 创建时间
Public property | Currency | 货币单位
Public property | Id | 订单Id
Public property | LastComment | 最后一条留言
Public property | OrderParameters | 订单参数
Public property | OrderProducts | 订单商品的显示信息列表
Public property | OriginalTotalCost | 原始订单总金额
Public property | OriginalTotalCostDescription | 原始订单总金额的描述
Public property | OriginalTotalCostResult | 原始订单总金额的计算结果对象
Public property | OriginalTotalCostString | 原始订单总金额的字符串，经过货币格式化
Public property | RemarkFlags | 备注旗帜
Public property | Seller | 卖家用户名
Public property | SellerId | 卖家Id
Public property | Serial | 流水号
Public property | State | 订单状态
Public property | StateDescription | 订单状态的描述
Public property | StateTimes | 订单状态到各个状态的时间
Public property | SubjectHtmls | 订单详情的内容列表
Public property | ToolButtonHtmls | 订单详情的工具栏按钮列表
Public property | TotalCost | 订单总金额
Public property | TotalCostCalcResult | 订单总金额的计算结果对象
Public property | TotalCostDescription | 订单总金额的描述
Public property | TotalCostString | 订单总金额的字符串，经过货币格式化
Public property | ViewDeliveryUrlFormat | 查看发货单的Url格式
Public property | ViewTransactionUrlFormat | 查看交易的Url格式
Public property | WarningHtmls | 警告信息列表
Top
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.ActionHtmls Property

OrderDisplayInfoActionHtmls Property

操作列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<HtmlString> ActionHtmls { get; set; }
Public Property ActionHtmls As IList(Of HtmlString)
    Get
    Set
public:
property IList<HtmlString^>^ ActionHtmls {
    IList<HtmlString^>^ get ();
    void set (IList<HtmlString^>^ value);
}
member ActionHtmls : IList<HtmlString> with get, set

Property Value

Type: IList HtmlString
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.Buyer Property

OrderDisplayInfoBuyer Property

买家用户名

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Buyer { get; set; }
Public Property Buyer As String
    Get
    Set
public:
property String^ Buyer {
    String^ get ();
    void set (String^ value);
}
member Buyer : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.BuyerId Property

OrderDisplayInfoBuyerId Property

买家Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> BuyerId { get; set; }
Public Property BuyerId As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> BuyerId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member BuyerId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.CreateTime Property

OrderDisplayInfoCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CreateTime { get; set; }
Public Property CreateTime As String
    Get
    Set
public:
property String^ CreateTime {
    String^ get ();
    void set (String^ value);
}
member CreateTime : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.Currency Property

OrderDisplayInfoCurrency Property

货币单位

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ICurrency Currency { get; set; }
Public Property Currency As ICurrency
    Get
    Set
public:
property ICurrency^ Currency {
    ICurrency^ get ();
    void set (ICurrency^ value);
}
member Currency : ICurrency with get, set

Property Value

Type: ICurrency
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.Id Property

OrderDisplayInfoId Property

订单Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid Id { get; set; }
Public Property Id As Guid
    Get
    Set
public:
property Guid Id {
    Guid get ();
    void set (Guid value);
}
member Id : Guid with get, set

Property Value

Type: Guid
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.LastComment Property

OrderDisplayInfoLastComment Property

最后一条留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string LastComment { get; set; }
Public Property LastComment As String
    Get
    Set
public:
property String^ LastComment {
    String^ get ();
    void set (String^ value);
}
member LastComment : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.OrderParameters Property

OrderDisplayInfoOrderParameters Property

订单参数

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderParameters OrderParameters { get; set; }
Public Property OrderParameters As OrderParameters
    Get
    Set
public:
property OrderParameters^ OrderParameters {
    OrderParameters^ get ();
    void set (OrderParameters^ value);
}
member OrderParameters : OrderParameters with get, set

Property Value

Type: OrderParameters
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.OrderProducts Property

OrderDisplayInfoOrderProducts Property

订单商品的显示信息列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<OrderProductDisplayInfo> OrderProducts { get; set; }
Public Property OrderProducts As IList(Of OrderProductDisplayInfo)
    Get
    Set
public:
property IList<OrderProductDisplayInfo^>^ OrderProducts {
    IList<OrderProductDisplayInfo^>^ get ();
    void set (IList<OrderProductDisplayInfo^>^ value);
}
member OrderProducts : IList<OrderProductDisplayInfo> with get, set

Property Value

Type: IList OrderProductDisplayInfo
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.OriginalTotalCost Property

OrderDisplayInfoOriginalTotalCost Property

原始订单总金额

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal OriginalTotalCost { get; set; }
Public Property OriginalTotalCost As Decimal
    Get
    Set
public:
property Decimal OriginalTotalCost {
    Decimal get ();
    void set (Decimal value);
}
member OriginalTotalCost : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.OriginalTotalCostDescription Property

OrderDisplayInfoOriginalTotalCostDescription Property

原始订单总金额的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OriginalTotalCostDescription { get; set; }
Public Property OriginalTotalCostDescription As String
    Get
    Set
public:
property String^ OriginalTotalCostDescription {
    String^ get ();
    void set (String^ value);
}
member OriginalTotalCostDescription : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.OriginalTotalCostResult Property

OrderDisplayInfoOriginalTotalCostResult Property

原始订单总金额的计算结果对象

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderPriceCalcResult OriginalTotalCostResult { get; set; }
Public Property OriginalTotalCostResult As OrderPriceCalcResult
    Get
    Set
public:
property OrderPriceCalcResult^ OriginalTotalCostResult {
    OrderPriceCalcResult^ get ();
    void set (OrderPriceCalcResult^ value);
}
member OriginalTotalCostResult : OrderPriceCalcResult with get, set

Property Value

Type: OrderPriceCalcResult
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.OriginalTotalCostString Property

OrderDisplayInfoOriginalTotalCostString Property

原始订单总金额的字符串，经过货币格式化

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OriginalTotalCostString { get; set; }
Public Property OriginalTotalCostString As String
    Get
    Set
public:
property String^ OriginalTotalCostString {
    String^ get ();
    void set (String^ value);
}
member OriginalTotalCostString : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.RemarkFlags Property

OrderDisplayInfoRemarkFlags Property

备注旗帜

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string RemarkFlags { get; set; }
Public Property RemarkFlags As String
    Get
    Set
public:
property String^ RemarkFlags {
    String^ get ();
    void set (String^ value);
}
member RemarkFlags : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.Seller Property

OrderDisplayInfoSeller Property

卖家用户名

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Seller { get; set; }
Public Property Seller As String
    Get
    Set
public:
property String^ Seller {
    String^ get ();
    void set (String^ value);
}
member Seller : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.SellerId Property

OrderDisplayInfoSellerId Property

卖家Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> SellerId { get; set; }
Public Property SellerId As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> SellerId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member SellerId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.Serial Property

OrderDisplayInfoSerial Property

流水号

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Serial { get; set; }
Public Property Serial As String
    Get
    Set
public:
property String^ Serial {
    String^ get ();
    void set (String^ value);
}
member Serial : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.State Property

OrderDisplayInfoState Property

订单状态

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; set; }
Public Property State As String
    Get
    Set
public:
property String^ State {
    String^ get ();
    void set (String^ value);
}
member State : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.StateDescription Property

OrderDisplayInfoStateDescription Property

订单状态的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string StateDescription { get; set; }
Public Property StateDescription As String
    Get
    Set
public:
property String^ StateDescription {
    String^ get ();
    void set (String^ value);
}
member StateDescription : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.StateTimes Property

OrderDisplayInfoStateTimes Property

订单状态到各个状态的时间

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, string> StateTimes { get; set; }
Public Property StateTimes As IDictionary(Of String, String)
    Get
    Set
public:
property IDictionary<String^, String^>^ StateTimes {
    IDictionary<String^, String^>^ get ();
    void set (IDictionary<String^, String^>^ value);
}
member StateTimes : IDictionary<string, string> with get, set

Property Value

Type: IDictionary String, String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.SubjectHtmls Property

OrderDisplayInfoSubjectHtmls Property

订单详情的内容列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<HtmlString> SubjectHtmls { get; set; }
Public Property SubjectHtmls As IList(Of HtmlString)
    Get
    Set
public:
property IList<HtmlString^>^ SubjectHtmls {
    IList<HtmlString^>^ get ();
    void set (IList<HtmlString^>^ value);
}
member SubjectHtmls : IList<HtmlString> with get, set

Property Value

Type: IList HtmlString
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.ToolButtonHtmls Property

OrderDisplayInfoToolButtonHtmls Property

订单详情的工具栏按钮列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<HtmlString> ToolButtonHtmls { get; set; }
Public Property ToolButtonHtmls As IList(Of HtmlString)
    Get
    Set
public:
property IList<HtmlString^>^ ToolButtonHtmls {
    IList<HtmlString^>^ get ();
    void set (IList<HtmlString^>^ value);
}
member ToolButtonHtmls : IList<HtmlString> with get, set

Property Value

Type: IList HtmlString
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.TotalCost Property

OrderDisplayInfoTotalCost Property

订单总金额

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal TotalCost { get; set; }
Public Property TotalCost As Decimal
    Get
    Set
public:
property Decimal TotalCost {
    Decimal get ();
    void set (Decimal value);
}
member TotalCost : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.TotalCostCalcResult Property

OrderDisplayInfoTotalCostCalcResult Property

订单总金额的计算结果对象

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderPriceCalcResult TotalCostCalcResult { get; set; }
Public Property TotalCostCalcResult As OrderPriceCalcResult
    Get
    Set
public:
property OrderPriceCalcResult^ TotalCostCalcResult {
    OrderPriceCalcResult^ get ();
    void set (OrderPriceCalcResult^ value);
}
member TotalCostCalcResult : OrderPriceCalcResult with get, set

Property Value

Type: OrderPriceCalcResult
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.TotalCostDescription Property

OrderDisplayInfoTotalCostDescription Property

订单总金额的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TotalCostDescription { get; set; }
Public Property TotalCostDescription As String
    Get
    Set
public:
property String^ TotalCostDescription {
    String^ get ();
    void set (String^ value);
}
member TotalCostDescription : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.TotalCostString Property

OrderDisplayInfoTotalCostString Property

订单总金额的字符串，经过货币格式化

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string TotalCostString { get; set; }
Public Property TotalCostString As String
    Get
    Set
public:
property String^ TotalCostString {
    String^ get ();
    void set (String^ value);
}
member TotalCostString : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.ViewDeliveryUrlFormat Property

OrderDisplayInfoViewDeliveryUrlFormat Property

查看发货单的Url格式

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ViewDeliveryUrlFormat { get; set; }
Public Property ViewDeliveryUrlFormat As String
    Get
    Set
public:
property String^ ViewDeliveryUrlFormat {
    String^ get ();
    void set (String^ value);
}
member ViewDeliveryUrlFormat : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.ViewTransactionUrlFormat Property

OrderDisplayInfoViewTransactionUrlFormat Property

查看交易的Url格式

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ViewTransactionUrlFormat { get; set; }
Public Property ViewTransactionUrlFormat As String
    Get
    Set
public:
property String^ ViewTransactionUrlFormat {
    String^ get ();
    void set (String^ value);
}
member ViewTransactionUrlFormat : string with get, set

Property Value

Type: String
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo.WarningHtmls Property

OrderDisplayInfoWarningHtmls Property

警告信息列表

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<HtmlString> WarningHtmls { get; set; }
Public Property WarningHtmls As IList(Of HtmlString)
    Get
    Set
public:
property IList<HtmlString^>^ WarningHtmls {
    IList<HtmlString^>^ get ();
    void set (IList<HtmlString^>^ value);
}
member WarningHtmls : IList<HtmlString> with get, set

Property Value

Type: IList HtmlString
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderDisplayInfo Methods

The OrderDisplayInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | GetBaseInformationHtml | 获取订单基本信息的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetDeliveryRecordsHtml | 获取发货记录的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderActionsTableCellHtml | 获取订单操作在表格单元格(订单列表页)中的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderCommentsHtml | 获取订单留言的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderCostEditHtml | 获取订单各项价格编辑表格的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderProductPriceEditHtml | 获取订单商品编辑表格的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderRecordsHtml | 获取订单详细记录的html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetOrderTransactionEditHtml | 获取订单交易金额编辑表格的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetReleatedTransactionsHtml | 获取相关交易的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetTableHeadingHtml | 获取订单列表页的表格头部 (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetTotalCostHtml | 获取订单总价的Html (Defined by OrderDisplayInfoExtensions.)
Public Extension Method | GetTotalCostWithPartsHtml | 获取订单总价和价格组成部分的Html 会同时显示订单总价和价格组成部分 但组成部分中的商品总价会忽略显示 (Defined by OrderDisplayInfoExtensions.)
Top
See Also

Reference

OrderDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo Class
订单商品的显示信息 用于显示在购物车页和订单列表页等
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderProductDisplayInfo : ILiquidizable
Public Class OrderProductDisplayInfo
    Implements ILiquidizable
public ref class OrderProductDisplayInfo : ILiquidizable
type OrderProductDisplayInfo =
    class
        interface ILiquidizable
    end

The OrderProductDisplayInfo type exposes the following members.

Constructors
 | Name | Description
Public method | OrderProductDisplayInfo | 初始化
Top
Properties
 | Name | Description
Public property | Count | 数量
Public property | Currency | 货币
Public property | Extra | 附加数据
Public property | ImageWebPath | 商品主图缩略图的网页路径
Public property | IsRealProduct | 是否实体商品
Public property | MatchedParameters | 商品匹配参数
Public property | MatchedParametersDescription | 商品匹配参数的描述
Public property | Name | 商品名称
Public property | OrderProductId | 订单商品Id，成员的值只有在显示"订单商品"时才会存在
Public property | OriginalUnitPrice | 原始单价
Public property | OriginalUnitPriceDescription | 原始单价的描述
Public property | OriginalUnitPriceString | 原始单价字符串
Public property | ProductId | 商品Id
Public property | Seller | 卖家用户名
Public property | SellerId | 卖家Id
Public property | ShippedCount | 已发货数量
Public property | State | 商品状态
Public property | Type | 商品类型
Public property | UnitPrice | 单价
Public property | UnitPriceDescription | 单价的描述
Public property | UnitPriceString | 单价字符串
Top
Extension Methods
 | Name | Description
Public Extension Method | GetCountEditor | 获取编辑订单商品数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetDeliveryCountEditor | 获取编辑订单商品发货数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetOrderCountHtml | 获取订单商品数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetPriceEditor | 获取编辑订单商品价格的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetPriceHtml | 获取订单商品价格的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetSellerHtml | 获取订单商品卖家的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetShippedCountHtml | 获取订单商品已发数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetSummaryHtml | 获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述 (Defined by OrderProductDisplayInfoExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderProductDisplayInfo()
Public Sub New
public:
OrderProductDisplayInfo()
new : unit -> OrderProductDisplayInfo
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo Properties

The OrderProductDisplayInfo type exposes the following members.

Properties
 | Name | Description
Public property | Count | 数量
Public property | Currency | 货币
Public property | Extra | 附加数据
Public property | ImageWebPath | 商品主图缩略图的网页路径
Public property | IsRealProduct | 是否实体商品
Public property | MatchedParameters | 商品匹配参数
Public property | MatchedParametersDescription | 商品匹配参数的描述
Public property | Name | 商品名称
Public property | OrderProductId | 订单商品Id，成员的值只有在显示"订单商品"时才会存在
Public property | OriginalUnitPrice | 原始单价
Public property | OriginalUnitPriceDescription | 原始单价的描述
Public property | OriginalUnitPriceString | 原始单价字符串
Public property | ProductId | 商品Id
Public property | Seller | 卖家用户名
Public property | SellerId | 卖家Id
Public property | ShippedCount | 已发货数量
Public property | State | 商品状态
Public property | Type | 商品类型
Public property | UnitPrice | 单价
Public property | UnitPriceDescription | 单价的描述
Public property | UnitPriceString | 单价字符串
Top
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.Count Property

OrderProductDisplayInfoCount Property

数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long Count { get; set; }
Public Property Count As Long
    Get
    Set
public:
property long long Count {
    long long get ();
    void set (long long value);
}
member Count : int64 with get, set

Property Value

Type: Int64
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.Currency Property

OrderProductDisplayInfoCurrency Property

货币

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ICurrency Currency { get; set; }
Public Property Currency As ICurrency
    Get
    Set
public:
property ICurrency^ Currency {
    ICurrency^ get ();
    void set (ICurrency^ value);
}
member Currency : ICurrency with get, set

Property Value

Type: ICurrency
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.Extra Property

OrderProductDisplayInfoExtra Property

附加数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Extra { get; set; }
Public Property Extra As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Extra {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Extra : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.ImageWebPath Property

OrderProductDisplayInfoImageWebPath Property

商品主图缩略图的网页路径

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ImageWebPath { get; set; }
Public Property ImageWebPath As String
    Get
    Set
public:
property String^ ImageWebPath {
    String^ get ();
    void set (String^ value);
}
member ImageWebPath : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.IsRealProduct Property

OrderProductDisplayInfoIsRealProduct Property

是否实体商品

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsRealProduct { get; set; }
Public Property IsRealProduct As Boolean
    Get
    Set
public:
property bool IsRealProduct {
    bool get ();
    void set (bool value);
}
member IsRealProduct : bool with get, set

Property Value

Type: Boolean
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.MatchedParameters Property

OrderProductDisplayInfoMatchedParameters Property

商品匹配参数

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> MatchedParameters { get; set; }
Public Property MatchedParameters As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ MatchedParameters {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member MatchedParameters : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.MatchedParametersDescription Property

OrderProductDisplayInfoMatchedParametersDescription Property

商品匹配参数的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string MatchedParametersDescription { get; set; }
Public Property MatchedParametersDescription As String
    Get
    Set
public:
property String^ MatchedParametersDescription {
    String^ get ();
    void set (String^ value);
}
member MatchedParametersDescription : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.Name Property

OrderProductDisplayInfoName Property

商品名称

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.OrderProductId Property

OrderProductDisplayInfoOrderProductId Property

订单商品Id，成员的值只有在显示"订单商品"时才会存在

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> OrderProductId { get; set; }
Public Property OrderProductId As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> OrderProductId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member OrderProductId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.OriginalUnitPrice Property

OrderProductDisplayInfoOriginalUnitPrice Property

原始单价

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal OriginalUnitPrice { get; set; }
Public Property OriginalUnitPrice As Decimal
    Get
    Set
public:
property Decimal OriginalUnitPrice {
    Decimal get ();
    void set (Decimal value);
}
member OriginalUnitPrice : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.OriginalUnitPriceDescription Property

OrderProductDisplayInfoOriginalUnitPriceDescription Property

原始单价的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OriginalUnitPriceDescription { get; set; }
Public Property OriginalUnitPriceDescription As String
    Get
    Set
public:
property String^ OriginalUnitPriceDescription {
    String^ get ();
    void set (String^ value);
}
member OriginalUnitPriceDescription : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.OriginalUnitPriceString Property

OrderProductDisplayInfoOriginalUnitPriceString Property

原始单价字符串

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OriginalUnitPriceString { get; set; }
Public Property OriginalUnitPriceString As String
    Get
    Set
public:
property String^ OriginalUnitPriceString {
    String^ get ();
    void set (String^ value);
}
member OriginalUnitPriceString : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.ProductId Property

OrderProductDisplayInfoProductId Property

商品Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid ProductId { get; set; }
Public Property ProductId As Guid
    Get
    Set
public:
property Guid ProductId {
    Guid get ();
    void set (Guid value);
}
member ProductId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.Seller Property

OrderProductDisplayInfoSeller Property

卖家用户名

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Seller { get; set; }
Public Property Seller As String
    Get
    Set
public:
property String^ Seller {
    String^ get ();
    void set (String^ value);
}
member Seller : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.SellerId Property

OrderProductDisplayInfoSellerId Property

卖家Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> SellerId { get; set; }
Public Property SellerId As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> SellerId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member SellerId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.ShippedCount Property

OrderProductDisplayInfoShippedCount Property

已发货数量

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ShippedCount { get; set; }
Public Property ShippedCount As Long
    Get
    Set
public:
property long long ShippedCount {
    long long get ();
    void set (long long value);
}
member ShippedCount : int64 with get, set

Property Value

Type: Int64
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.State Property

OrderProductDisplayInfoState Property

商品状态

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; set; }
Public Property State As String
    Get
    Set
public:
property String^ State {
    String^ get ();
    void set (String^ value);
}
member State : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.Type Property

OrderProductDisplayInfoType Property

商品类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.UnitPrice Property

OrderProductDisplayInfoUnitPrice Property

单价

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public decimal UnitPrice { get; set; }
Public Property UnitPrice As Decimal
    Get
    Set
public:
property Decimal UnitPrice {
    Decimal get ();
    void set (Decimal value);
}
member UnitPrice : decimal with get, set

Property Value

Type: Decimal
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.UnitPriceDescription Property

OrderProductDisplayInfoUnitPriceDescription Property

单价的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string UnitPriceDescription { get; set; }
Public Property UnitPriceDescription As String
    Get
    Set
public:
property String^ UnitPriceDescription {
    String^ get ();
    void set (String^ value);
}
member UnitPriceDescription : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo.UnitPriceString Property

OrderProductDisplayInfoUnitPriceString Property

单价字符串

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string UnitPriceString { get; set; }
Public Property UnitPriceString As String
    Get
    Set
public:
property String^ UnitPriceString {
    String^ get ();
    void set (String^ value);
}
member UnitPriceString : string with get, set

Property Value

Type: String
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


OrderProductDisplayInfo Methods

The OrderProductDisplayInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | GetCountEditor | 获取编辑订单商品数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetDeliveryCountEditor | 获取编辑订单商品发货数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetOrderCountHtml | 获取订单商品数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetPriceEditor | 获取编辑订单商品价格的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetPriceHtml | 获取订单商品价格的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetSellerHtml | 获取订单商品卖家的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetShippedCountHtml | 获取订单商品已发数量的Html (Defined by OrderProductDisplayInfoExtensions.)
Public Extension Method | GetSummaryHtml | 获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述 (Defined by OrderProductDisplayInfoExtensions.)
Top
See Also

Reference

OrderProductDisplayInfo Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums"]

Enumerations
 | Enumeration | Description
Public enumeration | OrderOperatorType | 订单操作人的类型


OrderOperatorType Enumeration
订单操作人的类型

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum OrderOperatorType
Public Enumeration OrderOperatorType
public enum class OrderOperatorType
type OrderOperatorType
Members
Member name | Value | Description
Buyer | 0 | 买家
Seller | 1 | 卖家
Admin | 2 | 管理员
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums Namespace


ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions"]

Classes
 | Class | Description
Public class | BuyerOrderExtensions | 买家订单的扩展函数
Public class | CartProductExtensions | 购物车商品的扩展函数
Public class | CreateOrderProductParametersExtensions | 订单商品创建参数的扩展函数
Public class | OrderDisplayInfoExtensions | 订单显示信息的扩展函数
Public class | OrderPriceCalcResultExtensions | 订单价格计算结果的扩展函数
Public class | OrderProductDisplayInfoExtensions | 订单商品的显示信息的扩展函数
Public class | OrderProductExtensions | 订单商品的扩展函数
Public class | PaymentTransactionExtensions | 交易的扩展函数
Public class | SellerOrderExtensions | 卖家订单的扩展函数


BuyerOrderExtensions Class
买家订单的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsBuyerOrderExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class BuyerOrderExtensions
<ExtensionAttribute>
Public NotInheritable Class BuyerOrderExtensions
[ExtensionAttribute]
public ref class BuyerOrderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type BuyerOrderExtensions =  class end

The BuyerOrderExtensions type exposes the following members.

Methods
Name | Description
ToDisplayInfo | 转换订单到显示信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


BuyerOrderExtensions Methods

The BuyerOrderExtensions type exposes the following members.

Methods
Name | Description
ToDisplayInfo | 转换订单到显示信息
Top
See Also

Reference

BuyerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


BuyerOrderExtensions.ToDisplayInfo Method

BuyerOrderExtensionsToDisplayInfo Method

转换订单到显示信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static OrderDisplayInfo ToDisplayInfo(
    this BuyerOrder order
)
<ExtensionAttribute>
Public Shared Function ToDisplayInfo (
    order As BuyerOrder
) As OrderDisplayInfo
public:
[ExtensionAttribute]
static OrderDisplayInfo^ ToDisplayInfo(
    BuyerOrder^ order
)
[<ExtensionAttribute>]
static member ToDisplayInfo :
        order : BuyerOrder -> OrderDisplayInfo

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder
买家订单

Return Value

Type: OrderDisplayInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.BuyerOrderExtensions.ToDisplayInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type BuyerOrder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

BuyerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


CartProductExtensions Class
购物车商品的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsCartProductExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CartProductExtensions
<ExtensionAttribute>
Public NotInheritable Class CartProductExtensions
[ExtensionAttribute]
public ref class CartProductExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type CartProductExtensions =  class end

The CartProductExtensions type exposes the following members.

Methods
Name | Description
ToOrderProductDisplayInfo | 从购物车商品生成显示信息 生成后会设置购物车商品Id到附加数据
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


CartProductExtensions Methods

The CartProductExtensions type exposes the following members.

Methods
Name | Description
ToOrderProductDisplayInfo | 从购物车商品生成显示信息 生成后会设置购物车商品Id到附加数据
Top
See Also

Reference

CartProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


CartProductExtensions.ToOrderProductDisplayInfo Method

CartProductExtensionsToOrderProductDisplayInfo Method

从购物车商品生成显示信息 生成后会设置购物车商品Id到附加数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static OrderProductDisplayInfo ToOrderProductDisplayInfo(
    this CartProduct cartProduct
)
<ExtensionAttribute>
Public Shared Function ToOrderProductDisplayInfo (
    cartProduct As CartProduct
) As OrderProductDisplayInfo
public:
[ExtensionAttribute]
static OrderProductDisplayInfo^ ToOrderProductDisplayInfo(
    CartProduct^ cartProduct
)
[<ExtensionAttribute>]
static member ToOrderProductDisplayInfo :
        cartProduct : CartProduct -> OrderProductDisplayInfo

Parameters

cartProduct
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesCartProduct
购物车商品

Return Value

Type: OrderProductDisplayInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.CartProductExtensions.ToOrderProductDisplayInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.CartProduct)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type CartProduct. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CartProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


CreateOrderProductParametersExtensions Class
订单商品创建参数的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsCreateOrderProductParametersExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class CreateOrderProductParametersExtensions
<ExtensionAttribute>
Public NotInheritable Class CreateOrderProductParametersExtensions
[ExtensionAttribute]
public ref class CreateOrderProductParametersExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type CreateOrderProductParametersExtensions =  class end

The CreateOrderProductParametersExtensions type exposes the following members.

Methods
Name | Description
ToOrderProductDisplayInfo | 从订单商品创建参数生成显示信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


CreateOrderProductParametersExtensions Methods

The CreateOrderProductParametersExtensions type exposes the following members.

Methods
Name | Description
ToOrderProductDisplayInfo | 从订单商品创建参数生成显示信息
Top
See Also

Reference

CreateOrderProductParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


CreateOrderProductParametersExtensions.ToOrderProductDisplayInfo Method

CreateOrderProductParametersExtensionsToOrderProductDisplayInfo Method

从订单商品创建参数生成显示信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static OrderProductDisplayInfo ToOrderProductDisplayInfo(
    this CreateOrderProductParameters parameters,
    Nullable<Guid> userId
)
<ExtensionAttribute>
Public Shared Function ToOrderProductDisplayInfo (
    parameters As CreateOrderProductParameters,
    userId As Nullable(Of Guid)
) As OrderProductDisplayInfo
public:
[ExtensionAttribute]
static OrderProductDisplayInfo^ ToOrderProductDisplayInfo(
    CreateOrderProductParameters^ parameters,
    Nullable<Guid> userId
)
[<ExtensionAttribute>]
static member ToOrderProductDisplayInfo :
        parameters : CreateOrderProductParameters *
        userId : Nullable<Guid> -> OrderProductDisplayInfo

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsCreateOrderProductParameters
订单商品创建参数
userId
Type: SystemNullable Guid
用户Id，未登录时等于null

Return Value

Type: OrderProductDisplayInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.CreateOrderProductParametersExtensions.ToOrderProductDisplayInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.CreateOrderProductParameters,System.Nullable{System.Guid})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type CreateOrderProductParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CreateOrderProductParametersExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions Class
订单显示信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsOrderDisplayInfoExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderDisplayInfoExtensions
<ExtensionAttribute>
Public NotInheritable Class OrderDisplayInfoExtensions
[ExtensionAttribute]
public ref class OrderDisplayInfoExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OrderDisplayInfoExtensions =  class end

The OrderDisplayInfoExtensions type exposes the following members.

Methods
Name | Description
GetBaseInformationHtml | 获取订单基本信息的Html
GetDeliveryRecordsHtml | 获取发货记录的Html
GetOrderActionsTableCellHtml | 获取订单操作在表格单元格(订单列表页)中的Html
GetOrderCommentsHtml | 获取订单留言的Html
GetOrderCostEditHtml | 获取订单各项价格编辑表格的Html
GetOrderProductPriceEditHtml | 获取订单商品编辑表格的Html
GetOrderRecordsHtml | 获取订单详细记录的html
GetOrderTransactionEditHtml | 获取订单交易金额编辑表格的Html
GetReleatedTransactionsHtml | 获取相关交易的Html
GetTableHeadingHtml | 获取订单列表页的表格头部
GetTotalCostHtml | 获取订单总价的Html
GetTotalCostWithPartsHtml | 获取订单总价和价格组成部分的Html 会同时显示订单总价和价格组成部分 但组成部分中的商品总价会忽略显示
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions Methods

The OrderDisplayInfoExtensions type exposes the following members.

Methods
Name | Description
GetBaseInformationHtml | 获取订单基本信息的Html
GetDeliveryRecordsHtml | 获取发货记录的Html
GetOrderActionsTableCellHtml | 获取订单操作在表格单元格(订单列表页)中的Html
GetOrderCommentsHtml | 获取订单留言的Html
GetOrderCostEditHtml | 获取订单各项价格编辑表格的Html
GetOrderProductPriceEditHtml | 获取订单商品编辑表格的Html
GetOrderRecordsHtml | 获取订单详细记录的html
GetOrderTransactionEditHtml | 获取订单交易金额编辑表格的Html
GetReleatedTransactionsHtml | 获取相关交易的Html
GetTableHeadingHtml | 获取订单列表页的表格头部
GetTotalCostHtml | 获取订单总价的Html
GetTotalCostWithPartsHtml | 获取订单总价和价格组成部分的Html 会同时显示订单总价和价格组成部分 但组成部分中的商品总价会忽略显示
Top
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetBaseInformationHtml Method

OrderDisplayInfoExtensionsGetBaseInformationHtml Method

获取订单基本信息的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetBaseInformationHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetBaseInformationHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetBaseInformationHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetBaseInformationHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetBaseInformationHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetDeliveryRecordsHtml Method

OrderDisplayInfoExtensionsGetDeliveryRecordsHtml Method

获取发货记录的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetDeliveryRecordsHtml(
    this OrderDisplayInfo info,
    IEnumerable<OrderDelivery> deliveries
)
<ExtensionAttribute>
Public Shared Function GetDeliveryRecordsHtml (
    info As OrderDisplayInfo,
    deliveries As IEnumerable(Of OrderDelivery)
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetDeliveryRecordsHtml(
    OrderDisplayInfo^ info,
    IEnumerable<OrderDelivery^>^ deliveries
)
[<ExtensionAttribute>]
static member GetDeliveryRecordsHtml :
        info : OrderDisplayInfo *
        deliveries : IEnumerable<OrderDelivery> -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息
deliveries
Type: System.Collections.GenericIEnumerable OrderDelivery
发货记录

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetDeliveryRecordsHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo,System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderDelivery})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetOrderActionsTableCellHtml Method

OrderDisplayInfoExtensionsGetOrderActionsTableCellHtml Method

获取订单操作在表格单元格(订单列表页)中的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderActionsTableCellHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetOrderActionsTableCellHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderActionsTableCellHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetOrderActionsTableCellHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderActionsTableCellHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetOrderCommentsHtml Method

OrderDisplayInfoExtensionsGetOrderCommentsHtml Method

获取订单留言的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderCommentsHtml(
    this OrderDisplayInfo info,
    IEnumerable<OrderComment> comments
)
<ExtensionAttribute>
Public Shared Function GetOrderCommentsHtml (
    info As OrderDisplayInfo,
    comments As IEnumerable(Of OrderComment)
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderCommentsHtml(
    OrderDisplayInfo^ info,
    IEnumerable<OrderComment^>^ comments
)
[<ExtensionAttribute>]
static member GetOrderCommentsHtml :
        info : OrderDisplayInfo *
        comments : IEnumerable<OrderComment> -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息
comments
Type: System.Collections.GenericIEnumerable OrderComment
留言列表

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderCommentsHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo,System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderComment})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetOrderCostEditHtml Method

OrderDisplayInfoExtensionsGetOrderCostEditHtml Method

获取订单各项价格编辑表格的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderCostEditHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetOrderCostEditHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderCostEditHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetOrderCostEditHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderCostEditHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderCostEditHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetOrderProductPriceEditHtml Method

OrderDisplayInfoExtensionsGetOrderProductPriceEditHtml Method

获取订单商品编辑表格的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderProductPriceEditHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetOrderProductPriceEditHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderProductPriceEditHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetOrderProductPriceEditHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderProductPriceEditHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderProductPriceEditHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetOrderRecordsHtml Method

OrderDisplayInfoExtensionsGetOrderRecordsHtml Method

获取订单详细记录的html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderRecordsHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetOrderRecordsHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderRecordsHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetOrderRecordsHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderRecordsHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetOrderTransactionEditHtml Method

OrderDisplayInfoExtensionsGetOrderTransactionEditHtml Method

获取订单交易金额编辑表格的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderTransactionEditHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetOrderTransactionEditHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderTransactionEditHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetOrderTransactionEditHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderTransactionEditHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetOrderTransactionEditHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetReleatedTransactionsHtml Method

OrderDisplayInfoExtensionsGetReleatedTransactionsHtml Method

获取相关交易的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetReleatedTransactionsHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetReleatedTransactionsHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetReleatedTransactionsHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetReleatedTransactionsHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetReleatedTransactionsHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetTableHeadingHtml Method

OrderDisplayInfoExtensionsGetTableHeadingHtml Method

获取订单列表页的表格头部

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetTableHeadingHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetTableHeadingHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetTableHeadingHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetTableHeadingHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetTableHeadingHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetTotalCostHtml Method

OrderDisplayInfoExtensionsGetTotalCostHtml Method

获取订单总价的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetTotalCostHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetTotalCostHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetTotalCostHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetTotalCostHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetTotalCostHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderDisplayInfoExtensions.GetTotalCostWithPartsHtml Method

OrderDisplayInfoExtensionsGetTotalCostWithPartsHtml Method

获取订单总价和价格组成部分的Html 会同时显示订单总价和价格组成部分 但组成部分中的商品总价会忽略显示

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetTotalCostWithPartsHtml(
    this OrderDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetTotalCostWithPartsHtml (
    info As OrderDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetTotalCostWithPartsHtml(
    OrderDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetTotalCostWithPartsHtml :
        info : OrderDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderDisplayInfo
订单显示信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderDisplayInfoExtensions.GetTotalCostWithPartsHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderPriceCalcResultExtensions Class
订单价格计算结果的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsOrderPriceCalcResultExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderPriceCalcResultExtensions
<ExtensionAttribute>
Public NotInheritable Class OrderPriceCalcResultExtensions
[ExtensionAttribute]
public ref class OrderPriceCalcResultExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OrderPriceCalcResultExtensions =  class end

The OrderPriceCalcResultExtensions type exposes the following members.

Methods
Name | Description
GetDeltaEditor | 获取组成部分的影响量的编辑器
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderPriceCalcResultExtensions Methods

The OrderPriceCalcResultExtensions type exposes the following members.

Methods
Name | Description
GetDeltaEditor | 获取组成部分的影响量的编辑器
Top
See Also

Reference

OrderPriceCalcResultExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderPriceCalcResultExtensions.GetDeltaEditor Method

OrderPriceCalcResultExtensionsGetDeltaEditor Method

获取组成部分的影响量的编辑器

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetDeltaEditor(
    this OrderPriceCalcResultPart part
)
<ExtensionAttribute>
Public Shared Function GetDeltaEditor (
    part As OrderPriceCalcResultPart
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetDeltaEditor(
    OrderPriceCalcResultPart^ part
)
[<ExtensionAttribute>]
static member GetDeltaEditor :
        part : OrderPriceCalcResultPart -> HtmlString

Parameters

part
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.StructsOrderPriceCalcResultPart

[Missing <param name="part"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderPriceCalcResultExtensions.GetDeltaEditor(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult.Part)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderPriceCalcResultExtensions.GetDeltaEditor(ZKWeb.Plugins.Shopping.Order.src.Domain.Structs.OrderPriceCalcResult.Part)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderPriceCalcResultPart. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderPriceCalcResultExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions Class
订单商品的显示信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsOrderProductDisplayInfoExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderProductDisplayInfoExtensions
<ExtensionAttribute>
Public NotInheritable Class OrderProductDisplayInfoExtensions
[ExtensionAttribute]
public ref class OrderProductDisplayInfoExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OrderProductDisplayInfoExtensions =  class end

The OrderProductDisplayInfoExtensions type exposes the following members.

Methods
Name | Description
GetCountEditor | 获取编辑订单商品数量的Html
GetDeliveryCountEditor | 获取编辑订单商品发货数量的Html
GetOrderCountHtml | 获取订单商品数量的Html
GetOrderCountListHtml | 获取订单商品数量列表的Html
GetPriceEditor | 获取编辑订单商品价格的Html
GetPriceHtml | 获取订单商品价格的Html
GetPriceListHtml | 获取订单商品价格列表的Html
GetSellerHtml | 获取订单商品卖家的Html
GetShippedCountHtml | 获取订单商品已发数量的Html
GetShippedCountListHtml | 获取订单商品已发数量列表的Html
GetSummaryHtml | 获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述
GetSummryListHtml | 获取订单商品概述列表的Html
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions Methods

The OrderProductDisplayInfoExtensions type exposes the following members.

Methods
Name | Description
GetCountEditor | 获取编辑订单商品数量的Html
GetDeliveryCountEditor | 获取编辑订单商品发货数量的Html
GetOrderCountHtml | 获取订单商品数量的Html
GetOrderCountListHtml | 获取订单商品数量列表的Html
GetPriceEditor | 获取编辑订单商品价格的Html
GetPriceHtml | 获取订单商品价格的Html
GetPriceListHtml | 获取订单商品价格列表的Html
GetSellerHtml | 获取订单商品卖家的Html
GetShippedCountHtml | 获取订单商品已发数量的Html
GetShippedCountListHtml | 获取订单商品已发数量列表的Html
GetSummaryHtml | 获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述
GetSummryListHtml | 获取订单商品概述列表的Html
Top
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetCountEditor Method

OrderProductDisplayInfoExtensionsGetCountEditor Method

获取编辑订单商品数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetCountEditor(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetCountEditor (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetCountEditor(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetCountEditor :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetCountEditor(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetDeliveryCountEditor Method

OrderProductDisplayInfoExtensionsGetDeliveryCountEditor Method

获取编辑订单商品发货数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetDeliveryCountEditor(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetDeliveryCountEditor (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetDeliveryCountEditor(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetDeliveryCountEditor :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetDeliveryCountEditor(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetOrderCountHtml Method

OrderProductDisplayInfoExtensionsGetOrderCountHtml Method

获取订单商品数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderCountHtml(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetOrderCountHtml (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderCountHtml(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetOrderCountHtml :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetOrderCountHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetOrderCountListHtml Method

OrderProductDisplayInfoExtensionsGetOrderCountListHtml Method

获取订单商品数量列表的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetOrderCountListHtml(
    this IEnumerable<OrderProductDisplayInfo> infos
)
<ExtensionAttribute>
Public Shared Function GetOrderCountListHtml (
    infos As IEnumerable(Of OrderProductDisplayInfo)
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetOrderCountListHtml(
    IEnumerable<OrderProductDisplayInfo^>^ infos
)
[<ExtensionAttribute>]
static member GetOrderCountListHtml :
        infos : IEnumerable<OrderProductDisplayInfo> -> HtmlString

Parameters

infos
Type: System.Collections.GenericIEnumerable OrderProductDisplayInfo
订单商品的信息列表

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetOrderCountListHtml(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable OrderProductDisplayInfo . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetPriceEditor Method

OrderProductDisplayInfoExtensionsGetPriceEditor Method

获取编辑订单商品价格的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetPriceEditor(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetPriceEditor (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetPriceEditor(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetPriceEditor :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetPriceEditor(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetPriceHtml Method

OrderProductDisplayInfoExtensionsGetPriceHtml Method

获取订单商品价格的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetPriceHtml(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetPriceHtml (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetPriceHtml(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetPriceHtml :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetPriceHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetPriceListHtml Method

OrderProductDisplayInfoExtensionsGetPriceListHtml Method

获取订单商品价格列表的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetPriceListHtml(
    this IEnumerable<OrderProductDisplayInfo> infos
)
<ExtensionAttribute>
Public Shared Function GetPriceListHtml (
    infos As IEnumerable(Of OrderProductDisplayInfo)
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetPriceListHtml(
    IEnumerable<OrderProductDisplayInfo^>^ infos
)
[<ExtensionAttribute>]
static member GetPriceListHtml :
        infos : IEnumerable<OrderProductDisplayInfo> -> HtmlString

Parameters

infos
Type: System.Collections.GenericIEnumerable OrderProductDisplayInfo
订单商品的信息列表

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetPriceListHtml(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable OrderProductDisplayInfo . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetSellerHtml Method

OrderProductDisplayInfoExtensionsGetSellerHtml Method

获取订单商品卖家的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetSellerHtml(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetSellerHtml (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetSellerHtml(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetSellerHtml :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetSellerHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetShippedCountHtml Method

OrderProductDisplayInfoExtensionsGetShippedCountHtml Method

获取订单商品已发数量的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetShippedCountHtml(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetShippedCountHtml (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetShippedCountHtml(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetShippedCountHtml :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetShippedCountHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetShippedCountListHtml Method

OrderProductDisplayInfoExtensionsGetShippedCountListHtml Method

获取订单商品已发数量列表的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetShippedCountListHtml(
    this IEnumerable<OrderProductDisplayInfo> infos
)
<ExtensionAttribute>
Public Shared Function GetShippedCountListHtml (
    infos As IEnumerable(Of OrderProductDisplayInfo)
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetShippedCountListHtml(
    IEnumerable<OrderProductDisplayInfo^>^ infos
)
[<ExtensionAttribute>]
static member GetShippedCountListHtml :
        infos : IEnumerable<OrderProductDisplayInfo> -> HtmlString

Parameters

infos
Type: System.Collections.GenericIEnumerable OrderProductDisplayInfo

[Missing <param name="infos"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetShippedCountListHtml(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo})"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetShippedCountListHtml(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable OrderProductDisplayInfo . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetSummaryHtml Method

OrderProductDisplayInfoExtensionsGetSummaryHtml Method

获取订单商品概述的Html 包含 主图缩略图, 名称, 匹配参数的描述

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetSummaryHtml(
    this OrderProductDisplayInfo info
)
<ExtensionAttribute>
Public Shared Function GetSummaryHtml (
    info As OrderProductDisplayInfo
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetSummaryHtml(
    OrderProductDisplayInfo^ info
)
[<ExtensionAttribute>]
static member GetSummaryHtml :
        info : OrderProductDisplayInfo -> HtmlString

Parameters

info
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModelsOrderProductDisplayInfo
订单商品的信息

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetSummaryHtml(ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProductDisplayInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductDisplayInfoExtensions.GetSummryListHtml Method

OrderProductDisplayInfoExtensionsGetSummryListHtml Method

获取订单商品概述列表的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetSummryListHtml(
    this IEnumerable<OrderProductDisplayInfo> infos
)
<ExtensionAttribute>
Public Shared Function GetSummryListHtml (
    infos As IEnumerable(Of OrderProductDisplayInfo)
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetSummryListHtml(
    IEnumerable<OrderProductDisplayInfo^>^ infos
)
[<ExtensionAttribute>]
static member GetSummryListHtml :
        infos : IEnumerable<OrderProductDisplayInfo> -> HtmlString

Parameters

infos
Type: System.Collections.GenericIEnumerable OrderProductDisplayInfo
订单商品的信息列表

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductDisplayInfoExtensions.GetSummryListHtml(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.OrderProductDisplayInfo})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable OrderProductDisplayInfo . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductDisplayInfoExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductExtensions Class
订单商品的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsOrderProductExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class OrderProductExtensions
<ExtensionAttribute>
Public NotInheritable Class OrderProductExtensions
[ExtensionAttribute]
public ref class OrderProductExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OrderProductExtensions =  class end

The OrderProductExtensions type exposes the following members.

Methods
Name | Description
ToDisplayInfo | 转换订单商品到显示信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductExtensions Methods

The OrderProductExtensions type exposes the following members.

Methods
Name | Description
ToDisplayInfo | 转换订单商品到显示信息
Top
See Also

Reference

OrderProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


OrderProductExtensions.ToDisplayInfo Method

OrderProductExtensionsToDisplayInfo Method

转换订单商品到显示信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static OrderProductDisplayInfo ToDisplayInfo(
    this OrderProduct orderProduct
)
<ExtensionAttribute>
Public Shared Function ToDisplayInfo (
    orderProduct As OrderProduct
) As OrderProductDisplayInfo
public:
[ExtensionAttribute]
static OrderProductDisplayInfo^ ToDisplayInfo(
    OrderProduct^ orderProduct
)
[<ExtensionAttribute>]
static member ToDisplayInfo :
        orderProduct : OrderProduct -> OrderProductDisplayInfo

Parameters

orderProduct
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesOrderProduct
订单商品

Return Value

Type: OrderProductDisplayInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.OrderProductExtensions.ToDisplayInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.OrderProduct)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type OrderProduct. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OrderProductExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


PaymentTransactionExtensions Class
交易的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsPaymentTransactionExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class PaymentTransactionExtensions
<ExtensionAttribute>
Public NotInheritable Class PaymentTransactionExtensions
[ExtensionAttribute]
public ref class PaymentTransactionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type PaymentTransactionExtensions =  class end

The PaymentTransactionExtensions type exposes the following members.

Methods
Name | Description
GetAmountEditor | 获取交易金额的编辑器
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


PaymentTransactionExtensions Methods

The PaymentTransactionExtensions type exposes the following members.

Methods
Name | Description
GetAmountEditor | 获取交易金额的编辑器
Top
See Also

Reference

PaymentTransactionExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


PaymentTransactionExtensions.GetAmountEditor Method

PaymentTransactionExtensionsGetAmountEditor Method

获取交易金额的编辑器

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetAmountEditor(
    this PaymentTransaction transaction
)
<ExtensionAttribute>
Public Shared Function GetAmountEditor (
    transaction As PaymentTransaction
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetAmountEditor(
    PaymentTransaction^ transaction
)
[<ExtensionAttribute>]
static member GetAmountEditor :
        transaction : PaymentTransaction -> HtmlString

Parameters

transaction
Type: ZKWeb.Plugins.Finance.Payment.src.Domain.EntitiesPaymentTransaction

[Missing <param name="transaction"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.PaymentTransactionExtensions.GetAmountEditor(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.PaymentTransactionExtensions.GetAmountEditor(ZKWeb.Plugins.Finance.Payment.src.Domain.Entities.PaymentTransaction)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PaymentTransaction. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PaymentTransactionExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


SellerOrderExtensions Class
卖家订单的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.ExtensionsSellerOrderExtensions

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class SellerOrderExtensions
<ExtensionAttribute>
Public NotInheritable Class SellerOrderExtensions
[ExtensionAttribute]
public ref class SellerOrderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type SellerOrderExtensions =  class end

The SellerOrderExtensions type exposes the following members.

Methods
Name | Description
ToDisplayInfo | 转换订单到显示信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


SellerOrderExtensions Methods

The SellerOrderExtensions type exposes the following members.

Methods
Name | Description
ToDisplayInfo | 转换订单到显示信息
Top
See Also

Reference

SellerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


SellerOrderExtensions.ToDisplayInfo Method

SellerOrderExtensionsToDisplayInfo Method

转换订单到显示信息

Namespace: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static OrderDisplayInfo ToDisplayInfo(
    this SellerOrder order,
    OrderOperatorType operatorType
)
<ExtensionAttribute>
Public Shared Function ToDisplayInfo (
    order As SellerOrder,
    operatorType As OrderOperatorType
) As OrderDisplayInfo
public:
[ExtensionAttribute]
static OrderDisplayInfo^ ToDisplayInfo(
    SellerOrder^ order,
    OrderOperatorType operatorType
)
[<ExtensionAttribute>]
static member ToDisplayInfo :
        order : SellerOrder *
        operatorType : OrderOperatorType -> OrderDisplayInfo

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单
operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType
操作人类型

Return Value

Type: OrderDisplayInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions.SellerOrderExtensions.ToDisplayInfo(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type SellerOrder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

SellerOrderExtensions Class
ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Extensions Namespace


ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages"]

Classes
 | Class | Description
Public class | BuyerOrderCrudController | 前台的订单管理的控制器
Public class | BuyerOrderCrudControllerForm | 订单表单
Public class | BuyerOrderCrudControllerTableHandler | 表格处理器


BuyerOrderCrudController Class
前台的订单管理的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase BuyerOrder, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase BuyerOrder, Guid
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesCrudUserPanelControllerBase BuyerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudController

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BuyerOrderCrudController : CrudUserPanelControllerBase<BuyerOrder, Guid>
Public Class BuyerOrderCrudController
    Inherits CrudUserPanelControllerBase(Of BuyerOrder, Guid)
public ref class BuyerOrderCrudController : public CrudUserPanelControllerBase<BuyerOrder^, Guid>
type BuyerOrderCrudController =
    class
        inherit CrudUserPanelControllerBase<BuyerOrder, Guid>
    end

The BuyerOrderCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | BuyerOrderCrudController | 初始化
Top
Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | AllowDeleteForever | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever.)
Public property | CancelOrderUrl |
Public property | ConfirmOrderUrl |
Public property | DeliveryViewUrl |
Public property | EditTemplatePath | (Overrides CrudUserPanelControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | MergePaymentUrl |
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | CancelOrder | 取消订单
Protected method | ConfirmOrder | 确认收货
Protected method | DeliveryView | 查看发货单
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Protected method | MergePayment | 合并支付
Public method | Setup | 调整订单管理和订单列表的位置 (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeySetup(IListMenuItemGroup).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BuyerOrderCrudController()
Public Sub New
public:
BuyerOrderCrudController()
new : unit -> BuyerOrderCrudController
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController Properties

The BuyerOrderCrudController type exposes the following members.

Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | AllowDeleteForever | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAllowDeleteForever.)
Public property | CancelOrderUrl |
Public property | ConfirmOrderUrl |
Public property | DeliveryViewUrl |
Public property | EditTemplatePath | (Overrides CrudUserPanelControllerBaseTEntity, TPrimaryKeyEditTemplatePath.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | MergePaymentUrl |
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.AddUrl Property

BuyerOrderCrudControllerAddUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.AddUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddUrl { get; }
Public Overrides ReadOnly Property AddUrl As String
    Get
public:
virtual property String^ AddUrl {
    String^ get () override;
}
abstract AddUrl : string with get
override AddUrl : string with get

Property Value

Type: String

Implements

ICrudControllerAddUrl
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.AllowDeleteForever Property

BuyerOrderCrudControllerAllowDeleteForever Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.AllowDeleteForever"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool AllowDeleteForever { get; }
Public Overrides ReadOnly Property AllowDeleteForever As Boolean
    Get
public:
virtual property bool AllowDeleteForever {
    bool get () override;
}
abstract AllowDeleteForever : bool with get
override AllowDeleteForever : bool with get

Property Value

Type: Boolean

Implements

ICrudControllerAllowDeleteForever
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.CancelOrderUrl Property

BuyerOrderCrudControllerCancelOrderUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.CancelOrderUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string CancelOrderUrl { get; }
Public Overridable ReadOnly Property CancelOrderUrl As String
    Get
public:
virtual property String^ CancelOrderUrl {
    String^ get ();
}
abstract CancelOrderUrl : string with get
override CancelOrderUrl : string with get

Property Value

Type: String
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.ConfirmOrderUrl Property

BuyerOrderCrudControllerConfirmOrderUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.ConfirmOrderUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ConfirmOrderUrl { get; }
Public Overridable ReadOnly Property ConfirmOrderUrl As String
    Get
public:
virtual property String^ ConfirmOrderUrl {
    String^ get ();
}
abstract ConfirmOrderUrl : string with get
override ConfirmOrderUrl : string with get

Property Value

Type: String
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.DeliveryViewUrl Property

BuyerOrderCrudControllerDeliveryViewUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.DeliveryViewUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DeliveryViewUrl { get; }
Public Overridable ReadOnly Property DeliveryViewUrl As String
    Get
public:
virtual property String^ DeliveryViewUrl {
    String^ get ();
}
abstract DeliveryViewUrl : string with get
override DeliveryViewUrl : string with get

Property Value

Type: String
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.EditTemplatePath Property

BuyerOrderCrudControllerEditTemplatePath Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.EditTemplatePath"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EditTemplatePath { get; }
Public Overrides ReadOnly Property EditTemplatePath As String
    Get
public:
virtual property String^ EditTemplatePath {
    String^ get () override;
}
abstract EditTemplatePath : string with get
override EditTemplatePath : string with get

Property Value

Type: String

Implements

ICrudControllerEditTemplatePath
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Group Property

BuyerOrderCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.GroupIconClass Property

BuyerOrderCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.IconClass Property

BuyerOrderCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.MergePaymentUrl Property

BuyerOrderCrudControllerMergePaymentUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.MergePaymentUrl"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string MergePaymentUrl { get; }
Public Overridable ReadOnly Property MergePaymentUrl As String
    Get
public:
virtual property String^ MergePaymentUrl {
    String^ get ();
}
abstract MergePaymentUrl : string with get
override MergePaymentUrl : string with get

Property Value

Type: String
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Name Property

BuyerOrderCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Url Property

BuyerOrderCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController Methods

The BuyerOrderCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | CancelOrder | 取消订单
Protected method | ConfirmOrder | 确认收货
Protected method | DeliveryView | 查看发货单
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Protected method | MergePayment | 合并支付
Public method | Setup | 调整订单管理和订单列表的位置 (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeySetup(IListMenuItemGroup).)
Top
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.CancelOrder Method

BuyerOrderCrudControllerCancelOrder Method

取消订单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult CancelOrder()
Protected Function CancelOrder As IActionResult
protected:
IActionResult^ CancelOrder()
member CancelOrder : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.CancelOrder"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.ConfirmOrder Method

BuyerOrderCrudControllerConfirmOrder Method

确认收货

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult ConfirmOrder()
Protected Function ConfirmOrder As IActionResult
protected:
IActionResult^ ConfirmOrder()
member ConfirmOrder : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.ConfirmOrder"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.DeliveryView Method

BuyerOrderCrudControllerDeliveryView Method

查看发货单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult DeliveryView()
Protected Function DeliveryView As IActionResult
protected:
IActionResult^ DeliveryView()
member DeliveryView : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.DeliveryView"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.GetAddForm Method

BuyerOrderCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GetAddForm"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.GetEditForm Method

BuyerOrderCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GetEditForm"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.GetTableHandler Method

BuyerOrderCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<BuyerOrder, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of BuyerOrder, Guid)
protected:
virtual IAjaxTableHandler<BuyerOrder^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<BuyerOrder, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<BuyerOrder, Guid>

Return Value

Type: IAjaxTableHandler BuyerOrder, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.GetTableHandler"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.MergePayment Method

BuyerOrderCrudControllerMergePayment Method

合并支付

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IActionResult MergePayment()
Protected Function MergePayment As IActionResult
protected:
IActionResult^ MergePayment()
member MergePayment : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.MergePayment"]

See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Setup Method

BuyerOrderCrudControllerSetup Method

调整订单管理和订单列表的位置

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void Setup(
    IList<MenuItemGroup> groups
)
Public Overrides Sub Setup (
    groups As IList(Of MenuItemGroup)
)
public:
virtual void Setup(
    IList<MenuItemGroup^>^ groups
) override
abstract Setup :
        groups : IList<MenuItemGroup> -> unit
override Setup :
        groups : IList<MenuItemGroup> -> unit

Parameters

groups
Type: System.Collections.GenericIList MenuItemGroup
菜单项列表的分组

Implements

IMenuProviderSetup(IListMenuItemGroup)
See Also

Reference

BuyerOrderCrudController Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form Class

BuyerOrderCrudControllerForm Class
订单表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder BuyerOrder, Guid, BuyerOrderCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder BuyerOrder, Guid, BuyerOrderCrudControllerForm
ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<BuyerOrder, Guid, BuyerOrderCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of BuyerOrder, Guid, BuyerOrderCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<BuyerOrder^, Guid, BuyerOrderCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<BuyerOrder, Guid, BuyerOrderCrudControllerForm>
    end

The BuyerOrderCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | BuyerOrderCrudControllerForm | Initializes a new instance of the BuyerOrderCrudControllerForm class
Top
Properties
 | Name | Description
Public property | BaseInformationHtml | 基本信息的Html
Public property | DeliveryRecordsHtml | 发货记录的Html
Public property | OrderComment | 添加订单留言
Public property | OrderCommentsHtml | 订单留言的Html
Public property | OrderRecordsHtml | 订单记录的Html
Public property | ReleatedTransactionsHtml | 关联交易的Html
Public property | Remark | 备注
Public property | RemarkFlags | 备注旗帜
Top
Methods
 | Name | Description
Protected method | GetRequestId | 获取请求的Id (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormGetRequestId.)
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form Constructor

BuyerOrderCrudControllerForm Constructor

Initializes a new instance of the BuyerOrderCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


Form Properties

The BuyerOrderCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | BaseInformationHtml | 基本信息的Html
Public property | DeliveryRecordsHtml | 发货记录的Html
Public property | OrderComment | 添加订单留言
Public property | OrderCommentsHtml | 订单留言的Html
Public property | OrderRecordsHtml | 订单记录的Html
Public property | ReleatedTransactionsHtml | 关联交易的Html
Public property | Remark | 备注
Public property | RemarkFlags | 备注旗帜
Top
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.BaseInformationHtml Property

BuyerOrderCrudControllerFormBaseInformationHtml Property

基本信息的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString BaseInformationHtml { get; set; }
Public Property BaseInformationHtml As HtmlString
    Get
    Set
public:
property HtmlString^ BaseInformationHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member BaseInformationHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.DeliveryRecordsHtml Property

BuyerOrderCrudControllerFormDeliveryRecordsHtml Property

发货记录的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString DeliveryRecordsHtml { get; set; }
Public Property DeliveryRecordsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ DeliveryRecordsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member DeliveryRecordsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.OrderComment Property

BuyerOrderCrudControllerFormOrderComment Property

添加订单留言

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string OrderComment { get; set; }
Public Property OrderComment As String
    Get
    Set
public:
property String^ OrderComment {
    String^ get ();
    void set (String^ value);
}
member OrderComment : string with get, set

Property Value

Type: String
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.OrderCommentsHtml Property

BuyerOrderCrudControllerFormOrderCommentsHtml Property

订单留言的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderCommentsHtml { get; set; }
Public Property OrderCommentsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ OrderCommentsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderCommentsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.OrderRecordsHtml Property

BuyerOrderCrudControllerFormOrderRecordsHtml Property

订单记录的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString OrderRecordsHtml { get; set; }
Public Property OrderRecordsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ OrderRecordsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member OrderRecordsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.ReleatedTransactionsHtml Property

BuyerOrderCrudControllerFormReleatedTransactionsHtml Property

关联交易的Html

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString ReleatedTransactionsHtml { get; set; }
Public Property ReleatedTransactionsHtml As HtmlString
    Get
    Set
public:
property HtmlString^ ReleatedTransactionsHtml {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member ReleatedTransactionsHtml : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.Remark Property

BuyerOrderCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.RemarkFlags Property

BuyerOrderCrudControllerFormRemarkFlags Property

备注旗帜

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderRemarkFlags RemarkFlags { get; set; }
Public Property RemarkFlags As OrderRemarkFlags
    Get
    Set
public:
property OrderRemarkFlags RemarkFlags {
    OrderRemarkFlags get ();
    void set (OrderRemarkFlags value);
}
member RemarkFlags : OrderRemarkFlags with get, set

Property Value

Type: OrderRemarkFlags
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


Form Methods

The BuyerOrderCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | GetRequestId | 获取请求的Id (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormGetRequestId.)
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.GetRequestId Method

BuyerOrderCrudControllerFormGetRequestId Method

获取请求的Id

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Guid GetRequestId()
Protected Overrides Function GetRequestId As Guid
protected:
virtual Guid GetRequestId() override
abstract GetRequestId : unit -> Guid
override GetRequestId : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form.GetRequestId"]

See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.OnBind Method

BuyerOrderCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    BuyerOrder bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As BuyerOrder
)
protected:
virtual void OnBind(
    BuyerOrder^ bindFrom
) override
abstract OnBind :
        bindFrom : BuyerOrder -> unit
override OnBind :
        bindFrom : BuyerOrder -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.Form.OnSubmit Method

BuyerOrderCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    BuyerOrder saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As BuyerOrder
) As Object
protected:
virtual Object^ OnSubmit(
    BuyerOrder^ saveTo
) override
abstract OnSubmit :
        saveTo : BuyerOrder -> Object
override OnSubmit :
        saveTo : BuyerOrder -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

See Also

Reference

BuyerOrderCrudControllerForm Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.TableHandler Class

BuyerOrderCrudControllerTableHandler Class
表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase BuyerOrder, Guid
ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<BuyerOrder, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of BuyerOrder, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<BuyerOrder^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<BuyerOrder, Guid>
    end

The BuyerOrderCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | BuyerOrderCrudControllerTableHandler | Initializes a new instance of the BuyerOrderCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.TableHandler Constructor

BuyerOrderCrudControllerTableHandler Constructor

Initializes a new instance of the BuyerOrderCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

BuyerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


TableHandler Methods

The BuyerOrderCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

BuyerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.TableHandler.BuildTable Method

BuyerOrderCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

BuyerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.TableHandler.OnQuery Method

BuyerOrderCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<BuyerOrder> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of BuyerOrder)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<BuyerOrder^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<BuyerOrder> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<BuyerOrder> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder}@)"]

query
Type: System.LinqIQueryable BuyerOrder

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

BuyerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.TableHandler.OnResponse Method

BuyerOrderCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

BuyerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


BuyerOrderCrudController.TableHandler.OnSelect Method

BuyerOrderCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Order.src.UserPanelPages
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<BuyerOrder>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of BuyerOrder))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<BuyerOrder^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<BuyerOrder>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<BuyerOrder>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow BuyerOrder

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

BuyerOrderCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Order.src.UserPanelPages Namespace


ZKWeb.Plugins.Shopping.Product Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src |
ZKWeb.Plugins.Shopping.Product.src.Components |
ZKWeb.Plugins.Shopping.Product.src.Controller |
ZKWeb.Plugins.Shopping.Product.src.Controllers |
ZKWeb.Plugins.Shopping.Product.src.Domain |
ZKWeb.Plugins.Shopping.Product.src.UIComponents |


ZKWeb.Plugins.Shopping.Product.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.srcPlugin

Namespace: ZKWeb.Plugins.Shopping.Product.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Shopping.Product.src Namespace


ZKWeb.Plugins.Shopping.Product.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes |
ZKWeb.Plugins.Shopping.Product.src.Components.Translates |


ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | ProductExtraConfigKeys | 网站附加配置中使用的键


ProductExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeysProductExtraConfigKeys

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductExtraConfigKeys
Public Class ProductExtraConfigKeys
public ref class ProductExtraConfigKeys
type ProductExtraConfigKeys =  class end

The ProductExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | ProductExtraConfigKeys | Initializes a new instance of the ProductExtraConfigKeys class
Top
Fields
Name | Description
ProductApiInfoCacheTime | 商品信息的缓存时间，单位是秒
ProductCacheTime | 商品的缓存时间，单位是秒
ProductCategoryCacheTime | 商品类目信息的缓存时间，单位是秒
ProductSearchResultCacheTime | 商品搜索结果的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ProductExtraConfigKeys Constructor

Initializes a new instance of the ProductExtraConfigKeys class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductExtraConfigKeys()
Public Sub New
public:
ProductExtraConfigKeys()
new : unit -> ProductExtraConfigKeys
See Also

Reference

ProductExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ProductExtraConfigKeys Fields

The ProductExtraConfigKeys type exposes the following members.

Fields
Name | Description
ProductApiInfoCacheTime | 商品信息的缓存时间，单位是秒
ProductCacheTime | 商品的缓存时间，单位是秒
ProductCategoryCacheTime | 商品类目信息的缓存时间，单位是秒
ProductSearchResultCacheTime | 商品搜索结果的缓存时间，单位是秒
Top
See Also

Reference

ProductExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ProductExtraConfigKeys.ProductApiInfoCacheTime Field

ProductExtraConfigKeysProductApiInfoCacheTime Field
商品信息的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ProductApiInfoCacheTime = "Shopping.Product.ProductApiInfoCacheTime"
Public Const ProductApiInfoCacheTime As String = "Shopping.Product.ProductApiInfoCacheTime"
public:
literal String^ ProductApiInfoCacheTime = "Shopping.Product.ProductApiInfoCacheTime"
static val mutable ProductApiInfoCacheTime: string

Field Value

Type: String
See Also

Reference

ProductExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ProductExtraConfigKeys.ProductCacheTime Field

ProductExtraConfigKeysProductCacheTime Field
商品的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ProductCacheTime = "Shopping.Product.ProdutCacheTime"
Public Const ProductCacheTime As String = "Shopping.Product.ProdutCacheTime"
public:
literal String^ ProductCacheTime = "Shopping.Product.ProdutCacheTime"
static val mutable ProductCacheTime: string

Field Value

Type: String
See Also

Reference

ProductExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ProductExtraConfigKeys.ProductCategoryCacheTime Field

ProductExtraConfigKeysProductCategoryCacheTime Field
商品类目信息的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ProductCategoryCacheTime = "Shopping.Product.ProductCategoryCacheTime"
Public Const ProductCategoryCacheTime As String = "Shopping.Product.ProductCategoryCacheTime"
public:
literal String^ ProductCategoryCacheTime = "Shopping.Product.ProductCategoryCacheTime"
static val mutable ProductCategoryCacheTime: string

Field Value

Type: String
See Also

Reference

ProductExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ProductExtraConfigKeys.ProductSearchResultCacheTime Field

ProductExtraConfigKeysProductSearchResultCacheTime Field
商品搜索结果的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string ProductSearchResultCacheTime = "Shopping.Product.ProductSearchResultCacheTime"
Public Const ProductSearchResultCacheTime As String = "Shopping.Product.ProductSearchResultCacheTime"
public:
literal String^ ProductSearchResultCacheTime = "Shopping.Product.ProductSearchResultCacheTime"
static val mutable ProductSearchResultCacheTime: string

Field Value

Type: String
See Also

Reference

ProductExtraConfigKeys Class
ZKWeb.Plugins.Shopping.Product.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs"]

Classes
 | Class | Description
Public class | ProductAlbumSettings | 商品相册设置
Public class | ProductListSettings | 商品列表设置


ProductAlbumSettings Class
商品相册设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigsProductAlbumSettings

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumSettings
Public Class ProductAlbumSettings
public ref class ProductAlbumSettings
type ProductAlbumSettings =  class end

The ProductAlbumSettings type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumSettings | 初始化
Top
Properties
 | Name | Description
Public property | OriginalImageHeight | 原图高度
Public property | OriginalImageWidth | 原图宽度
Public property | ThumbnailImageHeight | 缩略图高度
Public property | ThumbnailImageWidth | 缩略图宽度
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductAlbumSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumSettings()
Public Sub New
public:
ProductAlbumSettings()
new : unit -> ProductAlbumSettings
See Also

Reference

ProductAlbumSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductAlbumSettings Properties

The ProductAlbumSettings type exposes the following members.

Properties
 | Name | Description
Public property | OriginalImageHeight | 原图高度
Public property | OriginalImageWidth | 原图宽度
Public property | ThumbnailImageHeight | 缩略图高度
Public property | ThumbnailImageWidth | 缩略图宽度
Top
See Also

Reference

ProductAlbumSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductAlbumSettings.OriginalImageHeight Property

ProductAlbumSettingsOriginalImageHeight Property

原图高度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long OriginalImageHeight { get; set; }
Public Property OriginalImageHeight As Long
    Get
    Set
public:
property long long OriginalImageHeight {
    long long get ();
    void set (long long value);
}
member OriginalImageHeight : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductAlbumSettings.OriginalImageWidth Property

ProductAlbumSettingsOriginalImageWidth Property

原图宽度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long OriginalImageWidth { get; set; }
Public Property OriginalImageWidth As Long
    Get
    Set
public:
property long long OriginalImageWidth {
    long long get ();
    void set (long long value);
}
member OriginalImageWidth : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductAlbumSettings.ThumbnailImageHeight Property

ProductAlbumSettingsThumbnailImageHeight Property

缩略图高度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ThumbnailImageHeight { get; set; }
Public Property ThumbnailImageHeight As Long
    Get
    Set
public:
property long long ThumbnailImageHeight {
    long long get ();
    void set (long long value);
}
member ThumbnailImageHeight : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductAlbumSettings.ThumbnailImageWidth Property

ProductAlbumSettingsThumbnailImageWidth Property

缩略图宽度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ThumbnailImageWidth { get; set; }
Public Property ThumbnailImageWidth As Long
    Get
    Set
public:
property long long ThumbnailImageWidth {
    long long get ();
    void set (long long value);
}
member ThumbnailImageWidth : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductListSettings Class
商品列表设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigsProductListSettings

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductListSettings
Public Class ProductListSettings
public ref class ProductListSettings
type ProductListSettings =  class end

The ProductListSettings type exposes the following members.

Constructors
 | Name | Description
Public method | ProductListSettings | 初始化
Top
Properties
 | Name | Description
Public property | ProductsPerPage | 每页显示的商品数量
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductListSettings Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductListSettings()
Public Sub New
public:
ProductListSettings()
new : unit -> ProductListSettings
See Also

Reference

ProductListSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductListSettings Properties

The ProductListSettings type exposes the following members.

Properties
 | Name | Description
Public property | ProductsPerPage | 每页显示的商品数量
Top
See Also

Reference

ProductListSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ProductListSettings.ProductsPerPage Property

ProductListSettingsProductsPerPage Property

每页显示的商品数量

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ProductsPerPage { get; set; }
Public Property ProductsPerPage As Integer
    Get
    Set
public:
property int ProductsPerPage {
    int get ();
    void set (int value);
}
member ProductsPerPage : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductListSettings Class
ZKWeb.Plugins.Shopping.Product.src.Components.GenericConfigs Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces |


ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers"]

Classes
 | Class | Description
Public class | OrderCountMatcher | 匹配购买数量
Public class | PropertyMatcher | 匹配规格(销售属性)


OrderCountMatcher Class
匹配购买数量
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchersOrderCountMatcher

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderCountMatcher : IProductMatchedDataMatcher
Public Class OrderCountMatcher
    Implements IProductMatchedDataMatcher
public ref class OrderCountMatcher : IProductMatchedDataMatcher
type OrderCountMatcher =
    class
        interface IProductMatchedDataMatcher
    end

The OrderCountMatcher type exposes the following members.

Constructors
 | Name | Description
Public method | OrderCountMatcher | Initializes a new instance of the OrderCountMatcher class
Top
Methods
 | Name | Description
Public method | GetJavascriptMatchFunction | 获取使用Javascript判断是否匹配的函数
Public method | IsMatched | 判断是否匹配
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


OrderCountMatcher Constructor

Initializes a new instance of the OrderCountMatcher class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderCountMatcher()
Public Sub New
public:
OrderCountMatcher()
new : unit -> OrderCountMatcher
See Also

Reference

OrderCountMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


OrderCountMatcher Methods

The OrderCountMatcher type exposes the following members.

Methods
 | Name | Description
Public method | GetJavascriptMatchFunction | 获取使用Javascript判断是否匹配的函数
Public method | IsMatched | 判断是否匹配
Top
See Also

Reference

OrderCountMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


OrderCountMatcher.GetJavascriptMatchFunction Method

OrderCountMatcherGetJavascriptMatchFunction Method

获取使用Javascript判断是否匹配的函数

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetJavascriptMatchFunction()
Public Function GetJavascriptMatchFunction As String
public:
virtual String^ GetJavascriptMatchFunction() sealed
abstract GetJavascriptMatchFunction : unit -> string
override GetJavascriptMatchFunction : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.OrderCountMatcher.GetJavascriptMatchFunction"]

Implements

IProductMatchedDataMatcherGetJavascriptMatchFunction
See Also

Reference

OrderCountMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


OrderCountMatcher.IsMatched Method

OrderCountMatcherIsMatched Method

判断是否匹配

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsMatched(
    ProductMatchParameters parameters,
    ProductMatchedData data
)
Public Function IsMatched (
    parameters As ProductMatchParameters,
    data As ProductMatchedData
) As Boolean
public:
virtual bool IsMatched(
    ProductMatchParameters^ parameters,
    ProductMatchedData^ data
) sealed
abstract IsMatched :
        parameters : ProductMatchParameters *
        data : ProductMatchedData -> bool
override IsMatched :
        parameters : ProductMatchParameters *
        data : ProductMatchedData -> bool

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.OrderCountMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

data
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductMatchedData

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.OrderCountMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.OrderCountMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

Implements

IProductMatchedDataMatcherIsMatched(ProductMatchParameters, ProductMatchedData)
See Also

Reference

OrderCountMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


PropertyMatcher Class
匹配规格(销售属性)
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchersPropertyMatcher

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PropertyMatcher : IProductMatchedDataMatcher
Public Class PropertyMatcher
    Implements IProductMatchedDataMatcher
public ref class PropertyMatcher : IProductMatchedDataMatcher
type PropertyMatcher =
    class
        interface IProductMatchedDataMatcher
    end

The PropertyMatcher type exposes the following members.

Constructors
 | Name | Description
Public method | PropertyMatcher | Initializes a new instance of the PropertyMatcher class
Top
Methods
 | Name | Description
Public method | GetJavascriptMatchFunction | 获取使用Javascript判断是否匹配的函数
Public method | IsMatched | 判断是否匹配
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


PropertyMatcher Constructor

Initializes a new instance of the PropertyMatcher class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PropertyMatcher()
Public Sub New
public:
PropertyMatcher()
new : unit -> PropertyMatcher
See Also

Reference

PropertyMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


PropertyMatcher Methods

The PropertyMatcher type exposes the following members.

Methods
 | Name | Description
Public method | GetJavascriptMatchFunction | 获取使用Javascript判断是否匹配的函数
Public method | IsMatched | 判断是否匹配
Top
See Also

Reference

PropertyMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


PropertyMatcher.GetJavascriptMatchFunction Method

PropertyMatcherGetJavascriptMatchFunction Method

获取使用Javascript判断是否匹配的函数

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetJavascriptMatchFunction()
Public Function GetJavascriptMatchFunction As String
public:
virtual String^ GetJavascriptMatchFunction() sealed
abstract GetJavascriptMatchFunction : unit -> string
override GetJavascriptMatchFunction : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.PropertyMatcher.GetJavascriptMatchFunction"]

Implements

IProductMatchedDataMatcherGetJavascriptMatchFunction
See Also

Reference

PropertyMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


PropertyMatcher.IsMatched Method

PropertyMatcherIsMatched Method

判断是否匹配

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsMatched(
    ProductMatchParameters parameters,
    ProductMatchedData data
)
Public Function IsMatched (
    parameters As ProductMatchParameters,
    data As ProductMatchedData
) As Boolean
public:
virtual bool IsMatched(
    ProductMatchParameters^ parameters,
    ProductMatchedData^ data
) sealed
abstract IsMatched :
        parameters : ProductMatchParameters *
        data : ProductMatchedData -> bool
override IsMatched :
        parameters : ProductMatchParameters *
        data : ProductMatchedData -> bool

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.PropertyMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

data
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductMatchedData

[Missing <param name="data"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.PropertyMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.PropertyMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

Implements

IProductMatchedDataMatcherIsMatched(ProductMatchParameters, ProductMatchedData)
See Also

Reference

PropertyMatcher Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IProductMatchedDataMatcher | 商品匹配数据的匹配器


IProductMatchedDataMatcher Interface
商品匹配数据的匹配器

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IProductMatchedDataMatcher
Public Interface IProductMatchedDataMatcher
public interface class IProductMatchedDataMatcher
type IProductMatchedDataMatcher =  interface end

The IProductMatchedDataMatcher type exposes the following members.

Methods
 | Name | Description
Public method | GetJavascriptMatchFunction | 获取使用Javascript判断是否匹配的函数 用于商品详情页的价格和库存显示
Public method | IsMatched | 判断是否匹配
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces Namespace


IProductMatchedDataMatcher Methods

The IProductMatchedDataMatcher type exposes the following members.

Methods
 | Name | Description
Public method | GetJavascriptMatchFunction | 获取使用Javascript判断是否匹配的函数 用于商品详情页的价格和库存显示
Public method | IsMatched | 判断是否匹配
Top
See Also

Reference

IProductMatchedDataMatcher Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces Namespace


IProductMatchedDataMatcher.GetJavascriptMatchFunction Method

IProductMatchedDataMatcherGetJavascriptMatchFunction Method

获取使用Javascript判断是否匹配的函数 用于商品详情页的价格和库存显示

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string GetJavascriptMatchFunction()
Function GetJavascriptMatchFunction As String
String^ GetJavascriptMatchFunction()
abstract GetJavascriptMatchFunction : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces.IProductMatchedDataMatcher.GetJavascriptMatchFunction"]

See Also

Reference

IProductMatchedDataMatcher Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces Namespace


IProductMatchedDataMatcher.IsMatched Method

IProductMatchedDataMatcherIsMatched Method

判断是否匹配

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool IsMatched(
    ProductMatchParameters parameters,
    ProductMatchedData data
)
Function IsMatched (
    parameters As ProductMatchParameters,
    data As ProductMatchedData
) As Boolean
bool IsMatched(
    ProductMatchParameters^ parameters,
    ProductMatchedData^ data
)
abstract IsMatched :
        parameters : ProductMatchParameters *
        data : ProductMatchedData -> bool

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数
data
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductMatchedData
商品匹配数据

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces.IProductMatchedDataMatcher.IsMatched(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

See Also

Reference

IProductMatchedDataMatcher Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchedDataMatchers.Interfaces Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces |


ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers"]

Classes
 | Class | Description
Public class | PropertiesComparer | 比较参数中的商品属性值列表 这个比较器不会比较名称，如果商品修改过别名但Id相同还是会返回相等


PropertiesComparer Class
比较参数中的商品属性值列表 这个比较器不会比较名称，如果商品修改过别名但Id相同还是会返回相等
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparersPropertiesComparer

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PropertiesComparer : IProductMatchParametersComparer
Public Class PropertiesComparer
    Implements IProductMatchParametersComparer
public ref class PropertiesComparer : IProductMatchParametersComparer
type PropertiesComparer =
    class
        interface IProductMatchParametersComparer
    end

The PropertiesComparer type exposes the following members.

Constructors
 | Name | Description
Public method | PropertiesComparer | Initializes a new instance of the PropertiesComparer class
Top
Methods
 | Name | Description
Public method | IsPartialEqual | 判断商品匹配参数是否部分相等
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers Namespace


PropertiesComparer Constructor

Initializes a new instance of the PropertiesComparer class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PropertiesComparer()
Public Sub New
public:
PropertiesComparer()
new : unit -> PropertiesComparer
See Also

Reference

PropertiesComparer Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers Namespace


PropertiesComparer Methods

The PropertiesComparer type exposes the following members.

Methods
 | Name | Description
Public method | IsPartialEqual | 判断商品匹配参数是否部分相等
Top
See Also

Reference

PropertiesComparer Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers Namespace


PropertiesComparer.IsPartialEqual Method

PropertiesComparerIsPartialEqual Method

判断商品匹配参数是否部分相等

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsPartialEqual(
    ProductMatchParameters lhs,
    ProductMatchParameters rhs
)
Public Function IsPartialEqual (
    lhs As ProductMatchParameters,
    rhs As ProductMatchParameters
) As Boolean
public:
virtual bool IsPartialEqual(
    ProductMatchParameters^ lhs,
    ProductMatchParameters^ rhs
) sealed
abstract IsPartialEqual :
        lhs : ProductMatchParameters *
        rhs : ProductMatchParameters -> bool
override IsPartialEqual :
        lhs : ProductMatchParameters *
        rhs : ProductMatchParameters -> bool

Parameters

lhs
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

[Missing <param name="lhs"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.PropertiesComparer.IsPartialEqual(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

rhs
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

[Missing <param name="rhs"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.PropertiesComparer.IsPartialEqual(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.PropertiesComparer.IsPartialEqual(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Implements

IProductMatchParametersComparerIsPartialEqual(ProductMatchParameters, ProductMatchParameters)
See Also

Reference

PropertiesComparer Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IProductMatchParametersComparer | 商品匹配参数比较器 在所有比较器返回相等时才会判断参数相等 可以用于 - 添加商品到购物车时判断是否需要合并商品


IProductMatchParametersComparer Interface
商品匹配参数比较器 在所有比较器返回相等时才会判断参数相等 可以用于 - 添加商品到购物车时判断是否需要合并商品

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IProductMatchParametersComparer
Public Interface IProductMatchParametersComparer
public interface class IProductMatchParametersComparer
type IProductMatchParametersComparer =  interface end

The IProductMatchParametersComparer type exposes the following members.

Methods
 | Name | Description
Public method | IsPartialEqual | 比较商品匹配参数是否部分相等
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces Namespace


IProductMatchParametersComparer Methods

The IProductMatchParametersComparer type exposes the following members.

Methods
 | Name | Description
Public method | IsPartialEqual | 比较商品匹配参数是否部分相等
Top
See Also

Reference

IProductMatchParametersComparer Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces Namespace


IProductMatchParametersComparer.IsPartialEqual Method

IProductMatchParametersComparerIsPartialEqual Method

比较商品匹配参数是否部分相等

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool IsPartialEqual(
    ProductMatchParameters lhs,
    ProductMatchParameters rhs
)
Function IsPartialEqual (
    lhs As ProductMatchParameters,
    rhs As ProductMatchParameters
) As Boolean
bool IsPartialEqual(
    ProductMatchParameters^ lhs,
    ProductMatchParameters^ rhs
)
abstract IsPartialEqual :
        lhs : ProductMatchParameters *
        rhs : ProductMatchParameters -> bool

Parameters

lhs
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数
rhs
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces.IProductMatchParametersComparer.IsPartialEqual(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

See Also

Reference

IProductMatchParametersComparer Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductMatchParametersComparers.Interfaces Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces |


ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates"]

Classes
 | Class | Description
Public class | OnSale | 上架中
Public class | StopSelling | 已下架
Public class | WaitForSales | 准备上架


OnSale Class
上架中
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStatesOnSale

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OnSale : IAmVisibleToThePublic, IProductState,
    IAmPurchasable
Public Class OnSale
    Implements IAmVisibleToThePublic, IProductState, IAmPurchasable
public ref class OnSale : IAmVisibleToThePublic, IProductState,
    IAmPurchasable
type OnSale =
    class
        interface IAmVisibleToThePublic
        interface IProductState
        interface IAmPurchasable
    end

The OnSale type exposes the following members.

Constructors
 | Name | Description
Public method | OnSale | Initializes a new instance of the OnSale class
Top
Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


OnSale Constructor

Initializes a new instance of the OnSale class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OnSale()
Public Sub New
public:
OnSale()
new : unit -> OnSale
See Also

Reference

OnSale Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


OnSale Properties

The OnSale type exposes the following members.

Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

OnSale Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


OnSale.State Property

OnSaleState Property

商品状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; }
Public ReadOnly Property State As String
    Get
public:
virtual property String^ State {
    String^ get () sealed;
}
abstract State : string with get
override State : string with get

Property Value

Type: String

Implements

IProductStateState
See Also

Reference

OnSale Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


StopSelling Class
已下架
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStatesStopSelling

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StopSelling : IProductState
Public Class StopSelling
    Implements IProductState
public ref class StopSelling : IProductState
type StopSelling =
    class
        interface IProductState
    end

The StopSelling type exposes the following members.

Constructors
 | Name | Description
Public method | StopSelling | Initializes a new instance of the StopSelling class
Top
Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


StopSelling Constructor

Initializes a new instance of the StopSelling class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StopSelling()
Public Sub New
public:
StopSelling()
new : unit -> StopSelling
See Also

Reference

StopSelling Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


StopSelling Properties

The StopSelling type exposes the following members.

Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

StopSelling Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


StopSelling.State Property

StopSellingState Property

商品状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; }
Public ReadOnly Property State As String
    Get
public:
virtual property String^ State {
    String^ get () sealed;
}
abstract State : string with get
override State : string with get

Property Value

Type: String

Implements

IProductStateState
See Also

Reference

StopSelling Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


WaitForSales Class
准备上架
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStatesWaitForSales

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WaitForSales : IAmVisibleToThePublic,
    IProductState
Public Class WaitForSales
    Implements IAmVisibleToThePublic, IProductState
public ref class WaitForSales : IAmVisibleToThePublic,
    IProductState
type WaitForSales =
    class
        interface IAmVisibleToThePublic
        interface IProductState
    end

The WaitForSales type exposes the following members.

Constructors
 | Name | Description
Public method | WaitForSales | Initializes a new instance of the WaitForSales class
Top
Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


WaitForSales Constructor

Initializes a new instance of the WaitForSales class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WaitForSales()
Public Sub New
public:
WaitForSales()
new : unit -> WaitForSales
See Also

Reference

WaitForSales Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


WaitForSales Properties

The WaitForSales type exposes the following members.

Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

WaitForSales Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


WaitForSales.State Property

WaitForSalesState Property

商品状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; }
Public ReadOnly Property State As String
    Get
public:
virtual property String^ State {
    String^ get () sealed;
}
abstract State : string with get
override State : string with get

Property Value

Type: String

Implements

IProductStateState
See Also

Reference

WaitForSales Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IAmPurchasable | 表示商品可以被购买
Public interface | IAmVisibleToThePublic | 表示商品是公开的
Public interface | IProductState | 商品状态的接口


IAmPurchasable Interface
表示商品可以被购买

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmPurchasable : IProductState
Public Interface IAmPurchasable
    Inherits IProductState
public interface class IAmPurchasable : IProductState
type IAmPurchasable =
    interface
        interface IProductState
    end
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces Namespace


IAmVisibleToThePublic Interface
表示商品是公开的

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmVisibleToThePublic : IProductState
Public Interface IAmVisibleToThePublic
    Inherits IProductState
public interface class IAmVisibleToThePublic : IProductState
type IAmVisibleToThePublic =
    interface
        interface IProductState
    end
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces Namespace


IProductState Interface
商品状态的接口

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IProductState
Public Interface IProductState
public interface class IProductState
type IProductState =  interface end

The IProductState type exposes the following members.

Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces Namespace


IProductState Properties

The IProductState type exposes the following members.

Properties
 | Name | Description
Public property | State | 商品状态
Top
See Also

Reference

IProductState Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces Namespace


IProductState.State Property

IProductStateState Property

商品状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string State { get; }
ReadOnly Property State As String
    Get
property String^ State {
    String^ get ();
}
abstract State : string with get

Property Value

Type: String
See Also

Reference

IProductState Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductStates.Interfaces Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes |
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces |


ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes"]

Classes
 | Class | Description
Public class | RealProduct | 实体商品
Public class | VirtualProduct | 虚拟商品


RealProduct Class
实体商品
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypesRealProduct

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RealProduct : IAmRealProduct,
    IProductType
Public Class RealProduct
    Implements IAmRealProduct, IProductType
public ref class RealProduct : IAmRealProduct,
    IProductType
type RealProduct =
    class
        interface IAmRealProduct
        interface IProductType
    end

The RealProduct type exposes the following members.

Constructors
 | Name | Description
Public method | RealProduct | Initializes a new instance of the RealProduct class
Top
Properties
 | Name | Description
Public property | Type | 商品类型
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


RealProduct Constructor

Initializes a new instance of the RealProduct class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RealProduct()
Public Sub New
public:
RealProduct()
new : unit -> RealProduct
See Also

Reference

RealProduct Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


RealProduct Properties

The RealProduct type exposes the following members.

Properties
 | Name | Description
Public property | Type | 商品类型
Top
See Also

Reference

RealProduct Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


RealProduct.Type Property

RealProductType Property

商品类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IProductTypeType
See Also

Reference

RealProduct Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


VirtualProduct Class
虚拟商品
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypesVirtualProduct

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VirtualProduct : IAmVirtualProduct,
    IProductType
Public Class VirtualProduct
    Implements IAmVirtualProduct, IProductType
public ref class VirtualProduct : IAmVirtualProduct,
    IProductType
type VirtualProduct =
    class
        interface IAmVirtualProduct
        interface IProductType
    end

The VirtualProduct type exposes the following members.

Constructors
 | Name | Description
Public method | VirtualProduct | Initializes a new instance of the VirtualProduct class
Top
Properties
 | Name | Description
Public property | Type | 商品类型
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


VirtualProduct Constructor

Initializes a new instance of the VirtualProduct class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VirtualProduct()
Public Sub New
public:
VirtualProduct()
new : unit -> VirtualProduct
See Also

Reference

VirtualProduct Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


VirtualProduct Properties

The VirtualProduct type exposes the following members.

Properties
 | Name | Description
Public property | Type | 商品类型
Top
See Also

Reference

VirtualProduct Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


VirtualProduct.Type Property

VirtualProductType Property

商品类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; }
Public ReadOnly Property Type As String
    Get
public:
virtual property String^ Type {
    String^ get () sealed;
}
abstract Type : string with get
override Type : string with get

Property Value

Type: String

Implements

IProductTypeType
See Also

Reference

VirtualProduct Class
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IAmRealProduct | 表示商品是实体商品
Public interface | IAmVirtualProduct | 表示商品是虚拟商品
Public interface | IProductType | 商品类型的接口


IAmRealProduct Interface
表示商品是实体商品

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmRealProduct : IProductType
Public Interface IAmRealProduct
    Inherits IProductType
public interface class IAmRealProduct : IProductType
type IAmRealProduct =
    interface
        interface IProductType
    end
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces Namespace


IAmVirtualProduct Interface
表示商品是虚拟商品

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IAmVirtualProduct : IProductType
Public Interface IAmVirtualProduct
    Inherits IProductType
public interface class IAmVirtualProduct : IProductType
type IAmVirtualProduct =
    interface
        interface IProductType
    end
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces Namespace


IProductType Interface
商品类型的接口

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IProductType
Public Interface IProductType
public interface class IProductType
type IProductType =  interface end

The IProductType type exposes the following members.

Properties
 | Name | Description
Public property | Type | 商品类型
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces Namespace


IProductType Properties

The IProductType type exposes the following members.

Properties
 | Name | Description
Public property | Type | 商品类型
Top
See Also

Reference

IProductType Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces Namespace


IProductType.Type Property

IProductTypeType Property

商品类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Type { get; }
ReadOnly Property Type As String
    Get
property String^ Type {
    String^ get ();
}
abstract Type : string with get

Property Value

Type: String
See Also

Reference

IProductType Interface
ZKWeb.Plugins.Shopping.Product.src.Components.ProductTypes.Interfaces Namespace


ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.Product.src.Components.Translates Namespace


ZKWeb.Plugins.Shopping.Product.src.Controller Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Controller"]

Classes
 | Class | Description
Public class | ProductImageBrowserController | 商品图片浏览器


ProductImageBrowserController Class
商品图片浏览器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBase
ZKWeb.Plugins.Shopping.Product.src.ControllerProductImageBrowserController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductImageBrowserController : ImageBrowserControllerBase
Public Class ProductImageBrowserController
    Inherits ImageBrowserControllerBase
public ref class ProductImageBrowserController : public ImageBrowserControllerBase
type ProductImageBrowserController =
    class
        inherit ImageBrowserControllerBase
    end

The ProductImageBrowserController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductImageBrowserController | Initializes a new instance of the ProductImageBrowserController class
Top
Properties
 | Name | Description
Public property | Category | (Overrides ImageBrowserControllerBaseCategory.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controller Namespace


ProductImageBrowserController Constructor

Initializes a new instance of the ProductImageBrowserController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductImageBrowserController()
Public Sub New
public:
ProductImageBrowserController()
new : unit -> ProductImageBrowserController
See Also

Reference

ProductImageBrowserController Class
ZKWeb.Plugins.Shopping.Product.src.Controller Namespace


ProductImageBrowserController Properties

The ProductImageBrowserController type exposes the following members.

Properties
 | Name | Description
Public property | Category | (Overrides ImageBrowserControllerBaseCategory.)
Top
See Also

Reference

ProductImageBrowserController Class
ZKWeb.Plugins.Shopping.Product.src.Controller Namespace


ProductImageBrowserController.Category Property

ProductImageBrowserControllerCategory Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controller.ProductImageBrowserController.Category"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controller
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Category { get; }
Public Overrides ReadOnly Property Category As String
    Get
public:
virtual property String^ Category {
    String^ get () override;
}
abstract Category : string with get
override Category : string with get

Property Value

Type: String
See Also

Reference

ProductImageBrowserController Class
ZKWeb.Plugins.Shopping.Product.src.Controller Namespace


ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Controllers"]

Classes
 | Class | Description
Public class | ProductAlbumSettingsController | 商品相册设置
Public class | ProductAlbumSettingsControllerForm | 表单
Public class | ProductApiController | Api控制器
Public class | ProductCategoryCrudController | 商品类目管理
Public class | ProductCategoryCrudControllerForm | 添加和编辑商品类目使用的表单
Public class | ProductCategoryCrudControllerTableHandler | 表格回调
Public class | ProductClassController | 商品分类
Public class | ProductController | 商品控制器
Public class | ProductCrudController | 商品管理
Public class | ProductCrudControllerForm | 添加和编辑商品使用的表单
Public class | ProductCrudControllerTableHandler | 表格回调
Public class | ProductListSettingsController | 商品列表设置
Public class | ProductListSettingsControllerForm | 表单
Public class | ProductPropertyCrudController | 商品属性管理
Public class | ProductPropertyCrudControllerForm | 添加和编辑商品属性使用的表单
Public class | ProductPropertyCrudControllerTableHandler | 表格回调
Public class | ProductTagController | 商品标签


ProductAlbumSettingsController Class
商品相册设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Shopping.Product.src.ControllersProductAlbumSettingsController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumSettingsController : FormAdminSettingsControllerBase
Public Class ProductAlbumSettingsController
    Inherits FormAdminSettingsControllerBase
public ref class ProductAlbumSettingsController : public FormAdminSettingsControllerBase
type ProductAlbumSettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The ProductAlbumSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumSettingsController | Initializes a new instance of the ProductAlbumSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController Constructor

Initializes a new instance of the ProductAlbumSettingsController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumSettingsController()
Public Sub New
public:
ProductAlbumSettingsController()
new : unit -> ProductAlbumSettingsController
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController Properties

The ProductAlbumSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Group Property

ProductAlbumSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.GroupIconClass Property

ProductAlbumSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.IconClass Property

ProductAlbumSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Name Property

ProductAlbumSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Privilege Property

ProductAlbumSettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Url Property

ProductAlbumSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController Methods

The ProductAlbumSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.GetForm Method

ProductAlbumSettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.GetForm"]

See Also

Reference

ProductAlbumSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form Class

ProductAlbumSettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Product.src.ControllersProductAlbumSettingsControllerForm

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ProductAlbumSettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumSettingsControllerForm | Initializes a new instance of the ProductAlbumSettingsControllerForm class
Top
Properties
 | Name | Description
Public property | OriginalImageHeight | 原图高度
Public property | OriginalImageWidth | 原图宽度
Public property | ThumbnailImageHeight | 缩略图高度
Public property | ThumbnailImageWidth | 缩略图宽度
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form Constructor

ProductAlbumSettingsControllerForm Constructor

Initializes a new instance of the ProductAlbumSettingsControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Properties

The ProductAlbumSettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | OriginalImageHeight | 原图高度
Public property | OriginalImageWidth | 原图宽度
Public property | ThumbnailImageHeight | 缩略图高度
Public property | ThumbnailImageWidth | 缩略图宽度
Top
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form.OriginalImageHeight Property

ProductAlbumSettingsControllerFormOriginalImageHeight Property

原图高度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long OriginalImageHeight { get; set; }
Public Property OriginalImageHeight As Long
    Get
    Set
public:
property long long OriginalImageHeight {
    long long get ();
    void set (long long value);
}
member OriginalImageHeight : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form.OriginalImageWidth Property

ProductAlbumSettingsControllerFormOriginalImageWidth Property

原图宽度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long OriginalImageWidth { get; set; }
Public Property OriginalImageWidth As Long
    Get
    Set
public:
property long long OriginalImageWidth {
    long long get ();
    void set (long long value);
}
member OriginalImageWidth : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form.ThumbnailImageHeight Property

ProductAlbumSettingsControllerFormThumbnailImageHeight Property

缩略图高度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ThumbnailImageHeight { get; set; }
Public Property ThumbnailImageHeight As Long
    Get
    Set
public:
property long long ThumbnailImageHeight {
    long long get ();
    void set (long long value);
}
member ThumbnailImageHeight : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form.ThumbnailImageWidth Property

ProductAlbumSettingsControllerFormThumbnailImageWidth Property

缩略图宽度

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long ThumbnailImageWidth { get; set; }
Public Property ThumbnailImageWidth As Long
    Get
    Set
public:
property long long ThumbnailImageWidth {
    long long get ();
    void set (long long value);
}
member ThumbnailImageWidth : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Methods

The ProductAlbumSettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form.OnBind Method

ProductAlbumSettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductAlbumSettingsController.Form.OnSubmit Method

ProductAlbumSettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductAlbumSettingsController.Form.OnSubmit"]

See Also

Reference

ProductAlbumSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController Class
Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.Product.src.ControllersProductApiController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductApiController : ControllerBase
Public Class ProductApiController
    Inherits ControllerBase
public ref class ProductApiController : public ControllerBase
type ProductApiController =
    class
        inherit ControllerBase
    end

The ProductApiController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductApiController | Initializes a new instance of the ProductApiController class
Top
Methods
 | Name | Description
Public method | ClassFilterInfo | 商品列表分类过滤器使用的信息
Public method | MatchedDataBinders | 获取类目对应的商品匹配数据的绑定器列表 这里仅用于获取绑定器的Json，不绑定数据也不检查权限
Public method | MatchedDataMatchers | 获取商品匹配数据的匹配器列表
Public method | ProductInfo | 获取商品信息 不存在时返回null
Public method | ProductSearch | 搜索商品列表
Public method | PropertyEditor | 获取指定类目对应的属性编辑器 这里仅用于获取编辑器Html，不绑定数据也不检查权限
Public method | SortInfo | 商品列表排序使用的信息
Public method | TagFilterInfo | 商品列表标签过滤器使用的信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController Constructor

Initializes a new instance of the ProductApiController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductApiController()
Public Sub New
public:
ProductApiController()
new : unit -> ProductApiController
See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController Methods

The ProductApiController type exposes the following members.

Methods
 | Name | Description
Public method | ClassFilterInfo | 商品列表分类过滤器使用的信息
Public method | MatchedDataBinders | 获取类目对应的商品匹配数据的绑定器列表 这里仅用于获取绑定器的Json，不绑定数据也不检查权限
Public method | MatchedDataMatchers | 获取商品匹配数据的匹配器列表
Public method | ProductInfo | 获取商品信息 不存在时返回null
Public method | ProductSearch | 搜索商品列表
Public method | PropertyEditor | 获取指定类目对应的属性编辑器 这里仅用于获取编辑器Html，不绑定数据也不检查权限
Public method | SortInfo | 商品列表排序使用的信息
Public method | TagFilterInfo | 商品列表标签过滤器使用的信息
Top
See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.ClassFilterInfo Method

ProductApiControllerClassFilterInfo Method

商品列表分类过滤器使用的信息

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ClassFilterInfo()
Public Function ClassFilterInfo As IActionResult
public:
IActionResult^ ClassFilterInfo()
member ClassFilterInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.ClassFilterInfo"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.MatchedDataBinders Method

ProductApiControllerMatchedDataBinders Method

获取类目对应的商品匹配数据的绑定器列表 这里仅用于获取绑定器的Json，不绑定数据也不检查权限

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult MatchedDataBinders()
Public Function MatchedDataBinders As IActionResult
public:
IActionResult^ MatchedDataBinders()
member MatchedDataBinders : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.MatchedDataBinders"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.MatchedDataMatchers Method

ProductApiControllerMatchedDataMatchers Method

获取商品匹配数据的匹配器列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult MatchedDataMatchers()
Public Function MatchedDataMatchers As IActionResult
public:
IActionResult^ MatchedDataMatchers()
member MatchedDataMatchers : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.MatchedDataMatchers"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.ProductInfo Method

ProductApiControllerProductInfo Method

获取商品信息 不存在时返回null

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ProductInfo()
Public Function ProductInfo As IActionResult
public:
IActionResult^ ProductInfo()
member ProductInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.ProductInfo"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.ProductSearch Method

ProductApiControllerProductSearch Method

搜索商品列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ProductSearch()
Public Function ProductSearch As IActionResult
public:
IActionResult^ ProductSearch()
member ProductSearch : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.ProductSearch"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.PropertyEditor Method

ProductApiControllerPropertyEditor Method

获取指定类目对应的属性编辑器 这里仅用于获取编辑器Html，不绑定数据也不检查权限

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult PropertyEditor()
Public Function PropertyEditor As IActionResult
public:
IActionResult^ PropertyEditor()
member PropertyEditor : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.PropertyEditor"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.SortInfo Method

ProductApiControllerSortInfo Method

商品列表排序使用的信息

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult SortInfo()
Public Function SortInfo As IActionResult
public:
IActionResult^ SortInfo()
member SortInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.SortInfo"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductApiController.TagFilterInfo Method

ProductApiControllerTagFilterInfo Method

商品列表标签过滤器使用的信息

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult TagFilterInfo()
Public Function TagFilterInfo As IActionResult
public:
IActionResult^ TagFilterInfo()
member TagFilterInfo : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductApiController.TagFilterInfo"]

See Also

Reference

ProductApiController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController Class
商品类目管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase ProductCategory, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase ProductCategory, Guid
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCategoryCrudController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductCategoryCrudController : CrudAdminAppControllerBase<ProductCategory, Guid>
Public Class ProductCategoryCrudController
    Inherits CrudAdminAppControllerBase(Of ProductCategory, Guid)
public ref class ProductCategoryCrudController : public CrudAdminAppControllerBase<ProductCategory^, Guid>
type ProductCategoryCrudController =
    class
        inherit CrudAdminAppControllerBase<ProductCategory, Guid>
    end

The ProductCategoryCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategoryCrudController | Initializes a new instance of the ProductCategoryCrudController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController Constructor

Initializes a new instance of the ProductCategoryCrudController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductCategoryCrudController()
Public Sub New
public:
ProductCategoryCrudController()
new : unit -> ProductCategoryCrudController
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController Properties

The ProductCategoryCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Group Property

ProductCategoryCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.GroupIconClass Property

ProductCategoryCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.IconClass Property

ProductCategoryCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Name Property

ProductCategoryCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TileClass Property

ProductCategoryCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Url Property

ProductCategoryCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController Methods

The ProductCategoryCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.GetAddForm Method

ProductCategoryCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GetAddForm"]

See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.GetEditForm Method

ProductCategoryCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GetEditForm"]

See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.GetTableHandler Method

ProductCategoryCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<ProductCategory, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of ProductCategory, Guid)
protected:
virtual IAjaxTableHandler<ProductCategory^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<ProductCategory, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<ProductCategory, Guid>

Return Value

Type: IAjaxTableHandler ProductCategory, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.GetTableHandler"]

See Also

Reference

ProductCategoryCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form Class

ProductCategoryCrudControllerForm Class
添加和编辑商品类目使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder ProductCategory, Guid, ProductCategoryCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder ProductCategory, Guid, ProductCategoryCrudControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCategoryCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<ProductCategory, Guid, ProductCategoryCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of ProductCategory, Guid, ProductCategoryCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<ProductCategory^, Guid, ProductCategoryCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<ProductCategory, Guid, ProductCategoryCrudControllerForm>
    end

The ProductCategoryCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategoryCrudControllerForm | Initializes a new instance of the ProductCategoryCrudControllerForm class
Top
Properties
 | Name | Description
Public property | Name | 名称
Public property | NonSalesProperties | 非销售属性
Public property | Remark | 备注
Public property | SalesProperties | 销售属性
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form Constructor

ProductCategoryCrudControllerForm Constructor

Initializes a new instance of the ProductCategoryCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Properties

The ProductCategoryCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | Name | 名称
Public property | NonSalesProperties | 非销售属性
Public property | Remark | 备注
Public property | SalesProperties | 销售属性
Top
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form.Name Property

ProductCategoryCrudControllerFormName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form.NonSalesProperties Property

ProductCategoryCrudControllerFormNonSalesProperties Property

非销售属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> NonSalesProperties { get; set; }
Public Property NonSalesProperties As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ NonSalesProperties {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member NonSalesProperties : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form.Remark Property

ProductCategoryCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form.SalesProperties Property

ProductCategoryCrudControllerFormSalesProperties Property

销售属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> SalesProperties { get; set; }
Public Property SalesProperties As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ SalesProperties {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member SalesProperties : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Methods

The ProductCategoryCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form.OnBind Method

ProductCategoryCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    ProductCategory bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As ProductCategory
)
protected:
virtual void OnBind(
    ProductCategory^ bindFrom
) override
abstract OnBind :
        bindFrom : ProductCategory -> unit
override OnBind :
        bindFrom : ProductCategory -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductCategory

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory)"]

See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.Form.OnSubmit Method

ProductCategoryCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    ProductCategory saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As ProductCategory
) As Object
protected:
virtual Object^ OnSubmit(
    ProductCategory^ saveTo
) override
abstract OnSubmit :
        saveTo : ProductCategory -> Object
override OnSubmit :
        saveTo : ProductCategory -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductCategory

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory)"]

See Also

Reference

ProductCategoryCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler Class

ProductCategoryCrudControllerTableHandler Class
表格回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase ProductCategory, Guid
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCategoryCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<ProductCategory, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of ProductCategory, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<ProductCategory^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<ProductCategory, Guid>
    end

The ProductCategoryCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategoryCrudControllerTableHandler | Initializes a new instance of the ProductCategoryCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler Constructor

ProductCategoryCrudControllerTableHandler Constructor

Initializes a new instance of the ProductCategoryCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


TableHandler Methods

The ProductCategoryCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler.BuildTable Method

ProductCategoryCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler.OnQuery Method

ProductCategoryCrudControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<ProductCategory> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ProductCategory)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<ProductCategory^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductCategory> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductCategory> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory}@)"]

query
Type: System.LinqIQueryable ProductCategory

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler.OnResponse Method

ProductCategoryCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler.OnSelect Method

ProductCategoryCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<ProductCategory>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of ProductCategory))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<ProductCategory^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductCategory>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductCategory>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow ProductCategory

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCategoryCrudController.TableHandler.OnSort Method

ProductCategoryCrudControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<ProductCategory> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ProductCategory)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<ProductCategory^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductCategory> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductCategory> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory}@)"]

query
Type: System.LinqIQueryable ProductCategory

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCategoryCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductCategoryCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductClassController Class
商品分类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericClass, Guid
ZKWeb.Plugins.Common.GenericClass.src.Controllers.BasesGenericClassControllerBase ProductClassController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductClassController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductClassController : GenericClassControllerBase<ProductClassController>
Public Class ProductClassController
    Inherits GenericClassControllerBase(Of ProductClassController)
public ref class ProductClassController : public GenericClassControllerBase<ProductClassController^>
type ProductClassController =
    class
        inherit GenericClassControllerBase<ProductClassController>
    end

The ProductClassController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductClassController | Initializes a new instance of the ProductClassController class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductClassController Constructor

Initializes a new instance of the ProductClassController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductClassController()
Public Sub New
public:
ProductClassController()
new : unit -> ProductClassController
See Also

Reference

ProductClassController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductClassController Properties

The ProductClassController type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ProductClassController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductClassController.Name Property

ProductClassControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductClassController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ProductClassController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductController Class
商品控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.ControllersProductController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductController : IController
Public Class ProductController
    Implements IController
public ref class ProductController : IController
type ProductController =
    class
        interface IController
    end

The ProductController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductController | Initializes a new instance of the ProductController class
Top
Methods
 | Name | Description
Public method | List | 前台商品列表页
Public method | View | 前台商品详情页
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductController Constructor

Initializes a new instance of the ProductController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductController()
Public Sub New
public:
ProductController()
new : unit -> ProductController
See Also

Reference

ProductController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductController Methods

The ProductController type exposes the following members.

Methods
 | Name | Description
Public method | List | 前台商品列表页
Public method | View | 前台商品详情页
Top
Extension Methods
 | Name | Description
Public Extension Method | RequireAjaxRequest | 要求当前请求是ajax请求 非ajax请求时抛出403错误，通常用于防止跨站攻击 (Defined by IControllerExtensions.)
Top
See Also

Reference

ProductController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductController.List Method

ProductControllerList Method

前台商品列表页

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult List()
Public Function List As IActionResult
public:
IActionResult^ List()
member List : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductController.List"]

See Also

Reference

ProductController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductController.View Method

ProductControllerView Method

前台商品详情页

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult View()
Public Function View As IActionResult
public:
IActionResult^ View()
member View : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductController.View"]

See Also

Reference

ProductController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController Class
商品管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase Product, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase Product, Guid
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCrudController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductCrudController : CrudAdminAppControllerBase<Product, Guid>
Public Class ProductCrudController
    Inherits CrudAdminAppControllerBase(Of Product, Guid)
public ref class ProductCrudController : public CrudAdminAppControllerBase<Product^, Guid>
type ProductCrudController =
    class
        inherit CrudAdminAppControllerBase<Product, Guid>
    end

The ProductCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCrudController | 初始化
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductCrudController()
Public Sub New
public:
ProductCrudController()
new : unit -> ProductCrudController
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController Properties

The ProductCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Group Property

ProductCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.GroupIconClass Property

ProductCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.IconClass Property

ProductCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Name Property

ProductCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TileClass Property

ProductCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Url Property

ProductCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController Methods

The ProductCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.GetAddForm Method

ProductCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GetAddForm"]

See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.GetEditForm Method

ProductCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GetEditForm"]

See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.GetTableHandler Method

ProductCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<Product, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of Product, Guid)
protected:
virtual IAjaxTableHandler<Product^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<Product, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<Product, Guid>

Return Value

Type: IAjaxTableHandler Product, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.GetTableHandler"]

See Also

Reference

ProductCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form Class

ProductCrudControllerForm Class
添加和编辑商品使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder Product, Guid, ProductCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder Product, Guid, ProductCrudControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<Product, Guid, ProductCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of Product, Guid, ProductCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<Product^, Guid, ProductCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<Product, Guid, ProductCrudControllerForm>
    end

The ProductCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCrudControllerForm | Initializes a new instance of the ProductCrudControllerForm class
Top
Properties
 | Name | Description
Public property | Category | 类目Id，没有时等于null
Public property | DisplayOrder | 显示顺序
Public property | Introduction | 商品介绍
Public property | MatchedDatas | 价格库存
Public property | Name | 商品名称
Public property | ProductAlbum | 商品相册
Public property | ProductAlbumAlert | 商品相册的提示信息
Public property | ProductClass | 商品分类
Public property | ProductTag | 商品标签
Public property | PropertyValues | 选中的属性值
Public property | Remark | 备注
Public property | Seller | 卖家
Public property | State | 商品状态
Public property | Type | 商品类型
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Protected method | OnSubmitSaved | 保存后的处理 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmitSaved(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form Constructor

ProductCrudControllerForm Constructor

Initializes a new instance of the ProductCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Properties

The ProductCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | Category | 类目Id，没有时等于null
Public property | DisplayOrder | 显示顺序
Public property | Introduction | 商品介绍
Public property | MatchedDatas | 价格库存
Public property | Name | 商品名称
Public property | ProductAlbum | 商品相册
Public property | ProductAlbumAlert | 商品相册的提示信息
Public property | ProductClass | 商品分类
Public property | ProductTag | 商品标签
Public property | PropertyValues | 选中的属性值
Public property | Remark | 备注
Public property | Seller | 卖家
Public property | State | 商品状态
Public property | Type | 商品类型
Top
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.Category Property

ProductCrudControllerFormCategory Property

类目Id，没有时等于null

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> Category { get; set; }
Public Property Category As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> Category {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member Category : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.DisplayOrder Property

ProductCrudControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.Introduction Property

ProductCrudControllerFormIntroduction Property

商品介绍

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Introduction { get; set; }
Public Property Introduction As String
    Get
    Set
public:
property String^ Introduction {
    String^ get ();
    void set (String^ value);
}
member Introduction : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.MatchedDatas Property

ProductCrudControllerFormMatchedDatas Property

价格库存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<ProductMatchedDataForEdit> MatchedDatas { get; set; }
Public Property MatchedDatas As IList(Of ProductMatchedDataForEdit)
    Get
    Set
public:
property IList<ProductMatchedDataForEdit^>^ MatchedDatas {
    IList<ProductMatchedDataForEdit^>^ get ();
    void set (IList<ProductMatchedDataForEdit^>^ value);
}
member MatchedDatas : IList<ProductMatchedDataForEdit> with get, set

Property Value

Type: IList ProductMatchedDataForEdit
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.Name Property

ProductCrudControllerFormName Property

商品名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.ProductAlbum Property

ProductCrudControllerFormProductAlbum Property

商品相册

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumUploadData ProductAlbum { get; set; }
Public Property ProductAlbum As ProductAlbumUploadData
    Get
    Set
public:
property ProductAlbumUploadData^ ProductAlbum {
    ProductAlbumUploadData^ get ();
    void set (ProductAlbumUploadData^ value);
}
member ProductAlbum : ProductAlbumUploadData with get, set

Property Value

Type: ProductAlbumUploadData
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.ProductAlbumAlert Property

ProductCrudControllerFormProductAlbumAlert Property

商品相册的提示信息

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ProductAlbumAlert { get; set; }
Public Property ProductAlbumAlert As String
    Get
    Set
public:
property String^ ProductAlbumAlert {
    String^ get ();
    void set (String^ value);
}
member ProductAlbumAlert : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.ProductClass Property

ProductCrudControllerFormProductClass Property

商品分类

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> ProductClass { get; set; }
Public Property ProductClass As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ ProductClass {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member ProductClass : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.ProductTag Property

ProductCrudControllerFormProductTag Property

商品标签

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HashSet<Guid> ProductTag { get; set; }
Public Property ProductTag As HashSet(Of Guid)
    Get
    Set
public:
property HashSet<Guid>^ ProductTag {
    HashSet<Guid>^ get ();
    void set (HashSet<Guid>^ value);
}
member ProductTag : HashSet<Guid> with get, set

Property Value

Type: HashSet Guid
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.PropertyValues Property

ProductCrudControllerFormPropertyValues Property

选中的属性值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<ProductToPropertyValueForEdit> PropertyValues { get; set; }
Public Property PropertyValues As IList(Of ProductToPropertyValueForEdit)
    Get
    Set
public:
property IList<ProductToPropertyValueForEdit^>^ PropertyValues {
    IList<ProductToPropertyValueForEdit^>^ get ();
    void set (IList<ProductToPropertyValueForEdit^>^ value);
}
member PropertyValues : IList<ProductToPropertyValueForEdit> with get, set

Property Value

Type: IList ProductToPropertyValueForEdit
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.Remark Property

ProductCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.Seller Property

ProductCrudControllerFormSeller Property

卖家

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Seller { get; set; }
Public Property Seller As String
    Get
    Set
public:
property String^ Seller {
    String^ get ();
    void set (String^ value);
}
member Seller : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.State Property

ProductCrudControllerFormState Property

商品状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string State { get; set; }
Public Property State As String
    Get
    Set
public:
property String^ State {
    String^ get ();
    void set (String^ value);
}
member State : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.Type Property

ProductCrudControllerFormType Property

商品类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Type { get; set; }
Public Property Type As String
    Get
    Set
public:
property String^ Type {
    String^ get ();
    void set (String^ value);
}
member Type : string with get, set

Property Value

Type: String
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Methods

The ProductCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Protected method | OnSubmitSaved | 保存后的处理 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmitSaved(TEntity).)
Top
See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.OnBind Method

ProductCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    Product bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As Product
)
protected:
virtual void OnBind(
    Product^ bindFrom
) override
abstract OnBind :
        bindFrom : Product -> unit
override OnBind :
        bindFrom : Product -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.OnSubmit Method

ProductCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    Product saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As Product
) As Object
protected:
virtual Object^ OnSubmit(
    Product^ saveTo
) override
abstract OnSubmit :
        saveTo : Product -> Object
override OnSubmit :
        saveTo : Product -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.Form.OnSubmitSaved Method

ProductCrudControllerFormOnSubmitSaved Method

保存后的处理

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnSubmitSaved(
    Product saved
)
Protected Overrides Sub OnSubmitSaved (
    saved As Product
)
protected:
virtual void OnSubmitSaved(
    Product^ saved
) override
abstract OnSubmitSaved :
        saved : Product -> unit
override OnSubmitSaved :
        saved : Product -> unit

Parameters

saved
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="saved"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.Form.OnSubmitSaved(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

See Also

Reference

ProductCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler Class

ProductCrudControllerTableHandler Class
表格回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase Product, Guid
ZKWeb.Plugins.Shopping.Product.src.ControllersProductCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<Product, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of Product, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<Product^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<Product, Guid>
    end

The ProductCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCrudControllerTableHandler | Initializes a new instance of the ProductCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler Constructor

ProductCrudControllerTableHandler Constructor

Initializes a new instance of the ProductCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


TableHandler Methods

The ProductCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler.BuildTable Method

ProductCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler.OnQuery Method

ProductCrudControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<Product> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of Product)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<Product^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<Product> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<Product> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

query
Type: System.LinqIQueryable Product

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler.OnResponse Method

ProductCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler.OnSelect Method

ProductCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<Product>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of Product))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<Product^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<Product>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<Product>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow Product

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductCrudController.TableHandler.OnSort Method

ProductCrudControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<Product> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of Product)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<Product^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<Product> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<Product> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

query
Type: System.LinqIQueryable Product

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController Class
商品列表设置
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesSimpleMenuPageControllerBase
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesFormMenuPageControllerBase
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesFormAdminSettingsControllerBase
ZKWeb.Plugins.Shopping.Product.src.ControllersProductListSettingsController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductListSettingsController : FormAdminSettingsControllerBase
Public Class ProductListSettingsController
    Inherits FormAdminSettingsControllerBase
public ref class ProductListSettingsController : public FormAdminSettingsControllerBase
type ProductListSettingsController =
    class
        inherit FormAdminSettingsControllerBase
    end

The ProductListSettingsController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductListSettingsController | Initializes a new instance of the ProductListSettingsController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController Constructor

Initializes a new instance of the ProductListSettingsController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductListSettingsController()
Public Sub New
public:
ProductListSettingsController()
new : unit -> ProductListSettingsController
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController Properties

The ProductListSettingsController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleMenuPageControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleMenuPageControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleMenuPageControllerBaseIconClass.)
Public property | Name | (Overrides SimpleMenuPageControllerBaseName.)
Public property | Privilege | (Overrides FormAdminSettingsControllerBasePrivilege.)
Public property | Url | (Overrides SimpleMenuPageControllerBaseUrl.)
Top
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Group Property

ProductListSettingsControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.GroupIconClass Property

ProductListSettingsControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.IconClass Property

ProductListSettingsControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Name Property

ProductListSettingsControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMenuPageName
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Privilege Property

ProductListSettingsControllerPrivilege Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.Privilege"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Privilege { get; }
Public Overrides ReadOnly Property Privilege As String
    Get
public:
virtual property String^ Privilege {
    String^ get () override;
}
abstract Privilege : string with get
override Privilege : string with get

Property Value

Type: String
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Url Property

ProductListSettingsControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IMenuPageUrl
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController Methods

The ProductListSettingsController type exposes the following members.

Methods
 | Name | Description
Protected method | GetForm | (Overrides FormMenuPageControllerBaseGetForm.)
Top
See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.GetForm Method

ProductListSettingsControllerGetForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.GetForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetForm()
Protected Overrides Function GetForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetForm() override
abstract GetForm : unit -> IModelFormBuilder
override GetForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.GetForm"]

See Also

Reference

ProductListSettingsController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Form Class

ProductListSettingsControllerForm Class
表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Shopping.Product.src.ControllersProductListSettingsControllerForm

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : ModelFormBuilder
Public Class Form
    Inherits ModelFormBuilder
public ref class Form : public ModelFormBuilder
type Form =
    class
        inherit ModelFormBuilder
    end

The ProductListSettingsControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ProductListSettingsControllerForm | Initializes a new instance of the ProductListSettingsControllerForm class
Top
Properties
 | Name | Description
Public property | ProductsPerPage | 每页显示的商品数量
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Form Constructor

ProductListSettingsControllerForm Constructor

Initializes a new instance of the ProductListSettingsControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ProductListSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Properties

The ProductListSettingsControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | ProductsPerPage | 每页显示的商品数量
Top
See Also

Reference

ProductListSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Form.ProductsPerPage Property

ProductListSettingsControllerFormProductsPerPage Property

每页显示的商品数量

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int ProductsPerPage { get; set; }
Public Property ProductsPerPage As Integer
    Get
    Set
public:
property int ProductsPerPage {
    int get ();
    void set (int value);
}
member ProductsPerPage : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductListSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Methods

The ProductListSettingsControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ProductListSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Form.OnBind Method

ProductListSettingsControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

ProductListSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductListSettingsController.Form.OnSubmit Method

ProductListSettingsControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductListSettingsController.Form.OnSubmit"]

See Also

Reference

ProductListSettingsControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController Class
商品属性管理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase ProductProperty, Guid
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudAdminAppControllerBase ProductProperty, Guid
ZKWeb.Plugins.Shopping.Product.src.ControllersProductPropertyCrudController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyCrudController : CrudAdminAppControllerBase<ProductProperty, Guid>
Public Class ProductPropertyCrudController
    Inherits CrudAdminAppControllerBase(Of ProductProperty, Guid)
public ref class ProductPropertyCrudController : public CrudAdminAppControllerBase<ProductProperty^, Guid>
type ProductPropertyCrudController =
    class
        inherit CrudAdminAppControllerBase<ProductProperty, Guid>
    end

The ProductPropertyCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyCrudController | 初始化
Top
Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyCrudController()
Public Sub New
public:
ProductPropertyCrudController()
new : unit -> ProductPropertyCrudController
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController Properties

The ProductPropertyCrudController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | TileClass | (Overrides CrudAdminAppControllerBaseTEntity, TPrimaryKeyTileClass.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Group Property

ProductPropertyCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.GroupIconClass Property

ProductPropertyCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.IconClass Property

ProductPropertyCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Name Property

ProductPropertyCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TileClass Property

ProductPropertyCrudControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TileClass"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Url Property

ProductPropertyCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController Methods

The ProductPropertyCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.GetAddForm Method

ProductPropertyCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GetAddForm"]

See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.GetEditForm Method

ProductPropertyCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GetEditForm"]

See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.GetTableHandler Method

ProductPropertyCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<ProductProperty, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of ProductProperty, Guid)
protected:
virtual IAjaxTableHandler<ProductProperty^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<ProductProperty, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<ProductProperty, Guid>

Return Value

Type: IAjaxTableHandler ProductProperty, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.GetTableHandler"]

See Also

Reference

ProductPropertyCrudController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form Class

ProductPropertyCrudControllerForm Class
添加和编辑商品属性使用的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsEntityFormBuilder ProductProperty, Guid, ProductPropertyCrudControllerForm
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsTabEntityFormBuilder ProductProperty, Guid, ProductPropertyCrudControllerForm
ZKWeb.Plugins.Shopping.Product.src.ControllersProductPropertyCrudControllerForm

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Form : TabEntityFormBuilder<ProductProperty, Guid, ProductPropertyCrudControllerForm>
Public Class Form
    Inherits TabEntityFormBuilder(Of ProductProperty, Guid, ProductPropertyCrudControllerForm)
public ref class Form : public TabEntityFormBuilder<ProductProperty^, Guid, ProductPropertyCrudControllerForm^>
type Form =
    class
        inherit TabEntityFormBuilder<ProductProperty, Guid, ProductPropertyCrudControllerForm>
    end

The ProductPropertyCrudControllerForm type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyCrudControllerForm | Initializes a new instance of the ProductPropertyCrudControllerForm class
Top
Properties
 | Name | Description
Public property | ControlType | 控件类型
Public property | DisplayOrder | 显示顺序
Public property | IsSalesProperty | 是否销售属性
Public property | Name | 名称
Public property | PropertyValues | 属性值
Public property | Remark | 备注
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form Constructor

ProductPropertyCrudControllerForm Constructor

Initializes a new instance of the ProductPropertyCrudControllerForm class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Form()
Public Sub New
public:
Form()
new : unit -> Form
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Properties

The ProductPropertyCrudControllerForm type exposes the following members.

Properties
 | Name | Description
Public property | ControlType | 控件类型
Public property | DisplayOrder | 显示顺序
Public property | IsSalesProperty | 是否销售属性
Public property | Name | 名称
Public property | PropertyValues | 属性值
Public property | Remark | 备注
Top
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.ControlType Property

ProductPropertyCrudControllerFormControlType Property

控件类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyControlType ControlType { get; set; }
Public Property ControlType As ProductPropertyControlType
    Get
    Set
public:
property ProductPropertyControlType ControlType {
    ProductPropertyControlType get ();
    void set (ProductPropertyControlType value);
}
member ControlType : ProductPropertyControlType with get, set

Property Value

Type: ProductPropertyControlType
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.DisplayOrder Property

ProductPropertyCrudControllerFormDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long DisplayOrder { get; set; }
Public Property DisplayOrder As Long
    Get
    Set
public:
property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
member DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.IsSalesProperty Property

ProductPropertyCrudControllerFormIsSalesProperty Property

是否销售属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsSalesProperty { get; set; }
Public Property IsSalesProperty As Boolean
    Get
    Set
public:
property bool IsSalesProperty {
    bool get ();
    void set (bool value);
}
member IsSalesProperty : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.Name Property

ProductPropertyCrudControllerFormName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.PropertyValues Property

ProductPropertyCrudControllerFormPropertyValues Property

属性值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<ProductPropertyValueForEdit> PropertyValues { get; set; }
Public Property PropertyValues As IList(Of ProductPropertyValueForEdit)
    Get
    Set
public:
property IList<ProductPropertyValueForEdit^>^ PropertyValues {
    IList<ProductPropertyValueForEdit^>^ get ();
    void set (IList<ProductPropertyValueForEdit^>^ value);
}
member PropertyValues : IList<ProductPropertyValueForEdit> with get, set

Property Value

Type: IList ProductPropertyValueForEdit
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.Remark Property

ProductPropertyCrudControllerFormRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


Form Methods

The ProductPropertyCrudControllerForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnBind(TEntity).)
Protected method | OnSubmit | 提交表单 (Overrides EntityFormBuilderTEntity, TPrimaryKey, TFormOnSubmit(TEntity).)
Top
See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.OnBind Method

ProductPropertyCrudControllerFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind(
    ProductProperty bindFrom
)
Protected Overrides Sub OnBind (
    bindFrom As ProductProperty
)
protected:
virtual void OnBind(
    ProductProperty^ bindFrom
) override
abstract OnBind :
        bindFrom : ProductProperty -> unit
override OnBind :
        bindFrom : ProductProperty -> unit

Parameters

bindFrom
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductProperty

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.Form.OnBind(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty)"]

See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.Form.OnSubmit Method

ProductPropertyCrudControllerFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit(
    ProductProperty saveTo
)
Protected Overrides Function OnSubmit (
    saveTo As ProductProperty
) As Object
protected:
virtual Object^ OnSubmit(
    ProductProperty^ saveTo
) override
abstract OnSubmit :
        saveTo : ProductProperty -> Object
override OnSubmit :
        saveTo : ProductProperty -> Object

Parameters

saveTo
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductProperty

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.Form.OnSubmit(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty)"]

See Also

Reference

ProductPropertyCrudControllerForm Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler Class

ProductPropertyCrudControllerTableHandler Class
表格回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase ProductProperty, Guid
ZKWeb.Plugins.Shopping.Product.src.ControllersProductPropertyCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<ProductProperty, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of ProductProperty, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<ProductProperty^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<ProductProperty, Guid>
    end

The ProductPropertyCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyCrudControllerTableHandler | Initializes a new instance of the ProductPropertyCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler Constructor

ProductPropertyCrudControllerTableHandler Constructor

Initializes a new instance of the ProductPropertyCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


TableHandler Methods

The ProductPropertyCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 查询数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler.BuildTable Method

ProductPropertyCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler.OnQuery Method

ProductPropertyCrudControllerTableHandlerOnQuery Method

查询数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<ProductProperty> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ProductProperty)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<ProductProperty^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductProperty> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductProperty> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty}@)"]

query
Type: System.LinqIQueryable ProductProperty

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler.OnResponse Method

ProductPropertyCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler.OnSelect Method

ProductPropertyCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<ProductProperty>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of ProductProperty))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<ProductProperty^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductProperty>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductProperty>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow ProductProperty

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductPropertyCrudController.TableHandler.OnSort Method

ProductPropertyCrudControllerTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    AjaxTableSearchRequest request,
    ref IQueryable<ProductProperty> query
)
Public Overrides Sub OnSort (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ProductProperty)
)
public:
virtual void OnSort(
    AjaxTableSearchRequest^ request,
    IQueryable<ProductProperty^>^% query
) override
abstract OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductProperty> byref -> unit
override OnSort :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductProperty> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty}@)"]

query
Type: System.LinqIQueryable ProductProperty

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductPropertyCrudController.TableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSort(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductPropertyCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductTagController Class
商品标签
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.AdminSettings.src.Controllers.BasesCrudAdminSettingsControllerBase GenericTag, Guid
ZKWeb.Plugins.Common.GenericTag.src.Controllers.BasesGenericTagControllerBase ProductTagController
ZKWeb.Plugins.Shopping.Product.src.ControllersProductTagController

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductTagController : GenericTagControllerBase<ProductTagController>
Public Class ProductTagController
    Inherits GenericTagControllerBase(Of ProductTagController)
public ref class ProductTagController : public GenericTagControllerBase<ProductTagController^>
type ProductTagController =
    class
        inherit GenericTagControllerBase<ProductTagController>
    end

The ProductTagController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductTagController | Initializes a new instance of the ProductTagController class
Top
Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductTagController Constructor

Initializes a new instance of the ProductTagController class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductTagController()
Public Sub New
public:
ProductTagController()
new : unit -> ProductTagController
See Also

Reference

ProductTagController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductTagController Properties

The ProductTagController type exposes the following members.

Properties
 | Name | Description
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Top
See Also

Reference

ProductTagController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ProductTagController.Name Property

ProductTagControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Controllers.ProductTagController.Name"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ProductTagController Class
ZKWeb.Plugins.Shopping.Product.src.Controllers Namespace


ZKWeb.Plugins.Shopping.Product.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities |
ZKWeb.Plugins.Shopping.Product.src.Domain.Enums |
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions |
ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories |
ZKWeb.Plugins.Shopping.Product.src.Domain.Services |
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs |


ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities"]

Classes
 | Class | Description
Public class | Product | 商品
Public class | ProductCategory | 商品类目
Public class | ProductMatchedData | 商品匹配数据
Public class | ProductProperty | 商品属性
Public class | ProductPropertyValue | 商品属性值
Public class | ProductToPropertyValue | 商品使用的属性值


Product Class
商品
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Product : IHaveCreateTime, IEntity,
    IHaveUpdateTime, IHaveDeleted, IEntity<Guid>, IEntityMappingProvider<Product>,
    IEntityMappingProvider
Public Class Product
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IEntity(Of Guid), IEntityMappingProvider(Of Product), IEntityMappingProvider
public ref class Product : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IEntity<Guid>,
    IEntityMappingProvider<Product^>, IEntityMappingProvider
type Product =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IEntity<Guid>
        interface IEntityMappingProvider<Product>
        interface IEntityMappingProvider
    end

The Product type exposes the following members.

Constructors
 | Name | Description
Public method | Product | 初始化
Top
Properties
 | Name | Description
Public property | Category | 商品类目，没有时等于null
Public property | Classes | 关联的分类
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序
Public property | Id | 商品Id
Public property | Introduction | 商品介绍，格式是Html
Public property | MatchedDatas | 关联的匹配数据
Public property | Name | 商品名称
Public property | PropertyValues | 关联的属性值
Public property | Remark | 备注，格式是Html
Public property | Seller | 卖家，可以等于null
Public property | State | 商品状态，必须是继承IProductState的状态
Public property | Tags | 关联的标签
Public property | Type | 商品类型，必须是继承IProductType的类型
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | FindPropertyValuesFromPropertyParameters | 根据属性参数查找商品的属性 属性在属性参数中时返回该属性 (Defined by ProductExtensions.)
Public Extension Method | FindPropertyValuesWhereNameContains | 根据名称查找商品的属性 属性名包含指定的名称时返回该属性 (Defined by ProductExtensions.)
Public Extension Method | GetMatchParametersDescription | 获取商品匹配参数的描述 (Defined by ProductExtensions.)
Public Extension Method | GetProductState | 获取商品状态 (Defined by ProductExtensions.)
Public Extension Method | GetProductType | 获取商品类型 (Defined by ProductExtensions.)
Public Extension Method | GetSummaryHtml | 获取商品概述的Html 一般用于后台商品列表页等表格页面中 (Defined by ProductExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Product()
Public Sub New
public:
Product()
new : unit -> Product
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product Properties

The Product type exposes the following members.

Properties
 | Name | Description
Public property | Category | 商品类目，没有时等于null
Public property | Classes | 关联的分类
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序
Public property | Id | 商品Id
Public property | Introduction | 商品介绍，格式是Html
Public property | MatchedDatas | 关联的匹配数据
Public property | Name | 商品名称
Public property | PropertyValues | 关联的属性值
Public property | Remark | 备注，格式是Html
Public property | Seller | 卖家，可以等于null
Public property | State | 商品状态，必须是继承IProductState的状态
Public property | Tags | 关联的标签
Public property | Type | 商品类型，必须是继承IProductType的类型
Public property | UpdateTime | 更新时间
Top
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Category Property

ProductCategory Property

商品类目，没有时等于null

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductCategory Category { get; set; }
Public Overridable Property Category As ProductCategory
    Get
    Set
public:
virtual property ProductCategory^ Category {
    ProductCategory^ get ();
    void set (ProductCategory^ value);
}
abstract Category : ProductCategory with get, set
override Category : ProductCategory with get, set

Property Value

Type: ProductCategory
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Classes Property

ProductClasses Property

关联的分类

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<GenericClass> Classes { get; set; }
Public Overridable Property Classes As ISet(Of GenericClass)
    Get
    Set
public:
virtual property ISet<GenericClass^>^ Classes {
    ISet<GenericClass^>^ get ();
    void set (ISet<GenericClass^>^ value);
}
abstract Classes : ISet<GenericClass> with get, set
override Classes : ISet<GenericClass> with get, set

Property Value

Type: ISet GenericClass
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.CreateTime Property

ProductCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Deleted Property

ProductDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.DisplayOrder Property

ProductDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Id Property

ProductId Property

商品Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Introduction Property

ProductIntroduction Property

商品介绍，格式是Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Introduction { get; set; }
Public Overridable Property Introduction As String
    Get
    Set
public:
virtual property String^ Introduction {
    String^ get ();
    void set (String^ value);
}
abstract Introduction : string with get, set
override Introduction : string with get, set

Property Value

Type: String
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.MatchedDatas Property

ProductMatchedDatas Property

关联的匹配数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<ProductMatchedData> MatchedDatas { get; set; }
Public Overridable Property MatchedDatas As ISet(Of ProductMatchedData)
    Get
    Set
public:
virtual property ISet<ProductMatchedData^>^ MatchedDatas {
    ISet<ProductMatchedData^>^ get ();
    void set (ISet<ProductMatchedData^>^ value);
}
abstract MatchedDatas : ISet<ProductMatchedData> with get, set
override MatchedDatas : ISet<ProductMatchedData> with get, set

Property Value

Type: ISet ProductMatchedData
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Name Property

ProductName Property

商品名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.PropertyValues Property

ProductPropertyValues Property

关联的属性值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<ProductToPropertyValue> PropertyValues { get; set; }
Public Overridable Property PropertyValues As ISet(Of ProductToPropertyValue)
    Get
    Set
public:
virtual property ISet<ProductToPropertyValue^>^ PropertyValues {
    ISet<ProductToPropertyValue^>^ get ();
    void set (ISet<ProductToPropertyValue^>^ value);
}
abstract PropertyValues : ISet<ProductToPropertyValue> with get, set
override PropertyValues : ISet<ProductToPropertyValue> with get, set

Property Value

Type: ISet ProductToPropertyValue
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Remark Property

ProductRemark Property

备注，格式是Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Seller Property

ProductSeller Property

卖家，可以等于null

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Seller { get; set; }
Public Overridable Property Seller As User
    Get
    Set
public:
virtual property User^ Seller {
    User^ get ();
    void set (User^ value);
}
abstract Seller : User with get, set
override Seller : User with get, set

Property Value

Type: User
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.State Property

ProductState Property

商品状态，必须是继承IProductState的状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string State { get; set; }
Public Overridable Property State As String
    Get
    Set
public:
virtual property String^ State {
    String^ get ();
    void set (String^ value);
}
abstract State : string with get, set
override State : string with get, set

Property Value

Type: String
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Tags Property

ProductTags Property

关联的标签

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<GenericTag> Tags { get; set; }
Public Overridable Property Tags As ISet(Of GenericTag)
    Get
    Set
public:
virtual property ISet<GenericTag^>^ Tags {
    ISet<GenericTag^>^ get ();
    void set (ISet<GenericTag^>^ value);
}
abstract Tags : ISet<GenericTag> with get, set
override Tags : ISet<GenericTag> with get, set

Property Value

Type: ISet GenericTag
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Type Property

ProductType Property

商品类型，必须是继承IProductType的类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Type { get; set; }
Public Overridable Property Type As String
    Get
    Set
public:
virtual property String^ Type {
    String^ get ();
    void set (String^ value);
}
abstract Type : string with get, set
override Type : string with get, set

Property Value

Type: String
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.UpdateTime Property

ProductUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product Methods

The Product type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | FindPropertyValuesFromPropertyParameters | 根据属性参数查找商品的属性 属性在属性参数中时返回该属性 (Defined by ProductExtensions.)
Public Extension Method | FindPropertyValuesWhereNameContains | 根据名称查找商品的属性 属性名包含指定的名称时返回该属性 (Defined by ProductExtensions.)
Public Extension Method | GetMatchParametersDescription | 获取商品匹配参数的描述 (Defined by ProductExtensions.)
Public Extension Method | GetProductState | 获取商品状态 (Defined by ProductExtensions.)
Public Extension Method | GetProductType | 获取商品类型 (Defined by ProductExtensions.)
Public Extension Method | GetSummaryHtml | 获取商品概述的Html 一般用于后台商品列表页等表格页面中 (Defined by ProductExtensions.)
Top
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.Configure Method

ProductConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<Product> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of Product)
)
public:
virtual void Configure(
    IEntityMappingBuilder<Product^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<Product> -> unit
override Configure :
        builder : IEntityMappingBuilder<Product> -> unit

Parameters

builder
Type: IEntityMappingBuilderProduct

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


Product.ToString Method

ProductToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product.ToString"]

See Also

Reference

Product Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory Class
商品类目
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductCategory

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductCategory : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<ProductCategory>, IEntityMappingProvider
Public Class ProductCategory
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    ILiquidizable, IEntity(Of Guid), IEntityMappingProvider(Of ProductCategory),
    IEntityMappingProvider
public ref class ProductCategory : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<ProductCategory^>, IEntityMappingProvider
type ProductCategory =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface ILiquidizable
        interface IEntity<Guid>
        interface IEntityMappingProvider<ProductCategory>
        interface IEntityMappingProvider
    end

The ProductCategory type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategory | 初始化
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 类目Id
Public property | Name | 类目名称
Public property | Properties | 类目下的属性，多对多
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | OrderedProperties | 获取经过排序的属性列表 (Defined by ProductCategoryExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductCategory()
Public Sub New
public:
ProductCategory()
new : unit -> ProductCategory
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory Properties

The ProductCategory type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 类目Id
Public property | Name | 类目名称
Public property | Properties | 类目下的属性，多对多
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.CreateTime Property

ProductCategoryCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.Deleted Property

ProductCategoryDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.Id Property

ProductCategoryId Property

类目Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.Name Property

ProductCategoryName Property

类目名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.Properties Property

ProductCategoryProperties Property

类目下的属性，多对多

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<ProductProperty> Properties { get; set; }
Public Overridable Property Properties As ISet(Of ProductProperty)
    Get
    Set
public:
virtual property ISet<ProductProperty^>^ Properties {
    ISet<ProductProperty^>^ get ();
    void set (ISet<ProductProperty^>^ value);
}
abstract Properties : ISet<ProductProperty> with get, set
override Properties : ISet<ProductProperty> with get, set

Property Value

Type: ISet ProductProperty
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.Remark Property

ProductCategoryRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.UpdateTime Property

ProductCategoryUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory Methods

The ProductCategory type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | OrderedProperties | 获取经过排序的属性列表 (Defined by ProductCategoryExtensions.)
Top
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.Configure Method

ProductCategoryConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductCategory> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductCategory)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductCategory^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductCategory> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductCategory> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductCategory

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductCategory.ToString Method

ProductCategoryToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory.ToString"]

See Also

Reference

ProductCategory Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData Class
商品匹配数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductMatchedData

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchedData : IEntity<Guid>,
    IEntity, IEntityMappingProvider<ProductMatchedData>, IEntityMappingProvider
Public Class ProductMatchedData
    Implements IEntity(Of Guid), IEntity,
    IEntityMappingProvider(Of ProductMatchedData), IEntityMappingProvider
public ref class ProductMatchedData : IEntity<Guid>,
    IEntity, IEntityMappingProvider<ProductMatchedData^>, IEntityMappingProvider
type ProductMatchedData =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IEntityMappingProvider<ProductMatchedData>
        interface IEntityMappingProvider
    end

The ProductMatchedData type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedData | 初始化
Top
Properties
 | Name | Description
Public property | Affects | 影响数据
Public property | BarCode | 条形码，等于null时继续匹配下一项
Public property | Conditions | 匹配条件
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | ItemNo | 货号，等于null时继续匹配下一项
Public property | MatchOrder | 匹配顺序，从小到大
Public property | Price | 价格，等于null时继续匹配下一项
Public property | PriceCurrency | 价格的货币，跟随价格匹配
Public property | Product | 属于的商品
Public property | Remark | 备注，纯文本
Public property | Stock | 库存，等于null时继续匹配下一项
Public property | Weight | 重量，等于null时继续匹配下一项
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | GetCurrency | 获取货币信息 没有设置时返回默认货币信息 (Defined by ProductMatchedDataExtensions.)
Public Extension Method | ReduceStock | 减少匹配数据中的库存 有可能会减到负数但不会失败 (Defined by ProductMatchedDataExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedData()
Public Sub New
public:
ProductMatchedData()
new : unit -> ProductMatchedData
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData Properties

The ProductMatchedData type exposes the following members.

Properties
 | Name | Description
Public property | Affects | 影响数据
Public property | BarCode | 条形码，等于null时继续匹配下一项
Public property | Conditions | 匹配条件
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | ItemNo | 货号，等于null时继续匹配下一项
Public property | MatchOrder | 匹配顺序，从小到大
Public property | Price | 价格，等于null时继续匹配下一项
Public property | PriceCurrency | 价格的货币，跟随价格匹配
Public property | Product | 属于的商品
Public property | Remark | 备注，纯文本
Public property | Stock | 库存，等于null时继续匹配下一项
Public property | Weight | 重量，等于null时继续匹配下一项
Top
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Affects Property

ProductMatchedDataAffects Property

影响数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductMatchedDataAffects Affects { get; set; }
Public Overridable Property Affects As ProductMatchedDataAffects
    Get
    Set
public:
virtual property ProductMatchedDataAffects^ Affects {
    ProductMatchedDataAffects^ get ();
    void set (ProductMatchedDataAffects^ value);
}
abstract Affects : ProductMatchedDataAffects with get, set
override Affects : ProductMatchedDataAffects with get, set

Property Value

Type: ProductMatchedDataAffects
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.BarCode Property

ProductMatchedDataBarCode Property

条形码，等于null时继续匹配下一项

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string BarCode { get; set; }
Public Overridable Property BarCode As String
    Get
    Set
public:
virtual property String^ BarCode {
    String^ get ();
    void set (String^ value);
}
abstract BarCode : string with get, set
override BarCode : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Conditions Property

ProductMatchedDataConditions Property

匹配条件

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductMatchedDataConditions Conditions { get; set; }
Public Overridable Property Conditions As ProductMatchedDataConditions
    Get
    Set
public:
virtual property ProductMatchedDataConditions^ Conditions {
    ProductMatchedDataConditions^ get ();
    void set (ProductMatchedDataConditions^ value);
}
abstract Conditions : ProductMatchedDataConditions with get, set
override Conditions : ProductMatchedDataConditions with get, set

Property Value

Type: ProductMatchedDataConditions
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Id Property

ProductMatchedDataId Property

数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.ItemNo Property

ProductMatchedDataItemNo Property

货号，等于null时继续匹配下一项

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ItemNo { get; set; }
Public Overridable Property ItemNo As String
    Get
    Set
public:
virtual property String^ ItemNo {
    String^ get ();
    void set (String^ value);
}
abstract ItemNo : string with get, set
override ItemNo : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.MatchOrder Property

ProductMatchedDataMatchOrder Property

匹配顺序，从小到大

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long MatchOrder { get; set; }
Public Overridable Property MatchOrder As Long
    Get
    Set
public:
virtual property long long MatchOrder {
    long long get ();
    void set (long long value);
}
abstract MatchOrder : int64 with get, set
override MatchOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Price Property

ProductMatchedDataPrice Property

价格，等于null时继续匹配下一项

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<decimal> Price { get; set; }
Public Overridable Property Price As Nullable(Of Decimal)
    Get
    Set
public:
virtual property Nullable<Decimal> Price {
    Nullable<Decimal> get ();
    void set (Nullable<Decimal> value);
}
abstract Price : Nullable<decimal> with get, set
override Price : Nullable<decimal> with get, set

Property Value

Type: Nullable Decimal
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.PriceCurrency Property

ProductMatchedDataPriceCurrency Property

价格的货币，跟随价格匹配

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string PriceCurrency { get; set; }
Public Overridable Property PriceCurrency As String
    Get
    Set
public:
virtual property String^ PriceCurrency {
    String^ get ();
    void set (String^ value);
}
abstract PriceCurrency : string with get, set
override PriceCurrency : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Product Property

ProductMatchedDataProduct Property

属于的商品

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product Product { get; set; }
Public Overridable Property Product As Product
    Get
    Set
public:
virtual property Product^ Product {
    Product^ get ();
    void set (Product^ value);
}
abstract Product : Product with get, set
override Product : Product with get, set

Property Value

Type: Product
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Remark Property

ProductMatchedDataRemark Property

备注，纯文本

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Stock Property

ProductMatchedDataStock Property

库存，等于null时继续匹配下一项

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<long> Stock { get; set; }
Public Overridable Property Stock As Nullable(Of Long)
    Get
    Set
public:
virtual property Nullable<long long> Stock {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
abstract Stock : Nullable<int64> with get, set
override Stock : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Weight Property

ProductMatchedDataWeight Property

重量，等于null时继续匹配下一项

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<decimal> Weight { get; set; }
Public Overridable Property Weight As Nullable(Of Decimal)
    Get
    Set
public:
virtual property Nullable<Decimal> Weight {
    Nullable<Decimal> get ();
    void set (Nullable<Decimal> value);
}
abstract Weight : Nullable<decimal> with get, set
override Weight : Nullable<decimal> with get, set

Property Value

Type: Nullable Decimal
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData Methods

The ProductMatchedData type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
Extension Methods
 | Name | Description
Public Extension Method | GetCurrency | 获取货币信息 没有设置时返回默认货币信息 (Defined by ProductMatchedDataExtensions.)
Public Extension Method | ReduceStock | 减少匹配数据中的库存 有可能会减到负数但不会失败 (Defined by ProductMatchedDataExtensions.)
Top
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductMatchedData.Configure Method

ProductMatchedDataConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductMatchedData> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductMatchedData)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductMatchedData^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductMatchedData> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductMatchedData> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductMatchedData

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductMatchedData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty Class
商品属性
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductProperty

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductProperty : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<ProductProperty>, IEntityMappingProvider
Public Class ProductProperty
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    ILiquidizable, IEntity(Of Guid), IEntityMappingProvider(Of ProductProperty),
    IEntityMappingProvider
public ref class ProductProperty : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<ProductProperty^>, IEntityMappingProvider
type ProductProperty =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface ILiquidizable
        interface IEntity<Guid>
        interface IEntityMappingProvider<ProductProperty>
        interface IEntityMappingProvider
    end

The ProductProperty type exposes the following members.

Constructors
 | Name | Description
Public method | ProductProperty | 初始化
Top
Properties
 | Name | Description
Public property | ControlType | 输入控件类型
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 属性Id
Public property | IsSalesProperty | 是否销售属性 销售属性时买家在购买时必须选择该属性的值
Public property | Name | 属性名称
Public property | PropertyValues | 属性值列表，一对多
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | GetEditHtml | 获取编辑时使用的Html (Defined by ProductPropertyExtensions.)
Public Extension Method | OrderedPropertyValues | 获取经过排序的属性值列表 (Defined by ProductPropertyExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductProperty()
Public Sub New
public:
ProductProperty()
new : unit -> ProductProperty
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty Properties

The ProductProperty type exposes the following members.

Properties
 | Name | Description
Public property | ControlType | 输入控件类型
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Id | 属性Id
Public property | IsSalesProperty | 是否销售属性 销售属性时买家在购买时必须选择该属性的值
Public property | Name | 属性名称
Public property | PropertyValues | 属性值列表，一对多
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.ControlType Property

ProductPropertyControlType Property

输入控件类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductPropertyControlType ControlType { get; set; }
Public Overridable Property ControlType As ProductPropertyControlType
    Get
    Set
public:
virtual property ProductPropertyControlType ControlType {
    ProductPropertyControlType get ();
    void set (ProductPropertyControlType value);
}
abstract ControlType : ProductPropertyControlType with get, set
override ControlType : ProductPropertyControlType with get, set

Property Value

Type: ProductPropertyControlType
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.CreateTime Property

ProductPropertyCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.Deleted Property

ProductPropertyDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.DisplayOrder Property

ProductPropertyDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.Id Property

ProductPropertyId Property

属性Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.IsSalesProperty Property

ProductPropertyIsSalesProperty Property

是否销售属性 销售属性时买家在购买时必须选择该属性的值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool IsSalesProperty { get; set; }
Public Overridable Property IsSalesProperty As Boolean
    Get
    Set
public:
virtual property bool IsSalesProperty {
    bool get ();
    void set (bool value);
}
abstract IsSalesProperty : bool with get, set
override IsSalesProperty : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.Name Property

ProductPropertyName Property

属性名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.PropertyValues Property

ProductPropertyPropertyValues Property

属性值列表，一对多

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ISet<ProductPropertyValue> PropertyValues { get; set; }
Public Overridable Property PropertyValues As ISet(Of ProductPropertyValue)
    Get
    Set
public:
virtual property ISet<ProductPropertyValue^>^ PropertyValues {
    ISet<ProductPropertyValue^>^ get ();
    void set (ISet<ProductPropertyValue^>^ value);
}
abstract PropertyValues : ISet<ProductPropertyValue> with get, set
override PropertyValues : ISet<ProductPropertyValue> with get, set

Property Value

Type: ISet ProductPropertyValue
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.Remark Property

ProductPropertyRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.UpdateTime Property

ProductPropertyUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty Methods

The ProductProperty type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | GetEditHtml | 获取编辑时使用的Html (Defined by ProductPropertyExtensions.)
Public Extension Method | OrderedPropertyValues | 获取经过排序的属性值列表 (Defined by ProductPropertyExtensions.)
Top
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.Configure Method

ProductPropertyConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductProperty> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductProperty)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductProperty^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductProperty> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductProperty> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductProperty

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductProperty.ToString Method

ProductPropertyToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty.ToString"]

See Also

Reference

ProductProperty Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue Class
商品属性值
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductPropertyValue

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyValue : IHaveCreateTime,
    IEntity, IHaveUpdateTime, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<ProductPropertyValue>, IEntityMappingProvider
Public Class ProductPropertyValue
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, ILiquidizable,
    IEntity(Of Guid), IEntityMappingProvider(Of ProductPropertyValue), IEntityMappingProvider
public ref class ProductPropertyValue : IHaveCreateTime,
    IEntity, IHaveUpdateTime, ILiquidizable, IEntity<Guid>,
    IEntityMappingProvider<ProductPropertyValue^>, IEntityMappingProvider
type ProductPropertyValue =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface ILiquidizable
        interface IEntity<Guid>
        interface IEntityMappingProvider<ProductPropertyValue>
        interface IEntityMappingProvider
    end

The ProductPropertyValue type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyValue | Initializes a new instance of the ProductPropertyValue class
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | DisplayOrder | 显示顺序，从小到大 自动分配
Public property | Id | 属性值Id
Public property | Name | 属性值名称
Public property | Property | 所属的商品属性
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue Constructor

Initializes a new instance of the ProductPropertyValue class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyValue()
Public Sub New
public:
ProductPropertyValue()
new : unit -> ProductPropertyValue
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue Properties

The ProductPropertyValue type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | DisplayOrder | 显示顺序，从小到大 自动分配
Public property | Id | 属性值Id
Public property | Name | 属性值名称
Public property | Property | 所属的商品属性
Public property | Remark | 备注
Public property | UpdateTime | 更新时间
Top
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.CreateTime Property

ProductPropertyValueCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.DisplayOrder Property

ProductPropertyValueDisplayOrder Property

显示顺序，从小到大 自动分配

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual long DisplayOrder { get; set; }
Public Overridable Property DisplayOrder As Long
    Get
    Set
public:
virtual property long long DisplayOrder {
    long long get ();
    void set (long long value);
}
abstract DisplayOrder : int64 with get, set
override DisplayOrder : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.Id Property

ProductPropertyValueId Property

属性值Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.Name Property

ProductPropertyValueName Property

属性值名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Name { get; set; }
Public Overridable Property Name As String
    Get
    Set
public:
virtual property String^ Name {
    String^ get ();
    void set (String^ value);
}
abstract Name : string with get, set
override Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.Property Property

ProductPropertyValueProperty Property

所属的商品属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductProperty Property { get; set; }
Public Overridable Property Property As ProductProperty
    Get
    Set
public:
virtual property ProductProperty^ Property {
    ProductProperty^ get ();
    void set (ProductProperty^ value);
}
abstract Property : ProductProperty with get, set
override Property : ProductProperty with get, set

Property Value

Type: ProductProperty
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.Remark Property

ProductPropertyValueRemark Property

备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Remark { get; set; }
Public Overridable Property Remark As String
    Get
    Set
public:
virtual property String^ Remark {
    String^ get ();
    void set (String^ value);
}
abstract Remark : string with get, set
override Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.UpdateTime Property

ProductPropertyValueUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue Methods

The ProductPropertyValue type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 显示名称 (Overrides ObjectToString.)
Top
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.Configure Method

ProductPropertyValueConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductPropertyValue> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductPropertyValue)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductPropertyValue^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductPropertyValue> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductPropertyValue> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductPropertyValue

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductPropertyValue.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductPropertyValue})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductPropertyValue.ToString Method

ProductPropertyValueToString Method

显示名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductPropertyValue.ToString"]

See Also

Reference

ProductPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue Class
商品使用的属性值
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductToPropertyValue

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductToPropertyValue : IEntity<Guid>,
    IEntity, IEntityMappingProvider<ProductToPropertyValue>, IEntityMappingProvider
Public Class ProductToPropertyValue
    Implements IEntity(Of Guid), IEntity,
    IEntityMappingProvider(Of ProductToPropertyValue), IEntityMappingProvider
public ref class ProductToPropertyValue : IEntity<Guid>,
    IEntity, IEntityMappingProvider<ProductToPropertyValue^>, IEntityMappingProvider
type ProductToPropertyValue =
    class
        interface IEntity<Guid>
        interface IEntity
        interface IEntityMappingProvider<ProductToPropertyValue>
        interface IEntityMappingProvider
    end

The ProductToPropertyValue type exposes the following members.

Constructors
 | Name | Description
Public method | ProductToPropertyValue | Initializes a new instance of the ProductToPropertyValue class
Top
Properties
 | Name | Description
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | Product | 属于的商品
Public property | Property | 属性
Public property | PropertyValue | 属性值，手工输入时等于null
Public property | PropertyValueName | 属性值名称，允许手动修改
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue Constructor

Initializes a new instance of the ProductToPropertyValue class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductToPropertyValue()
Public Sub New
public:
ProductToPropertyValue()
new : unit -> ProductToPropertyValue
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue Properties

The ProductToPropertyValue type exposes the following members.

Properties
 | Name | Description
Public property | Id | 数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id
Public property | Product | 属于的商品
Public property | Property | 属性
Public property | PropertyValue | 属性值，手工输入时等于null
Public property | PropertyValueName | 属性值名称，允许手动修改
Top
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue.Id Property

ProductToPropertyValueId Property

数据Id 因为数据在编辑时会删除重建，其他表不能关联这里的Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue.Product Property

ProductToPropertyValueProduct Property

属于的商品

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product Product { get; set; }
Public Overridable Property Product As Product
    Get
    Set
public:
virtual property Product^ Product {
    Product^ get ();
    void set (Product^ value);
}
abstract Product : Product with get, set
override Product : Product with get, set

Property Value

Type: Product
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue.Property Property

ProductToPropertyValueProperty Property

属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductProperty Property { get; set; }
Public Overridable Property Property As ProductProperty
    Get
    Set
public:
virtual property ProductProperty^ Property {
    ProductProperty^ get ();
    void set (ProductProperty^ value);
}
abstract Property : ProductProperty with get, set
override Property : ProductProperty with get, set

Property Value

Type: ProductProperty
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue.PropertyValue Property

ProductToPropertyValuePropertyValue Property

属性值，手工输入时等于null

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductPropertyValue PropertyValue { get; set; }
Public Overridable Property PropertyValue As ProductPropertyValue
    Get
    Set
public:
virtual property ProductPropertyValue^ PropertyValue {
    ProductPropertyValue^ get ();
    void set (ProductPropertyValue^ value);
}
abstract PropertyValue : ProductPropertyValue with get, set
override PropertyValue : ProductPropertyValue with get, set

Property Value

Type: ProductPropertyValue
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue.PropertyValueName Property

ProductToPropertyValuePropertyValueName Property

属性值名称，允许手动修改

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string PropertyValueName { get; set; }
Public Overridable Property PropertyValueName As String
    Get
    Set
public:
virtual property String^ PropertyValueName {
    String^ get ();
    void set (String^ value);
}
abstract PropertyValueName : string with get, set
override PropertyValueName : string with get, set

Property Value

Type: String
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue Methods

The ProductToPropertyValue type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ProductToPropertyValue.Configure Method

ProductToPropertyValueConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductToPropertyValue> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductToPropertyValue)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductToPropertyValue^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductToPropertyValue> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductToPropertyValue> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductToPropertyValue

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductToPropertyValue.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductToPropertyValue})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductToPropertyValue Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Entities Namespace


ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Domain.Enums"]

Classes
 | Class | Description
Public class | ProductAlbumImageSuffixAttribute | 商品相册的图片类型的后缀
Enumerations
 | Enumeration | Description
Public enumeration | ProductAlbumImageType | 商品相册的图片类型
Public enumeration | ProductPropertyControlType | 商品属性使用的输入控件类型


ProductAlbumImageSuffixAttribute Class
商品相册的图片类型的后缀
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Shopping.Product.src.Domain.EnumsProductAlbumImageSuffixAttribute

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumImageSuffixAttribute : Attribute
Public Class ProductAlbumImageSuffixAttribute
    Inherits Attribute
public ref class ProductAlbumImageSuffixAttribute : public Attribute
type ProductAlbumImageSuffixAttribute =
    class
        inherit Attribute
    end

The ProductAlbumImageSuffixAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumImageSuffixAttribute | Initializes a new instance of the ProductAlbumImageSuffixAttribute class
Top
Properties
 | Name | Description
Public property | Suffix | 后缀名
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace


ProductAlbumImageSuffixAttribute Constructor

Initializes a new instance of the ProductAlbumImageSuffixAttribute class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumImageSuffixAttribute()
Public Sub New
public:
ProductAlbumImageSuffixAttribute()
new : unit -> ProductAlbumImageSuffixAttribute
See Also

Reference

ProductAlbumImageSuffixAttribute Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace


ProductAlbumImageSuffixAttribute Properties

The ProductAlbumImageSuffixAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Suffix | 后缀名
Top
See Also

Reference

ProductAlbumImageSuffixAttribute Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace


ProductAlbumImageSuffixAttribute.Suffix Property

ProductAlbumImageSuffixAttributeSuffix Property

后缀名

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; set; }
Public Property Suffix As String
    Get
    Set
public:
property String^ Suffix {
    String^ get ();
    void set (String^ value);
}
member Suffix : string with get, set

Property Value

Type: String
See Also

Reference

ProductAlbumImageSuffixAttribute Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace


ProductAlbumImageType Enumeration
商品相册的图片类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum ProductAlbumImageType
Public Enumeration ProductAlbumImageType
public enum class ProductAlbumImageType
type ProductAlbumImageType
Members
Member name | Value | Description
Normal | 0 | 原图
Thumbnail | 1 | 缩略图
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace


ProductPropertyControlType Enumeration
商品属性使用的输入控件类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum ProductPropertyControlType
Public Enumeration ProductPropertyControlType
public enum class ProductPropertyControlType
type ProductPropertyControlType
Members
Member name | Value | Description
TextBox | 0 | 文本框
CheckBox | 1 | 多选框
RadioButton | 2 | 单选按钮
DropdownList | 3 | 下拉列表
EditableDropdownList | 4 | 可编辑的下拉列表
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Enums Namespace


ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions"]

Classes
 | Class | Description
Public class | ProductCategoryExtensions | 商品类目的扩展函数
Public class | ProductExtensions | 商品的扩展函数
Public class | ProductMatchedDataConditionsExtensions | 商品匹配数据的匹配条件的扩展函数
Public class | ProductMatchedDataConditionsExtensionsPropertyCondition | 商品属性条件
Public class | ProductMatchedDataExtensions | 商品匹配数据的扩展函数
Public class | ProductMatchParametersExtensions | 商品匹配参数的扩展函数
Public class | ProductMatchParametersExtensionsPropertyParameter | 商品属性参数
Public class | ProductPropertyExtensions | 商品属性的扩展函数
Public class | ProductPropertyValueExtensions | 商品属性值的扩展函数
Public class | ProductToPropertyValueExtensions | 商品属性值的扩展函数


ProductCategoryExtensions Class
商品类目的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductCategoryExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductCategoryExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductCategoryExtensions
[ExtensionAttribute]
public ref class ProductCategoryExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductCategoryExtensions =  class end

The ProductCategoryExtensions type exposes the following members.

Methods
Name | Description
GetFullName | 获取类目完整的显示名称 格式 顶级类目 > 上级类目 > 类目
OrderedProperties | 获取经过排序的属性列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductCategoryExtensions Methods

The ProductCategoryExtensions type exposes the following members.

Methods
Name | Description
GetFullName | 获取类目完整的显示名称 格式 顶级类目 > 上级类目 > 类目
OrderedProperties | 获取经过排序的属性列表
Top
See Also

Reference

ProductCategoryExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductCategoryExtensions.GetFullName Method

ProductCategoryExtensionsGetFullName Method

获取类目完整的显示名称 格式 顶级类目 > 上级类目 > 类目

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetFullName(
    this ITreeNode<ProductCategory> category,
    string delimiter = " > "
)
<ExtensionAttribute>
Public Shared Function GetFullName (
    category As ITreeNode(Of ProductCategory),
    Optional delimiter As String = " > "
) As String
public:
[ExtensionAttribute]
static String^ GetFullName(
    ITreeNode<ProductCategory^>^ category,
    String^ delimiter = L" > "
)
[<ExtensionAttribute>]
static member GetFullName :
        category : ITreeNode<ProductCategory> *
        ?delimiter : string
(* Defaults:
        let _delimiter = defaultArg delimiter " > "
*)
-> string

Parameters

category
Type: ITreeNodeProductCategory
类目
delimiter (Optional)
Type: SystemString
分隔符，默认是" > "

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductCategoryExtensions.GetFullName(ZKWebStandard.Utils.ITreeNode{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory},System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ITreeNodeProductCategory . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductCategoryExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductCategoryExtensions.OrderedProperties Method

ProductCategoryExtensionsOrderedProperties Method

获取经过排序的属性列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ProductProperty> OrderedProperties(
    this ProductCategory category
)
<ExtensionAttribute>
Public Shared Function OrderedProperties (
    category As ProductCategory
) As IEnumerable(Of ProductProperty)
public:
[ExtensionAttribute]
static IEnumerable<ProductProperty^>^ OrderedProperties(
    ProductCategory^ category
)
[<ExtensionAttribute>]
static member OrderedProperties :
        category : ProductCategory -> IEnumerable<ProductProperty>

Parameters

category
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductCategory
类目

Return Value

Type: IEnumerable ProductProperty

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductCategoryExtensions.OrderedProperties(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductCategory. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductCategoryExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions Class
商品的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductExtensions
[ExtensionAttribute]
public ref class ProductExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductExtensions =  class end

The ProductExtensions type exposes the following members.

Methods
Name | Description
FindPropertyValuesFromPropertyParameters | 根据属性参数查找商品的属性 属性在属性参数中时返回该属性
FindPropertyValuesWhereNameContains | 根据名称查找商品的属性 属性名包含指定的名称时返回该属性
GetProductState | 获取商品状态
GetProductType | 获取商品类型
GetSummaryHtml | 获取商品概述的Html 一般用于后台商品列表页等表格页面中
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions Methods

The ProductExtensions type exposes the following members.

Methods
Name | Description
FindPropertyValuesFromPropertyParameters | 根据属性参数查找商品的属性 属性在属性参数中时返回该属性
FindPropertyValuesWhereNameContains | 根据名称查找商品的属性 属性名包含指定的名称时返回该属性
GetProductState | 获取商品状态
GetProductType | 获取商品类型
GetSummaryHtml | 获取商品概述的Html 一般用于后台商品列表页等表格页面中
Top
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions.FindPropertyValuesFromPropertyParameters Method

ProductExtensionsFindPropertyValuesFromPropertyParameters Method

根据属性参数查找商品的属性 属性在属性参数中时返回该属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ProductToPropertyValue> FindPropertyValuesFromPropertyParameters(
    this Product product,
    IList<ProductMatchParametersExtensionsPropertyParameter> properties
)
<ExtensionAttribute>
Public Shared Function FindPropertyValuesFromPropertyParameters (
    product As Product,
    properties As IList(Of ProductMatchParametersExtensionsPropertyParameter)
) As IEnumerable(Of ProductToPropertyValue)
public:
[ExtensionAttribute]
static IEnumerable<ProductToPropertyValue^>^ FindPropertyValuesFromPropertyParameters(
    Product^ product,
    IList<ProductMatchParametersExtensionsPropertyParameter^>^ properties
)
[<ExtensionAttribute>]
static member FindPropertyValuesFromPropertyParameters :
        product : Product *
        properties : IList<ProductMatchParametersExtensionsPropertyParameter> -> IEnumerable<ProductToPropertyValue>

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品
properties
Type: System.Collections.GenericIList ProductMatchParametersExtensionsPropertyParameter
商品属性参数

Return Value

Type: IEnumerable ProductToPropertyValue

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductExtensions.FindPropertyValuesFromPropertyParameters(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchParametersExtensions.PropertyParameter})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Product. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions.FindPropertyValuesWhereNameContains Method

ProductExtensionsFindPropertyValuesWhereNameContains Method

根据名称查找商品的属性 属性名包含指定的名称时返回该属性

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ProductToPropertyValue> FindPropertyValuesWhereNameContains(
    this Product product,
    string name
)
<ExtensionAttribute>
Public Shared Function FindPropertyValuesWhereNameContains (
    product As Product,
    name As String
) As IEnumerable(Of ProductToPropertyValue)
public:
[ExtensionAttribute]
static IEnumerable<ProductToPropertyValue^>^ FindPropertyValuesWhereNameContains(
    Product^ product,
    String^ name
)
[<ExtensionAttribute>]
static member FindPropertyValuesWhereNameContains :
        product : Product *
        name : string -> IEnumerable<ProductToPropertyValue>

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品
name
Type: SystemString
属性名称，可以是翻译之前的

Return Value

Type: IEnumerable ProductToPropertyValue

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductExtensions.FindPropertyValuesWhereNameContains(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Product. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions.GetProductState Method

ProductExtensionsGetProductState Method

获取商品状态

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IProductState GetProductState(
    this Product product
)
<ExtensionAttribute>
Public Shared Function GetProductState (
    product As Product
) As IProductState
public:
[ExtensionAttribute]
static IProductState^ GetProductState(
    Product^ product
)
[<ExtensionAttribute>]
static member GetProductState :
        product : Product -> IProductState

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品

Return Value

Type: IProductState

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductExtensions.GetProductState(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Product. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions.GetProductType Method

ProductExtensionsGetProductType Method

获取商品类型

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IProductType GetProductType(
    this Product product
)
<ExtensionAttribute>
Public Shared Function GetProductType (
    product As Product
) As IProductType
public:
[ExtensionAttribute]
static IProductType^ GetProductType(
    Product^ product
)
[<ExtensionAttribute>]
static member GetProductType :
        product : Product -> IProductType

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品

Return Value

Type: IProductType

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductExtensions.GetProductType(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Product. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductExtensions.GetSummaryHtml Method

ProductExtensionsGetSummaryHtml Method

获取商品概述的Html 一般用于后台商品列表页等表格页面中

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetSummaryHtml(
    this Product product,
    int truncateSize = 25
)
<ExtensionAttribute>
Public Shared Function GetSummaryHtml (
    product As Product,
    Optional truncateSize As Integer = 25
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetSummaryHtml(
    Product^ product,
    int truncateSize = 25
)
[<ExtensionAttribute>]
static member GetSummaryHtml :
        product : Product *
        ?truncateSize : int
(* Defaults:
        let _truncateSize = defaultArg truncateSize 25
*)
-> HtmlString

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品
truncateSize (Optional)
Type: SystemInt32
商品名称的截取长度

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductExtensions.GetSummaryHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,System.Int32)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Product. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions Class
商品匹配数据的匹配条件的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductMatchedDataConditionsExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductMatchedDataConditionsExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductMatchedDataConditionsExtensions
[ExtensionAttribute]
public ref class ProductMatchedDataConditionsExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductMatchedDataConditionsExtensions =  class end

The ProductMatchedDataConditionsExtensions type exposes the following members.

Methods
Name | Description
GetOrderCountGE | 获取订购数量大于或等于指定数量的条件
GetProperties | 获取商品属性条件
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions Methods

The ProductMatchedDataConditionsExtensions type exposes the following members.

Methods
Name | Description
GetOrderCountGE | 获取订购数量大于或等于指定数量的条件
GetProperties | 获取商品属性条件
Top
See Also

Reference

ProductMatchedDataConditionsExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions.GetOrderCountGE Method

ProductMatchedDataConditionsExtensionsGetOrderCountGE Method

获取订购数量大于或等于指定数量的条件

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static Nullable<long> GetOrderCountGE(
    this ProductMatchedDataConditions conditions
)
<ExtensionAttribute>
Public Shared Function GetOrderCountGE (
    conditions As ProductMatchedDataConditions
) As Nullable(Of Long)
public:
[ExtensionAttribute]
static Nullable<long long> GetOrderCountGE(
    ProductMatchedDataConditions^ conditions
)
[<ExtensionAttribute>]
static member GetOrderCountGE :
        conditions : ProductMatchedDataConditions -> Nullable<int64>

Parameters

conditions
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchedDataConditions
匹配条件

Return Value

Type: Nullable Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataConditionsExtensions.GetOrderCountGE(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchedDataConditions)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchedDataConditions. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataConditionsExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions.GetProperties Method

ProductMatchedDataConditionsExtensionsGetProperties Method

获取商品属性条件

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<ProductMatchedDataConditionsExtensionsPropertyCondition> GetProperties(
    this ProductMatchedDataConditions conditions
)
<ExtensionAttribute>
Public Shared Function GetProperties (
    conditions As ProductMatchedDataConditions
) As IList(Of ProductMatchedDataConditionsExtensionsPropertyCondition)
public:
[ExtensionAttribute]
static IList<ProductMatchedDataConditionsExtensionsPropertyCondition^>^ GetProperties(
    ProductMatchedDataConditions^ conditions
)
[<ExtensionAttribute>]
static member GetProperties :
        conditions : ProductMatchedDataConditions -> IList<ProductMatchedDataConditionsExtensionsPropertyCondition>

Parameters

conditions
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchedDataConditions
匹配条件

Return Value

Type: IList ProductMatchedDataConditionsExtensionsPropertyCondition

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataConditionsExtensions.GetProperties(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchedDataConditions)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchedDataConditions. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataConditionsExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions.PropertyCondition Class

ProductMatchedDataConditionsExtensionsPropertyCondition Class
商品属性条件
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductMatchedDataConditionsExtensionsPropertyCondition

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PropertyCondition
Public Class PropertyCondition
public ref class PropertyCondition
type PropertyCondition =  class end

The ProductMatchedDataConditionsExtensionsPropertyCondition type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataConditionsExtensionsPropertyCondition | Initializes a new instance of the ProductMatchedDataConditionsExtensionsPropertyCondition class
Top
Properties
 | Name | Description
Public property | PropertyId |
Public property | PropertyValueId |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions.PropertyCondition Constructor

ProductMatchedDataConditionsExtensionsPropertyCondition Constructor

Initializes a new instance of the ProductMatchedDataConditionsExtensionsPropertyCondition class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PropertyCondition()
Public Sub New
public:
PropertyCondition()
new : unit -> PropertyCondition
See Also

Reference

ProductMatchedDataConditionsExtensionsPropertyCondition Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


PropertyCondition Properties

The ProductMatchedDataConditionsExtensionsPropertyCondition type exposes the following members.

Properties
 | Name | Description
Public property | PropertyId |
Public property | PropertyValueId |
Top
See Also

Reference

ProductMatchedDataConditionsExtensionsPropertyCondition Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions.PropertyCondition.PropertyId Property

ProductMatchedDataConditionsExtensionsPropertyConditionPropertyId Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataConditionsExtensions.PropertyCondition.PropertyId"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid PropertyId { get; set; }
Public Property PropertyId As Guid
    Get
    Set
public:
property Guid PropertyId {
    Guid get ();
    void set (Guid value);
}
member PropertyId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

ProductMatchedDataConditionsExtensionsPropertyCondition Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataConditionsExtensions.PropertyCondition.PropertyValueId Property

ProductMatchedDataConditionsExtensionsPropertyConditionPropertyValueId Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataConditionsExtensions.PropertyCondition.PropertyValueId"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid PropertyValueId { get; set; }
Public Property PropertyValueId As Guid
    Get
    Set
public:
property Guid PropertyValueId {
    Guid get ();
    void set (Guid value);
}
member PropertyValueId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

ProductMatchedDataConditionsExtensionsPropertyCondition Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions Class
商品匹配数据的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductMatchedDataExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductMatchedDataExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductMatchedDataExtensions
[ExtensionAttribute]
public ref class ProductMatchedDataExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductMatchedDataExtensions =  class end

The ProductMatchedDataExtensions type exposes the following members.

Methods
Name | Description
GetCurrency | 获取货币信息 没有设置时返回默认货币信息
GetPriceString | 从商品匹配数据列表获取价格字符串 最小价格等于最大价格时返回 最小价格 不等于时返回 最小价格~最大价格
GetTotalStockString | 从商品匹配数据列表获取总库存字符串 返回所有数据的库存合计
ReduceStock | 减少匹配数据中的库存 有可能会减到负数但不会失败
ToDatabaseSet | 转换到数据库使用的集合
ToEditList | 转换到编辑使用的列表
WhereMatched | 返回匹配的商品匹配数据
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions Methods

The ProductMatchedDataExtensions type exposes the following members.

Methods
Name | Description
GetCurrency | 获取货币信息 没有设置时返回默认货币信息
GetPriceString | 从商品匹配数据列表获取价格字符串 最小价格等于最大价格时返回 最小价格 不等于时返回 最小价格~最大价格
GetTotalStockString | 从商品匹配数据列表获取总库存字符串 返回所有数据的库存合计
ReduceStock | 减少匹配数据中的库存 有可能会减到负数但不会失败
ToDatabaseSet | 转换到数据库使用的集合
ToEditList | 转换到编辑使用的列表
WhereMatched | 返回匹配的商品匹配数据
Top
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.GetCurrency Method

ProductMatchedDataExtensionsGetCurrency Method

获取货币信息 没有设置时返回默认货币信息

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static ICurrency GetCurrency(
    this ProductMatchedData data
)
<ExtensionAttribute>
Public Shared Function GetCurrency (
    data As ProductMatchedData
) As ICurrency
public:
[ExtensionAttribute]
static ICurrency^ GetCurrency(
    ProductMatchedData^ data
)
[<ExtensionAttribute>]
static member GetCurrency :
        data : ProductMatchedData -> ICurrency

Parameters

data
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductMatchedData
商品匹配数据

Return Value

Type: ICurrency

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataExtensions.GetCurrency(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchedData. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.GetPriceString Method

ProductMatchedDataExtensionsGetPriceString Method

从商品匹配数据列表获取价格字符串 最小价格等于最大价格时返回 最小价格 不等于时返回 最小价格~最大价格

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetPriceString(
    this IEnumerable<ProductMatchedData> matchedDatas
)
<ExtensionAttribute>
Public Shared Function GetPriceString (
    matchedDatas As IEnumerable(Of ProductMatchedData)
) As String
public:
[ExtensionAttribute]
static String^ GetPriceString(
    IEnumerable<ProductMatchedData^>^ matchedDatas
)
[<ExtensionAttribute>]
static member GetPriceString :
        matchedDatas : IEnumerable<ProductMatchedData> -> string

Parameters

matchedDatas
Type: System.Collections.GenericIEnumerable ProductMatchedData
商品匹配数据列表

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataExtensions.GetPriceString(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable ProductMatchedData . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.GetTotalStockString Method

ProductMatchedDataExtensionsGetTotalStockString Method

从商品匹配数据列表获取总库存字符串 返回所有数据的库存合计

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetTotalStockString(
    this IEnumerable<ProductMatchedData> matchedDatas
)
<ExtensionAttribute>
Public Shared Function GetTotalStockString (
    matchedDatas As IEnumerable(Of ProductMatchedData)
) As String
public:
[ExtensionAttribute]
static String^ GetTotalStockString(
    IEnumerable<ProductMatchedData^>^ matchedDatas
)
[<ExtensionAttribute>]
static member GetTotalStockString :
        matchedDatas : IEnumerable<ProductMatchedData> -> string

Parameters

matchedDatas
Type: System.Collections.GenericIEnumerable ProductMatchedData
商品匹配数据列表

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataExtensions.GetTotalStockString(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable ProductMatchedData . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.ReduceStock Method

ProductMatchedDataExtensionsReduceStock Method

减少匹配数据中的库存 有可能会减到负数但不会失败

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void ReduceStock(
    this ProductMatchedData matchedData,
    long delta
)
<ExtensionAttribute>
Public Shared Sub ReduceStock (
    matchedData As ProductMatchedData,
    delta As Long
)
public:
[ExtensionAttribute]
static void ReduceStock(
    ProductMatchedData^ matchedData,
    long long delta
)
[<ExtensionAttribute>]
static member ReduceStock :
        matchedData : ProductMatchedData *
        delta : int64 -> unit

Parameters

matchedData
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductMatchedData
匹配数据
delta
Type: SystemInt64
减少值

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchedData. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.ToDatabaseSet Method

ProductMatchedDataExtensionsToDatabaseSet Method

转换到数据库使用的集合

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static ISet<ProductMatchedData> ToDatabaseSet(
    this IList<ProductMatchedDataForEdit> values,
    Product product
)
<ExtensionAttribute>
Public Shared Function ToDatabaseSet (
    values As IList(Of ProductMatchedDataForEdit),
    product As Product
) As ISet(Of ProductMatchedData)
public:
[ExtensionAttribute]
static ISet<ProductMatchedData^>^ ToDatabaseSet(
    IList<ProductMatchedDataForEdit^>^ values,
    Product^ product
)
[<ExtensionAttribute>]
static member ToDatabaseSet :
        values : IList<ProductMatchedDataForEdit> *
        product : Product -> ISet<ProductMatchedData>

Parameters

values
Type: System.Collections.GenericIList ProductMatchedDataForEdit
编辑后的商品匹配数据列表
product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品

Return Value

Type: ISet ProductMatchedData

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataExtensions.ToDatabaseSet(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchedDataForEdit},ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList ProductMatchedDataForEdit . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.ToEditList Method

ProductMatchedDataExtensionsToEditList Method

转换到编辑使用的列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static List<ProductMatchedDataForEdit> ToEditList(
    this ISet<ProductMatchedData> values
)
<ExtensionAttribute>
Public Shared Function ToEditList (
    values As ISet(Of ProductMatchedData)
) As List(Of ProductMatchedDataForEdit)
public:
[ExtensionAttribute]
static List<ProductMatchedDataForEdit^>^ ToEditList(
    ISet<ProductMatchedData^>^ values
)
[<ExtensionAttribute>]
static member ToEditList :
        values : ISet<ProductMatchedData> -> List<ProductMatchedDataForEdit>

Parameters

values
Type: System.Collections.GenericISet ProductMatchedData
数据库中的商品匹配数据列表

Return Value

Type: List ProductMatchedDataForEdit

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataExtensions.ToEditList(System.Collections.Generic.ISet{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ISet ProductMatchedData . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchedDataExtensions.WhereMatched Method

ProductMatchedDataExtensionsWhereMatched Method

返回匹配的商品匹配数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ProductMatchedData> WhereMatched(
    this IEnumerable<ProductMatchedData> list,
    ProductMatchParameters matchParameters
)
<ExtensionAttribute>
Public Shared Function WhereMatched (
    list As IEnumerable(Of ProductMatchedData),
    matchParameters As ProductMatchParameters
) As IEnumerable(Of ProductMatchedData)
public:
[ExtensionAttribute]
static IEnumerable<ProductMatchedData^>^ WhereMatched(
    IEnumerable<ProductMatchedData^>^ list,
    ProductMatchParameters^ matchParameters
)
[<ExtensionAttribute>]
static member WhereMatched :
        list : IEnumerable<ProductMatchedData> *
        matchParameters : ProductMatchParameters -> IEnumerable<ProductMatchedData>

Parameters

list
Type: System.Collections.GenericIEnumerable ProductMatchedData
商品匹配数据的列表
matchParameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数

Return Value

Type: IEnumerable ProductMatchedData

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchedDataExtensions.WhereMatched(System.Collections.Generic.IEnumerable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductMatchedData},ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable ProductMatchedData . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchedDataExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions Class
商品匹配参数的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductMatchParametersExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductMatchParametersExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductMatchParametersExtensions
[ExtensionAttribute]
public ref class ProductMatchParametersExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductMatchParametersExtensions =  class end

The ProductMatchParametersExtensions type exposes the following members.

Methods
Name | Description
GetOrderCount | 获取订购数量
GetProperties | 获取商品属性参数
SetOrderCount | 设置订购数量
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions Methods

The ProductMatchParametersExtensions type exposes the following members.

Methods
Name | Description
GetOrderCount | 获取订购数量
GetProperties | 获取商品属性参数
SetOrderCount | 设置订购数量
Top
See Also

Reference

ProductMatchParametersExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.GetOrderCount Method

ProductMatchParametersExtensionsGetOrderCount Method

获取订购数量

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static long GetOrderCount(
    this ProductMatchParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetOrderCount (
    parameters As ProductMatchParameters
) As Long
public:
[ExtensionAttribute]
static long long GetOrderCount(
    ProductMatchParameters^ parameters
)
[<ExtensionAttribute>]
static member GetOrderCount :
        parameters : ProductMatchParameters -> int64

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchParametersExtensions.GetOrderCount(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchParametersExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.GetProperties Method

ProductMatchParametersExtensionsGetProperties Method

获取商品属性参数

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<ProductMatchParametersExtensionsPropertyParameter> GetProperties(
    this ProductMatchParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetProperties (
    parameters As ProductMatchParameters
) As IList(Of ProductMatchParametersExtensionsPropertyParameter)
public:
[ExtensionAttribute]
static IList<ProductMatchParametersExtensionsPropertyParameter^>^ GetProperties(
    ProductMatchParameters^ parameters
)
[<ExtensionAttribute>]
static member GetProperties :
        parameters : ProductMatchParameters -> IList<ProductMatchParametersExtensionsPropertyParameter>

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数

Return Value

Type: IList ProductMatchParametersExtensionsPropertyParameter

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchParametersExtensions.GetProperties(ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchParametersExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.SetOrderCount Method

ProductMatchParametersExtensionsSetOrderCount Method

设置订购数量

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static void SetOrderCount(
    this ProductMatchParameters parameters,
    long orderCount
)
<ExtensionAttribute>
Public Shared Sub SetOrderCount (
    parameters As ProductMatchParameters,
    orderCount As Long
)
public:
[ExtensionAttribute]
static void SetOrderCount(
    ProductMatchParameters^ parameters,
    long long orderCount
)
[<ExtensionAttribute>]
static member SetOrderCount :
        parameters : ProductMatchParameters *
        orderCount : int64 -> unit

Parameters

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数
orderCount
Type: SystemInt64
订购数量

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductMatchParameters. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductMatchParametersExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.PropertyParameter Class

ProductMatchParametersExtensionsPropertyParameter Class
商品属性参数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductMatchParametersExtensionsPropertyParameter

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PropertyParameter
Public Class PropertyParameter
public ref class PropertyParameter
type PropertyParameter =  class end

The ProductMatchParametersExtensionsPropertyParameter type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchParametersExtensionsPropertyParameter | Initializes a new instance of the ProductMatchParametersExtensionsPropertyParameter class
Top
Properties
 | Name | Description
Public property | PropertyId |
Public property | PropertyValueId |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.PropertyParameter Constructor

ProductMatchParametersExtensionsPropertyParameter Constructor

Initializes a new instance of the ProductMatchParametersExtensionsPropertyParameter class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PropertyParameter()
Public Sub New
public:
PropertyParameter()
new : unit -> PropertyParameter
See Also

Reference

ProductMatchParametersExtensionsPropertyParameter Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


PropertyParameter Properties

The ProductMatchParametersExtensionsPropertyParameter type exposes the following members.

Properties
 | Name | Description
Public property | PropertyId |
Public property | PropertyValueId |
Top
See Also

Reference

ProductMatchParametersExtensionsPropertyParameter Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.PropertyParameter.PropertyId Property

ProductMatchParametersExtensionsPropertyParameterPropertyId Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchParametersExtensions.PropertyParameter.PropertyId"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid PropertyId { get; set; }
Public Property PropertyId As Guid
    Get
    Set
public:
property Guid PropertyId {
    Guid get ();
    void set (Guid value);
}
member PropertyId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

ProductMatchParametersExtensionsPropertyParameter Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductMatchParametersExtensions.PropertyParameter.PropertyValueId Property

ProductMatchParametersExtensionsPropertyParameterPropertyValueId Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductMatchParametersExtensions.PropertyParameter.PropertyValueId"]

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid PropertyValueId { get; set; }
Public Property PropertyValueId As Guid
    Get
    Set
public:
property Guid PropertyValueId {
    Guid get ();
    void set (Guid value);
}
member PropertyValueId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

ProductMatchParametersExtensionsPropertyParameter Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyExtensions Class
商品属性的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductPropertyExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductPropertyExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductPropertyExtensions
[ExtensionAttribute]
public ref class ProductPropertyExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductPropertyExtensions =  class end

The ProductPropertyExtensions type exposes the following members.

Methods
Name | Description
GetEditHtml | 获取编辑时使用的Html
OrderedPropertyValues | 获取经过排序的属性值列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyExtensions Methods

The ProductPropertyExtensions type exposes the following members.

Methods
Name | Description
GetEditHtml | 获取编辑时使用的Html
OrderedPropertyValues | 获取经过排序的属性值列表
Top
See Also

Reference

ProductPropertyExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyExtensions.GetEditHtml Method

ProductPropertyExtensionsGetEditHtml Method

获取编辑时使用的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString GetEditHtml(
    this ProductProperty property,
    ProductCategory category
)
<ExtensionAttribute>
Public Shared Function GetEditHtml (
    property As ProductProperty,
    category As ProductCategory
) As HtmlString
public:
[ExtensionAttribute]
static HtmlString^ GetEditHtml(
    ProductProperty^ property,
    ProductCategory^ category
)
[<ExtensionAttribute>]
static member GetEditHtml :
        property : ProductProperty *
        category : ProductCategory -> HtmlString

Parameters

property
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductProperty
商品属性
category
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductCategory
商品类目

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductPropertyExtensions.GetEditHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty,ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductCategory)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductProperty. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductPropertyExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyExtensions.OrderedPropertyValues Method

ProductPropertyExtensionsOrderedPropertyValues Method

获取经过排序的属性值列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ProductPropertyValue> OrderedPropertyValues(
    this ProductProperty property
)
<ExtensionAttribute>
Public Shared Function OrderedPropertyValues (
    property As ProductProperty
) As IEnumerable(Of ProductPropertyValue)
public:
[ExtensionAttribute]
static IEnumerable<ProductPropertyValue^>^ OrderedPropertyValues(
    ProductProperty^ property
)
[<ExtensionAttribute>]
static member OrderedPropertyValues :
        property : ProductProperty -> IEnumerable<ProductPropertyValue>

Parameters

property
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductProperty
商品属性

Return Value

Type: IEnumerable ProductPropertyValue

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductPropertyExtensions.OrderedPropertyValues(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ProductProperty. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductPropertyExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyValueExtensions Class
商品属性值的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductPropertyValueExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductPropertyValueExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductPropertyValueExtensions
[ExtensionAttribute]
public ref class ProductPropertyValueExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductPropertyValueExtensions =  class end

The ProductPropertyValueExtensions type exposes the following members.

Methods
Name | Description
ToDatabaseSet | 转换到数据库使用的集合
ToEditList | 转换到编辑使用的列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyValueExtensions Methods

The ProductPropertyValueExtensions type exposes the following members.

Methods
Name | Description
ToDatabaseSet | 转换到数据库使用的集合
ToEditList | 转换到编辑使用的列表
Top
See Also

Reference

ProductPropertyValueExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyValueExtensions.ToDatabaseSet Method

ProductPropertyValueExtensionsToDatabaseSet Method

转换到数据库使用的集合

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static ISet<ProductPropertyValue> ToDatabaseSet(
    this IList<ProductPropertyValueForEdit> values,
    ProductProperty property
)
<ExtensionAttribute>
Public Shared Function ToDatabaseSet (
    values As IList(Of ProductPropertyValueForEdit),
    property As ProductProperty
) As ISet(Of ProductPropertyValue)
public:
[ExtensionAttribute]
static ISet<ProductPropertyValue^>^ ToDatabaseSet(
    IList<ProductPropertyValueForEdit^>^ values,
    ProductProperty^ property
)
[<ExtensionAttribute>]
static member ToDatabaseSet :
        values : IList<ProductPropertyValueForEdit> *
        property : ProductProperty -> ISet<ProductPropertyValue>

Parameters

values
Type: System.Collections.GenericIList ProductPropertyValueForEdit
编辑后的商品属性对应的属性值列表
property
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProductProperty
商品属性

Return Value

Type: ISet ProductPropertyValue

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductPropertyValueExtensions.ToDatabaseSet(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductPropertyValueForEdit},ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductProperty)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList ProductPropertyValueForEdit . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductPropertyValueExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductPropertyValueExtensions.ToEditList Method

ProductPropertyValueExtensionsToEditList Method

转换到编辑使用的列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<ProductPropertyValueForEdit> ToEditList(
    this ISet<ProductPropertyValue> values
)
<ExtensionAttribute>
Public Shared Function ToEditList (
    values As ISet(Of ProductPropertyValue)
) As IList(Of ProductPropertyValueForEdit)
public:
[ExtensionAttribute]
static IList<ProductPropertyValueForEdit^>^ ToEditList(
    ISet<ProductPropertyValue^>^ values
)
[<ExtensionAttribute>]
static member ToEditList :
        values : ISet<ProductPropertyValue> -> IList<ProductPropertyValueForEdit>

Parameters

values
Type: System.Collections.GenericISet ProductPropertyValue
数据库中的商品属性对应的属性值列表

Return Value

Type: IList ProductPropertyValueForEdit

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductPropertyValueExtensions.ToEditList(System.Collections.Generic.ISet{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductPropertyValue})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ISet ProductPropertyValue . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductPropertyValueExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductToPropertyValueExtensions Class
商品属性值的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.ExtensionsProductToPropertyValueExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductToPropertyValueExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductToPropertyValueExtensions
[ExtensionAttribute]
public ref class ProductToPropertyValueExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductToPropertyValueExtensions =  class end

The ProductToPropertyValueExtensions type exposes the following members.

Methods
Name | Description
ToDatabaseSet | 转换到数据库使用的集合
ToEditList | 转换到编辑使用的列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductToPropertyValueExtensions Methods

The ProductToPropertyValueExtensions type exposes the following members.

Methods
Name | Description
ToDatabaseSet | 转换到数据库使用的集合
ToEditList | 转换到编辑使用的列表
Top
See Also

Reference

ProductToPropertyValueExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductToPropertyValueExtensions.ToDatabaseSet Method

ProductToPropertyValueExtensionsToDatabaseSet Method

转换到数据库使用的集合

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static ISet<ProductToPropertyValue> ToDatabaseSet(
    this IList<ProductToPropertyValueForEdit> values,
    Product product
)
<ExtensionAttribute>
Public Shared Function ToDatabaseSet (
    values As IList(Of ProductToPropertyValueForEdit),
    product As Product
) As ISet(Of ProductToPropertyValue)
public:
[ExtensionAttribute]
static ISet<ProductToPropertyValue^>^ ToDatabaseSet(
    IList<ProductToPropertyValueForEdit^>^ values,
    Product^ product
)
[<ExtensionAttribute>]
static member ToDatabaseSet :
        values : IList<ProductToPropertyValueForEdit> *
        product : Product -> ISet<ProductToPropertyValue>

Parameters

values
Type: System.Collections.GenericIList ProductToPropertyValueForEdit
编辑后的商品对应的属性值列表
product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品

Return Value

Type: ISet ProductToPropertyValue

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductToPropertyValueExtensions.ToDatabaseSet(System.Collections.Generic.IList{ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductToPropertyValueForEdit},ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList ProductToPropertyValueForEdit . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductToPropertyValueExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ProductToPropertyValueExtensions.ToEditList Method

ProductToPropertyValueExtensionsToEditList Method

转换到编辑使用的列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static IList<ProductToPropertyValueForEdit> ToEditList(
    this ISet<ProductToPropertyValue> values
)
<ExtensionAttribute>
Public Shared Function ToEditList (
    values As ISet(Of ProductToPropertyValue)
) As IList(Of ProductToPropertyValueForEdit)
public:
[ExtensionAttribute]
static IList<ProductToPropertyValueForEdit^>^ ToEditList(
    ISet<ProductToPropertyValue^>^ values
)
[<ExtensionAttribute>]
static member ToEditList :
        values : ISet<ProductToPropertyValue> -> IList<ProductToPropertyValueForEdit>

Parameters

values
Type: System.Collections.GenericISet ProductToPropertyValue
数据库中的商品对应的属性值列表

Return Value

Type: IList ProductToPropertyValueForEdit

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions.ProductToPropertyValueExtensions.ToEditList(System.Collections.Generic.ISet{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.ProductToPropertyValue})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ISet ProductToPropertyValue . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductToPropertyValueExtensions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Extensions Namespace


ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | ProductCategoryRepository | 商品类目的仓储
Public class | ProductPropertyRepository | 商品属性的仓储
Public class | ProductRepository | 商品的仓储


ProductCategoryRepository Class
商品类目的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase ProductCategory, Guid
ZKWeb.Plugins.Shopping.Product.src.Domain.RepositoriesProductCategoryRepository

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductCategoryRepository : RepositoryBase<ProductCategory, Guid>
Public Class ProductCategoryRepository
    Inherits RepositoryBase(Of ProductCategory, Guid)
public ref class ProductCategoryRepository : public RepositoryBase<ProductCategory^, Guid>
type ProductCategoryRepository =
    class
        inherit RepositoryBase<ProductCategory, Guid>
    end

The ProductCategoryRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategoryRepository | Initializes a new instance of the ProductCategoryRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace


ProductCategoryRepository Constructor

Initializes a new instance of the ProductCategoryRepository class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductCategoryRepository()
Public Sub New
public:
ProductCategoryRepository()
new : unit -> ProductCategoryRepository
See Also

Reference

ProductCategoryRepository Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace


ProductPropertyRepository Class
商品属性的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase ProductProperty, Guid
ZKWeb.Plugins.Shopping.Product.src.Domain.RepositoriesProductPropertyRepository

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyRepository : RepositoryBase<ProductProperty, Guid>
Public Class ProductPropertyRepository
    Inherits RepositoryBase(Of ProductProperty, Guid)
public ref class ProductPropertyRepository : public RepositoryBase<ProductProperty^, Guid>
type ProductPropertyRepository =
    class
        inherit RepositoryBase<ProductProperty, Guid>
    end

The ProductPropertyRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyRepository | Initializes a new instance of the ProductPropertyRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace


ProductPropertyRepository Constructor

Initializes a new instance of the ProductPropertyRepository class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyRepository()
Public Sub New
public:
ProductPropertyRepository()
new : unit -> ProductPropertyRepository
See Also

Reference

ProductPropertyRepository Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace


ProductRepository Class
商品的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase Product, Guid
ZKWeb.Plugins.Shopping.Product.src.Domain.RepositoriesProductRepository

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRepository : RepositoryBase<Product, Guid>
Public Class ProductRepository
    Inherits RepositoryBase(Of Product, Guid)
public ref class ProductRepository : public RepositoryBase<Product^, Guid>
type ProductRepository =
    class
        inherit RepositoryBase<Product, Guid>
    end

The ProductRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRepository | Initializes a new instance of the ProductRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace


ProductRepository Constructor

Initializes a new instance of the ProductRepository class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRepository()
Public Sub New
public:
ProductRepository()
new : unit -> ProductRepository
See Also

Reference

ProductRepository Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Repositories Namespace


ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Domain.Services"]

Classes
 | Class | Description
Public class | ProductAlbumManager | 商品相册管理器
Public class | ProductCategoryManager | 商品类目管理器
Public class | ProductManager | 商品管理器
Public class | ProductPropertyManager | 商品相册管理器


ProductAlbumManager Class
商品相册管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductAlbumManager

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumManager : DomainServiceBase
Public Class ProductAlbumManager
    Inherits DomainServiceBase
public ref class ProductAlbumManager : public DomainServiceBase
type ProductAlbumManager =
    class
        inherit DomainServiceBase
    end

The ProductAlbumManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumManager | Initializes a new instance of the ProductAlbumManager class
Top
Methods
 | Name | Description
Public method | DeleteAlbumImage | 删除相册图片
Public method | GetAlbumImageStorageFile | 获取商品相册图片的储存文件
Public method | GetAlbumImageWebPath | 获取商品相册图片的网页路径，不存在时返回默认路径
Public method | GetExistAlbumImageWebPaths | 获取商品相册图片的网页路径列表 不存在的图片不会包含在列表中
Public method | SaveAlbumImage | 保存相册图片
Public method | SetMainAlbumImage | 设置相册主图，返回是否设置成功
Top
Fields
Name | Description
AlbumImageExtensions | 商品相册图片的后缀
AlbumImagePathFormat | 商品相册图片的路径格式 (Id, 序号, 后缀)
AlbumImageQuality | 商品相册图片质量
DefaultAlbumImagePath | 默认的商品相册图片的路径
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager Constructor

Initializes a new instance of the ProductAlbumManager class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumManager()
Public Sub New
public:
ProductAlbumManager()
new : unit -> ProductAlbumManager
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager Methods

The ProductAlbumManager type exposes the following members.

Methods
 | Name | Description
Public method | DeleteAlbumImage | 删除相册图片
Public method | GetAlbumImageStorageFile | 获取商品相册图片的储存文件
Public method | GetAlbumImageWebPath | 获取商品相册图片的网页路径，不存在时返回默认路径
Public method | GetExistAlbumImageWebPaths | 获取商品相册图片的网页路径列表 不存在的图片不会包含在列表中
Public method | SaveAlbumImage | 保存相册图片
Public method | SetMainAlbumImage | 设置相册主图，返回是否设置成功
Top
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.DeleteAlbumImage Method

ProductAlbumManagerDeleteAlbumImage Method

删除相册图片

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void DeleteAlbumImage(
    Guid id,
    Nullable<long> index
)
Public Overridable Sub DeleteAlbumImage (
    id As Guid,
    index As Nullable(Of Long)
)
public:
virtual void DeleteAlbumImage(
    Guid id,
    Nullable<long long> index
)
abstract DeleteAlbumImage :
        id : Guid *
        index : Nullable<int64> -> unit
override DeleteAlbumImage :
        id : Guid *
        index : Nullable<int64> -> unit

Parameters

id
Type: SystemGuid
商品Id
index
Type: SystemNullable Int64
图片序号，null时删除主图
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.GetAlbumImageStorageFile Method

ProductAlbumManagerGetAlbumImageStorageFile Method

获取商品相册图片的储存文件

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IFileEntry GetAlbumImageStorageFile(
    Guid id,
    Nullable<long> index,
    ProductAlbumImageType type
)
Public Overridable Function GetAlbumImageStorageFile (
    id As Guid,
    index As Nullable(Of Long),
    type As ProductAlbumImageType
) As IFileEntry
public:
virtual IFileEntry^ GetAlbumImageStorageFile(
    Guid id,
    Nullable<long long> index,
    ProductAlbumImageType type
)
abstract GetAlbumImageStorageFile :
        id : Guid *
        index : Nullable<int64> *
        type : ProductAlbumImageType -> IFileEntry
override GetAlbumImageStorageFile :
        id : Guid *
        index : Nullable<int64> *
        type : ProductAlbumImageType -> IFileEntry

Parameters

id
Type: SystemGuid
商品Id
index
Type: SystemNullable Int64
图片序号，null时返回主图的路径
type
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EnumsProductAlbumImageType
商品相册的图片类型，原图或缩略图等

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductAlbumManager.GetAlbumImageStorageFile(System.Guid,System.Nullable{System.Int64},ZKWeb.Plugins.Shopping.Product.src.Domain.Enums.ProductAlbumImageType)"]

See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.GetAlbumImageWebPath Method

ProductAlbumManagerGetAlbumImageWebPath Method

获取商品相册图片的网页路径，不存在时返回默认路径

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetAlbumImageWebPath(
    Guid id,
    Nullable<long> index,
    ProductAlbumImageType type,
    string defaultPath = "/static/shopping.product.images/default.jpg"
)
Public Overridable Function GetAlbumImageWebPath (
    id As Guid,
    index As Nullable(Of Long),
    type As ProductAlbumImageType,
    Optional defaultPath As String = "/static/shopping.product.images/default.jpg"
) As String
public:
virtual String^ GetAlbumImageWebPath(
    Guid id,
    Nullable<long long> index,
    ProductAlbumImageType type,
    String^ defaultPath = L"/static/shopping.product.images/default.jpg"
)
abstract GetAlbumImageWebPath :
        id : Guid *
        index : Nullable<int64> *
        type : ProductAlbumImageType *
        ?defaultPath : string
(* Defaults:
        let _defaultPath = defaultArg defaultPath "/static/shopping.product.images/default.jpg"
*)
-> string
override GetAlbumImageWebPath :
        id : Guid *
        index : Nullable<int64> *
        type : ProductAlbumImageType *
        ?defaultPath : string
(* Defaults:
        let _defaultPath = defaultArg defaultPath "/static/shopping.product.images/default.jpg"
*)
-> string

Parameters

id
Type: SystemGuid
商品Id
index
Type: SystemNullable Int64
图片序号，null时返回主图的路径
type
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EnumsProductAlbumImageType
商品相册的图片类型，原图或缩略图等
defaultPath (Optional)
Type: SystemString
不存在时返回的默认路径

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductAlbumManager.GetAlbumImageWebPath(System.Guid,System.Nullable{System.Int64},ZKWeb.Plugins.Shopping.Product.src.Domain.Enums.ProductAlbumImageType,System.String)"]

See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.GetExistAlbumImageWebPaths Method

ProductAlbumManagerGetExistAlbumImageWebPaths Method

获取商品相册图片的网页路径列表 不存在的图片不会包含在列表中

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<Dictionary<ProductAlbumImageType, string>> GetExistAlbumImageWebPaths(
    Guid id
)
Public Overridable Function GetExistAlbumImageWebPaths (
    id As Guid
) As List(Of Dictionary(Of ProductAlbumImageType, String))
public:
virtual List<Dictionary<ProductAlbumImageType, String^>^>^ GetExistAlbumImageWebPaths(
    Guid id
)
abstract GetExistAlbumImageWebPaths :
        id : Guid -> List<Dictionary<ProductAlbumImageType, string>>
override GetExistAlbumImageWebPaths :
        id : Guid -> List<Dictionary<ProductAlbumImageType, string>>

Parameters

id
Type: SystemGuid
商品Id

Return Value

Type: List Dictionary ProductAlbumImageType, String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductAlbumManager.GetExistAlbumImageWebPaths(System.Guid)"]

See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.SaveAlbumImage Method

ProductAlbumManagerSaveAlbumImage Method

保存相册图片

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveAlbumImage(
    Guid id,
    long index,
    Stream imageStream
)
Public Overridable Sub SaveAlbumImage (
    id As Guid,
    index As Long,
    imageStream As Stream
)
public:
virtual void SaveAlbumImage(
    Guid id,
    long long index,
    Stream^ imageStream
)
abstract SaveAlbumImage :
        id : Guid *
        index : int64 *
        imageStream : Stream -> unit
override SaveAlbumImage :
        id : Guid *
        index : int64 *
        imageStream : Stream -> unit

Parameters

id
Type: SystemGuid
商品Id
index
Type: SystemInt64
图片序号
imageStream
Type: System.IOStream
读取图片的数据流

Return Value

Type:
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.SetMainAlbumImage Method

ProductAlbumManagerSetMainAlbumImage Method

设置相册主图，返回是否设置成功

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool SetMainAlbumImage(
    Guid id,
    long index
)
Public Overridable Function SetMainAlbumImage (
    id As Guid,
    index As Long
) As Boolean
public:
virtual bool SetMainAlbumImage(
    Guid id,
    long long index
)
abstract SetMainAlbumImage :
        id : Guid *
        index : int64 -> bool
override SetMainAlbumImage :
        id : Guid *
        index : int64 -> bool

Parameters

id
Type: SystemGuid
商品Id
index
Type: SystemInt64
图片序号

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductAlbumManager.SetMainAlbumImage(System.Guid,System.Int64)"]

See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager Fields

The ProductAlbumManager type exposes the following members.

Fields
Name | Description
AlbumImageExtensions | 商品相册图片的后缀
AlbumImagePathFormat | 商品相册图片的路径格式 (Id, 序号, 后缀)
AlbumImageQuality | 商品相册图片质量
DefaultAlbumImagePath | 默认的商品相册图片的路径
Top
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.AlbumImageExtensions Field

ProductAlbumManagerAlbumImageExtensions Field
商品相册图片的后缀

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlbumImageExtensions = ".jpg"
Public Const AlbumImageExtensions As String = ".jpg"
public:
literal String^ AlbumImageExtensions = ".jpg"
static val mutable AlbumImageExtensions: string

Field Value

Type: String
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.AlbumImagePathFormat Field

ProductAlbumManagerAlbumImagePathFormat Field
商品相册图片的路径格式 (Id, 序号, 后缀)

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlbumImagePathFormat = "/static/shopping.product.images/{0}/album_{1}{2}.jpg"
Public Const AlbumImagePathFormat As String = "/static/shopping.product.images/{0}/album_{1}{2}.jpg"
public:
literal String^ AlbumImagePathFormat = "/static/shopping.product.images/{0}/album_{1}{2}.jpg"
static val mutable AlbumImagePathFormat: string

Field Value

Type: String
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.AlbumImageQuality Field

ProductAlbumManagerAlbumImageQuality Field
商品相册图片质量

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int AlbumImageQuality = 90
Public Const AlbumImageQuality As Integer = 90
public:
literal int AlbumImageQuality = 90
static val mutable AlbumImageQuality: int

Field Value

Type: Int32
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductAlbumManager.DefaultAlbumImagePath Field

ProductAlbumManagerDefaultAlbumImagePath Field
默认的商品相册图片的路径

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string DefaultAlbumImagePath = "/static/shopping.product.images/default.jpg"
Public Const DefaultAlbumImagePath As String = "/static/shopping.product.images/default.jpg"
public:
literal String^ DefaultAlbumImagePath = "/static/shopping.product.images/default.jpg"
static val mutable DefaultAlbumImagePath: string

Field Value

Type: String
See Also

Reference

ProductAlbumManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager Class
商品类目管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase ProductCategory, Guid
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductCategoryManager

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductCategoryManager : DomainServiceBase<ProductCategory, Guid>,
    ICacheCleaner
Public Class ProductCategoryManager
    Inherits DomainServiceBase(Of ProductCategory, Guid)
    Implements ICacheCleaner
public ref class ProductCategoryManager : public DomainServiceBase<ProductCategory^, Guid>,
    ICacheCleaner
type ProductCategoryManager =
    class
        inherit DomainServiceBase<ProductCategory, Guid>
        interface ICacheCleaner
    end

The ProductCategoryManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategoryManager | 初始化
Top
Properties
 | Name | Description
Protected property | CategoryCache | 类目的缓存 缓存中的类目包含属性和属性值
Public property | CategoryCacheTime | 商品类目的缓存时间 默认180秒，可通过网站配置指定
Protected property | CategoryListCache | 类目列表的缓存 缓存中的类目不包含属性和属性值
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取类目列表
Public method | GetWithCache | 查找类目，找不到时返回null
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductCategoryManager()
Public Sub New
public:
ProductCategoryManager()
new : unit -> ProductCategoryManager
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager Properties

The ProductCategoryManager type exposes the following members.

Properties
 | Name | Description
Protected property | CategoryCache | 类目的缓存 缓存中的类目包含属性和属性值
Public property | CategoryCacheTime | 商品类目的缓存时间 默认180秒，可通过网站配置指定
Protected property | CategoryListCache | 类目列表的缓存 缓存中的类目不包含属性和属性值
Top
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager.CategoryCache Property

ProductCategoryManagerCategoryCache Property

类目的缓存 缓存中的类目包含属性和属性值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, ProductCategory> CategoryCache { get; set; }
Protected Property CategoryCache As IKeyValueCache(Of Guid, ProductCategory)
    Get
    Set
protected:
property IKeyValueCache<Guid, ProductCategory^>^ CategoryCache {
    IKeyValueCache<Guid, ProductCategory^>^ get ();
    void set (IKeyValueCache<Guid, ProductCategory^>^ value);
}
member CategoryCache : IKeyValueCache<Guid, ProductCategory> with get, set

Property Value

Type: IKeyValueCacheGuid, ProductCategory
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager.CategoryCacheTime Property

ProductCategoryManagerCategoryCacheTime Property

商品类目的缓存时间 默认180秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan CategoryCacheTime { get; set; }
Public Property CategoryCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan CategoryCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member CategoryCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager.CategoryListCache Property

ProductCategoryManagerCategoryListCache Property

类目列表的缓存 缓存中的类目不包含属性和属性值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<int, List<ProductCategory>> CategoryListCache { get; set; }
Protected Property CategoryListCache As IKeyValueCache(Of Integer, List(Of ProductCategory))
    Get
    Set
protected:
property IKeyValueCache<int, List<ProductCategory^>^>^ CategoryListCache {
    IKeyValueCache<int, List<ProductCategory^>^>^ get ();
    void set (IKeyValueCache<int, List<ProductCategory^>^>^ value);
}
member CategoryListCache : IKeyValueCache<int, List<ProductCategory>> with get, set

Property Value

Type: IKeyValueCacheInt32, List ProductCategory
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager Methods

The ProductCategoryManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取类目列表
Public method | GetWithCache | 查找类目，找不到时返回null
Top
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager.ClearCache Method

ProductCategoryManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager.GetManyWithCache Method

ProductCategoryManagerGetManyWithCache Method

获取类目列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IReadOnlyList<ProductCategory> GetManyWithCache()
Public Overridable Function GetManyWithCache As IReadOnlyList(Of ProductCategory)
public:
virtual IReadOnlyList<ProductCategory^>^ GetManyWithCache()
abstract GetManyWithCache : unit -> IReadOnlyList<ProductCategory>
override GetManyWithCache : unit -> IReadOnlyList<ProductCategory>

Return Value

Type: IReadOnlyList ProductCategory

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductCategoryManager.GetManyWithCache"]

See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductCategoryManager.GetWithCache Method

ProductCategoryManagerGetWithCache Method

查找类目，找不到时返回null

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductCategory GetWithCache(
    Guid categoryId
)
Public Overridable Function GetWithCache (
    categoryId As Guid
) As ProductCategory
public:
virtual ProductCategory^ GetWithCache(
    Guid categoryId
)
abstract GetWithCache :
        categoryId : Guid -> ProductCategory
override GetWithCache :
        categoryId : Guid -> ProductCategory

Parameters

categoryId
Type: SystemGuid
类目Id

Return Value

Type: ProductCategory

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductCategoryManager.GetWithCache(System.Guid)"]

See Also

Reference

ProductCategoryManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager Class
商品管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase Product, Guid
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductManager

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductManager : DomainServiceBase<Product, Guid>,
    ICacheCleaner
Public Class ProductManager
    Inherits DomainServiceBase(Of Product, Guid)
    Implements ICacheCleaner
public ref class ProductManager : public DomainServiceBase<Product^, Guid>,
    ICacheCleaner
type ProductManager =
    class
        inherit DomainServiceBase<Product, Guid>
        interface ICacheCleaner
    end

The ProductManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductManager | 初始化
Top
Properties
 | Name | Description
Protected property | ProductApiInfoCache | 商品信息的缓存
Public property | ProductApiInfoCacheTime | 商品信息的缓存时间 默认是15秒，可通过网站配置指定
Protected property | ProductCache | 商品的缓存
Public property | ProductCacheTime | 商品的缓存时间 默认是3秒，可通过网站配置指定
Protected property | ProductSearchResultCache | 商品搜索结果的缓存
Public property | ProductSearchResultCacheTime | 商品搜索结果的缓存时间 默认是15秒，可通过网站配置指定
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetProductApiInfo | 获取商品信息 商品不存在时返回null，但商品已下架或等待销售时仍然返回信息 结果会按商品Id和当前登录用户缓存一定时间
Public method | GetProductSearchResponseFromHttpRequest | 根据当前http请求获取搜索结果 结果会按请求参数和当前登录用户缓存一定时间
Public method | GetWithCache | 获取商品 商品不存在时返回null，存在时同时获取关联的数据 结果会按商品Id缓存一定时间
Public method | SelectOneVisibleProductId | 选择一个可见的商品Id 返回的Id不固定，也可能返回Guid.Empty
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductManager()
Public Sub New
public:
ProductManager()
new : unit -> ProductManager
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager Properties

The ProductManager type exposes the following members.

Properties
 | Name | Description
Protected property | ProductApiInfoCache | 商品信息的缓存
Public property | ProductApiInfoCacheTime | 商品信息的缓存时间 默认是15秒，可通过网站配置指定
Protected property | ProductCache | 商品的缓存
Public property | ProductCacheTime | 商品的缓存时间 默认是3秒，可通过网站配置指定
Protected property | ProductSearchResultCache | 商品搜索结果的缓存
Public property | ProductSearchResultCacheTime | 商品搜索结果的缓存时间 默认是15秒，可通过网站配置指定
Top
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ProductApiInfoCache Property

ProductManagerProductApiInfoCache Property

商品信息的缓存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, Object> ProductApiInfoCache { get; set; }
Protected Property ProductApiInfoCache As IKeyValueCache(Of Guid, Object)
    Get
    Set
protected:
property IKeyValueCache<Guid, Object^>^ ProductApiInfoCache {
    IKeyValueCache<Guid, Object^>^ get ();
    void set (IKeyValueCache<Guid, Object^>^ value);
}
member ProductApiInfoCache : IKeyValueCache<Guid, Object> with get, set

Property Value

Type: IKeyValueCacheGuid, Object
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ProductApiInfoCacheTime Property

ProductManagerProductApiInfoCacheTime Property

商品信息的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ProductApiInfoCacheTime { get; set; }
Public Property ProductApiInfoCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ProductApiInfoCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ProductApiInfoCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ProductCache Property

ProductManagerProductCache Property

商品的缓存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Guid, Product> ProductCache { get; set; }
Protected Property ProductCache As IKeyValueCache(Of Guid, Product)
    Get
    Set
protected:
property IKeyValueCache<Guid, Product^>^ ProductCache {
    IKeyValueCache<Guid, Product^>^ get ();
    void set (IKeyValueCache<Guid, Product^>^ value);
}
member ProductCache : IKeyValueCache<Guid, Product> with get, set

Property Value

Type: IKeyValueCacheGuid, Product
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ProductCacheTime Property

ProductManagerProductCacheTime Property

商品的缓存时间 默认是3秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ProductCacheTime { get; set; }
Public Property ProductCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ProductCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ProductCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ProductSearchResultCache Property

ProductManagerProductSearchResultCache Property

商品搜索结果的缓存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<int, StaticTableSearchResponse> ProductSearchResultCache { get; set; }
Protected Property ProductSearchResultCache As IKeyValueCache(Of Integer, StaticTableSearchResponse)
    Get
    Set
protected:
property IKeyValueCache<int, StaticTableSearchResponse^>^ ProductSearchResultCache {
    IKeyValueCache<int, StaticTableSearchResponse^>^ get ();
    void set (IKeyValueCache<int, StaticTableSearchResponse^>^ value);
}
member ProductSearchResultCache : IKeyValueCache<int, StaticTableSearchResponse> with get, set

Property Value

Type: IKeyValueCacheInt32, StaticTableSearchResponse
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ProductSearchResultCacheTime Property

ProductManagerProductSearchResultCacheTime Property

商品搜索结果的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ProductSearchResultCacheTime { get; set; }
Public Property ProductSearchResultCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ProductSearchResultCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ProductSearchResultCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager Methods

The ProductManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetProductApiInfo | 获取商品信息 商品不存在时返回null，但商品已下架或等待销售时仍然返回信息 结果会按商品Id和当前登录用户缓存一定时间
Public method | GetProductSearchResponseFromHttpRequest | 根据当前http请求获取搜索结果 结果会按请求参数和当前登录用户缓存一定时间
Public method | GetWithCache | 获取商品 商品不存在时返回null，存在时同时获取关联的数据 结果会按商品Id缓存一定时间
Public method | SelectOneVisibleProductId | 选择一个可见的商品Id 返回的Id不固定，也可能返回Guid.Empty
Top
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.ClearCache Method

ProductManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.GetProductApiInfo Method

ProductManagerGetProductApiInfo Method

获取商品信息 商品不存在时返回null，但商品已下架或等待销售时仍然返回信息 结果会按商品Id和当前登录用户缓存一定时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object GetProductApiInfo(
    Guid productId
)
Public Overridable Function GetProductApiInfo (
    productId As Guid
) As Object
public:
virtual Object^ GetProductApiInfo(
    Guid productId
)
abstract GetProductApiInfo :
        productId : Guid -> Object
override GetProductApiInfo :
        productId : Guid -> Object

Parameters

productId
Type: SystemGuid
商品Id

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductManager.GetProductApiInfo(System.Guid)"]

See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.GetProductSearchResponseFromHttpRequest Method

ProductManagerGetProductSearchResponseFromHttpRequest Method

根据当前http请求获取搜索结果 结果会按请求参数和当前登录用户缓存一定时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual StaticTableSearchResponse GetProductSearchResponseFromHttpRequest()
Public Overridable Function GetProductSearchResponseFromHttpRequest As StaticTableSearchResponse
public:
virtual StaticTableSearchResponse^ GetProductSearchResponseFromHttpRequest()
abstract GetProductSearchResponseFromHttpRequest : unit -> StaticTableSearchResponse
override GetProductSearchResponseFromHttpRequest : unit -> StaticTableSearchResponse

Return Value

Type: StaticTableSearchResponse

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductManager.GetProductSearchResponseFromHttpRequest"]

See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.GetWithCache Method

ProductManagerGetWithCache Method

获取商品 商品不存在时返回null，存在时同时获取关联的数据 结果会按商品Id缓存一定时间

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product GetWithCache(
    Guid productId
)
Public Overridable Function GetWithCache (
    productId As Guid
) As Product
public:
virtual Product^ GetWithCache(
    Guid productId
)
abstract GetWithCache :
        productId : Guid -> Product
override GetWithCache :
        productId : Guid -> Product

Parameters

productId
Type: SystemGuid

[Missing <param name="productId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductManager.GetWithCache(System.Guid)"]

Return Value

Type: Product

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductManager.GetWithCache(System.Guid)"]

See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductManager.SelectOneVisibleProductId Method

ProductManagerSelectOneVisibleProductId Method

选择一个可见的商品Id 返回的Id不固定，也可能返回Guid.Empty

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid SelectOneVisibleProductId()
Public Overridable Function SelectOneVisibleProductId As Guid
public:
virtual Guid SelectOneVisibleProductId()
abstract SelectOneVisibleProductId : unit -> Guid
override SelectOneVisibleProductId : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductManager.SelectOneVisibleProductId"]

See Also

Reference

ProductManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager Class
商品相册管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase ProductProperty, Guid
ZKWeb.Plugins.Shopping.Product.src.Domain.ServicesProductPropertyManager

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyManager : DomainServiceBase<ProductProperty, Guid>,
    ICacheCleaner
Public Class ProductPropertyManager
    Inherits DomainServiceBase(Of ProductProperty, Guid)
    Implements ICacheCleaner
public ref class ProductPropertyManager : public DomainServiceBase<ProductProperty^, Guid>,
    ICacheCleaner
type ProductPropertyManager =
    class
        inherit DomainServiceBase<ProductProperty, Guid>
        interface ICacheCleaner
    end

The ProductPropertyManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyManager | 初始化
Top
Properties
 | Name | Description
Public property | CategoryCacheTime | 商品类目的缓存时间 默认180秒，可通过网站配置指定
Protected property | PropertyListCache | 属性列表的缓存 缓存中的属性不包括属性值
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取属性列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyManager()
Public Sub New
public:
ProductPropertyManager()
new : unit -> ProductPropertyManager
See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager Properties

The ProductPropertyManager type exposes the following members.

Properties
 | Name | Description
Public property | CategoryCacheTime | 商品类目的缓存时间 默认180秒，可通过网站配置指定
Protected property | PropertyListCache | 属性列表的缓存 缓存中的属性不包括属性值
Top
See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager.CategoryCacheTime Property

ProductPropertyManagerCategoryCacheTime Property

商品类目的缓存时间 默认180秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan CategoryCacheTime { get; set; }
Public Property CategoryCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan CategoryCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member CategoryCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager.PropertyListCache Property

ProductPropertyManagerPropertyListCache Property

属性列表的缓存 缓存中的属性不包括属性值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<int, List<ProductProperty>> PropertyListCache { get; set; }
Protected Property PropertyListCache As IKeyValueCache(Of Integer, List(Of ProductProperty))
    Get
    Set
protected:
property IKeyValueCache<int, List<ProductProperty^>^>^ PropertyListCache {
    IKeyValueCache<int, List<ProductProperty^>^>^ get ();
    void set (IKeyValueCache<int, List<ProductProperty^>^>^ value);
}
member PropertyListCache : IKeyValueCache<int, List<ProductProperty>> with get, set

Property Value

Type: IKeyValueCacheInt32, List ProductProperty
See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager Methods

The ProductPropertyManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetManyWithCache | 获取属性列表
Top
See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager.ClearCache Method

ProductPropertyManagerClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ProductPropertyManager.GetManyWithCache Method

ProductPropertyManagerGetManyWithCache Method

获取属性列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IReadOnlyList<ProductProperty> GetManyWithCache()
Public Overridable Function GetManyWithCache As IReadOnlyList(Of ProductProperty)
public:
virtual IReadOnlyList<ProductProperty^>^ GetManyWithCache()
abstract GetManyWithCache : unit -> IReadOnlyList<ProductProperty>
override GetManyWithCache : unit -> IReadOnlyList<ProductProperty>

Return Value

Type: IReadOnlyList ProductProperty

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.Domain.Services.ProductPropertyManager.GetManyWithCache"]

See Also

Reference

ProductPropertyManager Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Services Namespace


ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.Domain.Structs"]

Classes
 | Class | Description
Public class | ProductAlbumUploadData | 商品图片上传器使用的数据
Public class | ProductMatchedDataAffects | 商品匹配数据的影响数据
Public class | ProductMatchedDataConditions | 商品匹配数据的匹配条件
Public class | ProductMatchedDataForEdit | 商品关联的匹配数据，用于反序列化客户端传回的值 编辑商品时使用 例 条件 价格 货币 重量 库存 备注 调整 颜色: 蓝, 大小 M, 订购数量 >= 1 120 默认 继承 100 新版 上下 默认 100 默认 500 101 [ { Conditions: { Properties: [ { PropertyId: 颜色的Id, PropertyValueId: 蓝色的Id }, { PropertyId: 大小的Id, PropertyValueId: M的Id } ], OrderCountGE: 1 }, Affects: { Price: 120, PriceCurrency: 0, Weight: null, Stock: 100, Remark: "新版" } }, { Conditions: {}, Affects: { Price: 100, PriceCurrency: 0, Weight: 500, Stock: 101, Remark: "" } } ]
Public class | ProductMatchParameters | 商品匹配参数
 | ProductPropertyValueForEdit | 商品属性关联的属性值数据，用于反序列化客户端传回的值 编辑商品属性时使用
Public class | ProductToPropertyValueForEdit | 商品关联的属性值数据，用于反序列化客户端传回的值 编辑商品时使用 格式 { propertyId: 属性Id, propertyValueId: 属性值Id, name: 属性值名称 } 例 类目 [ 服装 ] 属性 年份 [2015] (文本框) 产地 [广东] (文本框) 适合季度 [春季] (下拉框) 规格 颜色 [✓蓝色] [✓红色] [灰色] (多选框) 尺码 [✓S] [M] [L] (多选框) [ { propertyId: 年份的Id, name: "2015" }, { propertyId: 产地的Id, name: "广东" }, { propertyId: 季度的Id, propertyValueId: 春季的Id, name: "春季" }, { propertyId: 颜色的Id, propertyValueId: 蓝色的Id, name: "蓝色" }, { propertyId: 颜色的Id, propertyValueId: 红色的Id, name: "红色" }, { propertyId: 尺码的Id, propertyValueId: S的Id, name: "S" } ]


ProductAlbumUploadData Class
商品图片上传器使用的数据
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductAlbumUploadData

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumUploadData
Public Class ProductAlbumUploadData
public ref class ProductAlbumUploadData
type ProductAlbumUploadData =  class end

The ProductAlbumUploadData type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumUploadData | 初始化
Public method | ProductAlbumUploadData(Guid) | 初始化，用于绑定
Top
Properties
 | Name | Description
Public property | DeleteImages | 要删除的图片列表 仅提交时使用
Public property | ImageUrls | 当前相册的图片列表 仅绑定时使用
Public property | MainImageIndex | 主图序号 从1开始
Public property | UploadedImages | 上传的图片列表 仅提交时使用
Top
Methods
 | Name | Description
Public method | SaveFiles | 保存文件
Top
Fields
Name | Description
MaxImageCount | 可上传的商品图片数量 全局变量
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData Constructor

Overload List
 | Name | Description
Public method | ProductAlbumUploadData | 初始化
Public method | ProductAlbumUploadData(Guid) | 初始化，用于绑定
Top
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumUploadData()
Public Sub New
public:
ProductAlbumUploadData()
new : unit -> ProductAlbumUploadData
See Also

Reference

ProductAlbumUploadData Class
ProductAlbumUploadData Overload
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData Constructor (Guid)
初始化，用于绑定

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumUploadData(
    Guid productId
)
Public Sub New (
    productId As Guid
)
public:
ProductAlbumUploadData(
    Guid productId
)
new :
        productId : Guid -> ProductAlbumUploadData

Parameters

productId
Type: SystemGuid
商品Id
See Also

Reference

ProductAlbumUploadData Class
ProductAlbumUploadData Overload
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData Properties

The ProductAlbumUploadData type exposes the following members.

Properties
 | Name | Description
Public property | DeleteImages | 要删除的图片列表 仅提交时使用
Public property | ImageUrls | 当前相册的图片列表 仅绑定时使用
Public property | MainImageIndex | 主图序号 从1开始
Public property | UploadedImages | 上传的图片列表 仅提交时使用
Top
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData.DeleteImages Property

ProductAlbumUploadDataDeleteImages Property

要删除的图片列表 仅提交时使用

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<bool> DeleteImages { get; set; }
Public Property DeleteImages As List(Of Boolean)
    Get
    Set
public:
property List<bool>^ DeleteImages {
    List<bool>^ get ();
    void set (List<bool>^ value);
}
member DeleteImages : List<bool> with get, set

Property Value

Type: List Boolean
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData.ImageUrls Property

ProductAlbumUploadDataImageUrls Property

当前相册的图片列表 仅绑定时使用

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<string> ImageUrls { get; set; }
Public Property ImageUrls As List(Of String)
    Get
    Set
public:
property List<String^>^ ImageUrls {
    List<String^>^ get ();
    void set (List<String^>^ value);
}
member ImageUrls : List<string> with get, set

Property Value

Type: List String
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData.MainImageIndex Property

ProductAlbumUploadDataMainImageIndex Property

主图序号 从1开始

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public long MainImageIndex { get; set; }
Public Property MainImageIndex As Long
    Get
    Set
public:
property long long MainImageIndex {
    long long get ();
    void set (long long value);
}
member MainImageIndex : int64 with get, set

Property Value

Type: Int64
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData.UploadedImages Property

ProductAlbumUploadDataUploadedImages Property

上传的图片列表 仅提交时使用

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public List<IHttpPostedFile> UploadedImages { get; set; }
Public Property UploadedImages As List(Of IHttpPostedFile)
    Get
    Set
public:
property List<IHttpPostedFile^>^ UploadedImages {
    List<IHttpPostedFile^>^ get ();
    void set (List<IHttpPostedFile^>^ value);
}
member UploadedImages : List<IHttpPostedFile> with get, set

Property Value

Type: List IHttpPostedFile
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData Methods

The ProductAlbumUploadData type exposes the following members.

Methods
 | Name | Description
Public method | SaveFiles | 保存文件
Top
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData.SaveFiles Method

ProductAlbumUploadDataSaveFiles Method

保存文件

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void SaveFiles(
    Guid productId
)
Public Sub SaveFiles (
    productId As Guid
)
public:
void SaveFiles(
    Guid productId
)
member SaveFiles :
        productId : Guid -> unit

Parameters

productId
Type: SystemGuid
商品Id
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData Fields

The ProductAlbumUploadData type exposes the following members.

Fields
Name | Description
MaxImageCount | 可上传的商品图片数量 全局变量
Top
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductAlbumUploadData.MaxImageCount Field

ProductAlbumUploadDataMaxImageCount Field
可上传的商品图片数量 全局变量

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int MaxImageCount
Public Shared MaxImageCount As Integer
public:
static int MaxImageCount
static val mutable MaxImageCount: int

Field Value

Type: Int32
See Also

Reference

ProductAlbumUploadData Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataAffects Class
商品匹配数据的影响数据
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchedDataAffects

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchedDataAffects : Dictionary<string, Object>
Public Class ProductMatchedDataAffects
    Inherits Dictionary(Of String, Object)
public ref class ProductMatchedDataAffects : public Dictionary<String^, Object^>
type ProductMatchedDataAffects =
    class
        inherit Dictionary<string, Object>
    end

The ProductMatchedDataAffects type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataAffects | Initializes a new instance of the ProductMatchedDataAffects class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataAffects Constructor

Initializes a new instance of the ProductMatchedDataAffects class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataAffects()
Public Sub New
public:
ProductMatchedDataAffects()
new : unit -> ProductMatchedDataAffects
See Also

Reference

ProductMatchedDataAffects Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataConditions Class
商品匹配数据的匹配条件
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchedDataConditions

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchedDataConditions : Dictionary<string, Object>
Public Class ProductMatchedDataConditions
    Inherits Dictionary(Of String, Object)
public ref class ProductMatchedDataConditions : public Dictionary<String^, Object^>
type ProductMatchedDataConditions =
    class
        inherit Dictionary<string, Object>
    end

The ProductMatchedDataConditions type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataConditions | Initializes a new instance of the ProductMatchedDataConditions class
Top
Extension Methods
 | Name | Description
Public Extension Method | GetOrderCountGE | 获取订购数量大于或等于指定数量的条件 (Defined by ProductMatchedDataConditionsExtensions.)
Public Extension Method | GetProperties | 获取商品属性条件 (Defined by ProductMatchedDataConditionsExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataConditions Constructor

Initializes a new instance of the ProductMatchedDataConditions class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataConditions()
Public Sub New
public:
ProductMatchedDataConditions()
new : unit -> ProductMatchedDataConditions
See Also

Reference

ProductMatchedDataConditions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataConditions Methods

The ProductMatchedDataConditions type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | GetOrderCountGE | 获取订购数量大于或等于指定数量的条件 (Defined by ProductMatchedDataConditionsExtensions.)
Public Extension Method | GetProperties | 获取商品属性条件 (Defined by ProductMatchedDataConditionsExtensions.)
Top
See Also

Reference

ProductMatchedDataConditions Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataForEdit Class
商品关联的匹配数据，用于反序列化客户端传回的值 编辑商品时使用 例 条件 价格 货币 重量 库存 备注 调整 颜色: 蓝, 大小 M, 订购数量 >= 1 120 默认 继承 100 新版 上下 默认 100 默认 500 101 [ { Conditions: { Properties: [ { PropertyId: 颜色的Id, PropertyValueId: 蓝色的Id }, { PropertyId: 大小的Id, PropertyValueId: M的Id } ], OrderCountGE: 1 }, Affects: { Price: 120, PriceCurrency: 0, Weight: null, Stock: 100, Remark: "新版" } }, { Conditions: {}, Affects: { Price: 100, PriceCurrency: 0, Weight: 500, Stock: 101, Remark: "" } } ]
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchedDataForEdit

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchedDataForEdit
Public Class ProductMatchedDataForEdit
public ref class ProductMatchedDataForEdit
type ProductMatchedDataForEdit =  class end

The ProductMatchedDataForEdit type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataForEdit | 初始化
Top
Properties
 | Name | Description
Public property | Affects | 影响的数据
Public property | Conditions | 匹配条件
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataForEdit Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataForEdit()
Public Sub New
public:
ProductMatchedDataForEdit()
new : unit -> ProductMatchedDataForEdit
See Also

Reference

ProductMatchedDataForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataForEdit Properties

The ProductMatchedDataForEdit type exposes the following members.

Properties
 | Name | Description
Public property | Affects | 影响的数据
Public property | Conditions | 匹配条件
Top
See Also

Reference

ProductMatchedDataForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataForEdit.Affects Property

ProductMatchedDataForEditAffects Property

影响的数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataAffects Affects { get; set; }
Public Property Affects As ProductMatchedDataAffects
    Get
    Set
public:
property ProductMatchedDataAffects^ Affects {
    ProductMatchedDataAffects^ get ();
    void set (ProductMatchedDataAffects^ value);
}
member Affects : ProductMatchedDataAffects with get, set

Property Value

Type: ProductMatchedDataAffects
See Also

Reference

ProductMatchedDataForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchedDataForEdit.Conditions Property

ProductMatchedDataForEditConditions Property

匹配条件

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataConditions Conditions { get; set; }
Public Property Conditions As ProductMatchedDataConditions
    Get
    Set
public:
property ProductMatchedDataConditions^ Conditions {
    ProductMatchedDataConditions^ get ();
    void set (ProductMatchedDataConditions^ value);
}
member Conditions : ProductMatchedDataConditions with get, set

Property Value

Type: ProductMatchedDataConditions
See Also

Reference

ProductMatchedDataForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchParameters Class
商品匹配参数
Inheritance Hierarchy
SystemObject
System.Collections.GenericDictionary String, Object
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchParameters : Dictionary<string, Object>
Public Class ProductMatchParameters
    Inherits Dictionary(Of String, Object)
public ref class ProductMatchParameters : public Dictionary<String^, Object^>
type ProductMatchParameters =
    class
        inherit Dictionary<string, Object>
    end

The ProductMatchParameters type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchParameters | Initializes a new instance of the ProductMatchParameters class
Top
Extension Methods
 | Name | Description
Public Extension Method | GetOrderCount | 获取订购数量 (Defined by ProductMatchParametersExtensions.)
Public Extension Method | GetProperties | 获取商品属性参数 (Defined by ProductMatchParametersExtensions.)
Public Extension Method | SetOrderCount | 设置订购数量 (Defined by ProductMatchParametersExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchParameters Constructor

Initializes a new instance of the ProductMatchParameters class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchParameters()
Public Sub New
public:
ProductMatchParameters()
new : unit -> ProductMatchParameters
See Also

Reference

ProductMatchParameters Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductMatchParameters Methods

The ProductMatchParameters type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | GetOrderCount | 获取订购数量 (Defined by ProductMatchParametersExtensions.)
Public Extension Method | GetProperties | 获取商品属性参数 (Defined by ProductMatchParametersExtensions.)
Public Extension Method | SetOrderCount | 设置订购数量 (Defined by ProductMatchParametersExtensions.)
Top
See Also

Reference

ProductMatchParameters Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductPropertyValueForEdit Class
商品属性关联的属性值数据，用于反序列化客户端传回的值 编辑商品属性时使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductPropertyValueForEdit

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyValueForEdit
Public Class ProductPropertyValueForEdit
public ref class ProductPropertyValueForEdit
type ProductPropertyValueForEdit =  class end

The ProductPropertyValueForEdit type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyValueForEdit | Initializes a new instance of the ProductPropertyValueForEdit class
Top
Properties
 | Name | Description
Public property | Id | 属性值Id 新添加的属性Id等于null，修改原有的属性Id等于原值
Public property | Name | 属性值名称
Public property | Remark | 属性值备注
Top
Examples
[ { Id: 0, Name: "红色", Remark: "备注" }, { Id: 10001, Name: "蓝色", Remark: "备注" }, { Id: 10002, Name: "绿色", Remark: "备注" } ]
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductPropertyValueForEdit Constructor

Initializes a new instance of the ProductPropertyValueForEdit class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyValueForEdit()
Public Sub New
public:
ProductPropertyValueForEdit()
new : unit -> ProductPropertyValueForEdit
See Also

Reference

ProductPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductPropertyValueForEdit Properties

The ProductPropertyValueForEdit type exposes the following members.

Properties
 | Name | Description
Public property | Id | 属性值Id 新添加的属性Id等于null，修改原有的属性Id等于原值
Public property | Name | 属性值名称
Public property | Remark | 属性值备注
Top
See Also

Reference

ProductPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductPropertyValueForEdit.Id Property

ProductPropertyValueForEditId Property

属性值Id 新添加的属性Id等于null，修改原有的属性Id等于原值

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> Id { get; set; }
Public Property Id As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> Id {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member Id : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

ProductPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductPropertyValueForEdit.Name Property

ProductPropertyValueForEditName Property

属性值名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

ProductPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductPropertyValueForEdit.Remark Property

ProductPropertyValueForEditRemark Property

属性值备注

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Remark { get; set; }
Public Property Remark As String
    Get
    Set
public:
property String^ Remark {
    String^ get ();
    void set (String^ value);
}
member Remark : string with get, set

Property Value

Type: String
See Also

Reference

ProductPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductToPropertyValueForEdit Class
商品关联的属性值数据，用于反序列化客户端传回的值 编辑商品时使用 格式 { propertyId: 属性Id, propertyValueId: 属性值Id, name: 属性值名称 } 例 类目 [ 服装 ] 属性 年份 [2015] (文本框) 产地 [广东] (文本框) 适合季度 [春季] (下拉框) 规格 颜色 [✓蓝色] [✓红色] [灰色] (多选框) 尺码 [✓S] [M] [L] (多选框) [ { propertyId: 年份的Id, name: "2015" }, { propertyId: 产地的Id, name: "广东" }, { propertyId: 季度的Id, propertyValueId: 春季的Id, name: "春季" }, { propertyId: 颜色的Id, propertyValueId: 蓝色的Id, name: "蓝色" }, { propertyId: 颜色的Id, propertyValueId: 红色的Id, name: "红色" }, { propertyId: 尺码的Id, propertyValueId: S的Id, name: "S" } ]
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductToPropertyValueForEdit

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductToPropertyValueForEdit
Public Class ProductToPropertyValueForEdit
public ref class ProductToPropertyValueForEdit
type ProductToPropertyValueForEdit =  class end

The ProductToPropertyValueForEdit type exposes the following members.

Constructors
 | Name | Description
Public method | ProductToPropertyValueForEdit | Initializes a new instance of the ProductToPropertyValueForEdit class
Top
Properties
 | Name | Description
Public property | name | 属性值名称
Public property | propertyId | 属性Id
Public property | propertyValueId | 属性值Id
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductToPropertyValueForEdit Constructor

Initializes a new instance of the ProductToPropertyValueForEdit class

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductToPropertyValueForEdit()
Public Sub New
public:
ProductToPropertyValueForEdit()
new : unit -> ProductToPropertyValueForEdit
See Also

Reference

ProductToPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductToPropertyValueForEdit Properties

The ProductToPropertyValueForEdit type exposes the following members.

Properties
 | Name | Description
Public property | name | 属性值名称
Public property | propertyId | 属性Id
Public property | propertyValueId | 属性值Id
Top
See Also

Reference

ProductToPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductToPropertyValueForEdit.name Property

ProductToPropertyValueForEditname Property

属性值名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string name { get; set; }
Public Property name As String
    Get
    Set
public:
property String^ name {
    String^ get ();
    void set (String^ value);
}
member name : string with get, set

Property Value

Type: String
See Also

Reference

ProductToPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductToPropertyValueForEdit.propertyId Property

ProductToPropertyValueForEditpropertyId Property

属性Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Guid propertyId { get; set; }
Public Property propertyId As Guid
    Get
    Set
public:
property Guid propertyId {
    Guid get ();
    void set (Guid value);
}
member propertyId : Guid with get, set

Property Value

Type: Guid
See Also

Reference

ProductToPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ProductToPropertyValueForEdit.propertyValueId Property

ProductToPropertyValueForEditpropertyValueId Property

属性值Id

Namespace: ZKWeb.Plugins.Shopping.Product.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<Guid> propertyValueId { get; set; }
Public Property propertyValueId As Nullable(Of Guid)
    Get
    Set
public:
property Nullable<Guid> propertyValueId {
    Nullable<Guid> get ();
    void set (Nullable<Guid> value);
}
member propertyValueId : Nullable<Guid> with get, set

Property Value

Type: Nullable Guid
See Also

Reference

ProductToPropertyValueForEdit Class
ZKWeb.Plugins.Shopping.Product.src.Domain.Structs Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers |


ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes"]

Classes
 | Class | Description
Public class | ProductAlbumUploaderAttribute | 商品相册上传器的属性 编辑商品时使用
Public class | ProductMatchedDatasEditorAttribute | 商品匹配数据编辑器的属性 编辑商品时使用
Public class | ProductPropertyValuesEditorAttribute | 商品属性值的编辑器的属性 编辑商品属性时使用
Public class | ProductToProperyValuesEditorAttribute | 商品关联的属性值的编辑器的属性 编辑商品时使用


ProductAlbumUploaderAttribute Class
商品相册上传器的属性 编辑商品时使用
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFileUploaderFieldAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductAlbumUploaderAttribute

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumUploaderAttribute : FileUploaderFieldAttribute
Public Class ProductAlbumUploaderAttribute
    Inherits FileUploaderFieldAttribute
public ref class ProductAlbumUploaderAttribute : public FileUploaderFieldAttribute
type ProductAlbumUploaderAttribute =
    class
        inherit FileUploaderFieldAttribute
    end

The ProductAlbumUploaderAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumUploaderAttribute | 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | Check | 检查上传的文件 (Defined by FileUploaderFieldAttributeExtensions.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductAlbumUploaderAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumUploaderAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
ProductAlbumUploaderAttribute(
    String^ name
)
new :
        name : string -> ProductAlbumUploaderAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

ProductAlbumUploaderAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductAlbumUploaderAttribute Methods

The ProductAlbumUploaderAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | Check | 检查上传的文件 (Defined by FileUploaderFieldAttributeExtensions.)
Top
See Also

Reference

ProductAlbumUploaderAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductMatchedDatasEditorAttribute Class
商品匹配数据编辑器的属性 编辑商品时使用
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductMatchedDatasEditorAttribute

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchedDatasEditorAttribute : FormFieldAttribute
Public Class ProductMatchedDatasEditorAttribute
    Inherits FormFieldAttribute
public ref class ProductMatchedDatasEditorAttribute : public FormFieldAttribute
type ProductMatchedDatasEditorAttribute =
    class
        inherit FormFieldAttribute
    end

The ProductMatchedDatasEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDatasEditorAttribute | 初始化
Top
Properties
 | Name | Description
Public property | CategoryFieldName | 类目Id的字段名称
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductMatchedDatasEditorAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDatasEditorAttribute(
    string name,
    string categoryFieldName
)
Public Sub New (
    name As String,
    categoryFieldName As String
)
public:
ProductMatchedDatasEditorAttribute(
    String^ name,
    String^ categoryFieldName
)
new :
        name : string *
        categoryFieldName : string -> ProductMatchedDatasEditorAttribute

Parameters

name
Type: SystemString
字段名称
categoryFieldName
Type: SystemString
类目Id的字段名称
See Also

Reference

ProductMatchedDatasEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductMatchedDatasEditorAttribute Properties

The ProductMatchedDatasEditorAttribute type exposes the following members.

Properties
 | Name | Description
Public property | CategoryFieldName | 类目Id的字段名称
Top
See Also

Reference

ProductMatchedDatasEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductMatchedDatasEditorAttribute.CategoryFieldName Property

ProductMatchedDatasEditorAttributeCategoryFieldName Property

类目Id的字段名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CategoryFieldName { get; set; }
Public Property CategoryFieldName As String
    Get
    Set
public:
property String^ CategoryFieldName {
    String^ get ();
    void set (String^ value);
}
member CategoryFieldName : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDatasEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductPropertyValuesEditorAttribute Class
商品属性值的编辑器的属性 编辑商品属性时使用
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductPropertyValuesEditorAttribute

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyValuesEditorAttribute : FormFieldAttribute
Public Class ProductPropertyValuesEditorAttribute
    Inherits FormFieldAttribute
public ref class ProductPropertyValuesEditorAttribute : public FormFieldAttribute
type ProductPropertyValuesEditorAttribute =
    class
        inherit FormFieldAttribute
    end

The ProductPropertyValuesEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyValuesEditorAttribute | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductPropertyValuesEditorAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyValuesEditorAttribute(
    string name
)
Public Sub New (
    name As String
)
public:
ProductPropertyValuesEditorAttribute(
    String^ name
)
new :
        name : string -> ProductPropertyValuesEditorAttribute

Parameters

name
Type: SystemString
字段名称
See Also

Reference

ProductPropertyValuesEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductToProperyValuesEditorAttribute Class
商品关联的属性值的编辑器的属性 编辑商品时使用
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.AttributesFormFieldAttribute
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributesProductToProperyValuesEditorAttribute

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductToProperyValuesEditorAttribute : FormFieldAttribute
Public Class ProductToProperyValuesEditorAttribute
    Inherits FormFieldAttribute
public ref class ProductToProperyValuesEditorAttribute : public FormFieldAttribute
type ProductToProperyValuesEditorAttribute =
    class
        inherit FormFieldAttribute
    end

The ProductToProperyValuesEditorAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ProductToProperyValuesEditorAttribute | 初始化
Top
Properties
 | Name | Description
Public property | CategoryFieldName | 类目Id的字段名称
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductToProperyValuesEditorAttribute Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductToProperyValuesEditorAttribute(
    string name,
    string categoryFieldName
)
Public Sub New (
    name As String,
    categoryFieldName As String
)
public:
ProductToProperyValuesEditorAttribute(
    String^ name,
    String^ categoryFieldName
)
new :
        name : string *
        categoryFieldName : string -> ProductToProperyValuesEditorAttribute

Parameters

name
Type: SystemString
字段名称
categoryFieldName
Type: SystemString
类目Id的字段名称
See Also

Reference

ProductToProperyValuesEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductToProperyValuesEditorAttribute Properties

The ProductToProperyValuesEditorAttribute type exposes the following members.

Properties
 | Name | Description
Public property | CategoryFieldName | 类目Id的字段名称
Top
See Also

Reference

ProductToProperyValuesEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ProductToProperyValuesEditorAttribute.CategoryFieldName Property

ProductToProperyValuesEditorAttributeCategoryFieldName Property

类目Id的字段名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string CategoryFieldName { get; set; }
Public Property CategoryFieldName As String
    Get
    Set
public:
property String^ CategoryFieldName {
    String^ get ();
    void set (String^ value);
}
member CategoryFieldName : string with get, set

Property Value

Type: String
See Also

Reference

ProductToProperyValuesEditorAttribute Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldAttributes Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers"]

Classes
 | Class | Description
Public class | ProductAlbumUploader | 商品相册上传器 编辑商品时使用
Public class | ProductMatchedDataEditor | 商品匹配数据编辑器
Public class | ProductPropertyValuesEditor | 商品属性值的编辑器 编辑商品属性时使用
Public class | ProductToProperyValuesEditor | 商品关联的属性值的编辑器 编辑商品时使用


ProductAlbumUploader Class
商品相册上传器 编辑商品时使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlersProductAlbumUploader

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductAlbumUploader : IFormFieldHandler
Public Class ProductAlbumUploader
    Implements IFormFieldHandler
public ref class ProductAlbumUploader : IFormFieldHandler
type ProductAlbumUploader =
    class
        interface IFormFieldHandler
    end

The ProductAlbumUploader type exposes the following members.

Constructors
 | Name | Description
Public method | ProductAlbumUploader | Initializes a new instance of the ProductAlbumUploader class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductAlbumUploader Constructor

Initializes a new instance of the ProductAlbumUploader class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductAlbumUploader()
Public Sub New
public:
ProductAlbumUploader()
new : unit -> ProductAlbumUploader
See Also

Reference

ProductAlbumUploader Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductAlbumUploader Methods

The ProductAlbumUploader type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ProductAlbumUploader Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductAlbumUploader.Build Method

ProductAlbumUploaderBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductAlbumUploader.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductAlbumUploader.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductAlbumUploader.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

ProductAlbumUploader Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductAlbumUploader.Parse Method

ProductAlbumUploaderParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductAlbumUploader.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductAlbumUploader.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductAlbumUploader.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

ProductAlbumUploader Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductMatchedDataEditor Class
商品匹配数据编辑器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlersProductMatchedDataEditor

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductMatchedDataEditor : IFormFieldHandler
Public Class ProductMatchedDataEditor
    Implements IFormFieldHandler
public ref class ProductMatchedDataEditor : IFormFieldHandler
type ProductMatchedDataEditor =
    class
        interface IFormFieldHandler
    end

The ProductMatchedDataEditor type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataEditor | Initializes a new instance of the ProductMatchedDataEditor class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductMatchedDataEditor Constructor

Initializes a new instance of the ProductMatchedDataEditor class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataEditor()
Public Sub New
public:
ProductMatchedDataEditor()
new : unit -> ProductMatchedDataEditor
See Also

Reference

ProductMatchedDataEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductMatchedDataEditor Methods

The ProductMatchedDataEditor type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ProductMatchedDataEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductMatchedDataEditor.Build Method

ProductMatchedDataEditorBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductMatchedDataEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductMatchedDataEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductMatchedDataEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

ProductMatchedDataEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductMatchedDataEditor.Parse Method

ProductMatchedDataEditorParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductMatchedDataEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductMatchedDataEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductMatchedDataEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

ProductMatchedDataEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductPropertyValuesEditor Class
商品属性值的编辑器 编辑商品属性时使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlersProductPropertyValuesEditor

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductPropertyValuesEditor : IFormFieldHandler
Public Class ProductPropertyValuesEditor
    Implements IFormFieldHandler
public ref class ProductPropertyValuesEditor : IFormFieldHandler
type ProductPropertyValuesEditor =
    class
        interface IFormFieldHandler
    end

The ProductPropertyValuesEditor type exposes the following members.

Constructors
 | Name | Description
Public method | ProductPropertyValuesEditor | Initializes a new instance of the ProductPropertyValuesEditor class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductPropertyValuesEditor Constructor

Initializes a new instance of the ProductPropertyValuesEditor class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductPropertyValuesEditor()
Public Sub New
public:
ProductPropertyValuesEditor()
new : unit -> ProductPropertyValuesEditor
See Also

Reference

ProductPropertyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductPropertyValuesEditor Methods

The ProductPropertyValuesEditor type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ProductPropertyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductPropertyValuesEditor.Build Method

ProductPropertyValuesEditorBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductPropertyValuesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductPropertyValuesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductPropertyValuesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

ProductPropertyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductPropertyValuesEditor.Parse Method

ProductPropertyValuesEditorParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductPropertyValuesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductPropertyValuesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductPropertyValuesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

ProductPropertyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductToProperyValuesEditor Class
商品关联的属性值的编辑器 编辑商品时使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlersProductToProperyValuesEditor

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductToProperyValuesEditor : IFormFieldHandler
Public Class ProductToProperyValuesEditor
    Implements IFormFieldHandler
public ref class ProductToProperyValuesEditor : IFormFieldHandler
type ProductToProperyValuesEditor =
    class
        interface IFormFieldHandler
    end

The ProductToProperyValuesEditor type exposes the following members.

Constructors
 | Name | Description
Public method | ProductToProperyValuesEditor | Initializes a new instance of the ProductToProperyValuesEditor class
Top
Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductToProperyValuesEditor Constructor

Initializes a new instance of the ProductToProperyValuesEditor class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductToProperyValuesEditor()
Public Sub New
public:
ProductToProperyValuesEditor()
new : unit -> ProductToProperyValuesEditor
See Also

Reference

ProductToProperyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductToProperyValuesEditor Methods

The ProductToProperyValuesEditor type exposes the following members.

Methods
 | Name | Description
Public method | Build | 获取表单字段的html
Public method | Parse | 解析提交的字段的值
Top
See Also

Reference

ProductToProperyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductToProperyValuesEditor.Build Method

ProductToProperyValuesEditorBuild Method

获取表单字段的html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Build(
    FormField field,
    IDictionary<string, string> htmlAttributes
)
Public Function Build (
    field As FormField,
    htmlAttributes As IDictionary(Of String, String)
) As String
public:
virtual String^ Build(
    FormField^ field,
    IDictionary<String^, String^>^ htmlAttributes
) sealed
abstract Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string
override Build :
        field : FormField *
        htmlAttributes : IDictionary<string, string> -> string

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductToProperyValuesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

htmlAttributes
Type: System.Collections.GenericIDictionary String, String

[Missing <param name="htmlAttributes"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductToProperyValuesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductToProperyValuesEditor.Build(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IDictionary{System.String,System.String})"]

Implements

IFormFieldHandlerBuild(FormField, IDictionaryString, String)
See Also

Reference

ProductToProperyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ProductToProperyValuesEditor.Parse Method

ProductToProperyValuesEditorParse Method

解析提交的字段的值

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Parse(
    FormField field,
    IList<string> values
)
Public Function Parse (
    field As FormField,
    values As IList(Of String)
) As Object
public:
virtual Object^ Parse(
    FormField^ field,
    IList<String^>^ values
) sealed
abstract Parse :
        field : FormField *
        values : IList<string> -> Object
override Parse :
        field : FormField *
        values : IList<string> -> Object

Parameters

field
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormField

[Missing <param name="field"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductToProperyValuesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

values
Type: System.Collections.GenericIList String

[Missing <param name="values"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductToProperyValuesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers.ProductToProperyValuesEditor.Parse(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormField,System.Collections.Generic.IList{System.String})"]

Implements

IFormFieldHandlerParse(FormField, IListString)
See Also

Reference

ProductToProperyValuesEditor Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.FormFieldHandlers Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders"]

Classes
 | Class | Description
Public class | ProductCategoryListItemProvider | 商品类目的选项列表
Public class | ProductClassListItemTreeProvider | 商品分类的选项列表提供器
Public class | ProductNonSalesPropertyListItemProvider | 商品非销售属性的选项列表
Public class | ProductSalesPropertyListItemProvider | 商品销售属性的选项列表
Public class | ProductSortTypeListItemProvider | 商品排序类型的选项列表提供器
Public class | ProductStateListItemProvider | 商品状态的选项列表
Public class | ProductTagListItemProvider | 商品标签选的选项列表提供器
Public class | ProductTypeListItemProvider | 商品类型的选项列表


ProductCategoryListItemProvider Class
商品类目的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductCategoryListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductCategoryListItemProvider : IListItemProvider
Public Class ProductCategoryListItemProvider
    Implements IListItemProvider
public ref class ProductCategoryListItemProvider : IListItemProvider
type ProductCategoryListItemProvider =
    class
        interface IListItemProvider
    end

The ProductCategoryListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductCategoryListItemProvider | Initializes a new instance of the ProductCategoryListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductCategoryListItemProvider Constructor

Initializes a new instance of the ProductCategoryListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductCategoryListItemProvider()
Public Sub New
public:
ProductCategoryListItemProvider()
new : unit -> ProductCategoryListItemProvider
See Also

Reference

ProductCategoryListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductCategoryListItemProvider Methods

The ProductCategoryListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ProductCategoryListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductCategoryListItemProvider.GetItems Method

ProductCategoryListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders.ProductCategoryListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ProductCategoryListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductClassListItemTreeProvider Class
商品分类的选项列表提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericClass.src.UIComponents.ListItemProvidersGenericClassListItemTreeProvider ProductClassController
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductClassListItemTreeProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductClassListItemTreeProvider : GenericClassListItemTreeProvider<ProductClassController>
Public Class ProductClassListItemTreeProvider
    Inherits GenericClassListItemTreeProvider(Of ProductClassController)
public ref class ProductClassListItemTreeProvider : public GenericClassListItemTreeProvider<ProductClassController^>
type ProductClassListItemTreeProvider =
    class
        inherit GenericClassListItemTreeProvider<ProductClassController>
    end

The ProductClassListItemTreeProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductClassListItemTreeProvider | Initializes a new instance of the ProductClassListItemTreeProvider class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductClassListItemTreeProvider Constructor

Initializes a new instance of the ProductClassListItemTreeProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductClassListItemTreeProvider()
Public Sub New
public:
ProductClassListItemTreeProvider()
new : unit -> ProductClassListItemTreeProvider
See Also

Reference

ProductClassListItemTreeProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductNonSalesPropertyListItemProvider Class
商品非销售属性的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductNonSalesPropertyListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductNonSalesPropertyListItemProvider : IListItemProvider
Public Class ProductNonSalesPropertyListItemProvider
    Implements IListItemProvider
public ref class ProductNonSalesPropertyListItemProvider : IListItemProvider
type ProductNonSalesPropertyListItemProvider =
    class
        interface IListItemProvider
    end

The ProductNonSalesPropertyListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductNonSalesPropertyListItemProvider | Initializes a new instance of the ProductNonSalesPropertyListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductNonSalesPropertyListItemProvider Constructor

Initializes a new instance of the ProductNonSalesPropertyListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductNonSalesPropertyListItemProvider()
Public Sub New
public:
ProductNonSalesPropertyListItemProvider()
new : unit -> ProductNonSalesPropertyListItemProvider
See Also

Reference

ProductNonSalesPropertyListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductNonSalesPropertyListItemProvider Methods

The ProductNonSalesPropertyListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ProductNonSalesPropertyListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductNonSalesPropertyListItemProvider.GetItems Method

ProductNonSalesPropertyListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders.ProductNonSalesPropertyListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ProductNonSalesPropertyListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSalesPropertyListItemProvider Class
商品销售属性的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductSalesPropertyListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductSalesPropertyListItemProvider : IListItemProvider
Public Class ProductSalesPropertyListItemProvider
    Implements IListItemProvider
public ref class ProductSalesPropertyListItemProvider : IListItemProvider
type ProductSalesPropertyListItemProvider =
    class
        interface IListItemProvider
    end

The ProductSalesPropertyListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductSalesPropertyListItemProvider | Initializes a new instance of the ProductSalesPropertyListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSalesPropertyListItemProvider Constructor

Initializes a new instance of the ProductSalesPropertyListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductSalesPropertyListItemProvider()
Public Sub New
public:
ProductSalesPropertyListItemProvider()
new : unit -> ProductSalesPropertyListItemProvider
See Also

Reference

ProductSalesPropertyListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSalesPropertyListItemProvider Methods

The ProductSalesPropertyListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ProductSalesPropertyListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSalesPropertyListItemProvider.GetItems Method

ProductSalesPropertyListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders.ProductSalesPropertyListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ProductSalesPropertyListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSortTypeListItemProvider Class
商品排序类型的选项列表提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductSortTypeListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductSortTypeListItemProvider : IListItemProvider
Public Class ProductSortTypeListItemProvider
    Implements IListItemProvider
public ref class ProductSortTypeListItemProvider : IListItemProvider
type ProductSortTypeListItemProvider =
    class
        interface IListItemProvider
    end

The ProductSortTypeListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductSortTypeListItemProvider | Initializes a new instance of the ProductSortTypeListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSortTypeListItemProvider Constructor

Initializes a new instance of the ProductSortTypeListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductSortTypeListItemProvider()
Public Sub New
public:
ProductSortTypeListItemProvider()
new : unit -> ProductSortTypeListItemProvider
See Also

Reference

ProductSortTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSortTypeListItemProvider Methods

The ProductSortTypeListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ProductSortTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductSortTypeListItemProvider.GetItems Method

ProductSortTypeListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders.ProductSortTypeListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ProductSortTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductStateListItemProvider Class
商品状态的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductStateListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductStateListItemProvider : IListItemProvider
Public Class ProductStateListItemProvider
    Implements IListItemProvider
public ref class ProductStateListItemProvider : IListItemProvider
type ProductStateListItemProvider =
    class
        interface IListItemProvider
    end

The ProductStateListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductStateListItemProvider | Initializes a new instance of the ProductStateListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductStateListItemProvider Constructor

Initializes a new instance of the ProductStateListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductStateListItemProvider()
Public Sub New
public:
ProductStateListItemProvider()
new : unit -> ProductStateListItemProvider
See Also

Reference

ProductStateListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductStateListItemProvider Methods

The ProductStateListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ProductStateListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductStateListItemProvider.GetItems Method

ProductStateListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders.ProductStateListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ProductStateListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductTagListItemProvider Class
商品标签选的选项列表提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.GenericTag.src.UIComponents.ListItemProvidersGenericTagListItemProvider ProductTagController
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductTagListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductTagListItemProvider : GenericTagListItemProvider<ProductTagController>
Public Class ProductTagListItemProvider
    Inherits GenericTagListItemProvider(Of ProductTagController)
public ref class ProductTagListItemProvider : public GenericTagListItemProvider<ProductTagController^>
type ProductTagListItemProvider =
    class
        inherit GenericTagListItemProvider<ProductTagController>
    end

The ProductTagListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductTagListItemProvider | Initializes a new instance of the ProductTagListItemProvider class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductTagListItemProvider Constructor

Initializes a new instance of the ProductTagListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductTagListItemProvider()
Public Sub New
public:
ProductTagListItemProvider()
new : unit -> ProductTagListItemProvider
See Also

Reference

ProductTagListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductTypeListItemProvider Class
商品类型的选项列表
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProvidersProductTypeListItemProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductTypeListItemProvider : IListItemProvider
Public Class ProductTypeListItemProvider
    Implements IListItemProvider
public ref class ProductTypeListItemProvider : IListItemProvider
type ProductTypeListItemProvider =
    class
        interface IListItemProvider
    end

The ProductTypeListItemProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ProductTypeListItemProvider | Initializes a new instance of the ProductTypeListItemProvider class
Top
Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductTypeListItemProvider Constructor

Initializes a new instance of the ProductTypeListItemProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductTypeListItemProvider()
Public Sub New
public:
ProductTypeListItemProvider()
new : unit -> ProductTypeListItemProvider
See Also

Reference

ProductTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductTypeListItemProvider Methods

The ProductTypeListItemProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetItems | 获取选项列表
Top
See Also

Reference

ProductTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ProductTypeListItemProvider.GetItems Method

ProductTypeListItemProviderGetItems Method

获取选项列表

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ListItem> GetItems()
Public Function GetItems As IEnumerable(Of ListItem)
public:
virtual IEnumerable<ListItem^>^ GetItems() sealed
abstract GetItems : unit -> IEnumerable<ListItem>
override GetItems : unit -> IEnumerable<ListItem>

Return Value

Type: IEnumerable ListItem

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders.ProductTypeListItemProvider.GetItems"]

Implements

IListItemProviderGetItems
See Also

Reference

ProductTypeListItemProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ListItemProviders Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases |


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders"]

Classes
 | Class | Description
Public class | BarCodeBinder | 条形码 值名 BarCode 格式 字符串
Public class | ItemNoBinder | 货号 值名 ItemNo 格式 字符串
Public class | PriceBinder | 价格 值名 Price 格式 浮点数
Public class | PriceCurrencyBinder | 货币 值名 PriceCurrency 格式 字符串（Currency类型）
Public class | RemarkBinder | 备注 值名 Remark 格式 字符串
Public class | StockBinder | 库存 值名 Stock 格式 整数
Public class | WeightBinder | 重量 值名 Weight 格式 小数


BarCodeBinder Class
条形码 值名 BarCode 格式 字符串
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersBarCodeBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BarCodeBinder : ProductMatchedDataAffectsBinder
Public Class BarCodeBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class BarCodeBinder : public ProductMatchedDataAffectsBinder
type BarCodeBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The BarCodeBinder type exposes the following members.

Constructors
 | Name | Description
Public method | BarCodeBinder | Initializes a new instance of the BarCodeBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


BarCodeBinder Constructor

Initializes a new instance of the BarCodeBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BarCodeBinder()
Public Sub New
public:
BarCodeBinder()
new : unit -> BarCodeBinder
See Also

Reference

BarCodeBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


BarCodeBinder Methods

The BarCodeBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

BarCodeBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


BarCodeBinder.Init Method

BarCodeBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BarCodeBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BarCodeBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

BarCodeBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


ItemNoBinder Class
货号 值名 ItemNo 格式 字符串
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersItemNoBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ItemNoBinder : ProductMatchedDataAffectsBinder
Public Class ItemNoBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class ItemNoBinder : public ProductMatchedDataAffectsBinder
type ItemNoBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The ItemNoBinder type exposes the following members.

Constructors
 | Name | Description
Public method | ItemNoBinder | Initializes a new instance of the ItemNoBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


ItemNoBinder Constructor

Initializes a new instance of the ItemNoBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ItemNoBinder()
Public Sub New
public:
ItemNoBinder()
new : unit -> ItemNoBinder
See Also

Reference

ItemNoBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


ItemNoBinder Methods

The ItemNoBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ItemNoBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


ItemNoBinder.Init Method

ItemNoBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.ItemNoBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.ItemNoBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

ItemNoBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceBinder Class
价格 值名 Price 格式 浮点数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersPriceBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PriceBinder : ProductMatchedDataAffectsBinder
Public Class PriceBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class PriceBinder : public ProductMatchedDataAffectsBinder
type PriceBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The PriceBinder type exposes the following members.

Constructors
 | Name | Description
Public method | PriceBinder | Initializes a new instance of the PriceBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceBinder Constructor

Initializes a new instance of the PriceBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PriceBinder()
Public Sub New
public:
PriceBinder()
new : unit -> PriceBinder
See Also

Reference

PriceBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceBinder Methods

The PriceBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

PriceBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceBinder.Init Method

PriceBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.PriceBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.PriceBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

PriceBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceCurrencyBinder Class
货币 值名 PriceCurrency 格式 字符串（Currency类型）
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersPriceCurrencyBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PriceCurrencyBinder : ProductMatchedDataAffectsBinder
Public Class PriceCurrencyBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class PriceCurrencyBinder : public ProductMatchedDataAffectsBinder
type PriceCurrencyBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The PriceCurrencyBinder type exposes the following members.

Constructors
 | Name | Description
Public method | PriceCurrencyBinder | Initializes a new instance of the PriceCurrencyBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceCurrencyBinder Constructor

Initializes a new instance of the PriceCurrencyBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PriceCurrencyBinder()
Public Sub New
public:
PriceCurrencyBinder()
new : unit -> PriceCurrencyBinder
See Also

Reference

PriceCurrencyBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceCurrencyBinder Methods

The PriceCurrencyBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

PriceCurrencyBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


PriceCurrencyBinder.Init Method

PriceCurrencyBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.PriceCurrencyBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.PriceCurrencyBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

PriceCurrencyBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


RemarkBinder Class
备注 值名 Remark 格式 字符串
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersRemarkBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RemarkBinder : ProductMatchedDataAffectsBinder
Public Class RemarkBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class RemarkBinder : public ProductMatchedDataAffectsBinder
type RemarkBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The RemarkBinder type exposes the following members.

Constructors
 | Name | Description
Public method | RemarkBinder | Initializes a new instance of the RemarkBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


RemarkBinder Constructor

Initializes a new instance of the RemarkBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RemarkBinder()
Public Sub New
public:
RemarkBinder()
new : unit -> RemarkBinder
See Also

Reference

RemarkBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


RemarkBinder Methods

The RemarkBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

RemarkBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


RemarkBinder.Init Method

RemarkBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.RemarkBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.RemarkBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

RemarkBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


StockBinder Class
库存 值名 Stock 格式 整数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersStockBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class StockBinder : ProductMatchedDataAffectsBinder
Public Class StockBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class StockBinder : public ProductMatchedDataAffectsBinder
type StockBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The StockBinder type exposes the following members.

Constructors
 | Name | Description
Public method | StockBinder | Initializes a new instance of the StockBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


StockBinder Constructor

Initializes a new instance of the StockBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public StockBinder()
Public Sub New
public:
StockBinder()
new : unit -> StockBinder
See Also

Reference

StockBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


StockBinder Methods

The StockBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

StockBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


StockBinder.Init Method

StockBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.StockBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.StockBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

StockBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


WeightBinder Class
重量 值名 Weight 格式 小数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersWeightBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WeightBinder : ProductMatchedDataAffectsBinder
Public Class WeightBinder
    Inherits ProductMatchedDataAffectsBinder
public ref class WeightBinder : public ProductMatchedDataAffectsBinder
type WeightBinder =
    class
        inherit ProductMatchedDataAffectsBinder
    end

The WeightBinder type exposes the following members.

Constructors
 | Name | Description
Public method | WeightBinder | Initializes a new instance of the WeightBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


WeightBinder Constructor

Initializes a new instance of the WeightBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WeightBinder()
Public Sub New
public:
WeightBinder()
new : unit -> WeightBinder
See Also

Reference

WeightBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


WeightBinder Methods

The WeightBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataAffectsBinderInit(NullableGuid).)
Top
See Also

Reference

WeightBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


WeightBinder.Init Method

WeightBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.WeightBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.WeightBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

WeightBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases"]

Classes
 | Class | Description
Public class | ProductMatchedDataAffectsBinder | 商品匹配数据的影响数据绑定器 绑定器只在商品编辑时使用


ProductMatchedDataAffectsBinder Class
商品匹配数据的影响数据绑定器 绑定器只在商品编辑时使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
More...

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ProductMatchedDataAffectsBinder
Public MustInherit Class ProductMatchedDataAffectsBinder
public ref class ProductMatchedDataAffectsBinder abstract
[<AbstractClassAttribute>]
type ProductMatchedDataAffectsBinder =  class end

The ProductMatchedDataAffectsBinder type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataAffectsBinder | 初始化
Top
Properties
 | Name | Description
Public property | Bind | 绑定数据到Html的函数 例 function($binder, affects) { $binder.find("input").val(affects.Example) }
Public property | Collect | 从Html收集数据的函数 例 function($binder, affects) { affects.Example = $binder.find("input").val(); }
Public property | Contents | 用于编辑影响数据的Html
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Header | 列头部显示的Html
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器，返回是否成功
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.BasesProductMatchedDataAffectsBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersBarCodeBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersItemNoBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersPriceBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersPriceCurrencyBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersRemarkBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersStockBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBindersWeightBinder


ProductMatchedDataAffectsBinder Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataAffectsBinder()
Public Sub New
public:
ProductMatchedDataAffectsBinder()
new : unit -> ProductMatchedDataAffectsBinder
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder Properties

The ProductMatchedDataAffectsBinder type exposes the following members.

Properties
 | Name | Description
Public property | Bind | 绑定数据到Html的函数 例 function($binder, affects) { $binder.find("input").val(affects.Example) }
Public property | Collect | 从Html收集数据的函数 例 function($binder, affects) { affects.Example = $binder.find("input").val(); }
Public property | Contents | 用于编辑影响数据的Html
Public property | DisplayOrder | 显示顺序，从小到大
Public property | Header | 列头部显示的Html
Top
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder.Bind Property

ProductMatchedDataAffectsBinderBind Property

绑定数据到Html的函数 例 function($binder, affects) { $binder.find("input").val(affects.Example) }

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Bind { get; set; }
Public Property Bind As String
    Get
    Set
public:
property String^ Bind {
    String^ get ();
    void set (String^ value);
}
member Bind : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder.Collect Property

ProductMatchedDataAffectsBinderCollect Property

从Html收集数据的函数 例 function($binder, affects) { affects.Example = $binder.find("input").val(); }

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Collect { get; set; }
Public Property Collect As String
    Get
    Set
public:
property String^ Collect {
    String^ get ();
    void set (String^ value);
}
member Collect : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder.Contents Property

ProductMatchedDataAffectsBinderContents Property

用于编辑影响数据的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Contents { get; set; }
Public Property Contents As String
    Get
    Set
public:
property String^ Contents {
    String^ get ();
    void set (String^ value);
}
member Contents : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder.DisplayOrder Property

ProductMatchedDataAffectsBinderDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int DisplayOrder { get; set; }
Public Property DisplayOrder As Integer
    Get
    Set
public:
property int DisplayOrder {
    int get ();
    void set (int value);
}
member DisplayOrder : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder.Header Property

ProductMatchedDataAffectsBinderHeader Property

列头部显示的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Header { get; set; }
Public Property Header As String
    Get
    Set
public:
property String^ Header {
    String^ get ();
    void set (String^ value);
}
member Header : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder Methods

The ProductMatchedDataAffectsBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器，返回是否成功
Top
See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ProductMatchedDataAffectsBinder.Init Method

ProductMatchedDataAffectsBinderInit Method

初始化绑定器，返回是否成功

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract bool Init(
    Nullable<Guid> categoryId
)
Public MustOverride Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) abstract
abstract Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid
类目Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases.ProductMatchedDataAffectsBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

ProductMatchedDataAffectsBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataAffectsBinders.Bases Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases |


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders"]

Classes
 | Class | Description
Public class | OrderCountGEBinder | 订购数量 值名 OrderCountGE 格式 整数
Public class | PropertiesBinder | 规格条件 值名 Properties 格式 [ { PropertyId: ..., PropertyValueId: ... }, ... ]


OrderCountGEBinder Class
订购数量 值名 OrderCountGE 格式 整数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.BasesProductMatchedDataConditionBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBindersOrderCountGEBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class OrderCountGEBinder : ProductMatchedDataConditionBinder
Public Class OrderCountGEBinder
    Inherits ProductMatchedDataConditionBinder
public ref class OrderCountGEBinder : public ProductMatchedDataConditionBinder
type OrderCountGEBinder =
    class
        inherit ProductMatchedDataConditionBinder
    end

The OrderCountGEBinder type exposes the following members.

Constructors
 | Name | Description
Public method | OrderCountGEBinder | Initializes a new instance of the OrderCountGEBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataConditionBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


OrderCountGEBinder Constructor

Initializes a new instance of the OrderCountGEBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public OrderCountGEBinder()
Public Sub New
public:
OrderCountGEBinder()
new : unit -> OrderCountGEBinder
See Also

Reference

OrderCountGEBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


OrderCountGEBinder Methods

The OrderCountGEBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataConditionBinderInit(NullableGuid).)
Top
See Also

Reference

OrderCountGEBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


OrderCountGEBinder.Init Method

OrderCountGEBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.OrderCountGEBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.OrderCountGEBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

OrderCountGEBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


PropertiesBinder Class
规格条件 值名 Properties 格式 [ { PropertyId: ..., PropertyValueId: ... }, ... ]
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.BasesProductMatchedDataConditionBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBindersPropertiesBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PropertiesBinder : ProductMatchedDataConditionBinder
Public Class PropertiesBinder
    Inherits ProductMatchedDataConditionBinder
public ref class PropertiesBinder : public ProductMatchedDataConditionBinder
type PropertiesBinder =
    class
        inherit ProductMatchedDataConditionBinder
    end

The PropertiesBinder type exposes the following members.

Constructors
 | Name | Description
Public method | PropertiesBinder | Initializes a new instance of the PropertiesBinder class
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataConditionBinderInit(NullableGuid).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


PropertiesBinder Constructor

Initializes a new instance of the PropertiesBinder class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PropertiesBinder()
Public Sub New
public:
PropertiesBinder()
new : unit -> PropertiesBinder
See Also

Reference

PropertiesBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


PropertiesBinder Methods

The PropertiesBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器 (Overrides ProductMatchedDataConditionBinderInit(NullableGuid).)
Top
See Also

Reference

PropertiesBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


PropertiesBinder.Init Method

PropertiesBinderInit Method

初始化绑定器

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override bool Init(
    Nullable<Guid> categoryId
)
Public Overrides Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) override
abstract Init :
        categoryId : Nullable<Guid> -> bool
override Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid

[Missing <param name="categoryId"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.PropertiesBinder.Init(System.Nullable{System.Guid})"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.PropertiesBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

PropertiesBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases"]

Classes
 | Class | Description
Public class | ProductMatchedDataConditionBinder | 商品匹配数据的条件绑定器 绑定器只在商品编辑时使用


ProductMatchedDataConditionBinder Class
商品匹配数据的条件绑定器 绑定器只在商品编辑时使用
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.BasesProductMatchedDataConditionBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBindersOrderCountGEBinder
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBindersPropertiesBinder

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ProductMatchedDataConditionBinder
Public MustInherit Class ProductMatchedDataConditionBinder
public ref class ProductMatchedDataConditionBinder abstract
[<AbstractClassAttribute>]
type ProductMatchedDataConditionBinder =  class end

The ProductMatchedDataConditionBinder type exposes the following members.

Constructors
 | Name | Description
Public method | ProductMatchedDataConditionBinder | 初始化
Top
Properties
 | Name | Description
Public property | Bind | 绑定数据到Html的函数 例 function($binder, conditions) { $binder.find("input").val(conditions.Example) }
Public property | Collect | 从Html收集数据的函数 例 function($binder, conditions) { conditions.Example = $binder.find("input").val(); }
Public property | Contents | 用于编辑条件的Html
Public property | Display | 转换条件到显示字符串的函数 例 function(conditions) { return "Example: " + conditions.Example; }
Public property | DisplayOrder | 显示顺序，从小到大
Top
Methods
 | Name | Description
Public method | Init | 初始化绑定器，返回是否成功
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductMatchedDataConditionBinder()
Public Sub New
public:
ProductMatchedDataConditionBinder()
new : unit -> ProductMatchedDataConditionBinder
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder Properties

The ProductMatchedDataConditionBinder type exposes the following members.

Properties
 | Name | Description
Public property | Bind | 绑定数据到Html的函数 例 function($binder, conditions) { $binder.find("input").val(conditions.Example) }
Public property | Collect | 从Html收集数据的函数 例 function($binder, conditions) { conditions.Example = $binder.find("input").val(); }
Public property | Contents | 用于编辑条件的Html
Public property | Display | 转换条件到显示字符串的函数 例 function(conditions) { return "Example: " + conditions.Example; }
Public property | DisplayOrder | 显示顺序，从小到大
Top
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder.Bind Property

ProductMatchedDataConditionBinderBind Property

绑定数据到Html的函数 例 function($binder, conditions) { $binder.find("input").val(conditions.Example) }

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Bind { get; set; }
Public Property Bind As String
    Get
    Set
public:
property String^ Bind {
    String^ get ();
    void set (String^ value);
}
member Bind : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder.Collect Property

ProductMatchedDataConditionBinderCollect Property

从Html收集数据的函数 例 function($binder, conditions) { conditions.Example = $binder.find("input").val(); }

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Collect { get; set; }
Public Property Collect As String
    Get
    Set
public:
property String^ Collect {
    String^ get ();
    void set (String^ value);
}
member Collect : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder.Contents Property

ProductMatchedDataConditionBinderContents Property

用于编辑条件的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Contents { get; set; }
Public Property Contents As String
    Get
    Set
public:
property String^ Contents {
    String^ get ();
    void set (String^ value);
}
member Contents : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder.Display Property

ProductMatchedDataConditionBinderDisplay Property

转换条件到显示字符串的函数 例 function(conditions) { return "Example: " + conditions.Example; }

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Display { get; set; }
Public Property Display As String
    Get
    Set
public:
property String^ Display {
    String^ get ();
    void set (String^ value);
}
member Display : string with get, set

Property Value

Type: String
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder.DisplayOrder Property

ProductMatchedDataConditionBinderDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int DisplayOrder { get; set; }
Public Property DisplayOrder As Integer
    Get
    Set
public:
property int DisplayOrder {
    int get ();
    void set (int value);
}
member DisplayOrder : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder Methods

The ProductMatchedDataConditionBinder type exposes the following members.

Methods
 | Name | Description
Public method | Init | 初始化绑定器，返回是否成功
Top
See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ProductMatchedDataConditionBinder.Init Method

ProductMatchedDataConditionBinderInit Method

初始化绑定器，返回是否成功

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public abstract bool Init(
    Nullable<Guid> categoryId
)
Public MustOverride Function Init (
    categoryId As Nullable(Of Guid)
) As Boolean
public:
virtual bool Init(
    Nullable<Guid> categoryId
) abstract
abstract Init :
        categoryId : Nullable<Guid> -> bool

Parameters

categoryId
Type: SystemNullable Guid
类目Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases.ProductMatchedDataConditionBinder.Init(System.Nullable{System.Guid})"]

See Also

Reference

ProductMatchedDataConditionBinder Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchedDataConditionBinders.Bases Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces |


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders"]

Classes
 | Class | Description
Public class | ItemNoDescriptionProvider | 获取货号的描述
Public class | PropertiesDescriptionProvider | 获取属性值的描述 例如 "颜色: 红色 尺码: L"


ItemNoDescriptionProvider Class
获取货号的描述
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProvidersItemNoDescriptionProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ItemNoDescriptionProvider : IProductMatchParametersDescriptionProvider
Public Class ItemNoDescriptionProvider
    Implements IProductMatchParametersDescriptionProvider
public ref class ItemNoDescriptionProvider : IProductMatchParametersDescriptionProvider
type ItemNoDescriptionProvider =
    class
        interface IProductMatchParametersDescriptionProvider
    end

The ItemNoDescriptionProvider type exposes the following members.

Constructors
 | Name | Description
Public method | ItemNoDescriptionProvider | Initializes a new instance of the ItemNoDescriptionProvider class
Top
Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Top
Methods
 | Name | Description
Public method | GetDescription | 获取描述，没有时返回null
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


ItemNoDescriptionProvider Constructor

Initializes a new instance of the ItemNoDescriptionProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ItemNoDescriptionProvider()
Public Sub New
public:
ItemNoDescriptionProvider()
new : unit -> ItemNoDescriptionProvider
See Also

Reference

ItemNoDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


ItemNoDescriptionProvider Properties

The ItemNoDescriptionProvider type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Top
See Also

Reference

ItemNoDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


ItemNoDescriptionProvider.DisplayOrder Property

ItemNoDescriptionProviderDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int DisplayOrder { get; }
Public ReadOnly Property DisplayOrder As Integer
    Get
public:
virtual property int DisplayOrder {
    int get () sealed;
}
abstract DisplayOrder : int with get
override DisplayOrder : int with get

Property Value

Type: Int32

Implements

IProductMatchParametersDescriptionProviderDisplayOrder
See Also

Reference

ItemNoDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


ItemNoDescriptionProvider Methods

The ItemNoDescriptionProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetDescription | 获取描述，没有时返回null
Top
See Also

Reference

ItemNoDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


ItemNoDescriptionProvider.GetDescription Method

ItemNoDescriptionProviderGetDescription Method

获取描述，没有时返回null

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetDescription(
    Product product,
    ProductMatchParameters parameters
)
Public Function GetDescription (
    product As Product,
    parameters As ProductMatchParameters
) As String
public:
virtual String^ GetDescription(
    Product^ product,
    ProductMatchParameters^ parameters
) sealed
abstract GetDescription :
        product : Product *
        parameters : ProductMatchParameters -> string
override GetDescription :
        product : Product *
        parameters : ProductMatchParameters -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="product"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.ItemNoDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.ItemNoDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.ItemNoDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Implements

IProductMatchParametersDescriptionProviderGetDescription(Product, ProductMatchParameters)
See Also

Reference

ItemNoDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


PropertiesDescriptionProvider Class
获取属性值的描述 例如 "颜色: 红色 尺码: L"
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProvidersPropertiesDescriptionProvider

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class PropertiesDescriptionProvider : IProductMatchParametersDescriptionProvider
Public Class PropertiesDescriptionProvider
    Implements IProductMatchParametersDescriptionProvider
public ref class PropertiesDescriptionProvider : IProductMatchParametersDescriptionProvider
type PropertiesDescriptionProvider =
    class
        interface IProductMatchParametersDescriptionProvider
    end

The PropertiesDescriptionProvider type exposes the following members.

Constructors
 | Name | Description
Public method | PropertiesDescriptionProvider | Initializes a new instance of the PropertiesDescriptionProvider class
Top
Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Top
Methods
 | Name | Description
Public method | GetDescription | 获取描述，没有时返回null
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


PropertiesDescriptionProvider Constructor

Initializes a new instance of the PropertiesDescriptionProvider class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public PropertiesDescriptionProvider()
Public Sub New
public:
PropertiesDescriptionProvider()
new : unit -> PropertiesDescriptionProvider
See Also

Reference

PropertiesDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


PropertiesDescriptionProvider Properties

The PropertiesDescriptionProvider type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序
Top
See Also

Reference

PropertiesDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


PropertiesDescriptionProvider.DisplayOrder Property

PropertiesDescriptionProviderDisplayOrder Property

显示顺序

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public int DisplayOrder { get; }
Public ReadOnly Property DisplayOrder As Integer
    Get
public:
virtual property int DisplayOrder {
    int get () sealed;
}
abstract DisplayOrder : int with get
override DisplayOrder : int with get

Property Value

Type: Int32

Implements

IProductMatchParametersDescriptionProviderDisplayOrder
See Also

Reference

PropertiesDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


PropertiesDescriptionProvider Methods

The PropertiesDescriptionProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetDescription | 获取描述，没有时返回null
Top
See Also

Reference

PropertiesDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


PropertiesDescriptionProvider.GetDescription Method

PropertiesDescriptionProviderGetDescription Method

获取描述，没有时返回null

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetDescription(
    Product product,
    ProductMatchParameters parameters
)
Public Function GetDescription (
    product As Product,
    parameters As ProductMatchParameters
) As String
public:
virtual String^ GetDescription(
    Product^ product,
    ProductMatchParameters^ parameters
) sealed
abstract GetDescription :
        product : Product *
        parameters : ProductMatchParameters -> string
override GetDescription :
        product : Product *
        parameters : ProductMatchParameters -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="product"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.PropertiesDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters

[Missing <param name="parameters"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.PropertiesDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.PropertiesDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Implements

IProductMatchParametersDescriptionProviderGetDescription(Product, ProductMatchParameters)
See Also

Reference

PropertiesDescriptionProvider Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions"]

Classes
 | Class | Description
Public class | ProductExtensions | 商品的扩展函数


ProductExtensions Class
商品的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.ExtensionsProductExtensions

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static class ProductExtensions
<ExtensionAttribute>
Public NotInheritable Class ProductExtensions
[ExtensionAttribute]
public ref class ProductExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ProductExtensions =  class end

The ProductExtensions type exposes the following members.

Methods
Name | Description
GetMatchParametersDescription | 获取商品匹配参数的描述
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions Namespace


ProductExtensions Methods

The ProductExtensions type exposes the following members.

Methods
Name | Description
GetMatchParametersDescription | 获取商品匹配参数的描述
Top
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions Namespace


ProductExtensions.GetMatchParametersDescription Method

ProductExtensionsGetMatchParametersDescription Method

获取商品匹配参数的描述

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string GetMatchParametersDescription(
    this Product product,
    ProductMatchParameters parameters
)
<ExtensionAttribute>
Public Shared Function GetMatchParametersDescription (
    product As Product,
    parameters As ProductMatchParameters
) As String
public:
[ExtensionAttribute]
static String^ GetMatchParametersDescription(
    Product^ product,
    ProductMatchParameters^ parameters
)
[<ExtensionAttribute>]
static member GetMatchParametersDescription :
        product : Product *
        parameters : ProductMatchParameters -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品
parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions.ProductExtensions.GetMatchParametersDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Product. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ProductExtensions Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Extensions Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IProductMatchParametersDescriptionProvider | 商品匹配参数描述的提供器 用于构建商品匹配参数的字符串描述 可以用于 - 显示在订单的商品信息中


IProductMatchParametersDescriptionProvider Interface
商品匹配参数描述的提供器 用于构建商品匹配参数的字符串描述 可以用于 - 显示在订单的商品信息中

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IProductMatchParametersDescriptionProvider
Public Interface IProductMatchParametersDescriptionProvider
public interface class IProductMatchParametersDescriptionProvider
type IProductMatchParametersDescriptionProvider =  interface end

The IProductMatchParametersDescriptionProvider type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序，从小到大
Top
Methods
 | Name | Description
Public method | GetDescription | 获取描述，没有时返回null
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces Namespace


IProductMatchParametersDescriptionProvider Properties

The IProductMatchParametersDescriptionProvider type exposes the following members.

Properties
 | Name | Description
Public property | DisplayOrder | 显示顺序，从小到大
Top
See Also

Reference

IProductMatchParametersDescriptionProvider Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces Namespace


IProductMatchParametersDescriptionProvider.DisplayOrder Property

IProductMatchParametersDescriptionProviderDisplayOrder Property

显示顺序，从小到大

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
int DisplayOrder { get; }
ReadOnly Property DisplayOrder As Integer
    Get
property int DisplayOrder {
    int get ();
}
abstract DisplayOrder : int with get

Property Value

Type: Int32
See Also

Reference

IProductMatchParametersDescriptionProvider Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces Namespace


IProductMatchParametersDescriptionProvider Methods

The IProductMatchParametersDescriptionProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetDescription | 获取描述，没有时返回null
Top
See Also

Reference

IProductMatchParametersDescriptionProvider Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces Namespace


IProductMatchParametersDescriptionProvider.GetDescription Method

IProductMatchParametersDescriptionProviderGetDescription Method

获取描述，没有时返回null

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string GetDescription(
    Product product,
    ProductMatchParameters parameters
)
Function GetDescription (
    product As Product,
    parameters As ProductMatchParameters
) As String
String^ GetDescription(
    Product^ product,
    ProductMatchParameters^ parameters
)
abstract GetDescription :
        product : Product *
        parameters : ProductMatchParameters -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品Id
parameters
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.StructsProductMatchParameters
商品匹配参数

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces.IProductMatchParametersDescriptionProvider.GetDescription(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product,ZKWeb.Plugins.Shopping.Product.src.Domain.Structs.ProductMatchParameters)"]

See Also

Reference

IProductMatchParametersDescriptionProvider Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductMatchParametersDescriptionProviders.Interfaces Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields |
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces |


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields"]

Classes
 | Class | Description
Public class | BrandDisplayField | 品牌
Public class | ModelNumberDisplayField | 货号
Public class | SellerDisplayField | 卖家
Public class | WeightDisplayField | 重量


BrandDisplayField Class
品牌
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFieldsBrandDisplayField

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class BrandDisplayField : IProductSalesInfoDisplayField
Public Class BrandDisplayField
    Implements IProductSalesInfoDisplayField
public ref class BrandDisplayField : IProductSalesInfoDisplayField
type BrandDisplayField =
    class
        interface IProductSalesInfoDisplayField
    end

The BrandDisplayField type exposes the following members.

Constructors
 | Name | Description
Public method | BrandDisplayField | Initializes a new instance of the BrandDisplayField class
Top
Properties
 | Name | Description
Public property | Name | 名称
Top
Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


BrandDisplayField Constructor

Initializes a new instance of the BrandDisplayField class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public BrandDisplayField()
Public Sub New
public:
BrandDisplayField()
new : unit -> BrandDisplayField
See Also

Reference

BrandDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


BrandDisplayField Properties

The BrandDisplayField type exposes the following members.

Properties
 | Name | Description
Public property | Name | 名称
Top
See Also

Reference

BrandDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


BrandDisplayField.Name Property

BrandDisplayFieldName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IProductSalesInfoDisplayFieldName
See Also

Reference

BrandDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


BrandDisplayField Methods

The BrandDisplayField type exposes the following members.

Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

BrandDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


BrandDisplayField.GetDisplayHtml Method

BrandDisplayFieldGetDisplayHtml Method

获取显示的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetDisplayHtml(
    Product product
)
Public Function GetDisplayHtml (
    product As Product
) As String
public:
virtual String^ GetDisplayHtml(
    Product^ product
) sealed
abstract GetDisplayHtml :
        product : Product -> string
override GetDisplayHtml :
        product : Product -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="product"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.BrandDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.BrandDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Implements

IProductSalesInfoDisplayFieldGetDisplayHtml(Product)
See Also

Reference

BrandDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ModelNumberDisplayField Class
货号
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFieldsModelNumberDisplayField

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ModelNumberDisplayField : IProductSalesInfoDisplayField
Public Class ModelNumberDisplayField
    Implements IProductSalesInfoDisplayField
public ref class ModelNumberDisplayField : IProductSalesInfoDisplayField
type ModelNumberDisplayField =
    class
        interface IProductSalesInfoDisplayField
    end

The ModelNumberDisplayField type exposes the following members.

Constructors
 | Name | Description
Public method | ModelNumberDisplayField | Initializes a new instance of the ModelNumberDisplayField class
Top
Properties
 | Name | Description
Public property | Name | 名称
Top
Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ModelNumberDisplayField Constructor

Initializes a new instance of the ModelNumberDisplayField class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ModelNumberDisplayField()
Public Sub New
public:
ModelNumberDisplayField()
new : unit -> ModelNumberDisplayField
See Also

Reference

ModelNumberDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ModelNumberDisplayField Properties

The ModelNumberDisplayField type exposes the following members.

Properties
 | Name | Description
Public property | Name | 名称
Top
See Also

Reference

ModelNumberDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ModelNumberDisplayField.Name Property

ModelNumberDisplayFieldName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IProductSalesInfoDisplayFieldName
See Also

Reference

ModelNumberDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ModelNumberDisplayField Methods

The ModelNumberDisplayField type exposes the following members.

Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

ModelNumberDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ModelNumberDisplayField.GetDisplayHtml Method

ModelNumberDisplayFieldGetDisplayHtml Method

获取显示的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetDisplayHtml(
    Product product
)
Public Function GetDisplayHtml (
    product As Product
) As String
public:
virtual String^ GetDisplayHtml(
    Product^ product
) sealed
abstract GetDisplayHtml :
        product : Product -> string
override GetDisplayHtml :
        product : Product -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="product"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.ModelNumberDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.ModelNumberDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Implements

IProductSalesInfoDisplayFieldGetDisplayHtml(Product)
See Also

Reference

ModelNumberDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


SellerDisplayField Class
卖家
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFieldsSellerDisplayField

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class SellerDisplayField : IProductSalesInfoDisplayField
Public Class SellerDisplayField
    Implements IProductSalesInfoDisplayField
public ref class SellerDisplayField : IProductSalesInfoDisplayField
type SellerDisplayField =
    class
        interface IProductSalesInfoDisplayField
    end

The SellerDisplayField type exposes the following members.

Constructors
 | Name | Description
Public method | SellerDisplayField | Initializes a new instance of the SellerDisplayField class
Top
Properties
 | Name | Description
Public property | Name | 名称
Top
Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


SellerDisplayField Constructor

Initializes a new instance of the SellerDisplayField class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public SellerDisplayField()
Public Sub New
public:
SellerDisplayField()
new : unit -> SellerDisplayField
See Also

Reference

SellerDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


SellerDisplayField Properties

The SellerDisplayField type exposes the following members.

Properties
 | Name | Description
Public property | Name | 名称
Top
See Also

Reference

SellerDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


SellerDisplayField.Name Property

SellerDisplayFieldName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IProductSalesInfoDisplayFieldName
See Also

Reference

SellerDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


SellerDisplayField Methods

The SellerDisplayField type exposes the following members.

Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

SellerDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


SellerDisplayField.GetDisplayHtml Method

SellerDisplayFieldGetDisplayHtml Method

获取显示的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetDisplayHtml(
    Product product
)
Public Function GetDisplayHtml (
    product As Product
) As String
public:
virtual String^ GetDisplayHtml(
    Product^ product
) sealed
abstract GetDisplayHtml :
        product : Product -> string
override GetDisplayHtml :
        product : Product -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="product"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.SellerDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.SellerDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Implements

IProductSalesInfoDisplayFieldGetDisplayHtml(Product)
See Also

Reference

SellerDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


WeightDisplayField Class
重量
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFieldsWeightDisplayField

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WeightDisplayField : IProductSalesInfoDisplayField
Public Class WeightDisplayField
    Implements IProductSalesInfoDisplayField
public ref class WeightDisplayField : IProductSalesInfoDisplayField
type WeightDisplayField =
    class
        interface IProductSalesInfoDisplayField
    end

The WeightDisplayField type exposes the following members.

Constructors
 | Name | Description
Public method | WeightDisplayField | Initializes a new instance of the WeightDisplayField class
Top
Properties
 | Name | Description
Public property | Name | 名称
Top
Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


WeightDisplayField Constructor

Initializes a new instance of the WeightDisplayField class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WeightDisplayField()
Public Sub New
public:
WeightDisplayField()
new : unit -> WeightDisplayField
See Also

Reference

WeightDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


WeightDisplayField Properties

The WeightDisplayField type exposes the following members.

Properties
 | Name | Description
Public property | Name | 名称
Top
See Also

Reference

WeightDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


WeightDisplayField.Name Property

WeightDisplayFieldName Property

名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IProductSalesInfoDisplayFieldName
See Also

Reference

WeightDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


WeightDisplayField Methods

The WeightDisplayField type exposes the following members.

Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html
Top
See Also

Reference

WeightDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


WeightDisplayField.GetDisplayHtml Method

WeightDisplayFieldGetDisplayHtml Method

获取显示的Html

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string GetDisplayHtml(
    Product product
)
Public Function GetDisplayHtml (
    product As Product
) As String
public:
virtual String^ GetDisplayHtml(
    Product^ product
) sealed
abstract GetDisplayHtml :
        product : Product -> string
override GetDisplayHtml :
        product : Product -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct

[Missing <param name="product"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.WeightDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.WeightDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

Implements

IProductSalesInfoDisplayFieldGetDisplayHtml(Product)
See Also

Reference

WeightDisplayField Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IProductSalesInfoDisplayField | 商品销售信息的显示字段


IProductSalesInfoDisplayField Interface
商品销售信息的显示字段

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IProductSalesInfoDisplayField
Public Interface IProductSalesInfoDisplayField
public interface class IProductSalesInfoDisplayField
type IProductSalesInfoDisplayField =  interface end

The IProductSalesInfoDisplayField type exposes the following members.

Properties
 | Name | Description
Public property | Name | 字段名称
Top
Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html 不显示时可返回空或null
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces Namespace


IProductSalesInfoDisplayField Properties

The IProductSalesInfoDisplayField type exposes the following members.

Properties
 | Name | Description
Public property | Name | 字段名称
Top
See Also

Reference

IProductSalesInfoDisplayField Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces Namespace


IProductSalesInfoDisplayField.Name Property

IProductSalesInfoDisplayFieldName Property

字段名称

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

IProductSalesInfoDisplayField Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces Namespace


IProductSalesInfoDisplayField Methods

The IProductSalesInfoDisplayField type exposes the following members.

Methods
 | Name | Description
Public method | GetDisplayHtml | 获取显示的Html 不显示时可返回空或null
Top
See Also

Reference

IProductSalesInfoDisplayField Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces Namespace


IProductSalesInfoDisplayField.GetDisplayHtml Method

IProductSalesInfoDisplayFieldGetDisplayHtml Method

获取显示的Html 不显示时可返回空或null

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
string GetDisplayHtml(
    Product product
)
Function GetDisplayHtml (
    product As Product
) As String
String^ GetDisplayHtml(
    Product^ product
)
abstract GetDisplayHtml :
        product : Product -> string

Parameters

product
Type: ZKWeb.Plugins.Shopping.Product.src.Domain.EntitiesProduct
商品

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces.IProductSalesInfoDisplayField.GetDisplayHtml(ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product)"]

See Also

Reference

IProductSalesInfoDisplayField Interface
ZKWeb.Plugins.Shopping.Product.src.UIComponents.ProductSalesInfoDisplayFields.Interfaces Namespace


ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers"]

Classes
 | Class | Description
Public class | ProductTableHandler | 前台商品列表使用的商品表格的回调


ProductTableHandler Class
前台商品列表使用的商品表格的回调
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.BasesStaticTableHandlerBase Product, Guid
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlersProductTableHandler

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductTableHandler : StaticTableHandlerBase<Product, Guid>
Public Class ProductTableHandler
    Inherits StaticTableHandlerBase(Of Product, Guid)
public ref class ProductTableHandler : public StaticTableHandlerBase<Product^, Guid>
type ProductTableHandler =
    class
        inherit StaticTableHandlerBase<Product, Guid>
    end

The ProductTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ProductTableHandler | Initializes a new instance of the ProductTableHandler class
Top
Methods
 | Name | Description
Public method | OnQuery | 过滤数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity).)
Public method | OnSelect | 选择数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace


ProductTableHandler Constructor

Initializes a new instance of the ProductTableHandler class

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductTableHandler()
Public Sub New
public:
ProductTableHandler()
new : unit -> ProductTableHandler
See Also

Reference

ProductTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace


ProductTableHandler Methods

The ProductTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnQuery | 过滤数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity).)
Public method | OnSelect | 选择数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity).)
Public method | OnSort | 排序数据 (Overrides StaticTableHandlerBaseTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity).)
Top
See Also

Reference

ProductTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace


ProductTableHandler.OnQuery Method

ProductTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    StaticTableSearchRequest request,
    ref IQueryable<Product> query
)
Public Overrides Sub OnQuery (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of Product)
)
public:
virtual void OnQuery(
    StaticTableSearchRequest^ request,
    IQueryable<Product^>^% query
) override
abstract OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<Product> byref -> unit
override OnQuery :
        request : StaticTableSearchRequest *
        query : IQueryable<Product> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers.ProductTableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

query
Type: System.LinqIQueryable Product

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers.ProductTableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnQuery(StaticTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace


ProductTableHandler.OnSelect Method

ProductTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    StaticTableSearchRequest request,
    IList<EntityToTableRow<Product>> pairs
)
Public Overrides Sub OnSelect (
    request As StaticTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of Product))
)
public:
virtual void OnSelect(
    StaticTableSearchRequest^ request,
    IList<EntityToTableRow<Product^>^>^ pairs
) override
abstract OnSelect :
        request : StaticTableSearchRequest *
        pairs : IList<EntityToTableRow<Product>> -> unit
override OnSelect :
        request : StaticTableSearchRequest *
        pairs : IList<EntityToTableRow<Product>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers.ProductTableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow Product

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers.ProductTableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}})"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnSelect(StaticTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ProductTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace


ProductTableHandler.OnSort Method

ProductTableHandlerOnSort Method

排序数据

Namespace: ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSort(
    StaticTableSearchRequest request,
    ref IQueryable<Product> query
)
Public Overrides Sub OnSort (
    request As StaticTableSearchRequest,
    ByRef query As IQueryable(Of Product)
)
public:
virtual void OnSort(
    StaticTableSearchRequest^ request,
    IQueryable<Product^>^% query
) override
abstract OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<Product> byref -> unit
override OnSort :
        request : StaticTableSearchRequest *
        query : IQueryable<Product> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTableStaticTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers.ProductTableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

query
Type: System.LinqIQueryable Product

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers.ProductTableHandler.OnSort(ZKWeb.Plugins.Common.Base.src.UIComponents.StaticTable.StaticTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.Product.src.Domain.Entities.Product}@)"]

Implements

IStaticTableHandlerTEntity, TPrimaryKeyOnSort(StaticTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductTableHandler Class
ZKWeb.Plugins.Shopping.Product.src.UIComponents.StaticTableHandlers Namespace


ZKWeb.Plugins.Shopping.ProductBookmark Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.ProductBookmark"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.ProductBookmark.src |
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates |
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers |
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain |


ZKWeb.Plugins.Shopping.ProductBookmark.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductBookmark.src"]

Classes
 | Class | Description
Public class | Plugin | 插件入口点


Plugin Class
插件入口点
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductBookmark.srcPlugin

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Shopping.ProductBookmark.src Namespace


ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Components.Translates Namespace


ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers"]

Classes
 | Class | Description
Public class | ProductBookmarkApiController | 商品收藏的Api控制器
Public class | ProductBookmarkCrudController | 前台用户管理收藏的商品的控制器
Public class | ProductBookmarkCrudControllerTableHandler |


ProductBookmarkApiController Class
商品收藏的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.ProductBookmark.src.ControllersProductBookmarkApiController

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductBookmarkApiController : ControllerBase
Public Class ProductBookmarkApiController
    Inherits ControllerBase
public ref class ProductBookmarkApiController : public ControllerBase
type ProductBookmarkApiController =
    class
        inherit ControllerBase
    end

The ProductBookmarkApiController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductBookmarkApiController | Initializes a new instance of the ProductBookmarkApiController class
Top
Methods
 | Name | Description
Public method | Add | 添加收藏的商品
Public method | IsBookmarked | 判断商品是否已收藏
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkApiController Constructor

Initializes a new instance of the ProductBookmarkApiController class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductBookmarkApiController()
Public Sub New
public:
ProductBookmarkApiController()
new : unit -> ProductBookmarkApiController
See Also

Reference

ProductBookmarkApiController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkApiController Methods

The ProductBookmarkApiController type exposes the following members.

Methods
 | Name | Description
Public method | Add | 添加收藏的商品
Public method | IsBookmarked | 判断商品是否已收藏
Top
See Also

Reference

ProductBookmarkApiController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkApiController.Add Method

ProductBookmarkApiControllerAdd Method

添加收藏的商品

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object Add(
    Guid productId
)
Public Function Add (
    productId As Guid
) As Object
public:
Object^ Add(
    Guid productId
)
member Add :
        productId : Guid -> Object

Parameters

productId
Type: SystemGuid

[Missing <param name="productId"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkApiController.Add(System.Guid)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkApiController.Add(System.Guid)"]

See Also

Reference

ProductBookmarkApiController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkApiController.IsBookmarked Method

ProductBookmarkApiControllerIsBookmarked Method

判断商品是否已收藏

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object IsBookmarked(
    Guid productId
)
Public Function IsBookmarked (
    productId As Guid
) As Object
public:
Object^ IsBookmarked(
    Guid productId
)
member IsBookmarked :
        productId : Guid -> Object

Parameters

productId
Type: SystemGuid

[Missing <param name="productId"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkApiController.IsBookmarked(System.Guid)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkApiController.IsBookmarked(System.Guid)"]

See Also

Reference

ProductBookmarkApiController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController Class
前台用户管理收藏的商品的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesCrudControllerBase ProductBookmark, Guid
ZKWeb.Plugins.Common.MenuPage.src.Controllers.BasesCrudMenuPageControllerBase ProductBookmark, Guid
ZKWeb.Plugins.Common.UserPanel.src.Controllers.BasesCrudUserPanelControllerBase ProductBookmark, Guid
ZKWeb.Plugins.Shopping.ProductBookmark.src.ControllersProductBookmarkCrudController

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductBookmarkCrudController : CrudUserPanelControllerBase<ProductBookmark, Guid>
Public Class ProductBookmarkCrudController
    Inherits CrudUserPanelControllerBase(Of ProductBookmark, Guid)
public ref class ProductBookmarkCrudController : public CrudUserPanelControllerBase<ProductBookmark^, Guid>
type ProductBookmarkCrudController =
    class
        inherit CrudUserPanelControllerBase<ProductBookmark, Guid>
    end

The ProductBookmarkCrudController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductBookmarkCrudController | Initializes a new instance of the ProductBookmarkCrudController class
Top
Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | EditUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditUrl.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController Constructor

Initializes a new instance of the ProductBookmarkCrudController class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductBookmarkCrudController()
Public Sub New
public:
ProductBookmarkCrudController()
new : unit -> ProductBookmarkCrudController
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController Properties

The ProductBookmarkCrudController type exposes the following members.

Properties
 | Name | Description
Public property | AddUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyAddUrl.)
Public property | EditUrl | (Overrides CrudControllerBaseTEntity, TPrimaryKeyEditUrl.)
Public property | Group | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroup.)
Public property | GroupIconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyGroupIconClass.)
Public property | IconClass | (Overrides CrudMenuPageControllerBaseTEntity, TPrimaryKeyIconClass.)
Public property | Name | (Overrides CrudControllerBaseTEntity, TPrimaryKeyName.)
Public property | Url | (Overrides CrudControllerBaseTEntity, TPrimaryKeyUrl.)
Top
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.AddUrl Property

ProductBookmarkCrudControllerAddUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.AddUrl"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string AddUrl { get; }
Public Overrides ReadOnly Property AddUrl As String
    Get
public:
virtual property String^ AddUrl {
    String^ get () override;
}
abstract AddUrl : string with get
override AddUrl : string with get

Property Value

Type: String

Implements

ICrudControllerAddUrl
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.EditUrl Property

ProductBookmarkCrudControllerEditUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.EditUrl"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string EditUrl { get; }
Public Overrides ReadOnly Property EditUrl As String
    Get
public:
virtual property String^ EditUrl {
    String^ get () override;
}
abstract EditUrl : string with get
override EditUrl : string with get

Property Value

Type: String

Implements

ICrudControllerEditUrl
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.Group Property

ProductBookmarkCrudControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.Group"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IMenuPageGroup
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.GroupIconClass Property

ProductBookmarkCrudControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IMenuPageGroupIconClass
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.IconClass Property

ProductBookmarkCrudControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.IconClass"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IMenuPageIconClass
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.Name Property

ProductBookmarkCrudControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.Name"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ICrudControllerName
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.Url Property

ProductBookmarkCrudControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.Url"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

ICrudControllerUrl
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController Methods

The ProductBookmarkCrudController type exposes the following members.

Methods
 | Name | Description
Protected method | GetAddForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetAddForm.)
Protected method | GetEditForm | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetEditForm.)
Protected method | GetTableHandler | (Overrides CrudControllerBaseTEntity, TPrimaryKeyGetTableHandler.)
Top
See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.GetAddForm Method

ProductBookmarkCrudControllerGetAddForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GetAddForm"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetAddForm()
Protected Overrides Function GetAddForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetAddForm() override
abstract GetAddForm : unit -> IModelFormBuilder
override GetAddForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GetAddForm"]

See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.GetEditForm Method

ProductBookmarkCrudControllerGetEditForm Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GetEditForm"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IModelFormBuilder GetEditForm()
Protected Overrides Function GetEditForm As IModelFormBuilder
protected:
virtual IModelFormBuilder^ GetEditForm() override
abstract GetEditForm : unit -> IModelFormBuilder
override GetEditForm : unit -> IModelFormBuilder

Return Value

Type: IModelFormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GetEditForm"]

See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.GetTableHandler Method

ProductBookmarkCrudControllerGetTableHandler Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GetTableHandler"]

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IAjaxTableHandler<ProductBookmark, Guid> GetTableHandler()
Protected Overrides Function GetTableHandler As IAjaxTableHandler(Of ProductBookmark, Guid)
protected:
virtual IAjaxTableHandler<ProductBookmark^, Guid>^ GetTableHandler() override
abstract GetTableHandler : unit -> IAjaxTableHandler<ProductBookmark, Guid>
override GetTableHandler : unit -> IAjaxTableHandler<ProductBookmark, Guid>

Return Value

Type: IAjaxTableHandler ProductBookmark, Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.GetTableHandler"]

See Also

Reference

ProductBookmarkCrudController Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.TableHandler Class

ProductBookmarkCrudControllerTableHandler Class

[Missing <summary> documentation for "T:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler"]

Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase ProductBookmark, Guid
ZKWeb.Plugins.Shopping.ProductBookmark.src.ControllersProductBookmarkCrudControllerTableHandler

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TableHandler : AjaxTableHandlerBase<ProductBookmark, Guid>
Public Class TableHandler
    Inherits AjaxTableHandlerBase(Of ProductBookmark, Guid)
public ref class TableHandler : public AjaxTableHandlerBase<ProductBookmark^, Guid>
type TableHandler =
    class
        inherit AjaxTableHandlerBase<ProductBookmark, Guid>
    end

The ProductBookmarkCrudControllerTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ProductBookmarkCrudControllerTableHandler | Initializes a new instance of the ProductBookmarkCrudControllerTableHandler class
Top
Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.TableHandler Constructor

ProductBookmarkCrudControllerTableHandler Constructor

Initializes a new instance of the ProductBookmarkCrudControllerTableHandler class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TableHandler()
Public Sub New
public:
TableHandler()
new : unit -> TableHandler
See Also

Reference

ProductBookmarkCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


TableHandler Methods

The ProductBookmarkCrudControllerTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | BuildTable | 构建表格 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder).)
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 添加列和操作 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ProductBookmarkCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.TableHandler.BuildTable Method

ProductBookmarkCrudControllerTableHandlerBuildTable Method

构建表格

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void BuildTable(
    AjaxTableBuilder table,
    AjaxTableSearchBarBuilder searchBar
)
Public Overrides Sub BuildTable (
    table As AjaxTableBuilder,
    searchBar As AjaxTableSearchBarBuilder
)
public:
virtual void BuildTable(
    AjaxTableBuilder^ table,
    AjaxTableSearchBarBuilder^ searchBar
) override
abstract BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit
override BuildTable :
        table : AjaxTableBuilder *
        searchBar : AjaxTableSearchBarBuilder -> unit

Parameters

table
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableBuilder

[Missing <param name="table"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

searchBar
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchBarBuilder

[Missing <param name="searchBar"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.BuildTable(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableBuilder,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchBarBuilder)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyBuildTable(AjaxTableBuilder, AjaxTableSearchBarBuilder)
See Also

Reference

ProductBookmarkCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.TableHandler.OnQuery Method

ProductBookmarkCrudControllerTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<ProductBookmark> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ProductBookmark)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<ProductBookmark^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductBookmark> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductBookmark> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark}@)"]

query
Type: System.LinqIQueryable ProductBookmark

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductBookmarkCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.TableHandler.OnResponse Method

ProductBookmarkCrudControllerTableHandlerOnResponse Method

添加列和操作

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ProductBookmarkCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ProductBookmarkCrudController.TableHandler.OnSelect Method

ProductBookmarkCrudControllerTableHandlerOnSelect Method

选择数据

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<ProductBookmark>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of ProductBookmark))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<ProductBookmark^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductBookmark>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductBookmark>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow ProductBookmark

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers.ProductBookmarkCrudController.TableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ProductBookmarkCrudControllerTableHandler Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Controllers Namespace


ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities |
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories |
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services |


ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities"]

Classes
 | Class | Description
Public class | ProductBookmark | 商品收藏


ProductBookmark Class
商品收藏
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.EntitiesProductBookmark

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductBookmark : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<ProductBookmark>, IEntityMappingProvider
Public Class ProductBookmark
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveOwner,
    IEntity(Of Guid), IEntityMappingProvider(Of ProductBookmark), IEntityMappingProvider
public ref class ProductBookmark : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<ProductBookmark^>, IEntityMappingProvider
type ProductBookmark =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveOwner
        interface IEntity<Guid>
        interface IEntityMappingProvider<ProductBookmark>
        interface IEntityMappingProvider
    end

The ProductBookmark type exposes the following members.

Constructors
 | Name | Description
Public method | ProductBookmark | Initializes a new instance of the ProductBookmark class
Top
Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 收藏Id
Public property | Owner | 收藏商品的用户
Public property | Product | 收藏的商品
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 返回收藏的商品名称 (Overrides ObjectToString.)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark Constructor

Initializes a new instance of the ProductBookmark class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductBookmark()
Public Sub New
public:
ProductBookmark()
new : unit -> ProductBookmark
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark Properties

The ProductBookmark type exposes the following members.

Properties
 | Name | Description
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | Id | 收藏Id
Public property | Owner | 收藏商品的用户
Public property | Product | 收藏的商品
Public property | UpdateTime | 更新时间
Top
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.CreateTime Property

ProductBookmarkCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.Deleted Property

ProductBookmarkDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.Id Property

ProductBookmarkId Property

收藏Id

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.Owner Property

ProductBookmarkOwner Property

收藏商品的用户

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User

Implements

IHaveOwnerOwner
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.Product Property

ProductBookmarkProduct Property

收藏的商品

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product Product { get; set; }
Public Overridable Property Product As Product
    Get
    Set
public:
virtual property Product^ Product {
    Product^ get ();
    void set (Product^ value);
}
abstract Product : Product with get, set
override Product : Product with get, set

Property Value

Type: Product
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.UpdateTime Property

ProductBookmarkUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark Methods

The ProductBookmark type exposes the following members.

Methods
 | Name | Description
Public method | Configure | 配置数据库结构
Public method | ToString | 返回收藏的商品名称 (Overrides ObjectToString.)
Top
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.Configure Method

ProductBookmarkConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductBookmark> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductBookmark)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductBookmark^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductBookmark> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductBookmark> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductBookmark

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ProductBookmark.ToString Method

ProductBookmarkToString Method

返回收藏的商品名称

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities.ProductBookmark.ToString"]

See Also

Reference

ProductBookmark Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Entities Namespace


ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | ProductBookmarkRepository | 商品收藏的仓储


ProductBookmarkRepository Class
商品收藏的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase ProductBookmark, Guid
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.RepositoriesProductBookmarkRepository

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductBookmarkRepository : RepositoryBase<ProductBookmark, Guid>
Public Class ProductBookmarkRepository
    Inherits RepositoryBase(Of ProductBookmark, Guid)
public ref class ProductBookmarkRepository : public RepositoryBase<ProductBookmark^, Guid>
type ProductBookmarkRepository =
    class
        inherit RepositoryBase<ProductBookmark, Guid>
    end

The ProductBookmarkRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ProductBookmarkRepository | Initializes a new instance of the ProductBookmarkRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories Namespace


ProductBookmarkRepository Constructor

Initializes a new instance of the ProductBookmarkRepository class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductBookmarkRepository()
Public Sub New
public:
ProductBookmarkRepository()
new : unit -> ProductBookmarkRepository
See Also

Reference

ProductBookmarkRepository Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Repositories Namespace


ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services"]

Classes
 | Class | Description
Public class | ProductBookmarkManager | 商品收藏的管理器


ProductBookmarkManager Class
商品收藏的管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase ProductBookmark, Guid
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.ServicesProductBookmarkManager

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductBookmarkManager : DomainServiceBase<ProductBookmark, Guid>
Public Class ProductBookmarkManager
    Inherits DomainServiceBase(Of ProductBookmark, Guid)
public ref class ProductBookmarkManager : public DomainServiceBase<ProductBookmark^, Guid>
type ProductBookmarkManager =
    class
        inherit DomainServiceBase<ProductBookmark, Guid>
    end

The ProductBookmarkManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductBookmarkManager | Initializes a new instance of the ProductBookmarkManager class
Top
Methods
 | Name | Description
Public method | Add | 添加收藏的商品 添加成功返回true，已经存在返回false 商品不存在或已删除等时抛出例外
Public method | IsBookmarked | 判断商品是否已收藏
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services Namespace


ProductBookmarkManager Constructor

Initializes a new instance of the ProductBookmarkManager class

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductBookmarkManager()
Public Sub New
public:
ProductBookmarkManager()
new : unit -> ProductBookmarkManager
See Also

Reference

ProductBookmarkManager Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services Namespace


ProductBookmarkManager Methods

The ProductBookmarkManager type exposes the following members.

Methods
 | Name | Description
Public method | Add | 添加收藏的商品 添加成功返回true，已经存在返回false 商品不存在或已删除等时抛出例外
Public method | IsBookmarked | 判断商品是否已收藏
Top
See Also

Reference

ProductBookmarkManager Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services Namespace


ProductBookmarkManager.Add Method

ProductBookmarkManagerAdd Method

添加收藏的商品 添加成功返回true，已经存在返回false 商品不存在或已删除等时抛出例外

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Add(
    Guid userId,
    Guid productId
)
Public Overridable Function Add (
    userId As Guid,
    productId As Guid
) As Boolean
public:
virtual bool Add(
    Guid userId,
    Guid productId
)
abstract Add :
        userId : Guid *
        productId : Guid -> bool
override Add :
        userId : Guid *
        productId : Guid -> bool

Parameters

userId
Type: SystemGuid
用户Id
productId
Type: SystemGuid
商品Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services.ProductBookmarkManager.Add(System.Guid,System.Guid)"]

See Also

Reference

ProductBookmarkManager Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services Namespace


ProductBookmarkManager.IsBookmarked Method

ProductBookmarkManagerIsBookmarked Method

判断商品是否已收藏

Namespace: ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool IsBookmarked(
    Guid userId,
    Guid productId
)
Public Overridable Function IsBookmarked (
    userId As Guid,
    productId As Guid
) As Boolean
public:
virtual bool IsBookmarked(
    Guid userId,
    Guid productId
)
abstract IsBookmarked :
        userId : Guid *
        productId : Guid -> bool
override IsBookmarked :
        userId : Guid *
        productId : Guid -> bool

Parameters

userId
Type: SystemGuid
用户Id
productId
Type: SystemGuid
商品Id

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services.ProductBookmarkManager.IsBookmarked(System.Guid,System.Guid)"]

See Also

Reference

ProductBookmarkManager Class
ZKWeb.Plugins.Shopping.ProductBookmark.src.Domain.Services Namespace


ZKWeb.Plugins.Shopping.ProductRating Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.ProductRating"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.ProductRating.src |
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates |
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers |
ZKWeb.Plugins.Shopping.ProductRating.src.Domain |
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents |


ZKWeb.Plugins.Shopping.ProductRating.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.srcPlugin

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Shopping.ProductRating.src Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Shopping.ProductRating.src.Components.Translates Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.Controllers"]

Classes
 | Class | Description
Public class | ProductRatingApiController | 商品评价的Api控制器
Public class | ProductRatingController | 商品评价的控制器


ProductRatingApiController Class
商品评价的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.ProductRating.src.ControllersProductRatingApiController

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingApiController : ControllerBase
Public Class ProductRatingApiController
    Inherits ControllerBase
public ref class ProductRatingApiController : public ControllerBase
type ProductRatingApiController =
    class
        inherit ControllerBase
    end

The ProductRatingApiController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingApiController | Initializes a new instance of the ProductRatingApiController class
Top
Methods
 | Name | Description
Public method | Ratings | 搜索指定商品的评价列表
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingApiController Constructor

Initializes a new instance of the ProductRatingApiController class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingApiController()
Public Sub New
public:
ProductRatingApiController()
new : unit -> ProductRatingApiController
See Also

Reference

ProductRatingApiController Class
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingApiController Methods

The ProductRatingApiController type exposes the following members.

Methods
 | Name | Description
Public method | Ratings | 搜索指定商品的评价列表
Top
See Also

Reference

ProductRatingApiController Class
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingApiController.Ratings Method

ProductRatingApiControllerRatings Method

搜索指定商品的评价列表

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Ratings(
    Guid id
)
Public Function Ratings (
    id As Guid
) As IActionResult
public:
IActionResult^ Ratings(
    Guid id
)
member Ratings :
        id : Guid -> IActionResult

Parameters

id
Type: SystemGuid

[Missing <param name="id"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Controllers.ProductRatingApiController.Ratings(System.Guid)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Controllers.ProductRatingApiController.Ratings(System.Guid)"]

See Also

Reference

ProductRatingApiController Class
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingController Class
商品评价的控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Shopping.ProductRating.src.ControllersProductRatingController

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingController : ControllerBase
Public Class ProductRatingController
    Inherits ControllerBase
public ref class ProductRatingController : public ControllerBase
type ProductRatingController =
    class
        inherit ControllerBase
    end

The ProductRatingController type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingController | Initializes a new instance of the ProductRatingController class
Top
Methods
 | Name | Description
Public method | Rate | 商品评价页
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingController Constructor

Initializes a new instance of the ProductRatingController class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingController()
Public Sub New
public:
ProductRatingController()
new : unit -> ProductRatingController
See Also

Reference

ProductRatingController Class
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingController Methods

The ProductRatingController type exposes the following members.

Methods
 | Name | Description
Public method | Rate | 商品评价页
Top
See Also

Reference

ProductRatingController Class
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ProductRatingController.Rate Method

ProductRatingControllerRate Method

商品评价页

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult Rate(
    string serial
)
Public Function Rate (
    serial As String
) As IActionResult
public:
IActionResult^ Rate(
    String^ serial
)
member Rate :
        serial : string -> IActionResult

Parameters

serial
Type: SystemString
订单编号

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Controllers.ProductRatingController.Rate(System.String)"]

See Also

Reference

ProductRatingController Class
ZKWeb.Plugins.Shopping.ProductRating.src.Controllers Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.ProductRating.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities |
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums |
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories |
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services |


ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities"]

Classes
 | Class | Description
Public class | ProductRating | 商品评价


ProductRating Class
商品评价
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.EntitiesProductRating

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRating : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<ProductRating>, IEntityMappingProvider
Public Class ProductRating
    Implements IHaveCreateTime, IEntity, IHaveUpdateTime, IHaveDeleted,
    IHaveOwner, IEntity(Of Guid), IEntityMappingProvider(Of ProductRating),
    IEntityMappingProvider
public ref class ProductRating : IHaveCreateTime,
    IEntity, IHaveUpdateTime, IHaveDeleted, IHaveOwner, IEntity<Guid>,
    IEntityMappingProvider<ProductRating^>, IEntityMappingProvider
type ProductRating =
    class
        interface IHaveCreateTime
        interface IEntity
        interface IHaveUpdateTime
        interface IHaveDeleted
        interface IHaveOwner
        interface IEntity<Guid>
        interface IEntityMappingProvider<ProductRating>
        interface IEntityMappingProvider
    end

The ProductRating type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRating | Initializes a new instance of the ProductRating class
Top
Properties
 | Name | Description
Public property | Comment | 评价内容
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DeliverySpeedScore | 发货速度的分数，范围是1~5
Public property | DescriptionMatchScore | 描述相符的分数，范围是1~5
Public property | Id | 评价Id
Public property | OrderProduct | 评价的订单商品
Public property | Owner | 评价人
Public property | Product | 评价的商品，是OrderProduct的冗余，用于改进查询速度
Public property | Rank | 评价级别
Public property | ServiceQualityScore | 服务质量的分数，范围是1~5
Public property | UpdateTime | 更新时间
Top
Methods
 | Name | Description
 | CheckScore | 检查分数值是否有效
Public method | Configure | 配置数据库结构
Top
Fields
Name | Description
MaxScore | 最大分数值
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating Constructor

Initializes a new instance of the ProductRating class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRating()
Public Sub New
public:
ProductRating()
new : unit -> ProductRating
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating Properties

The ProductRating type exposes the following members.

Properties
 | Name | Description
Public property | Comment | 评价内容
Public property | CreateTime | 创建时间
Public property | Deleted | 是否已删除
Public property | DeliverySpeedScore | 发货速度的分数，范围是1~5
Public property | DescriptionMatchScore | 描述相符的分数，范围是1~5
Public property | Id | 评价Id
Public property | OrderProduct | 评价的订单商品
Public property | Owner | 评价人
Public property | Product | 评价的商品，是OrderProduct的冗余，用于改进查询速度
Public property | Rank | 评价级别
Public property | ServiceQualityScore | 服务质量的分数，范围是1~5
Public property | UpdateTime | 更新时间
Top
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Comment Property

ProductRatingComment Property

评价内容

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Comment { get; set; }
Public Overridable Property Comment As String
    Get
    Set
public:
virtual property String^ Comment {
    String^ get ();
    void set (String^ value);
}
abstract Comment : string with get, set
override Comment : string with get, set

Property Value

Type: String
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.CreateTime Property

ProductRatingCreateTime Property

创建时间

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime CreateTime { get; set; }
Public Overridable Property CreateTime As DateTime
    Get
    Set
public:
virtual property DateTime CreateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract CreateTime : DateTime with get, set
override CreateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveCreateTimeCreateTime
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Deleted Property

ProductRatingDeleted Property

是否已删除

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool Deleted { get; set; }
Public Overridable Property Deleted As Boolean
    Get
    Set
public:
virtual property bool Deleted {
    bool get ();
    void set (bool value);
}
abstract Deleted : bool with get, set
override Deleted : bool with get, set

Property Value

Type: Boolean

Implements

IHaveDeletedDeleted
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.DeliverySpeedScore Property

ProductRatingDeliverySpeedScore Property

发货速度的分数，范围是1~5

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual int DeliverySpeedScore { get; set; }
Public Overridable Property DeliverySpeedScore As Integer
    Get
    Set
public:
virtual property int DeliverySpeedScore {
    int get ();
    void set (int value);
}
abstract DeliverySpeedScore : int with get, set
override DeliverySpeedScore : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.DescriptionMatchScore Property

ProductRatingDescriptionMatchScore Property

描述相符的分数，范围是1~5

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual int DescriptionMatchScore { get; set; }
Public Overridable Property DescriptionMatchScore As Integer
    Get
    Set
public:
virtual property int DescriptionMatchScore {
    int get ();
    void set (int value);
}
abstract DescriptionMatchScore : int with get, set
override DescriptionMatchScore : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Id Property

ProductRatingId Property

评价Id

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid Id { get; set; }
Public Overridable Property Id As Guid
    Get
    Set
public:
virtual property Guid Id {
    Guid get ();
    void set (Guid value);
}
abstract Id : Guid with get, set
override Id : Guid with get, set

Property Value

Type: Guid

Implements

IEntity.Id
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.OrderProduct Property

ProductRatingOrderProduct Property

评价的订单商品

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual OrderProduct OrderProduct { get; set; }
Public Overridable Property OrderProduct As OrderProduct
    Get
    Set
public:
virtual property OrderProduct^ OrderProduct {
    OrderProduct^ get ();
    void set (OrderProduct^ value);
}
abstract OrderProduct : OrderProduct with get, set
override OrderProduct : OrderProduct with get, set

Property Value

Type: OrderProduct
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Owner Property

ProductRatingOwner Property

评价人

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual User Owner { get; set; }
Public Overridable Property Owner As User
    Get
    Set
public:
virtual property User^ Owner {
    User^ get ();
    void set (User^ value);
}
abstract Owner : User with get, set
override Owner : User with get, set

Property Value

Type: User

Implements

IHaveOwnerOwner
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Product Property

ProductRatingProduct Property

评价的商品，是OrderProduct的冗余，用于改进查询速度

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Product Product { get; set; }
Public Overridable Property Product As Product
    Get
    Set
public:
virtual property Product^ Product {
    Product^ get ();
    void set (Product^ value);
}
abstract Product : Product with get, set
override Product : Product with get, set

Property Value

Type: Product
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Rank Property

ProductRatingRank Property

评价级别

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual ProductRatingRank Rank { get; set; }
Public Overridable Property Rank As ProductRatingRank
    Get
    Set
public:
virtual property ProductRatingRank Rank {
    ProductRatingRank get ();
    void set (ProductRatingRank value);
}
abstract Rank : ProductRatingRank with get, set
override Rank : ProductRatingRank with get, set

Property Value

Type: ProductRatingRank
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.ServiceQualityScore Property

ProductRatingServiceQualityScore Property

服务质量的分数，范围是1~5

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual int ServiceQualityScore { get; set; }
Public Overridable Property ServiceQualityScore As Integer
    Get
    Set
public:
virtual property int ServiceQualityScore {
    int get ();
    void set (int value);
}
abstract ServiceQualityScore : int with get, set
override ServiceQualityScore : int with get, set

Property Value

Type: Int32
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.UpdateTime Property

ProductRatingUpdateTime Property

更新时间

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual DateTime UpdateTime { get; set; }
Public Overridable Property UpdateTime As DateTime
    Get
    Set
public:
virtual property DateTime UpdateTime {
    DateTime get ();
    void set (DateTime value);
}
abstract UpdateTime : DateTime with get, set
override UpdateTime : DateTime with get, set

Property Value

Type: DateTime

Implements

IHaveUpdateTimeUpdateTime
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating Methods

The ProductRating type exposes the following members.

Methods
 | Name | Description
 | CheckScore | 检查分数值是否有效
Public method | Configure | 配置数据库结构
Top
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.CheckScore Method

ProductRatingCheckScore Method

检查分数值是否有效

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static bool CheckScore(
    int score
)
Public Shared Function CheckScore (
    score As Integer
) As Boolean
public:
static bool CheckScore(
    int score
)
static member CheckScore :
        score : int -> bool

Parameters

score
Type: SystemInt32
分数值

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating.CheckScore(System.Int32)"]

See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.Configure Method

ProductRatingConfigure Method

配置数据库结构

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IEntityMappingBuilder<ProductRating> builder
)
Public Overridable Sub Configure (
    builder As IEntityMappingBuilder(Of ProductRating)
)
public:
virtual void Configure(
    IEntityMappingBuilder<ProductRating^>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<ProductRating> -> unit
override Configure :
        builder : IEntityMappingBuilder<ProductRating> -> unit

Parameters

builder
Type: IEntityMappingBuilderProductRating

[Missing <param name="builder"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating.Configure(ZKWeb.Database.IEntityMappingBuilder{ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating})"]

Implements

IEntityMappingProvider.Configure(IEntityMappingBuilderUTP)
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating Fields

The ProductRating type exposes the following members.

Fields
Name | Description
MaxScore | 最大分数值
Top
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ProductRating.MaxScore Field

ProductRatingMaxScore Field
最大分数值

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static readonly int MaxScore
Public Shared ReadOnly MaxScore As Integer
public:
static initonly int MaxScore
static val MaxScore: int

Field Value

Type: Int32
See Also

Reference

ProductRating Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums"]

Classes
 | Class | Description
Public class | ProductRatingAlbumImageSuffixAttribute | 商品相册的图片类型的后缀
Enumerations
 | Enumeration | Description
Public enumeration | ProductRatingAlbumImageType | 商品相册的图片类型
Public enumeration | ProductRatingRank | 商品评价级别


ProductRatingAlbumImageSuffixAttribute Class
商品相册的图片类型的后缀
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.EnumsProductRatingAlbumImageSuffixAttribute

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingAlbumImageSuffixAttribute : Attribute
Public Class ProductRatingAlbumImageSuffixAttribute
    Inherits Attribute
public ref class ProductRatingAlbumImageSuffixAttribute : public Attribute
type ProductRatingAlbumImageSuffixAttribute =
    class
        inherit Attribute
    end

The ProductRatingAlbumImageSuffixAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingAlbumImageSuffixAttribute | Initializes a new instance of the ProductRatingAlbumImageSuffixAttribute class
Top
Properties
 | Name | Description
Public property | Suffix | 后缀名
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace


ProductRatingAlbumImageSuffixAttribute Constructor

Initializes a new instance of the ProductRatingAlbumImageSuffixAttribute class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingAlbumImageSuffixAttribute()
Public Sub New
public:
ProductRatingAlbumImageSuffixAttribute()
new : unit -> ProductRatingAlbumImageSuffixAttribute
See Also

Reference

ProductRatingAlbumImageSuffixAttribute Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace


ProductRatingAlbumImageSuffixAttribute Properties

The ProductRatingAlbumImageSuffixAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Suffix | 后缀名
Top
See Also

Reference

ProductRatingAlbumImageSuffixAttribute Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace


ProductRatingAlbumImageSuffixAttribute.Suffix Property

ProductRatingAlbumImageSuffixAttributeSuffix Property

后缀名

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Suffix { get; set; }
Public Property Suffix As String
    Get
    Set
public:
property String^ Suffix {
    String^ get ();
    void set (String^ value);
}
member Suffix : string with get, set

Property Value

Type: String
See Also

Reference

ProductRatingAlbumImageSuffixAttribute Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace


ProductRatingAlbumImageType Enumeration
商品相册的图片类型

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum ProductRatingAlbumImageType
Public Enumeration ProductRatingAlbumImageType
public enum class ProductRatingAlbumImageType
type ProductRatingAlbumImageType
Members
Member name | Value | Description
Normal | 0 | 原图
Thumbnail | 1 | 缩略图
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace


ProductRatingRank Enumeration
商品评价级别

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum ProductRatingRank
Public Enumeration ProductRatingRank
public enum class ProductRatingRank
type ProductRatingRank
Members
Member name | Value | Description
GoodRate | 0 | 好评
MediumRate | 1 | 中评
BadRate | 2 | 差评
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories"]

Classes
 | Class | Description
Public class | ProductRatingRepository | 商品评价的仓储


ProductRatingRepository Class
商品评价的仓储
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Repositories.BasesRepositoryBase ProductRating, Guid
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.RepositoriesProductRatingRepository

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingRepository : RepositoryBase<ProductRating, Guid>
Public Class ProductRatingRepository
    Inherits RepositoryBase(Of ProductRating, Guid)
public ref class ProductRatingRepository : public RepositoryBase<ProductRating^, Guid>
type ProductRatingRepository =
    class
        inherit RepositoryBase<ProductRating, Guid>
    end

The ProductRatingRepository type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingRepository | Initializes a new instance of the ProductRatingRepository class
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories Namespace


ProductRatingRepository Constructor

Initializes a new instance of the ProductRatingRepository class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingRepository()
Public Sub New
public:
ProductRatingRepository()
new : unit -> ProductRatingRepository
See Also

Reference

ProductRatingRepository Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Repositories Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services"]

Classes
 | Class | Description
Public class | ProductRatingAlbumManager | 商品评价相册管理器
Public class | ProductRatingManager | 商品评价管理器


ProductRatingAlbumManager Class
商品评价相册管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.ServicesProductRatingAlbumManager

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingAlbumManager : DomainServiceBase
Public Class ProductRatingAlbumManager
    Inherits DomainServiceBase
public ref class ProductRatingAlbumManager : public DomainServiceBase
type ProductRatingAlbumManager =
    class
        inherit DomainServiceBase
    end

The ProductRatingAlbumManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingAlbumManager | Initializes a new instance of the ProductRatingAlbumManager class
Top
Methods
 | Name | Description
Public method | DeleteAlbumImage | 删除相册图片
Public method | GetAlbumImageStorageFile | 获取商品评价相册图片的储存文件
Public method | GetAlbumImageWebPath | 获取商品评价相册图片的网页路径，不存在时返回null
Public method | GetExistAlbumImageWebPaths | 获取商品评价相册图片的网页路径列表 不存在的图片不会包含在列表中
Public method | SaveAlbumImage | 保存商品评价相册图片
Top
Fields
Name | Description
AlbumImageExtensions | 商品评价相册图片的后缀
AlbumImagePathFormat | 商品评价相册图片的路径格式 (Id, 序号, 后缀)
AlbumImageQuality | 商品评价相册图片质量
ThumbnailImageHeight | 缩略图高度
ThumbnailImageWidth | 缩略图宽度
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager Constructor

Initializes a new instance of the ProductRatingAlbumManager class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingAlbumManager()
Public Sub New
public:
ProductRatingAlbumManager()
new : unit -> ProductRatingAlbumManager
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager Methods

The ProductRatingAlbumManager type exposes the following members.

Methods
 | Name | Description
Public method | DeleteAlbumImage | 删除相册图片
Public method | GetAlbumImageStorageFile | 获取商品评价相册图片的储存文件
Public method | GetAlbumImageWebPath | 获取商品评价相册图片的网页路径，不存在时返回null
Public method | GetExistAlbumImageWebPaths | 获取商品评价相册图片的网页路径列表 不存在的图片不会包含在列表中
Public method | SaveAlbumImage | 保存商品评价相册图片
Top
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.DeleteAlbumImage Method

ProductRatingAlbumManagerDeleteAlbumImage Method

删除相册图片

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void DeleteAlbumImage(
    Guid id,
    long index
)
Public Overridable Sub DeleteAlbumImage (
    id As Guid,
    index As Long
)
public:
virtual void DeleteAlbumImage(
    Guid id,
    long long index
)
abstract DeleteAlbumImage :
        id : Guid *
        index : int64 -> unit
override DeleteAlbumImage :
        id : Guid *
        index : int64 -> unit

Parameters

id
Type: SystemGuid
订单商品Id
index
Type: SystemInt64
图片序号，null时删除主图
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.GetAlbumImageStorageFile Method

ProductRatingAlbumManagerGetAlbumImageStorageFile Method

获取商品评价相册图片的储存文件

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IFileEntry GetAlbumImageStorageFile(
    Guid id,
    long index,
    ProductRatingAlbumImageType type
)
Public Overridable Function GetAlbumImageStorageFile (
    id As Guid,
    index As Long,
    type As ProductRatingAlbumImageType
) As IFileEntry
public:
virtual IFileEntry^ GetAlbumImageStorageFile(
    Guid id,
    long long index,
    ProductRatingAlbumImageType type
)
abstract GetAlbumImageStorageFile :
        id : Guid *
        index : int64 *
        type : ProductRatingAlbumImageType -> IFileEntry
override GetAlbumImageStorageFile :
        id : Guid *
        index : int64 *
        type : ProductRatingAlbumImageType -> IFileEntry

Parameters

id
Type: SystemGuid
订单商品Id
index
Type: SystemInt64
图片序号
type
Type: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.EnumsProductRatingAlbumImageType
商品相册的图片类型，原图或缩略图等

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingAlbumManager.GetAlbumImageStorageFile(System.Guid,System.Int64,ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums.ProductRatingAlbumImageType)"]

See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.GetAlbumImageWebPath Method

ProductRatingAlbumManagerGetAlbumImageWebPath Method

获取商品评价相册图片的网页路径，不存在时返回null

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetAlbumImageWebPath(
    Guid id,
    long index,
    ProductRatingAlbumImageType type
)
Public Overridable Function GetAlbumImageWebPath (
    id As Guid,
    index As Long,
    type As ProductRatingAlbumImageType
) As String
public:
virtual String^ GetAlbumImageWebPath(
    Guid id,
    long long index,
    ProductRatingAlbumImageType type
)
abstract GetAlbumImageWebPath :
        id : Guid *
        index : int64 *
        type : ProductRatingAlbumImageType -> string
override GetAlbumImageWebPath :
        id : Guid *
        index : int64 *
        type : ProductRatingAlbumImageType -> string

Parameters

id
Type: SystemGuid
订单商品Id
index
Type: SystemInt64
图片序号
type
Type: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.EnumsProductRatingAlbumImageType
商品相册的图片类型，原图或缩略图等

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingAlbumManager.GetAlbumImageWebPath(System.Guid,System.Int64,ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Enums.ProductRatingAlbumImageType)"]

See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.GetExistAlbumImageWebPaths Method

ProductRatingAlbumManagerGetExistAlbumImageWebPaths Method

获取商品评价相册图片的网页路径列表 不存在的图片不会包含在列表中

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<Dictionary<ProductRatingAlbumImageType, string>> GetExistAlbumImageWebPaths(
    Guid id
)
Public Overridable Function GetExistAlbumImageWebPaths (
    id As Guid
) As List(Of Dictionary(Of ProductRatingAlbumImageType, String))
public:
virtual List<Dictionary<ProductRatingAlbumImageType, String^>^>^ GetExistAlbumImageWebPaths(
    Guid id
)
abstract GetExistAlbumImageWebPaths :
        id : Guid -> List<Dictionary<ProductRatingAlbumImageType, string>>
override GetExistAlbumImageWebPaths :
        id : Guid -> List<Dictionary<ProductRatingAlbumImageType, string>>

Parameters

id
Type: SystemGuid
订单商品Id

Return Value

Type: List Dictionary ProductRatingAlbumImageType, String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingAlbumManager.GetExistAlbumImageWebPaths(System.Guid)"]

See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.SaveAlbumImage Method

ProductRatingAlbumManagerSaveAlbumImage Method

保存商品评价相册图片

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveAlbumImage(
    Guid id,
    long index,
    Stream imageStream
)
Public Overridable Sub SaveAlbumImage (
    id As Guid,
    index As Long,
    imageStream As Stream
)
public:
virtual void SaveAlbumImage(
    Guid id,
    long long index,
    Stream^ imageStream
)
abstract SaveAlbumImage :
        id : Guid *
        index : int64 *
        imageStream : Stream -> unit
override SaveAlbumImage :
        id : Guid *
        index : int64 *
        imageStream : Stream -> unit

Parameters

id
Type: SystemGuid
订单商品Id
index
Type: SystemInt64
图片序号
imageStream
Type: System.IOStream
读取图片的数据流

Return Value

Type:
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager Fields

The ProductRatingAlbumManager type exposes the following members.

Fields
Name | Description
AlbumImageExtensions | 商品评价相册图片的后缀
AlbumImagePathFormat | 商品评价相册图片的路径格式 (Id, 序号, 后缀)
AlbumImageQuality | 商品评价相册图片质量
ThumbnailImageHeight | 缩略图高度
ThumbnailImageWidth | 缩略图宽度
Top
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.AlbumImageExtensions Field

ProductRatingAlbumManagerAlbumImageExtensions Field
商品评价相册图片的后缀

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlbumImageExtensions = ".jpg"
Public Const AlbumImageExtensions As String = ".jpg"
public:
literal String^ AlbumImageExtensions = ".jpg"
static val mutable AlbumImageExtensions: string

Field Value

Type: String
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.AlbumImagePathFormat Field

ProductRatingAlbumManagerAlbumImagePathFormat Field
商品评价相册图片的路径格式 (Id, 序号, 后缀)

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AlbumImagePathFormat = "/static/shopping.productrating.images/{0}/album_{1}{2}.jpg"
Public Const AlbumImagePathFormat As String = "/static/shopping.productrating.images/{0}/album_{1}{2}.jpg"
public:
literal String^ AlbumImagePathFormat = "/static/shopping.productrating.images/{0}/album_{1}{2}.jpg"
static val mutable AlbumImagePathFormat: string

Field Value

Type: String
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.AlbumImageQuality Field

ProductRatingAlbumManagerAlbumImageQuality Field
商品评价相册图片质量

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const int AlbumImageQuality = 90
Public Const AlbumImageQuality As Integer = 90
public:
literal int AlbumImageQuality = 90
static val mutable AlbumImageQuality: int

Field Value

Type: Int32
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.ThumbnailImageHeight Field

ProductRatingAlbumManagerThumbnailImageHeight Field
缩略图高度

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int ThumbnailImageHeight
Public Shared ThumbnailImageHeight As Integer
public:
static int ThumbnailImageHeight
static val mutable ThumbnailImageHeight: int

Field Value

Type: Int32
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingAlbumManager.ThumbnailImageWidth Field

ProductRatingAlbumManagerThumbnailImageWidth Field
缩略图宽度

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int ThumbnailImageWidth
Public Shared ThumbnailImageWidth As Integer
public:
static int ThumbnailImageWidth
static val mutable ThumbnailImageWidth: int

Field Value

Type: Int32
See Also

Reference

ProductRatingAlbumManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager Class
商品评价管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase ProductRating, Guid
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.ServicesProductRatingManager

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingManager : DomainServiceBase<ProductRating, Guid>
Public Class ProductRatingManager
    Inherits DomainServiceBase(Of ProductRating, Guid)
public ref class ProductRatingManager : public DomainServiceBase<ProductRating^, Guid>
type ProductRatingManager =
    class
        inherit DomainServiceBase<ProductRating, Guid>
    end

The ProductRatingManager type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingManager | Initializes a new instance of the ProductRatingManager class
Top
Methods
 | Name | Description
Public method | AddRatingsFromRequestArguments | 从请求参数添加商品评价
Public method | CanRateOrder | 判断是否可以评价这个订单 如果订单状态是交易成功, 并且有至少一个未评价的订单商品则可以评价这个订单
Public method | GetProductRatingsHtml | 获取商品评价的html
Public method | GetRatingUrl | 获取评价订单商品的Url
Public method | GetUnratedOrderProductDisplayInfos | 获取订单中未评价的订单商品的显示信息列表
Public method | GetUnratedOrderProducts | 获取订单中未评价的订单商品列表
Public method | SelectOneRatableBuyerOrder | 选择一个可评价的买家订单Id 返回的Id不固定，也可能返回Guid.Empty
Public method | StripUsername | 处理评价人的用户名 例如 qwert => q***t
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager Constructor

Initializes a new instance of the ProductRatingManager class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingManager()
Public Sub New
public:
ProductRatingManager()
new : unit -> ProductRatingManager
See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager Methods

The ProductRatingManager type exposes the following members.

Methods
 | Name | Description
Public method | AddRatingsFromRequestArguments | 从请求参数添加商品评价
Public method | CanRateOrder | 判断是否可以评价这个订单 如果订单状态是交易成功, 并且有至少一个未评价的订单商品则可以评价这个订单
Public method | GetProductRatingsHtml | 获取商品评价的html
Public method | GetRatingUrl | 获取评价订单商品的Url
Public method | GetUnratedOrderProductDisplayInfos | 获取订单中未评价的订单商品的显示信息列表
Public method | GetUnratedOrderProducts | 获取订单中未评价的订单商品列表
Public method | SelectOneRatableBuyerOrder | 选择一个可评价的买家订单Id 返回的Id不固定，也可能返回Guid.Empty
Public method | StripUsername | 处理评价人的用户名 例如 qwert => q***t
Top
See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.AddRatingsFromRequestArguments Method

ProductRatingManagerAddRatingsFromRequestArguments Method

从请求参数添加商品评价

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddRatingsFromRequestArguments(
    Guid orderId,
    IDictionary<string, IList<string>> arguments,
    IEnumerable<Pair<string, IHttpPostedFile>> files
)
Public Overridable Sub AddRatingsFromRequestArguments (
    orderId As Guid,
    arguments As IDictionary(Of String, IList(Of String)),
    files As IEnumerable(Of Pair(Of String, IHttpPostedFile))
)
public:
virtual void AddRatingsFromRequestArguments(
    Guid orderId,
    IDictionary<String^, IList<String^>^>^ arguments,
    IEnumerable<Pair<String^, IHttpPostedFile^>>^ files
)
abstract AddRatingsFromRequestArguments :
        orderId : Guid *
        arguments : IDictionary<string, IList<string>> *
        files : IEnumerable<Pair<string, IHttpPostedFile>> -> unit
override AddRatingsFromRequestArguments :
        orderId : Guid *
        arguments : IDictionary<string, IList<string>> *
        files : IEnumerable<Pair<string, IHttpPostedFile>> -> unit

Parameters

orderId
Type: SystemGuid
买家订单Id
arguments
Type: System.Collections.GenericIDictionary String, IList String
请求参数
files
Type: System.Collections.GenericIEnumerable PairString, IHttpPostedFile
提交文件列表
See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.CanRateOrder Method

ProductRatingManagerCanRateOrder Method

判断是否可以评价这个订单 如果订单状态是交易成功, 并且有至少一个未评价的订单商品则可以评价这个订单

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool CanRateOrder(
    SellerOrder order
)
Public Overridable Function CanRateOrder (
    order As SellerOrder
) As Boolean
public:
virtual bool CanRateOrder(
    SellerOrder^ order
)
abstract CanRateOrder :
        order : SellerOrder -> bool
override CanRateOrder :
        order : SellerOrder -> bool

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.CanRateOrder(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.GetProductRatingsHtml Method

ProductRatingManagerGetProductRatingsHtml Method

获取商品评价的html

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual HtmlString GetProductRatingsHtml(
    SellerOrder order
)
Public Overridable Function GetProductRatingsHtml (
    order As SellerOrder
) As HtmlString
public:
virtual HtmlString^ GetProductRatingsHtml(
    SellerOrder^ order
)
abstract GetProductRatingsHtml :
        order : SellerOrder -> HtmlString
override GetProductRatingsHtml :
        order : SellerOrder -> HtmlString

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.GetProductRatingsHtml(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.GetRatingUrl Method

ProductRatingManagerGetRatingUrl Method

获取评价订单商品的Url

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetRatingUrl(
    SellerOrder order
)
Public Overridable Function GetRatingUrl (
    order As SellerOrder
) As String
public:
virtual String^ GetRatingUrl(
    SellerOrder^ order
)
abstract GetRatingUrl :
        order : SellerOrder -> string
override GetRatingUrl :
        order : SellerOrder -> string

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder
卖家订单

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.GetRatingUrl(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.GetUnratedOrderProductDisplayInfos Method

ProductRatingManagerGetUnratedOrderProductDisplayInfos Method

获取订单中未评价的订单商品的显示信息列表

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<OrderProductDisplayInfo> GetUnratedOrderProductDisplayInfos(
    Guid orderId
)
Public Overridable Function GetUnratedOrderProductDisplayInfos (
    orderId As Guid
) As IList(Of OrderProductDisplayInfo)
public:
virtual IList<OrderProductDisplayInfo^>^ GetUnratedOrderProductDisplayInfos(
    Guid orderId
)
abstract GetUnratedOrderProductDisplayInfos :
        orderId : Guid -> IList<OrderProductDisplayInfo>
override GetUnratedOrderProductDisplayInfos :
        orderId : Guid -> IList<OrderProductDisplayInfo>

Parameters

orderId
Type: SystemGuid
买家订单Id

Return Value

Type: IList OrderProductDisplayInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.GetUnratedOrderProductDisplayInfos(System.Guid)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.GetUnratedOrderProducts Method

ProductRatingManagerGetUnratedOrderProducts Method

获取订单中未评价的订单商品列表

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<OrderProduct> GetUnratedOrderProducts(
    Guid orderId
)
Public Overridable Function GetUnratedOrderProducts (
    orderId As Guid
) As IList(Of OrderProduct)
public:
virtual IList<OrderProduct^>^ GetUnratedOrderProducts(
    Guid orderId
)
abstract GetUnratedOrderProducts :
        orderId : Guid -> IList<OrderProduct>
override GetUnratedOrderProducts :
        orderId : Guid -> IList<OrderProduct>

Parameters

orderId
Type: SystemGuid
买家订单Id

Return Value

Type: IList OrderProduct

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.GetUnratedOrderProducts(System.Guid)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.SelectOneRatableBuyerOrder Method

ProductRatingManagerSelectOneRatableBuyerOrder Method

选择一个可评价的买家订单Id 返回的Id不固定，也可能返回Guid.Empty

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Guid SelectOneRatableBuyerOrder(
    Guid userId
)
Public Overridable Function SelectOneRatableBuyerOrder (
    userId As Guid
) As Guid
public:
virtual Guid SelectOneRatableBuyerOrder(
    Guid userId
)
abstract SelectOneRatableBuyerOrder :
        userId : Guid -> Guid
override SelectOneRatableBuyerOrder :
        userId : Guid -> Guid

Parameters

userId
Type: SystemGuid
用户Id

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.SelectOneRatableBuyerOrder(System.Guid)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ProductRatingManager.StripUsername Method

ProductRatingManagerStripUsername Method

处理评价人的用户名 例如 qwert => q***t

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string StripUsername(
    string username
)
Public Overridable Function StripUsername (
    username As String
) As String
public:
virtual String^ StripUsername(
    String^ username
)
abstract StripUsername :
        username : string -> string
override StripUsername :
        username : string -> string

Parameters

username
Type: SystemString

[Missing <param name="username"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.StripUsername(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services.ProductRatingManager.StripUsername(System.String)"]

See Also

Reference

ProductRatingManager Class
ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Services Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers |
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers |
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders |


ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers"]

Classes
 | Class | Description
Public class | ProductRatingTableHandler | 商品评价的表格处理器


ProductRatingTableHandler Class
商品评价的表格处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.BasesAjaxTableHandlerBase ProductRating, Guid
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlersProductRatingTableHandler

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ProductRatingTableHandler : AjaxTableHandlerBase<ProductRating, Guid>
Public Class ProductRatingTableHandler
    Inherits AjaxTableHandlerBase(Of ProductRating, Guid)
public ref class ProductRatingTableHandler : public AjaxTableHandlerBase<ProductRating^, Guid>
type ProductRatingTableHandler =
    class
        inherit AjaxTableHandlerBase<ProductRating, Guid>
    end

The ProductRatingTableHandler type exposes the following members.

Constructors
 | Name | Description
Public method | ProductRatingTableHandler | Initializes a new instance of the ProductRatingTableHandler class
Top
Methods
 | Name | Description
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 构建回应 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择字段 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace


ProductRatingTableHandler Constructor

Initializes a new instance of the ProductRatingTableHandler class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ProductRatingTableHandler()
Public Sub New
public:
ProductRatingTableHandler()
new : unit -> ProductRatingTableHandler
See Also

Reference

ProductRatingTableHandler Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace


ProductRatingTableHandler Methods

The ProductRatingTableHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnQuery | 过滤数据 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity).)
Public method | OnResponse | 构建回应 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse).)
Public method | OnSelect | 选择字段 (Overrides AjaxTableHandlerBaseTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity).)
Top
See Also

Reference

ProductRatingTableHandler Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace


ProductRatingTableHandler.OnQuery Method

ProductRatingTableHandlerOnQuery Method

过滤数据

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnQuery(
    AjaxTableSearchRequest request,
    ref IQueryable<ProductRating> query
)
Public Overrides Sub OnQuery (
    request As AjaxTableSearchRequest,
    ByRef query As IQueryable(Of ProductRating)
)
public:
virtual void OnQuery(
    AjaxTableSearchRequest^ request,
    IQueryable<ProductRating^>^% query
) override
abstract OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductRating> byref -> unit
override OnQuery :
        request : AjaxTableSearchRequest *
        query : IQueryable<ProductRating> byref -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers.ProductRatingTableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating}@)"]

query
Type: System.LinqIQueryable ProductRating

[Missing <param name="query"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers.ProductRatingTableHandler.OnQuery(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Linq.IQueryable{ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating}@)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnQuery(AjaxTableSearchRequest, IQueryableTEntity)
See Also

Reference

ProductRatingTableHandler Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace


ProductRatingTableHandler.OnResponse Method

ProductRatingTableHandlerOnResponse Method

构建回应

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnResponse(
    AjaxTableSearchRequest request,
    AjaxTableSearchResponse response
)
Public Overrides Sub OnResponse (
    request As AjaxTableSearchRequest,
    response As AjaxTableSearchResponse
)
public:
virtual void OnResponse(
    AjaxTableSearchRequest^ request,
    AjaxTableSearchResponse^ response
) override
abstract OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit
override OnResponse :
        request : AjaxTableSearchRequest *
        response : AjaxTableSearchResponse -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers.ProductRatingTableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

response
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchResponse

[Missing <param name="response"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers.ProductRatingTableHandler.OnResponse(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchResponse)"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnResponse(AjaxTableSearchRequest, AjaxTableSearchResponse)
See Also

Reference

ProductRatingTableHandler Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace


ProductRatingTableHandler.OnSelect Method

ProductRatingTableHandlerOnSelect Method

选择字段

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override void OnSelect(
    AjaxTableSearchRequest request,
    IList<EntityToTableRow<ProductRating>> pairs
)
Public Overrides Sub OnSelect (
    request As AjaxTableSearchRequest,
    pairs As IList(Of EntityToTableRow(Of ProductRating))
)
public:
virtual void OnSelect(
    AjaxTableSearchRequest^ request,
    IList<EntityToTableRow<ProductRating^>^>^ pairs
) override
abstract OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductRating>> -> unit
override OnSelect :
        request : AjaxTableSearchRequest *
        pairs : IList<EntityToTableRow<ProductRating>> -> unit

Parameters

request
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTableAjaxTableSearchRequest

[Missing <param name="request"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers.ProductRatingTableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating}})"]

pairs
Type: System.Collections.GenericIList EntityToTableRow ProductRating

[Missing <param name="pairs"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers.ProductRatingTableHandler.OnSelect(ZKWeb.Plugins.Common.Base.src.UIComponents.AjaxTable.AjaxTableSearchRequest,System.Collections.Generic.IList{ZKWeb.Plugins.Common.Base.src.UIComponents.BaseTable.EntityToTableRow{ZKWeb.Plugins.Shopping.ProductRating.src.Domain.Entities.ProductRating}})"]

Implements

IAjaxTableHandlerTEntity, TPrimaryKeyOnSelect(AjaxTableSearchRequest, IListEntityToTableRowTEntity)
See Also

Reference

ProductRatingTableHandler Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.AjaxTableHandlers Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers"]

Classes
 | Class | Description
Public class | AddRatingsToBuyerOrderForm | 给用户中心的订单详情页添加评价信息
Public class | AddRatingsToSellerOrderForm | 给后台的订单详情页添加评价信息


AddRatingsToBuyerOrderForm Class
给用户中心的订单详情页添加评价信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlersAddRatingsToBuyerOrderForm

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AddRatingsToBuyerOrderForm : IEntityFormExtraHandler<BuyerOrder, Guid, BuyerOrderCrudControllerForm>
Public Class AddRatingsToBuyerOrderForm
    Implements IEntityFormExtraHandler(Of BuyerOrder, Guid, BuyerOrderCrudControllerForm)
public ref class AddRatingsToBuyerOrderForm : IEntityFormExtraHandler<BuyerOrder^, Guid, BuyerOrderCrudControllerForm^>
type AddRatingsToBuyerOrderForm =
    class
        interface IEntityFormExtraHandler<BuyerOrder, Guid, BuyerOrderCrudControllerForm>
    end

The AddRatingsToBuyerOrderForm type exposes the following members.

Constructors
 | Name | Description
Public method | AddRatingsToBuyerOrderForm | Initializes a new instance of the AddRatingsToBuyerOrderForm class
Top
Properties
 | Name | Description
Public property | ProductRatings | 评价表格
Top
Methods
 | Name | Description
Public method | OnBind | 绑定表单时的处理
Public method | OnCreated | 创建表单时的处理
Public method | OnSubmit | 提交表单时的处理
Public method | OnSubmitSaved | 实体保存后的处理
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm Constructor

Initializes a new instance of the AddRatingsToBuyerOrderForm class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AddRatingsToBuyerOrderForm()
Public Sub New
public:
AddRatingsToBuyerOrderForm()
new : unit -> AddRatingsToBuyerOrderForm
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm Properties

The AddRatingsToBuyerOrderForm type exposes the following members.

Properties
 | Name | Description
Public property | ProductRatings | 评价表格
Top
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm.ProductRatings Property

AddRatingsToBuyerOrderFormProductRatings Property

评价表格

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString ProductRatings { get; set; }
Public Property ProductRatings As HtmlString
    Get
    Set
public:
property HtmlString^ ProductRatings {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member ProductRatings : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm Methods

The AddRatingsToBuyerOrderForm type exposes the following members.

Methods
 | Name | Description
Public method | OnBind | 绑定表单时的处理
Public method | OnCreated | 创建表单时的处理
Public method | OnSubmit | 提交表单时的处理
Public method | OnSubmitSaved | 实体保存后的处理
Top
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm.OnBind Method

AddRatingsToBuyerOrderFormOnBind Method

绑定表单时的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnBind(
    BuyerOrderCrudControllerForm form,
    BuyerOrder bindFrom
)
Public Sub OnBind (
    form As BuyerOrderCrudControllerForm,
    bindFrom As BuyerOrder
)
public:
virtual void OnBind(
    BuyerOrderCrudControllerForm^ form,
    BuyerOrder^ bindFrom
) sealed
abstract OnBind :
        form : BuyerOrderCrudControllerForm *
        bindFrom : BuyerOrder -> unit
override OnBind :
        form : BuyerOrderCrudControllerForm *
        bindFrom : BuyerOrder -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnBind(TForm, TEntity)
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm.OnCreated Method

AddRatingsToBuyerOrderFormOnCreated Method

创建表单时的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnCreated(
    BuyerOrderCrudControllerForm form
)
Public Sub OnCreated (
    form As BuyerOrderCrudControllerForm
)
public:
virtual void OnCreated(
    BuyerOrderCrudControllerForm^ form
) sealed
abstract OnCreated :
        form : BuyerOrderCrudControllerForm -> unit
override OnCreated :
        form : BuyerOrderCrudControllerForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnCreated(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnCreated(TForm)
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm.OnSubmit Method

AddRatingsToBuyerOrderFormOnSubmit Method

提交表单时的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSubmit(
    BuyerOrderCrudControllerForm form,
    BuyerOrder saveTo
)
Public Sub OnSubmit (
    form As BuyerOrderCrudControllerForm,
    saveTo As BuyerOrder
)
public:
virtual void OnSubmit(
    BuyerOrderCrudControllerForm^ form,
    BuyerOrder^ saveTo
) sealed
abstract OnSubmit :
        form : BuyerOrderCrudControllerForm *
        saveTo : BuyerOrder -> unit
override OnSubmit :
        form : BuyerOrderCrudControllerForm *
        saveTo : BuyerOrder -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmit(TForm, TEntity)
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToBuyerOrderForm.OnSubmitSaved Method

AddRatingsToBuyerOrderFormOnSubmitSaved Method

实体保存后的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSubmitSaved(
    BuyerOrderCrudControllerForm form,
    BuyerOrder saved
)
Public Sub OnSubmitSaved (
    form As BuyerOrderCrudControllerForm,
    saved As BuyerOrder
)
public:
virtual void OnSubmitSaved(
    BuyerOrderCrudControllerForm^ form,
    BuyerOrder^ saved
) sealed
abstract OnSubmitSaved :
        form : BuyerOrderCrudControllerForm *
        saved : BuyerOrder -> unit
override OnSubmitSaved :
        form : BuyerOrderCrudControllerForm *
        saved : BuyerOrder -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.UserPanelPagesBuyerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnSubmitSaved(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

saved
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesBuyerOrder

[Missing <param name="saved"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToBuyerOrderForm.OnSubmitSaved(ZKWeb.Plugins.Shopping.Order.src.UserPanelPages.BuyerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.BuyerOrder)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmitSaved(TForm, TEntity)
See Also

Reference

AddRatingsToBuyerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm Class
给后台的订单详情页添加评价信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlersAddRatingsToSellerOrderForm

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AddRatingsToSellerOrderForm : IEntityFormExtraHandler<SellerOrder, Guid, SellerOrderCrudControllerForm>
Public Class AddRatingsToSellerOrderForm
    Implements IEntityFormExtraHandler(Of SellerOrder, Guid, SellerOrderCrudControllerForm)
public ref class AddRatingsToSellerOrderForm : IEntityFormExtraHandler<SellerOrder^, Guid, SellerOrderCrudControllerForm^>
type AddRatingsToSellerOrderForm =
    class
        interface IEntityFormExtraHandler<SellerOrder, Guid, SellerOrderCrudControllerForm>
    end

The AddRatingsToSellerOrderForm type exposes the following members.

Constructors
 | Name | Description
Public method | AddRatingsToSellerOrderForm | Initializes a new instance of the AddRatingsToSellerOrderForm class
Top
Properties
 | Name | Description
Public property | ProductRatings | 评价表格
Top
Methods
 | Name | Description
Public method | OnBind | 绑定表单时的处理
Public method | OnCreated | 创建表单时的处理
Public method | OnSubmit | 提交表单时的处理
Public method | OnSubmitSaved | 实体保存后的处理
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm Constructor

Initializes a new instance of the AddRatingsToSellerOrderForm class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AddRatingsToSellerOrderForm()
Public Sub New
public:
AddRatingsToSellerOrderForm()
new : unit -> AddRatingsToSellerOrderForm
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm Properties

The AddRatingsToSellerOrderForm type exposes the following members.

Properties
 | Name | Description
Public property | ProductRatings | 评价表格
Top
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm.ProductRatings Property

AddRatingsToSellerOrderFormProductRatings Property

评价表格

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString ProductRatings { get; set; }
Public Property ProductRatings As HtmlString
    Get
    Set
public:
property HtmlString^ ProductRatings {
    HtmlString^ get ();
    void set (HtmlString^ value);
}
member ProductRatings : HtmlString with get, set

Property Value

Type: HtmlString
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm Methods

The AddRatingsToSellerOrderForm type exposes the following members.

Methods
 | Name | Description
Public method | OnBind | 绑定表单时的处理
Public method | OnCreated | 创建表单时的处理
Public method | OnSubmit | 提交表单时的处理
Public method | OnSubmitSaved | 实体保存后的处理
Top
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm.OnBind Method

AddRatingsToSellerOrderFormOnBind Method

绑定表单时的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnBind(
    SellerOrderCrudControllerForm form,
    SellerOrder bindFrom
)
Public Sub OnBind (
    form As SellerOrderCrudControllerForm,
    bindFrom As SellerOrder
)
public:
virtual void OnBind(
    SellerOrderCrudControllerForm^ form,
    SellerOrder^ bindFrom
) sealed
abstract OnBind :
        form : SellerOrderCrudControllerForm *
        bindFrom : SellerOrder -> unit
override OnBind :
        form : SellerOrderCrudControllerForm *
        bindFrom : SellerOrder -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

bindFrom
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="bindFrom"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnBind(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnBind(TForm, TEntity)
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm.OnCreated Method

AddRatingsToSellerOrderFormOnCreated Method

创建表单时的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnCreated(
    SellerOrderCrudControllerForm form
)
Public Sub OnCreated (
    form As SellerOrderCrudControllerForm
)
public:
virtual void OnCreated(
    SellerOrderCrudControllerForm^ form
) sealed
abstract OnCreated :
        form : SellerOrderCrudControllerForm -> unit
override OnCreated :
        form : SellerOrderCrudControllerForm -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnCreated(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnCreated(TForm)
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm.OnSubmit Method

AddRatingsToSellerOrderFormOnSubmit Method

提交表单时的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSubmit(
    SellerOrderCrudControllerForm form,
    SellerOrder saveTo
)
Public Sub OnSubmit (
    form As SellerOrderCrudControllerForm,
    saveTo As SellerOrder
)
public:
virtual void OnSubmit(
    SellerOrderCrudControllerForm^ form,
    SellerOrder^ saveTo
) sealed
abstract OnSubmit :
        form : SellerOrderCrudControllerForm *
        saveTo : SellerOrder -> unit
override OnSubmit :
        form : SellerOrderCrudControllerForm *
        saveTo : SellerOrder -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

saveTo
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="saveTo"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnSubmit(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmit(TForm, TEntity)
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


AddRatingsToSellerOrderForm.OnSubmitSaved Method

AddRatingsToSellerOrderFormOnSubmitSaved Method

实体保存后的处理

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnSubmitSaved(
    SellerOrderCrudControllerForm form,
    SellerOrder saved
)
Public Sub OnSubmitSaved (
    form As SellerOrderCrudControllerForm,
    saved As SellerOrder
)
public:
virtual void OnSubmitSaved(
    SellerOrderCrudControllerForm^ form,
    SellerOrder^ saved
) sealed
abstract OnSubmitSaved :
        form : SellerOrderCrudControllerForm *
        saved : SellerOrder -> unit
override OnSubmitSaved :
        form : SellerOrderCrudControllerForm *
        saved : SellerOrder -> unit

Parameters

form
Type: ZKWeb.Plugins.Shopping.Order.src.ControllersSellerOrderCrudControllerForm

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnSubmitSaved(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

saved
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="saved"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers.AddRatingsToSellerOrderForm.OnSubmitSaved(ZKWeb.Plugins.Shopping.Order.src.Controllers.SellerOrderCrudController.Form,ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder)"]

Implements

IEntityFormExtraHandlerTEntity, TPrimaryKey, TFormOnSubmitSaved(TForm, TEntity)
See Also

Reference

AddRatingsToSellerOrderForm Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.EntityFormExtraHandlers Namespace


ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders"]

Classes
 | Class | Description
Public class | RatingOrderDisplayInfoProvider | 前台订单添加评价的按钮


RatingOrderDisplayInfoProvider Class
前台订单添加评价的按钮
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProvidersRatingOrderDisplayInfoProvider

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class RatingOrderDisplayInfoProvider : IOrderDisplayInfoProvider
Public Class RatingOrderDisplayInfoProvider
    Implements IOrderDisplayInfoProvider
public ref class RatingOrderDisplayInfoProvider : IOrderDisplayInfoProvider
type RatingOrderDisplayInfoProvider =
    class
        interface IOrderDisplayInfoProvider
    end

The RatingOrderDisplayInfoProvider type exposes the following members.

Constructors
 | Name | Description
Public method | RatingOrderDisplayInfoProvider | Initializes a new instance of the RatingOrderDisplayInfoProvider class
Top
Methods
 | Name | Description
Public method | AddActions | 添加订单操作
Public method | AddSubjects | 添加详细信息
Public method | AddToolButtons | 添加工具按钮
Public method | AddWarnings | 添加警告信息
Top
See Also

Reference

ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


RatingOrderDisplayInfoProvider Constructor

Initializes a new instance of the RatingOrderDisplayInfoProvider class

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public RatingOrderDisplayInfoProvider()
Public Sub New
public:
RatingOrderDisplayInfoProvider()
new : unit -> RatingOrderDisplayInfoProvider
See Also

Reference

RatingOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


RatingOrderDisplayInfoProvider Methods

The RatingOrderDisplayInfoProvider type exposes the following members.

Methods
 | Name | Description
Public method | AddActions | 添加订单操作
Public method | AddSubjects | 添加详细信息
Public method | AddToolButtons | 添加工具按钮
Public method | AddWarnings | 添加警告信息
Top
See Also

Reference

RatingOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


RatingOrderDisplayInfoProvider.AddActions Method

RatingOrderDisplayInfoProviderAddActions Method

添加订单操作

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddActions(
    SellerOrder order,
    IList<HtmlString> actions,
    OrderOperatorType operatorType
)
Public Sub AddActions (
    order As SellerOrder,
    actions As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddActions(
    SellerOrder^ order,
    IList<HtmlString^>^ actions,
    OrderOperatorType operatorType
) sealed
abstract AddActions :
        order : SellerOrder *
        actions : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddActions :
        order : SellerOrder *
        actions : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddActions(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

actions
Type: System.Collections.GenericIList HtmlString

[Missing <param name="actions"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddActions(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddActions(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddActions(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

RatingOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


RatingOrderDisplayInfoProvider.AddSubjects Method

RatingOrderDisplayInfoProviderAddSubjects Method

添加详细信息

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddSubjects(
    SellerOrder order,
    IList<HtmlString> subjects,
    OrderOperatorType operatorType
)
Public Sub AddSubjects (
    order As SellerOrder,
    subjects As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddSubjects(
    SellerOrder^ order,
    IList<HtmlString^>^ subjects,
    OrderOperatorType operatorType
) sealed
abstract AddSubjects :
        order : SellerOrder *
        subjects : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddSubjects :
        order : SellerOrder *
        subjects : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddSubjects(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

subjects
Type: System.Collections.GenericIList HtmlString

[Missing <param name="subjects"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddSubjects(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddSubjects(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddSubjects(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

RatingOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


RatingOrderDisplayInfoProvider.AddToolButtons Method

RatingOrderDisplayInfoProviderAddToolButtons Method

添加工具按钮

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddToolButtons(
    SellerOrder order,
    IList<HtmlString> toolButtons,
    OrderOperatorType operatorType
)
Public Sub AddToolButtons (
    order As SellerOrder,
    toolButtons As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddToolButtons(
    SellerOrder^ order,
    IList<HtmlString^>^ toolButtons,
    OrderOperatorType operatorType
) sealed
abstract AddToolButtons :
        order : SellerOrder *
        toolButtons : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddToolButtons :
        order : SellerOrder *
        toolButtons : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddToolButtons(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

toolButtons
Type: System.Collections.GenericIList HtmlString

[Missing <param name="toolButtons"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddToolButtons(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddToolButtons(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddToolButtons(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

RatingOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


RatingOrderDisplayInfoProvider.AddWarnings Method

RatingOrderDisplayInfoProviderAddWarnings Method

添加警告信息

Namespace: ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddWarnings(
    SellerOrder order,
    IList<HtmlString> warnings,
    OrderOperatorType operatorType
)
Public Sub AddWarnings (
    order As SellerOrder,
    warnings As IList(Of HtmlString),
    operatorType As OrderOperatorType
)
public:
virtual void AddWarnings(
    SellerOrder^ order,
    IList<HtmlString^>^ warnings,
    OrderOperatorType operatorType
) sealed
abstract AddWarnings :
        order : SellerOrder *
        warnings : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit
override AddWarnings :
        order : SellerOrder *
        warnings : IList<HtmlString> *
        operatorType : OrderOperatorType -> unit

Parameters

order
Type: ZKWeb.Plugins.Shopping.Order.src.Domain.EntitiesSellerOrder

[Missing <param name="order"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddWarnings(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

warnings
Type: System.Collections.GenericIList HtmlString

[Missing <param name="warnings"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddWarnings(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

operatorType
Type: ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.EnumsOrderOperatorType

[Missing <param name="operatorType"/> documentation for "M:ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders.RatingOrderDisplayInfoProvider.AddWarnings(ZKWeb.Plugins.Shopping.Order.src.Domain.Entities.SellerOrder,System.Collections.Generic.IList{ZKWebStandard.Collection.HtmlString},ZKWeb.Plugins.Shopping.Order.src.UIComponents.ViewModels.Enums.OrderOperatorType)"]

Implements

IOrderDisplayInfoProviderAddWarnings(SellerOrder, IListHtmlString, OrderOperatorType)
See Also

Reference

RatingOrderDisplayInfoProvider Class
ZKWeb.Plugins.Shopping.ProductRating.src.UIComponents.OrderDisplayInfoProviders Namespace


ZKWeb.Plugins.Testing.WebTester.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Testing.WebTester.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Testing.WebTester.src.Components |
ZKWeb.Plugins.Testing.WebTester.src.Controllers |
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services |


ZKWeb.Plugins.Testing.WebTester.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Testing.WebTester.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers |
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates |
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester |


ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers"]

Classes
 | Class | Description
Public class | TestWebEventHandler | 在网页中运行单元测试使用的事件处理器


TestWebEventHandler Class
在网页中运行单元测试使用的事件处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlersTestWebEventHandler

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TestWebEventHandler : ITestEventHandler
Public Class TestWebEventHandler
    Implements ITestEventHandler
public ref class TestWebEventHandler : ITestEventHandler
type TestWebEventHandler =
    class
        interface ITestEventHandler
    end

The TestWebEventHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TestWebEventHandler | Initializes a new instance of the TestWebEventHandler class
Top
Methods
 | Name | Description
Public method | OnAllTestCompleted | 程序集测试完毕
Public method | OnAllTestStarting | 程序集测试开始
Public method | OnDebugMessage | 收到除错信息
Public method | OnErrorMessage | 收到错误信息
Public method | OnTestFailed | 单项测试失败时
Public method | OnTestPassed | 单项测试通过时
Public method | OnTestSkipped | 单项测试跳过时
Public method | OnTestStarting | 单项测试开始时
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler Constructor

Initializes a new instance of the TestWebEventHandler class

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestWebEventHandler()
Public Sub New
public:
TestWebEventHandler()
new : unit -> TestWebEventHandler
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler Methods

The TestWebEventHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnAllTestCompleted | 程序集测试完毕
Public method | OnAllTestStarting | 程序集测试开始
Public method | OnDebugMessage | 收到除错信息
Public method | OnErrorMessage | 收到错误信息
Public method | OnTestFailed | 单项测试失败时
Public method | OnTestPassed | 单项测试通过时
Public method | OnTestSkipped | 单项测试跳过时
Public method | OnTestStarting | 单项测试开始时
Top
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnAllTestCompleted Method

TestWebEventHandlerOnAllTestCompleted Method

程序集测试完毕

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnAllTestCompleted(
    AllTestCompletedInfo info
)
Public Sub OnAllTestCompleted (
    info As AllTestCompletedInfo
)
public:
virtual void OnAllTestCompleted(
    AllTestCompletedInfo^ info
) sealed
abstract OnAllTestCompleted :
        info : AllTestCompletedInfo -> unit
override OnAllTestCompleted :
        info : AllTestCompletedInfo -> unit

Parameters

info
Type: AllTestCompletedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnAllTestCompleted(ZKWebStandard.Testing.Events.AllTestCompletedInfo)"]

Implements

ITestEventHandler.OnAllTestCompleted(AllTestCompletedInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnAllTestStarting Method

TestWebEventHandlerOnAllTestStarting Method

程序集测试开始

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnAllTestStarting(
    AllTestStartingInfo info
)
Public Sub OnAllTestStarting (
    info As AllTestStartingInfo
)
public:
virtual void OnAllTestStarting(
    AllTestStartingInfo^ info
) sealed
abstract OnAllTestStarting :
        info : AllTestStartingInfo -> unit
override OnAllTestStarting :
        info : AllTestStartingInfo -> unit

Parameters

info
Type: AllTestStartingInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnAllTestStarting(ZKWebStandard.Testing.Events.AllTestStartingInfo)"]

Implements

ITestEventHandler.OnAllTestStarting(AllTestStartingInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnDebugMessage Method

TestWebEventHandlerOnDebugMessage Method

收到除错信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnDebugMessage(
    DebugMessageInfo info
)
Public Sub OnDebugMessage (
    info As DebugMessageInfo
)
public:
virtual void OnDebugMessage(
    DebugMessageInfo^ info
) sealed
abstract OnDebugMessage :
        info : DebugMessageInfo -> unit
override OnDebugMessage :
        info : DebugMessageInfo -> unit

Parameters

info
Type: DebugMessageInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnDebugMessage(ZKWebStandard.Testing.Events.DebugMessageInfo)"]

Implements

ITestEventHandler.OnDebugMessage(DebugMessageInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnErrorMessage Method

TestWebEventHandlerOnErrorMessage Method

收到错误信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnErrorMessage(
    ErrorMessageInfo info
)
Public Sub OnErrorMessage (
    info As ErrorMessageInfo
)
public:
virtual void OnErrorMessage(
    ErrorMessageInfo^ info
) sealed
abstract OnErrorMessage :
        info : ErrorMessageInfo -> unit
override OnErrorMessage :
        info : ErrorMessageInfo -> unit

Parameters

info
Type: ErrorMessageInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnErrorMessage(ZKWebStandard.Testing.Events.ErrorMessageInfo)"]

Implements

ITestEventHandler.OnErrorMessage(ErrorMessageInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnTestFailed Method

TestWebEventHandlerOnTestFailed Method

单项测试失败时

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestFailed(
    TestFailedInfo info
)
Public Sub OnTestFailed (
    info As TestFailedInfo
)
public:
virtual void OnTestFailed(
    TestFailedInfo^ info
) sealed
abstract OnTestFailed :
        info : TestFailedInfo -> unit
override OnTestFailed :
        info : TestFailedInfo -> unit

Parameters

info
Type: TestFailedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnTestFailed(ZKWebStandard.Testing.Events.TestFailedInfo)"]

Implements

ITestEventHandler.OnTestFailed(TestFailedInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnTestPassed Method

TestWebEventHandlerOnTestPassed Method

单项测试通过时

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestPassed(
    TestPassedInfo info
)
Public Sub OnTestPassed (
    info As TestPassedInfo
)
public:
virtual void OnTestPassed(
    TestPassedInfo^ info
) sealed
abstract OnTestPassed :
        info : TestPassedInfo -> unit
override OnTestPassed :
        info : TestPassedInfo -> unit

Parameters

info
Type: TestPassedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnTestPassed(ZKWebStandard.Testing.Events.TestPassedInfo)"]

Implements

ITestEventHandler.OnTestPassed(TestPassedInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnTestSkipped Method

TestWebEventHandlerOnTestSkipped Method

单项测试跳过时

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestSkipped(
    TestSkippedInfo info
)
Public Sub OnTestSkipped (
    info As TestSkippedInfo
)
public:
virtual void OnTestSkipped(
    TestSkippedInfo^ info
) sealed
abstract OnTestSkipped :
        info : TestSkippedInfo -> unit
override OnTestSkipped :
        info : TestSkippedInfo -> unit

Parameters

info
Type: TestSkippedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnTestSkipped(ZKWebStandard.Testing.Events.TestSkippedInfo)"]

Implements

ITestEventHandler.OnTestSkipped(TestSkippedInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


TestWebEventHandler.OnTestStarting Method

TestWebEventHandlerOnTestStarting Method

单项测试开始时

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestStarting(
    TestStartingInfo info
)
Public Sub OnTestStarting (
    info As TestStartingInfo
)
public:
virtual void OnTestStarting(
    TestStartingInfo^ info
) sealed
abstract OnTestStarting :
        info : TestStartingInfo -> unit
override OnTestStarting :
        info : TestStartingInfo -> unit

Parameters

info
Type: TestStartingInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers.TestWebEventHandler.OnTestStarting(ZKWebStandard.Testing.Events.TestStartingInfo)"]

Implements

ITestEventHandler.OnTestStarting(TestStartingInfo)
See Also

Reference

TestWebEventHandler Class
ZKWeb.Plugins.Testing.WebTester.src.Components.TestEventHandlers Namespace


ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Testing.WebTester.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Testing.WebTester.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Testing.WebTester.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Testing.WebTester.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Testing.WebTester.src.Components.Translates Namespace


ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester |
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.Enums |


ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester"]

Classes
 | Class | Description
Public class | AssemblyTestInfo | 程序集的测试信息


AssemblyTestInfo Class
程序集的测试信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTesterAssemblyTestInfo

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AssemblyTestInfo
Public Class AssemblyTestInfo
public ref class AssemblyTestInfo
type AssemblyTestInfo =  class end

The AssemblyTestInfo type exposes the following members.

Constructors
 | Name | Description
Public method | AssemblyTestInfo | 初始化，反序列化时使用
Public method | AssemblyTestInfo(Assembly) | 初始化
Top
Properties
 | Name | Description
Public property | AssemblyName | 程序集名称
Public property | Counter | 测试结果的计数器
Public property | DebugMessage | 除错信息
Public property | ErrorMessage | 错误信息
Public property | FailedMessage | 失败时输出的信息
Public property | SkippedMessage | 跳过时输出的信息
Public property | State | 测试状态
Public property | StateName | 状态名称
Public property | UpdateTime | 更新时间 (Ticks)
Top
Methods
 | Name | Description
Public method | Reset | 重置信息，仅运行完毕后可以执行这个函数
Public method | Resetable | 判断信息是否可重置
Public method | TryWaitingToRun | 尝试等待开始运行 返回是否成功设置了状态
Public method | Updated | 设置更新时间
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo Constructor

Overload List
 | Name | Description
Public method | AssemblyTestInfo | 初始化，反序列化时使用
Public method | AssemblyTestInfo(Assembly) | 初始化
Top
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo Constructor

初始化，反序列化时使用

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AssemblyTestInfo()
Public Sub New
public:
AssemblyTestInfo()
new : unit -> AssemblyTestInfo
See Also

Reference

AssemblyTestInfo Class
AssemblyTestInfo Overload
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo Constructor (Assembly)
初始化

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AssemblyTestInfo(
    Assembly assembly
)
Public Sub New (
    assembly As Assembly
)
public:
AssemblyTestInfo(
    Assembly^ assembly
)
new :
        assembly : Assembly -> AssemblyTestInfo

Parameters

assembly
Type: System.ReflectionAssembly
程序集
See Also

Reference

AssemblyTestInfo Class
AssemblyTestInfo Overload
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo Properties

The AssemblyTestInfo type exposes the following members.

Properties
 | Name | Description
Public property | AssemblyName | 程序集名称
Public property | Counter | 测试结果的计数器
Public property | DebugMessage | 除错信息
Public property | ErrorMessage | 错误信息
Public property | FailedMessage | 失败时输出的信息
Public property | SkippedMessage | 跳过时输出的信息
Public property | State | 测试状态
Public property | StateName | 状态名称
Public property | UpdateTime | 更新时间 (Ticks)
Top
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.AssemblyName Property

AssemblyTestInfoAssemblyName Property

程序集名称

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string AssemblyName { get; set; }
Public Property AssemblyName As String
    Get
    Set
public:
property String^ AssemblyName {
    String^ get ();
    void set (String^ value);
}
member AssemblyName : string with get, set

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.Counter Property

AssemblyTestInfoCounter Property

测试结果的计数器

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TestResultCounter Counter { get; set; }
Public Property Counter As TestResultCounter
    Get
    Set
public:
property TestResultCounter^ Counter {
    TestResultCounter^ get ();
    void set (TestResultCounter^ value);
}
member Counter : TestResultCounter with get, set

Property Value

Type: TestResultCounter
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.DebugMessage Property

AssemblyTestInfoDebugMessage Property

除错信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string DebugMessage { get; set; }
Public Property DebugMessage As String
    Get
    Set
public:
property String^ DebugMessage {
    String^ get ();
    void set (String^ value);
}
member DebugMessage : string with get, set

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.ErrorMessage Property

AssemblyTestInfoErrorMessage Property

错误信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ErrorMessage { get; set; }
Public Property ErrorMessage As String
    Get
    Set
public:
property String^ ErrorMessage {
    String^ get ();
    void set (String^ value);
}
member ErrorMessage : string with get, set

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.FailedMessage Property

AssemblyTestInfoFailedMessage Property

失败时输出的信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FailedMessage { get; set; }
Public Property FailedMessage As String
    Get
    Set
public:
property String^ FailedMessage {
    String^ get ();
    void set (String^ value);
}
member FailedMessage : string with get, set

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.SkippedMessage Property

AssemblyTestInfoSkippedMessage Property

跳过时输出的信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string SkippedMessage { get; set; }
Public Property SkippedMessage As String
    Get
    Set
public:
property String^ SkippedMessage {
    String^ get ();
    void set (String^ value);
}
member SkippedMessage : string with get, set

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.State Property

AssemblyTestInfoState Property

测试状态

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AssemblyTestState State { get; set; }
Public Property State As AssemblyTestState
    Get
    Set
public:
property AssemblyTestState State {
    AssemblyTestState get ();
    void set (AssemblyTestState value);
}
member State : AssemblyTestState with get, set

Property Value

Type: AssemblyTestState
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.StateName Property

AssemblyTestInfoStateName Property

状态名称

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string StateName { get; }
Public ReadOnly Property StateName As String
    Get
public:
property String^ StateName {
    String^ get ();
}
member StateName : string with get

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.UpdateTime Property

AssemblyTestInfoUpdateTime Property

更新时间 (Ticks)

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string UpdateTime { get; set; }
Public Property UpdateTime As String
    Get
    Set
public:
property String^ UpdateTime {
    String^ get ();
    void set (String^ value);
}
member UpdateTime : string with get, set

Property Value

Type: String
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo Methods

The AssemblyTestInfo type exposes the following members.

Methods
 | Name | Description
Public method | Reset | 重置信息，仅运行完毕后可以执行这个函数
Public method | Resetable | 判断信息是否可重置
Public method | TryWaitingToRun | 尝试等待开始运行 返回是否成功设置了状态
Public method | Updated | 设置更新时间
Top
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.Reset Method

AssemblyTestInfoReset Method

重置信息，仅运行完毕后可以执行这个函数

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Reset()
Public Sub Reset
public:
void Reset()
member Reset : unit -> unit
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.Resetable Method

AssemblyTestInfoResetable Method

判断信息是否可重置

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool Resetable()
Public Function Resetable As Boolean
public:
bool Resetable()
member Resetable : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.AssemblyTestInfo.Resetable"]

See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.TryWaitingToRun Method

AssemblyTestInfoTryWaitingToRun Method

尝试等待开始运行 返回是否成功设置了状态

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool TryWaitingToRun()
Public Function TryWaitingToRun As Boolean
public:
bool TryWaitingToRun()
member TryWaitingToRun : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.AssemblyTestInfo.TryWaitingToRun"]

See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


AssemblyTestInfo.Updated Method

AssemblyTestInfoUpdated Method

设置更新时间

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void Updated()
Public Sub Updated
public:
void Updated()
member Updated : unit -> unit
See Also

Reference

AssemblyTestInfo Class
ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester Namespace


ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.Enums Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.Enums"]

Enumerations
 | Enumeration | Description
Public enumeration | AssemblyTestState | 程序集的测试状态


AssemblyTestState Enumeration
程序集的测试状态

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.Enums
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public enum AssemblyTestState
Public Enumeration AssemblyTestState
public enum class AssemblyTestState
type AssemblyTestState
Members
Member name | Value | Description
NotRunning | 0 | 未运行
WaitingToRun | 1 | 等待运行
Running | 2 | 运行中
FinishedRunning | 3 | 运行完毕
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Components.WebTester.Enums Namespace


ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Testing.WebTester.src.Controllers"]

Classes
 | Class | Description
Public class | WebTesterController | 网页上运行单元测试 功能： - 显示测试表格 - 定时向服务器抓取测试信息 ?action=fetch - 重置测试结果 ?action=reset_all - 运行指定项或全部项 ?action=start＆assembly=name ?action=start_all


WebTesterController Class
网页上运行单元测试 功能： - 显示测试表格 - 定时向服务器抓取测试信息 ?action=fetch - 重置测试结果 ?action=reset_all - 运行指定项或全部项 ?action=start＆assembly=name ?action=start_all
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesSimpleAdminAppControllerBase
ZKWeb.Plugins.Testing.WebTester.src.ControllersWebTesterController

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WebTesterController : SimpleAdminAppControllerBase
Public Class WebTesterController
    Inherits SimpleAdminAppControllerBase
public ref class WebTesterController : public SimpleAdminAppControllerBase
type WebTesterController =
    class
        inherit SimpleAdminAppControllerBase
    end

The WebTesterController type exposes the following members.

Constructors
 | Name | Description
Public method | WebTesterController | Initializes a new instance of the WebTesterController class
Top
Properties
 | Name | Description
Public property | Group | (Overrides SimpleAdminAppControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleAdminAppControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleAdminAppControllerBaseIconClass.)
Public property | Name | (Overrides SimpleAdminAppControllerBaseName.)
Public property | RequiredPrivileges | (Overrides SimpleAdminAppControllerBaseRequiredPrivileges.)
Public property | TileClass | (Overrides SimpleAdminAppControllerBaseTileClass.)
Public property | Url | (Overrides SimpleAdminAppControllerBaseUrl.)
Top
Methods
 | Name | Description
Protected method | Action | 处理请求 (Overrides SimpleAdminAppControllerBaseAction.)
Protected method | PostAction | 处理POST请求
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController Constructor

Initializes a new instance of the WebTesterController class

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WebTesterController()
Public Sub New
public:
WebTesterController()
new : unit -> WebTesterController
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController Properties

The WebTesterController type exposes the following members.

Properties
 | Name | Description
Public property | Group | (Overrides SimpleAdminAppControllerBaseGroup.)
Public property | GroupIconClass | (Overrides SimpleAdminAppControllerBaseGroupIconClass.)
Public property | IconClass | (Overrides SimpleAdminAppControllerBaseIconClass.)
Public property | Name | (Overrides SimpleAdminAppControllerBaseName.)
Public property | RequiredPrivileges | (Overrides SimpleAdminAppControllerBaseRequiredPrivileges.)
Public property | TileClass | (Overrides SimpleAdminAppControllerBaseTileClass.)
Public property | Url | (Overrides SimpleAdminAppControllerBaseUrl.)
Top
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.Group Property

WebTesterControllerGroup Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.Group"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Group { get; }
Public Overrides ReadOnly Property Group As String
    Get
public:
virtual property String^ Group {
    String^ get () override;
}
abstract Group : string with get
override Group : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroup
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.GroupIconClass Property

WebTesterControllerGroupIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.GroupIconClass"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string GroupIconClass { get; }
Public Overrides ReadOnly Property GroupIconClass As String
    Get
public:
virtual property String^ GroupIconClass {
    String^ get () override;
}
abstract GroupIconClass : string with get
override GroupIconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerGroupIconClass
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.IconClass Property

WebTesterControllerIconClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.IconClass"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string IconClass { get; }
Public Overrides ReadOnly Property IconClass As String
    Get
public:
virtual property String^ IconClass {
    String^ get () override;
}
abstract IconClass : string with get
override IconClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerIconClass
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.Name Property

WebTesterControllerName Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.Name"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Name { get; }
Public Overrides ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () override;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IAdminAppControllerName
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.RequiredPrivileges Property

WebTesterControllerRequiredPrivileges Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.RequiredPrivileges"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string[] RequiredPrivileges { get; }
Public Overrides ReadOnly Property RequiredPrivileges As String()
    Get
public:
virtual property array<String^>^ RequiredPrivileges {
    array<String^>^ get () override;
}
abstract RequiredPrivileges : string[] with get
override RequiredPrivileges : string[] with get

Property Value

Type: String

Implements

IAdminAppControllerRequiredPrivileges
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.TileClass Property

WebTesterControllerTileClass Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.TileClass"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string TileClass { get; }
Public Overrides ReadOnly Property TileClass As String
    Get
public:
virtual property String^ TileClass {
    String^ get () override;
}
abstract TileClass : string with get
override TileClass : string with get

Property Value

Type: String

Implements

IAdminAppControllerTileClass
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.Url Property

WebTesterControllerUrl Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.Url"]

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Url { get; }
Public Overrides ReadOnly Property Url As String
    Get
public:
virtual property String^ Url {
    String^ get () override;
}
abstract Url : string with get
override Url : string with get

Property Value

Type: String

Implements

IAdminAppControllerUrl
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController Methods

The WebTesterController type exposes the following members.

Methods
 | Name | Description
Protected method | Action | 处理请求 (Overrides SimpleAdminAppControllerBaseAction.)
Protected method | PostAction | 处理POST请求
Top
See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.Action Method

WebTesterControllerAction Method

处理请求

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override IActionResult Action()
Protected Overrides Function Action As IActionResult
protected:
virtual IActionResult^ Action() override
abstract Action : unit -> IActionResult
override Action : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.Action"]

See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


WebTesterController.PostAction Method

WebTesterControllerPostAction Method

处理POST请求

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IActionResult PostAction()
Protected Overridable Function PostAction As IActionResult
protected:
virtual IActionResult^ PostAction()
abstract PostAction : unit -> IActionResult
override PostAction : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Controllers.WebTesterController.PostAction"]

See Also

Reference

WebTesterController Class
ZKWeb.Plugins.Testing.WebTester.src.Controllers Namespace


ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Testing.WebTester.src.Domain.Services"]

Classes
 | Class | Description
Public class | WebTesterManager | 网页上运行单元测试使用的管理器 单元测试运行流程 - 检查单元测试线程是否已启动，未启动时启动 - 把需要测试的程序标记为等待运行 - 单元测试线程运行等待运行的测试，并设置测试信息 测试信息以程序集为单位 单元测试的信息全局共享并可以随时获取 单元测试的信息可手动重置，仅限于状态是"运行完毕"


WebTesterManager Class
网页上运行单元测试使用的管理器 单元测试运行流程 - 检查单元测试线程是否已启动，未启动时启动 - 把需要测试的程序标记为等待运行 - 单元测试线程运行等待运行的测试，并设置测试信息 测试信息以程序集为单位 单元测试的信息全局共享并可以随时获取 单元测试的信息可手动重置，仅限于状态是"运行完毕"
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Testing.WebTester.src.Domain.ServicesWebTesterManager

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class WebTesterManager : DomainServiceBase
Public Class WebTesterManager
    Inherits DomainServiceBase
public ref class WebTesterManager : public DomainServiceBase
type WebTesterManager =
    class
        inherit DomainServiceBase
    end

The WebTesterManager type exposes the following members.

Constructors
 | Name | Description
Public method | WebTesterManager | 初始化
Top
Properties
 | Name | Description
Protected property | Informations | 测试信息列表 全局唯一，创建后不应该进行更改
Protected property | InformationsLock | 测试信息列表使用的线程锁
Protected property | RunningThread | 测试线程
Protected property | RunningThreadLock | 测试线程使用的锁 优先级大于InformationsLock
Top
Methods
 | Name | Description
Protected method | EnsureRunningThread | 检查测试线程是否已运行，未运行时运行
Public method | GetInformations | 获取当前的测试信息 返回的列表是克隆后的内容
Public method | GetInformations(IDictionaryString, String) | 获取当前的测试信息，只获取差异部分 返回的列表是克隆后的内容
Public method | ResetInformations | 重置所有测试信息
Public method | RunAllAssemblyTestBackground | 后台运行所有测试
Public method | RunAssemblyTestBackground | 后台运行指定的测试
Protected method | RunningThreadBody | 测试线程的运行函数
Public method | UpdateInformation | 更新指定的测试信息
Top
See Also

Reference

ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager Constructor

初始化

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public WebTesterManager()
Public Sub New
public:
WebTesterManager()
new : unit -> WebTesterManager
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager Properties

The WebTesterManager type exposes the following members.

Properties
 | Name | Description
Protected property | Informations | 测试信息列表 全局唯一，创建后不应该进行更改
Protected property | InformationsLock | 测试信息列表使用的线程锁
Protected property | RunningThread | 测试线程
Protected property | RunningThreadLock | 测试线程使用的锁 优先级大于InformationsLock
Top
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.Informations Property

WebTesterManagerInformations Property

测试信息列表 全局唯一，创建后不应该进行更改

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected IEnumerable<AssemblyTestInfo> Informations { get; set; }
Protected Property Informations As IEnumerable(Of AssemblyTestInfo)
    Get
    Set
protected:
property IEnumerable<AssemblyTestInfo^>^ Informations {
    IEnumerable<AssemblyTestInfo^>^ get ();
    void set (IEnumerable<AssemblyTestInfo^>^ value);
}
member Informations : IEnumerable<AssemblyTestInfo> with get, set

Property Value

Type: IEnumerable AssemblyTestInfo
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.InformationsLock Property

WebTesterManagerInformationsLock Property

测试信息列表使用的线程锁

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected Object InformationsLock { get; set; }
Protected Property InformationsLock As Object
    Get
    Set
protected:
property Object^ InformationsLock {
    Object^ get ();
    void set (Object^ value);
}
member InformationsLock : Object with get, set

Property Value

Type: Object
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.RunningThread Property

WebTesterManagerRunningThread Property

测试线程

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected Thread RunningThread { get; set; }
Protected Property RunningThread As Thread
    Get
    Set
protected:
property Thread^ RunningThread {
    Thread^ get ();
    void set (Thread^ value);
}
member RunningThread : Thread with get, set

Property Value

Type: Thread
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.RunningThreadLock Property

WebTesterManagerRunningThreadLock Property

测试线程使用的锁 优先级大于InformationsLock

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected Object RunningThreadLock { get; set; }
Protected Property RunningThreadLock As Object
    Get
    Set
protected:
property Object^ RunningThreadLock {
    Object^ get ();
    void set (Object^ value);
}
member RunningThreadLock : Object with get, set

Property Value

Type: Object
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager Methods

The WebTesterManager type exposes the following members.

Methods
 | Name | Description
Protected method | EnsureRunningThread | 检查测试线程是否已运行，未运行时运行
Public method | GetInformations | 获取当前的测试信息 返回的列表是克隆后的内容
Public method | GetInformations(IDictionaryString, String) | 获取当前的测试信息，只获取差异部分 返回的列表是克隆后的内容
Public method | ResetInformations | 重置所有测试信息
Public method | RunAllAssemblyTestBackground | 后台运行所有测试
Public method | RunAssemblyTestBackground | 后台运行指定的测试
Protected method | RunningThreadBody | 测试线程的运行函数
Public method | UpdateInformation | 更新指定的测试信息
Top
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.EnsureRunningThread Method

WebTesterManagerEnsureRunningThread Method

检查测试线程是否已运行，未运行时运行

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void EnsureRunningThread()
Protected Overridable Sub EnsureRunningThread
protected:
virtual void EnsureRunningThread()
abstract EnsureRunningThread : unit -> unit
override EnsureRunningThread : unit -> unit
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.GetInformations Method

WebTesterManagerGetInformations Method

Overload List
 | Name | Description
Public method | GetInformations | 获取当前的测试信息 返回的列表是克隆后的内容
Public method | GetInformations(IDictionaryString, String) | 获取当前的测试信息，只获取差异部分 返回的列表是克隆后的内容
Top
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.GetInformations Method

WebTesterManagerGetInformations Method

获取当前的测试信息 返回的列表是克隆后的内容

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<AssemblyTestInfo> GetInformations()
Public Overridable Function GetInformations As IList(Of AssemblyTestInfo)
public:
virtual IList<AssemblyTestInfo^>^ GetInformations()
abstract GetInformations : unit -> IList<AssemblyTestInfo>
override GetInformations : unit -> IList<AssemblyTestInfo>

Return Value

Type: IList AssemblyTestInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Domain.Services.WebTesterManager.GetInformations"]

See Also

Reference

WebTesterManager Class
GetInformations Overload
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.GetInformations Method (IDictionary(String, String))

WebTesterManagerGetInformations Method (IDictionaryString, String)
获取当前的测试信息，只获取差异部分 返回的列表是克隆后的内容

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<AssemblyTestInfo> GetInformations(
    IDictionary<string, string> updateTimes
)
Public Overridable Function GetInformations (
    updateTimes As IDictionary(Of String, String)
) As IList(Of AssemblyTestInfo)
public:
virtual IList<AssemblyTestInfo^>^ GetInformations(
    IDictionary<String^, String^>^ updateTimes
)
abstract GetInformations :
        updateTimes : IDictionary<string, string> -> IList<AssemblyTestInfo>
override GetInformations :
        updateTimes : IDictionary<string, string> -> IList<AssemblyTestInfo>

Parameters

updateTimes
Type: System.Collections.GenericIDictionary String, String
{ 程序集: 更新时间 }

Return Value

Type: IList AssemblyTestInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Testing.WebTester.src.Domain.Services.WebTesterManager.GetInformations(System.Collections.Generic.IDictionary{System.String,System.String})"]

See Also

Reference

WebTesterManager Class
GetInformations Overload
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.ResetInformations Method

WebTesterManagerResetInformations Method

重置所有测试信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ResetInformations()
Public Overridable Sub ResetInformations
public:
virtual void ResetInformations()
abstract ResetInformations : unit -> unit
override ResetInformations : unit -> unit
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.RunAllAssemblyTestBackground Method

WebTesterManagerRunAllAssemblyTestBackground Method

后台运行所有测试

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RunAllAssemblyTestBackground()
Public Overridable Sub RunAllAssemblyTestBackground
public:
virtual void RunAllAssemblyTestBackground()
abstract RunAllAssemblyTestBackground : unit -> unit
override RunAllAssemblyTestBackground : unit -> unit
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.RunAssemblyTestBackground Method

WebTesterManagerRunAssemblyTestBackground Method

后台运行指定的测试

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RunAssemblyTestBackground(
    string assemblyName
)
Public Overridable Sub RunAssemblyTestBackground (
    assemblyName As String
)
public:
virtual void RunAssemblyTestBackground(
    String^ assemblyName
)
abstract RunAssemblyTestBackground :
        assemblyName : string -> unit
override RunAssemblyTestBackground :
        assemblyName : string -> unit

Parameters

assemblyName
Type: SystemString
程序集名称
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.RunningThreadBody Method

WebTesterManagerRunningThreadBody Method

测试线程的运行函数

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void RunningThreadBody()
Protected Overridable Sub RunningThreadBody
protected:
virtual void RunningThreadBody()
abstract RunningThreadBody : unit -> unit
override RunningThreadBody : unit -> unit
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


WebTesterManager.UpdateInformation Method

WebTesterManagerUpdateInformation Method

更新指定的测试信息

Namespace: ZKWeb.Plugins.Testing.WebTester.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void UpdateInformation(
    string assemblyName,
    Action<AssemblyTestInfo> action
)
Public Overridable Sub UpdateInformation (
    assemblyName As String,
    action As Action(Of AssemblyTestInfo)
)
public:
virtual void UpdateInformation(
    String^ assemblyName,
    Action<AssemblyTestInfo^>^ action
)
abstract UpdateInformation :
        assemblyName : string *
        action : Action<AssemblyTestInfo> -> unit
override UpdateInformation :
        assemblyName : string *
        action : Action<AssemblyTestInfo> -> unit

Parameters

assemblyName
Type: SystemString
程序集名称
action
Type: SystemAction AssemblyTestInfo
更新函数
See Also

Reference

WebTesterManager Class
ZKWeb.Plugins.Testing.WebTester.src.Domain.Services Namespace


ZKWeb.Plugins.Theme.Mobile.Frame Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.Mobile.Frame"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.Mobile.Frame.src |
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates |


ZKWeb.Plugins.Theme.Mobile.Frame.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Mobile.Frame.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Mobile.Frame.srcPlugin

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Theme.Mobile.Frame.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Theme.Mobile.Frame.src Namespace


ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates"]

Classes
 | Class | Description
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.Mobile.Frame.src.Components.Translates Namespace


ZKWeb.Plugins.Theme.VisualEditor Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.VisualEditor"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.VisualEditor.src |
ZKWeb.Plugins.Theme.VisualEditor.src.Components |
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers |
ZKWeb.Plugins.Theme.VisualEditor.src.Domain |
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms |


ZKWeb.Plugins.Theme.VisualEditor.src Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src"]

Classes
 | Class | Description
Public class | Plugin | 载入插件时的处理


Plugin Class
载入插件时的处理
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.srcPlugin

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class Plugin : IPlugin
Public Class Plugin
    Implements IPlugin
public ref class Plugin : IPlugin
type Plugin =
    class
        interface IPlugin
    end

The Plugin type exposes the following members.

Constructors
 | Name | Description
Public method | Plugin | 初始化
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src Namespace


Plugin Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Plugin()
Public Sub New
public:
Plugin()
new : unit -> Plugin
See Also

Reference

Plugin Class
ZKWeb.Plugins.Theme.VisualEditor.src Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.VisualEditor.src.Components"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders |


ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys"]

Classes
 | Class | Description
Public class | VisualEditorExtraConfigKeys | 网站附加配置中使用的键


VisualEditorExtraConfigKeys Class
网站附加配置中使用的键
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeysVisualEditorExtraConfigKeys

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditorExtraConfigKeys
Public Class VisualEditorExtraConfigKeys
public ref class VisualEditorExtraConfigKeys
type VisualEditorExtraConfigKeys =  class end

The VisualEditorExtraConfigKeys type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditorExtraConfigKeys | Initializes a new instance of the VisualEditorExtraConfigKeys class
Top
Fields
Name | Description
EditablePagesCacheTime | 可编辑的页面缓存时间，单位是秒
FileUploadDirectory | 文件上传目录名称
WidgetsCacheTime | 模块信息的缓存时间，单位是秒
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace


VisualEditorExtraConfigKeys Constructor

Initializes a new instance of the VisualEditorExtraConfigKeys class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditorExtraConfigKeys()
Public Sub New
public:
VisualEditorExtraConfigKeys()
new : unit -> VisualEditorExtraConfigKeys
See Also

Reference

VisualEditorExtraConfigKeys Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace


VisualEditorExtraConfigKeys Fields

The VisualEditorExtraConfigKeys type exposes the following members.

Fields
Name | Description
EditablePagesCacheTime | 可编辑的页面缓存时间，单位是秒
FileUploadDirectory | 文件上传目录名称
WidgetsCacheTime | 模块信息的缓存时间，单位是秒
Top
See Also

Reference

VisualEditorExtraConfigKeys Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace


VisualEditorExtraConfigKeys.EditablePagesCacheTime Field

VisualEditorExtraConfigKeysEditablePagesCacheTime Field
可编辑的页面缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string EditablePagesCacheTime = "Theme.VisualEditor.EditablePagesCacheTime"
Public Const EditablePagesCacheTime As String = "Theme.VisualEditor.EditablePagesCacheTime"
public:
literal String^ EditablePagesCacheTime = "Theme.VisualEditor.EditablePagesCacheTime"
static val mutable EditablePagesCacheTime: string

Field Value

Type: String
See Also

Reference

VisualEditorExtraConfigKeys Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace


VisualEditorExtraConfigKeys.FileUploadDirectory Field

VisualEditorExtraConfigKeysFileUploadDirectory Field
文件上传目录名称

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string FileUploadDirectory = "Theme.VisualEditor.FileUploadDirectory"
Public Const FileUploadDirectory As String = "Theme.VisualEditor.FileUploadDirectory"
public:
literal String^ FileUploadDirectory = "Theme.VisualEditor.FileUploadDirectory"
static val mutable FileUploadDirectory: string

Field Value

Type: String
See Also

Reference

VisualEditorExtraConfigKeys Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace


VisualEditorExtraConfigKeys.WidgetsCacheTime Field

VisualEditorExtraConfigKeysWidgetsCacheTime Field
模块信息的缓存时间，单位是秒

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string WidgetsCacheTime = "Theme.VisualEditor.WidgetsCacheTime"
Public Const WidgetsCacheTime As String = "Theme.VisualEditor.WidgetsCacheTime"
public:
literal String^ WidgetsCacheTime = "Theme.VisualEditor.WidgetsCacheTime"
static val mutable WidgetsCacheTime: string

Field Value

Type: String
See Also

Reference

VisualEditorExtraConfigKeys Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.ExtraConfigKeys Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers"]

Classes
 | Class | Description
Public class | VisualEditorHandlerWrapper | 可视化编辑器处理器 路径规则 /visual_editor/{路径}?参数 显示原页面并注入可视化编辑器的脚本和样式文件


VisualEditorHandlerWrapper Class
可视化编辑器处理器 路径规则 /visual_editor/{路径}?参数 显示原页面并注入可视化编辑器的脚本和样式文件
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlersVisualEditorHandlerWrapper

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditorHandlerWrapper : IHttpRequestHandlerWrapper
Public Class VisualEditorHandlerWrapper
    Implements IHttpRequestHandlerWrapper
public ref class VisualEditorHandlerWrapper : IHttpRequestHandlerWrapper
type VisualEditorHandlerWrapper =
    class
        interface IHttpRequestHandlerWrapper
    end

The VisualEditorHandlerWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditorHandlerWrapper | Initializes a new instance of the VisualEditorHandlerWrapper class
Top
Methods
 | Name | Description
Public method | WrapHandlerAction | 包装请求函数
Top
Fields
Name | Description
OverridedContextKey | 重载Http上下文的对象保存在Http上下文数据的键
Prefix | 路径前缀
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


VisualEditorHandlerWrapper Constructor

Initializes a new instance of the VisualEditorHandlerWrapper class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditorHandlerWrapper()
Public Sub New
public:
VisualEditorHandlerWrapper()
new : unit -> VisualEditorHandlerWrapper
See Also

Reference

VisualEditorHandlerWrapper Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


VisualEditorHandlerWrapper Methods

The VisualEditorHandlerWrapper type exposes the following members.

Methods
 | Name | Description
Public method | WrapHandlerAction | 包装请求函数
Top
See Also

Reference

VisualEditorHandlerWrapper Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


VisualEditorHandlerWrapper.WrapHandlerAction Method

VisualEditorHandlerWrapperWrapHandlerAction Method

包装请求函数

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Action WrapHandlerAction(
    Action action
)
Public Function WrapHandlerAction (
    action As Action
) As Action
public:
virtual Action^ WrapHandlerAction(
    Action^ action
) sealed
abstract WrapHandlerAction :
        action : Action -> Action
override WrapHandlerAction :
        action : Action -> Action

Parameters

action
Type: SystemAction

[Missing <param name="action"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers.VisualEditorHandlerWrapper.WrapHandlerAction(System.Action)"]

Return Value

Type: Action

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers.VisualEditorHandlerWrapper.WrapHandlerAction(System.Action)"]

Implements

IHttpRequestHandlerWrapper.WrapHandlerAction(Action)
See Also

Reference

VisualEditorHandlerWrapper Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


VisualEditorHandlerWrapper Fields

The VisualEditorHandlerWrapper type exposes the following members.

Fields
Name | Description
OverridedContextKey | 重载Http上下文的对象保存在Http上下文数据的键
Prefix | 路径前缀
Top
See Also

Reference

VisualEditorHandlerWrapper Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


VisualEditorHandlerWrapper.OverridedContextKey Field

VisualEditorHandlerWrapperOverridedContextKey Field
重载Http上下文的对象保存在Http上下文数据的键

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string OverridedContextKey = "VisualEditor.OverridedContext"
Public Const OverridedContextKey As String = "VisualEditor.OverridedContext"
public:
literal String^ OverridedContextKey = "VisualEditor.OverridedContext"
static val mutable OverridedContextKey: string

Field Value

Type: String
See Also

Reference

VisualEditorHandlerWrapper Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


VisualEditorHandlerWrapper.Prefix Field

VisualEditorHandlerWrapperPrefix Field
路径前缀

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string Prefix = "/visual_editor/"
Public Const Prefix As String = "/visual_editor/"
public:
literal String^ Prefix = "/visual_editor/"
static val mutable Prefix: string

Field Value

Type: String
See Also

Reference

VisualEditorHandlerWrapper Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.HttpRequestHandlers Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders"]

Classes
 | Class | Description
Public class | VisualEditorPrivilegesProvider | 提供可视化编辑权限


VisualEditorPrivilegesProvider Class
提供可视化编辑权限
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProvidersVisualEditorPrivilegesProvider

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditorPrivilegesProvider : IPrivilegesProvider
Public Class VisualEditorPrivilegesProvider
    Implements IPrivilegesProvider
public ref class VisualEditorPrivilegesProvider : IPrivilegesProvider
type VisualEditorPrivilegesProvider =
    class
        interface IPrivilegesProvider
    end

The VisualEditorPrivilegesProvider type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditorPrivilegesProvider | Initializes a new instance of the VisualEditorPrivilegesProvider class
Top
Methods
 | Name | Description
Public method | GetPrivileges | 获取权限列表
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders Namespace


VisualEditorPrivilegesProvider Constructor

Initializes a new instance of the VisualEditorPrivilegesProvider class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditorPrivilegesProvider()
Public Sub New
public:
VisualEditorPrivilegesProvider()
new : unit -> VisualEditorPrivilegesProvider
See Also

Reference

VisualEditorPrivilegesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders Namespace


VisualEditorPrivilegesProvider Methods

The VisualEditorPrivilegesProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetPrivileges | 获取权限列表
Top
See Also

Reference

VisualEditorPrivilegesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders Namespace


VisualEditorPrivilegesProvider.GetPrivileges Method

VisualEditorPrivilegesProviderGetPrivileges Method

获取权限列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<string> GetPrivileges()
Public Function GetPrivileges As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetPrivileges() sealed
abstract GetPrivileges : unit -> IEnumerable<string>
override GetPrivileges : unit -> IEnumerable<string>

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders.VisualEditorPrivilegesProvider.GetPrivileges"]

Implements

IPrivilegesProviderGetPrivileges
See Also

Reference

VisualEditorPrivilegesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.PrivilegeProviders Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers"]

Classes
 | Class | Description
Public class | VisualWidgetRenderer | 可视化编辑使用的模板模块渲染器 支持自定义内嵌样式和前后Html


VisualWidgetRenderer Class
可视化编辑使用的模板模块渲染器 支持自定义内嵌样式和前后Html
Inheritance Hierarchy
SystemObject
TemplateWidgetRenderer
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderersVisualWidgetRenderer

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualWidgetRenderer : TemplateWidgetRenderer
Public Class VisualWidgetRenderer
    Inherits TemplateWidgetRenderer
public ref class VisualWidgetRenderer : public TemplateWidgetRenderer
type VisualWidgetRenderer =
    class
        inherit TemplateWidgetRenderer
    end

The VisualWidgetRenderer type exposes the following members.

Constructors
 | Name | Description
Public method | VisualWidgetRenderer | Initializes a new instance of the VisualWidgetRenderer class
Top
Methods
 | Name | Description
Protected method | GetAfterHtml | 获取后Html (Overrides TemplateWidgetRenderer.GetAfterHtml(Context, TemplateWidget).)
Protected method | GetBeforeHtml | 获取前Html (Overrides TemplateWidgetRenderer.GetBeforeHtml(Context, TemplateWidget).)
Top
Fields
Name | Description
AfterHtmlKey | 后置Html的参数名
BeforeHtmlKey | 前置Html的参数名
CssClassKey | Css类的参数名
InlineCssKey | 内嵌Css的参数名
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer Constructor

Initializes a new instance of the VisualWidgetRenderer class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualWidgetRenderer()
Public Sub New
public:
VisualWidgetRenderer()
new : unit -> VisualWidgetRenderer
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer Methods

The VisualWidgetRenderer type exposes the following members.

Methods
 | Name | Description
Protected method | GetAfterHtml | 获取后Html (Overrides TemplateWidgetRenderer.GetAfterHtml(Context, TemplateWidget).)
Protected method | GetBeforeHtml | 获取前Html (Overrides TemplateWidgetRenderer.GetBeforeHtml(Context, TemplateWidget).)
Top
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer.GetAfterHtml Method

VisualWidgetRendererGetAfterHtml Method

获取后Html

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override string GetAfterHtml(
    Context context,
    TemplateWidget widget
)
Protected Overrides Function GetAfterHtml (
    context As Context,
    widget As TemplateWidget
) As String
protected:
virtual String^ GetAfterHtml(
    Context^ context,
    TemplateWidget^ widget
) override
abstract GetAfterHtml :
        context : Context *
        widget : TemplateWidget -> string
override GetAfterHtml :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers.VisualWidgetRenderer.GetAfterHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

widget
Type: TemplateWidget

[Missing <param name="widget"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers.VisualWidgetRenderer.GetAfterHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers.VisualWidgetRenderer.GetAfterHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer.GetBeforeHtml Method

VisualWidgetRendererGetBeforeHtml Method

获取前Html

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override string GetBeforeHtml(
    Context context,
    TemplateWidget widget
)
Protected Overrides Function GetBeforeHtml (
    context As Context,
    widget As TemplateWidget
) As String
protected:
virtual String^ GetBeforeHtml(
    Context^ context,
    TemplateWidget^ widget
) override
abstract GetBeforeHtml :
        context : Context *
        widget : TemplateWidget -> string
override GetBeforeHtml :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers.VisualWidgetRenderer.GetBeforeHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

widget
Type: TemplateWidget

[Missing <param name="widget"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers.VisualWidgetRenderer.GetBeforeHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers.VisualWidgetRenderer.GetBeforeHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer Fields

The VisualWidgetRenderer type exposes the following members.

Fields
Name | Description
AfterHtmlKey | 后置Html的参数名
BeforeHtmlKey | 前置Html的参数名
CssClassKey | Css类的参数名
InlineCssKey | 内嵌Css的参数名
Top
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer.AfterHtmlKey Field

VisualWidgetRendererAfterHtmlKey Field
后置Html的参数名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string AfterHtmlKey = "__AfterHtml"
Public Const AfterHtmlKey As String = "__AfterHtml"
public:
literal String^ AfterHtmlKey = "__AfterHtml"
static val mutable AfterHtmlKey: string

Field Value

Type: String
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer.BeforeHtmlKey Field

VisualWidgetRendererBeforeHtmlKey Field
前置Html的参数名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string BeforeHtmlKey = "__BeforeHtml"
Public Const BeforeHtmlKey As String = "__BeforeHtml"
public:
literal String^ BeforeHtmlKey = "__BeforeHtml"
static val mutable BeforeHtmlKey: string

Field Value

Type: String
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer.CssClassKey Field

VisualWidgetRendererCssClassKey Field
Css类的参数名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string CssClassKey = "__CssClass"
Public Const CssClassKey As String = "__CssClass"
public:
literal String^ CssClassKey = "__CssClass"
static val mutable CssClassKey: string

Field Value

Type: String
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


VisualWidgetRenderer.InlineCssKey Field

VisualWidgetRendererInlineCssKey Field
内嵌Css的参数名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public const string InlineCssKey = "__InlineCss"
Public Const InlineCssKey As String = "__InlineCss"
public:
literal String^ InlineCssKey = "__InlineCss"
static val mutable InlineCssKey: string

Field Value

Type: String
See Also

Reference

VisualWidgetRenderer Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.TemplateWidgetRenderers Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates"]

Classes
 | Class | Description
Public class | en_US | 英文翻译
Public class | ja_JP | 日本语翻译
Public class | ko_KR | 韩语翻译
Public class | zh_CN | 中文翻译
Public class | zh_TW | 繁体中文翻译


en_US Class
英文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translatesen_US

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class en_US : ITranslateProvider
Public Class en_US
    Implements ITranslateProvider
public ref class en_US : ITranslateProvider
type en_US =
    class
        interface ITranslateProvider
    end

The en_US type exposes the following members.

Constructors
 | Name | Description
Public method | en_US | Initializes a new instance of the en_US class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


en_US Constructor

Initializes a new instance of the en_US class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public en_US()
Public Sub New
public:
en_US()
new : unit -> en_US
See Also

Reference

en_US Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


en_US Methods

The en_US type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

en_US Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


en_US.CanTranslate Method

en_USCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.en_US.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.en_US.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.en_US.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

en_US Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


en_US.Translate Method

en_USTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.en_US.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.en_US.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.en_US.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

en_US Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ja_JP Class
日本语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translatesja_JP

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ja_JP : ITranslateProvider
Public Class ja_JP
    Implements ITranslateProvider
public ref class ja_JP : ITranslateProvider
type ja_JP =
    class
        interface ITranslateProvider
    end

The ja_JP type exposes the following members.

Constructors
 | Name | Description
Public method | ja_JP | Initializes a new instance of the ja_JP class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ja_JP Constructor

Initializes a new instance of the ja_JP class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ja_JP()
Public Sub New
public:
ja_JP()
new : unit -> ja_JP
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ja_JP Methods

The ja_JP type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ja_JP.CanTranslate Method

ja_JPCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ja_JP.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ja_JP.Translate Method

ja_JPTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ja_JP.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ja_JP.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ja_JP.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ja_JP Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ko_KR Class
韩语翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translatesko_KR

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class ko_KR : ITranslateProvider
Public Class ko_KR
    Implements ITranslateProvider
public ref class ko_KR : ITranslateProvider
type ko_KR =
    class
        interface ITranslateProvider
    end

The ko_KR type exposes the following members.

Constructors
 | Name | Description
Public method | ko_KR | Initializes a new instance of the ko_KR class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ko_KR Constructor

Initializes a new instance of the ko_KR class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public ko_KR()
Public Sub New
public:
ko_KR()
new : unit -> ko_KR
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ko_KR Methods

The ko_KR type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ko_KR.CanTranslate Method

ko_KRCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ko_KR.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ko_KR.Translate Method

ko_KRTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ko_KR.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ko_KR.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.ko_KR.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

ko_KR Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_TW Class
繁体中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translateszh_TW

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_TW : ITranslateProvider
Public Class zh_TW
    Implements ITranslateProvider
public ref class zh_TW : ITranslateProvider
type zh_TW =
    class
        interface ITranslateProvider
    end

The zh_TW type exposes the following members.

Constructors
 | Name | Description
Public method | zh_TW | Initializes a new instance of the zh_TW class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_TW Constructor

Initializes a new instance of the zh_TW class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_TW()
Public Sub New
public:
zh_TW()
new : unit -> zh_TW
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_TW Methods

The zh_TW type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_TW.CanTranslate Method

zh_TWCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_TW.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


zh_TW.Translate Method

zh_TWTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_TW.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_TW.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates.zh_TW.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_TW Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.Translates Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces |


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders"]

Classes
 | Class | Description
Public class | DefaultVisualEditablePagesProvider | 获取可视化编辑中可以编辑的页面 获取流程: - 遍历所有插件 - 查找所有非abstract的控制器类型 - 查找控制器类型中带Action和Description属性, 且Action属性的Method是GET的函数


DefaultVisualEditablePagesProvider Class
获取可视化编辑中可以编辑的页面 获取流程: - 遍历所有插件 - 查找所有非abstract的控制器类型 - 查找控制器类型中带Action和Description属性, 且Action属性的Method是GET的函数
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProvidersDefaultVisualEditablePagesProvider

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultVisualEditablePagesProvider : IVisualEditablePagesProvider,
    ICacheCleaner
Public Class DefaultVisualEditablePagesProvider
    Implements IVisualEditablePagesProvider, ICacheCleaner
public ref class DefaultVisualEditablePagesProvider : IVisualEditablePagesProvider,
    ICacheCleaner
type DefaultVisualEditablePagesProvider =
    class
        interface IVisualEditablePagesProvider
        interface ICacheCleaner
    end

The DefaultVisualEditablePagesProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultVisualEditablePagesProvider | 初始化
Top
Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetEditablePages | 获取可编辑的页面列表
Public method | IsPageEditable | 判断页面是否可以编辑
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace


DefaultVisualEditablePagesProvider Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultVisualEditablePagesProvider()
Public Sub New
public:
DefaultVisualEditablePagesProvider()
new : unit -> DefaultVisualEditablePagesProvider
See Also

Reference

DefaultVisualEditablePagesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace


DefaultVisualEditablePagesProvider Methods

The DefaultVisualEditablePagesProvider type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | 清理缓存
Public method | GetEditablePages | 获取可编辑的页面列表
Public method | IsPageEditable | 判断页面是否可以编辑
Top
See Also

Reference

DefaultVisualEditablePagesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace


DefaultVisualEditablePagesProvider.ClearCache Method

DefaultVisualEditablePagesProviderClearCache Method

清理缓存

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void ClearCache()
Public Sub ClearCache
public:
virtual void ClearCache() sealed
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleaner.ClearCache
See Also

Reference

DefaultVisualEditablePagesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace


DefaultVisualEditablePagesProvider.GetEditablePages Method

DefaultVisualEditablePagesProviderGetEditablePages Method

获取可编辑的页面列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<VisualEditablePageInfo> GetEditablePages()
Public Function GetEditablePages As IEnumerable(Of VisualEditablePageInfo)
public:
virtual IEnumerable<VisualEditablePageInfo^>^ GetEditablePages() sealed
abstract GetEditablePages : unit -> IEnumerable<VisualEditablePageInfo>
override GetEditablePages : unit -> IEnumerable<VisualEditablePageInfo>

Return Value

Type: IEnumerable VisualEditablePageInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.DefaultVisualEditablePagesProvider.GetEditablePages"]

Implements

IVisualEditablePagesProviderGetEditablePages
See Also

Reference

DefaultVisualEditablePagesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace


DefaultVisualEditablePagesProvider.IsPageEditable Method

DefaultVisualEditablePagesProviderIsPageEditable Method

判断页面是否可以编辑

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool IsPageEditable(
    string url
)
Public Function IsPageEditable (
    url As String
) As Boolean
public:
virtual bool IsPageEditable(
    String^ url
) sealed
abstract IsPageEditable :
        url : string -> bool
override IsPageEditable :
        url : string -> bool

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.DefaultVisualEditablePagesProvider.IsPageEditable(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.DefaultVisualEditablePagesProvider.IsPageEditable(System.String)"]

Implements

IVisualEditablePagesProviderIsPageEditable(String)
See Also

Reference

DefaultVisualEditablePagesProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IVisualEditablePagesProvider | 获取可以在可视化编辑器中编辑的页面的接口


IVisualEditablePagesProvider Interface
获取可以在可视化编辑器中编辑的页面的接口

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IVisualEditablePagesProvider
Public Interface IVisualEditablePagesProvider
public interface class IVisualEditablePagesProvider
type IVisualEditablePagesProvider =  interface end

The IVisualEditablePagesProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetEditablePages | 获取可编辑的页面列表
Public method | IsPageEditable | 判断页面是否可以编辑
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces Namespace


IVisualEditablePagesProvider Methods

The IVisualEditablePagesProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetEditablePages | 获取可编辑的页面列表
Public method | IsPageEditable | 判断页面是否可以编辑
Top
See Also

Reference

IVisualEditablePagesProvider Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces Namespace


IVisualEditablePagesProvider.GetEditablePages Method

IVisualEditablePagesProviderGetEditablePages Method

获取可编辑的页面列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<VisualEditablePageInfo> GetEditablePages()
Function GetEditablePages As IEnumerable(Of VisualEditablePageInfo)
IEnumerable<VisualEditablePageInfo^>^ GetEditablePages()
abstract GetEditablePages : unit -> IEnumerable<VisualEditablePageInfo>

Return Value

Type: IEnumerable VisualEditablePageInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces.IVisualEditablePagesProvider.GetEditablePages"]

See Also

Reference

IVisualEditablePagesProvider Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces Namespace


IVisualEditablePagesProvider.IsPageEditable Method

IVisualEditablePagesProviderIsPageEditable Method

判断页面是否可以编辑

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
bool IsPageEditable(
    string url
)
Function IsPageEditable (
    url As String
) As Boolean
bool IsPageEditable(
    String^ url
)
abstract IsPageEditable :
        url : string -> bool

Parameters

url
Type: SystemString
页面Url

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces.IVisualEditablePagesProvider.IsPageEditable(System.String)"]

See Also

Reference

IVisualEditablePagesProvider Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualEditablePagesProviders.Interfaces Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces |


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders"]

Classes
 | Class | Description
Public class | DefaultVisualWidgetFormBuilder | 可视化编辑器中编辑模块的表单的构建器 只支持Common.Base中的表单字段类型


DefaultVisualWidgetFormBuilder Class
可视化编辑器中编辑模块的表单的构建器 只支持Common.Base中的表单字段类型
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuildersDefaultVisualWidgetFormBuilder

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultVisualWidgetFormBuilder : IVisualWidgetFormBuilder
Public Class DefaultVisualWidgetFormBuilder
    Implements IVisualWidgetFormBuilder
public ref class DefaultVisualWidgetFormBuilder : IVisualWidgetFormBuilder
type DefaultVisualWidgetFormBuilder =
    class
        interface IVisualWidgetFormBuilder
    end

The DefaultVisualWidgetFormBuilder type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultVisualWidgetFormBuilder | Initializes a new instance of the DefaultVisualWidgetFormBuilder class
Top
Methods
 | Name | Description
Public method | AddFormField | 根据单个模块参数添加表单字段
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders Namespace


DefaultVisualWidgetFormBuilder Constructor

Initializes a new instance of the DefaultVisualWidgetFormBuilder class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultVisualWidgetFormBuilder()
Public Sub New
public:
DefaultVisualWidgetFormBuilder()
new : unit -> DefaultVisualWidgetFormBuilder
See Also

Reference

DefaultVisualWidgetFormBuilder Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders Namespace


DefaultVisualWidgetFormBuilder Methods

The DefaultVisualWidgetFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | AddFormField | 根据单个模块参数添加表单字段
Top
See Also

Reference

DefaultVisualWidgetFormBuilder Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders Namespace


DefaultVisualWidgetFormBuilder.AddFormField Method

DefaultVisualWidgetFormBuilderAddFormField Method

根据单个模块参数添加表单字段

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public void AddFormField(
    FormBuilder form,
    TemplateWidget widget,
    IDictionary<string, Object> argument
)
Public Sub AddFormField (
    form As FormBuilder,
    widget As TemplateWidget,
    argument As IDictionary(Of String, Object)
)
public:
virtual void AddFormField(
    FormBuilder^ form,
    TemplateWidget^ widget,
    IDictionary<String^, Object^>^ argument
) sealed
abstract AddFormField :
        form : FormBuilder *
        widget : TemplateWidget *
        argument : IDictionary<string, Object> -> unit
override AddFormField :
        form : FormBuilder *
        widget : TemplateWidget *
        argument : IDictionary<string, Object> -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder

[Missing <param name="form"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.DefaultVisualWidgetFormBuilder.AddFormField(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder,ZKWeb.Templating.DynamicContents.TemplateWidget,System.Collections.Generic.IDictionary{System.String,System.Object})"]

widget
Type: TemplateWidget

[Missing <param name="widget"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.DefaultVisualWidgetFormBuilder.AddFormField(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder,ZKWeb.Templating.DynamicContents.TemplateWidget,System.Collections.Generic.IDictionary{System.String,System.Object})"]

argument
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="argument"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.DefaultVisualWidgetFormBuilder.AddFormField(ZKWeb.Plugins.Common.Base.src.UIComponents.Forms.FormBuilder,ZKWeb.Templating.DynamicContents.TemplateWidget,System.Collections.Generic.IDictionary{System.String,System.Object})"]

Implements

IVisualWidgetFormBuilderAddFormField(FormBuilder, TemplateWidget, IDictionaryString, Object)
See Also

Reference

DefaultVisualWidgetFormBuilder Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IVisualWidgetFormBuilder | 可视化编辑器中编辑模块的表单的构建器接口


IVisualWidgetFormBuilder Interface
可视化编辑器中编辑模块的表单的构建器接口

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IVisualWidgetFormBuilder
Public Interface IVisualWidgetFormBuilder
public interface class IVisualWidgetFormBuilder
type IVisualWidgetFormBuilder =  interface end

The IVisualWidgetFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | AddFormField | 根据单个模块参数添加表单字段
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces Namespace


IVisualWidgetFormBuilder Methods

The IVisualWidgetFormBuilder type exposes the following members.

Methods
 | Name | Description
Public method | AddFormField | 根据单个模块参数添加表单字段
Top
See Also

Reference

IVisualWidgetFormBuilder Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces Namespace


IVisualWidgetFormBuilder.AddFormField Method

IVisualWidgetFormBuilderAddFormField Method

根据单个模块参数添加表单字段

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
void AddFormField(
    FormBuilder form,
    TemplateWidget widget,
    IDictionary<string, Object> argument
)
Sub AddFormField (
    form As FormBuilder,
    widget As TemplateWidget,
    argument As IDictionary(Of String, Object)
)
void AddFormField(
    FormBuilder^ form,
    TemplateWidget^ widget,
    IDictionary<String^, Object^>^ argument
)
abstract AddFormField :
        form : FormBuilder *
        widget : TemplateWidget *
        argument : IDictionary<string, Object> -> unit

Parameters

form
Type: ZKWeb.Plugins.Common.Base.src.UIComponents.FormsFormBuilder
表单构建器
widget
Type: TemplateWidget
模板模块对象
argument
Type: System.Collections.GenericIDictionary String, Object
单个模块参数
See Also

Reference

IVisualWidgetFormBuilder Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetFormBuilders.Interfaces Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders |
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces |


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders"]

Classes
 | Class | Description
Public class | DefaultVisualWidgetsProvider | 获取可以在可视化编辑中使用的模块 获取流程: - 遍历App_Data\templates，查找widget文件 - 相反顺序遍历插件，遍历插件\templates，查找widget文件 不遍历设备专用的模板目录， 原因是设备专用的模块文件只应用于重载修改样式，同时减少处理的复杂度 同样的自定义文件储存中的模块也不遍历，如果有需要请另外编写提供器


DefaultVisualWidgetsProvider Class
获取可以在可视化编辑中使用的模块 获取流程: - 遍历App_Data\templates，查找widget文件 - 相反顺序遍历插件，遍历插件\templates，查找widget文件 不遍历设备专用的模板目录， 原因是设备专用的模块文件只应用于重载修改样式，同时减少处理的复杂度 同样的自定义文件储存中的模块也不遍历，如果有需要请另外编写提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProvidersDefaultVisualWidgetsProvider

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultVisualWidgetsProvider : IVisualWidgetsProvider
Public Class DefaultVisualWidgetsProvider
    Implements IVisualWidgetsProvider
public ref class DefaultVisualWidgetsProvider : IVisualWidgetsProvider
type DefaultVisualWidgetsProvider =
    class
        interface IVisualWidgetsProvider
    end

The DefaultVisualWidgetsProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultVisualWidgetsProvider | Initializes a new instance of the DefaultVisualWidgetsProvider class
Top
Methods
 | Name | Description
Public method | GetWidgets | 获取可以在可视化编辑中使用的模块列表
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders Namespace


DefaultVisualWidgetsProvider Constructor

Initializes a new instance of the DefaultVisualWidgetsProvider class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public DefaultVisualWidgetsProvider()
Public Sub New
public:
DefaultVisualWidgetsProvider()
new : unit -> DefaultVisualWidgetsProvider
See Also

Reference

DefaultVisualWidgetsProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders Namespace


DefaultVisualWidgetsProvider Methods

The DefaultVisualWidgetsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetWidgets | 获取可以在可视化编辑中使用的模块列表
Top
See Also

Reference

DefaultVisualWidgetsProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders Namespace


DefaultVisualWidgetsProvider.GetWidgets Method

DefaultVisualWidgetsProviderGetWidgets Method

获取可以在可视化编辑中使用的模块列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<VisualWidgetInfo> GetWidgets()
Public Function GetWidgets As IEnumerable(Of VisualWidgetInfo)
public:
virtual IEnumerable<VisualWidgetInfo^>^ GetWidgets() sealed
abstract GetWidgets : unit -> IEnumerable<VisualWidgetInfo>
override GetWidgets : unit -> IEnumerable<VisualWidgetInfo>

Return Value

Type: IEnumerable VisualWidgetInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.DefaultVisualWidgetsProvider.GetWidgets"]

Implements

IVisualWidgetsProviderGetWidgets
See Also

Reference

DefaultVisualWidgetsProvider Class
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces"]

Interfaces
 | Interface | Description
Public interface | IVisualWidgetsProvider | 获取可以在可视化编辑中使用的模块的接口


IVisualWidgetsProvider Interface
获取可以在可视化编辑中使用的模块的接口

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public interface IVisualWidgetsProvider
Public Interface IVisualWidgetsProvider
public interface class IVisualWidgetsProvider
type IVisualWidgetsProvider =  interface end

The IVisualWidgetsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetWidgets | 获取可以在可视化编辑中使用的模块列表
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces Namespace


IVisualWidgetsProvider Methods

The IVisualWidgetsProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetWidgets | 获取可以在可视化编辑中使用的模块列表
Top
See Also

Reference

IVisualWidgetsProvider Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces Namespace


IVisualWidgetsProvider.GetWidgets Method

IVisualWidgetsProviderGetWidgets Method

获取可以在可视化编辑中使用的模块列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<VisualWidgetInfo> GetWidgets()
Function GetWidgets As IEnumerable(Of VisualWidgetInfo)
IEnumerable<VisualWidgetInfo^>^ GetWidgets()
abstract GetWidgets : unit -> IEnumerable<VisualWidgetInfo>

Return Value

Type: IEnumerable VisualWidgetInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces.IVisualWidgetsProvider.GetWidgets"]

See Also

Reference

IVisualWidgetsProvider Interface
ZKWeb.Plugins.Theme.VisualEditor.src.Components.VisualWidgetsProviders.Interfaces Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers"]

Classes
 | Class | Description
Public class | VisualEditorApiController | 可视化编辑使用的Api控制器


VisualEditorApiController Class
可视化编辑使用的Api控制器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Theme.VisualEditor.src.ControllersVisualEditorApiController

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditorApiController : ControllerBase
Public Class VisualEditorApiController
    Inherits ControllerBase
public ref class VisualEditorApiController : public ControllerBase
type VisualEditorApiController =
    class
        inherit ControllerBase
    end

The VisualEditorApiController type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditorApiController | Initializes a new instance of the VisualEditorApiController class
Top
Methods
 | Name | Description
Public method | ApplyBackupTheme | 应用备份主题
Public method | ApplyTheme | 应用主题
Public method | CreateTheme | 创建主题
Public method | DeleteTheme | 删除主题
Public method | DownloadBackupTheme | 下载备份主题
Public method | DownloadTheme | 下载主题
Public method | GetManageThemeForm | 获取管理主题的表单
Public method | GetSwitchPages | 获取切换页面弹出框的Html
Public method | GetTopBar | 获取顶部栏的Html
Public method | GetWidgetEditForm | 获取编辑模块的表单
Public method | GetWidgetHtml | 获取模块的Html
Public method | SaveChanges | 保存可视化编辑的修改
Public method | SubmitWidgetEditForm | 提交编辑模块的表单
Public method | UploadTheme | 上传主题
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController Constructor

Initializes a new instance of the VisualEditorApiController class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditorApiController()
Public Sub New
public:
VisualEditorApiController()
new : unit -> VisualEditorApiController
See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController Methods

The VisualEditorApiController type exposes the following members.

Methods
 | Name | Description
Public method | ApplyBackupTheme | 应用备份主题
Public method | ApplyTheme | 应用主题
Public method | CreateTheme | 创建主题
Public method | DeleteTheme | 删除主题
Public method | DownloadBackupTheme | 下载备份主题
Public method | DownloadTheme | 下载主题
Public method | GetManageThemeForm | 获取管理主题的表单
Public method | GetSwitchPages | 获取切换页面弹出框的Html
Public method | GetTopBar | 获取顶部栏的Html
Public method | GetWidgetEditForm | 获取编辑模块的表单
Public method | GetWidgetHtml | 获取模块的Html
Public method | SaveChanges | 保存可视化编辑的修改
Public method | SubmitWidgetEditForm | 提交编辑模块的表单
Public method | UploadTheme | 上传主题
Top
See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.ApplyBackupTheme Method

VisualEditorApiControllerApplyBackupTheme Method

应用备份主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ApplyBackupTheme(
    string filename
)
Public Function ApplyBackupTheme (
    filename As String
) As IActionResult
public:
IActionResult^ ApplyBackupTheme(
    String^ filename
)
member ApplyBackupTheme :
        filename : string -> IActionResult

Parameters

filename
Type: SystemString

[Missing <param name="filename"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.ApplyBackupTheme(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.ApplyBackupTheme(System.String)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.ApplyTheme Method

VisualEditorApiControllerApplyTheme Method

应用主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult ApplyTheme(
    string filename
)
Public Function ApplyTheme (
    filename As String
) As IActionResult
public:
IActionResult^ ApplyTheme(
    String^ filename
)
member ApplyTheme :
        filename : string -> IActionResult

Parameters

filename
Type: SystemString

[Missing <param name="filename"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.ApplyTheme(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.ApplyTheme(System.String)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.CreateTheme Method

VisualEditorApiControllerCreateTheme Method

创建主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult CreateTheme()
Public Function CreateTheme As IActionResult
public:
IActionResult^ CreateTheme()
member CreateTheme : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.CreateTheme"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.DeleteTheme Method

VisualEditorApiControllerDeleteTheme Method

删除主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult DeleteTheme(
    string filename
)
Public Function DeleteTheme (
    filename As String
) As IActionResult
public:
IActionResult^ DeleteTheme(
    String^ filename
)
member DeleteTheme :
        filename : string -> IActionResult

Parameters

filename
Type: SystemString

[Missing <param name="filename"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.DeleteTheme(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.DeleteTheme(System.String)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.DownloadBackupTheme Method

VisualEditorApiControllerDownloadBackupTheme Method

下载备份主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult DownloadBackupTheme(
    string filename
)
Public Function DownloadBackupTheme (
    filename As String
) As IActionResult
public:
IActionResult^ DownloadBackupTheme(
    String^ filename
)
member DownloadBackupTheme :
        filename : string -> IActionResult

Parameters

filename
Type: SystemString

[Missing <param name="filename"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.DownloadBackupTheme(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.DownloadBackupTheme(System.String)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.DownloadTheme Method

VisualEditorApiControllerDownloadTheme Method

下载主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult DownloadTheme(
    string filename
)
Public Function DownloadTheme (
    filename As String
) As IActionResult
public:
IActionResult^ DownloadTheme(
    String^ filename
)
member DownloadTheme :
        filename : string -> IActionResult

Parameters

filename
Type: SystemString

[Missing <param name="filename"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.DownloadTheme(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.DownloadTheme(System.String)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.GetManageThemeForm Method

VisualEditorApiControllerGetManageThemeForm Method

获取管理主题的表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult GetManageThemeForm()
Public Function GetManageThemeForm As IActionResult
public:
IActionResult^ GetManageThemeForm()
member GetManageThemeForm : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetManageThemeForm"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.GetSwitchPages Method

VisualEditorApiControllerGetSwitchPages Method

获取切换页面弹出框的Html

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult GetSwitchPages()
Public Function GetSwitchPages As IActionResult
public:
IActionResult^ GetSwitchPages()
member GetSwitchPages : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetSwitchPages"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.GetTopBar Method

VisualEditorApiControllerGetTopBar Method

获取顶部栏的Html

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult GetTopBar()
Public Function GetTopBar As IActionResult
public:
IActionResult^ GetTopBar()
member GetTopBar : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetTopBar"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.GetWidgetEditForm Method

VisualEditorApiControllerGetWidgetEditForm Method

获取编辑模块的表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult GetWidgetEditForm(
    string path,
    IDictionary<string, Object> args
)
Public Function GetWidgetEditForm (
    path As String,
    args As IDictionary(Of String, Object)
) As IActionResult
public:
IActionResult^ GetWidgetEditForm(
    String^ path,
    IDictionary<String^, Object^>^ args
)
member GetWidgetEditForm :
        path : string *
        args : IDictionary<string, Object> -> IActionResult

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetEditForm(System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

args
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="args"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetEditForm(System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetEditForm(System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.GetWidgetHtml Method

VisualEditorApiControllerGetWidgetHtml Method

获取模块的Html

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult GetWidgetHtml(
    string url,
    string path,
    IDictionary<string, Object> args
)
Public Function GetWidgetHtml (
    url As String,
    path As String,
    args As IDictionary(Of String, Object)
) As IActionResult
public:
IActionResult^ GetWidgetHtml(
    String^ url,
    String^ path,
    IDictionary<String^, Object^>^ args
)
member GetWidgetHtml :
        url : string *
        path : string *
        args : IDictionary<string, Object> -> IActionResult

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetHtml(System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetHtml(System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

args
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="args"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetHtml(System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.GetWidgetHtml(System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.SaveChanges Method

VisualEditorApiControllerSaveChanges Method

保存可视化编辑的修改

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult SaveChanges(
    VisualEditResult result
)
Public Function SaveChanges (
    result As VisualEditResult
) As IActionResult
public:
IActionResult^ SaveChanges(
    VisualEditResult^ result
)
member SaveChanges :
        result : VisualEditResult -> IActionResult

Parameters

result
Type: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualEditResult

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.SaveChanges(ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualEditResult)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.SaveChanges(ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualEditResult)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.SubmitWidgetEditForm Method

VisualEditorApiControllerSubmitWidgetEditForm Method

提交编辑模块的表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult SubmitWidgetEditForm(
    string path
)
Public Function SubmitWidgetEditForm (
    path As String
) As IActionResult
public:
IActionResult^ SubmitWidgetEditForm(
    String^ path
)
member SubmitWidgetEditForm :
        path : string -> IActionResult

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.SubmitWidgetEditForm(System.String)"]

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.SubmitWidgetEditForm(System.String)"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


VisualEditorApiController.UploadTheme Method

VisualEditorApiControllerUploadTheme Method

上传主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult UploadTheme()
Public Function UploadTheme As IActionResult
public:
IActionResult^ UploadTheme()
member UploadTheme : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Controllers.VisualEditorApiController.UploadTheme"]

See Also

Reference

VisualEditorApiController Class
ZKWeb.Plugins.Theme.VisualEditor.src.Controllers Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Domain Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.VisualEditor.src.Domain"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services |
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs |


ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services"]

Classes
 | Class | Description
Public class | VisualPageManager | 可视化编辑页面管理器
Public class | VisualThemeManager | 可视化编辑主题管理器
Public class | VisualWidgetManager | 可视化编辑模块管理器


VisualPageManager Class
可视化编辑页面管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.ServicesVisualPageManager

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualPageManager : DomainServiceBase
Public Class VisualPageManager
    Inherits DomainServiceBase
public ref class VisualPageManager : public DomainServiceBase
type VisualPageManager =
    class
        inherit DomainServiceBase
    end

The VisualPageManager type exposes the following members.

Constructors
 | Name | Description
Public method | VisualPageManager | 初始化
Top
Properties
 | Name | Description
Public property | EditablePagesCache | 可编辑的页面缓存
Public property | EditablePagesCacheTime | 可编辑的页面缓存时间 默认是15秒，可通过网站配置指定
Top
Methods
 | Name | Description
Public method | GetEditablePages | 获取可编辑的页面列表 以分组形式返回
Public method | GetPageResult | 获取页面返回的模板结果对象 如果页面不存在则返回null
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualPageManager()
Public Sub New
public:
VisualPageManager()
new : unit -> VisualPageManager
See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager Properties

The VisualPageManager type exposes the following members.

Properties
 | Name | Description
Public property | EditablePagesCache | 可编辑的页面缓存
Public property | EditablePagesCacheTime | 可编辑的页面缓存时间 默认是15秒，可通过网站配置指定
Top
See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager.EditablePagesCache Property

VisualPageManagerEditablePagesCache Property

可编辑的页面缓存

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IKeyValueCache<int, IList<VisualEditablePageGroup>> EditablePagesCache { get; protected set; }
Public Property EditablePagesCache As IKeyValueCache(Of Integer, IList(Of VisualEditablePageGroup))
    Get
    Protected Set
public:
property IKeyValueCache<int, IList<VisualEditablePageGroup^>^>^ EditablePagesCache {
    IKeyValueCache<int, IList<VisualEditablePageGroup^>^>^ get ();
    protected: void set (IKeyValueCache<int, IList<VisualEditablePageGroup^>^>^ value);
}
member EditablePagesCache : IKeyValueCache<int, IList<VisualEditablePageGroup>> with get, set

Property Value

Type: IKeyValueCacheInt32, IList VisualEditablePageGroup
See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager.EditablePagesCacheTime Property

VisualPageManagerEditablePagesCacheTime Property

可编辑的页面缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan EditablePagesCacheTime { get; protected set; }
Public Property EditablePagesCacheTime As TimeSpan
    Get
    Protected Set
public:
property TimeSpan EditablePagesCacheTime {
    TimeSpan get ();
    protected: void set (TimeSpan value);
}
member EditablePagesCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager Methods

The VisualPageManager type exposes the following members.

Methods
 | Name | Description
Public method | GetEditablePages | 获取可编辑的页面列表 以分组形式返回
Public method | GetPageResult | 获取页面返回的模板结果对象 如果页面不存在则返回null
Top
See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager.GetEditablePages Method

VisualPageManagerGetEditablePages Method

获取可编辑的页面列表 以分组形式返回

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<VisualEditablePageGroup> GetEditablePages()
Public Overridable Function GetEditablePages As IList(Of VisualEditablePageGroup)
public:
virtual IList<VisualEditablePageGroup^>^ GetEditablePages()
abstract GetEditablePages : unit -> IList<VisualEditablePageGroup>
override GetEditablePages : unit -> IList<VisualEditablePageGroup>

Return Value

Type: IList VisualEditablePageGroup

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualPageManager.GetEditablePages"]

See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualPageManager.GetPageResult Method

VisualPageManagerGetPageResult Method

获取页面返回的模板结果对象 如果页面不存在则返回null

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IActionResult GetPageResult(
    string pathAndQuery
)
Public Overridable Function GetPageResult (
    pathAndQuery As String
) As IActionResult
public:
virtual IActionResult^ GetPageResult(
    String^ pathAndQuery
)
abstract GetPageResult :
        pathAndQuery : string -> IActionResult
override GetPageResult :
        pathAndQuery : string -> IActionResult

Parameters

pathAndQuery
Type: SystemString
页面的Url

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualPageManager.GetPageResult(System.String)"]

See Also

Reference

VisualPageManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager Class
可视化编辑主题管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.ServicesVisualThemeManager

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualThemeManager : DomainServiceBase
Public Class VisualThemeManager
    Inherits DomainServiceBase
public ref class VisualThemeManager : public DomainServiceBase
type VisualThemeManager =
    class
        inherit DomainServiceBase
    end

The VisualThemeManager type exposes the following members.

Constructors
 | Name | Description
Public method | VisualThemeManager | Initializes a new instance of the VisualThemeManager class
Top
Methods
 | Name | Description
Public method | ApplyBackupTheme | 应用备份主题
Public method | ApplyTheme | 应用主题
Public method | BackupUsingTheme | 备份当前主题
Public method | CreateTheme | 创建主题 根据当前使用的主题创建
Public method | DeleteTheme | 删除主题
Public method | ExportThemeToStream | 导出当前主题到数据流 包括以下文件 theme.json 主题信息 App_Data\areas下的文件 不包括以下文件 App_Data\static下的文件 App_Data\templates下的文件 这些文件可以手动添加到包里面
Public method | GetBackupThemes | 获取备份的主题列表
Public method | GetBackupThemeStream | 获取备份主题的数据流
Public method | GetThemes | 获取主题列表
Protected method | GetThemesFromDirectory | 从指定文件夹读取主题列表
Public method | GetThemeStream | 获取主题的数据流
Public method | ImportThemeFromStream | 从数据流导入主题覆盖当前的主题
Public method | ReadThemeInfoFromStream | 从数据流获取主题信息
Public method | SaveEditResult | 保存可视化编辑的结果
Public method | UploadTheme | 上传主题
Top
Fields
Name | Description
BackupThemeDirectoryName | 备份主题文件夹的名称
KeepBackups | 最多保留100份备份
PreviewFilename | 预览图片的文件名
ThemeDirectoryName | 主题文件夹的名称
ThemeInforFilename | 主题信息的文件名
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager Constructor

Initializes a new instance of the VisualThemeManager class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualThemeManager()
Public Sub New
public:
VisualThemeManager()
new : unit -> VisualThemeManager
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager Methods

The VisualThemeManager type exposes the following members.

Methods
 | Name | Description
Public method | ApplyBackupTheme | 应用备份主题
Public method | ApplyTheme | 应用主题
Public method | BackupUsingTheme | 备份当前主题
Public method | CreateTheme | 创建主题 根据当前使用的主题创建
Public method | DeleteTheme | 删除主题
Public method | ExportThemeToStream | 导出当前主题到数据流 包括以下文件 theme.json 主题信息 App_Data\areas下的文件 不包括以下文件 App_Data\static下的文件 App_Data\templates下的文件 这些文件可以手动添加到包里面
Public method | GetBackupThemes | 获取备份的主题列表
Public method | GetBackupThemeStream | 获取备份主题的数据流
Public method | GetThemes | 获取主题列表
Protected method | GetThemesFromDirectory | 从指定文件夹读取主题列表
Public method | GetThemeStream | 获取主题的数据流
Public method | ImportThemeFromStream | 从数据流导入主题覆盖当前的主题
Public method | ReadThemeInfoFromStream | 从数据流获取主题信息
Public method | SaveEditResult | 保存可视化编辑的结果
Public method | UploadTheme | 上传主题
Top
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ApplyBackupTheme Method

VisualThemeManagerApplyBackupTheme Method

应用备份主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ApplyBackupTheme(
    string filename
)
Public Overridable Sub ApplyBackupTheme (
    filename As String
)
public:
virtual void ApplyBackupTheme(
    String^ filename
)
abstract ApplyBackupTheme :
        filename : string -> unit
override ApplyBackupTheme :
        filename : string -> unit

Parameters

filename
Type: SystemString
文件名
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ApplyTheme Method

VisualThemeManagerApplyTheme Method

应用主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ApplyTheme(
    string filename
)
Public Overridable Sub ApplyTheme (
    filename As String
)
public:
virtual void ApplyTheme(
    String^ filename
)
abstract ApplyTheme :
        filename : string -> unit
override ApplyTheme :
        filename : string -> unit

Parameters

filename
Type: SystemString
文件名
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.BackupUsingTheme Method

VisualThemeManagerBackupUsingTheme Method

备份当前主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void BackupUsingTheme()
Public Overridable Sub BackupUsingTheme
public:
virtual void BackupUsingTheme()
abstract BackupUsingTheme : unit -> unit
override BackupUsingTheme : unit -> unit
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.CreateTheme Method

VisualThemeManagerCreateTheme Method

创建主题 根据当前使用的主题创建

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void CreateTheme(
    VisualThemeInfo info
)
Public Overridable Sub CreateTheme (
    info As VisualThemeInfo
)
public:
virtual void CreateTheme(
    VisualThemeInfo^ info
)
abstract CreateTheme :
        info : VisualThemeInfo -> unit
override CreateTheme :
        info : VisualThemeInfo -> unit

Parameters

info
Type: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualThemeInfo
主题信息
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.DeleteTheme Method

VisualThemeManagerDeleteTheme Method

删除主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void DeleteTheme(
    string filename
)
Public Overridable Sub DeleteTheme (
    filename As String
)
public:
virtual void DeleteTheme(
    String^ filename
)
abstract DeleteTheme :
        filename : string -> unit
override DeleteTheme :
        filename : string -> unit

Parameters

filename
Type: SystemString
文件名
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ExportThemeToStream Method

VisualThemeManagerExportThemeToStream Method

导出当前主题到数据流 包括以下文件 theme.json 主题信息 App_Data\areas下的文件 不包括以下文件 App_Data\static下的文件 App_Data\templates下的文件 这些文件可以手动添加到包里面

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ExportThemeToStream(
    VisualThemeInfo info,
    Stream stream
)
Public Overridable Sub ExportThemeToStream (
    info As VisualThemeInfo,
    stream As Stream
)
public:
virtual void ExportThemeToStream(
    VisualThemeInfo^ info,
    Stream^ stream
)
abstract ExportThemeToStream :
        info : VisualThemeInfo *
        stream : Stream -> unit
override ExportThemeToStream :
        info : VisualThemeInfo *
        stream : Stream -> unit

Parameters

info
Type: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualThemeInfo
主题信息
stream
Type: System.IOStream
数据流
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.GetBackupThemes Method

VisualThemeManagerGetBackupThemes Method

获取备份的主题列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<VisualThemeInfo> GetBackupThemes()
Public Overridable Function GetBackupThemes As IList(Of VisualThemeInfo)
public:
virtual IList<VisualThemeInfo^>^ GetBackupThemes()
abstract GetBackupThemes : unit -> IList<VisualThemeInfo>
override GetBackupThemes : unit -> IList<VisualThemeInfo>

Return Value

Type: IList VisualThemeInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.GetBackupThemes"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.GetBackupThemeStream Method

VisualThemeManagerGetBackupThemeStream Method

获取备份主题的数据流

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Stream GetBackupThemeStream(
    string filename
)
Public Overridable Function GetBackupThemeStream (
    filename As String
) As Stream
public:
virtual Stream^ GetBackupThemeStream(
    String^ filename
)
abstract GetBackupThemeStream :
        filename : string -> Stream
override GetBackupThemeStream :
        filename : string -> Stream

Parameters

filename
Type: SystemString
文件名

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.GetBackupThemeStream(System.String)"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.GetThemes Method

VisualThemeManagerGetThemes Method

获取主题列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<VisualThemeInfo> GetThemes()
Public Overridable Function GetThemes As IList(Of VisualThemeInfo)
public:
virtual IList<VisualThemeInfo^>^ GetThemes()
abstract GetThemes : unit -> IList<VisualThemeInfo>
override GetThemes : unit -> IList<VisualThemeInfo>

Return Value

Type: IList VisualThemeInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.GetThemes"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.GetThemesFromDirectory Method

VisualThemeManagerGetThemesFromDirectory Method

从指定文件夹读取主题列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IList<VisualThemeInfo> GetThemesFromDirectory(
    string directoryName
)
Protected Overridable Function GetThemesFromDirectory (
    directoryName As String
) As IList(Of VisualThemeInfo)
protected:
virtual IList<VisualThemeInfo^>^ GetThemesFromDirectory(
    String^ directoryName
)
abstract GetThemesFromDirectory :
        directoryName : string -> IList<VisualThemeInfo>
override GetThemesFromDirectory :
        directoryName : string -> IList<VisualThemeInfo>

Parameters

directoryName
Type: SystemString
文件夹名称

Return Value

Type: IList VisualThemeInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.GetThemesFromDirectory(System.String)"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.GetThemeStream Method

VisualThemeManagerGetThemeStream Method

获取主题的数据流

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual Stream GetThemeStream(
    string filename
)
Public Overridable Function GetThemeStream (
    filename As String
) As Stream
public:
virtual Stream^ GetThemeStream(
    String^ filename
)
abstract GetThemeStream :
        filename : string -> Stream
override GetThemeStream :
        filename : string -> Stream

Parameters

filename
Type: SystemString
文件名

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.GetThemeStream(System.String)"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ImportThemeFromStream Method

VisualThemeManagerImportThemeFromStream Method

从数据流导入主题覆盖当前的主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ImportThemeFromStream(
    Stream stream
)
Public Overridable Sub ImportThemeFromStream (
    stream As Stream
)
public:
virtual void ImportThemeFromStream(
    Stream^ stream
)
abstract ImportThemeFromStream :
        stream : Stream -> unit
override ImportThemeFromStream :
        stream : Stream -> unit

Parameters

stream
Type: System.IOStream
数据流
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ReadThemeInfoFromStream Method

VisualThemeManagerReadThemeInfoFromStream Method

从数据流获取主题信息

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual VisualThemeInfo ReadThemeInfoFromStream(
    Stream stream
)
Public Overridable Function ReadThemeInfoFromStream (
    stream As Stream
) As VisualThemeInfo
public:
virtual VisualThemeInfo^ ReadThemeInfoFromStream(
    Stream^ stream
)
abstract ReadThemeInfoFromStream :
        stream : Stream -> VisualThemeInfo
override ReadThemeInfoFromStream :
        stream : Stream -> VisualThemeInfo

Parameters

stream
Type: System.IOStream
数据流

Return Value

Type: VisualThemeInfo

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.ReadThemeInfoFromStream(System.IO.Stream)"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.SaveEditResult Method

VisualThemeManagerSaveEditResult Method

保存可视化编辑的结果

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SaveEditResult(
    VisualEditResult result
)
Public Overridable Sub SaveEditResult (
    result As VisualEditResult
)
public:
virtual void SaveEditResult(
    VisualEditResult^ result
)
abstract SaveEditResult :
        result : VisualEditResult -> unit
override SaveEditResult :
        result : VisualEditResult -> unit

Parameters

result
Type: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualEditResult

[Missing <param name="result"/> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualThemeManager.SaveEditResult(ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualEditResult)"]

See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.UploadTheme Method

VisualThemeManagerUploadTheme Method

上传主题

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual void UploadTheme(
    string filename,
    Stream stream
)
Public Overridable Sub UploadTheme (
    filename As String,
    stream As Stream
)
public:
virtual void UploadTheme(
    String^ filename,
    Stream^ stream
)
abstract UploadTheme :
        filename : string *
        stream : Stream -> unit
override UploadTheme :
        filename : string *
        stream : Stream -> unit

Parameters

filename
Type: SystemString
文件名
stream
Type: System.IOStream
数据流
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager Fields

The VisualThemeManager type exposes the following members.

Fields
Name | Description
BackupThemeDirectoryName | 备份主题文件夹的名称
KeepBackups | 最多保留100份备份
PreviewFilename | 预览图片的文件名
ThemeDirectoryName | 主题文件夹的名称
ThemeInforFilename | 主题信息的文件名
Top
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.BackupThemeDirectoryName Field

VisualThemeManagerBackupThemeDirectoryName Field
备份主题文件夹的名称

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string BackupThemeDirectoryName
Public Shared BackupThemeDirectoryName As String
public:
static String^ BackupThemeDirectoryName
static val mutable BackupThemeDirectoryName: string

Field Value

Type: String
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.KeepBackups Field

VisualThemeManagerKeepBackups Field
最多保留100份备份

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static int KeepBackups
Public Shared KeepBackups As Integer
public:
static int KeepBackups
static val mutable KeepBackups: int

Field Value

Type: Int32
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.PreviewFilename Field

VisualThemeManagerPreviewFilename Field
预览图片的文件名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string PreviewFilename
Public Shared PreviewFilename As String
public:
static String^ PreviewFilename
static val mutable PreviewFilename: string

Field Value

Type: String
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ThemeDirectoryName Field

VisualThemeManagerThemeDirectoryName Field
主题文件夹的名称

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string ThemeDirectoryName
Public Shared ThemeDirectoryName As String
public:
static String^ ThemeDirectoryName
static val mutable ThemeDirectoryName: string

Field Value

Type: String
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualThemeManager.ThemeInforFilename Field

VisualThemeManagerThemeInforFilename Field
主题信息的文件名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public static string ThemeInforFilename
Public Shared ThemeInforFilename As String
public:
static String^ ThemeInforFilename
static val mutable ThemeInforFilename: string

Field Value

Type: String
See Also

Reference

VisualThemeManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager Class
可视化编辑模块管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Domain.Services.BasesDomainServiceBase
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.ServicesVisualWidgetManager

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualWidgetManager : DomainServiceBase
Public Class VisualWidgetManager
    Inherits DomainServiceBase
public ref class VisualWidgetManager : public DomainServiceBase
type VisualWidgetManager =
    class
        inherit DomainServiceBase
    end

The VisualWidgetManager type exposes the following members.

Constructors
 | Name | Description
Public method | VisualWidgetManager | 初始化
Top
Properties
 | Name | Description
Public property | FileUploadDirectory | 文件上传目录名称 默认是 "theme.visualeditor.files"
Public property | WidgetsCache | 模块信息的缓存
Public property | WidgetsCacheTime | 模块信息的缓存时间 默认是15秒，可通过网站配置指定
Top
Methods
 | Name | Description
Public method | GetWidgetEditForm | 获取模块的编辑表单
Public method | GetWidgetHtml | 获取模块的Html
Public method | GetWidgets | 获取模块信息列表 以分组形式返回
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualWidgetManager()
Public Sub New
public:
VisualWidgetManager()
new : unit -> VisualWidgetManager
See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager Properties

The VisualWidgetManager type exposes the following members.

Properties
 | Name | Description
Public property | FileUploadDirectory | 文件上传目录名称 默认是 "theme.visualeditor.files"
Public property | WidgetsCache | 模块信息的缓存
Public property | WidgetsCacheTime | 模块信息的缓存时间 默认是15秒，可通过网站配置指定
Top
See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager.FileUploadDirectory Property

VisualWidgetManagerFileUploadDirectory Property

文件上传目录名称 默认是 "theme.visualeditor.files"

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string FileUploadDirectory { get; protected set; }
Public Property FileUploadDirectory As String
    Get
    Protected Set
public:
property String^ FileUploadDirectory {
    String^ get ();
    protected: void set (String^ value);
}
member FileUploadDirectory : string with get, set

Property Value

Type: String
See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager.WidgetsCache Property

VisualWidgetManagerWidgetsCache Property

模块信息的缓存

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IKeyValueCache<int, IList<VisualWidgetGroup>> WidgetsCache { get; protected set; }
Public Property WidgetsCache As IKeyValueCache(Of Integer, IList(Of VisualWidgetGroup))
    Get
    Protected Set
public:
property IKeyValueCache<int, IList<VisualWidgetGroup^>^>^ WidgetsCache {
    IKeyValueCache<int, IList<VisualWidgetGroup^>^>^ get ();
    protected: void set (IKeyValueCache<int, IList<VisualWidgetGroup^>^>^ value);
}
member WidgetsCache : IKeyValueCache<int, IList<VisualWidgetGroup>> with get, set

Property Value

Type: IKeyValueCacheInt32, IList VisualWidgetGroup
See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager.WidgetsCacheTime Property

VisualWidgetManagerWidgetsCacheTime Property

模块信息的缓存时间 默认是15秒，可通过网站配置指定

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan WidgetsCacheTime { get; protected set; }
Public Property WidgetsCacheTime As TimeSpan
    Get
    Protected Set
public:
property TimeSpan WidgetsCacheTime {
    TimeSpan get ();
    protected: void set (TimeSpan value);
}
member WidgetsCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager Methods

The VisualWidgetManager type exposes the following members.

Methods
 | Name | Description
Public method | GetWidgetEditForm | 获取模块的编辑表单
Public method | GetWidgetHtml | 获取模块的Html
Public method | GetWidgets | 获取模块信息列表 以分组形式返回
Top
See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager.GetWidgetEditForm Method

VisualWidgetManagerGetWidgetEditForm Method

获取模块的编辑表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual FormBuilder GetWidgetEditForm(
    TemplateWidgetInfo widgetInfo
)
Public Overridable Function GetWidgetEditForm (
    widgetInfo As TemplateWidgetInfo
) As FormBuilder
public:
virtual FormBuilder^ GetWidgetEditForm(
    TemplateWidgetInfo^ widgetInfo
)
abstract GetWidgetEditForm :
        widgetInfo : TemplateWidgetInfo -> FormBuilder
override GetWidgetEditForm :
        widgetInfo : TemplateWidgetInfo -> FormBuilder

Parameters

widgetInfo
Type: TemplateWidgetInfo
模块信息

Return Value

Type: FormBuilder

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualWidgetManager.GetWidgetEditForm(ZKWeb.Templating.DynamicContents.TemplateWidgetInfo)"]

See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager.GetWidgetHtml Method

VisualWidgetManagerGetWidgetHtml Method

获取模块的Html

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetWidgetHtml(
    string url,
    string path,
    IDictionary<string, Object> args
)
Public Overridable Function GetWidgetHtml (
    url As String,
    path As String,
    args As IDictionary(Of String, Object)
) As String
public:
virtual String^ GetWidgetHtml(
    String^ url,
    String^ path,
    IDictionary<String^, Object^>^ args
)
abstract GetWidgetHtml :
        url : string *
        path : string *
        args : IDictionary<string, Object> -> string
override GetWidgetHtml :
        url : string *
        path : string *
        args : IDictionary<string, Object> -> string

Parameters

url
Type: SystemString
模块所在的Url地址
path
Type: SystemString
模块的路径
args
Type: System.Collections.GenericIDictionary String, Object
模块的参数

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualWidgetManager.GetWidgetHtml(System.String,System.String,System.Collections.Generic.IDictionary{System.String,System.Object})"]

See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


VisualWidgetManager.GetWidgets Method

VisualWidgetManagerGetWidgets Method

获取模块信息列表 以分组形式返回

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<VisualWidgetGroup> GetWidgets()
Public Overridable Function GetWidgets As IList(Of VisualWidgetGroup)
public:
virtual IList<VisualWidgetGroup^>^ GetWidgets()
abstract GetWidgets : unit -> IList<VisualWidgetGroup>
override GetWidgets : unit -> IList<VisualWidgetGroup>

Return Value

Type: IList VisualWidgetGroup

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services.VisualWidgetManager.GetWidgets"]

See Also

Reference

VisualWidgetManager Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Services Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs"]

Classes
 | Class | Description
Public class | VisualEditablePageGroup | 可编辑的页面分组
Public class | VisualEditablePageInfo | 可以在可视化编辑中编辑的页面信息
Public class | VisualEditResult | 可视化编辑结果
Public class | VisualEditResultAreaEditResult | 单个区域的编辑结果
Public class | VisualThemeInfo | 可视化主题信息
Public class | VisualWidgetGroup | 可以在可视化编辑中使用的模块分组
Public class | VisualWidgetInfo | 可以在可视化编辑中使用的模块信息


VisualEditablePageGroup Class
可编辑的页面分组
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualEditablePageGroup

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditablePageGroup : ILiquidizable
Public Class VisualEditablePageGroup
    Implements ILiquidizable
public ref class VisualEditablePageGroup : ILiquidizable
type VisualEditablePageGroup =
    class
        interface ILiquidizable
    end

The VisualEditablePageGroup type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditablePageGroup | 初始化
Public method | VisualEditablePageGroup(String, IListVisualEditablePageInfo) | 初始化
Top
Properties
 | Name | Description
Public property | Group | 分组
Public property | Pages | 页面列表
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup Constructor

Overload List
 | Name | Description
Public method | VisualEditablePageGroup | 初始化
Public method | VisualEditablePageGroup(String, IListVisualEditablePageInfo) | 初始化
Top
See Also

Reference

VisualEditablePageGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditablePageGroup()
Public Sub New
public:
VisualEditablePageGroup()
new : unit -> VisualEditablePageGroup
See Also

Reference

VisualEditablePageGroup Class
VisualEditablePageGroup Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup Constructor (String, IList(VisualEditablePageInfo))

VisualEditablePageGroup Constructor (String, IListVisualEditablePageInfo)
初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditablePageGroup(
    string group,
    IList<VisualEditablePageInfo> pages
)
Public Sub New (
    group As String,
    pages As IList(Of VisualEditablePageInfo)
)
public:
VisualEditablePageGroup(
    String^ group,
    IList<VisualEditablePageInfo^>^ pages
)
new :
        group : string *
        pages : IList<VisualEditablePageInfo> -> VisualEditablePageGroup

Parameters

group
Type: SystemString
分组
pages
Type: System.Collections.GenericIList VisualEditablePageInfo
页面列表
See Also

Reference

VisualEditablePageGroup Class
VisualEditablePageGroup Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup Properties

The VisualEditablePageGroup type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组
Public property | Pages | 页面列表
Top
See Also

Reference

VisualEditablePageGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup.Group Property

VisualEditablePageGroupGroup Property

分组

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Group { get; set; }
Public Property Group As String
    Get
    Set
public:
property String^ Group {
    String^ get ();
    void set (String^ value);
}
member Group : string with get, set

Property Value

Type: String
See Also

Reference

VisualEditablePageGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup.Pages Property

VisualEditablePageGroupPages Property

页面列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<VisualEditablePageInfo> Pages { get; set; }
Public Property Pages As IList(Of VisualEditablePageInfo)
    Get
    Set
public:
property IList<VisualEditablePageInfo^>^ Pages {
    IList<VisualEditablePageInfo^>^ get ();
    void set (IList<VisualEditablePageInfo^>^ value);
}
member Pages : IList<VisualEditablePageInfo> with get, set

Property Value

Type: IList VisualEditablePageInfo
See Also

Reference

VisualEditablePageGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup Methods

The VisualEditablePageGroup type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

VisualEditablePageGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageGroup.ToLiquid Method

VisualEditablePageGroupToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualEditablePageGroup.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

VisualEditablePageGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo Class
可以在可视化编辑中编辑的页面信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualEditablePageInfo

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditablePageInfo : ILiquidizable
Public Class VisualEditablePageInfo
    Implements ILiquidizable
public ref class VisualEditablePageInfo : ILiquidizable
type VisualEditablePageInfo =
    class
        interface ILiquidizable
    end

The VisualEditablePageInfo type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditablePageInfo | 初始化
Public method | VisualEditablePageInfo(String, String, String) | 初始化
Top
Properties
 | Name | Description
Public property | Group | 分组，可以是翻译前的文本
Public property | Name | 名称，可以是翻译前的文本
Public property | Url | 页面的Url
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo Constructor

Overload List
 | Name | Description
Public method | VisualEditablePageInfo | 初始化
Public method | VisualEditablePageInfo(String, String, String) | 初始化
Top
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditablePageInfo()
Public Sub New
public:
VisualEditablePageInfo()
new : unit -> VisualEditablePageInfo
See Also

Reference

VisualEditablePageInfo Class
VisualEditablePageInfo Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo Constructor (String, String, String)
初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditablePageInfo(
    string group,
    string name,
    string url
)
Public Sub New (
    group As String,
    name As String,
    url As String
)
public:
VisualEditablePageInfo(
    String^ group,
    String^ name,
    String^ url
)
new :
        group : string *
        name : string *
        url : string -> VisualEditablePageInfo

Parameters

group
Type: SystemString
分组，可以是翻译前的文本
name
Type: SystemString
名称，可以是翻译前的文本
url
Type: SystemString
页面的Url
See Also

Reference

VisualEditablePageInfo Class
VisualEditablePageInfo Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo Properties

The VisualEditablePageInfo type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组，可以是翻译前的文本
Public property | Name | 名称，可以是翻译前的文本
Public property | Url | 页面的Url
Top
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo.Group Property

VisualEditablePageInfoGroup Property

分组，可以是翻译前的文本

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Group { get; set; }
Public Property Group As String
    Get
    Set
public:
property String^ Group {
    String^ get ();
    void set (String^ value);
}
member Group : string with get, set

Property Value

Type: String
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo.Name Property

VisualEditablePageInfoName Property

名称，可以是翻译前的文本

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo.Url Property

VisualEditablePageInfoUrl Property

页面的Url

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo Methods

The VisualEditablePageInfo type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditablePageInfo.ToLiquid Method

VisualEditablePageInfoToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualEditablePageInfo.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

VisualEditablePageInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult Class
可视化编辑结果
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualEditResult

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualEditResult
Public Class VisualEditResult
public ref class VisualEditResult
type VisualEditResult =  class end

The VisualEditResult type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditResult | 初始化
Top
Properties
 | Name | Description
Public property | Areas | 区域的编辑结果列表
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualEditResult()
Public Sub New
public:
VisualEditResult()
new : unit -> VisualEditResult
See Also

Reference

VisualEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult Properties

The VisualEditResult type exposes the following members.

Properties
 | Name | Description
Public property | Areas | 区域的编辑结果列表
Top
See Also

Reference

VisualEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult.Areas Property

VisualEditResultAreas Property

区域的编辑结果列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<VisualEditResultAreaEditResult> Areas { get; set; }
Public Property Areas As IList(Of VisualEditResultAreaEditResult)
    Get
    Set
public:
property IList<VisualEditResultAreaEditResult^>^ Areas {
    IList<VisualEditResultAreaEditResult^>^ get ();
    void set (IList<VisualEditResultAreaEditResult^>^ value);
}
member Areas : IList<VisualEditResultAreaEditResult> with get, set

Property Value

Type: IList VisualEditResultAreaEditResult
See Also

Reference

VisualEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult.AreaEditResult Class

VisualEditResultAreaEditResult Class
单个区域的编辑结果
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualEditResultAreaEditResult

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class AreaEditResult
Public Class AreaEditResult
public ref class AreaEditResult
type AreaEditResult =  class end

The VisualEditResultAreaEditResult type exposes the following members.

Constructors
 | Name | Description
Public method | VisualEditResultAreaEditResult | 初始化
Top
Properties
 | Name | Description
Public property | AreaId | 区域Id
Public property | Widgets | 模块列表
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult.AreaEditResult Constructor

VisualEditResultAreaEditResult Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public AreaEditResult()
Public Sub New
public:
AreaEditResult()
new : unit -> AreaEditResult
See Also

Reference

VisualEditResultAreaEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


AreaEditResult Properties

The VisualEditResultAreaEditResult type exposes the following members.

Properties
 | Name | Description
Public property | AreaId | 区域Id
Public property | Widgets | 模块列表
Top
See Also

Reference

VisualEditResultAreaEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult.AreaEditResult.AreaId Property

VisualEditResultAreaEditResultAreaId Property

区域Id

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string AreaId { get; set; }
Public Property AreaId As String
    Get
    Set
public:
property String^ AreaId {
    String^ get ();
    void set (String^ value);
}
member AreaId : string with get, set

Property Value

Type: String
See Also

Reference

VisualEditResultAreaEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualEditResult.AreaEditResult.Widgets Property

VisualEditResultAreaEditResultWidgets Property

模块列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<TemplateWidget> Widgets { get; set; }
Public Property Widgets As IList(Of TemplateWidget)
    Get
    Set
public:
property IList<TemplateWidget^>^ Widgets {
    IList<TemplateWidget^>^ get ();
    void set (IList<TemplateWidget^>^ value);
}
member Widgets : IList<TemplateWidget> with get, set

Property Value

Type: IList TemplateWidget
See Also

Reference

VisualEditResultAreaEditResult Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo Class
可视化主题信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualThemeInfo

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualThemeInfo : ILiquidizable
Public Class VisualThemeInfo
    Implements ILiquidizable
public ref class VisualThemeInfo : ILiquidizable
type VisualThemeInfo =
    class
        interface ILiquidizable
    end

The VisualThemeInfo type exposes the following members.

Constructors
 | Name | Description
Public method | VisualThemeInfo | Initializes a new instance of the VisualThemeInfo class
Top
Properties
 | Name | Description
Public property | Author | 主题作者
Public property | Description | 主题描述
Public property | Filename | 主题文件名 读取时设置
Public property | Name | 主题名称
Public property | PreviewImageBase64 | 预览图的Base64 读取时设置
Public property | Version | 主题版本
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo Constructor

Initializes a new instance of the VisualThemeInfo class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualThemeInfo()
Public Sub New
public:
VisualThemeInfo()
new : unit -> VisualThemeInfo
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo Properties

The VisualThemeInfo type exposes the following members.

Properties
 | Name | Description
Public property | Author | 主题作者
Public property | Description | 主题描述
Public property | Filename | 主题文件名 读取时设置
Public property | Name | 主题名称
Public property | PreviewImageBase64 | 预览图的Base64 读取时设置
Public property | Version | 主题版本
Top
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.Author Property

VisualThemeInfoAuthor Property

主题作者

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Author { get; set; }
Public Property Author As String
    Get
    Set
public:
property String^ Author {
    String^ get ();
    void set (String^ value);
}
member Author : string with get, set

Property Value

Type: String
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.Description Property

VisualThemeInfoDescription Property

主题描述

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.Filename Property

VisualThemeInfoFilename Property

主题文件名 读取时设置

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Filename { get; set; }
Public Property Filename As String
    Get
    Set
public:
property String^ Filename {
    String^ get ();
    void set (String^ value);
}
member Filename : string with get, set

Property Value

Type: String
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.Name Property

VisualThemeInfoName Property

主题名称

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.PreviewImageBase64 Property

VisualThemeInfoPreviewImageBase64 Property

预览图的Base64 读取时设置

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string PreviewImageBase64 { get; set; }
Public Property PreviewImageBase64 As String
    Get
    Set
public:
property String^ PreviewImageBase64 {
    String^ get ();
    void set (String^ value);
}
member PreviewImageBase64 : string with get, set

Property Value

Type: String
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.Version Property

VisualThemeInfoVersion Property

主题版本

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Version { get; set; }
Public Property Version As String
    Get
    Set
public:
property String^ Version {
    String^ get ();
    void set (String^ value);
}
member Version : string with get, set

Property Value

Type: String
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo Methods

The VisualThemeInfo type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualThemeInfo.ToLiquid Method

VisualThemeInfoToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualThemeInfo.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

VisualThemeInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup Class
可以在可视化编辑中使用的模块分组
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualWidgetGroup

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualWidgetGroup : ILiquidizable
Public Class VisualWidgetGroup
    Implements ILiquidizable
public ref class VisualWidgetGroup : ILiquidizable
type VisualWidgetGroup =
    class
        interface ILiquidizable
    end

The VisualWidgetGroup type exposes the following members.

Constructors
 | Name | Description
Public method | VisualWidgetGroup | 初始化
Public method | VisualWidgetGroup(String, IListVisualWidgetInfo) | 初始化
Top
Properties
 | Name | Description
Public property | Group | 分组
Public property | Widgets | 模块列表
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup Constructor

Overload List
 | Name | Description
Public method | VisualWidgetGroup | 初始化
Public method | VisualWidgetGroup(String, IListVisualWidgetInfo) | 初始化
Top
See Also

Reference

VisualWidgetGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualWidgetGroup()
Public Sub New
public:
VisualWidgetGroup()
new : unit -> VisualWidgetGroup
See Also

Reference

VisualWidgetGroup Class
VisualWidgetGroup Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup Constructor (String, IList(VisualWidgetInfo))

VisualWidgetGroup Constructor (String, IListVisualWidgetInfo)
初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualWidgetGroup(
    string group,
    IList<VisualWidgetInfo> widgets
)
Public Sub New (
    group As String,
    widgets As IList(Of VisualWidgetInfo)
)
public:
VisualWidgetGroup(
    String^ group,
    IList<VisualWidgetInfo^>^ widgets
)
new :
        group : string *
        widgets : IList<VisualWidgetInfo> -> VisualWidgetGroup

Parameters

group
Type: SystemString
分组
widgets
Type: System.Collections.GenericIList VisualWidgetInfo
模块列表
See Also

Reference

VisualWidgetGroup Class
VisualWidgetGroup Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup Properties

The VisualWidgetGroup type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组
Public property | Widgets | 模块列表
Top
See Also

Reference

VisualWidgetGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup.Group Property

VisualWidgetGroupGroup Property

分组

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Group { get; set; }
Public Property Group As String
    Get
    Set
public:
property String^ Group {
    String^ get ();
    void set (String^ value);
}
member Group : string with get, set

Property Value

Type: String
See Also

Reference

VisualWidgetGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup.Widgets Property

VisualWidgetGroupWidgets Property

模块列表

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IList<VisualWidgetInfo> Widgets { get; set; }
Public Property Widgets As IList(Of VisualWidgetInfo)
    Get
    Set
public:
property IList<VisualWidgetInfo^>^ Widgets {
    IList<VisualWidgetInfo^>^ get ();
    void set (IList<VisualWidgetInfo^>^ value);
}
member Widgets : IList<VisualWidgetInfo> with get, set

Property Value

Type: IList VisualWidgetInfo
See Also

Reference

VisualWidgetGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup Methods

The VisualWidgetGroup type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

VisualWidgetGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetGroup.ToLiquid Method

VisualWidgetGroupToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualWidgetGroup.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

VisualWidgetGroup Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo Class
可以在可视化编辑中使用的模块信息
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.StructsVisualWidgetInfo

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class VisualWidgetInfo : ILiquidizable
Public Class VisualWidgetInfo
    Implements ILiquidizable
public ref class VisualWidgetInfo : ILiquidizable
type VisualWidgetInfo =
    class
        interface ILiquidizable
    end

The VisualWidgetInfo type exposes the following members.

Constructors
 | Name | Description
Public method | VisualWidgetInfo | 初始化
Public method | VisualWidgetInfo(String, TemplateWidgetInfo) | 初始化
Top
Properties
 | Name | Description
Public property | Group | 分组名称，可以是翻译前的文本
Public property | WidgetInfo | 模板模块信息
Top
Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo Constructor

Overload List
 | Name | Description
Public method | VisualWidgetInfo | 初始化
Public method | VisualWidgetInfo(String, TemplateWidgetInfo) | 初始化
Top
See Also

Reference

VisualWidgetInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo Constructor

初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualWidgetInfo()
Public Sub New
public:
VisualWidgetInfo()
new : unit -> VisualWidgetInfo
See Also

Reference

VisualWidgetInfo Class
VisualWidgetInfo Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo Constructor (String, TemplateWidgetInfo)
初始化

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public VisualWidgetInfo(
    string group,
    TemplateWidgetInfo widgetInfo
)
Public Sub New (
    group As String,
    widgetInfo As TemplateWidgetInfo
)
public:
VisualWidgetInfo(
    String^ group,
    TemplateWidgetInfo^ widgetInfo
)
new :
        group : string *
        widgetInfo : TemplateWidgetInfo -> VisualWidgetInfo

Parameters

group
Type: SystemString
分组名称，可以是翻译前的文本
widgetInfo
Type: TemplateWidgetInfo
模板模块信息
See Also

Reference

VisualWidgetInfo Class
VisualWidgetInfo Overload
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo Properties

The VisualWidgetInfo type exposes the following members.

Properties
 | Name | Description
Public property | Group | 分组名称，可以是翻译前的文本
Public property | WidgetInfo | 模板模块信息
Top
See Also

Reference

VisualWidgetInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo.Group Property

VisualWidgetInfoGroup Property

分组名称，可以是翻译前的文本

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Group { get; set; }
Public Property Group As String
    Get
    Set
public:
property String^ Group {
    String^ get ();
    void set (String^ value);
}
member Group : string with get, set

Property Value

Type: String
See Also

Reference

VisualWidgetInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo.WidgetInfo Property

VisualWidgetInfoWidgetInfo Property

模板模块信息

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidgetInfo WidgetInfo { get; set; }
Public Property WidgetInfo As TemplateWidgetInfo
    Get
    Set
public:
property TemplateWidgetInfo^ WidgetInfo {
    TemplateWidgetInfo^ get ();
    void set (TemplateWidgetInfo^ value);
}
member WidgetInfo : TemplateWidgetInfo with get, set

Property Value

Type: TemplateWidgetInfo
See Also

Reference

VisualWidgetInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo Methods

The VisualWidgetInfo type exposes the following members.

Methods
 | Name | Description
Public method | ToLiquid | 允许描画到模板
Top
See Also

Reference

VisualWidgetInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


VisualWidgetInfo.ToLiquid Method

VisualWidgetInfoToLiquid Method

允许描画到模板

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs.VisualWidgetInfo.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

VisualWidgetInfo Class
ZKWeb.Plugins.Theme.VisualEditor.src.Domain.Structs Namespace


ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms"]

Classes
 | Class | Description
Public class | CreateThemeForm | 创建主题的表单
Public class | UploadThemeForm | 上传主题的表单


CreateThemeForm Class
创建主题的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.FormsCreateThemeForm

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class CreateThemeForm : ModelFormBuilder
Public Class CreateThemeForm
    Inherits ModelFormBuilder
public ref class CreateThemeForm : public ModelFormBuilder
type CreateThemeForm =
    class
        inherit ModelFormBuilder
    end

The CreateThemeForm type exposes the following members.

Constructors
 | Name | Description
Public method | CreateThemeForm | Initializes a new instance of the CreateThemeForm class
Top
Properties
 | Name | Description
Public property | ThemeAuthor | 主题作者
Public property | ThemeDescription | 主题描述
Public property | ThemeFilename | 主题文件名
Public property | ThemeName | 主题名称
Public property | ThemePreviewImage | 主题预览图
Public property | ThemeVersion | 主题版本
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm Constructor

Initializes a new instance of the CreateThemeForm class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public CreateThemeForm()
Public Sub New
public:
CreateThemeForm()
new : unit -> CreateThemeForm
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm Properties

The CreateThemeForm type exposes the following members.

Properties
 | Name | Description
Public property | ThemeAuthor | 主题作者
Public property | ThemeDescription | 主题描述
Public property | ThemeFilename | 主题文件名
Public property | ThemeName | 主题名称
Public property | ThemePreviewImage | 主题预览图
Public property | ThemeVersion | 主题版本
Top
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.ThemeAuthor Property

CreateThemeFormThemeAuthor Property

主题作者

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ThemeAuthor { get; set; }
Public Property ThemeAuthor As String
    Get
    Set
public:
property String^ ThemeAuthor {
    String^ get ();
    void set (String^ value);
}
member ThemeAuthor : string with get, set

Property Value

Type: String
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.ThemeDescription Property

CreateThemeFormThemeDescription Property

主题描述

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ThemeDescription { get; set; }
Public Property ThemeDescription As String
    Get
    Set
public:
property String^ ThemeDescription {
    String^ get ();
    void set (String^ value);
}
member ThemeDescription : string with get, set

Property Value

Type: String
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.ThemeFilename Property

CreateThemeFormThemeFilename Property

主题文件名

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ThemeFilename { get; set; }
Public Property ThemeFilename As String
    Get
    Set
public:
property String^ ThemeFilename {
    String^ get ();
    void set (String^ value);
}
member ThemeFilename : string with get, set

Property Value

Type: String
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.ThemeName Property

CreateThemeFormThemeName Property

主题名称

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ThemeName { get; set; }
Public Property ThemeName As String
    Get
    Set
public:
property String^ ThemeName {
    String^ get ();
    void set (String^ value);
}
member ThemeName : string with get, set

Property Value

Type: String
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.ThemePreviewImage Property

CreateThemeFormThemePreviewImage Property

主题预览图

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile ThemePreviewImage { get; set; }
Public Property ThemePreviewImage As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ ThemePreviewImage {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member ThemePreviewImage : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.ThemeVersion Property

CreateThemeFormThemeVersion Property

主题版本

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string ThemeVersion { get; set; }
Public Property ThemeVersion As String
    Get
    Set
public:
property String^ ThemeVersion {
    String^ get ();
    void set (String^ value);
}
member ThemeVersion : string with get, set

Property Value

Type: String
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm Methods

The CreateThemeForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.OnBind Method

CreateThemeFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


CreateThemeForm.OnSubmit Method

CreateThemeFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms.CreateThemeForm.OnSubmit"]

See Also

Reference

CreateThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm Class
上传主题的表单
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.UIComponents.FormsModelFormBuilder
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.FormsUploadThemeForm

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class UploadThemeForm : ModelFormBuilder
Public Class UploadThemeForm
    Inherits ModelFormBuilder
public ref class UploadThemeForm : public ModelFormBuilder
type UploadThemeForm =
    class
        inherit ModelFormBuilder
    end

The UploadThemeForm type exposes the following members.

Constructors
 | Name | Description
Public method | UploadThemeForm | Initializes a new instance of the UploadThemeForm class
Top
Properties
 | Name | Description
Public property | ThemeFile | 主题文件
Top
Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm Constructor

Initializes a new instance of the UploadThemeForm class

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public UploadThemeForm()
Public Sub New
public:
UploadThemeForm()
new : unit -> UploadThemeForm
See Also

Reference

UploadThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm Properties

The UploadThemeForm type exposes the following members.

Properties
 | Name | Description
Public property | ThemeFile | 主题文件
Top
See Also

Reference

UploadThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm.ThemeFile Property

UploadThemeFormThemeFile Property

主题文件

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile ThemeFile { get; set; }
Public Property ThemeFile As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ ThemeFile {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member ThemeFile : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

UploadThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm Methods

The UploadThemeForm type exposes the following members.

Methods
 | Name | Description
Protected method | OnBind | 绑定表单 (Overrides ModelFormBuilderOnBind.)
Protected method | OnSubmit | 提交表单 (Overrides ModelFormBuilderOnSubmit.)
Top
See Also

Reference

UploadThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm.OnBind Method

UploadThemeFormOnBind Method

绑定表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnBind()
Protected Overrides Sub OnBind
protected:
virtual void OnBind() override
abstract OnBind : unit -> unit
override OnBind : unit -> unit
See Also

Reference

UploadThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


UploadThemeForm.OnSubmit Method

UploadThemeFormOnSubmit Method

提交表单

Namespace: ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
protected override Object OnSubmit()
Protected Overrides Function OnSubmit As Object
protected:
virtual Object^ OnSubmit() override
abstract OnSubmit : unit -> Object
override OnSubmit : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms.UploadThemeForm.OnSubmit"]

See Also

Reference

UploadThemeForm Class
ZKWeb.Plugins.Theme.VisualEditor.src.UIComponents.Forms Namespace


ZKWeb.Plugins.Theme.Widgets.Base.src Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugins.Theme.Widgets.Base.src"]

Namespaces
Namespace | Description
ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates |
ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers |


ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Components.Translates Namespace


ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers"]

Classes
 | Class | Description
Public class | TemplateWidgetImageBrowserController | 模板模块图片浏览器


TemplateWidgetImageBrowserController Class
模板模块图片浏览器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Common.Base.src.Controllers.BasesControllerBase
ZKWeb.Plugins.Common.Admin.src.Controllers.BasesScaffoldControllerBase
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.BasesImageBrowserControllerBase
ZKWeb.Plugins.Theme.Widgets.Base.src.ControllersTemplateWidgetImageBrowserController

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateWidgetImageBrowserController : ImageBrowserControllerBase
Public Class TemplateWidgetImageBrowserController
    Inherits ImageBrowserControllerBase
public ref class TemplateWidgetImageBrowserController : public ImageBrowserControllerBase
type TemplateWidgetImageBrowserController =
    class
        inherit ImageBrowserControllerBase
    end

The TemplateWidgetImageBrowserController type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateWidgetImageBrowserController | Initializes a new instance of the TemplateWidgetImageBrowserController class
Top
Properties
 | Name | Description
Public property | Category | (Overrides ImageBrowserControllerBaseCategory.)
Top
See Also

Reference

ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers Namespace


TemplateWidgetImageBrowserController Constructor

Initializes a new instance of the TemplateWidgetImageBrowserController class

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidgetImageBrowserController()
Public Sub New
public:
TemplateWidgetImageBrowserController()
new : unit -> TemplateWidgetImageBrowserController
See Also

Reference

TemplateWidgetImageBrowserController Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers Namespace


TemplateWidgetImageBrowserController Properties

The TemplateWidgetImageBrowserController type exposes the following members.

Properties
 | Name | Description
Public property | Category | (Overrides ImageBrowserControllerBaseCategory.)
Top
See Also

Reference

TemplateWidgetImageBrowserController Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers Namespace


TemplateWidgetImageBrowserController.Category Property

TemplateWidgetImageBrowserControllerCategory Property

[Missing <summary> documentation for "P:ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers.TemplateWidgetImageBrowserController.Category"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public override string Category { get; }
Public Overrides ReadOnly Property Category As String
    Get
public:
virtual property String^ Category {
    String^ get () override;
}
abstract Category : string with get
override Category : string with get

Property Value

Type: String
See Also

Reference

TemplateWidgetImageBrowserController Class
ZKWeb.Plugins.Theme.Widgets.Base.src.Controllers Namespace


ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates Namespace


ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates Namespace


ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates"]

Classes
 | Class | Description
Public class | zh_CN | 中文翻译


zh_CN Class
中文翻译
Inheritance Hierarchy
SystemObject
ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translateszh_CN

Namespace: ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public class zh_CN : ITranslateProvider
Public Class zh_CN
    Implements ITranslateProvider
public ref class zh_CN : ITranslateProvider
type zh_CN =
    class
        interface ITranslateProvider
    end

The zh_CN type exposes the following members.

Constructors
 | Name | Description
Public method | zh_CN | Initializes a new instance of the zh_CN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates Namespace


zh_CN Constructor

Initializes a new instance of the zh_CN class

Namespace: ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public zh_CN()
Public Sub New
public:
zh_CN()
new : unit -> zh_CN
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates Namespace


zh_CN Methods

The zh_CN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates Namespace


zh_CN.CanTranslate Method

zh_CNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates.zh_CN.CanTranslate(System.String)"]

Implements

ITranslateProvider.CanTranslate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates Namespace


zh_CN.Translate Method

zh_CNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates.zh_CN.Translate(System.String)"]

Namespace: ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates
Assembly: ZKWeb.Plugins (in ZKWeb.Plugins.dll) Version: 1.0.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates.zh_CN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates.zh_CN.Translate(System.String)"]

Implements

ITranslateProvider.Translate(String)
See Also

Reference

zh_CN Class
ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates Namespace


命名空间

[Missing <summary> documentation for "G:"]

Namespaces
Namespace | Description
Com.Alipay |
Pingpp |
WxPayAPI |
ZKWeb.Plugins.CMS.Article |
ZKWeb.Plugins.CMS.CKEditor.src.Components.Translates |
ZKWeb.Plugins.CMS.CKEditor.src.UIComponents.FormFieldHandlers |
ZKWeb.Plugins.CMS.ImageBrowser.src.Components |
ZKWeb.Plugins.CMS.ImageBrowser.src.Controllers.Bases |
ZKWeb.Plugins.CMS.ImageBrowser.src.Domain |
ZKWeb.Plugins.Common.Admin |
ZKWeb.Plugins.Common.AdminSettings.src |
ZKWeb.Plugins.Common.Base |
ZKWeb.Plugins.Common.Captcha.src |
ZKWeb.Plugins.Common.CodeEditor.src.Components.Translates |
ZKWeb.Plugins.Common.CodeEditor.src.UIComponents |
ZKWeb.Plugins.Common.Currency |
ZKWeb.Plugins.Common.CustomTranslate.src |
ZKWeb.Plugins.Common.Datepicker.src.Components |
ZKWeb.Plugins.Common.Datepicker.src.UIComponents |
ZKWeb.Plugins.Common.DynamicForm.CodeEditor.src.Components |
ZKWeb.Plugins.Common.DynamicForm.DatePicker.src.Components |
ZKWeb.Plugins.Common.DynamicForm.src.Components.Translates |
ZKWeb.Plugins.Common.DynamicForm.src.UIComponents |
ZKWeb.Plugins.Common.GenericClass.src |
ZKWeb.Plugins.Common.GenericRecord.src.Components |
ZKWeb.Plugins.Common.GenericRecord.src.Domain |
ZKWeb.Plugins.Common.GenericTag.src |
ZKWeb.Plugins.Common.LanguageSwitcher |
ZKWeb.Plugins.Common.MenuPage.src.Components.Translates |
ZKWeb.Plugins.Common.MenuPage.src.Controllers.Bases |
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuItems.Extensions |
ZKWeb.Plugins.Common.MenuPage.src.UIComponents.MenuPages.Interfaces |
ZKWeb.Plugins.Common.PesudoStatic.src |
ZKWeb.Plugins.Common.QRCoder |
ZKWeb.Plugins.Common.Region.src |
ZKWeb.Plugins.Common.SerialGenerate.src.Components |
ZKWeb.Plugins.Common.UserContact.src |
ZKWeb.Plugins.Common.UserPanel |
ZKWeb.Plugins.Finance.Payment.Alipay.src |
ZKWeb.Plugins.Finance.Payment.AlipayMobile.src |
ZKWeb.Plugins.Finance.Payment.Cash.src.Components.Translates |
ZKWeb.Plugins.Finance.Payment.OnArrive.src.Components.Translates |
ZKWeb.Plugins.Finance.Payment.Pingpp.src |
ZKWeb.Plugins.Finance.Payment.src |
ZKWeb.Plugins.Finance.Payment.Tenpay.src.Components |
ZKWeb.Plugins.Finance.Payment.WeChat.src |
ZKWeb.Plugins.Finance.Payment.Wechat.src.Components.PaymentApiHandlers |
ZKWeb.Plugins.Shopping.AfterSales.src.Components.Translates |
ZKWeb.Plugins.Shopping.Logistics.src |
ZKWeb.Plugins.Shopping.Order |
ZKWeb.Plugins.Shopping.Product |
ZKWeb.Plugins.Shopping.ProductBookmark |
ZKWeb.Plugins.Shopping.ProductRating |
ZKWeb.Plugins.Testing.WebTester.src |
ZKWeb.Plugins.Theme.Mobile.Frame |
ZKWeb.Plugins.Theme.VisualEditor |
ZKWeb.Plugins.Theme.Widgets.Base.src |
ZKWeb.Plugins.Theme.Widgets.Product.src.Components.Translates |
ZKWeb.Plugins.Theme.Widgets.QRCode.src.Components.Translates |
ZKWeb.Plugins.Theme.Widgets.Slideshow.src.Components.Translates |